/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* DAG Instruction Selector for the WebAssembly target                        *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

// *** NOTE: This file is #included into the middle of the target
// *** instruction selector class.  These functions are really methods.

// If GET_DAGISEL_DECL is #defined with any value, only function
// declarations will be included when this file is included.
// If GET_DAGISEL_BODY is #defined, its value should be the name of
// the instruction selector class. Function bodies will be emitted
// and each function's name will be qualified with the name of the
// class.
//
// When neither of the GET_DAGISEL* macros is defined, the functions
// are emitted inline.

#if defined(GET_DAGISEL_DECL) && defined(GET_DAGISEL_BODY)
#error GET_DAGISEL_DECL and GET_DAGISEL_BODY cannot be both defined, undef both for inline definitions
#endif

#ifdef GET_DAGISEL_BODY
#define LOCAL_DAGISEL_STRINGIZE(X) LOCAL_DAGISEL_STRINGIZE_(X)
#define LOCAL_DAGISEL_STRINGIZE_(X) #X
static_assert(sizeof(LOCAL_DAGISEL_STRINGIZE(GET_DAGISEL_BODY)) > 1,
   "GET_DAGISEL_BODY is empty: it should be defined with the class name");
#undef LOCAL_DAGISEL_STRINGIZE_
#undef LOCAL_DAGISEL_STRINGIZE
#endif

#if !defined(GET_DAGISEL_DECL) && !defined(GET_DAGISEL_BODY)
#define DAGISEL_INLINE 1
#else
#define DAGISEL_INLINE 0
#endif

#if !DAGISEL_INLINE
#define DAGISEL_CLASS_COLONCOLON GET_DAGISEL_BODY ::
#else
#define DAGISEL_CLASS_COLONCOLON
#endif

#ifdef GET_DAGISEL_DECL
void SelectCode(SDNode *N);
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
void DAGISEL_CLASS_COLONCOLON SelectCode(SDNode *N)
{
  // Some target values are emitted as 2 bytes, TARGET_VAL handles
  // this.
  #define TARGET_VAL(X) X & 255, unsigned(X) >> 8
  static const unsigned char MatcherTable[] = {
/*     0*/ OPC_SwitchOpcode /*115 cases */, 127|128,58/*7551*/, TARGET_VAL(ISD::ZERO_EXTEND),// ->7556
/*     5*/  OPC_Scope, 114|128,58/*7538*/, /*->7546*/ // 2 children in Scope
/*     8*/   OPC_MoveChild0,
/*     9*/   OPC_SwitchOpcode /*9 cases */, 89|128,5/*729*/, TARGET_VAL(ISD::AssertZext),// ->743
/*    14*/    OPC_MoveChild0,
/*    15*/    OPC_CheckOpcode, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),
/*    18*/    OPC_RecordMemRef,
/*    19*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*    20*/    OPC_CheckFoldableChainNode,
/*    21*/    OPC_Scope, 60|128,3/*444*/, /*->468*/ // 2 children in Scope
/*    24*/     OPC_MoveChild1,
/*    25*/     OPC_SwitchOpcode /*3 cases */, 13|128,1/*141*/, TARGET_VAL(ISD::ADD),// ->171
/*    30*/      OPC_RecordChild0, // #1 = $addr
/*    31*/      OPC_RecordChild1, // #2 = $off
/*    32*/      OPC_MoveChild1,
/*    33*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*    36*/      OPC_MoveParent,
/*    37*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*    39*/      OPC_SwitchType /*2 cases */, 63, MVT::i32,// ->105
/*    42*/       OPC_MoveParent,
/*    43*/       OPC_MoveChild2,
/*    44*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    47*/       OPC_RecordChild0, // #3 = $exp
/*    48*/       OPC_MoveParent,
/*    49*/       OPC_MoveChild3,
/*    50*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    53*/       OPC_RecordChild0, // #4 = $new
/*    54*/       OPC_MoveParent,
/*    55*/       OPC_Scope, 23, /*->80*/ // 2 children in Scope
/*    57*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*    59*/        OPC_MoveParent,
/*    60*/        OPC_MoveParent,
/*    61*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    63*/        OPC_EmitMergeInputChains1_0,
/*    64*/        OPC_EmitInteger, MVT::i32, 0, 
/*    67*/        OPC_EmitConvertToTarget, 2,
/*    69*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*    80*/       /*Scope*/ 23, /*->104*/
/*    81*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*    83*/        OPC_MoveParent,
/*    84*/        OPC_MoveParent,
/*    85*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    87*/        OPC_EmitMergeInputChains1_0,
/*    88*/        OPC_EmitInteger, MVT::i32, 0, 
/*    91*/        OPC_EmitConvertToTarget, 2,
/*    93*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   104*/       0, /*End of Scope*/
/*   105*/      /*SwitchType*/ 63, MVT::i64,// ->170
/*   107*/       OPC_MoveParent,
/*   108*/       OPC_MoveChild2,
/*   109*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   112*/       OPC_RecordChild0, // #3 = $exp
/*   113*/       OPC_MoveParent,
/*   114*/       OPC_MoveChild3,
/*   115*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   118*/       OPC_RecordChild0, // #4 = $new
/*   119*/       OPC_MoveParent,
/*   120*/       OPC_Scope, 23, /*->145*/ // 2 children in Scope
/*   122*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   124*/        OPC_MoveParent,
/*   125*/        OPC_MoveParent,
/*   126*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   128*/        OPC_EmitMergeInputChains1_0,
/*   129*/        OPC_EmitInteger, MVT::i32, 0, 
/*   132*/        OPC_EmitConvertToTarget, 2,
/*   134*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   145*/       /*Scope*/ 23, /*->169*/
/*   146*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   148*/        OPC_MoveParent,
/*   149*/        OPC_MoveParent,
/*   150*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   152*/        OPC_EmitMergeInputChains1_0,
/*   153*/        OPC_EmitInteger, MVT::i32, 0, 
/*   156*/        OPC_EmitConvertToTarget, 2,
/*   158*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   169*/       0, /*End of Scope*/
/*   170*/      0, // EndSwitchType
/*   171*/     /*SwitchOpcode*/ 13|128,1/*141*/, TARGET_VAL(ISD::OR),// ->316
/*   175*/      OPC_RecordChild0, // #1 = $addr
/*   176*/      OPC_RecordChild1, // #2 = $off
/*   177*/      OPC_MoveChild1,
/*   178*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*   181*/      OPC_MoveParent,
/*   182*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*   184*/      OPC_SwitchType /*2 cases */, 63, MVT::i32,// ->250
/*   187*/       OPC_MoveParent,
/*   188*/       OPC_MoveChild2,
/*   189*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   192*/       OPC_RecordChild0, // #3 = $exp
/*   193*/       OPC_MoveParent,
/*   194*/       OPC_MoveChild3,
/*   195*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   198*/       OPC_RecordChild0, // #4 = $new
/*   199*/       OPC_MoveParent,
/*   200*/       OPC_Scope, 23, /*->225*/ // 2 children in Scope
/*   202*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   204*/        OPC_MoveParent,
/*   205*/        OPC_MoveParent,
/*   206*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   208*/        OPC_EmitMergeInputChains1_0,
/*   209*/        OPC_EmitInteger, MVT::i32, 0, 
/*   212*/        OPC_EmitConvertToTarget, 2,
/*   214*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   225*/       /*Scope*/ 23, /*->249*/
/*   226*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   228*/        OPC_MoveParent,
/*   229*/        OPC_MoveParent,
/*   230*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   232*/        OPC_EmitMergeInputChains1_0,
/*   233*/        OPC_EmitInteger, MVT::i32, 0, 
/*   236*/        OPC_EmitConvertToTarget, 2,
/*   238*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   249*/       0, /*End of Scope*/
/*   250*/      /*SwitchType*/ 63, MVT::i64,// ->315
/*   252*/       OPC_MoveParent,
/*   253*/       OPC_MoveChild2,
/*   254*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   257*/       OPC_RecordChild0, // #3 = $exp
/*   258*/       OPC_MoveParent,
/*   259*/       OPC_MoveChild3,
/*   260*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   263*/       OPC_RecordChild0, // #4 = $new
/*   264*/       OPC_MoveParent,
/*   265*/       OPC_Scope, 23, /*->290*/ // 2 children in Scope
/*   267*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   269*/        OPC_MoveParent,
/*   270*/        OPC_MoveParent,
/*   271*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   273*/        OPC_EmitMergeInputChains1_0,
/*   274*/        OPC_EmitInteger, MVT::i32, 0, 
/*   277*/        OPC_EmitConvertToTarget, 2,
/*   279*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   290*/       /*Scope*/ 23, /*->314*/
/*   291*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   293*/        OPC_MoveParent,
/*   294*/        OPC_MoveParent,
/*   295*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   297*/        OPC_EmitMergeInputChains1_0,
/*   298*/        OPC_EmitInteger, MVT::i32, 0, 
/*   301*/        OPC_EmitConvertToTarget, 2,
/*   303*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   314*/       0, /*End of Scope*/
/*   315*/      0, // EndSwitchType
/*   316*/     /*SwitchOpcode*/ 19|128,1/*147*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->467
/*   320*/      OPC_RecordChild0, // #1 = $off
/*   321*/      OPC_MoveChild0,
/*   322*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*   325*/      OPC_MoveParent,
/*   326*/      OPC_MoveParent,
/*   327*/      OPC_MoveChild2,
/*   328*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   331*/      OPC_RecordChild0, // #2 = $exp
/*   332*/      OPC_MoveParent,
/*   333*/      OPC_MoveChild3,
/*   334*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   337*/      OPC_RecordChild0, // #3 = $new
/*   338*/      OPC_MoveParent,
/*   339*/      OPC_Scope, 62, /*->403*/ // 2 children in Scope
/*   341*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   343*/       OPC_MoveParent,
/*   344*/       OPC_MoveParent,
/*   345*/       OPC_Scope, 27, /*->374*/ // 2 children in Scope
/*   347*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   349*/        OPC_EmitMergeInputChains1_0,
/*   350*/        OPC_EmitInteger, MVT::i32, 0, 
/*   353*/        OPC_EmitInteger, MVT::i32, 0, 
/*   356*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*   363*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   374*/       /*Scope*/ 27, /*->402*/
/*   375*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   377*/        OPC_EmitMergeInputChains1_0,
/*   378*/        OPC_EmitInteger, MVT::i32, 0, 
/*   381*/        OPC_EmitInteger, MVT::i64, 0, 
/*   384*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*   391*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   402*/       0, /*End of Scope*/
/*   403*/      /*Scope*/ 62, /*->466*/
/*   404*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   406*/       OPC_MoveParent,
/*   407*/       OPC_MoveParent,
/*   408*/       OPC_Scope, 27, /*->437*/ // 2 children in Scope
/*   410*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   412*/        OPC_EmitMergeInputChains1_0,
/*   413*/        OPC_EmitInteger, MVT::i32, 0, 
/*   416*/        OPC_EmitInteger, MVT::i32, 0, 
/*   419*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*   426*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   437*/       /*Scope*/ 27, /*->465*/
/*   438*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   440*/        OPC_EmitMergeInputChains1_0,
/*   441*/        OPC_EmitInteger, MVT::i32, 0, 
/*   444*/        OPC_EmitInteger, MVT::i64, 0, 
/*   447*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*   454*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   465*/       0, /*End of Scope*/
/*   466*/      0, /*End of Scope*/
/*   467*/     0, // EndSwitchOpcode
/*   468*/    /*Scope*/ 16|128,2/*272*/, /*->742*/
/*   470*/     OPC_RecordChild1, // #1 = $off
/*   471*/     OPC_Scope, 5|128,1/*133*/, /*->607*/ // 3 children in Scope
/*   474*/      OPC_MoveChild1,
/*   475*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*   478*/      OPC_MoveParent,
/*   479*/      OPC_MoveChild2,
/*   480*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   483*/      OPC_RecordChild0, // #2 = $exp
/*   484*/      OPC_MoveParent,
/*   485*/      OPC_MoveChild3,
/*   486*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   489*/      OPC_RecordChild0, // #3 = $new
/*   490*/      OPC_MoveParent,
/*   491*/      OPC_Scope, 56, /*->549*/ // 2 children in Scope
/*   493*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   495*/       OPC_MoveParent,
/*   496*/       OPC_MoveParent,
/*   497*/       OPC_EmitMergeInputChains1_0,
/*   498*/       OPC_EmitInteger, MVT::i32, 0, 
/*   501*/       OPC_EmitConvertToTarget, 1,
/*   503*/       OPC_Scope, 21, /*->526*/ // 2 children in Scope
/*   505*/        OPC_EmitInteger, MVT::i32, 0, 
/*   508*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*   515*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   526*/       /*Scope*/ 21, /*->548*/
/*   527*/        OPC_EmitInteger, MVT::i64, 0, 
/*   530*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*   537*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   548*/       0, /*End of Scope*/
/*   549*/      /*Scope*/ 56, /*->606*/
/*   550*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   552*/       OPC_MoveParent,
/*   553*/       OPC_MoveParent,
/*   554*/       OPC_EmitMergeInputChains1_0,
/*   555*/       OPC_EmitInteger, MVT::i32, 0, 
/*   558*/       OPC_EmitConvertToTarget, 1,
/*   560*/       OPC_Scope, 21, /*->583*/ // 2 children in Scope
/*   562*/        OPC_EmitInteger, MVT::i32, 0, 
/*   565*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*   572*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   583*/       /*Scope*/ 21, /*->605*/
/*   584*/        OPC_EmitInteger, MVT::i64, 0, 
/*   587*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*   594*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   605*/       0, /*End of Scope*/
/*   606*/      0, /*End of Scope*/
/*   607*/     /*Scope*/ 66, /*->674*/
/*   608*/      OPC_CheckChild1Type, MVT::i32,
/*   610*/      OPC_MoveChild2,
/*   611*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   614*/      OPC_RecordChild0, // #2 = $exp
/*   615*/      OPC_MoveParent,
/*   616*/      OPC_MoveChild3,
/*   617*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   620*/      OPC_RecordChild0, // #3 = $new
/*   621*/      OPC_MoveParent,
/*   622*/      OPC_Scope, 24, /*->648*/ // 2 children in Scope
/*   624*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   626*/       OPC_MoveParent,
/*   627*/       OPC_MoveParent,
/*   628*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   630*/       OPC_EmitMergeInputChains1_0,
/*   631*/       OPC_EmitInteger, MVT::i32, 0, 
/*   634*/       OPC_EmitInteger, MVT::i32, 0, 
/*   637*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   648*/      /*Scope*/ 24, /*->673*/
/*   649*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   651*/       OPC_MoveParent,
/*   652*/       OPC_MoveParent,
/*   653*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   655*/       OPC_EmitMergeInputChains1_0,
/*   656*/       OPC_EmitInteger, MVT::i32, 0, 
/*   659*/       OPC_EmitInteger, MVT::i32, 0, 
/*   662*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   673*/      0, /*End of Scope*/
/*   674*/     /*Scope*/ 66, /*->741*/
/*   675*/      OPC_CheckChild1Type, MVT::i64,
/*   677*/      OPC_MoveChild2,
/*   678*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   681*/      OPC_RecordChild0, // #2 = $exp
/*   682*/      OPC_MoveParent,
/*   683*/      OPC_MoveChild3,
/*   684*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   687*/      OPC_RecordChild0, // #3 = $new
/*   688*/      OPC_MoveParent,
/*   689*/      OPC_Scope, 24, /*->715*/ // 2 children in Scope
/*   691*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   693*/       OPC_MoveParent,
/*   694*/       OPC_MoveParent,
/*   695*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   697*/       OPC_EmitMergeInputChains1_0,
/*   698*/       OPC_EmitInteger, MVT::i32, 0, 
/*   701*/       OPC_EmitInteger, MVT::i64, 0, 
/*   704*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   715*/      /*Scope*/ 24, /*->740*/
/*   716*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   718*/       OPC_MoveParent,
/*   719*/       OPC_MoveParent,
/*   720*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   722*/       OPC_EmitMergeInputChains1_0,
/*   723*/       OPC_EmitInteger, MVT::i32, 0, 
/*   726*/       OPC_EmitInteger, MVT::i64, 0, 
/*   729*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   740*/      0, /*End of Scope*/
/*   741*/     0, /*End of Scope*/
/*   742*/    0, /*End of Scope*/
/*   743*/   /*SwitchOpcode*/ 38|128,3/*422*/, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),// ->1169
/*   747*/    OPC_RecordMemRef,
/*   748*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*   749*/    OPC_Scope, 6|128,2/*262*/, /*->1014*/ // 2 children in Scope
/*   752*/     OPC_MoveChild1,
/*   753*/     OPC_SwitchOpcode /*3 cases */, 85, TARGET_VAL(ISD::ADD),// ->842
/*   757*/      OPC_RecordChild0, // #1 = $addr
/*   758*/      OPC_RecordChild1, // #2 = $off
/*   759*/      OPC_MoveChild1,
/*   760*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*   763*/      OPC_MoveParent,
/*   764*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*   766*/      OPC_SwitchType /*2 cases */, 35, MVT::i32,// ->804
/*   769*/       OPC_MoveParent,
/*   770*/       OPC_MoveChild2,
/*   771*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   774*/       OPC_RecordChild0, // #3 = $exp
/*   775*/       OPC_MoveParent,
/*   776*/       OPC_MoveChild3,
/*   777*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   780*/       OPC_RecordChild0, // #4 = $new
/*   781*/       OPC_MoveParent,
/*   782*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   784*/       OPC_MoveParent,
/*   785*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   787*/       OPC_EmitMergeInputChains1_0,
/*   788*/       OPC_EmitInteger, MVT::i32, 0, 
/*   791*/       OPC_EmitConvertToTarget, 2,
/*   793*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 20
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   804*/      /*SwitchType*/ 35, MVT::i64,// ->841
/*   806*/       OPC_MoveParent,
/*   807*/       OPC_MoveChild2,
/*   808*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   811*/       OPC_RecordChild0, // #3 = $exp
/*   812*/       OPC_MoveParent,
/*   813*/       OPC_MoveChild3,
/*   814*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   817*/       OPC_RecordChild0, // #4 = $new
/*   818*/       OPC_MoveParent,
/*   819*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   821*/       OPC_MoveParent,
/*   822*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   824*/       OPC_EmitMergeInputChains1_0,
/*   825*/       OPC_EmitInteger, MVT::i32, 0, 
/*   828*/       OPC_EmitConvertToTarget, 2,
/*   830*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 20
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   841*/      0, // EndSwitchType
/*   842*/     /*SwitchOpcode*/ 85, TARGET_VAL(ISD::OR),// ->930
/*   845*/      OPC_RecordChild0, // #1 = $addr
/*   846*/      OPC_RecordChild1, // #2 = $off
/*   847*/      OPC_MoveChild1,
/*   848*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*   851*/      OPC_MoveParent,
/*   852*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*   854*/      OPC_SwitchType /*2 cases */, 35, MVT::i32,// ->892
/*   857*/       OPC_MoveParent,
/*   858*/       OPC_MoveChild2,
/*   859*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   862*/       OPC_RecordChild0, // #3 = $exp
/*   863*/       OPC_MoveParent,
/*   864*/       OPC_MoveChild3,
/*   865*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   868*/       OPC_RecordChild0, // #4 = $new
/*   869*/       OPC_MoveParent,
/*   870*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   872*/       OPC_MoveParent,
/*   873*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   875*/       OPC_EmitMergeInputChains1_0,
/*   876*/       OPC_EmitInteger, MVT::i32, 0, 
/*   879*/       OPC_EmitConvertToTarget, 2,
/*   881*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 20
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   892*/      /*SwitchType*/ 35, MVT::i64,// ->929
/*   894*/       OPC_MoveParent,
/*   895*/       OPC_MoveChild2,
/*   896*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   899*/       OPC_RecordChild0, // #3 = $exp
/*   900*/       OPC_MoveParent,
/*   901*/       OPC_MoveChild3,
/*   902*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   905*/       OPC_RecordChild0, // #4 = $new
/*   906*/       OPC_MoveParent,
/*   907*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   909*/       OPC_MoveParent,
/*   910*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   912*/       OPC_EmitMergeInputChains1_0,
/*   913*/       OPC_EmitInteger, MVT::i32, 0, 
/*   916*/       OPC_EmitConvertToTarget, 2,
/*   918*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 20
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   929*/      0, // EndSwitchType
/*   930*/     /*SwitchOpcode*/ 80, TARGET_VAL(WebAssemblyISD::Wrapper),// ->1013
/*   933*/      OPC_RecordChild0, // #1 = $off
/*   934*/      OPC_MoveChild0,
/*   935*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*   938*/      OPC_MoveParent,
/*   939*/      OPC_MoveParent,
/*   940*/      OPC_MoveChild2,
/*   941*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   944*/      OPC_RecordChild0, // #2 = $exp
/*   945*/      OPC_MoveParent,
/*   946*/      OPC_MoveChild3,
/*   947*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   950*/      OPC_RecordChild0, // #3 = $new
/*   951*/      OPC_MoveParent,
/*   952*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   954*/      OPC_MoveParent,
/*   955*/      OPC_Scope, 27, /*->984*/ // 2 children in Scope
/*   957*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   959*/       OPC_EmitMergeInputChains1_0,
/*   960*/       OPC_EmitInteger, MVT::i32, 0, 
/*   963*/       OPC_EmitInteger, MVT::i32, 0, 
/*   966*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*   973*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 19
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   984*/      /*Scope*/ 27, /*->1012*/
/*   985*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   987*/       OPC_EmitMergeInputChains1_0,
/*   988*/       OPC_EmitInteger, MVT::i32, 0, 
/*   991*/       OPC_EmitInteger, MVT::i64, 0, 
/*   994*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  1001*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 19
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1012*/      0, /*End of Scope*/
/*  1013*/     0, // EndSwitchOpcode
/*  1014*/    /*Scope*/ 24|128,1/*152*/, /*->1168*/
/*  1016*/     OPC_RecordChild1, // #1 = $off
/*  1017*/     OPC_Scope, 72, /*->1091*/ // 3 children in Scope
/*  1019*/      OPC_MoveChild1,
/*  1020*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  1023*/      OPC_MoveParent,
/*  1024*/      OPC_MoveChild2,
/*  1025*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1028*/      OPC_RecordChild0, // #2 = $exp
/*  1029*/      OPC_MoveParent,
/*  1030*/      OPC_MoveChild3,
/*  1031*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1034*/      OPC_RecordChild0, // #3 = $new
/*  1035*/      OPC_MoveParent,
/*  1036*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*  1038*/      OPC_MoveParent,
/*  1039*/      OPC_EmitMergeInputChains1_0,
/*  1040*/      OPC_EmitInteger, MVT::i32, 0, 
/*  1043*/      OPC_EmitConvertToTarget, 1,
/*  1045*/      OPC_Scope, 21, /*->1068*/ // 2 children in Scope
/*  1047*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1050*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*  1057*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 16
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1068*/      /*Scope*/ 21, /*->1090*/
/*  1069*/       OPC_EmitInteger, MVT::i64, 0, 
/*  1072*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*  1079*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 16
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1090*/      0, /*End of Scope*/
/*  1091*/     /*Scope*/ 37, /*->1129*/
/*  1092*/      OPC_CheckChild1Type, MVT::i32,
/*  1094*/      OPC_MoveChild2,
/*  1095*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1098*/      OPC_RecordChild0, // #2 = $exp
/*  1099*/      OPC_MoveParent,
/*  1100*/      OPC_MoveChild3,
/*  1101*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1104*/      OPC_RecordChild0, // #3 = $new
/*  1105*/      OPC_MoveParent,
/*  1106*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*  1108*/      OPC_MoveParent,
/*  1109*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1111*/      OPC_EmitMergeInputChains1_0,
/*  1112*/      OPC_EmitInteger, MVT::i32, 0, 
/*  1115*/      OPC_EmitInteger, MVT::i32, 0, 
/*  1118*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 13
                // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1129*/     /*Scope*/ 37, /*->1167*/
/*  1130*/      OPC_CheckChild1Type, MVT::i64,
/*  1132*/      OPC_MoveChild2,
/*  1133*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1136*/      OPC_RecordChild0, // #2 = $exp
/*  1137*/      OPC_MoveParent,
/*  1138*/      OPC_MoveChild3,
/*  1139*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1142*/      OPC_RecordChild0, // #3 = $new
/*  1143*/      OPC_MoveParent,
/*  1144*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*  1146*/      OPC_MoveParent,
/*  1147*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1149*/      OPC_EmitMergeInputChains1_0,
/*  1150*/      OPC_EmitInteger, MVT::i32, 0, 
/*  1153*/      OPC_EmitInteger, MVT::i64, 0, 
/*  1156*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 13
                // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1167*/     0, /*End of Scope*/
/*  1168*/    0, /*End of Scope*/
/*  1169*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->2091
/*  1173*/    OPC_RecordMemRef,
/*  1174*/    OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*  1175*/    OPC_Scope, 28|128,4/*540*/, /*->1718*/ // 2 children in Scope
/*  1178*/     OPC_MoveChild1,
/*  1179*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->1349
/*  1184*/      OPC_RecordChild0, // #1 = $addr
/*  1185*/      OPC_RecordChild1, // #2 = $off
/*  1186*/      OPC_MoveChild1,
/*  1187*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  1190*/      OPC_MoveParent,
/*  1191*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  1193*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->1271
/*  1196*/       OPC_MoveParent,
/*  1197*/       OPC_MoveChild2,
/*  1198*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1201*/       OPC_RecordChild0, // #3 = $val
/*  1202*/       OPC_MoveParent,
/*  1203*/       OPC_Scope, 21, /*->1226*/ // 3 children in Scope
/*  1205*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1207*/        OPC_MoveParent,
/*  1208*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1210*/        OPC_EmitMergeInputChains1_0,
/*  1211*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1214*/        OPC_EmitConvertToTarget, 2,
/*  1216*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1226*/       /*Scope*/ 21, /*->1248*/
/*  1227*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1229*/        OPC_MoveParent,
/*  1230*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1232*/        OPC_EmitMergeInputChains1_0,
/*  1233*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1236*/        OPC_EmitConvertToTarget, 2,
/*  1238*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1248*/       /*Scope*/ 21, /*->1270*/
/*  1249*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1251*/        OPC_MoveParent,
/*  1252*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1254*/        OPC_EmitMergeInputChains1_0,
/*  1255*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1258*/        OPC_EmitConvertToTarget, 2,
/*  1260*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1270*/       0, /*End of Scope*/
/*  1271*/      /*SwitchType*/ 75, MVT::i64,// ->1348
/*  1273*/       OPC_MoveParent,
/*  1274*/       OPC_MoveChild2,
/*  1275*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1278*/       OPC_RecordChild0, // #3 = $val
/*  1279*/       OPC_MoveParent,
/*  1280*/       OPC_Scope, 21, /*->1303*/ // 3 children in Scope
/*  1282*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1284*/        OPC_MoveParent,
/*  1285*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1287*/        OPC_EmitMergeInputChains1_0,
/*  1288*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1291*/        OPC_EmitConvertToTarget, 2,
/*  1293*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1303*/       /*Scope*/ 21, /*->1325*/
/*  1304*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1306*/        OPC_MoveParent,
/*  1307*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1309*/        OPC_EmitMergeInputChains1_0,
/*  1310*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1313*/        OPC_EmitConvertToTarget, 2,
/*  1315*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1325*/       /*Scope*/ 21, /*->1347*/
/*  1326*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1328*/        OPC_MoveParent,
/*  1329*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1331*/        OPC_EmitMergeInputChains1_0,
/*  1332*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1335*/        OPC_EmitConvertToTarget, 2,
/*  1337*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1347*/       0, /*End of Scope*/
/*  1348*/      0, // EndSwitchType
/*  1349*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->1518
/*  1353*/      OPC_RecordChild0, // #1 = $addr
/*  1354*/      OPC_RecordChild1, // #2 = $off
/*  1355*/      OPC_MoveChild1,
/*  1356*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  1359*/      OPC_MoveParent,
/*  1360*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  1362*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->1440
/*  1365*/       OPC_MoveParent,
/*  1366*/       OPC_MoveChild2,
/*  1367*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1370*/       OPC_RecordChild0, // #3 = $val
/*  1371*/       OPC_MoveParent,
/*  1372*/       OPC_Scope, 21, /*->1395*/ // 3 children in Scope
/*  1374*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1376*/        OPC_MoveParent,
/*  1377*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1379*/        OPC_EmitMergeInputChains1_0,
/*  1380*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1383*/        OPC_EmitConvertToTarget, 2,
/*  1385*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1395*/       /*Scope*/ 21, /*->1417*/
/*  1396*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1398*/        OPC_MoveParent,
/*  1399*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1401*/        OPC_EmitMergeInputChains1_0,
/*  1402*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1405*/        OPC_EmitConvertToTarget, 2,
/*  1407*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1417*/       /*Scope*/ 21, /*->1439*/
/*  1418*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1420*/        OPC_MoveParent,
/*  1421*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1423*/        OPC_EmitMergeInputChains1_0,
/*  1424*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1427*/        OPC_EmitConvertToTarget, 2,
/*  1429*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1439*/       0, /*End of Scope*/
/*  1440*/      /*SwitchType*/ 75, MVT::i64,// ->1517
/*  1442*/       OPC_MoveParent,
/*  1443*/       OPC_MoveChild2,
/*  1444*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1447*/       OPC_RecordChild0, // #3 = $val
/*  1448*/       OPC_MoveParent,
/*  1449*/       OPC_Scope, 21, /*->1472*/ // 3 children in Scope
/*  1451*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1453*/        OPC_MoveParent,
/*  1454*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1456*/        OPC_EmitMergeInputChains1_0,
/*  1457*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1460*/        OPC_EmitConvertToTarget, 2,
/*  1462*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1472*/       /*Scope*/ 21, /*->1494*/
/*  1473*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1475*/        OPC_MoveParent,
/*  1476*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1478*/        OPC_EmitMergeInputChains1_0,
/*  1479*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1482*/        OPC_EmitConvertToTarget, 2,
/*  1484*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1494*/       /*Scope*/ 21, /*->1516*/
/*  1495*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1497*/        OPC_MoveParent,
/*  1498*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1500*/        OPC_EmitMergeInputChains1_0,
/*  1501*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1504*/        OPC_EmitConvertToTarget, 2,
/*  1506*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1516*/       0, /*End of Scope*/
/*  1517*/      0, // EndSwitchType
/*  1518*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->1717
/*  1522*/      OPC_RecordChild0, // #1 = $off
/*  1523*/      OPC_MoveChild0,
/*  1524*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  1527*/      OPC_MoveParent,
/*  1528*/      OPC_MoveParent,
/*  1529*/      OPC_MoveChild2,
/*  1530*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1533*/      OPC_RecordChild0, // #2 = $val
/*  1534*/      OPC_MoveParent,
/*  1535*/      OPC_Scope, 59, /*->1596*/ // 3 children in Scope
/*  1537*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1539*/       OPC_MoveParent,
/*  1540*/       OPC_Scope, 26, /*->1568*/ // 2 children in Scope
/*  1542*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1544*/        OPC_EmitMergeInputChains1_0,
/*  1545*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1548*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1551*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  1558*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1568*/       /*Scope*/ 26, /*->1595*/
/*  1569*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1571*/        OPC_EmitMergeInputChains1_0,
/*  1572*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1575*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1578*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  1585*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1595*/       0, /*End of Scope*/
/*  1596*/      /*Scope*/ 59, /*->1656*/
/*  1597*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1599*/       OPC_MoveParent,
/*  1600*/       OPC_Scope, 26, /*->1628*/ // 2 children in Scope
/*  1602*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1604*/        OPC_EmitMergeInputChains1_0,
/*  1605*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1608*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1611*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  1618*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1628*/       /*Scope*/ 26, /*->1655*/
/*  1629*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1631*/        OPC_EmitMergeInputChains1_0,
/*  1632*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1635*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1638*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  1645*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1655*/       0, /*End of Scope*/
/*  1656*/      /*Scope*/ 59, /*->1716*/
/*  1657*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1659*/       OPC_MoveParent,
/*  1660*/       OPC_Scope, 26, /*->1688*/ // 2 children in Scope
/*  1662*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1664*/        OPC_EmitMergeInputChains1_0,
/*  1665*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1668*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1671*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  1678*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1688*/       /*Scope*/ 26, /*->1715*/
/*  1689*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1691*/        OPC_EmitMergeInputChains1_0,
/*  1692*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1695*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1698*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  1705*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1715*/       0, /*End of Scope*/
/*  1716*/      0, /*End of Scope*/
/*  1717*/     0, // EndSwitchOpcode
/*  1718*/    /*Scope*/ 114|128,2/*370*/, /*->2090*/
/*  1720*/     OPC_RecordChild1, // #1 = $off
/*  1721*/     OPC_Scope, 77|128,1/*205*/, /*->1929*/ // 3 children in Scope
/*  1724*/      OPC_MoveChild1,
/*  1725*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  1728*/      OPC_MoveParent,
/*  1729*/      OPC_MoveChild2,
/*  1730*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1733*/      OPC_RecordChild0, // #2 = $val
/*  1734*/      OPC_MoveParent,
/*  1735*/      OPC_Scope, 63, /*->1800*/ // 3 children in Scope
/*  1737*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1739*/       OPC_MoveParent,
/*  1740*/       OPC_Scope, 28, /*->1770*/ // 2 children in Scope
/*  1742*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1744*/        OPC_EmitMergeInputChains1_0,
/*  1745*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1748*/        OPC_EmitConvertToTarget, 1,
/*  1750*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1753*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  1760*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1770*/       /*Scope*/ 28, /*->1799*/
/*  1771*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1773*/        OPC_EmitMergeInputChains1_0,
/*  1774*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1777*/        OPC_EmitConvertToTarget, 1,
/*  1779*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1782*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  1789*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1799*/       0, /*End of Scope*/
/*  1800*/      /*Scope*/ 63, /*->1864*/
/*  1801*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1803*/       OPC_MoveParent,
/*  1804*/       OPC_Scope, 28, /*->1834*/ // 2 children in Scope
/*  1806*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1808*/        OPC_EmitMergeInputChains1_0,
/*  1809*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1812*/        OPC_EmitConvertToTarget, 1,
/*  1814*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1817*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  1824*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1834*/       /*Scope*/ 28, /*->1863*/
/*  1835*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1837*/        OPC_EmitMergeInputChains1_0,
/*  1838*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1841*/        OPC_EmitConvertToTarget, 1,
/*  1843*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1846*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  1853*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1863*/       0, /*End of Scope*/
/*  1864*/      /*Scope*/ 63, /*->1928*/
/*  1865*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1867*/       OPC_MoveParent,
/*  1868*/       OPC_Scope, 28, /*->1898*/ // 2 children in Scope
/*  1870*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1872*/        OPC_EmitMergeInputChains1_0,
/*  1873*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1876*/        OPC_EmitConvertToTarget, 1,
/*  1878*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1881*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  1888*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1898*/       /*Scope*/ 28, /*->1927*/
/*  1899*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1901*/        OPC_EmitMergeInputChains1_0,
/*  1902*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1905*/        OPC_EmitConvertToTarget, 1,
/*  1907*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1910*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  1917*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1927*/       0, /*End of Scope*/
/*  1928*/      0, /*End of Scope*/
/*  1929*/     /*Scope*/ 79, /*->2009*/
/*  1930*/      OPC_CheckChild1Type, MVT::i32,
/*  1932*/      OPC_MoveChild2,
/*  1933*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1936*/      OPC_RecordChild0, // #2 = $val
/*  1937*/      OPC_MoveParent,
/*  1938*/      OPC_Scope, 22, /*->1962*/ // 3 children in Scope
/*  1940*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1942*/       OPC_MoveParent,
/*  1943*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1945*/       OPC_EmitMergeInputChains1_0,
/*  1946*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1949*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1952*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1962*/      /*Scope*/ 22, /*->1985*/
/*  1963*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1965*/       OPC_MoveParent,
/*  1966*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1968*/       OPC_EmitMergeInputChains1_0,
/*  1969*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1972*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1975*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1985*/      /*Scope*/ 22, /*->2008*/
/*  1986*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1988*/       OPC_MoveParent,
/*  1989*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1991*/       OPC_EmitMergeInputChains1_0,
/*  1992*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1995*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1998*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2008*/      0, /*End of Scope*/
/*  2009*/     /*Scope*/ 79, /*->2089*/
/*  2010*/      OPC_CheckChild1Type, MVT::i64,
/*  2012*/      OPC_MoveChild2,
/*  2013*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2016*/      OPC_RecordChild0, // #2 = $val
/*  2017*/      OPC_MoveParent,
/*  2018*/      OPC_Scope, 22, /*->2042*/ // 3 children in Scope
/*  2020*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  2022*/       OPC_MoveParent,
/*  2023*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2025*/       OPC_EmitMergeInputChains1_0,
/*  2026*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2029*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2032*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2042*/      /*Scope*/ 22, /*->2065*/
/*  2043*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  2045*/       OPC_MoveParent,
/*  2046*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2048*/       OPC_EmitMergeInputChains1_0,
/*  2049*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2052*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2055*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2065*/      /*Scope*/ 22, /*->2088*/
/*  2066*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  2068*/       OPC_MoveParent,
/*  2069*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2071*/       OPC_EmitMergeInputChains1_0,
/*  2072*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2075*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2078*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2088*/      0, /*End of Scope*/
/*  2089*/     0, /*End of Scope*/
/*  2090*/    0, /*End of Scope*/
/*  2091*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->3013
/*  2095*/    OPC_RecordMemRef,
/*  2096*/    OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*  2097*/    OPC_Scope, 28|128,4/*540*/, /*->2640*/ // 2 children in Scope
/*  2100*/     OPC_MoveChild1,
/*  2101*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->2271
/*  2106*/      OPC_RecordChild0, // #1 = $addr
/*  2107*/      OPC_RecordChild1, // #2 = $off
/*  2108*/      OPC_MoveChild1,
/*  2109*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2112*/      OPC_MoveParent,
/*  2113*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  2115*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->2193
/*  2118*/       OPC_MoveParent,
/*  2119*/       OPC_MoveChild2,
/*  2120*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2123*/       OPC_RecordChild0, // #3 = $val
/*  2124*/       OPC_MoveParent,
/*  2125*/       OPC_Scope, 21, /*->2148*/ // 3 children in Scope
/*  2127*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2129*/        OPC_MoveParent,
/*  2130*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2132*/        OPC_EmitMergeInputChains1_0,
/*  2133*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2136*/        OPC_EmitConvertToTarget, 2,
/*  2138*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2148*/       /*Scope*/ 21, /*->2170*/
/*  2149*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2151*/        OPC_MoveParent,
/*  2152*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2154*/        OPC_EmitMergeInputChains1_0,
/*  2155*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2158*/        OPC_EmitConvertToTarget, 2,
/*  2160*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2170*/       /*Scope*/ 21, /*->2192*/
/*  2171*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2173*/        OPC_MoveParent,
/*  2174*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2176*/        OPC_EmitMergeInputChains1_0,
/*  2177*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2180*/        OPC_EmitConvertToTarget, 2,
/*  2182*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2192*/       0, /*End of Scope*/
/*  2193*/      /*SwitchType*/ 75, MVT::i64,// ->2270
/*  2195*/       OPC_MoveParent,
/*  2196*/       OPC_MoveChild2,
/*  2197*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2200*/       OPC_RecordChild0, // #3 = $val
/*  2201*/       OPC_MoveParent,
/*  2202*/       OPC_Scope, 21, /*->2225*/ // 3 children in Scope
/*  2204*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2206*/        OPC_MoveParent,
/*  2207*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2209*/        OPC_EmitMergeInputChains1_0,
/*  2210*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2213*/        OPC_EmitConvertToTarget, 2,
/*  2215*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2225*/       /*Scope*/ 21, /*->2247*/
/*  2226*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2228*/        OPC_MoveParent,
/*  2229*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2231*/        OPC_EmitMergeInputChains1_0,
/*  2232*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2235*/        OPC_EmitConvertToTarget, 2,
/*  2237*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2247*/       /*Scope*/ 21, /*->2269*/
/*  2248*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2250*/        OPC_MoveParent,
/*  2251*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2253*/        OPC_EmitMergeInputChains1_0,
/*  2254*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2257*/        OPC_EmitConvertToTarget, 2,
/*  2259*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2269*/       0, /*End of Scope*/
/*  2270*/      0, // EndSwitchType
/*  2271*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->2440
/*  2275*/      OPC_RecordChild0, // #1 = $addr
/*  2276*/      OPC_RecordChild1, // #2 = $off
/*  2277*/      OPC_MoveChild1,
/*  2278*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2281*/      OPC_MoveParent,
/*  2282*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  2284*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->2362
/*  2287*/       OPC_MoveParent,
/*  2288*/       OPC_MoveChild2,
/*  2289*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2292*/       OPC_RecordChild0, // #3 = $val
/*  2293*/       OPC_MoveParent,
/*  2294*/       OPC_Scope, 21, /*->2317*/ // 3 children in Scope
/*  2296*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2298*/        OPC_MoveParent,
/*  2299*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2301*/        OPC_EmitMergeInputChains1_0,
/*  2302*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2305*/        OPC_EmitConvertToTarget, 2,
/*  2307*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2317*/       /*Scope*/ 21, /*->2339*/
/*  2318*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2320*/        OPC_MoveParent,
/*  2321*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2323*/        OPC_EmitMergeInputChains1_0,
/*  2324*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2327*/        OPC_EmitConvertToTarget, 2,
/*  2329*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2339*/       /*Scope*/ 21, /*->2361*/
/*  2340*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2342*/        OPC_MoveParent,
/*  2343*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2345*/        OPC_EmitMergeInputChains1_0,
/*  2346*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2349*/        OPC_EmitConvertToTarget, 2,
/*  2351*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2361*/       0, /*End of Scope*/
/*  2362*/      /*SwitchType*/ 75, MVT::i64,// ->2439
/*  2364*/       OPC_MoveParent,
/*  2365*/       OPC_MoveChild2,
/*  2366*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2369*/       OPC_RecordChild0, // #3 = $val
/*  2370*/       OPC_MoveParent,
/*  2371*/       OPC_Scope, 21, /*->2394*/ // 3 children in Scope
/*  2373*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2375*/        OPC_MoveParent,
/*  2376*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2378*/        OPC_EmitMergeInputChains1_0,
/*  2379*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2382*/        OPC_EmitConvertToTarget, 2,
/*  2384*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2394*/       /*Scope*/ 21, /*->2416*/
/*  2395*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2397*/        OPC_MoveParent,
/*  2398*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2400*/        OPC_EmitMergeInputChains1_0,
/*  2401*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2404*/        OPC_EmitConvertToTarget, 2,
/*  2406*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2416*/       /*Scope*/ 21, /*->2438*/
/*  2417*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2419*/        OPC_MoveParent,
/*  2420*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2422*/        OPC_EmitMergeInputChains1_0,
/*  2423*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2426*/        OPC_EmitConvertToTarget, 2,
/*  2428*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2438*/       0, /*End of Scope*/
/*  2439*/      0, // EndSwitchType
/*  2440*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->2639
/*  2444*/      OPC_RecordChild0, // #1 = $off
/*  2445*/      OPC_MoveChild0,
/*  2446*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  2449*/      OPC_MoveParent,
/*  2450*/      OPC_MoveParent,
/*  2451*/      OPC_MoveChild2,
/*  2452*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2455*/      OPC_RecordChild0, // #2 = $val
/*  2456*/      OPC_MoveParent,
/*  2457*/      OPC_Scope, 59, /*->2518*/ // 3 children in Scope
/*  2459*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2461*/       OPC_MoveParent,
/*  2462*/       OPC_Scope, 26, /*->2490*/ // 2 children in Scope
/*  2464*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2466*/        OPC_EmitMergeInputChains1_0,
/*  2467*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2470*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2473*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  2480*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2490*/       /*Scope*/ 26, /*->2517*/
/*  2491*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2493*/        OPC_EmitMergeInputChains1_0,
/*  2494*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2497*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2500*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  2507*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2517*/       0, /*End of Scope*/
/*  2518*/      /*Scope*/ 59, /*->2578*/
/*  2519*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2521*/       OPC_MoveParent,
/*  2522*/       OPC_Scope, 26, /*->2550*/ // 2 children in Scope
/*  2524*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2526*/        OPC_EmitMergeInputChains1_0,
/*  2527*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2530*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2533*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  2540*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2550*/       /*Scope*/ 26, /*->2577*/
/*  2551*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2553*/        OPC_EmitMergeInputChains1_0,
/*  2554*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2557*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2560*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  2567*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2577*/       0, /*End of Scope*/
/*  2578*/      /*Scope*/ 59, /*->2638*/
/*  2579*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2581*/       OPC_MoveParent,
/*  2582*/       OPC_Scope, 26, /*->2610*/ // 2 children in Scope
/*  2584*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2586*/        OPC_EmitMergeInputChains1_0,
/*  2587*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2590*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2593*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  2600*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2610*/       /*Scope*/ 26, /*->2637*/
/*  2611*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2613*/        OPC_EmitMergeInputChains1_0,
/*  2614*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2617*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2620*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  2627*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2637*/       0, /*End of Scope*/
/*  2638*/      0, /*End of Scope*/
/*  2639*/     0, // EndSwitchOpcode
/*  2640*/    /*Scope*/ 114|128,2/*370*/, /*->3012*/
/*  2642*/     OPC_RecordChild1, // #1 = $off
/*  2643*/     OPC_Scope, 77|128,1/*205*/, /*->2851*/ // 3 children in Scope
/*  2646*/      OPC_MoveChild1,
/*  2647*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2650*/      OPC_MoveParent,
/*  2651*/      OPC_MoveChild2,
/*  2652*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2655*/      OPC_RecordChild0, // #2 = $val
/*  2656*/      OPC_MoveParent,
/*  2657*/      OPC_Scope, 63, /*->2722*/ // 3 children in Scope
/*  2659*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2661*/       OPC_MoveParent,
/*  2662*/       OPC_Scope, 28, /*->2692*/ // 2 children in Scope
/*  2664*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2666*/        OPC_EmitMergeInputChains1_0,
/*  2667*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2670*/        OPC_EmitConvertToTarget, 1,
/*  2672*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2675*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  2682*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2692*/       /*Scope*/ 28, /*->2721*/
/*  2693*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2695*/        OPC_EmitMergeInputChains1_0,
/*  2696*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2699*/        OPC_EmitConvertToTarget, 1,
/*  2701*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2704*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  2711*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2721*/       0, /*End of Scope*/
/*  2722*/      /*Scope*/ 63, /*->2786*/
/*  2723*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2725*/       OPC_MoveParent,
/*  2726*/       OPC_Scope, 28, /*->2756*/ // 2 children in Scope
/*  2728*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2730*/        OPC_EmitMergeInputChains1_0,
/*  2731*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2734*/        OPC_EmitConvertToTarget, 1,
/*  2736*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2739*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  2746*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2756*/       /*Scope*/ 28, /*->2785*/
/*  2757*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2759*/        OPC_EmitMergeInputChains1_0,
/*  2760*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2763*/        OPC_EmitConvertToTarget, 1,
/*  2765*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2768*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  2775*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2785*/       0, /*End of Scope*/
/*  2786*/      /*Scope*/ 63, /*->2850*/
/*  2787*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2789*/       OPC_MoveParent,
/*  2790*/       OPC_Scope, 28, /*->2820*/ // 2 children in Scope
/*  2792*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2794*/        OPC_EmitMergeInputChains1_0,
/*  2795*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2798*/        OPC_EmitConvertToTarget, 1,
/*  2800*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2803*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  2810*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2820*/       /*Scope*/ 28, /*->2849*/
/*  2821*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2823*/        OPC_EmitMergeInputChains1_0,
/*  2824*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2827*/        OPC_EmitConvertToTarget, 1,
/*  2829*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2832*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  2839*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2849*/       0, /*End of Scope*/
/*  2850*/      0, /*End of Scope*/
/*  2851*/     /*Scope*/ 79, /*->2931*/
/*  2852*/      OPC_CheckChild1Type, MVT::i32,
/*  2854*/      OPC_MoveChild2,
/*  2855*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2858*/      OPC_RecordChild0, // #2 = $val
/*  2859*/      OPC_MoveParent,
/*  2860*/      OPC_Scope, 22, /*->2884*/ // 3 children in Scope
/*  2862*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2864*/       OPC_MoveParent,
/*  2865*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2867*/       OPC_EmitMergeInputChains1_0,
/*  2868*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2871*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2874*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2884*/      /*Scope*/ 22, /*->2907*/
/*  2885*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2887*/       OPC_MoveParent,
/*  2888*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2890*/       OPC_EmitMergeInputChains1_0,
/*  2891*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2894*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2897*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2907*/      /*Scope*/ 22, /*->2930*/
/*  2908*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2910*/       OPC_MoveParent,
/*  2911*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2913*/       OPC_EmitMergeInputChains1_0,
/*  2914*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2917*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2920*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2930*/      0, /*End of Scope*/
/*  2931*/     /*Scope*/ 79, /*->3011*/
/*  2932*/      OPC_CheckChild1Type, MVT::i64,
/*  2934*/      OPC_MoveChild2,
/*  2935*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2938*/      OPC_RecordChild0, // #2 = $val
/*  2939*/      OPC_MoveParent,
/*  2940*/      OPC_Scope, 22, /*->2964*/ // 3 children in Scope
/*  2942*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2944*/       OPC_MoveParent,
/*  2945*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2947*/       OPC_EmitMergeInputChains1_0,
/*  2948*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2951*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2954*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2964*/      /*Scope*/ 22, /*->2987*/
/*  2965*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2967*/       OPC_MoveParent,
/*  2968*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2970*/       OPC_EmitMergeInputChains1_0,
/*  2971*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2974*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2977*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2987*/      /*Scope*/ 22, /*->3010*/
/*  2988*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2990*/       OPC_MoveParent,
/*  2991*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2993*/       OPC_EmitMergeInputChains1_0,
/*  2994*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2997*/       OPC_EmitInteger, MVT::i64, 0, 
/*  3000*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3010*/      0, /*End of Scope*/
/*  3011*/     0, /*End of Scope*/
/*  3012*/    0, /*End of Scope*/
/*  3013*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->3935
/*  3017*/    OPC_RecordMemRef,
/*  3018*/    OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*  3019*/    OPC_Scope, 28|128,4/*540*/, /*->3562*/ // 2 children in Scope
/*  3022*/     OPC_MoveChild1,
/*  3023*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->3193
/*  3028*/      OPC_RecordChild0, // #1 = $addr
/*  3029*/      OPC_RecordChild1, // #2 = $off
/*  3030*/      OPC_MoveChild1,
/*  3031*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3034*/      OPC_MoveParent,
/*  3035*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  3037*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->3115
/*  3040*/       OPC_MoveParent,
/*  3041*/       OPC_MoveChild2,
/*  3042*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3045*/       OPC_RecordChild0, // #3 = $val
/*  3046*/       OPC_MoveParent,
/*  3047*/       OPC_Scope, 21, /*->3070*/ // 3 children in Scope
/*  3049*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3051*/        OPC_MoveParent,
/*  3052*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3054*/        OPC_EmitMergeInputChains1_0,
/*  3055*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3058*/        OPC_EmitConvertToTarget, 2,
/*  3060*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3070*/       /*Scope*/ 21, /*->3092*/
/*  3071*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3073*/        OPC_MoveParent,
/*  3074*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3076*/        OPC_EmitMergeInputChains1_0,
/*  3077*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3080*/        OPC_EmitConvertToTarget, 2,
/*  3082*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3092*/       /*Scope*/ 21, /*->3114*/
/*  3093*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3095*/        OPC_MoveParent,
/*  3096*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3098*/        OPC_EmitMergeInputChains1_0,
/*  3099*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3102*/        OPC_EmitConvertToTarget, 2,
/*  3104*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3114*/       0, /*End of Scope*/
/*  3115*/      /*SwitchType*/ 75, MVT::i64,// ->3192
/*  3117*/       OPC_MoveParent,
/*  3118*/       OPC_MoveChild2,
/*  3119*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3122*/       OPC_RecordChild0, // #3 = $val
/*  3123*/       OPC_MoveParent,
/*  3124*/       OPC_Scope, 21, /*->3147*/ // 3 children in Scope
/*  3126*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3128*/        OPC_MoveParent,
/*  3129*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3131*/        OPC_EmitMergeInputChains1_0,
/*  3132*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3135*/        OPC_EmitConvertToTarget, 2,
/*  3137*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3147*/       /*Scope*/ 21, /*->3169*/
/*  3148*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3150*/        OPC_MoveParent,
/*  3151*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3153*/        OPC_EmitMergeInputChains1_0,
/*  3154*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3157*/        OPC_EmitConvertToTarget, 2,
/*  3159*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3169*/       /*Scope*/ 21, /*->3191*/
/*  3170*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3172*/        OPC_MoveParent,
/*  3173*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3175*/        OPC_EmitMergeInputChains1_0,
/*  3176*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3179*/        OPC_EmitConvertToTarget, 2,
/*  3181*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3191*/       0, /*End of Scope*/
/*  3192*/      0, // EndSwitchType
/*  3193*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->3362
/*  3197*/      OPC_RecordChild0, // #1 = $addr
/*  3198*/      OPC_RecordChild1, // #2 = $off
/*  3199*/      OPC_MoveChild1,
/*  3200*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3203*/      OPC_MoveParent,
/*  3204*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  3206*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->3284
/*  3209*/       OPC_MoveParent,
/*  3210*/       OPC_MoveChild2,
/*  3211*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3214*/       OPC_RecordChild0, // #3 = $val
/*  3215*/       OPC_MoveParent,
/*  3216*/       OPC_Scope, 21, /*->3239*/ // 3 children in Scope
/*  3218*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3220*/        OPC_MoveParent,
/*  3221*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3223*/        OPC_EmitMergeInputChains1_0,
/*  3224*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3227*/        OPC_EmitConvertToTarget, 2,
/*  3229*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3239*/       /*Scope*/ 21, /*->3261*/
/*  3240*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3242*/        OPC_MoveParent,
/*  3243*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3245*/        OPC_EmitMergeInputChains1_0,
/*  3246*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3249*/        OPC_EmitConvertToTarget, 2,
/*  3251*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3261*/       /*Scope*/ 21, /*->3283*/
/*  3262*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3264*/        OPC_MoveParent,
/*  3265*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3267*/        OPC_EmitMergeInputChains1_0,
/*  3268*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3271*/        OPC_EmitConvertToTarget, 2,
/*  3273*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3283*/       0, /*End of Scope*/
/*  3284*/      /*SwitchType*/ 75, MVT::i64,// ->3361
/*  3286*/       OPC_MoveParent,
/*  3287*/       OPC_MoveChild2,
/*  3288*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3291*/       OPC_RecordChild0, // #3 = $val
/*  3292*/       OPC_MoveParent,
/*  3293*/       OPC_Scope, 21, /*->3316*/ // 3 children in Scope
/*  3295*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3297*/        OPC_MoveParent,
/*  3298*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3300*/        OPC_EmitMergeInputChains1_0,
/*  3301*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3304*/        OPC_EmitConvertToTarget, 2,
/*  3306*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3316*/       /*Scope*/ 21, /*->3338*/
/*  3317*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3319*/        OPC_MoveParent,
/*  3320*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3322*/        OPC_EmitMergeInputChains1_0,
/*  3323*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3326*/        OPC_EmitConvertToTarget, 2,
/*  3328*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3338*/       /*Scope*/ 21, /*->3360*/
/*  3339*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3341*/        OPC_MoveParent,
/*  3342*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3344*/        OPC_EmitMergeInputChains1_0,
/*  3345*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3348*/        OPC_EmitConvertToTarget, 2,
/*  3350*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3360*/       0, /*End of Scope*/
/*  3361*/      0, // EndSwitchType
/*  3362*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->3561
/*  3366*/      OPC_RecordChild0, // #1 = $off
/*  3367*/      OPC_MoveChild0,
/*  3368*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3371*/      OPC_MoveParent,
/*  3372*/      OPC_MoveParent,
/*  3373*/      OPC_MoveChild2,
/*  3374*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3377*/      OPC_RecordChild0, // #2 = $val
/*  3378*/      OPC_MoveParent,
/*  3379*/      OPC_Scope, 59, /*->3440*/ // 3 children in Scope
/*  3381*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3383*/       OPC_MoveParent,
/*  3384*/       OPC_Scope, 26, /*->3412*/ // 2 children in Scope
/*  3386*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3388*/        OPC_EmitMergeInputChains1_0,
/*  3389*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3392*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3395*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  3402*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3412*/       /*Scope*/ 26, /*->3439*/
/*  3413*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3415*/        OPC_EmitMergeInputChains1_0,
/*  3416*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3419*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3422*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  3429*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3439*/       0, /*End of Scope*/
/*  3440*/      /*Scope*/ 59, /*->3500*/
/*  3441*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3443*/       OPC_MoveParent,
/*  3444*/       OPC_Scope, 26, /*->3472*/ // 2 children in Scope
/*  3446*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3448*/        OPC_EmitMergeInputChains1_0,
/*  3449*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3452*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3455*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  3462*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3472*/       /*Scope*/ 26, /*->3499*/
/*  3473*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3475*/        OPC_EmitMergeInputChains1_0,
/*  3476*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3479*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3482*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  3489*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3499*/       0, /*End of Scope*/
/*  3500*/      /*Scope*/ 59, /*->3560*/
/*  3501*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3503*/       OPC_MoveParent,
/*  3504*/       OPC_Scope, 26, /*->3532*/ // 2 children in Scope
/*  3506*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3508*/        OPC_EmitMergeInputChains1_0,
/*  3509*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3512*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3515*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  3522*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3532*/       /*Scope*/ 26, /*->3559*/
/*  3533*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3535*/        OPC_EmitMergeInputChains1_0,
/*  3536*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3539*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3542*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  3549*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3559*/       0, /*End of Scope*/
/*  3560*/      0, /*End of Scope*/
/*  3561*/     0, // EndSwitchOpcode
/*  3562*/    /*Scope*/ 114|128,2/*370*/, /*->3934*/
/*  3564*/     OPC_RecordChild1, // #1 = $off
/*  3565*/     OPC_Scope, 77|128,1/*205*/, /*->3773*/ // 3 children in Scope
/*  3568*/      OPC_MoveChild1,
/*  3569*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3572*/      OPC_MoveParent,
/*  3573*/      OPC_MoveChild2,
/*  3574*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3577*/      OPC_RecordChild0, // #2 = $val
/*  3578*/      OPC_MoveParent,
/*  3579*/      OPC_Scope, 63, /*->3644*/ // 3 children in Scope
/*  3581*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3583*/       OPC_MoveParent,
/*  3584*/       OPC_Scope, 28, /*->3614*/ // 2 children in Scope
/*  3586*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3588*/        OPC_EmitMergeInputChains1_0,
/*  3589*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3592*/        OPC_EmitConvertToTarget, 1,
/*  3594*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3597*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  3604*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3614*/       /*Scope*/ 28, /*->3643*/
/*  3615*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3617*/        OPC_EmitMergeInputChains1_0,
/*  3618*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3621*/        OPC_EmitConvertToTarget, 1,
/*  3623*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3626*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  3633*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3643*/       0, /*End of Scope*/
/*  3644*/      /*Scope*/ 63, /*->3708*/
/*  3645*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3647*/       OPC_MoveParent,
/*  3648*/       OPC_Scope, 28, /*->3678*/ // 2 children in Scope
/*  3650*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3652*/        OPC_EmitMergeInputChains1_0,
/*  3653*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3656*/        OPC_EmitConvertToTarget, 1,
/*  3658*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3661*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  3668*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3678*/       /*Scope*/ 28, /*->3707*/
/*  3679*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3681*/        OPC_EmitMergeInputChains1_0,
/*  3682*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3685*/        OPC_EmitConvertToTarget, 1,
/*  3687*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3690*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  3697*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3707*/       0, /*End of Scope*/
/*  3708*/      /*Scope*/ 63, /*->3772*/
/*  3709*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3711*/       OPC_MoveParent,
/*  3712*/       OPC_Scope, 28, /*->3742*/ // 2 children in Scope
/*  3714*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3716*/        OPC_EmitMergeInputChains1_0,
/*  3717*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3720*/        OPC_EmitConvertToTarget, 1,
/*  3722*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3725*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  3732*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3742*/       /*Scope*/ 28, /*->3771*/
/*  3743*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3745*/        OPC_EmitMergeInputChains1_0,
/*  3746*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3749*/        OPC_EmitConvertToTarget, 1,
/*  3751*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3754*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  3761*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3771*/       0, /*End of Scope*/
/*  3772*/      0, /*End of Scope*/
/*  3773*/     /*Scope*/ 79, /*->3853*/
/*  3774*/      OPC_CheckChild1Type, MVT::i32,
/*  3776*/      OPC_MoveChild2,
/*  3777*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3780*/      OPC_RecordChild0, // #2 = $val
/*  3781*/      OPC_MoveParent,
/*  3782*/      OPC_Scope, 22, /*->3806*/ // 3 children in Scope
/*  3784*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3786*/       OPC_MoveParent,
/*  3787*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3789*/       OPC_EmitMergeInputChains1_0,
/*  3790*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3793*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3796*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3806*/      /*Scope*/ 22, /*->3829*/
/*  3807*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3809*/       OPC_MoveParent,
/*  3810*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3812*/       OPC_EmitMergeInputChains1_0,
/*  3813*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3816*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3819*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3829*/      /*Scope*/ 22, /*->3852*/
/*  3830*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3832*/       OPC_MoveParent,
/*  3833*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3835*/       OPC_EmitMergeInputChains1_0,
/*  3836*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3839*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3842*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3852*/      0, /*End of Scope*/
/*  3853*/     /*Scope*/ 79, /*->3933*/
/*  3854*/      OPC_CheckChild1Type, MVT::i64,
/*  3856*/      OPC_MoveChild2,
/*  3857*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3860*/      OPC_RecordChild0, // #2 = $val
/*  3861*/      OPC_MoveParent,
/*  3862*/      OPC_Scope, 22, /*->3886*/ // 3 children in Scope
/*  3864*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3866*/       OPC_MoveParent,
/*  3867*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3869*/       OPC_EmitMergeInputChains1_0,
/*  3870*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3873*/       OPC_EmitInteger, MVT::i64, 0, 
/*  3876*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3886*/      /*Scope*/ 22, /*->3909*/
/*  3887*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3889*/       OPC_MoveParent,
/*  3890*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3892*/       OPC_EmitMergeInputChains1_0,
/*  3893*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3896*/       OPC_EmitInteger, MVT::i64, 0, 
/*  3899*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3909*/      /*Scope*/ 22, /*->3932*/
/*  3910*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3912*/       OPC_MoveParent,
/*  3913*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3915*/       OPC_EmitMergeInputChains1_0,
/*  3916*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3919*/       OPC_EmitInteger, MVT::i64, 0, 
/*  3922*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3932*/      0, /*End of Scope*/
/*  3933*/     0, /*End of Scope*/
/*  3934*/    0, /*End of Scope*/
/*  3935*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->4857
/*  3939*/    OPC_RecordMemRef,
/*  3940*/    OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/*  3941*/    OPC_Scope, 28|128,4/*540*/, /*->4484*/ // 2 children in Scope
/*  3944*/     OPC_MoveChild1,
/*  3945*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->4115
/*  3950*/      OPC_RecordChild0, // #1 = $addr
/*  3951*/      OPC_RecordChild1, // #2 = $off
/*  3952*/      OPC_MoveChild1,
/*  3953*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3956*/      OPC_MoveParent,
/*  3957*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  3959*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->4037
/*  3962*/       OPC_MoveParent,
/*  3963*/       OPC_MoveChild2,
/*  3964*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3967*/       OPC_RecordChild0, // #3 = $val
/*  3968*/       OPC_MoveParent,
/*  3969*/       OPC_Scope, 21, /*->3992*/ // 3 children in Scope
/*  3971*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  3973*/        OPC_MoveParent,
/*  3974*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3976*/        OPC_EmitMergeInputChains1_0,
/*  3977*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3980*/        OPC_EmitConvertToTarget, 2,
/*  3982*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3992*/       /*Scope*/ 21, /*->4014*/
/*  3993*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  3995*/        OPC_MoveParent,
/*  3996*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3998*/        OPC_EmitMergeInputChains1_0,
/*  3999*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4002*/        OPC_EmitConvertToTarget, 2,
/*  4004*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4014*/       /*Scope*/ 21, /*->4036*/
/*  4015*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4017*/        OPC_MoveParent,
/*  4018*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4020*/        OPC_EmitMergeInputChains1_0,
/*  4021*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4024*/        OPC_EmitConvertToTarget, 2,
/*  4026*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4036*/       0, /*End of Scope*/
/*  4037*/      /*SwitchType*/ 75, MVT::i64,// ->4114
/*  4039*/       OPC_MoveParent,
/*  4040*/       OPC_MoveChild2,
/*  4041*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4044*/       OPC_RecordChild0, // #3 = $val
/*  4045*/       OPC_MoveParent,
/*  4046*/       OPC_Scope, 21, /*->4069*/ // 3 children in Scope
/*  4048*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4050*/        OPC_MoveParent,
/*  4051*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4053*/        OPC_EmitMergeInputChains1_0,
/*  4054*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4057*/        OPC_EmitConvertToTarget, 2,
/*  4059*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4069*/       /*Scope*/ 21, /*->4091*/
/*  4070*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4072*/        OPC_MoveParent,
/*  4073*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4075*/        OPC_EmitMergeInputChains1_0,
/*  4076*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4079*/        OPC_EmitConvertToTarget, 2,
/*  4081*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4091*/       /*Scope*/ 21, /*->4113*/
/*  4092*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4094*/        OPC_MoveParent,
/*  4095*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4097*/        OPC_EmitMergeInputChains1_0,
/*  4098*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4101*/        OPC_EmitConvertToTarget, 2,
/*  4103*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4113*/       0, /*End of Scope*/
/*  4114*/      0, // EndSwitchType
/*  4115*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->4284
/*  4119*/      OPC_RecordChild0, // #1 = $addr
/*  4120*/      OPC_RecordChild1, // #2 = $off
/*  4121*/      OPC_MoveChild1,
/*  4122*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4125*/      OPC_MoveParent,
/*  4126*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  4128*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->4206
/*  4131*/       OPC_MoveParent,
/*  4132*/       OPC_MoveChild2,
/*  4133*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4136*/       OPC_RecordChild0, // #3 = $val
/*  4137*/       OPC_MoveParent,
/*  4138*/       OPC_Scope, 21, /*->4161*/ // 3 children in Scope
/*  4140*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4142*/        OPC_MoveParent,
/*  4143*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4145*/        OPC_EmitMergeInputChains1_0,
/*  4146*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4149*/        OPC_EmitConvertToTarget, 2,
/*  4151*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4161*/       /*Scope*/ 21, /*->4183*/
/*  4162*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4164*/        OPC_MoveParent,
/*  4165*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4167*/        OPC_EmitMergeInputChains1_0,
/*  4168*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4171*/        OPC_EmitConvertToTarget, 2,
/*  4173*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4183*/       /*Scope*/ 21, /*->4205*/
/*  4184*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4186*/        OPC_MoveParent,
/*  4187*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4189*/        OPC_EmitMergeInputChains1_0,
/*  4190*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4193*/        OPC_EmitConvertToTarget, 2,
/*  4195*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4205*/       0, /*End of Scope*/
/*  4206*/      /*SwitchType*/ 75, MVT::i64,// ->4283
/*  4208*/       OPC_MoveParent,
/*  4209*/       OPC_MoveChild2,
/*  4210*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4213*/       OPC_RecordChild0, // #3 = $val
/*  4214*/       OPC_MoveParent,
/*  4215*/       OPC_Scope, 21, /*->4238*/ // 3 children in Scope
/*  4217*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4219*/        OPC_MoveParent,
/*  4220*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4222*/        OPC_EmitMergeInputChains1_0,
/*  4223*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4226*/        OPC_EmitConvertToTarget, 2,
/*  4228*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4238*/       /*Scope*/ 21, /*->4260*/
/*  4239*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4241*/        OPC_MoveParent,
/*  4242*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4244*/        OPC_EmitMergeInputChains1_0,
/*  4245*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4248*/        OPC_EmitConvertToTarget, 2,
/*  4250*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4260*/       /*Scope*/ 21, /*->4282*/
/*  4261*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4263*/        OPC_MoveParent,
/*  4264*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4266*/        OPC_EmitMergeInputChains1_0,
/*  4267*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4270*/        OPC_EmitConvertToTarget, 2,
/*  4272*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4282*/       0, /*End of Scope*/
/*  4283*/      0, // EndSwitchType
/*  4284*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->4483
/*  4288*/      OPC_RecordChild0, // #1 = $off
/*  4289*/      OPC_MoveChild0,
/*  4290*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  4293*/      OPC_MoveParent,
/*  4294*/      OPC_MoveParent,
/*  4295*/      OPC_MoveChild2,
/*  4296*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4299*/      OPC_RecordChild0, // #2 = $val
/*  4300*/      OPC_MoveParent,
/*  4301*/      OPC_Scope, 59, /*->4362*/ // 3 children in Scope
/*  4303*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4305*/       OPC_MoveParent,
/*  4306*/       OPC_Scope, 26, /*->4334*/ // 2 children in Scope
/*  4308*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4310*/        OPC_EmitMergeInputChains1_0,
/*  4311*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4314*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4317*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  4324*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4334*/       /*Scope*/ 26, /*->4361*/
/*  4335*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4337*/        OPC_EmitMergeInputChains1_0,
/*  4338*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4341*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4344*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  4351*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4361*/       0, /*End of Scope*/
/*  4362*/      /*Scope*/ 59, /*->4422*/
/*  4363*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4365*/       OPC_MoveParent,
/*  4366*/       OPC_Scope, 26, /*->4394*/ // 2 children in Scope
/*  4368*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4370*/        OPC_EmitMergeInputChains1_0,
/*  4371*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4374*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4377*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  4384*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4394*/       /*Scope*/ 26, /*->4421*/
/*  4395*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4397*/        OPC_EmitMergeInputChains1_0,
/*  4398*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4401*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4404*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  4411*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4421*/       0, /*End of Scope*/
/*  4422*/      /*Scope*/ 59, /*->4482*/
/*  4423*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4425*/       OPC_MoveParent,
/*  4426*/       OPC_Scope, 26, /*->4454*/ // 2 children in Scope
/*  4428*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4430*/        OPC_EmitMergeInputChains1_0,
/*  4431*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4434*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4437*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  4444*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4454*/       /*Scope*/ 26, /*->4481*/
/*  4455*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4457*/        OPC_EmitMergeInputChains1_0,
/*  4458*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4461*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4464*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  4471*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4481*/       0, /*End of Scope*/
/*  4482*/      0, /*End of Scope*/
/*  4483*/     0, // EndSwitchOpcode
/*  4484*/    /*Scope*/ 114|128,2/*370*/, /*->4856*/
/*  4486*/     OPC_RecordChild1, // #1 = $off
/*  4487*/     OPC_Scope, 77|128,1/*205*/, /*->4695*/ // 3 children in Scope
/*  4490*/      OPC_MoveChild1,
/*  4491*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4494*/      OPC_MoveParent,
/*  4495*/      OPC_MoveChild2,
/*  4496*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4499*/      OPC_RecordChild0, // #2 = $val
/*  4500*/      OPC_MoveParent,
/*  4501*/      OPC_Scope, 63, /*->4566*/ // 3 children in Scope
/*  4503*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4505*/       OPC_MoveParent,
/*  4506*/       OPC_Scope, 28, /*->4536*/ // 2 children in Scope
/*  4508*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4510*/        OPC_EmitMergeInputChains1_0,
/*  4511*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4514*/        OPC_EmitConvertToTarget, 1,
/*  4516*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4519*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  4526*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4536*/       /*Scope*/ 28, /*->4565*/
/*  4537*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4539*/        OPC_EmitMergeInputChains1_0,
/*  4540*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4543*/        OPC_EmitConvertToTarget, 1,
/*  4545*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4548*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  4555*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4565*/       0, /*End of Scope*/
/*  4566*/      /*Scope*/ 63, /*->4630*/
/*  4567*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4569*/       OPC_MoveParent,
/*  4570*/       OPC_Scope, 28, /*->4600*/ // 2 children in Scope
/*  4572*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4574*/        OPC_EmitMergeInputChains1_0,
/*  4575*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4578*/        OPC_EmitConvertToTarget, 1,
/*  4580*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4583*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  4590*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4600*/       /*Scope*/ 28, /*->4629*/
/*  4601*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4603*/        OPC_EmitMergeInputChains1_0,
/*  4604*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4607*/        OPC_EmitConvertToTarget, 1,
/*  4609*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4612*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  4619*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4629*/       0, /*End of Scope*/
/*  4630*/      /*Scope*/ 63, /*->4694*/
/*  4631*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4633*/       OPC_MoveParent,
/*  4634*/       OPC_Scope, 28, /*->4664*/ // 2 children in Scope
/*  4636*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4638*/        OPC_EmitMergeInputChains1_0,
/*  4639*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4642*/        OPC_EmitConvertToTarget, 1,
/*  4644*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4647*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  4654*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4664*/       /*Scope*/ 28, /*->4693*/
/*  4665*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4667*/        OPC_EmitMergeInputChains1_0,
/*  4668*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4671*/        OPC_EmitConvertToTarget, 1,
/*  4673*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4676*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  4683*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4693*/       0, /*End of Scope*/
/*  4694*/      0, /*End of Scope*/
/*  4695*/     /*Scope*/ 79, /*->4775*/
/*  4696*/      OPC_CheckChild1Type, MVT::i32,
/*  4698*/      OPC_MoveChild2,
/*  4699*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4702*/      OPC_RecordChild0, // #2 = $val
/*  4703*/      OPC_MoveParent,
/*  4704*/      OPC_Scope, 22, /*->4728*/ // 3 children in Scope
/*  4706*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4708*/       OPC_MoveParent,
/*  4709*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4711*/       OPC_EmitMergeInputChains1_0,
/*  4712*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4715*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4718*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4728*/      /*Scope*/ 22, /*->4751*/
/*  4729*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4731*/       OPC_MoveParent,
/*  4732*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4734*/       OPC_EmitMergeInputChains1_0,
/*  4735*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4738*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4741*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4751*/      /*Scope*/ 22, /*->4774*/
/*  4752*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4754*/       OPC_MoveParent,
/*  4755*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4757*/       OPC_EmitMergeInputChains1_0,
/*  4758*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4761*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4764*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4774*/      0, /*End of Scope*/
/*  4775*/     /*Scope*/ 79, /*->4855*/
/*  4776*/      OPC_CheckChild1Type, MVT::i64,
/*  4778*/      OPC_MoveChild2,
/*  4779*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4782*/      OPC_RecordChild0, // #2 = $val
/*  4783*/      OPC_MoveParent,
/*  4784*/      OPC_Scope, 22, /*->4808*/ // 3 children in Scope
/*  4786*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4788*/       OPC_MoveParent,
/*  4789*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4791*/       OPC_EmitMergeInputChains1_0,
/*  4792*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4795*/       OPC_EmitInteger, MVT::i64, 0, 
/*  4798*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4808*/      /*Scope*/ 22, /*->4831*/
/*  4809*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4811*/       OPC_MoveParent,
/*  4812*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4814*/       OPC_EmitMergeInputChains1_0,
/*  4815*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4818*/       OPC_EmitInteger, MVT::i64, 0, 
/*  4821*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4831*/      /*Scope*/ 22, /*->4854*/
/*  4832*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4834*/       OPC_MoveParent,
/*  4835*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4837*/       OPC_EmitMergeInputChains1_0,
/*  4838*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4841*/       OPC_EmitInteger, MVT::i64, 0, 
/*  4844*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4854*/      0, /*End of Scope*/
/*  4855*/     0, /*End of Scope*/
/*  4856*/    0, /*End of Scope*/
/*  4857*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->5779
/*  4861*/    OPC_RecordMemRef,
/*  4862*/    OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/*  4863*/    OPC_Scope, 28|128,4/*540*/, /*->5406*/ // 2 children in Scope
/*  4866*/     OPC_MoveChild1,
/*  4867*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->5037
/*  4872*/      OPC_RecordChild0, // #1 = $addr
/*  4873*/      OPC_RecordChild1, // #2 = $off
/*  4874*/      OPC_MoveChild1,
/*  4875*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4878*/      OPC_MoveParent,
/*  4879*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  4881*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->4959
/*  4884*/       OPC_MoveParent,
/*  4885*/       OPC_MoveChild2,
/*  4886*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4889*/       OPC_RecordChild0, // #3 = $val
/*  4890*/       OPC_MoveParent,
/*  4891*/       OPC_Scope, 21, /*->4914*/ // 3 children in Scope
/*  4893*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  4895*/        OPC_MoveParent,
/*  4896*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4898*/        OPC_EmitMergeInputChains1_0,
/*  4899*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4902*/        OPC_EmitConvertToTarget, 2,
/*  4904*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4914*/       /*Scope*/ 21, /*->4936*/
/*  4915*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  4917*/        OPC_MoveParent,
/*  4918*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4920*/        OPC_EmitMergeInputChains1_0,
/*  4921*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4924*/        OPC_EmitConvertToTarget, 2,
/*  4926*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4936*/       /*Scope*/ 21, /*->4958*/
/*  4937*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  4939*/        OPC_MoveParent,
/*  4940*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4942*/        OPC_EmitMergeInputChains1_0,
/*  4943*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4946*/        OPC_EmitConvertToTarget, 2,
/*  4948*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4958*/       0, /*End of Scope*/
/*  4959*/      /*SwitchType*/ 75, MVT::i64,// ->5036
/*  4961*/       OPC_MoveParent,
/*  4962*/       OPC_MoveChild2,
/*  4963*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4966*/       OPC_RecordChild0, // #3 = $val
/*  4967*/       OPC_MoveParent,
/*  4968*/       OPC_Scope, 21, /*->4991*/ // 3 children in Scope
/*  4970*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  4972*/        OPC_MoveParent,
/*  4973*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4975*/        OPC_EmitMergeInputChains1_0,
/*  4976*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4979*/        OPC_EmitConvertToTarget, 2,
/*  4981*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4991*/       /*Scope*/ 21, /*->5013*/
/*  4992*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  4994*/        OPC_MoveParent,
/*  4995*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4997*/        OPC_EmitMergeInputChains1_0,
/*  4998*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5001*/        OPC_EmitConvertToTarget, 2,
/*  5003*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5013*/       /*Scope*/ 21, /*->5035*/
/*  5014*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5016*/        OPC_MoveParent,
/*  5017*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5019*/        OPC_EmitMergeInputChains1_0,
/*  5020*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5023*/        OPC_EmitConvertToTarget, 2,
/*  5025*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5035*/       0, /*End of Scope*/
/*  5036*/      0, // EndSwitchType
/*  5037*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->5206
/*  5041*/      OPC_RecordChild0, // #1 = $addr
/*  5042*/      OPC_RecordChild1, // #2 = $off
/*  5043*/      OPC_MoveChild1,
/*  5044*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  5047*/      OPC_MoveParent,
/*  5048*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  5050*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->5128
/*  5053*/       OPC_MoveParent,
/*  5054*/       OPC_MoveChild2,
/*  5055*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5058*/       OPC_RecordChild0, // #3 = $val
/*  5059*/       OPC_MoveParent,
/*  5060*/       OPC_Scope, 21, /*->5083*/ // 3 children in Scope
/*  5062*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5064*/        OPC_MoveParent,
/*  5065*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5067*/        OPC_EmitMergeInputChains1_0,
/*  5068*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5071*/        OPC_EmitConvertToTarget, 2,
/*  5073*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5083*/       /*Scope*/ 21, /*->5105*/
/*  5084*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5086*/        OPC_MoveParent,
/*  5087*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5089*/        OPC_EmitMergeInputChains1_0,
/*  5090*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5093*/        OPC_EmitConvertToTarget, 2,
/*  5095*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5105*/       /*Scope*/ 21, /*->5127*/
/*  5106*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5108*/        OPC_MoveParent,
/*  5109*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5111*/        OPC_EmitMergeInputChains1_0,
/*  5112*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5115*/        OPC_EmitConvertToTarget, 2,
/*  5117*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5127*/       0, /*End of Scope*/
/*  5128*/      /*SwitchType*/ 75, MVT::i64,// ->5205
/*  5130*/       OPC_MoveParent,
/*  5131*/       OPC_MoveChild2,
/*  5132*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5135*/       OPC_RecordChild0, // #3 = $val
/*  5136*/       OPC_MoveParent,
/*  5137*/       OPC_Scope, 21, /*->5160*/ // 3 children in Scope
/*  5139*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5141*/        OPC_MoveParent,
/*  5142*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5144*/        OPC_EmitMergeInputChains1_0,
/*  5145*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5148*/        OPC_EmitConvertToTarget, 2,
/*  5150*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5160*/       /*Scope*/ 21, /*->5182*/
/*  5161*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5163*/        OPC_MoveParent,
/*  5164*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5166*/        OPC_EmitMergeInputChains1_0,
/*  5167*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5170*/        OPC_EmitConvertToTarget, 2,
/*  5172*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5182*/       /*Scope*/ 21, /*->5204*/
/*  5183*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5185*/        OPC_MoveParent,
/*  5186*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5188*/        OPC_EmitMergeInputChains1_0,
/*  5189*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5192*/        OPC_EmitConvertToTarget, 2,
/*  5194*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5204*/       0, /*End of Scope*/
/*  5205*/      0, // EndSwitchType
/*  5206*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->5405
/*  5210*/      OPC_RecordChild0, // #1 = $off
/*  5211*/      OPC_MoveChild0,
/*  5212*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  5215*/      OPC_MoveParent,
/*  5216*/      OPC_MoveParent,
/*  5217*/      OPC_MoveChild2,
/*  5218*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5221*/      OPC_RecordChild0, // #2 = $val
/*  5222*/      OPC_MoveParent,
/*  5223*/      OPC_Scope, 59, /*->5284*/ // 3 children in Scope
/*  5225*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5227*/       OPC_MoveParent,
/*  5228*/       OPC_Scope, 26, /*->5256*/ // 2 children in Scope
/*  5230*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5232*/        OPC_EmitMergeInputChains1_0,
/*  5233*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5236*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5239*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  5246*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5256*/       /*Scope*/ 26, /*->5283*/
/*  5257*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5259*/        OPC_EmitMergeInputChains1_0,
/*  5260*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5263*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5266*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  5273*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5283*/       0, /*End of Scope*/
/*  5284*/      /*Scope*/ 59, /*->5344*/
/*  5285*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5287*/       OPC_MoveParent,
/*  5288*/       OPC_Scope, 26, /*->5316*/ // 2 children in Scope
/*  5290*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5292*/        OPC_EmitMergeInputChains1_0,
/*  5293*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5296*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5299*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  5306*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5316*/       /*Scope*/ 26, /*->5343*/
/*  5317*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5319*/        OPC_EmitMergeInputChains1_0,
/*  5320*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5323*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5326*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  5333*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5343*/       0, /*End of Scope*/
/*  5344*/      /*Scope*/ 59, /*->5404*/
/*  5345*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5347*/       OPC_MoveParent,
/*  5348*/       OPC_Scope, 26, /*->5376*/ // 2 children in Scope
/*  5350*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5352*/        OPC_EmitMergeInputChains1_0,
/*  5353*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5356*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5359*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  5366*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5376*/       /*Scope*/ 26, /*->5403*/
/*  5377*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5379*/        OPC_EmitMergeInputChains1_0,
/*  5380*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5383*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5386*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  5393*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5403*/       0, /*End of Scope*/
/*  5404*/      0, /*End of Scope*/
/*  5405*/     0, // EndSwitchOpcode
/*  5406*/    /*Scope*/ 114|128,2/*370*/, /*->5778*/
/*  5408*/     OPC_RecordChild1, // #1 = $off
/*  5409*/     OPC_Scope, 77|128,1/*205*/, /*->5617*/ // 3 children in Scope
/*  5412*/      OPC_MoveChild1,
/*  5413*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  5416*/      OPC_MoveParent,
/*  5417*/      OPC_MoveChild2,
/*  5418*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5421*/      OPC_RecordChild0, // #2 = $val
/*  5422*/      OPC_MoveParent,
/*  5423*/      OPC_Scope, 63, /*->5488*/ // 3 children in Scope
/*  5425*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5427*/       OPC_MoveParent,
/*  5428*/       OPC_Scope, 28, /*->5458*/ // 2 children in Scope
/*  5430*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5432*/        OPC_EmitMergeInputChains1_0,
/*  5433*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5436*/        OPC_EmitConvertToTarget, 1,
/*  5438*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5441*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  5448*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5458*/       /*Scope*/ 28, /*->5487*/
/*  5459*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5461*/        OPC_EmitMergeInputChains1_0,
/*  5462*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5465*/        OPC_EmitConvertToTarget, 1,
/*  5467*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5470*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  5477*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5487*/       0, /*End of Scope*/
/*  5488*/      /*Scope*/ 63, /*->5552*/
/*  5489*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5491*/       OPC_MoveParent,
/*  5492*/       OPC_Scope, 28, /*->5522*/ // 2 children in Scope
/*  5494*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5496*/        OPC_EmitMergeInputChains1_0,
/*  5497*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5500*/        OPC_EmitConvertToTarget, 1,
/*  5502*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5505*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  5512*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5522*/       /*Scope*/ 28, /*->5551*/
/*  5523*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5525*/        OPC_EmitMergeInputChains1_0,
/*  5526*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5529*/        OPC_EmitConvertToTarget, 1,
/*  5531*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5534*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  5541*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5551*/       0, /*End of Scope*/
/*  5552*/      /*Scope*/ 63, /*->5616*/
/*  5553*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5555*/       OPC_MoveParent,
/*  5556*/       OPC_Scope, 28, /*->5586*/ // 2 children in Scope
/*  5558*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5560*/        OPC_EmitMergeInputChains1_0,
/*  5561*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5564*/        OPC_EmitConvertToTarget, 1,
/*  5566*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5569*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  5576*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5586*/       /*Scope*/ 28, /*->5615*/
/*  5587*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5589*/        OPC_EmitMergeInputChains1_0,
/*  5590*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5593*/        OPC_EmitConvertToTarget, 1,
/*  5595*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5598*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  5605*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5615*/       0, /*End of Scope*/
/*  5616*/      0, /*End of Scope*/
/*  5617*/     /*Scope*/ 79, /*->5697*/
/*  5618*/      OPC_CheckChild1Type, MVT::i32,
/*  5620*/      OPC_MoveChild2,
/*  5621*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5624*/      OPC_RecordChild0, // #2 = $val
/*  5625*/      OPC_MoveParent,
/*  5626*/      OPC_Scope, 22, /*->5650*/ // 3 children in Scope
/*  5628*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5630*/       OPC_MoveParent,
/*  5631*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5633*/       OPC_EmitMergeInputChains1_0,
/*  5634*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5637*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5640*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5650*/      /*Scope*/ 22, /*->5673*/
/*  5651*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5653*/       OPC_MoveParent,
/*  5654*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5656*/       OPC_EmitMergeInputChains1_0,
/*  5657*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5660*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5663*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5673*/      /*Scope*/ 22, /*->5696*/
/*  5674*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5676*/       OPC_MoveParent,
/*  5677*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5679*/       OPC_EmitMergeInputChains1_0,
/*  5680*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5683*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5686*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5696*/      0, /*End of Scope*/
/*  5697*/     /*Scope*/ 79, /*->5777*/
/*  5698*/      OPC_CheckChild1Type, MVT::i64,
/*  5700*/      OPC_MoveChild2,
/*  5701*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5704*/      OPC_RecordChild0, // #2 = $val
/*  5705*/      OPC_MoveParent,
/*  5706*/      OPC_Scope, 22, /*->5730*/ // 3 children in Scope
/*  5708*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5710*/       OPC_MoveParent,
/*  5711*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5713*/       OPC_EmitMergeInputChains1_0,
/*  5714*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5717*/       OPC_EmitInteger, MVT::i64, 0, 
/*  5720*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5730*/      /*Scope*/ 22, /*->5753*/
/*  5731*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5733*/       OPC_MoveParent,
/*  5734*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5736*/       OPC_EmitMergeInputChains1_0,
/*  5737*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5740*/       OPC_EmitInteger, MVT::i64, 0, 
/*  5743*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5753*/      /*Scope*/ 22, /*->5776*/
/*  5754*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5756*/       OPC_MoveParent,
/*  5757*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5759*/       OPC_EmitMergeInputChains1_0,
/*  5760*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5763*/       OPC_EmitInteger, MVT::i64, 0, 
/*  5766*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5776*/      0, /*End of Scope*/
/*  5777*/     0, /*End of Scope*/
/*  5778*/    0, /*End of Scope*/
/*  5779*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->6701
/*  5783*/    OPC_RecordMemRef,
/*  5784*/    OPC_RecordNode, // #0 = 'atomic_swap' chained node
/*  5785*/    OPC_Scope, 28|128,4/*540*/, /*->6328*/ // 2 children in Scope
/*  5788*/     OPC_MoveChild1,
/*  5789*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->5959
/*  5794*/      OPC_RecordChild0, // #1 = $addr
/*  5795*/      OPC_RecordChild1, // #2 = $off
/*  5796*/      OPC_MoveChild1,
/*  5797*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  5800*/      OPC_MoveParent,
/*  5801*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  5803*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->5881
/*  5806*/       OPC_MoveParent,
/*  5807*/       OPC_MoveChild2,
/*  5808*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5811*/       OPC_RecordChild0, // #3 = $val
/*  5812*/       OPC_MoveParent,
/*  5813*/       OPC_Scope, 21, /*->5836*/ // 3 children in Scope
/*  5815*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  5817*/        OPC_MoveParent,
/*  5818*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5820*/        OPC_EmitMergeInputChains1_0,
/*  5821*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5824*/        OPC_EmitConvertToTarget, 2,
/*  5826*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5836*/       /*Scope*/ 21, /*->5858*/
/*  5837*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  5839*/        OPC_MoveParent,
/*  5840*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5842*/        OPC_EmitMergeInputChains1_0,
/*  5843*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5846*/        OPC_EmitConvertToTarget, 2,
/*  5848*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5858*/       /*Scope*/ 21, /*->5880*/
/*  5859*/        OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  5861*/        OPC_MoveParent,
/*  5862*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5864*/        OPC_EmitMergeInputChains1_0,
/*  5865*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5868*/        OPC_EmitConvertToTarget, 2,
/*  5870*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5880*/       0, /*End of Scope*/
/*  5881*/      /*SwitchType*/ 75, MVT::i64,// ->5958
/*  5883*/       OPC_MoveParent,
/*  5884*/       OPC_MoveChild2,
/*  5885*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5888*/       OPC_RecordChild0, // #3 = $val
/*  5889*/       OPC_MoveParent,
/*  5890*/       OPC_Scope, 21, /*->5913*/ // 3 children in Scope
/*  5892*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  5894*/        OPC_MoveParent,
/*  5895*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5897*/        OPC_EmitMergeInputChains1_0,
/*  5898*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5901*/        OPC_EmitConvertToTarget, 2,
/*  5903*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5913*/       /*Scope*/ 21, /*->5935*/
/*  5914*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  5916*/        OPC_MoveParent,
/*  5917*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5919*/        OPC_EmitMergeInputChains1_0,
/*  5920*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5923*/        OPC_EmitConvertToTarget, 2,
/*  5925*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5935*/       /*Scope*/ 21, /*->5957*/
/*  5936*/        OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  5938*/        OPC_MoveParent,
/*  5939*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5941*/        OPC_EmitMergeInputChains1_0,
/*  5942*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5945*/        OPC_EmitConvertToTarget, 2,
/*  5947*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5957*/       0, /*End of Scope*/
/*  5958*/      0, // EndSwitchType
/*  5959*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->6128
/*  5963*/      OPC_RecordChild0, // #1 = $addr
/*  5964*/      OPC_RecordChild1, // #2 = $off
/*  5965*/      OPC_MoveChild1,
/*  5966*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  5969*/      OPC_MoveParent,
/*  5970*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  5972*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->6050
/*  5975*/       OPC_MoveParent,
/*  5976*/       OPC_MoveChild2,
/*  5977*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5980*/       OPC_RecordChild0, // #3 = $val
/*  5981*/       OPC_MoveParent,
/*  5982*/       OPC_Scope, 21, /*->6005*/ // 3 children in Scope
/*  5984*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  5986*/        OPC_MoveParent,
/*  5987*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5989*/        OPC_EmitMergeInputChains1_0,
/*  5990*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5993*/        OPC_EmitConvertToTarget, 2,
/*  5995*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6005*/       /*Scope*/ 21, /*->6027*/
/*  6006*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6008*/        OPC_MoveParent,
/*  6009*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6011*/        OPC_EmitMergeInputChains1_0,
/*  6012*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6015*/        OPC_EmitConvertToTarget, 2,
/*  6017*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6027*/       /*Scope*/ 21, /*->6049*/
/*  6028*/        OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6030*/        OPC_MoveParent,
/*  6031*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6033*/        OPC_EmitMergeInputChains1_0,
/*  6034*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6037*/        OPC_EmitConvertToTarget, 2,
/*  6039*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6049*/       0, /*End of Scope*/
/*  6050*/      /*SwitchType*/ 75, MVT::i64,// ->6127
/*  6052*/       OPC_MoveParent,
/*  6053*/       OPC_MoveChild2,
/*  6054*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6057*/       OPC_RecordChild0, // #3 = $val
/*  6058*/       OPC_MoveParent,
/*  6059*/       OPC_Scope, 21, /*->6082*/ // 3 children in Scope
/*  6061*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6063*/        OPC_MoveParent,
/*  6064*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6066*/        OPC_EmitMergeInputChains1_0,
/*  6067*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6070*/        OPC_EmitConvertToTarget, 2,
/*  6072*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6082*/       /*Scope*/ 21, /*->6104*/
/*  6083*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6085*/        OPC_MoveParent,
/*  6086*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6088*/        OPC_EmitMergeInputChains1_0,
/*  6089*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6092*/        OPC_EmitConvertToTarget, 2,
/*  6094*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6104*/       /*Scope*/ 21, /*->6126*/
/*  6105*/        OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6107*/        OPC_MoveParent,
/*  6108*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6110*/        OPC_EmitMergeInputChains1_0,
/*  6111*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6114*/        OPC_EmitConvertToTarget, 2,
/*  6116*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6126*/       0, /*End of Scope*/
/*  6127*/      0, // EndSwitchType
/*  6128*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->6327
/*  6132*/      OPC_RecordChild0, // #1 = $off
/*  6133*/      OPC_MoveChild0,
/*  6134*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  6137*/      OPC_MoveParent,
/*  6138*/      OPC_MoveParent,
/*  6139*/      OPC_MoveChild2,
/*  6140*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6143*/      OPC_RecordChild0, // #2 = $val
/*  6144*/      OPC_MoveParent,
/*  6145*/      OPC_Scope, 59, /*->6206*/ // 3 children in Scope
/*  6147*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6149*/       OPC_MoveParent,
/*  6150*/       OPC_Scope, 26, /*->6178*/ // 2 children in Scope
/*  6152*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6154*/        OPC_EmitMergeInputChains1_0,
/*  6155*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6158*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6161*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  6168*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6178*/       /*Scope*/ 26, /*->6205*/
/*  6179*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6181*/        OPC_EmitMergeInputChains1_0,
/*  6182*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6185*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6188*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  6195*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6205*/       0, /*End of Scope*/
/*  6206*/      /*Scope*/ 59, /*->6266*/
/*  6207*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6209*/       OPC_MoveParent,
/*  6210*/       OPC_Scope, 26, /*->6238*/ // 2 children in Scope
/*  6212*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6214*/        OPC_EmitMergeInputChains1_0,
/*  6215*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6218*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6221*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  6228*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6238*/       /*Scope*/ 26, /*->6265*/
/*  6239*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6241*/        OPC_EmitMergeInputChains1_0,
/*  6242*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6245*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6248*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  6255*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6265*/       0, /*End of Scope*/
/*  6266*/      /*Scope*/ 59, /*->6326*/
/*  6267*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6269*/       OPC_MoveParent,
/*  6270*/       OPC_Scope, 26, /*->6298*/ // 2 children in Scope
/*  6272*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6274*/        OPC_EmitMergeInputChains1_0,
/*  6275*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6278*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6281*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  6288*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6298*/       /*Scope*/ 26, /*->6325*/
/*  6299*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6301*/        OPC_EmitMergeInputChains1_0,
/*  6302*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6305*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6308*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  6315*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6325*/       0, /*End of Scope*/
/*  6326*/      0, /*End of Scope*/
/*  6327*/     0, // EndSwitchOpcode
/*  6328*/    /*Scope*/ 114|128,2/*370*/, /*->6700*/
/*  6330*/     OPC_RecordChild1, // #1 = $off
/*  6331*/     OPC_Scope, 77|128,1/*205*/, /*->6539*/ // 3 children in Scope
/*  6334*/      OPC_MoveChild1,
/*  6335*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  6338*/      OPC_MoveParent,
/*  6339*/      OPC_MoveChild2,
/*  6340*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6343*/      OPC_RecordChild0, // #2 = $val
/*  6344*/      OPC_MoveParent,
/*  6345*/      OPC_Scope, 63, /*->6410*/ // 3 children in Scope
/*  6347*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6349*/       OPC_MoveParent,
/*  6350*/       OPC_Scope, 28, /*->6380*/ // 2 children in Scope
/*  6352*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6354*/        OPC_EmitMergeInputChains1_0,
/*  6355*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6358*/        OPC_EmitConvertToTarget, 1,
/*  6360*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6363*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  6370*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6380*/       /*Scope*/ 28, /*->6409*/
/*  6381*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6383*/        OPC_EmitMergeInputChains1_0,
/*  6384*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6387*/        OPC_EmitConvertToTarget, 1,
/*  6389*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6392*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  6399*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6409*/       0, /*End of Scope*/
/*  6410*/      /*Scope*/ 63, /*->6474*/
/*  6411*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6413*/       OPC_MoveParent,
/*  6414*/       OPC_Scope, 28, /*->6444*/ // 2 children in Scope
/*  6416*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6418*/        OPC_EmitMergeInputChains1_0,
/*  6419*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6422*/        OPC_EmitConvertToTarget, 1,
/*  6424*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6427*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  6434*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6444*/       /*Scope*/ 28, /*->6473*/
/*  6445*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6447*/        OPC_EmitMergeInputChains1_0,
/*  6448*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6451*/        OPC_EmitConvertToTarget, 1,
/*  6453*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6456*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  6463*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6473*/       0, /*End of Scope*/
/*  6474*/      /*Scope*/ 63, /*->6538*/
/*  6475*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6477*/       OPC_MoveParent,
/*  6478*/       OPC_Scope, 28, /*->6508*/ // 2 children in Scope
/*  6480*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6482*/        OPC_EmitMergeInputChains1_0,
/*  6483*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6486*/        OPC_EmitConvertToTarget, 1,
/*  6488*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6491*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  6498*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6508*/       /*Scope*/ 28, /*->6537*/
/*  6509*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6511*/        OPC_EmitMergeInputChains1_0,
/*  6512*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6515*/        OPC_EmitConvertToTarget, 1,
/*  6517*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6520*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  6527*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6537*/       0, /*End of Scope*/
/*  6538*/      0, /*End of Scope*/
/*  6539*/     /*Scope*/ 79, /*->6619*/
/*  6540*/      OPC_CheckChild1Type, MVT::i32,
/*  6542*/      OPC_MoveChild2,
/*  6543*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6546*/      OPC_RecordChild0, // #2 = $val
/*  6547*/      OPC_MoveParent,
/*  6548*/      OPC_Scope, 22, /*->6572*/ // 3 children in Scope
/*  6550*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6552*/       OPC_MoveParent,
/*  6553*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6555*/       OPC_EmitMergeInputChains1_0,
/*  6556*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6559*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6562*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6572*/      /*Scope*/ 22, /*->6595*/
/*  6573*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6575*/       OPC_MoveParent,
/*  6576*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6578*/       OPC_EmitMergeInputChains1_0,
/*  6579*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6582*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6585*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6595*/      /*Scope*/ 22, /*->6618*/
/*  6596*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6598*/       OPC_MoveParent,
/*  6599*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6601*/       OPC_EmitMergeInputChains1_0,
/*  6602*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6605*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6608*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6618*/      0, /*End of Scope*/
/*  6619*/     /*Scope*/ 79, /*->6699*/
/*  6620*/      OPC_CheckChild1Type, MVT::i64,
/*  6622*/      OPC_MoveChild2,
/*  6623*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6626*/      OPC_RecordChild0, // #2 = $val
/*  6627*/      OPC_MoveParent,
/*  6628*/      OPC_Scope, 22, /*->6652*/ // 3 children in Scope
/*  6630*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6632*/       OPC_MoveParent,
/*  6633*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6635*/       OPC_EmitMergeInputChains1_0,
/*  6636*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6639*/       OPC_EmitInteger, MVT::i64, 0, 
/*  6642*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6652*/      /*Scope*/ 22, /*->6675*/
/*  6653*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6655*/       OPC_MoveParent,
/*  6656*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6658*/       OPC_EmitMergeInputChains1_0,
/*  6659*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6662*/       OPC_EmitInteger, MVT::i64, 0, 
/*  6665*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6675*/      /*Scope*/ 22, /*->6698*/
/*  6676*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6678*/       OPC_MoveParent,
/*  6679*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6681*/       OPC_EmitMergeInputChains1_0,
/*  6682*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6685*/       OPC_EmitInteger, MVT::i64, 0, 
/*  6688*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6698*/      0, /*End of Scope*/
/*  6699*/     0, /*End of Scope*/
/*  6700*/    0, /*End of Scope*/
/*  6701*/   /*SwitchOpcode*/ 72|128,6/*840*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->7545
/*  6705*/    OPC_RecordMemRef,
/*  6706*/    OPC_RecordNode, // #0 = 'atomic_load' chained node
/*  6707*/    OPC_Scope, 108|128,3/*492*/, /*->7202*/ // 2 children in Scope
/*  6710*/     OPC_MoveChild1,
/*  6711*/     OPC_SwitchOpcode /*3 cases */, 19|128,1/*147*/, TARGET_VAL(ISD::ADD),// ->6863
/*  6716*/      OPC_RecordChild0, // #1 = $addr
/*  6717*/      OPC_RecordChild1, // #2 = $off
/*  6718*/      OPC_MoveChild1,
/*  6719*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  6722*/      OPC_MoveParent,
/*  6723*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  6725*/      OPC_SwitchType /*2 cases */, 66, MVT::i32,// ->6794
/*  6728*/       OPC_MoveParent,
/*  6729*/       OPC_Scope, 20, /*->6751*/ // 3 children in Scope
/*  6731*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  6733*/        OPC_MoveParent,
/*  6734*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6736*/        OPC_EmitMergeInputChains1_0,
/*  6737*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6740*/        OPC_EmitConvertToTarget, 2,
/*  6742*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6751*/       /*Scope*/ 20, /*->6772*/
/*  6752*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  6754*/        OPC_MoveParent,
/*  6755*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6757*/        OPC_EmitMergeInputChains1_0,
/*  6758*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6761*/        OPC_EmitConvertToTarget, 2,
/*  6763*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6772*/       /*Scope*/ 20, /*->6793*/
/*  6773*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  6775*/        OPC_MoveParent,
/*  6776*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6778*/        OPC_EmitMergeInputChains1_0,
/*  6779*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6782*/        OPC_EmitConvertToTarget, 2,
/*  6784*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_32>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6793*/       0, /*End of Scope*/
/*  6794*/      /*SwitchType*/ 66, MVT::i64,// ->6862
/*  6796*/       OPC_MoveParent,
/*  6797*/       OPC_Scope, 20, /*->6819*/ // 3 children in Scope
/*  6799*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  6801*/        OPC_MoveParent,
/*  6802*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6804*/        OPC_EmitMergeInputChains1_0,
/*  6805*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6808*/        OPC_EmitConvertToTarget, 2,
/*  6810*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6819*/       /*Scope*/ 20, /*->6840*/
/*  6820*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  6822*/        OPC_MoveParent,
/*  6823*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6825*/        OPC_EmitMergeInputChains1_0,
/*  6826*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6829*/        OPC_EmitConvertToTarget, 2,
/*  6831*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6840*/       /*Scope*/ 20, /*->6861*/
/*  6841*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  6843*/        OPC_MoveParent,
/*  6844*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6846*/        OPC_EmitMergeInputChains1_0,
/*  6847*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6850*/        OPC_EmitConvertToTarget, 2,
/*  6852*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_32>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6861*/       0, /*End of Scope*/
/*  6862*/      0, // EndSwitchType
/*  6863*/     /*SwitchOpcode*/ 19|128,1/*147*/, TARGET_VAL(ISD::OR),// ->7014
/*  6867*/      OPC_RecordChild0, // #1 = $addr
/*  6868*/      OPC_RecordChild1, // #2 = $off
/*  6869*/      OPC_MoveChild1,
/*  6870*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  6873*/      OPC_MoveParent,
/*  6874*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  6876*/      OPC_SwitchType /*2 cases */, 66, MVT::i32,// ->6945
/*  6879*/       OPC_MoveParent,
/*  6880*/       OPC_Scope, 20, /*->6902*/ // 3 children in Scope
/*  6882*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  6884*/        OPC_MoveParent,
/*  6885*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6887*/        OPC_EmitMergeInputChains1_0,
/*  6888*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6891*/        OPC_EmitConvertToTarget, 2,
/*  6893*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6902*/       /*Scope*/ 20, /*->6923*/
/*  6903*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  6905*/        OPC_MoveParent,
/*  6906*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6908*/        OPC_EmitMergeInputChains1_0,
/*  6909*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6912*/        OPC_EmitConvertToTarget, 2,
/*  6914*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6923*/       /*Scope*/ 20, /*->6944*/
/*  6924*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  6926*/        OPC_MoveParent,
/*  6927*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6929*/        OPC_EmitMergeInputChains1_0,
/*  6930*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6933*/        OPC_EmitConvertToTarget, 2,
/*  6935*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_32>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6944*/       0, /*End of Scope*/
/*  6945*/      /*SwitchType*/ 66, MVT::i64,// ->7013
/*  6947*/       OPC_MoveParent,
/*  6948*/       OPC_Scope, 20, /*->6970*/ // 3 children in Scope
/*  6950*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  6952*/        OPC_MoveParent,
/*  6953*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6955*/        OPC_EmitMergeInputChains1_0,
/*  6956*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6959*/        OPC_EmitConvertToTarget, 2,
/*  6961*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6970*/       /*Scope*/ 20, /*->6991*/
/*  6971*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  6973*/        OPC_MoveParent,
/*  6974*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6976*/        OPC_EmitMergeInputChains1_0,
/*  6977*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6980*/        OPC_EmitConvertToTarget, 2,
/*  6982*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6991*/       /*Scope*/ 20, /*->7012*/
/*  6992*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  6994*/        OPC_MoveParent,
/*  6995*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6997*/        OPC_EmitMergeInputChains1_0,
/*  6998*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7001*/        OPC_EmitConvertToTarget, 2,
/*  7003*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_32>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  7012*/       0, /*End of Scope*/
/*  7013*/      0, // EndSwitchType
/*  7014*/     /*SwitchOpcode*/ 55|128,1/*183*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->7201
/*  7018*/      OPC_RecordChild0, // #1 = $off
/*  7019*/      OPC_MoveChild0,
/*  7020*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  7023*/      OPC_MoveParent,
/*  7024*/      OPC_MoveParent,
/*  7025*/      OPC_Scope, 57, /*->7084*/ // 3 children in Scope
/*  7027*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  7029*/       OPC_MoveParent,
/*  7030*/       OPC_Scope, 25, /*->7057*/ // 2 children in Scope
/*  7032*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7034*/        OPC_EmitMergeInputChains1_0,
/*  7035*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7038*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7041*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/*  7048*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7057*/       /*Scope*/ 25, /*->7083*/
/*  7058*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7060*/        OPC_EmitMergeInputChains1_0,
/*  7061*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7064*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7067*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/*  7074*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7083*/       0, /*End of Scope*/
/*  7084*/      /*Scope*/ 57, /*->7142*/
/*  7085*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  7087*/       OPC_MoveParent,
/*  7088*/       OPC_Scope, 25, /*->7115*/ // 2 children in Scope
/*  7090*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7092*/        OPC_EmitMergeInputChains1_0,
/*  7093*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7096*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7099*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/*  7106*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7115*/       /*Scope*/ 25, /*->7141*/
/*  7116*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7118*/        OPC_EmitMergeInputChains1_0,
/*  7119*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7122*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7125*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/*  7132*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7141*/       0, /*End of Scope*/
/*  7142*/      /*Scope*/ 57, /*->7200*/
/*  7143*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  7145*/       OPC_MoveParent,
/*  7146*/       OPC_Scope, 25, /*->7173*/ // 2 children in Scope
/*  7148*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7150*/        OPC_EmitMergeInputChains1_0,
/*  7151*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7154*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7157*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/*  7164*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_32>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7173*/       /*Scope*/ 25, /*->7199*/
/*  7174*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7176*/        OPC_EmitMergeInputChains1_0,
/*  7177*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7180*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7183*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/*  7190*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_32>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7199*/       0, /*End of Scope*/
/*  7200*/      0, /*End of Scope*/
/*  7201*/     0, // EndSwitchOpcode
/*  7202*/    /*Scope*/ 84|128,2/*340*/, /*->7544*/
/*  7204*/     OPC_RecordChild1, // #1 = $off
/*  7205*/     OPC_Scope, 65|128,1/*193*/, /*->7401*/ // 3 children in Scope
/*  7208*/      OPC_MoveChild1,
/*  7209*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  7212*/      OPC_MoveParent,
/*  7213*/      OPC_Scope, 61, /*->7276*/ // 3 children in Scope
/*  7215*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  7217*/       OPC_MoveParent,
/*  7218*/       OPC_Scope, 27, /*->7247*/ // 2 children in Scope
/*  7220*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7222*/        OPC_EmitMergeInputChains1_0,
/*  7223*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7226*/        OPC_EmitConvertToTarget, 1,
/*  7228*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7231*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  7238*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7247*/       /*Scope*/ 27, /*->7275*/
/*  7248*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7250*/        OPC_EmitMergeInputChains1_0,
/*  7251*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7254*/        OPC_EmitConvertToTarget, 1,
/*  7256*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7259*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  7266*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7275*/       0, /*End of Scope*/
/*  7276*/      /*Scope*/ 61, /*->7338*/
/*  7277*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  7279*/       OPC_MoveParent,
/*  7280*/       OPC_Scope, 27, /*->7309*/ // 2 children in Scope
/*  7282*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7284*/        OPC_EmitMergeInputChains1_0,
/*  7285*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7288*/        OPC_EmitConvertToTarget, 1,
/*  7290*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7293*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  7300*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7309*/       /*Scope*/ 27, /*->7337*/
/*  7310*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7312*/        OPC_EmitMergeInputChains1_0,
/*  7313*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7316*/        OPC_EmitConvertToTarget, 1,
/*  7318*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7321*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  7328*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7337*/       0, /*End of Scope*/
/*  7338*/      /*Scope*/ 61, /*->7400*/
/*  7339*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  7341*/       OPC_MoveParent,
/*  7342*/       OPC_Scope, 27, /*->7371*/ // 2 children in Scope
/*  7344*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7346*/        OPC_EmitMergeInputChains1_0,
/*  7347*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7350*/        OPC_EmitConvertToTarget, 1,
/*  7352*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7355*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  7362*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_32>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7371*/       /*Scope*/ 27, /*->7399*/
/*  7372*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7374*/        OPC_EmitMergeInputChains1_0,
/*  7375*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7378*/        OPC_EmitConvertToTarget, 1,
/*  7380*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7383*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  7390*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_32>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7399*/       0, /*End of Scope*/
/*  7400*/      0, /*End of Scope*/
/*  7401*/     /*Scope*/ 70, /*->7472*/
/*  7402*/      OPC_CheckChild1Type, MVT::i32,
/*  7404*/      OPC_Scope, 21, /*->7427*/ // 3 children in Scope
/*  7406*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  7408*/       OPC_MoveParent,
/*  7409*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7411*/       OPC_EmitMergeInputChains1_0,
/*  7412*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7415*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7418*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_8>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/*  7427*/      /*Scope*/ 21, /*->7449*/
/*  7428*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  7430*/       OPC_MoveParent,
/*  7431*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7433*/       OPC_EmitMergeInputChains1_0,
/*  7434*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7437*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7440*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_16>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/*  7449*/      /*Scope*/ 21, /*->7471*/
/*  7450*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  7452*/       OPC_MoveParent,
/*  7453*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7455*/       OPC_EmitMergeInputChains1_0,
/*  7456*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7459*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7462*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_32>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/*  7471*/      0, /*End of Scope*/
/*  7472*/     /*Scope*/ 70, /*->7543*/
/*  7473*/      OPC_CheckChild1Type, MVT::i64,
/*  7475*/      OPC_Scope, 21, /*->7498*/ // 3 children in Scope
/*  7477*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  7479*/       OPC_MoveParent,
/*  7480*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7482*/       OPC_EmitMergeInputChains1_0,
/*  7483*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7486*/       OPC_EmitInteger, MVT::i64, 0, 
/*  7489*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_8>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/*  7498*/      /*Scope*/ 21, /*->7520*/
/*  7499*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  7501*/       OPC_MoveParent,
/*  7502*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7504*/       OPC_EmitMergeInputChains1_0,
/*  7505*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7508*/       OPC_EmitInteger, MVT::i64, 0, 
/*  7511*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_16>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/*  7520*/      /*Scope*/ 21, /*->7542*/
/*  7521*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  7523*/       OPC_MoveParent,
/*  7524*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7526*/       OPC_EmitMergeInputChains1_0,
/*  7527*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7530*/       OPC_EmitInteger, MVT::i64, 0, 
/*  7533*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_32>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/*  7542*/      0, /*End of Scope*/
/*  7543*/     0, /*End of Scope*/
/*  7544*/    0, /*End of Scope*/
/*  7545*/   0, // EndSwitchOpcode
/*  7546*/  /*Scope*/ 8, /*->7555*/
/*  7547*/   OPC_RecordChild0, // #0 = $src
/*  7548*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND_U_I32), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (zext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (I64_EXTEND_U_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/*  7555*/  0, /*End of Scope*/
/*  7556*/ /*SwitchOpcode*/ 66|128,41/*5314*/, TARGET_VAL(ISD::ANY_EXTEND),// ->12874
/*  7560*/  OPC_Scope, 53|128,41/*5301*/, /*->12864*/ // 2 children in Scope
/*  7563*/   OPC_MoveChild0,
/*  7564*/   OPC_SwitchOpcode /*8 cases */, 89|128,5/*729*/, TARGET_VAL(ISD::AssertZext),// ->8298
/*  7569*/    OPC_MoveChild0,
/*  7570*/    OPC_CheckOpcode, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),
/*  7573*/    OPC_RecordMemRef,
/*  7574*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*  7575*/    OPC_CheckFoldableChainNode,
/*  7576*/    OPC_Scope, 60|128,3/*444*/, /*->8023*/ // 2 children in Scope
/*  7579*/     OPC_MoveChild1,
/*  7580*/     OPC_SwitchOpcode /*3 cases */, 13|128,1/*141*/, TARGET_VAL(ISD::ADD),// ->7726
/*  7585*/      OPC_RecordChild0, // #1 = $addr
/*  7586*/      OPC_RecordChild1, // #2 = $off
/*  7587*/      OPC_MoveChild1,
/*  7588*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  7591*/      OPC_MoveParent,
/*  7592*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  7594*/      OPC_SwitchType /*2 cases */, 63, MVT::i32,// ->7660
/*  7597*/       OPC_MoveParent,
/*  7598*/       OPC_MoveChild2,
/*  7599*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7602*/       OPC_RecordChild0, // #3 = $exp
/*  7603*/       OPC_MoveParent,
/*  7604*/       OPC_MoveChild3,
/*  7605*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7608*/       OPC_RecordChild0, // #4 = $new
/*  7609*/       OPC_MoveParent,
/*  7610*/       OPC_Scope, 23, /*->7635*/ // 2 children in Scope
/*  7612*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7614*/        OPC_MoveParent,
/*  7615*/        OPC_MoveParent,
/*  7616*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7618*/        OPC_EmitMergeInputChains1_0,
/*  7619*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7622*/        OPC_EmitConvertToTarget, 2,
/*  7624*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7635*/       /*Scope*/ 23, /*->7659*/
/*  7636*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7638*/        OPC_MoveParent,
/*  7639*/        OPC_MoveParent,
/*  7640*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7642*/        OPC_EmitMergeInputChains1_0,
/*  7643*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7646*/        OPC_EmitConvertToTarget, 2,
/*  7648*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7659*/       0, /*End of Scope*/
/*  7660*/      /*SwitchType*/ 63, MVT::i64,// ->7725
/*  7662*/       OPC_MoveParent,
/*  7663*/       OPC_MoveChild2,
/*  7664*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7667*/       OPC_RecordChild0, // #3 = $exp
/*  7668*/       OPC_MoveParent,
/*  7669*/       OPC_MoveChild3,
/*  7670*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7673*/       OPC_RecordChild0, // #4 = $new
/*  7674*/       OPC_MoveParent,
/*  7675*/       OPC_Scope, 23, /*->7700*/ // 2 children in Scope
/*  7677*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7679*/        OPC_MoveParent,
/*  7680*/        OPC_MoveParent,
/*  7681*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7683*/        OPC_EmitMergeInputChains1_0,
/*  7684*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7687*/        OPC_EmitConvertToTarget, 2,
/*  7689*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7700*/       /*Scope*/ 23, /*->7724*/
/*  7701*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7703*/        OPC_MoveParent,
/*  7704*/        OPC_MoveParent,
/*  7705*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7707*/        OPC_EmitMergeInputChains1_0,
/*  7708*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7711*/        OPC_EmitConvertToTarget, 2,
/*  7713*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7724*/       0, /*End of Scope*/
/*  7725*/      0, // EndSwitchType
/*  7726*/     /*SwitchOpcode*/ 13|128,1/*141*/, TARGET_VAL(ISD::OR),// ->7871
/*  7730*/      OPC_RecordChild0, // #1 = $addr
/*  7731*/      OPC_RecordChild1, // #2 = $off
/*  7732*/      OPC_MoveChild1,
/*  7733*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  7736*/      OPC_MoveParent,
/*  7737*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  7739*/      OPC_SwitchType /*2 cases */, 63, MVT::i32,// ->7805
/*  7742*/       OPC_MoveParent,
/*  7743*/       OPC_MoveChild2,
/*  7744*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7747*/       OPC_RecordChild0, // #3 = $exp
/*  7748*/       OPC_MoveParent,
/*  7749*/       OPC_MoveChild3,
/*  7750*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7753*/       OPC_RecordChild0, // #4 = $new
/*  7754*/       OPC_MoveParent,
/*  7755*/       OPC_Scope, 23, /*->7780*/ // 2 children in Scope
/*  7757*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7759*/        OPC_MoveParent,
/*  7760*/        OPC_MoveParent,
/*  7761*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7763*/        OPC_EmitMergeInputChains1_0,
/*  7764*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7767*/        OPC_EmitConvertToTarget, 2,
/*  7769*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7780*/       /*Scope*/ 23, /*->7804*/
/*  7781*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7783*/        OPC_MoveParent,
/*  7784*/        OPC_MoveParent,
/*  7785*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7787*/        OPC_EmitMergeInputChains1_0,
/*  7788*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7791*/        OPC_EmitConvertToTarget, 2,
/*  7793*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7804*/       0, /*End of Scope*/
/*  7805*/      /*SwitchType*/ 63, MVT::i64,// ->7870
/*  7807*/       OPC_MoveParent,
/*  7808*/       OPC_MoveChild2,
/*  7809*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7812*/       OPC_RecordChild0, // #3 = $exp
/*  7813*/       OPC_MoveParent,
/*  7814*/       OPC_MoveChild3,
/*  7815*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7818*/       OPC_RecordChild0, // #4 = $new
/*  7819*/       OPC_MoveParent,
/*  7820*/       OPC_Scope, 23, /*->7845*/ // 2 children in Scope
/*  7822*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7824*/        OPC_MoveParent,
/*  7825*/        OPC_MoveParent,
/*  7826*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7828*/        OPC_EmitMergeInputChains1_0,
/*  7829*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7832*/        OPC_EmitConvertToTarget, 2,
/*  7834*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7845*/       /*Scope*/ 23, /*->7869*/
/*  7846*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7848*/        OPC_MoveParent,
/*  7849*/        OPC_MoveParent,
/*  7850*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7852*/        OPC_EmitMergeInputChains1_0,
/*  7853*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7856*/        OPC_EmitConvertToTarget, 2,
/*  7858*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7869*/       0, /*End of Scope*/
/*  7870*/      0, // EndSwitchType
/*  7871*/     /*SwitchOpcode*/ 19|128,1/*147*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->8022
/*  7875*/      OPC_RecordChild0, // #1 = $off
/*  7876*/      OPC_MoveChild0,
/*  7877*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  7880*/      OPC_MoveParent,
/*  7881*/      OPC_MoveParent,
/*  7882*/      OPC_MoveChild2,
/*  7883*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7886*/      OPC_RecordChild0, // #2 = $exp
/*  7887*/      OPC_MoveParent,
/*  7888*/      OPC_MoveChild3,
/*  7889*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7892*/      OPC_RecordChild0, // #3 = $new
/*  7893*/      OPC_MoveParent,
/*  7894*/      OPC_Scope, 62, /*->7958*/ // 2 children in Scope
/*  7896*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7898*/       OPC_MoveParent,
/*  7899*/       OPC_MoveParent,
/*  7900*/       OPC_Scope, 27, /*->7929*/ // 2 children in Scope
/*  7902*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  7904*/        OPC_EmitMergeInputChains1_0,
/*  7905*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7908*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7911*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  7918*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7929*/       /*Scope*/ 27, /*->7957*/
/*  7930*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  7932*/        OPC_EmitMergeInputChains1_0,
/*  7933*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7936*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7939*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  7946*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7957*/       0, /*End of Scope*/
/*  7958*/      /*Scope*/ 62, /*->8021*/
/*  7959*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7961*/       OPC_MoveParent,
/*  7962*/       OPC_MoveParent,
/*  7963*/       OPC_Scope, 27, /*->7992*/ // 2 children in Scope
/*  7965*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  7967*/        OPC_EmitMergeInputChains1_0,
/*  7968*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7971*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7974*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  7981*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7992*/       /*Scope*/ 27, /*->8020*/
/*  7993*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  7995*/        OPC_EmitMergeInputChains1_0,
/*  7996*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7999*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8002*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  8009*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8020*/       0, /*End of Scope*/
/*  8021*/      0, /*End of Scope*/
/*  8022*/     0, // EndSwitchOpcode
/*  8023*/    /*Scope*/ 16|128,2/*272*/, /*->8297*/
/*  8025*/     OPC_RecordChild1, // #1 = $off
/*  8026*/     OPC_Scope, 5|128,1/*133*/, /*->8162*/ // 3 children in Scope
/*  8029*/      OPC_MoveChild1,
/*  8030*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8033*/      OPC_MoveParent,
/*  8034*/      OPC_MoveChild2,
/*  8035*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8038*/      OPC_RecordChild0, // #2 = $exp
/*  8039*/      OPC_MoveParent,
/*  8040*/      OPC_MoveChild3,
/*  8041*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8044*/      OPC_RecordChild0, // #3 = $new
/*  8045*/      OPC_MoveParent,
/*  8046*/      OPC_Scope, 56, /*->8104*/ // 2 children in Scope
/*  8048*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  8050*/       OPC_MoveParent,
/*  8051*/       OPC_MoveParent,
/*  8052*/       OPC_EmitMergeInputChains1_0,
/*  8053*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8056*/       OPC_EmitConvertToTarget, 1,
/*  8058*/       OPC_Scope, 21, /*->8081*/ // 2 children in Scope
/*  8060*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8063*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*  8070*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8081*/       /*Scope*/ 21, /*->8103*/
/*  8082*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8085*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*  8092*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8103*/       0, /*End of Scope*/
/*  8104*/      /*Scope*/ 56, /*->8161*/
/*  8105*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  8107*/       OPC_MoveParent,
/*  8108*/       OPC_MoveParent,
/*  8109*/       OPC_EmitMergeInputChains1_0,
/*  8110*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8113*/       OPC_EmitConvertToTarget, 1,
/*  8115*/       OPC_Scope, 21, /*->8138*/ // 2 children in Scope
/*  8117*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8120*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*  8127*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8138*/       /*Scope*/ 21, /*->8160*/
/*  8139*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8142*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*  8149*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8160*/       0, /*End of Scope*/
/*  8161*/      0, /*End of Scope*/
/*  8162*/     /*Scope*/ 66, /*->8229*/
/*  8163*/      OPC_CheckChild1Type, MVT::i32,
/*  8165*/      OPC_MoveChild2,
/*  8166*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8169*/      OPC_RecordChild0, // #2 = $exp
/*  8170*/      OPC_MoveParent,
/*  8171*/      OPC_MoveChild3,
/*  8172*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8175*/      OPC_RecordChild0, // #3 = $new
/*  8176*/      OPC_MoveParent,
/*  8177*/      OPC_Scope, 24, /*->8203*/ // 2 children in Scope
/*  8179*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  8181*/       OPC_MoveParent,
/*  8182*/       OPC_MoveParent,
/*  8183*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8185*/       OPC_EmitMergeInputChains1_0,
/*  8186*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8189*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8192*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8203*/      /*Scope*/ 24, /*->8228*/
/*  8204*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  8206*/       OPC_MoveParent,
/*  8207*/       OPC_MoveParent,
/*  8208*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8210*/       OPC_EmitMergeInputChains1_0,
/*  8211*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8214*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8217*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8228*/      0, /*End of Scope*/
/*  8229*/     /*Scope*/ 66, /*->8296*/
/*  8230*/      OPC_CheckChild1Type, MVT::i64,
/*  8232*/      OPC_MoveChild2,
/*  8233*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8236*/      OPC_RecordChild0, // #2 = $exp
/*  8237*/      OPC_MoveParent,
/*  8238*/      OPC_MoveChild3,
/*  8239*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8242*/      OPC_RecordChild0, // #3 = $new
/*  8243*/      OPC_MoveParent,
/*  8244*/      OPC_Scope, 24, /*->8270*/ // 2 children in Scope
/*  8246*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  8248*/       OPC_MoveParent,
/*  8249*/       OPC_MoveParent,
/*  8250*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8252*/       OPC_EmitMergeInputChains1_0,
/*  8253*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8256*/       OPC_EmitInteger, MVT::i64, 0, 
/*  8259*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8270*/      /*Scope*/ 24, /*->8295*/
/*  8271*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  8273*/       OPC_MoveParent,
/*  8274*/       OPC_MoveParent,
/*  8275*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8277*/       OPC_EmitMergeInputChains1_0,
/*  8278*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8281*/       OPC_EmitInteger, MVT::i64, 0, 
/*  8284*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8295*/      0, /*End of Scope*/
/*  8296*/     0, /*End of Scope*/
/*  8297*/    0, /*End of Scope*/
/*  8298*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->8960
/*  8302*/    OPC_RecordMemRef,
/*  8303*/    OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*  8304*/    OPC_Scope, 6|128,3/*390*/, /*->8697*/ // 2 children in Scope
/*  8307*/     OPC_MoveChild1,
/*  8308*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->8433
/*  8312*/      OPC_RecordChild0, // #1 = $addr
/*  8313*/      OPC_RecordChild1, // #2 = $off
/*  8314*/      OPC_MoveChild1,
/*  8315*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8318*/      OPC_MoveParent,
/*  8319*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  8321*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->8377
/*  8324*/       OPC_MoveParent,
/*  8325*/       OPC_MoveChild2,
/*  8326*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8329*/       OPC_RecordChild0, // #3 = $val
/*  8330*/       OPC_MoveParent,
/*  8331*/       OPC_Scope, 21, /*->8354*/ // 2 children in Scope
/*  8333*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8335*/        OPC_MoveParent,
/*  8336*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8338*/        OPC_EmitMergeInputChains1_0,
/*  8339*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8342*/        OPC_EmitConvertToTarget, 2,
/*  8344*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8354*/       /*Scope*/ 21, /*->8376*/
/*  8355*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8357*/        OPC_MoveParent,
/*  8358*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8360*/        OPC_EmitMergeInputChains1_0,
/*  8361*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8364*/        OPC_EmitConvertToTarget, 2,
/*  8366*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8376*/       0, /*End of Scope*/
/*  8377*/      /*SwitchType*/ 53, MVT::i64,// ->8432
/*  8379*/       OPC_MoveParent,
/*  8380*/       OPC_MoveChild2,
/*  8381*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8384*/       OPC_RecordChild0, // #3 = $val
/*  8385*/       OPC_MoveParent,
/*  8386*/       OPC_Scope, 21, /*->8409*/ // 2 children in Scope
/*  8388*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8390*/        OPC_MoveParent,
/*  8391*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8393*/        OPC_EmitMergeInputChains1_0,
/*  8394*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8397*/        OPC_EmitConvertToTarget, 2,
/*  8399*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8409*/       /*Scope*/ 21, /*->8431*/
/*  8410*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8412*/        OPC_MoveParent,
/*  8413*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8415*/        OPC_EmitMergeInputChains1_0,
/*  8416*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8419*/        OPC_EmitConvertToTarget, 2,
/*  8421*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8431*/       0, /*End of Scope*/
/*  8432*/      0, // EndSwitchType
/*  8433*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->8557
/*  8436*/      OPC_RecordChild0, // #1 = $addr
/*  8437*/      OPC_RecordChild1, // #2 = $off
/*  8438*/      OPC_MoveChild1,
/*  8439*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8442*/      OPC_MoveParent,
/*  8443*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  8445*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->8501
/*  8448*/       OPC_MoveParent,
/*  8449*/       OPC_MoveChild2,
/*  8450*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8453*/       OPC_RecordChild0, // #3 = $val
/*  8454*/       OPC_MoveParent,
/*  8455*/       OPC_Scope, 21, /*->8478*/ // 2 children in Scope
/*  8457*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8459*/        OPC_MoveParent,
/*  8460*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8462*/        OPC_EmitMergeInputChains1_0,
/*  8463*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8466*/        OPC_EmitConvertToTarget, 2,
/*  8468*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8478*/       /*Scope*/ 21, /*->8500*/
/*  8479*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8481*/        OPC_MoveParent,
/*  8482*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8484*/        OPC_EmitMergeInputChains1_0,
/*  8485*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8488*/        OPC_EmitConvertToTarget, 2,
/*  8490*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8500*/       0, /*End of Scope*/
/*  8501*/      /*SwitchType*/ 53, MVT::i64,// ->8556
/*  8503*/       OPC_MoveParent,
/*  8504*/       OPC_MoveChild2,
/*  8505*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8508*/       OPC_RecordChild0, // #3 = $val
/*  8509*/       OPC_MoveParent,
/*  8510*/       OPC_Scope, 21, /*->8533*/ // 2 children in Scope
/*  8512*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8514*/        OPC_MoveParent,
/*  8515*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8517*/        OPC_EmitMergeInputChains1_0,
/*  8518*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8521*/        OPC_EmitConvertToTarget, 2,
/*  8523*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8533*/       /*Scope*/ 21, /*->8555*/
/*  8534*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8536*/        OPC_MoveParent,
/*  8537*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8539*/        OPC_EmitMergeInputChains1_0,
/*  8540*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8543*/        OPC_EmitConvertToTarget, 2,
/*  8545*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8555*/       0, /*End of Scope*/
/*  8556*/      0, // EndSwitchType
/*  8557*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->8696
/*  8561*/      OPC_RecordChild0, // #1 = $off
/*  8562*/      OPC_MoveChild0,
/*  8563*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  8566*/      OPC_MoveParent,
/*  8567*/      OPC_MoveParent,
/*  8568*/      OPC_MoveChild2,
/*  8569*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8572*/      OPC_RecordChild0, // #2 = $val
/*  8573*/      OPC_MoveParent,
/*  8574*/      OPC_Scope, 59, /*->8635*/ // 2 children in Scope
/*  8576*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8578*/       OPC_MoveParent,
/*  8579*/       OPC_Scope, 26, /*->8607*/ // 2 children in Scope
/*  8581*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  8583*/        OPC_EmitMergeInputChains1_0,
/*  8584*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8587*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8590*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  8597*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  8607*/       /*Scope*/ 26, /*->8634*/
/*  8608*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  8610*/        OPC_EmitMergeInputChains1_0,
/*  8611*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8614*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8617*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  8624*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  8634*/       0, /*End of Scope*/
/*  8635*/      /*Scope*/ 59, /*->8695*/
/*  8636*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8638*/       OPC_MoveParent,
/*  8639*/       OPC_Scope, 26, /*->8667*/ // 2 children in Scope
/*  8641*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  8643*/        OPC_EmitMergeInputChains1_0,
/*  8644*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8647*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8650*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  8657*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  8667*/       /*Scope*/ 26, /*->8694*/
/*  8668*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  8670*/        OPC_EmitMergeInputChains1_0,
/*  8671*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8674*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8677*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  8684*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  8694*/       0, /*End of Scope*/
/*  8695*/      0, /*End of Scope*/
/*  8696*/     0, // EndSwitchOpcode
/*  8697*/    /*Scope*/ 4|128,2/*260*/, /*->8959*/
/*  8699*/     OPC_RecordChild1, // #1 = $off
/*  8700*/     OPC_Scope, 13|128,1/*141*/, /*->8844*/ // 3 children in Scope
/*  8703*/      OPC_MoveChild1,
/*  8704*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8707*/      OPC_MoveParent,
/*  8708*/      OPC_MoveChild2,
/*  8709*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8712*/      OPC_RecordChild0, // #2 = $val
/*  8713*/      OPC_MoveParent,
/*  8714*/      OPC_Scope, 63, /*->8779*/ // 2 children in Scope
/*  8716*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8718*/       OPC_MoveParent,
/*  8719*/       OPC_Scope, 28, /*->8749*/ // 2 children in Scope
/*  8721*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8723*/        OPC_EmitMergeInputChains1_0,
/*  8724*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8727*/        OPC_EmitConvertToTarget, 1,
/*  8729*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8732*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  8739*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  8749*/       /*Scope*/ 28, /*->8778*/
/*  8750*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8752*/        OPC_EmitMergeInputChains1_0,
/*  8753*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8756*/        OPC_EmitConvertToTarget, 1,
/*  8758*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8761*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  8768*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  8778*/       0, /*End of Scope*/
/*  8779*/      /*Scope*/ 63, /*->8843*/
/*  8780*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8782*/       OPC_MoveParent,
/*  8783*/       OPC_Scope, 28, /*->8813*/ // 2 children in Scope
/*  8785*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8787*/        OPC_EmitMergeInputChains1_0,
/*  8788*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8791*/        OPC_EmitConvertToTarget, 1,
/*  8793*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8796*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  8803*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  8813*/       /*Scope*/ 28, /*->8842*/
/*  8814*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8816*/        OPC_EmitMergeInputChains1_0,
/*  8817*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8820*/        OPC_EmitConvertToTarget, 1,
/*  8822*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8825*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  8832*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  8842*/       0, /*End of Scope*/
/*  8843*/      0, /*End of Scope*/
/*  8844*/     /*Scope*/ 56, /*->8901*/
/*  8845*/      OPC_CheckChild1Type, MVT::i32,
/*  8847*/      OPC_MoveChild2,
/*  8848*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8851*/      OPC_RecordChild0, // #2 = $val
/*  8852*/      OPC_MoveParent,
/*  8853*/      OPC_Scope, 22, /*->8877*/ // 2 children in Scope
/*  8855*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8857*/       OPC_MoveParent,
/*  8858*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8860*/       OPC_EmitMergeInputChains1_0,
/*  8861*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8864*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8867*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8877*/      /*Scope*/ 22, /*->8900*/
/*  8878*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8880*/       OPC_MoveParent,
/*  8881*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8883*/       OPC_EmitMergeInputChains1_0,
/*  8884*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8887*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8890*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8900*/      0, /*End of Scope*/
/*  8901*/     /*Scope*/ 56, /*->8958*/
/*  8902*/      OPC_CheckChild1Type, MVT::i64,
/*  8904*/      OPC_MoveChild2,
/*  8905*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8908*/      OPC_RecordChild0, // #2 = $val
/*  8909*/      OPC_MoveParent,
/*  8910*/      OPC_Scope, 22, /*->8934*/ // 2 children in Scope
/*  8912*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8914*/       OPC_MoveParent,
/*  8915*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8917*/       OPC_EmitMergeInputChains1_0,
/*  8918*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8921*/       OPC_EmitInteger, MVT::i64, 0, 
/*  8924*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8934*/      /*Scope*/ 22, /*->8957*/
/*  8935*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8937*/       OPC_MoveParent,
/*  8938*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8940*/       OPC_EmitMergeInputChains1_0,
/*  8941*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8944*/       OPC_EmitInteger, MVT::i64, 0, 
/*  8947*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8957*/      0, /*End of Scope*/
/*  8958*/     0, /*End of Scope*/
/*  8959*/    0, /*End of Scope*/
/*  8960*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->9622
/*  8964*/    OPC_RecordMemRef,
/*  8965*/    OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*  8966*/    OPC_Scope, 6|128,3/*390*/, /*->9359*/ // 2 children in Scope
/*  8969*/     OPC_MoveChild1,
/*  8970*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->9095
/*  8974*/      OPC_RecordChild0, // #1 = $addr
/*  8975*/      OPC_RecordChild1, // #2 = $off
/*  8976*/      OPC_MoveChild1,
/*  8977*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8980*/      OPC_MoveParent,
/*  8981*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  8983*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->9039
/*  8986*/       OPC_MoveParent,
/*  8987*/       OPC_MoveChild2,
/*  8988*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8991*/       OPC_RecordChild0, // #3 = $val
/*  8992*/       OPC_MoveParent,
/*  8993*/       OPC_Scope, 21, /*->9016*/ // 2 children in Scope
/*  8995*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  8997*/        OPC_MoveParent,
/*  8998*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9000*/        OPC_EmitMergeInputChains1_0,
/*  9001*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9004*/        OPC_EmitConvertToTarget, 2,
/*  9006*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9016*/       /*Scope*/ 21, /*->9038*/
/*  9017*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9019*/        OPC_MoveParent,
/*  9020*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9022*/        OPC_EmitMergeInputChains1_0,
/*  9023*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9026*/        OPC_EmitConvertToTarget, 2,
/*  9028*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9038*/       0, /*End of Scope*/
/*  9039*/      /*SwitchType*/ 53, MVT::i64,// ->9094
/*  9041*/       OPC_MoveParent,
/*  9042*/       OPC_MoveChild2,
/*  9043*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9046*/       OPC_RecordChild0, // #3 = $val
/*  9047*/       OPC_MoveParent,
/*  9048*/       OPC_Scope, 21, /*->9071*/ // 2 children in Scope
/*  9050*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9052*/        OPC_MoveParent,
/*  9053*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9055*/        OPC_EmitMergeInputChains1_0,
/*  9056*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9059*/        OPC_EmitConvertToTarget, 2,
/*  9061*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9071*/       /*Scope*/ 21, /*->9093*/
/*  9072*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9074*/        OPC_MoveParent,
/*  9075*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9077*/        OPC_EmitMergeInputChains1_0,
/*  9078*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9081*/        OPC_EmitConvertToTarget, 2,
/*  9083*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9093*/       0, /*End of Scope*/
/*  9094*/      0, // EndSwitchType
/*  9095*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->9219
/*  9098*/      OPC_RecordChild0, // #1 = $addr
/*  9099*/      OPC_RecordChild1, // #2 = $off
/*  9100*/      OPC_MoveChild1,
/*  9101*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  9104*/      OPC_MoveParent,
/*  9105*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  9107*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->9163
/*  9110*/       OPC_MoveParent,
/*  9111*/       OPC_MoveChild2,
/*  9112*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9115*/       OPC_RecordChild0, // #3 = $val
/*  9116*/       OPC_MoveParent,
/*  9117*/       OPC_Scope, 21, /*->9140*/ // 2 children in Scope
/*  9119*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9121*/        OPC_MoveParent,
/*  9122*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9124*/        OPC_EmitMergeInputChains1_0,
/*  9125*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9128*/        OPC_EmitConvertToTarget, 2,
/*  9130*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9140*/       /*Scope*/ 21, /*->9162*/
/*  9141*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9143*/        OPC_MoveParent,
/*  9144*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9146*/        OPC_EmitMergeInputChains1_0,
/*  9147*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9150*/        OPC_EmitConvertToTarget, 2,
/*  9152*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9162*/       0, /*End of Scope*/
/*  9163*/      /*SwitchType*/ 53, MVT::i64,// ->9218
/*  9165*/       OPC_MoveParent,
/*  9166*/       OPC_MoveChild2,
/*  9167*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9170*/       OPC_RecordChild0, // #3 = $val
/*  9171*/       OPC_MoveParent,
/*  9172*/       OPC_Scope, 21, /*->9195*/ // 2 children in Scope
/*  9174*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9176*/        OPC_MoveParent,
/*  9177*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9179*/        OPC_EmitMergeInputChains1_0,
/*  9180*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9183*/        OPC_EmitConvertToTarget, 2,
/*  9185*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9195*/       /*Scope*/ 21, /*->9217*/
/*  9196*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9198*/        OPC_MoveParent,
/*  9199*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9201*/        OPC_EmitMergeInputChains1_0,
/*  9202*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9205*/        OPC_EmitConvertToTarget, 2,
/*  9207*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9217*/       0, /*End of Scope*/
/*  9218*/      0, // EndSwitchType
/*  9219*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->9358
/*  9223*/      OPC_RecordChild0, // #1 = $off
/*  9224*/      OPC_MoveChild0,
/*  9225*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  9228*/      OPC_MoveParent,
/*  9229*/      OPC_MoveParent,
/*  9230*/      OPC_MoveChild2,
/*  9231*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9234*/      OPC_RecordChild0, // #2 = $val
/*  9235*/      OPC_MoveParent,
/*  9236*/      OPC_Scope, 59, /*->9297*/ // 2 children in Scope
/*  9238*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9240*/       OPC_MoveParent,
/*  9241*/       OPC_Scope, 26, /*->9269*/ // 2 children in Scope
/*  9243*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9245*/        OPC_EmitMergeInputChains1_0,
/*  9246*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9249*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9252*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  9259*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9269*/       /*Scope*/ 26, /*->9296*/
/*  9270*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9272*/        OPC_EmitMergeInputChains1_0,
/*  9273*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9276*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9279*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  9286*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9296*/       0, /*End of Scope*/
/*  9297*/      /*Scope*/ 59, /*->9357*/
/*  9298*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9300*/       OPC_MoveParent,
/*  9301*/       OPC_Scope, 26, /*->9329*/ // 2 children in Scope
/*  9303*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9305*/        OPC_EmitMergeInputChains1_0,
/*  9306*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9309*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9312*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  9319*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9329*/       /*Scope*/ 26, /*->9356*/
/*  9330*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9332*/        OPC_EmitMergeInputChains1_0,
/*  9333*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9336*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9339*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  9346*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9356*/       0, /*End of Scope*/
/*  9357*/      0, /*End of Scope*/
/*  9358*/     0, // EndSwitchOpcode
/*  9359*/    /*Scope*/ 4|128,2/*260*/, /*->9621*/
/*  9361*/     OPC_RecordChild1, // #1 = $off
/*  9362*/     OPC_Scope, 13|128,1/*141*/, /*->9506*/ // 3 children in Scope
/*  9365*/      OPC_MoveChild1,
/*  9366*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  9369*/      OPC_MoveParent,
/*  9370*/      OPC_MoveChild2,
/*  9371*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9374*/      OPC_RecordChild0, // #2 = $val
/*  9375*/      OPC_MoveParent,
/*  9376*/      OPC_Scope, 63, /*->9441*/ // 2 children in Scope
/*  9378*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9380*/       OPC_MoveParent,
/*  9381*/       OPC_Scope, 28, /*->9411*/ // 2 children in Scope
/*  9383*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9385*/        OPC_EmitMergeInputChains1_0,
/*  9386*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9389*/        OPC_EmitConvertToTarget, 1,
/*  9391*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9394*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  9401*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9411*/       /*Scope*/ 28, /*->9440*/
/*  9412*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9414*/        OPC_EmitMergeInputChains1_0,
/*  9415*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9418*/        OPC_EmitConvertToTarget, 1,
/*  9420*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9423*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  9430*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9440*/       0, /*End of Scope*/
/*  9441*/      /*Scope*/ 63, /*->9505*/
/*  9442*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9444*/       OPC_MoveParent,
/*  9445*/       OPC_Scope, 28, /*->9475*/ // 2 children in Scope
/*  9447*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9449*/        OPC_EmitMergeInputChains1_0,
/*  9450*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9453*/        OPC_EmitConvertToTarget, 1,
/*  9455*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9458*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  9465*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9475*/       /*Scope*/ 28, /*->9504*/
/*  9476*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9478*/        OPC_EmitMergeInputChains1_0,
/*  9479*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9482*/        OPC_EmitConvertToTarget, 1,
/*  9484*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9487*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  9494*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9504*/       0, /*End of Scope*/
/*  9505*/      0, /*End of Scope*/
/*  9506*/     /*Scope*/ 56, /*->9563*/
/*  9507*/      OPC_CheckChild1Type, MVT::i32,
/*  9509*/      OPC_MoveChild2,
/*  9510*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9513*/      OPC_RecordChild0, // #2 = $val
/*  9514*/      OPC_MoveParent,
/*  9515*/      OPC_Scope, 22, /*->9539*/ // 2 children in Scope
/*  9517*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9519*/       OPC_MoveParent,
/*  9520*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9522*/       OPC_EmitMergeInputChains1_0,
/*  9523*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9526*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9529*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9539*/      /*Scope*/ 22, /*->9562*/
/*  9540*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9542*/       OPC_MoveParent,
/*  9543*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9545*/       OPC_EmitMergeInputChains1_0,
/*  9546*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9549*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9552*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9562*/      0, /*End of Scope*/
/*  9563*/     /*Scope*/ 56, /*->9620*/
/*  9564*/      OPC_CheckChild1Type, MVT::i64,
/*  9566*/      OPC_MoveChild2,
/*  9567*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9570*/      OPC_RecordChild0, // #2 = $val
/*  9571*/      OPC_MoveParent,
/*  9572*/      OPC_Scope, 22, /*->9596*/ // 2 children in Scope
/*  9574*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9576*/       OPC_MoveParent,
/*  9577*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9579*/       OPC_EmitMergeInputChains1_0,
/*  9580*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9583*/       OPC_EmitInteger, MVT::i64, 0, 
/*  9586*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9596*/      /*Scope*/ 22, /*->9619*/
/*  9597*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9599*/       OPC_MoveParent,
/*  9600*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9602*/       OPC_EmitMergeInputChains1_0,
/*  9603*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9606*/       OPC_EmitInteger, MVT::i64, 0, 
/*  9609*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9619*/      0, /*End of Scope*/
/*  9620*/     0, /*End of Scope*/
/*  9621*/    0, /*End of Scope*/
/*  9622*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->10284
/*  9626*/    OPC_RecordMemRef,
/*  9627*/    OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*  9628*/    OPC_Scope, 6|128,3/*390*/, /*->10021*/ // 2 children in Scope
/*  9631*/     OPC_MoveChild1,
/*  9632*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->9757
/*  9636*/      OPC_RecordChild0, // #1 = $addr
/*  9637*/      OPC_RecordChild1, // #2 = $off
/*  9638*/      OPC_MoveChild1,
/*  9639*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  9642*/      OPC_MoveParent,
/*  9643*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  9645*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->9701
/*  9648*/       OPC_MoveParent,
/*  9649*/       OPC_MoveChild2,
/*  9650*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9653*/       OPC_RecordChild0, // #3 = $val
/*  9654*/       OPC_MoveParent,
/*  9655*/       OPC_Scope, 21, /*->9678*/ // 2 children in Scope
/*  9657*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9659*/        OPC_MoveParent,
/*  9660*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9662*/        OPC_EmitMergeInputChains1_0,
/*  9663*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9666*/        OPC_EmitConvertToTarget, 2,
/*  9668*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9678*/       /*Scope*/ 21, /*->9700*/
/*  9679*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9681*/        OPC_MoveParent,
/*  9682*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9684*/        OPC_EmitMergeInputChains1_0,
/*  9685*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9688*/        OPC_EmitConvertToTarget, 2,
/*  9690*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9700*/       0, /*End of Scope*/
/*  9701*/      /*SwitchType*/ 53, MVT::i64,// ->9756
/*  9703*/       OPC_MoveParent,
/*  9704*/       OPC_MoveChild2,
/*  9705*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9708*/       OPC_RecordChild0, // #3 = $val
/*  9709*/       OPC_MoveParent,
/*  9710*/       OPC_Scope, 21, /*->9733*/ // 2 children in Scope
/*  9712*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9714*/        OPC_MoveParent,
/*  9715*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9717*/        OPC_EmitMergeInputChains1_0,
/*  9718*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9721*/        OPC_EmitConvertToTarget, 2,
/*  9723*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9733*/       /*Scope*/ 21, /*->9755*/
/*  9734*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9736*/        OPC_MoveParent,
/*  9737*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9739*/        OPC_EmitMergeInputChains1_0,
/*  9740*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9743*/        OPC_EmitConvertToTarget, 2,
/*  9745*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9755*/       0, /*End of Scope*/
/*  9756*/      0, // EndSwitchType
/*  9757*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->9881
/*  9760*/      OPC_RecordChild0, // #1 = $addr
/*  9761*/      OPC_RecordChild1, // #2 = $off
/*  9762*/      OPC_MoveChild1,
/*  9763*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  9766*/      OPC_MoveParent,
/*  9767*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  9769*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->9825
/*  9772*/       OPC_MoveParent,
/*  9773*/       OPC_MoveChild2,
/*  9774*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9777*/       OPC_RecordChild0, // #3 = $val
/*  9778*/       OPC_MoveParent,
/*  9779*/       OPC_Scope, 21, /*->9802*/ // 2 children in Scope
/*  9781*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9783*/        OPC_MoveParent,
/*  9784*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9786*/        OPC_EmitMergeInputChains1_0,
/*  9787*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9790*/        OPC_EmitConvertToTarget, 2,
/*  9792*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9802*/       /*Scope*/ 21, /*->9824*/
/*  9803*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9805*/        OPC_MoveParent,
/*  9806*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9808*/        OPC_EmitMergeInputChains1_0,
/*  9809*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9812*/        OPC_EmitConvertToTarget, 2,
/*  9814*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9824*/       0, /*End of Scope*/
/*  9825*/      /*SwitchType*/ 53, MVT::i64,// ->9880
/*  9827*/       OPC_MoveParent,
/*  9828*/       OPC_MoveChild2,
/*  9829*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9832*/       OPC_RecordChild0, // #3 = $val
/*  9833*/       OPC_MoveParent,
/*  9834*/       OPC_Scope, 21, /*->9857*/ // 2 children in Scope
/*  9836*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9838*/        OPC_MoveParent,
/*  9839*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9841*/        OPC_EmitMergeInputChains1_0,
/*  9842*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9845*/        OPC_EmitConvertToTarget, 2,
/*  9847*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9857*/       /*Scope*/ 21, /*->9879*/
/*  9858*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9860*/        OPC_MoveParent,
/*  9861*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9863*/        OPC_EmitMergeInputChains1_0,
/*  9864*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9867*/        OPC_EmitConvertToTarget, 2,
/*  9869*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9879*/       0, /*End of Scope*/
/*  9880*/      0, // EndSwitchType
/*  9881*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->10020
/*  9885*/      OPC_RecordChild0, // #1 = $off
/*  9886*/      OPC_MoveChild0,
/*  9887*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  9890*/      OPC_MoveParent,
/*  9891*/      OPC_MoveParent,
/*  9892*/      OPC_MoveChild2,
/*  9893*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9896*/      OPC_RecordChild0, // #2 = $val
/*  9897*/      OPC_MoveParent,
/*  9898*/      OPC_Scope, 59, /*->9959*/ // 2 children in Scope
/*  9900*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9902*/       OPC_MoveParent,
/*  9903*/       OPC_Scope, 26, /*->9931*/ // 2 children in Scope
/*  9905*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9907*/        OPC_EmitMergeInputChains1_0,
/*  9908*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9911*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9914*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  9921*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9931*/       /*Scope*/ 26, /*->9958*/
/*  9932*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9934*/        OPC_EmitMergeInputChains1_0,
/*  9935*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9938*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9941*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  9948*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9958*/       0, /*End of Scope*/
/*  9959*/      /*Scope*/ 59, /*->10019*/
/*  9960*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9962*/       OPC_MoveParent,
/*  9963*/       OPC_Scope, 26, /*->9991*/ // 2 children in Scope
/*  9965*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9967*/        OPC_EmitMergeInputChains1_0,
/*  9968*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9971*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9974*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  9981*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9991*/       /*Scope*/ 26, /*->10018*/
/*  9992*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9994*/        OPC_EmitMergeInputChains1_0,
/*  9995*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9998*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10001*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 10008*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10018*/       0, /*End of Scope*/
/* 10019*/      0, /*End of Scope*/
/* 10020*/     0, // EndSwitchOpcode
/* 10021*/    /*Scope*/ 4|128,2/*260*/, /*->10283*/
/* 10023*/     OPC_RecordChild1, // #1 = $off
/* 10024*/     OPC_Scope, 13|128,1/*141*/, /*->10168*/ // 3 children in Scope
/* 10027*/      OPC_MoveChild1,
/* 10028*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10031*/      OPC_MoveParent,
/* 10032*/      OPC_MoveChild2,
/* 10033*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10036*/      OPC_RecordChild0, // #2 = $val
/* 10037*/      OPC_MoveParent,
/* 10038*/      OPC_Scope, 63, /*->10103*/ // 2 children in Scope
/* 10040*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 10042*/       OPC_MoveParent,
/* 10043*/       OPC_Scope, 28, /*->10073*/ // 2 children in Scope
/* 10045*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10047*/        OPC_EmitMergeInputChains1_0,
/* 10048*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10051*/        OPC_EmitConvertToTarget, 1,
/* 10053*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10056*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 10063*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10073*/       /*Scope*/ 28, /*->10102*/
/* 10074*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10076*/        OPC_EmitMergeInputChains1_0,
/* 10077*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10080*/        OPC_EmitConvertToTarget, 1,
/* 10082*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10085*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 10092*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10102*/       0, /*End of Scope*/
/* 10103*/      /*Scope*/ 63, /*->10167*/
/* 10104*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 10106*/       OPC_MoveParent,
/* 10107*/       OPC_Scope, 28, /*->10137*/ // 2 children in Scope
/* 10109*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10111*/        OPC_EmitMergeInputChains1_0,
/* 10112*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10115*/        OPC_EmitConvertToTarget, 1,
/* 10117*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10120*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 10127*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10137*/       /*Scope*/ 28, /*->10166*/
/* 10138*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10140*/        OPC_EmitMergeInputChains1_0,
/* 10141*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10144*/        OPC_EmitConvertToTarget, 1,
/* 10146*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10149*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 10156*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10166*/       0, /*End of Scope*/
/* 10167*/      0, /*End of Scope*/
/* 10168*/     /*Scope*/ 56, /*->10225*/
/* 10169*/      OPC_CheckChild1Type, MVT::i32,
/* 10171*/      OPC_MoveChild2,
/* 10172*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10175*/      OPC_RecordChild0, // #2 = $val
/* 10176*/      OPC_MoveParent,
/* 10177*/      OPC_Scope, 22, /*->10201*/ // 2 children in Scope
/* 10179*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 10181*/       OPC_MoveParent,
/* 10182*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10184*/       OPC_EmitMergeInputChains1_0,
/* 10185*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10188*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10191*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10201*/      /*Scope*/ 22, /*->10224*/
/* 10202*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 10204*/       OPC_MoveParent,
/* 10205*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10207*/       OPC_EmitMergeInputChains1_0,
/* 10208*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10211*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10214*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10224*/      0, /*End of Scope*/
/* 10225*/     /*Scope*/ 56, /*->10282*/
/* 10226*/      OPC_CheckChild1Type, MVT::i64,
/* 10228*/      OPC_MoveChild2,
/* 10229*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10232*/      OPC_RecordChild0, // #2 = $val
/* 10233*/      OPC_MoveParent,
/* 10234*/      OPC_Scope, 22, /*->10258*/ // 2 children in Scope
/* 10236*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 10238*/       OPC_MoveParent,
/* 10239*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10241*/       OPC_EmitMergeInputChains1_0,
/* 10242*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10245*/       OPC_EmitInteger, MVT::i64, 0, 
/* 10248*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10258*/      /*Scope*/ 22, /*->10281*/
/* 10259*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 10261*/       OPC_MoveParent,
/* 10262*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10264*/       OPC_EmitMergeInputChains1_0,
/* 10265*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10268*/       OPC_EmitInteger, MVT::i64, 0, 
/* 10271*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10281*/      0, /*End of Scope*/
/* 10282*/     0, /*End of Scope*/
/* 10283*/    0, /*End of Scope*/
/* 10284*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->10946
/* 10288*/    OPC_RecordMemRef,
/* 10289*/    OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/* 10290*/    OPC_Scope, 6|128,3/*390*/, /*->10683*/ // 2 children in Scope
/* 10293*/     OPC_MoveChild1,
/* 10294*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->10419
/* 10298*/      OPC_RecordChild0, // #1 = $addr
/* 10299*/      OPC_RecordChild1, // #2 = $off
/* 10300*/      OPC_MoveChild1,
/* 10301*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10304*/      OPC_MoveParent,
/* 10305*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 10307*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->10363
/* 10310*/       OPC_MoveParent,
/* 10311*/       OPC_MoveChild2,
/* 10312*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10315*/       OPC_RecordChild0, // #3 = $val
/* 10316*/       OPC_MoveParent,
/* 10317*/       OPC_Scope, 21, /*->10340*/ // 2 children in Scope
/* 10319*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10321*/        OPC_MoveParent,
/* 10322*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10324*/        OPC_EmitMergeInputChains1_0,
/* 10325*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10328*/        OPC_EmitConvertToTarget, 2,
/* 10330*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10340*/       /*Scope*/ 21, /*->10362*/
/* 10341*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10343*/        OPC_MoveParent,
/* 10344*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10346*/        OPC_EmitMergeInputChains1_0,
/* 10347*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10350*/        OPC_EmitConvertToTarget, 2,
/* 10352*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10362*/       0, /*End of Scope*/
/* 10363*/      /*SwitchType*/ 53, MVT::i64,// ->10418
/* 10365*/       OPC_MoveParent,
/* 10366*/       OPC_MoveChild2,
/* 10367*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10370*/       OPC_RecordChild0, // #3 = $val
/* 10371*/       OPC_MoveParent,
/* 10372*/       OPC_Scope, 21, /*->10395*/ // 2 children in Scope
/* 10374*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10376*/        OPC_MoveParent,
/* 10377*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10379*/        OPC_EmitMergeInputChains1_0,
/* 10380*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10383*/        OPC_EmitConvertToTarget, 2,
/* 10385*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10395*/       /*Scope*/ 21, /*->10417*/
/* 10396*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10398*/        OPC_MoveParent,
/* 10399*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10401*/        OPC_EmitMergeInputChains1_0,
/* 10402*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10405*/        OPC_EmitConvertToTarget, 2,
/* 10407*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10417*/       0, /*End of Scope*/
/* 10418*/      0, // EndSwitchType
/* 10419*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->10543
/* 10422*/      OPC_RecordChild0, // #1 = $addr
/* 10423*/      OPC_RecordChild1, // #2 = $off
/* 10424*/      OPC_MoveChild1,
/* 10425*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10428*/      OPC_MoveParent,
/* 10429*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 10431*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->10487
/* 10434*/       OPC_MoveParent,
/* 10435*/       OPC_MoveChild2,
/* 10436*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10439*/       OPC_RecordChild0, // #3 = $val
/* 10440*/       OPC_MoveParent,
/* 10441*/       OPC_Scope, 21, /*->10464*/ // 2 children in Scope
/* 10443*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10445*/        OPC_MoveParent,
/* 10446*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10448*/        OPC_EmitMergeInputChains1_0,
/* 10449*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10452*/        OPC_EmitConvertToTarget, 2,
/* 10454*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10464*/       /*Scope*/ 21, /*->10486*/
/* 10465*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10467*/        OPC_MoveParent,
/* 10468*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10470*/        OPC_EmitMergeInputChains1_0,
/* 10471*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10474*/        OPC_EmitConvertToTarget, 2,
/* 10476*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10486*/       0, /*End of Scope*/
/* 10487*/      /*SwitchType*/ 53, MVT::i64,// ->10542
/* 10489*/       OPC_MoveParent,
/* 10490*/       OPC_MoveChild2,
/* 10491*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10494*/       OPC_RecordChild0, // #3 = $val
/* 10495*/       OPC_MoveParent,
/* 10496*/       OPC_Scope, 21, /*->10519*/ // 2 children in Scope
/* 10498*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10500*/        OPC_MoveParent,
/* 10501*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10503*/        OPC_EmitMergeInputChains1_0,
/* 10504*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10507*/        OPC_EmitConvertToTarget, 2,
/* 10509*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10519*/       /*Scope*/ 21, /*->10541*/
/* 10520*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10522*/        OPC_MoveParent,
/* 10523*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10525*/        OPC_EmitMergeInputChains1_0,
/* 10526*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10529*/        OPC_EmitConvertToTarget, 2,
/* 10531*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10541*/       0, /*End of Scope*/
/* 10542*/      0, // EndSwitchType
/* 10543*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->10682
/* 10547*/      OPC_RecordChild0, // #1 = $off
/* 10548*/      OPC_MoveChild0,
/* 10549*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10552*/      OPC_MoveParent,
/* 10553*/      OPC_MoveParent,
/* 10554*/      OPC_MoveChild2,
/* 10555*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10558*/      OPC_RecordChild0, // #2 = $val
/* 10559*/      OPC_MoveParent,
/* 10560*/      OPC_Scope, 59, /*->10621*/ // 2 children in Scope
/* 10562*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10564*/       OPC_MoveParent,
/* 10565*/       OPC_Scope, 26, /*->10593*/ // 2 children in Scope
/* 10567*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 10569*/        OPC_EmitMergeInputChains1_0,
/* 10570*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10573*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10576*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 10583*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10593*/       /*Scope*/ 26, /*->10620*/
/* 10594*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 10596*/        OPC_EmitMergeInputChains1_0,
/* 10597*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10600*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10603*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 10610*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10620*/       0, /*End of Scope*/
/* 10621*/      /*Scope*/ 59, /*->10681*/
/* 10622*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10624*/       OPC_MoveParent,
/* 10625*/       OPC_Scope, 26, /*->10653*/ // 2 children in Scope
/* 10627*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 10629*/        OPC_EmitMergeInputChains1_0,
/* 10630*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10633*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10636*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 10643*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10653*/       /*Scope*/ 26, /*->10680*/
/* 10654*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 10656*/        OPC_EmitMergeInputChains1_0,
/* 10657*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10660*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10663*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 10670*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10680*/       0, /*End of Scope*/
/* 10681*/      0, /*End of Scope*/
/* 10682*/     0, // EndSwitchOpcode
/* 10683*/    /*Scope*/ 4|128,2/*260*/, /*->10945*/
/* 10685*/     OPC_RecordChild1, // #1 = $off
/* 10686*/     OPC_Scope, 13|128,1/*141*/, /*->10830*/ // 3 children in Scope
/* 10689*/      OPC_MoveChild1,
/* 10690*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10693*/      OPC_MoveParent,
/* 10694*/      OPC_MoveChild2,
/* 10695*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10698*/      OPC_RecordChild0, // #2 = $val
/* 10699*/      OPC_MoveParent,
/* 10700*/      OPC_Scope, 63, /*->10765*/ // 2 children in Scope
/* 10702*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10704*/       OPC_MoveParent,
/* 10705*/       OPC_Scope, 28, /*->10735*/ // 2 children in Scope
/* 10707*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10709*/        OPC_EmitMergeInputChains1_0,
/* 10710*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10713*/        OPC_EmitConvertToTarget, 1,
/* 10715*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10718*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 10725*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10735*/       /*Scope*/ 28, /*->10764*/
/* 10736*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10738*/        OPC_EmitMergeInputChains1_0,
/* 10739*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10742*/        OPC_EmitConvertToTarget, 1,
/* 10744*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10747*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 10754*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10764*/       0, /*End of Scope*/
/* 10765*/      /*Scope*/ 63, /*->10829*/
/* 10766*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10768*/       OPC_MoveParent,
/* 10769*/       OPC_Scope, 28, /*->10799*/ // 2 children in Scope
/* 10771*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10773*/        OPC_EmitMergeInputChains1_0,
/* 10774*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10777*/        OPC_EmitConvertToTarget, 1,
/* 10779*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10782*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 10789*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10799*/       /*Scope*/ 28, /*->10828*/
/* 10800*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10802*/        OPC_EmitMergeInputChains1_0,
/* 10803*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10806*/        OPC_EmitConvertToTarget, 1,
/* 10808*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10811*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 10818*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10828*/       0, /*End of Scope*/
/* 10829*/      0, /*End of Scope*/
/* 10830*/     /*Scope*/ 56, /*->10887*/
/* 10831*/      OPC_CheckChild1Type, MVT::i32,
/* 10833*/      OPC_MoveChild2,
/* 10834*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10837*/      OPC_RecordChild0, // #2 = $val
/* 10838*/      OPC_MoveParent,
/* 10839*/      OPC_Scope, 22, /*->10863*/ // 2 children in Scope
/* 10841*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10843*/       OPC_MoveParent,
/* 10844*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10846*/       OPC_EmitMergeInputChains1_0,
/* 10847*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10850*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10853*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10863*/      /*Scope*/ 22, /*->10886*/
/* 10864*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10866*/       OPC_MoveParent,
/* 10867*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10869*/       OPC_EmitMergeInputChains1_0,
/* 10870*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10873*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10876*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10886*/      0, /*End of Scope*/
/* 10887*/     /*Scope*/ 56, /*->10944*/
/* 10888*/      OPC_CheckChild1Type, MVT::i64,
/* 10890*/      OPC_MoveChild2,
/* 10891*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10894*/      OPC_RecordChild0, // #2 = $val
/* 10895*/      OPC_MoveParent,
/* 10896*/      OPC_Scope, 22, /*->10920*/ // 2 children in Scope
/* 10898*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10900*/       OPC_MoveParent,
/* 10901*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10903*/       OPC_EmitMergeInputChains1_0,
/* 10904*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10907*/       OPC_EmitInteger, MVT::i64, 0, 
/* 10910*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10920*/      /*Scope*/ 22, /*->10943*/
/* 10921*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10923*/       OPC_MoveParent,
/* 10924*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10926*/       OPC_EmitMergeInputChains1_0,
/* 10927*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10930*/       OPC_EmitInteger, MVT::i64, 0, 
/* 10933*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10943*/      0, /*End of Scope*/
/* 10944*/     0, /*End of Scope*/
/* 10945*/    0, /*End of Scope*/
/* 10946*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->11608
/* 10950*/    OPC_RecordMemRef,
/* 10951*/    OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/* 10952*/    OPC_Scope, 6|128,3/*390*/, /*->11345*/ // 2 children in Scope
/* 10955*/     OPC_MoveChild1,
/* 10956*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->11081
/* 10960*/      OPC_RecordChild0, // #1 = $addr
/* 10961*/      OPC_RecordChild1, // #2 = $off
/* 10962*/      OPC_MoveChild1,
/* 10963*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10966*/      OPC_MoveParent,
/* 10967*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 10969*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->11025
/* 10972*/       OPC_MoveParent,
/* 10973*/       OPC_MoveChild2,
/* 10974*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10977*/       OPC_RecordChild0, // #3 = $val
/* 10978*/       OPC_MoveParent,
/* 10979*/       OPC_Scope, 21, /*->11002*/ // 2 children in Scope
/* 10981*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 10983*/        OPC_MoveParent,
/* 10984*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10986*/        OPC_EmitMergeInputChains1_0,
/* 10987*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10990*/        OPC_EmitConvertToTarget, 2,
/* 10992*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11002*/       /*Scope*/ 21, /*->11024*/
/* 11003*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11005*/        OPC_MoveParent,
/* 11006*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11008*/        OPC_EmitMergeInputChains1_0,
/* 11009*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11012*/        OPC_EmitConvertToTarget, 2,
/* 11014*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11024*/       0, /*End of Scope*/
/* 11025*/      /*SwitchType*/ 53, MVT::i64,// ->11080
/* 11027*/       OPC_MoveParent,
/* 11028*/       OPC_MoveChild2,
/* 11029*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11032*/       OPC_RecordChild0, // #3 = $val
/* 11033*/       OPC_MoveParent,
/* 11034*/       OPC_Scope, 21, /*->11057*/ // 2 children in Scope
/* 11036*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11038*/        OPC_MoveParent,
/* 11039*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11041*/        OPC_EmitMergeInputChains1_0,
/* 11042*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11045*/        OPC_EmitConvertToTarget, 2,
/* 11047*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11057*/       /*Scope*/ 21, /*->11079*/
/* 11058*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11060*/        OPC_MoveParent,
/* 11061*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11063*/        OPC_EmitMergeInputChains1_0,
/* 11064*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11067*/        OPC_EmitConvertToTarget, 2,
/* 11069*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11079*/       0, /*End of Scope*/
/* 11080*/      0, // EndSwitchType
/* 11081*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->11205
/* 11084*/      OPC_RecordChild0, // #1 = $addr
/* 11085*/      OPC_RecordChild1, // #2 = $off
/* 11086*/      OPC_MoveChild1,
/* 11087*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11090*/      OPC_MoveParent,
/* 11091*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 11093*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->11149
/* 11096*/       OPC_MoveParent,
/* 11097*/       OPC_MoveChild2,
/* 11098*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11101*/       OPC_RecordChild0, // #3 = $val
/* 11102*/       OPC_MoveParent,
/* 11103*/       OPC_Scope, 21, /*->11126*/ // 2 children in Scope
/* 11105*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11107*/        OPC_MoveParent,
/* 11108*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11110*/        OPC_EmitMergeInputChains1_0,
/* 11111*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11114*/        OPC_EmitConvertToTarget, 2,
/* 11116*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11126*/       /*Scope*/ 21, /*->11148*/
/* 11127*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11129*/        OPC_MoveParent,
/* 11130*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11132*/        OPC_EmitMergeInputChains1_0,
/* 11133*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11136*/        OPC_EmitConvertToTarget, 2,
/* 11138*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11148*/       0, /*End of Scope*/
/* 11149*/      /*SwitchType*/ 53, MVT::i64,// ->11204
/* 11151*/       OPC_MoveParent,
/* 11152*/       OPC_MoveChild2,
/* 11153*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11156*/       OPC_RecordChild0, // #3 = $val
/* 11157*/       OPC_MoveParent,
/* 11158*/       OPC_Scope, 21, /*->11181*/ // 2 children in Scope
/* 11160*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11162*/        OPC_MoveParent,
/* 11163*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11165*/        OPC_EmitMergeInputChains1_0,
/* 11166*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11169*/        OPC_EmitConvertToTarget, 2,
/* 11171*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11181*/       /*Scope*/ 21, /*->11203*/
/* 11182*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11184*/        OPC_MoveParent,
/* 11185*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11187*/        OPC_EmitMergeInputChains1_0,
/* 11188*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11191*/        OPC_EmitConvertToTarget, 2,
/* 11193*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11203*/       0, /*End of Scope*/
/* 11204*/      0, // EndSwitchType
/* 11205*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->11344
/* 11209*/      OPC_RecordChild0, // #1 = $off
/* 11210*/      OPC_MoveChild0,
/* 11211*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11214*/      OPC_MoveParent,
/* 11215*/      OPC_MoveParent,
/* 11216*/      OPC_MoveChild2,
/* 11217*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11220*/      OPC_RecordChild0, // #2 = $val
/* 11221*/      OPC_MoveParent,
/* 11222*/      OPC_Scope, 59, /*->11283*/ // 2 children in Scope
/* 11224*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11226*/       OPC_MoveParent,
/* 11227*/       OPC_Scope, 26, /*->11255*/ // 2 children in Scope
/* 11229*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11231*/        OPC_EmitMergeInputChains1_0,
/* 11232*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11235*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11238*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 11245*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11255*/       /*Scope*/ 26, /*->11282*/
/* 11256*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11258*/        OPC_EmitMergeInputChains1_0,
/* 11259*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11262*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11265*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 11272*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11282*/       0, /*End of Scope*/
/* 11283*/      /*Scope*/ 59, /*->11343*/
/* 11284*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11286*/       OPC_MoveParent,
/* 11287*/       OPC_Scope, 26, /*->11315*/ // 2 children in Scope
/* 11289*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11291*/        OPC_EmitMergeInputChains1_0,
/* 11292*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11295*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11298*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 11305*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11315*/       /*Scope*/ 26, /*->11342*/
/* 11316*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11318*/        OPC_EmitMergeInputChains1_0,
/* 11319*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11322*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11325*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 11332*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11342*/       0, /*End of Scope*/
/* 11343*/      0, /*End of Scope*/
/* 11344*/     0, // EndSwitchOpcode
/* 11345*/    /*Scope*/ 4|128,2/*260*/, /*->11607*/
/* 11347*/     OPC_RecordChild1, // #1 = $off
/* 11348*/     OPC_Scope, 13|128,1/*141*/, /*->11492*/ // 3 children in Scope
/* 11351*/      OPC_MoveChild1,
/* 11352*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11355*/      OPC_MoveParent,
/* 11356*/      OPC_MoveChild2,
/* 11357*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11360*/      OPC_RecordChild0, // #2 = $val
/* 11361*/      OPC_MoveParent,
/* 11362*/      OPC_Scope, 63, /*->11427*/ // 2 children in Scope
/* 11364*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11366*/       OPC_MoveParent,
/* 11367*/       OPC_Scope, 28, /*->11397*/ // 2 children in Scope
/* 11369*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11371*/        OPC_EmitMergeInputChains1_0,
/* 11372*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11375*/        OPC_EmitConvertToTarget, 1,
/* 11377*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11380*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 11387*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11397*/       /*Scope*/ 28, /*->11426*/
/* 11398*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11400*/        OPC_EmitMergeInputChains1_0,
/* 11401*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11404*/        OPC_EmitConvertToTarget, 1,
/* 11406*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11409*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 11416*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11426*/       0, /*End of Scope*/
/* 11427*/      /*Scope*/ 63, /*->11491*/
/* 11428*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11430*/       OPC_MoveParent,
/* 11431*/       OPC_Scope, 28, /*->11461*/ // 2 children in Scope
/* 11433*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11435*/        OPC_EmitMergeInputChains1_0,
/* 11436*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11439*/        OPC_EmitConvertToTarget, 1,
/* 11441*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11444*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 11451*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11461*/       /*Scope*/ 28, /*->11490*/
/* 11462*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11464*/        OPC_EmitMergeInputChains1_0,
/* 11465*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11468*/        OPC_EmitConvertToTarget, 1,
/* 11470*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11473*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 11480*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11490*/       0, /*End of Scope*/
/* 11491*/      0, /*End of Scope*/
/* 11492*/     /*Scope*/ 56, /*->11549*/
/* 11493*/      OPC_CheckChild1Type, MVT::i32,
/* 11495*/      OPC_MoveChild2,
/* 11496*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11499*/      OPC_RecordChild0, // #2 = $val
/* 11500*/      OPC_MoveParent,
/* 11501*/      OPC_Scope, 22, /*->11525*/ // 2 children in Scope
/* 11503*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11505*/       OPC_MoveParent,
/* 11506*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11508*/       OPC_EmitMergeInputChains1_0,
/* 11509*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11512*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11515*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11525*/      /*Scope*/ 22, /*->11548*/
/* 11526*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11528*/       OPC_MoveParent,
/* 11529*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11531*/       OPC_EmitMergeInputChains1_0,
/* 11532*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11535*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11538*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11548*/      0, /*End of Scope*/
/* 11549*/     /*Scope*/ 56, /*->11606*/
/* 11550*/      OPC_CheckChild1Type, MVT::i64,
/* 11552*/      OPC_MoveChild2,
/* 11553*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11556*/      OPC_RecordChild0, // #2 = $val
/* 11557*/      OPC_MoveParent,
/* 11558*/      OPC_Scope, 22, /*->11582*/ // 2 children in Scope
/* 11560*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11562*/       OPC_MoveParent,
/* 11563*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11565*/       OPC_EmitMergeInputChains1_0,
/* 11566*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11569*/       OPC_EmitInteger, MVT::i64, 0, 
/* 11572*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11582*/      /*Scope*/ 22, /*->11605*/
/* 11583*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11585*/       OPC_MoveParent,
/* 11586*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11588*/       OPC_EmitMergeInputChains1_0,
/* 11589*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11592*/       OPC_EmitInteger, MVT::i64, 0, 
/* 11595*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11605*/      0, /*End of Scope*/
/* 11606*/     0, /*End of Scope*/
/* 11607*/    0, /*End of Scope*/
/* 11608*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->12270
/* 11612*/    OPC_RecordMemRef,
/* 11613*/    OPC_RecordNode, // #0 = 'atomic_swap' chained node
/* 11614*/    OPC_Scope, 6|128,3/*390*/, /*->12007*/ // 2 children in Scope
/* 11617*/     OPC_MoveChild1,
/* 11618*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->11743
/* 11622*/      OPC_RecordChild0, // #1 = $addr
/* 11623*/      OPC_RecordChild1, // #2 = $off
/* 11624*/      OPC_MoveChild1,
/* 11625*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11628*/      OPC_MoveParent,
/* 11629*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 11631*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->11687
/* 11634*/       OPC_MoveParent,
/* 11635*/       OPC_MoveChild2,
/* 11636*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11639*/       OPC_RecordChild0, // #3 = $val
/* 11640*/       OPC_MoveParent,
/* 11641*/       OPC_Scope, 21, /*->11664*/ // 2 children in Scope
/* 11643*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11645*/        OPC_MoveParent,
/* 11646*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11648*/        OPC_EmitMergeInputChains1_0,
/* 11649*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11652*/        OPC_EmitConvertToTarget, 2,
/* 11654*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11664*/       /*Scope*/ 21, /*->11686*/
/* 11665*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11667*/        OPC_MoveParent,
/* 11668*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11670*/        OPC_EmitMergeInputChains1_0,
/* 11671*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11674*/        OPC_EmitConvertToTarget, 2,
/* 11676*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11686*/       0, /*End of Scope*/
/* 11687*/      /*SwitchType*/ 53, MVT::i64,// ->11742
/* 11689*/       OPC_MoveParent,
/* 11690*/       OPC_MoveChild2,
/* 11691*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11694*/       OPC_RecordChild0, // #3 = $val
/* 11695*/       OPC_MoveParent,
/* 11696*/       OPC_Scope, 21, /*->11719*/ // 2 children in Scope
/* 11698*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11700*/        OPC_MoveParent,
/* 11701*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11703*/        OPC_EmitMergeInputChains1_0,
/* 11704*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11707*/        OPC_EmitConvertToTarget, 2,
/* 11709*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11719*/       /*Scope*/ 21, /*->11741*/
/* 11720*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11722*/        OPC_MoveParent,
/* 11723*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11725*/        OPC_EmitMergeInputChains1_0,
/* 11726*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11729*/        OPC_EmitConvertToTarget, 2,
/* 11731*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11741*/       0, /*End of Scope*/
/* 11742*/      0, // EndSwitchType
/* 11743*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->11867
/* 11746*/      OPC_RecordChild0, // #1 = $addr
/* 11747*/      OPC_RecordChild1, // #2 = $off
/* 11748*/      OPC_MoveChild1,
/* 11749*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11752*/      OPC_MoveParent,
/* 11753*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 11755*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->11811
/* 11758*/       OPC_MoveParent,
/* 11759*/       OPC_MoveChild2,
/* 11760*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11763*/       OPC_RecordChild0, // #3 = $val
/* 11764*/       OPC_MoveParent,
/* 11765*/       OPC_Scope, 21, /*->11788*/ // 2 children in Scope
/* 11767*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11769*/        OPC_MoveParent,
/* 11770*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11772*/        OPC_EmitMergeInputChains1_0,
/* 11773*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11776*/        OPC_EmitConvertToTarget, 2,
/* 11778*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11788*/       /*Scope*/ 21, /*->11810*/
/* 11789*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11791*/        OPC_MoveParent,
/* 11792*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11794*/        OPC_EmitMergeInputChains1_0,
/* 11795*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11798*/        OPC_EmitConvertToTarget, 2,
/* 11800*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11810*/       0, /*End of Scope*/
/* 11811*/      /*SwitchType*/ 53, MVT::i64,// ->11866
/* 11813*/       OPC_MoveParent,
/* 11814*/       OPC_MoveChild2,
/* 11815*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11818*/       OPC_RecordChild0, // #3 = $val
/* 11819*/       OPC_MoveParent,
/* 11820*/       OPC_Scope, 21, /*->11843*/ // 2 children in Scope
/* 11822*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11824*/        OPC_MoveParent,
/* 11825*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11827*/        OPC_EmitMergeInputChains1_0,
/* 11828*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11831*/        OPC_EmitConvertToTarget, 2,
/* 11833*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11843*/       /*Scope*/ 21, /*->11865*/
/* 11844*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11846*/        OPC_MoveParent,
/* 11847*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11849*/        OPC_EmitMergeInputChains1_0,
/* 11850*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11853*/        OPC_EmitConvertToTarget, 2,
/* 11855*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11865*/       0, /*End of Scope*/
/* 11866*/      0, // EndSwitchType
/* 11867*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->12006
/* 11871*/      OPC_RecordChild0, // #1 = $off
/* 11872*/      OPC_MoveChild0,
/* 11873*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11876*/      OPC_MoveParent,
/* 11877*/      OPC_MoveParent,
/* 11878*/      OPC_MoveChild2,
/* 11879*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11882*/      OPC_RecordChild0, // #2 = $val
/* 11883*/      OPC_MoveParent,
/* 11884*/      OPC_Scope, 59, /*->11945*/ // 2 children in Scope
/* 11886*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11888*/       OPC_MoveParent,
/* 11889*/       OPC_Scope, 26, /*->11917*/ // 2 children in Scope
/* 11891*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11893*/        OPC_EmitMergeInputChains1_0,
/* 11894*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11897*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11900*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 11907*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11917*/       /*Scope*/ 26, /*->11944*/
/* 11918*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11920*/        OPC_EmitMergeInputChains1_0,
/* 11921*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11924*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11927*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 11934*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11944*/       0, /*End of Scope*/
/* 11945*/      /*Scope*/ 59, /*->12005*/
/* 11946*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11948*/       OPC_MoveParent,
/* 11949*/       OPC_Scope, 26, /*->11977*/ // 2 children in Scope
/* 11951*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11953*/        OPC_EmitMergeInputChains1_0,
/* 11954*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11957*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11960*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 11967*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11977*/       /*Scope*/ 26, /*->12004*/
/* 11978*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11980*/        OPC_EmitMergeInputChains1_0,
/* 11981*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11984*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11987*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 11994*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 12004*/       0, /*End of Scope*/
/* 12005*/      0, /*End of Scope*/
/* 12006*/     0, // EndSwitchOpcode
/* 12007*/    /*Scope*/ 4|128,2/*260*/, /*->12269*/
/* 12009*/     OPC_RecordChild1, // #1 = $off
/* 12010*/     OPC_Scope, 13|128,1/*141*/, /*->12154*/ // 3 children in Scope
/* 12013*/      OPC_MoveChild1,
/* 12014*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12017*/      OPC_MoveParent,
/* 12018*/      OPC_MoveChild2,
/* 12019*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 12022*/      OPC_RecordChild0, // #2 = $val
/* 12023*/      OPC_MoveParent,
/* 12024*/      OPC_Scope, 63, /*->12089*/ // 2 children in Scope
/* 12026*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 12028*/       OPC_MoveParent,
/* 12029*/       OPC_Scope, 28, /*->12059*/ // 2 children in Scope
/* 12031*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12033*/        OPC_EmitMergeInputChains1_0,
/* 12034*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12037*/        OPC_EmitConvertToTarget, 1,
/* 12039*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12042*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 12049*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 12059*/       /*Scope*/ 28, /*->12088*/
/* 12060*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12062*/        OPC_EmitMergeInputChains1_0,
/* 12063*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12066*/        OPC_EmitConvertToTarget, 1,
/* 12068*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12071*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 12078*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 12088*/       0, /*End of Scope*/
/* 12089*/      /*Scope*/ 63, /*->12153*/
/* 12090*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 12092*/       OPC_MoveParent,
/* 12093*/       OPC_Scope, 28, /*->12123*/ // 2 children in Scope
/* 12095*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12097*/        OPC_EmitMergeInputChains1_0,
/* 12098*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12101*/        OPC_EmitConvertToTarget, 1,
/* 12103*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12106*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 12113*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 12123*/       /*Scope*/ 28, /*->12152*/
/* 12124*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12126*/        OPC_EmitMergeInputChains1_0,
/* 12127*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12130*/        OPC_EmitConvertToTarget, 1,
/* 12132*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12135*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 12142*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 12152*/       0, /*End of Scope*/
/* 12153*/      0, /*End of Scope*/
/* 12154*/     /*Scope*/ 56, /*->12211*/
/* 12155*/      OPC_CheckChild1Type, MVT::i32,
/* 12157*/      OPC_MoveChild2,
/* 12158*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 12161*/      OPC_RecordChild0, // #2 = $val
/* 12162*/      OPC_MoveParent,
/* 12163*/      OPC_Scope, 22, /*->12187*/ // 2 children in Scope
/* 12165*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 12167*/       OPC_MoveParent,
/* 12168*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12170*/       OPC_EmitMergeInputChains1_0,
/* 12171*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12174*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12177*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 12187*/      /*Scope*/ 22, /*->12210*/
/* 12188*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 12190*/       OPC_MoveParent,
/* 12191*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12193*/       OPC_EmitMergeInputChains1_0,
/* 12194*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12197*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12200*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 12210*/      0, /*End of Scope*/
/* 12211*/     /*Scope*/ 56, /*->12268*/
/* 12212*/      OPC_CheckChild1Type, MVT::i64,
/* 12214*/      OPC_MoveChild2,
/* 12215*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 12218*/      OPC_RecordChild0, // #2 = $val
/* 12219*/      OPC_MoveParent,
/* 12220*/      OPC_Scope, 22, /*->12244*/ // 2 children in Scope
/* 12222*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 12224*/       OPC_MoveParent,
/* 12225*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12227*/       OPC_EmitMergeInputChains1_0,
/* 12228*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12231*/       OPC_EmitInteger, MVT::i64, 0, 
/* 12234*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 12244*/      /*Scope*/ 22, /*->12267*/
/* 12245*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 12247*/       OPC_MoveParent,
/* 12248*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12250*/       OPC_EmitMergeInputChains1_0,
/* 12251*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12254*/       OPC_EmitInteger, MVT::i64, 0, 
/* 12257*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 12267*/      0, /*End of Scope*/
/* 12268*/     0, /*End of Scope*/
/* 12269*/    0, /*End of Scope*/
/* 12270*/   /*SwitchOpcode*/ 77|128,4/*589*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->12863
/* 12274*/    OPC_RecordMemRef,
/* 12275*/    OPC_RecordNode, // #0 = 'atomic_load' chained node
/* 12276*/    OPC_Scope, 91|128,2/*347*/, /*->12626*/ // 2 children in Scope
/* 12279*/     OPC_MoveChild1,
/* 12280*/     OPC_SwitchOpcode /*3 cases */, 105, TARGET_VAL(ISD::ADD),// ->12389
/* 12284*/      OPC_RecordChild0, // #1 = $addr
/* 12285*/      OPC_RecordChild1, // #2 = $off
/* 12286*/      OPC_MoveChild1,
/* 12287*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12290*/      OPC_MoveParent,
/* 12291*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 12293*/      OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->12341
/* 12296*/       OPC_MoveParent,
/* 12297*/       OPC_Scope, 20, /*->12319*/ // 2 children in Scope
/* 12299*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12301*/        OPC_MoveParent,
/* 12302*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12304*/        OPC_EmitMergeInputChains1_0,
/* 12305*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12308*/        OPC_EmitConvertToTarget, 2,
/* 12310*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 12319*/       /*Scope*/ 20, /*->12340*/
/* 12320*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12322*/        OPC_MoveParent,
/* 12323*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12325*/        OPC_EmitMergeInputChains1_0,
/* 12326*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12329*/        OPC_EmitConvertToTarget, 2,
/* 12331*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 12340*/       0, /*End of Scope*/
/* 12341*/      /*SwitchType*/ 45, MVT::i64,// ->12388
/* 12343*/       OPC_MoveParent,
/* 12344*/       OPC_Scope, 20, /*->12366*/ // 2 children in Scope
/* 12346*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12348*/        OPC_MoveParent,
/* 12349*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12351*/        OPC_EmitMergeInputChains1_0,
/* 12352*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12355*/        OPC_EmitConvertToTarget, 2,
/* 12357*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 12366*/       /*Scope*/ 20, /*->12387*/
/* 12367*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12369*/        OPC_MoveParent,
/* 12370*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12372*/        OPC_EmitMergeInputChains1_0,
/* 12373*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12376*/        OPC_EmitConvertToTarget, 2,
/* 12378*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 12387*/       0, /*End of Scope*/
/* 12388*/      0, // EndSwitchType
/* 12389*/     /*SwitchOpcode*/ 105, TARGET_VAL(ISD::OR),// ->12497
/* 12392*/      OPC_RecordChild0, // #1 = $addr
/* 12393*/      OPC_RecordChild1, // #2 = $off
/* 12394*/      OPC_MoveChild1,
/* 12395*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12398*/      OPC_MoveParent,
/* 12399*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 12401*/      OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->12449
/* 12404*/       OPC_MoveParent,
/* 12405*/       OPC_Scope, 20, /*->12427*/ // 2 children in Scope
/* 12407*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12409*/        OPC_MoveParent,
/* 12410*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12412*/        OPC_EmitMergeInputChains1_0,
/* 12413*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12416*/        OPC_EmitConvertToTarget, 2,
/* 12418*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 12427*/       /*Scope*/ 20, /*->12448*/
/* 12428*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12430*/        OPC_MoveParent,
/* 12431*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12433*/        OPC_EmitMergeInputChains1_0,
/* 12434*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12437*/        OPC_EmitConvertToTarget, 2,
/* 12439*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 12448*/       0, /*End of Scope*/
/* 12449*/      /*SwitchType*/ 45, MVT::i64,// ->12496
/* 12451*/       OPC_MoveParent,
/* 12452*/       OPC_Scope, 20, /*->12474*/ // 2 children in Scope
/* 12454*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12456*/        OPC_MoveParent,
/* 12457*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12459*/        OPC_EmitMergeInputChains1_0,
/* 12460*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12463*/        OPC_EmitConvertToTarget, 2,
/* 12465*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 12474*/       /*Scope*/ 20, /*->12495*/
/* 12475*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12477*/        OPC_MoveParent,
/* 12478*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12480*/        OPC_EmitMergeInputChains1_0,
/* 12481*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12484*/        OPC_EmitConvertToTarget, 2,
/* 12486*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 12495*/       0, /*End of Scope*/
/* 12496*/      0, // EndSwitchType
/* 12497*/     /*SwitchOpcode*/ 125, TARGET_VAL(WebAssemblyISD::Wrapper),// ->12625
/* 12500*/      OPC_RecordChild0, // #1 = $off
/* 12501*/      OPC_MoveChild0,
/* 12502*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 12505*/      OPC_MoveParent,
/* 12506*/      OPC_MoveParent,
/* 12507*/      OPC_Scope, 57, /*->12566*/ // 2 children in Scope
/* 12509*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12511*/       OPC_MoveParent,
/* 12512*/       OPC_Scope, 25, /*->12539*/ // 2 children in Scope
/* 12514*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 12516*/        OPC_EmitMergeInputChains1_0,
/* 12517*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12520*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12523*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 12530*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 12539*/       /*Scope*/ 25, /*->12565*/
/* 12540*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 12542*/        OPC_EmitMergeInputChains1_0,
/* 12543*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12546*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12549*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 12556*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 12565*/       0, /*End of Scope*/
/* 12566*/      /*Scope*/ 57, /*->12624*/
/* 12567*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12569*/       OPC_MoveParent,
/* 12570*/       OPC_Scope, 25, /*->12597*/ // 2 children in Scope
/* 12572*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 12574*/        OPC_EmitMergeInputChains1_0,
/* 12575*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12578*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12581*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 12588*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 12597*/       /*Scope*/ 25, /*->12623*/
/* 12598*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 12600*/        OPC_EmitMergeInputChains1_0,
/* 12601*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12604*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12607*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 12614*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 12623*/       0, /*End of Scope*/
/* 12624*/      0, /*End of Scope*/
/* 12625*/     0, // EndSwitchOpcode
/* 12626*/    /*Scope*/ 106|128,1/*234*/, /*->12862*/
/* 12628*/     OPC_RecordChild1, // #1 = $off
/* 12629*/     OPC_Scope, 3|128,1/*131*/, /*->12763*/ // 3 children in Scope
/* 12632*/      OPC_MoveChild1,
/* 12633*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12636*/      OPC_MoveParent,
/* 12637*/      OPC_Scope, 61, /*->12700*/ // 2 children in Scope
/* 12639*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12641*/       OPC_MoveParent,
/* 12642*/       OPC_Scope, 27, /*->12671*/ // 2 children in Scope
/* 12644*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12646*/        OPC_EmitMergeInputChains1_0,
/* 12647*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12650*/        OPC_EmitConvertToTarget, 1,
/* 12652*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12655*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 12662*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 12671*/       /*Scope*/ 27, /*->12699*/
/* 12672*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12674*/        OPC_EmitMergeInputChains1_0,
/* 12675*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12678*/        OPC_EmitConvertToTarget, 1,
/* 12680*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12683*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 12690*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 12699*/       0, /*End of Scope*/
/* 12700*/      /*Scope*/ 61, /*->12762*/
/* 12701*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12703*/       OPC_MoveParent,
/* 12704*/       OPC_Scope, 27, /*->12733*/ // 2 children in Scope
/* 12706*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12708*/        OPC_EmitMergeInputChains1_0,
/* 12709*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12712*/        OPC_EmitConvertToTarget, 1,
/* 12714*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12717*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 12724*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 12733*/       /*Scope*/ 27, /*->12761*/
/* 12734*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12736*/        OPC_EmitMergeInputChains1_0,
/* 12737*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12740*/        OPC_EmitConvertToTarget, 1,
/* 12742*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12745*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 12752*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 12761*/       0, /*End of Scope*/
/* 12762*/      0, /*End of Scope*/
/* 12763*/     /*Scope*/ 48, /*->12812*/
/* 12764*/      OPC_CheckChild1Type, MVT::i32,
/* 12766*/      OPC_Scope, 21, /*->12789*/ // 2 children in Scope
/* 12768*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12770*/       OPC_MoveParent,
/* 12771*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12773*/       OPC_EmitMergeInputChains1_0,
/* 12774*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12777*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12780*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_8>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 12789*/      /*Scope*/ 21, /*->12811*/
/* 12790*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12792*/       OPC_MoveParent,
/* 12793*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12795*/       OPC_EmitMergeInputChains1_0,
/* 12796*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12799*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12802*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_16>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 12811*/      0, /*End of Scope*/
/* 12812*/     /*Scope*/ 48, /*->12861*/
/* 12813*/      OPC_CheckChild1Type, MVT::i64,
/* 12815*/      OPC_Scope, 21, /*->12838*/ // 2 children in Scope
/* 12817*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12819*/       OPC_MoveParent,
/* 12820*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12822*/       OPC_EmitMergeInputChains1_0,
/* 12823*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12826*/       OPC_EmitInteger, MVT::i64, 0, 
/* 12829*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_8>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 12838*/      /*Scope*/ 21, /*->12860*/
/* 12839*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12841*/       OPC_MoveParent,
/* 12842*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12844*/       OPC_EmitMergeInputChains1_0,
/* 12845*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12848*/       OPC_EmitInteger, MVT::i64, 0, 
/* 12851*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_16>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 12860*/      0, /*End of Scope*/
/* 12861*/     0, /*End of Scope*/
/* 12862*/    0, /*End of Scope*/
/* 12863*/   0, // EndSwitchOpcode
/* 12864*/  /*Scope*/ 8, /*->12873*/
/* 12865*/   OPC_RecordChild0, // #0 = $src
/* 12866*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND_U_I32), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (anyext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (I64_EXTEND_U_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/* 12873*/  0, /*End of Scope*/
/* 12874*/ /*SwitchOpcode*/ 125, TARGET_VAL(ISD::INTRINSIC_VOID),// ->13002
/* 12877*/  OPC_RecordNode, // #0 = 'intrinsic_void' chained node
/* 12878*/  OPC_Scope, 42, /*->12922*/ // 4 children in Scope
/* 12880*/   OPC_CheckChild1Integer, 74|128,22|128,1/*19274*/, 
/* 12884*/   OPC_MoveChild2,
/* 12885*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 12888*/   OPC_RecordChild0, // #1 = $table1
/* 12889*/   OPC_MoveChild0,
/* 12890*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 12893*/   OPC_MoveParent,
/* 12894*/   OPC_MoveParent,
/* 12895*/   OPC_MoveChild3,
/* 12896*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 12899*/   OPC_RecordChild0, // #2 = $table2
/* 12900*/   OPC_MoveChild0,
/* 12901*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 12904*/   OPC_MoveParent,
/* 12905*/   OPC_MoveParent,
/* 12906*/   OPC_RecordChild4, // #3 = $d
/* 12907*/   OPC_RecordChild5, // #4 = $s
/* 12908*/   OPC_RecordChild6, // #5 = $n
/* 12909*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 12911*/   OPC_EmitMergeInputChains1_0,
/* 12912*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_COPY), 0|OPFL_Chain,
                 5/*#Ops*/, 1, 2, 3, 4, 5, 
             // Src: (intrinsic_void 9637:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table1), (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table2), I32:{ *:[i32] }:$d, I32:{ *:[i32] }:$s, I32:{ *:[i32] }:$n) - Complexity = 20
             // Dst: (TABLE_COPY (tglobaladdr:{ *:[i32] }):$table1, (tglobaladdr:{ *:[i32] }):$table2, I32:{ *:[i32] }:$d, I32:{ *:[i32] }:$s, I32:{ *:[i32] }:$n)
/* 12922*/  /*Scope*/ 30, /*->12953*/
/* 12923*/   OPC_CheckChild1Integer, 78|128,22|128,1/*19278*/, 
/* 12927*/   OPC_MoveChild2,
/* 12928*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 12931*/   OPC_RecordChild0, // #1 = $table
/* 12932*/   OPC_MoveChild0,
/* 12933*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 12936*/   OPC_MoveParent,
/* 12937*/   OPC_MoveParent,
/* 12938*/   OPC_RecordChild3, // #2 = $i
/* 12939*/   OPC_RecordChild4, // #3 = $val
/* 12940*/   OPC_RecordChild5, // #4 = $n
/* 12941*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 12943*/   OPC_EmitMergeInputChains1_0,
/* 12944*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_FILL_FUNCREF), 0|OPFL_Chain,
                 4/*#Ops*/, 1, 2, 3, 4, 
             // Src: (intrinsic_void 9639:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
             // Dst: (TABLE_FILL_FUNCREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n)
/* 12953*/  /*Scope*/ 30, /*->12984*/
/* 12954*/   OPC_CheckChild1Integer, 76|128,22|128,1/*19276*/, 
/* 12958*/   OPC_MoveChild2,
/* 12959*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 12962*/   OPC_RecordChild0, // #1 = $table
/* 12963*/   OPC_MoveChild0,
/* 12964*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 12967*/   OPC_MoveParent,
/* 12968*/   OPC_MoveParent,
/* 12969*/   OPC_RecordChild3, // #2 = $i
/* 12970*/   OPC_RecordChild4, // #3 = $val
/* 12971*/   OPC_RecordChild5, // #4 = $n
/* 12972*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 12974*/   OPC_EmitMergeInputChains1_0,
/* 12975*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_FILL_EXTERNREF), 0|OPFL_Chain,
                 4/*#Ops*/, 1, 2, 3, 4, 
             // Src: (intrinsic_void 9638:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
             // Dst: (TABLE_FILL_EXTERNREF (tglobaladdr:{ *:[i32] }):$table, I32:{ *:[i32] }:$i, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n)
/* 12984*/  /*Scope*/ 16, /*->13001*/
/* 12985*/   OPC_CheckChild1Integer, 64|128,22|128,1/*19264*/, 
/* 12989*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasExceptionHandling())
/* 12991*/   OPC_EmitMergeInputChains1_0,
/* 12992*/   OPC_EmitInteger, MVT::i32, 0, 
/* 12995*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::RETHROW), 0|OPFL_Chain,
                 1/*#Ops*/, 1, 
             // Src: (intrinsic_void 9632:{ *:[iPTR] }) - Complexity = 8
             // Dst: (RETHROW 0:{ *:[i32] })
/* 13001*/  0, /*End of Scope*/
/* 13002*/ /*SwitchOpcode*/ 120|128,2/*376*/, TARGET_VAL(ISD::AND),// ->13382
/* 13006*/  OPC_Scope, 126, /*->13134*/ // 6 children in Scope
/* 13008*/   OPC_MoveChild0,
/* 13009*/   OPC_CheckOpcode, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),
/* 13012*/   OPC_Scope, 59, /*->13073*/ // 2 children in Scope
/* 13014*/    OPC_CheckChild0Integer, 114|128,21|128,1/*19186*/, 
/* 13018*/    OPC_RecordChild1, // #0 = $x
/* 13019*/    OPC_Scope, 12, /*->13033*/ // 4 children in Scope
/* 13021*/     OPC_CheckChild1Type, MVT::v16i8,
/* 13023*/     OPC_MoveParent,
/* 13024*/     OPC_CheckChild1Integer, 2, 
/* 13026*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13033*/    /*Scope*/ 12, /*->13046*/
/* 13034*/     OPC_CheckChild1Type, MVT::v8i16,
/* 13036*/     OPC_MoveParent,
/* 13037*/     OPC_CheckChild1Integer, 2, 
/* 13039*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13046*/    /*Scope*/ 12, /*->13059*/
/* 13047*/     OPC_CheckChild1Type, MVT::v4i32,
/* 13049*/     OPC_MoveParent,
/* 13050*/     OPC_CheckChild1Integer, 2, 
/* 13052*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13059*/    /*Scope*/ 12, /*->13072*/
/* 13060*/     OPC_CheckChild1Type, MVT::v2i64,
/* 13062*/     OPC_MoveParent,
/* 13063*/     OPC_CheckChild1Integer, 2, 
/* 13065*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13072*/    0, /*End of Scope*/
/* 13073*/   /*Scope*/ 59, /*->13133*/
/* 13074*/    OPC_CheckChild0Integer, 112|128,21|128,1/*19184*/, 
/* 13078*/    OPC_RecordChild1, // #0 = $x
/* 13079*/    OPC_Scope, 12, /*->13093*/ // 4 children in Scope
/* 13081*/     OPC_CheckChild1Type, MVT::v16i8,
/* 13083*/     OPC_MoveParent,
/* 13084*/     OPC_CheckChild1Integer, 2, 
/* 13086*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I8x16), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13093*/    /*Scope*/ 12, /*->13106*/
/* 13094*/     OPC_CheckChild1Type, MVT::v8i16,
/* 13096*/     OPC_MoveParent,
/* 13097*/     OPC_CheckChild1Integer, 2, 
/* 13099*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I16x8), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13106*/    /*Scope*/ 12, /*->13119*/
/* 13107*/     OPC_CheckChild1Type, MVT::v4i32,
/* 13109*/     OPC_MoveParent,
/* 13110*/     OPC_CheckChild1Integer, 2, 
/* 13112*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I32x4), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13119*/    /*Scope*/ 12, /*->13132*/
/* 13120*/     OPC_CheckChild1Type, MVT::v2i64,
/* 13122*/     OPC_MoveParent,
/* 13123*/     OPC_CheckChild1Integer, 2, 
/* 13125*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I64x2), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13132*/    0, /*End of Scope*/
/* 13133*/   0, /*End of Scope*/
/* 13134*/  /*Scope*/ 33, /*->13168*/
/* 13135*/   OPC_CheckAndImm, 127|128,1/*255*/, 
/* 13138*/   OPC_MoveChild0,
/* 13139*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 13142*/   OPC_RecordChild0, // #0 = $vec
/* 13143*/   OPC_CheckChild0Type, MVT::v16i8,
/* 13145*/   OPC_RecordChild1, // #1 = $idx
/* 13146*/   OPC_MoveChild1,
/* 13147*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 13150*/   OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 13152*/   OPC_CheckType, MVT::i32,
/* 13154*/   OPC_MoveParent,
/* 13155*/   OPC_MoveParent,
/* 13156*/   OPC_CheckType, MVT::i32,
/* 13158*/   OPC_EmitConvertToTarget, 1,
/* 13160*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_u), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), 255:{ *:[i32] }) - Complexity = 15
             // Dst: (EXTRACT_LANE_I8x16_u:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 13168*/  /*Scope*/ 34, /*->13203*/
/* 13169*/   OPC_CheckAndImm, 127|128,127|128,3/*65535*/, 
/* 13173*/   OPC_MoveChild0,
/* 13174*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 13177*/   OPC_RecordChild0, // #0 = $vec
/* 13178*/   OPC_CheckChild0Type, MVT::v8i16,
/* 13180*/   OPC_RecordChild1, // #1 = $idx
/* 13181*/   OPC_MoveChild1,
/* 13182*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 13185*/   OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 13187*/   OPC_CheckType, MVT::i32,
/* 13189*/   OPC_MoveParent,
/* 13190*/   OPC_MoveParent,
/* 13191*/   OPC_CheckType, MVT::i32,
/* 13193*/   OPC_EmitConvertToTarget, 1,
/* 13195*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_u), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), 65535:{ *:[i32] }) - Complexity = 15
             // Dst: (EXTRACT_LANE_I16x8_u:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 13203*/  /*Scope*/ 79, /*->13283*/
/* 13204*/   OPC_RecordChild0, // #0 = $lhs
/* 13205*/   OPC_Scope, 23, /*->13230*/ // 2 children in Scope
/* 13207*/    OPC_RecordChild1, // #1 = $rhs
/* 13208*/    OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->13219
/* 13211*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND_I32), 0,
                   MVT::i32, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
               // Dst: (AND_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13219*/    /*SwitchType*/ 8, MVT::i64,// ->13229
/* 13221*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND_I64), 0,
                   MVT::i64, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
               // Dst: (AND_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13229*/    0, // EndSwitchType
/* 13230*/   /*Scope*/ 51, /*->13282*/
/* 13231*/    OPC_MoveChild1,
/* 13232*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 13235*/    OPC_RecordChild0, // #1 = $rhs
/* 13236*/    OPC_MoveChild1,
/* 13237*/    OPC_CheckImmAllOnesV,
/* 13238*/    OPC_MoveParent,
/* 13239*/    OPC_MoveParent,
/* 13240*/    OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->13251
/* 13243*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$rhs, immAllOnesV:{ *:[v16i8] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 13251*/    /*SwitchType*/ 8, MVT::v8i16,// ->13261
/* 13253*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$rhs, immAllOnesV:{ *:[v8i16] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 13261*/    /*SwitchType*/ 8, MVT::v4i32,// ->13271
/* 13263*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$rhs, immAllOnesV:{ *:[v4i32] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 13271*/    /*SwitchType*/ 8, MVT::v2i64,// ->13281
/* 13273*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$rhs, immAllOnesV:{ *:[v2i64] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 13281*/    0, // EndSwitchType
/* 13282*/   0, /*End of Scope*/
/* 13283*/  /*Scope*/ 52, /*->13336*/
/* 13284*/   OPC_MoveChild0,
/* 13285*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 13288*/   OPC_RecordChild0, // #0 = $rhs
/* 13289*/   OPC_MoveChild1,
/* 13290*/   OPC_CheckImmAllOnesV,
/* 13291*/   OPC_MoveParent,
/* 13292*/   OPC_MoveParent,
/* 13293*/   OPC_RecordChild1, // #1 = $lhs
/* 13294*/   OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->13305
/* 13297*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                  MVT::v16i8, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$rhs, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 13305*/   /*SwitchType*/ 8, MVT::v8i16,// ->13315
/* 13307*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                  MVT::v8i16, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$rhs, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 13315*/   /*SwitchType*/ 8, MVT::v4i32,// ->13325
/* 13317*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                  MVT::v4i32, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$rhs, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 13325*/   /*SwitchType*/ 8, MVT::v2i64,// ->13335
/* 13327*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                  MVT::v2i64, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$rhs, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 13335*/   0, // EndSwitchType
/* 13336*/  /*Scope*/ 44, /*->13381*/
/* 13337*/   OPC_RecordChild0, // #0 = $lhs
/* 13338*/   OPC_RecordChild1, // #1 = $rhs
/* 13339*/   OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->13350
/* 13342*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 13350*/   /*SwitchType*/ 8, MVT::v8i16,// ->13360
/* 13352*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 13360*/   /*SwitchType*/ 8, MVT::v4i32,// ->13370
/* 13362*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 13370*/   /*SwitchType*/ 8, MVT::v2i64,// ->13380
/* 13372*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 13380*/   0, // EndSwitchType
/* 13381*/  0, /*End of Scope*/
/* 13382*/ /*SwitchOpcode*/ 109|128,12/*1645*/, TARGET_VAL(ISD::SETCC),// ->15031
/* 13386*/  OPC_Scope, 24|128,2/*280*/, /*->13669*/ // 2 children in Scope
/* 13389*/   OPC_MoveChild0,
/* 13390*/   OPC_CheckOpcode, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),
/* 13393*/   OPC_Scope, 7|128,1/*135*/, /*->13531*/ // 2 children in Scope
/* 13396*/    OPC_CheckChild0Integer, 114|128,21|128,1/*19186*/, 
/* 13400*/    OPC_RecordChild1, // #0 = $x
/* 13401*/    OPC_Scope, 31, /*->13434*/ // 4 children in Scope
/* 13403*/     OPC_CheckChild1Type, MVT::v16i8,
/* 13405*/     OPC_MoveParent,
/* 13406*/     OPC_CheckType, MVT::i32,
/* 13408*/     OPC_Scope, 11, /*->13421*/ // 2 children in Scope
/* 13410*/      OPC_CheckChild1Integer, 0, 
/* 13412*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13414*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13421*/     /*Scope*/ 11, /*->13433*/
/* 13422*/      OPC_CheckChild1Integer, 2, 
/* 13424*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13426*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13433*/     0, /*End of Scope*/
/* 13434*/    /*Scope*/ 31, /*->13466*/
/* 13435*/     OPC_CheckChild1Type, MVT::v8i16,
/* 13437*/     OPC_MoveParent,
/* 13438*/     OPC_CheckType, MVT::i32,
/* 13440*/     OPC_Scope, 11, /*->13453*/ // 2 children in Scope
/* 13442*/      OPC_CheckChild1Integer, 0, 
/* 13444*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13446*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13453*/     /*Scope*/ 11, /*->13465*/
/* 13454*/      OPC_CheckChild1Integer, 2, 
/* 13456*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13458*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13465*/     0, /*End of Scope*/
/* 13466*/    /*Scope*/ 31, /*->13498*/
/* 13467*/     OPC_CheckChild1Type, MVT::v4i32,
/* 13469*/     OPC_MoveParent,
/* 13470*/     OPC_CheckType, MVT::i32,
/* 13472*/     OPC_Scope, 11, /*->13485*/ // 2 children in Scope
/* 13474*/      OPC_CheckChild1Integer, 0, 
/* 13476*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13478*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13485*/     /*Scope*/ 11, /*->13497*/
/* 13486*/      OPC_CheckChild1Integer, 2, 
/* 13488*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13490*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13497*/     0, /*End of Scope*/
/* 13498*/    /*Scope*/ 31, /*->13530*/
/* 13499*/     OPC_CheckChild1Type, MVT::v2i64,
/* 13501*/     OPC_MoveParent,
/* 13502*/     OPC_CheckType, MVT::i32,
/* 13504*/     OPC_Scope, 11, /*->13517*/ // 2 children in Scope
/* 13506*/      OPC_CheckChild1Integer, 0, 
/* 13508*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13510*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13517*/     /*Scope*/ 11, /*->13529*/
/* 13518*/      OPC_CheckChild1Integer, 2, 
/* 13520*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13522*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13529*/     0, /*End of Scope*/
/* 13530*/    0, /*End of Scope*/
/* 13531*/   /*Scope*/ 7|128,1/*135*/, /*->13668*/
/* 13533*/    OPC_CheckChild0Integer, 112|128,21|128,1/*19184*/, 
/* 13537*/    OPC_RecordChild1, // #0 = $x
/* 13538*/    OPC_Scope, 31, /*->13571*/ // 4 children in Scope
/* 13540*/     OPC_CheckChild1Type, MVT::v16i8,
/* 13542*/     OPC_MoveParent,
/* 13543*/     OPC_CheckType, MVT::i32,
/* 13545*/     OPC_Scope, 11, /*->13558*/ // 2 children in Scope
/* 13547*/      OPC_CheckChild1Integer, 0, 
/* 13549*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13551*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I8x16), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13558*/     /*Scope*/ 11, /*->13570*/
/* 13559*/      OPC_CheckChild1Integer, 2, 
/* 13561*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13563*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I8x16), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13570*/     0, /*End of Scope*/
/* 13571*/    /*Scope*/ 31, /*->13603*/
/* 13572*/     OPC_CheckChild1Type, MVT::v8i16,
/* 13574*/     OPC_MoveParent,
/* 13575*/     OPC_CheckType, MVT::i32,
/* 13577*/     OPC_Scope, 11, /*->13590*/ // 2 children in Scope
/* 13579*/      OPC_CheckChild1Integer, 0, 
/* 13581*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13583*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I16x8), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13590*/     /*Scope*/ 11, /*->13602*/
/* 13591*/      OPC_CheckChild1Integer, 2, 
/* 13593*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13595*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I16x8), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13602*/     0, /*End of Scope*/
/* 13603*/    /*Scope*/ 31, /*->13635*/
/* 13604*/     OPC_CheckChild1Type, MVT::v4i32,
/* 13606*/     OPC_MoveParent,
/* 13607*/     OPC_CheckType, MVT::i32,
/* 13609*/     OPC_Scope, 11, /*->13622*/ // 2 children in Scope
/* 13611*/      OPC_CheckChild1Integer, 0, 
/* 13613*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13615*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I32x4), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13622*/     /*Scope*/ 11, /*->13634*/
/* 13623*/      OPC_CheckChild1Integer, 2, 
/* 13625*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13627*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I32x4), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13634*/     0, /*End of Scope*/
/* 13635*/    /*Scope*/ 31, /*->13667*/
/* 13636*/     OPC_CheckChild1Type, MVT::v2i64,
/* 13638*/     OPC_MoveParent,
/* 13639*/     OPC_CheckType, MVT::i32,
/* 13641*/     OPC_Scope, 11, /*->13654*/ // 2 children in Scope
/* 13643*/      OPC_CheckChild1Integer, 0, 
/* 13645*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13647*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I64x2), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13654*/     /*Scope*/ 11, /*->13666*/
/* 13655*/      OPC_CheckChild1Integer, 2, 
/* 13657*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13659*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I64x2), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13666*/     0, /*End of Scope*/
/* 13667*/    0, /*End of Scope*/
/* 13668*/   0, /*End of Scope*/
/* 13669*/  /*Scope*/ 79|128,10/*1359*/, /*->15030*/
/* 13671*/   OPC_RecordChild0, // #0 = $src
/* 13672*/   OPC_SwitchType /*5 cases */, 32|128,4/*544*/, MVT::i32,// ->14220
/* 13676*/    OPC_Scope, 2|128,1/*130*/, /*->13809*/ // 4 children in Scope
/* 13679*/     OPC_CheckChild0Type, MVT::i32,
/* 13681*/     OPC_Scope, 11, /*->13694*/ // 2 children in Scope
/* 13683*/      OPC_CheckChild1Integer, 0, 
/* 13685*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13687*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQZ_I32), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$src, 0:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 8
                // Dst: (EQZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 13694*/     /*Scope*/ 113, /*->13808*/
/* 13695*/      OPC_RecordChild1, // #1 = $rhs
/* 13696*/      OPC_Scope, 10, /*->13708*/ // 10 children in Scope
/* 13698*/       OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13700*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                 // Dst: (EQ_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13708*/      /*Scope*/ 10, /*->13719*/
/* 13709*/       OPC_CheckChild2CondCode, ISD::SETNE,
/* 13711*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                 // Dst: (NE_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13719*/      /*Scope*/ 10, /*->13730*/
/* 13720*/       OPC_CheckChild2CondCode, ISD::SETLT,
/* 13722*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13730*/      /*Scope*/ 10, /*->13741*/
/* 13731*/       OPC_CheckChild2CondCode, ISD::SETULT,
/* 13733*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13741*/      /*Scope*/ 10, /*->13752*/
/* 13742*/       OPC_CheckChild2CondCode, ISD::SETGT,
/* 13744*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13752*/      /*Scope*/ 10, /*->13763*/
/* 13753*/       OPC_CheckChild2CondCode, ISD::SETUGT,
/* 13755*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13763*/      /*Scope*/ 10, /*->13774*/
/* 13764*/       OPC_CheckChild2CondCode, ISD::SETLE,
/* 13766*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13774*/      /*Scope*/ 10, /*->13785*/
/* 13775*/       OPC_CheckChild2CondCode, ISD::SETULE,
/* 13777*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13785*/      /*Scope*/ 10, /*->13796*/
/* 13786*/       OPC_CheckChild2CondCode, ISD::SETGE,
/* 13788*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13796*/      /*Scope*/ 10, /*->13807*/
/* 13797*/       OPC_CheckChild2CondCode, ISD::SETUGE,
/* 13799*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13807*/      0, /*End of Scope*/
/* 13808*/     0, /*End of Scope*/
/* 13809*/    /*Scope*/ 2|128,1/*130*/, /*->13941*/
/* 13811*/     OPC_CheckChild0Type, MVT::i64,
/* 13813*/     OPC_Scope, 11, /*->13826*/ // 2 children in Scope
/* 13815*/      OPC_CheckChild1Integer, 0, 
/* 13817*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13819*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQZ_I64), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$src, 0:{ *:[i64] }, SETEQ:{ *:[Other] }) - Complexity = 8
                // Dst: (EQZ_I64:{ *:[i32] } I64:{ *:[i64] }:$src)
/* 13826*/     /*Scope*/ 113, /*->13940*/
/* 13827*/      OPC_RecordChild1, // #1 = $rhs
/* 13828*/      OPC_Scope, 10, /*->13840*/ // 10 children in Scope
/* 13830*/       OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13832*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                 // Dst: (EQ_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13840*/      /*Scope*/ 10, /*->13851*/
/* 13841*/       OPC_CheckChild2CondCode, ISD::SETNE,
/* 13843*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                 // Dst: (NE_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13851*/      /*Scope*/ 10, /*->13862*/
/* 13852*/       OPC_CheckChild2CondCode, ISD::SETLT,
/* 13854*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13862*/      /*Scope*/ 10, /*->13873*/
/* 13863*/       OPC_CheckChild2CondCode, ISD::SETULT,
/* 13865*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13873*/      /*Scope*/ 10, /*->13884*/
/* 13874*/       OPC_CheckChild2CondCode, ISD::SETGT,
/* 13876*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13884*/      /*Scope*/ 10, /*->13895*/
/* 13885*/       OPC_CheckChild2CondCode, ISD::SETUGT,
/* 13887*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13895*/      /*Scope*/ 10, /*->13906*/
/* 13896*/       OPC_CheckChild2CondCode, ISD::SETLE,
/* 13898*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13906*/      /*Scope*/ 10, /*->13917*/
/* 13907*/       OPC_CheckChild2CondCode, ISD::SETULE,
/* 13909*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13917*/      /*Scope*/ 10, /*->13928*/
/* 13918*/       OPC_CheckChild2CondCode, ISD::SETGE,
/* 13920*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13928*/      /*Scope*/ 10, /*->13939*/
/* 13929*/       OPC_CheckChild2CondCode, ISD::SETUGE,
/* 13931*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13939*/      0, /*End of Scope*/
/* 13940*/     0, /*End of Scope*/
/* 13941*/    /*Scope*/ 9|128,1/*137*/, /*->14080*/
/* 13943*/     OPC_CheckChild0Type, MVT::f32,
/* 13945*/     OPC_RecordChild1, // #1 = $rhs
/* 13946*/     OPC_Scope, 10, /*->13958*/ // 12 children in Scope
/* 13948*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/* 13950*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13958*/     /*Scope*/ 10, /*->13969*/
/* 13959*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/* 13961*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13969*/     /*Scope*/ 10, /*->13980*/
/* 13970*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/* 13972*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13980*/     /*Scope*/ 10, /*->13991*/
/* 13981*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/* 13983*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13991*/     /*Scope*/ 10, /*->14002*/
/* 13992*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/* 13994*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 14002*/     /*Scope*/ 10, /*->14013*/
/* 14003*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/* 14005*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 14013*/     /*Scope*/ 10, /*->14024*/
/* 14014*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14016*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 14024*/     /*Scope*/ 10, /*->14035*/
/* 14025*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14027*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 14035*/     /*Scope*/ 10, /*->14046*/
/* 14036*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14038*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 14046*/     /*Scope*/ 10, /*->14057*/
/* 14047*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14049*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 14057*/     /*Scope*/ 10, /*->14068*/
/* 14058*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14060*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 14068*/     /*Scope*/ 10, /*->14079*/
/* 14069*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14071*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 14079*/     0, /*End of Scope*/
/* 14080*/    /*Scope*/ 9|128,1/*137*/, /*->14219*/
/* 14082*/     OPC_CheckChild0Type, MVT::f64,
/* 14084*/     OPC_RecordChild1, // #1 = $rhs
/* 14085*/     OPC_Scope, 10, /*->14097*/ // 12 children in Scope
/* 14087*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/* 14089*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14097*/     /*Scope*/ 10, /*->14108*/
/* 14098*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/* 14100*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14108*/     /*Scope*/ 10, /*->14119*/
/* 14109*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/* 14111*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14119*/     /*Scope*/ 10, /*->14130*/
/* 14120*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/* 14122*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14130*/     /*Scope*/ 10, /*->14141*/
/* 14131*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/* 14133*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14141*/     /*Scope*/ 10, /*->14152*/
/* 14142*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/* 14144*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14152*/     /*Scope*/ 10, /*->14163*/
/* 14153*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14155*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14163*/     /*Scope*/ 10, /*->14174*/
/* 14164*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14166*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14174*/     /*Scope*/ 10, /*->14185*/
/* 14175*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14177*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14185*/     /*Scope*/ 10, /*->14196*/
/* 14186*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14188*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14196*/     /*Scope*/ 10, /*->14207*/
/* 14197*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14199*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14207*/     /*Scope*/ 10, /*->14218*/
/* 14208*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14210*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14218*/     0, /*End of Scope*/
/* 14219*/    0, /*End of Scope*/
/* 14220*/   /*SwitchType*/ 7|128,1/*135*/, MVT::v16i8,// ->14358
/* 14223*/    OPC_CheckChild0Type, MVT::v16i8,
/* 14225*/    OPC_RecordChild1, // #1 = $rhs
/* 14226*/    OPC_Scope, 12, /*->14240*/ // 10 children in Scope
/* 14228*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14230*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14232*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
               // Dst: (EQ_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14240*/    /*Scope*/ 12, /*->14253*/
/* 14241*/     OPC_CheckChild2CondCode, ISD::SETNE,
/* 14243*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14245*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
               // Dst: (NE_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14253*/    /*Scope*/ 12, /*->14266*/
/* 14254*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 14256*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14258*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14266*/    /*Scope*/ 12, /*->14279*/
/* 14267*/     OPC_CheckChild2CondCode, ISD::SETULT,
/* 14269*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14271*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14279*/    /*Scope*/ 12, /*->14292*/
/* 14280*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 14282*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14284*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14292*/    /*Scope*/ 12, /*->14305*/
/* 14293*/     OPC_CheckChild2CondCode, ISD::SETUGT,
/* 14295*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14297*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14305*/    /*Scope*/ 12, /*->14318*/
/* 14306*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 14308*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14310*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14318*/    /*Scope*/ 12, /*->14331*/
/* 14319*/     OPC_CheckChild2CondCode, ISD::SETULE,
/* 14321*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14323*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14331*/    /*Scope*/ 12, /*->14344*/
/* 14332*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 14334*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14336*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14344*/    /*Scope*/ 12, /*->14357*/
/* 14345*/     OPC_CheckChild2CondCode, ISD::SETUGE,
/* 14347*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14349*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14357*/    0, /*End of Scope*/
/* 14358*/   /*SwitchType*/ 7|128,1/*135*/, MVT::v8i16,// ->14496
/* 14361*/    OPC_CheckChild0Type, MVT::v8i16,
/* 14363*/    OPC_RecordChild1, // #1 = $rhs
/* 14364*/    OPC_Scope, 12, /*->14378*/ // 10 children in Scope
/* 14366*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14368*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14370*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
               // Dst: (EQ_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14378*/    /*Scope*/ 12, /*->14391*/
/* 14379*/     OPC_CheckChild2CondCode, ISD::SETNE,
/* 14381*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14383*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
               // Dst: (NE_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14391*/    /*Scope*/ 12, /*->14404*/
/* 14392*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 14394*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14396*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14404*/    /*Scope*/ 12, /*->14417*/
/* 14405*/     OPC_CheckChild2CondCode, ISD::SETULT,
/* 14407*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14409*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14417*/    /*Scope*/ 12, /*->14430*/
/* 14418*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 14420*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14422*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14430*/    /*Scope*/ 12, /*->14443*/
/* 14431*/     OPC_CheckChild2CondCode, ISD::SETUGT,
/* 14433*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14435*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14443*/    /*Scope*/ 12, /*->14456*/
/* 14444*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 14446*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14448*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14456*/    /*Scope*/ 12, /*->14469*/
/* 14457*/     OPC_CheckChild2CondCode, ISD::SETULE,
/* 14459*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14461*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14469*/    /*Scope*/ 12, /*->14482*/
/* 14470*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 14472*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14474*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14482*/    /*Scope*/ 12, /*->14495*/
/* 14483*/     OPC_CheckChild2CondCode, ISD::SETUGE,
/* 14485*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14487*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14495*/    0, /*End of Scope*/
/* 14496*/   /*SwitchType*/ 34|128,2/*290*/, MVT::v4i32,// ->14789
/* 14499*/    OPC_Scope, 7|128,1/*135*/, /*->14637*/ // 2 children in Scope
/* 14502*/     OPC_CheckChild0Type, MVT::v4i32,
/* 14504*/     OPC_RecordChild1, // #1 = $rhs
/* 14505*/     OPC_Scope, 12, /*->14519*/ // 10 children in Scope
/* 14507*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14509*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14511*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14519*/     /*Scope*/ 12, /*->14532*/
/* 14520*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14522*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14524*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14532*/     /*Scope*/ 12, /*->14545*/
/* 14533*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14535*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14537*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14545*/     /*Scope*/ 12, /*->14558*/
/* 14546*/      OPC_CheckChild2CondCode, ISD::SETULT,
/* 14548*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14550*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14558*/     /*Scope*/ 12, /*->14571*/
/* 14559*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14561*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14563*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14571*/     /*Scope*/ 12, /*->14584*/
/* 14572*/      OPC_CheckChild2CondCode, ISD::SETUGT,
/* 14574*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14576*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14584*/     /*Scope*/ 12, /*->14597*/
/* 14585*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14587*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14589*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14597*/     /*Scope*/ 12, /*->14610*/
/* 14598*/      OPC_CheckChild2CondCode, ISD::SETULE,
/* 14600*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14602*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14610*/     /*Scope*/ 12, /*->14623*/
/* 14611*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14613*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14615*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14623*/     /*Scope*/ 12, /*->14636*/
/* 14624*/      OPC_CheckChild2CondCode, ISD::SETUGE,
/* 14626*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14628*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14636*/     0, /*End of Scope*/
/* 14637*/    /*Scope*/ 21|128,1/*149*/, /*->14788*/
/* 14639*/     OPC_CheckChild0Type, MVT::v4f32,
/* 14641*/     OPC_RecordChild1, // #1 = $rhs
/* 14642*/     OPC_Scope, 12, /*->14656*/ // 12 children in Scope
/* 14644*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/* 14646*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14648*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14656*/     /*Scope*/ 12, /*->14669*/
/* 14657*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/* 14659*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14661*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14669*/     /*Scope*/ 12, /*->14682*/
/* 14670*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/* 14672*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14674*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14682*/     /*Scope*/ 12, /*->14695*/
/* 14683*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/* 14685*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14687*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14695*/     /*Scope*/ 12, /*->14708*/
/* 14696*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/* 14698*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14700*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14708*/     /*Scope*/ 12, /*->14721*/
/* 14709*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/* 14711*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14713*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14721*/     /*Scope*/ 10, /*->14732*/
/* 14722*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14724*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14732*/     /*Scope*/ 10, /*->14743*/
/* 14733*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14735*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14743*/     /*Scope*/ 10, /*->14754*/
/* 14744*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14746*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14754*/     /*Scope*/ 10, /*->14765*/
/* 14755*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14757*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14765*/     /*Scope*/ 10, /*->14776*/
/* 14766*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14768*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14776*/     /*Scope*/ 10, /*->14787*/
/* 14777*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14779*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14787*/     0, /*End of Scope*/
/* 14788*/    0, /*End of Scope*/
/* 14789*/   /*SwitchType*/ 109|128,1/*237*/, MVT::v2i64,// ->15029
/* 14792*/    OPC_Scope, 83, /*->14877*/ // 2 children in Scope
/* 14794*/     OPC_CheckChild0Type, MVT::v2i64,
/* 14796*/     OPC_RecordChild1, // #1 = $rhs
/* 14797*/     OPC_Scope, 12, /*->14811*/ // 6 children in Scope
/* 14799*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14801*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14803*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14811*/     /*Scope*/ 12, /*->14824*/
/* 14812*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14814*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14816*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14824*/     /*Scope*/ 12, /*->14837*/
/* 14825*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14827*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14829*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14837*/     /*Scope*/ 12, /*->14850*/
/* 14838*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14840*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14842*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14850*/     /*Scope*/ 12, /*->14863*/
/* 14851*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14853*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14855*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14863*/     /*Scope*/ 12, /*->14876*/
/* 14864*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14866*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14868*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14876*/     0, /*End of Scope*/
/* 14877*/    /*Scope*/ 21|128,1/*149*/, /*->15028*/
/* 14879*/     OPC_CheckChild0Type, MVT::v2f64,
/* 14881*/     OPC_RecordChild1, // #1 = $rhs
/* 14882*/     OPC_Scope, 12, /*->14896*/ // 12 children in Scope
/* 14884*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/* 14886*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14888*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14896*/     /*Scope*/ 12, /*->14909*/
/* 14897*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/* 14899*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14901*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14909*/     /*Scope*/ 12, /*->14922*/
/* 14910*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/* 14912*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14914*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14922*/     /*Scope*/ 12, /*->14935*/
/* 14923*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/* 14925*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14927*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14935*/     /*Scope*/ 12, /*->14948*/
/* 14936*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/* 14938*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14940*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14948*/     /*Scope*/ 12, /*->14961*/
/* 14949*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/* 14951*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 14953*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14961*/     /*Scope*/ 10, /*->14972*/
/* 14962*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14964*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14972*/     /*Scope*/ 10, /*->14983*/
/* 14973*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14975*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14983*/     /*Scope*/ 10, /*->14994*/
/* 14984*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14986*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14994*/     /*Scope*/ 10, /*->15005*/
/* 14995*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14997*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 15005*/     /*Scope*/ 10, /*->15016*/
/* 15006*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 15008*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 15016*/     /*Scope*/ 10, /*->15027*/
/* 15017*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 15019*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 15027*/     0, /*End of Scope*/
/* 15028*/    0, /*End of Scope*/
/* 15029*/   0, // EndSwitchType
/* 15030*/  0, /*End of Scope*/
/* 15031*/ /*SwitchOpcode*/ 35|128,9/*1187*/, TARGET_VAL(ISD::INTRINSIC_W_CHAIN),// ->16222
/* 15035*/  OPC_Scope, 10|128,3/*394*/, /*->15432*/ // 5 children in Scope
/* 15038*/   OPC_RecordMemRef,
/* 15039*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/* 15040*/   OPC_Scope, 123, /*->15165*/ // 3 children in Scope
/* 15042*/    OPC_CheckChild1Integer, 20|128,22|128,1/*19220*/, 
/* 15046*/    OPC_MoveChild2,
/* 15047*/    OPC_SwitchOpcode /*2 cases */, 55, TARGET_VAL(ISD::ADD),// ->15106
/* 15051*/     OPC_RecordChild0, // #1 = $addr
/* 15052*/     OPC_RecordChild1, // #2 = $off
/* 15053*/     OPC_MoveChild1,
/* 15054*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15057*/     OPC_MoveParent,
/* 15058*/     OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 15060*/     OPC_SwitchType /*2 cases */, 20, MVT::i32,// ->15083
/* 15063*/      OPC_MoveParent,
/* 15064*/      OPC_RecordChild3, // #3 = $count
/* 15065*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15067*/      OPC_EmitMergeInputChains1_0,
/* 15068*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15071*/      OPC_EmitConvertToTarget, 2,
/* 15073*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, I32:{ *:[i32] }:$count) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, I32:{ *:[i32] }:$count)
/* 15083*/     /*SwitchType*/ 20, MVT::i64,// ->15105
/* 15085*/      OPC_MoveParent,
/* 15086*/      OPC_RecordChild3, // #3 = $count
/* 15087*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15089*/      OPC_EmitMergeInputChains1_0,
/* 15090*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15093*/      OPC_EmitConvertToTarget, 2,
/* 15095*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, I32:{ *:[i32] }:$count) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, I32:{ *:[i32] }:$count)
/* 15105*/     0, // EndSwitchType
/* 15106*/    /*SwitchOpcode*/ 55, TARGET_VAL(ISD::OR),// ->15164
/* 15109*/     OPC_RecordChild0, // #1 = $addr
/* 15110*/     OPC_RecordChild1, // #2 = $off
/* 15111*/     OPC_MoveChild1,
/* 15112*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15115*/     OPC_MoveParent,
/* 15116*/     OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 15118*/     OPC_SwitchType /*2 cases */, 20, MVT::i32,// ->15141
/* 15121*/      OPC_MoveParent,
/* 15122*/      OPC_RecordChild3, // #3 = $count
/* 15123*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15125*/      OPC_EmitMergeInputChains1_0,
/* 15126*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15129*/      OPC_EmitConvertToTarget, 2,
/* 15131*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, I32:{ *:[i32] }:$count) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, I32:{ *:[i32] }:$count)
/* 15141*/     /*SwitchType*/ 20, MVT::i64,// ->15163
/* 15143*/      OPC_MoveParent,
/* 15144*/      OPC_RecordChild3, // #3 = $count
/* 15145*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15147*/      OPC_EmitMergeInputChains1_0,
/* 15148*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15151*/      OPC_EmitConvertToTarget, 2,
/* 15153*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, I32:{ *:[i32] }:$count) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, I32:{ *:[i32] }:$count)
/* 15163*/     0, // EndSwitchType
/* 15164*/    0, // EndSwitchOpcode
/* 15165*/   /*Scope*/ 3|128,1/*131*/, /*->15298*/
/* 15167*/    OPC_CheckChild1Integer, 22|128,22|128,1/*19222*/, 
/* 15171*/    OPC_MoveChild2,
/* 15172*/    OPC_SwitchOpcode /*2 cases */, 59, TARGET_VAL(ISD::ADD),// ->15235
/* 15176*/     OPC_RecordChild0, // #1 = $addr
/* 15177*/     OPC_RecordChild1, // #2 = $off
/* 15178*/     OPC_MoveChild1,
/* 15179*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15182*/     OPC_MoveParent,
/* 15183*/     OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 15185*/     OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->15210
/* 15188*/      OPC_MoveParent,
/* 15189*/      OPC_RecordChild3, // #3 = $exp
/* 15190*/      OPC_RecordChild4, // #4 = $timeout
/* 15191*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15193*/      OPC_EmitMergeInputChains1_0,
/* 15194*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15197*/      OPC_EmitConvertToTarget, 2,
/* 15199*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15210*/     /*SwitchType*/ 22, MVT::i64,// ->15234
/* 15212*/      OPC_MoveParent,
/* 15213*/      OPC_RecordChild3, // #3 = $exp
/* 15214*/      OPC_RecordChild4, // #4 = $timeout
/* 15215*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15217*/      OPC_EmitMergeInputChains1_0,
/* 15218*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15221*/      OPC_EmitConvertToTarget, 2,
/* 15223*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15234*/     0, // EndSwitchType
/* 15235*/    /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->15297
/* 15238*/     OPC_RecordChild0, // #1 = $addr
/* 15239*/     OPC_RecordChild1, // #2 = $off
/* 15240*/     OPC_MoveChild1,
/* 15241*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15244*/     OPC_MoveParent,
/* 15245*/     OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 15247*/     OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->15272
/* 15250*/      OPC_MoveParent,
/* 15251*/      OPC_RecordChild3, // #3 = $exp
/* 15252*/      OPC_RecordChild4, // #4 = $timeout
/* 15253*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15255*/      OPC_EmitMergeInputChains1_0,
/* 15256*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15259*/      OPC_EmitConvertToTarget, 2,
/* 15261*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15272*/     /*SwitchType*/ 22, MVT::i64,// ->15296
/* 15274*/      OPC_MoveParent,
/* 15275*/      OPC_RecordChild3, // #3 = $exp
/* 15276*/      OPC_RecordChild4, // #4 = $timeout
/* 15277*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15279*/      OPC_EmitMergeInputChains1_0,
/* 15280*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15283*/      OPC_EmitConvertToTarget, 2,
/* 15285*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15296*/     0, // EndSwitchType
/* 15297*/    0, // EndSwitchOpcode
/* 15298*/   /*Scope*/ 3|128,1/*131*/, /*->15431*/
/* 15300*/    OPC_CheckChild1Integer, 24|128,22|128,1/*19224*/, 
/* 15304*/    OPC_MoveChild2,
/* 15305*/    OPC_SwitchOpcode /*2 cases */, 59, TARGET_VAL(ISD::ADD),// ->15368
/* 15309*/     OPC_RecordChild0, // #1 = $addr
/* 15310*/     OPC_RecordChild1, // #2 = $off
/* 15311*/     OPC_MoveChild1,
/* 15312*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15315*/     OPC_MoveParent,
/* 15316*/     OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 15318*/     OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->15343
/* 15321*/      OPC_MoveParent,
/* 15322*/      OPC_RecordChild3, // #3 = $exp
/* 15323*/      OPC_RecordChild4, // #4 = $timeout
/* 15324*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15326*/      OPC_EmitMergeInputChains1_0,
/* 15327*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15330*/      OPC_EmitConvertToTarget, 2,
/* 15332*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15343*/     /*SwitchType*/ 22, MVT::i64,// ->15367
/* 15345*/      OPC_MoveParent,
/* 15346*/      OPC_RecordChild3, // #3 = $exp
/* 15347*/      OPC_RecordChild4, // #4 = $timeout
/* 15348*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15350*/      OPC_EmitMergeInputChains1_0,
/* 15351*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15354*/      OPC_EmitConvertToTarget, 2,
/* 15356*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15367*/     0, // EndSwitchType
/* 15368*/    /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->15430
/* 15371*/     OPC_RecordChild0, // #1 = $addr
/* 15372*/     OPC_RecordChild1, // #2 = $off
/* 15373*/     OPC_MoveChild1,
/* 15374*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15377*/     OPC_MoveParent,
/* 15378*/     OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 15380*/     OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->15405
/* 15383*/      OPC_MoveParent,
/* 15384*/      OPC_RecordChild3, // #3 = $exp
/* 15385*/      OPC_RecordChild4, // #4 = $timeout
/* 15386*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15388*/      OPC_EmitMergeInputChains1_0,
/* 15389*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15392*/      OPC_EmitConvertToTarget, 2,
/* 15394*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15405*/     /*SwitchType*/ 22, MVT::i64,// ->15429
/* 15407*/      OPC_MoveParent,
/* 15408*/      OPC_RecordChild3, // #3 = $exp
/* 15409*/      OPC_RecordChild4, // #4 = $timeout
/* 15410*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15412*/      OPC_EmitMergeInputChains1_0,
/* 15413*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15416*/      OPC_EmitConvertToTarget, 2,
/* 15418*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15429*/     0, // EndSwitchType
/* 15430*/    0, // EndSwitchOpcode
/* 15431*/   0, /*End of Scope*/
/* 15432*/  /*Scope*/ 89, /*->15522*/
/* 15433*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/* 15434*/   OPC_Scope, 29, /*->15465*/ // 3 children in Scope
/* 15436*/    OPC_CheckChild1Integer, 82|128,22|128,1/*19282*/, 
/* 15440*/    OPC_MoveChild2,
/* 15441*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 15444*/    OPC_RecordChild0, // #1 = $table
/* 15445*/    OPC_MoveChild0,
/* 15446*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15449*/    OPC_MoveParent,
/* 15450*/    OPC_MoveParent,
/* 15451*/    OPC_RecordChild3, // #2 = $val
/* 15452*/    OPC_RecordChild4, // #3 = $n
/* 15453*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 15455*/    OPC_EmitMergeInputChains1_0,
/* 15456*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GROW_FUNCREF), 0|OPFL_Chain,
                  MVT::i32, 3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 9641:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_GROW_FUNCREF:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table, FUNCREF:{ *:[funcref] }:$val, I32:{ *:[i32] }:$n)
/* 15465*/   /*Scope*/ 29, /*->15495*/
/* 15466*/    OPC_CheckChild1Integer, 80|128,22|128,1/*19280*/, 
/* 15470*/    OPC_MoveChild2,
/* 15471*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 15474*/    OPC_RecordChild0, // #1 = $table
/* 15475*/    OPC_MoveChild0,
/* 15476*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15479*/    OPC_MoveParent,
/* 15480*/    OPC_MoveParent,
/* 15481*/    OPC_RecordChild3, // #2 = $val
/* 15482*/    OPC_RecordChild4, // #3 = $n
/* 15483*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 15485*/    OPC_EmitMergeInputChains1_0,
/* 15486*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GROW_EXTERNREF), 0|OPFL_Chain,
                  MVT::i32, 3/*#Ops*/, 1, 2, 3, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 9640:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n) - Complexity = 14
              // Dst: (TABLE_GROW_EXTERNREF:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table, EXTERNREF:{ *:[externref] }:$val, I32:{ *:[i32] }:$n)
/* 15495*/   /*Scope*/ 25, /*->15521*/
/* 15496*/    OPC_CheckChild1Integer, 84|128,22|128,1/*19284*/, 
/* 15500*/    OPC_MoveChild2,
/* 15501*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 15504*/    OPC_RecordChild0, // #1 = $table
/* 15505*/    OPC_MoveChild0,
/* 15506*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15509*/    OPC_MoveParent,
/* 15510*/    OPC_MoveParent,
/* 15511*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 15513*/    OPC_EmitMergeInputChains1_0,
/* 15514*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_SIZE), 0|OPFL_Chain,
                  MVT::i32, 1/*#Ops*/, 1, 
              // Src: (intrinsic_w_chain:{ *:[i32] } 9642:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table)) - Complexity = 14
              // Dst: (TABLE_SIZE:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$table)
/* 15521*/   0, /*End of Scope*/
/* 15522*/  /*Scope*/ 101|128,1/*229*/, /*->15753*/
/* 15524*/   OPC_RecordMemRef,
/* 15525*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/* 15526*/   OPC_Scope, 72, /*->15600*/ // 3 children in Scope
/* 15528*/    OPC_CheckChild1Integer, 20|128,22|128,1/*19220*/, 
/* 15532*/    OPC_MoveChild2,
/* 15533*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 15536*/    OPC_RecordChild0, // #1 = $off
/* 15537*/    OPC_MoveChild0,
/* 15538*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15541*/    OPC_MoveParent,
/* 15542*/    OPC_MoveParent,
/* 15543*/    OPC_RecordChild3, // #2 = $count
/* 15544*/    OPC_Scope, 26, /*->15572*/ // 2 children in Scope
/* 15546*/     OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15548*/     OPC_EmitMergeInputChains1_0,
/* 15549*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15552*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15555*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 15562*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), I32:{ *:[i32] }:$count) - Complexity = 14
               // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), I32:{ *:[i32] }:$count)
/* 15572*/    /*Scope*/ 26, /*->15599*/
/* 15573*/     OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15575*/     OPC_EmitMergeInputChains1_0,
/* 15576*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15579*/     OPC_EmitInteger, MVT::i64, 0, 
/* 15582*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 15589*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), I32:{ *:[i32] }:$count) - Complexity = 14
               // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), I32:{ *:[i32] }:$count)
/* 15599*/    0, /*End of Scope*/
/* 15600*/   /*Scope*/ 75, /*->15676*/
/* 15601*/    OPC_CheckChild1Integer, 22|128,22|128,1/*19222*/, 
/* 15605*/    OPC_MoveChild2,
/* 15606*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 15609*/    OPC_RecordChild0, // #1 = $off
/* 15610*/    OPC_MoveChild0,
/* 15611*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15614*/    OPC_MoveParent,
/* 15615*/    OPC_MoveParent,
/* 15616*/    OPC_RecordChild3, // #2 = $exp
/* 15617*/    OPC_RecordChild4, // #3 = $timeout
/* 15618*/    OPC_Scope, 27, /*->15647*/ // 2 children in Scope
/* 15620*/     OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15622*/     OPC_EmitMergeInputChains1_0,
/* 15623*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15626*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15629*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 15636*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 14
               // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15647*/    /*Scope*/ 27, /*->15675*/
/* 15648*/     OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15650*/     OPC_EmitMergeInputChains1_0,
/* 15651*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15654*/     OPC_EmitInteger, MVT::i64, 0, 
/* 15657*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 15664*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 14
               // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15675*/    0, /*End of Scope*/
/* 15676*/   /*Scope*/ 75, /*->15752*/
/* 15677*/    OPC_CheckChild1Integer, 24|128,22|128,1/*19224*/, 
/* 15681*/    OPC_MoveChild2,
/* 15682*/    OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 15685*/    OPC_RecordChild0, // #1 = $off
/* 15686*/    OPC_MoveChild0,
/* 15687*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15690*/    OPC_MoveParent,
/* 15691*/    OPC_MoveParent,
/* 15692*/    OPC_RecordChild3, // #2 = $exp
/* 15693*/    OPC_RecordChild4, // #3 = $timeout
/* 15694*/    OPC_Scope, 27, /*->15723*/ // 2 children in Scope
/* 15696*/     OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15698*/     OPC_EmitMergeInputChains1_0,
/* 15699*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15702*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15705*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 15712*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 14
               // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15723*/    /*Scope*/ 27, /*->15751*/
/* 15724*/     OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15726*/     OPC_EmitMergeInputChains1_0,
/* 15727*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15730*/     OPC_EmitInteger, MVT::i64, 0, 
/* 15733*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 15740*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 14
               // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15751*/    0, /*End of Scope*/
/* 15752*/   0, /*End of Scope*/
/* 15753*/  /*Scope*/ 84, /*->15838*/
/* 15754*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/* 15755*/   OPC_Scope, 36, /*->15793*/ // 2 children in Scope
/* 15757*/    OPC_CheckChild1Integer, 28|128,22|128,1/*19228*/, 
/* 15761*/    OPC_RecordChild2, // #1 = $flags
/* 15762*/    OPC_MoveChild2,
/* 15763*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15766*/    OPC_MoveParent,
/* 15767*/    OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->15780
/* 15770*/     OPC_EmitMergeInputChains1_0,
/* 15771*/     OPC_EmitConvertToTarget, 1,
/* 15773*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::anonymous_4392MEMORY_SIZE_A32), 0|OPFL_Chain,
                   MVT::i32, 1/*#Ops*/, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9614:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags) - Complexity = 11
               // Dst: (anonymous_4392MEMORY_SIZE_A32:{ *:[i32] } (imm:{ *:[i32] }):$flags)
/* 15780*/    /*SwitchType*/ 10, MVT::i64,// ->15792
/* 15782*/     OPC_EmitMergeInputChains1_0,
/* 15783*/     OPC_EmitConvertToTarget, 1,
/* 15785*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::anonymous_4393MEMORY_SIZE_A64), 0|OPFL_Chain,
                   MVT::i64, 1/*#Ops*/, 2, 
               // Src: (intrinsic_w_chain:{ *:[i64] } 9614:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags) - Complexity = 11
               // Dst: (anonymous_4393MEMORY_SIZE_A64:{ *:[i64] } (imm:{ *:[i32] }):$flags)
/* 15792*/    0, // EndSwitchType
/* 15793*/   /*Scope*/ 43, /*->15837*/
/* 15794*/    OPC_CheckChild1Integer, 26|128,22|128,1/*19226*/, 
/* 15798*/    OPC_RecordChild2, // #1 = $flags
/* 15799*/    OPC_MoveChild2,
/* 15800*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15803*/    OPC_MoveParent,
/* 15804*/    OPC_RecordChild3, // #2 = $delta
/* 15805*/    OPC_SwitchType /*2 cases */, 13, MVT::i32,// ->15821
/* 15808*/     OPC_CheckChild3Type, MVT::i32,
/* 15810*/     OPC_EmitMergeInputChains1_0,
/* 15811*/     OPC_EmitConvertToTarget, 1,
/* 15813*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::anonymous_4392MEMORY_GROW_A32), 0|OPFL_Chain,
                   MVT::i32, 2/*#Ops*/, 3, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9613:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags, I32:{ *:[i32] }:$delta) - Complexity = 11
               // Dst: (anonymous_4392MEMORY_GROW_A32:{ *:[i32] } (imm:{ *:[i32] }):$flags, I32:{ *:[i32] }:$delta)
/* 15821*/    /*SwitchType*/ 13, MVT::i64,// ->15836
/* 15823*/     OPC_CheckChild3Type, MVT::i64,
/* 15825*/     OPC_EmitMergeInputChains1_0,
/* 15826*/     OPC_EmitConvertToTarget, 1,
/* 15828*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::anonymous_4393MEMORY_GROW_A64), 0|OPFL_Chain,
                   MVT::i64, 2/*#Ops*/, 3, 2, 
               // Src: (intrinsic_w_chain:{ *:[i64] } 9613:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags, I64:{ *:[i64] }:$delta) - Complexity = 11
               // Dst: (anonymous_4393MEMORY_GROW_A64:{ *:[i64] } (imm:{ *:[i32] }):$flags, I64:{ *:[i64] }:$delta)
/* 15836*/    0, // EndSwitchType
/* 15837*/   0, /*End of Scope*/
/* 15838*/  /*Scope*/ 125|128,2/*381*/, /*->16221*/
/* 15840*/   OPC_RecordMemRef,
/* 15841*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/* 15842*/   OPC_Scope, 120, /*->15964*/ // 3 children in Scope
/* 15844*/    OPC_CheckChild1Integer, 20|128,22|128,1/*19220*/, 
/* 15848*/    OPC_RecordChild2, // #1 = $off
/* 15849*/    OPC_Scope, 66, /*->15917*/ // 3 children in Scope
/* 15851*/     OPC_MoveChild2,
/* 15852*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15855*/     OPC_MoveParent,
/* 15856*/     OPC_RecordChild3, // #2 = $count
/* 15857*/     OPC_Scope, 28, /*->15887*/ // 2 children in Scope
/* 15859*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15861*/      OPC_EmitMergeInputChains1_0,
/* 15862*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15865*/      OPC_EmitConvertToTarget, 1,
/* 15867*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15870*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 15877*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, I32:{ *:[i32] }:$count) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), I32:{ *:[i32] }:$count)
/* 15887*/     /*Scope*/ 28, /*->15916*/
/* 15888*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15890*/      OPC_EmitMergeInputChains1_0,
/* 15891*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15894*/      OPC_EmitConvertToTarget, 1,
/* 15896*/      OPC_EmitInteger, MVT::i64, 0, 
/* 15899*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 15906*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, I32:{ *:[i32] }:$count) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), I32:{ *:[i32] }:$count)
/* 15916*/     0, /*End of Scope*/
/* 15917*/    /*Scope*/ 22, /*->15940*/
/* 15918*/     OPC_CheckChild2Type, MVT::i32,
/* 15920*/     OPC_RecordChild3, // #2 = $count
/* 15921*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15923*/     OPC_EmitMergeInputChains1_0,
/* 15924*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15927*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15930*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, I32:{ *:[i32] }:$addr, I32:{ *:[i32] }:$count) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, I32:{ *:[i32] }:$count)
/* 15940*/    /*Scope*/ 22, /*->15963*/
/* 15941*/     OPC_CheckChild2Type, MVT::i64,
/* 15943*/     OPC_RecordChild3, // #2 = $count
/* 15944*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15946*/     OPC_EmitMergeInputChains1_0,
/* 15947*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15950*/     OPC_EmitInteger, MVT::i64, 0, 
/* 15953*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9610:{ *:[iPTR] }, I64:{ *:[i64] }:$addr, I32:{ *:[i32] }:$count) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, I32:{ *:[i32] }:$count)
/* 15963*/    0, /*End of Scope*/
/* 15964*/   /*Scope*/ 127, /*->16092*/
/* 15965*/    OPC_CheckChild1Integer, 22|128,22|128,1/*19222*/, 
/* 15969*/    OPC_RecordChild2, // #1 = $off
/* 15970*/    OPC_Scope, 69, /*->16041*/ // 3 children in Scope
/* 15972*/     OPC_MoveChild2,
/* 15973*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15976*/     OPC_MoveParent,
/* 15977*/     OPC_RecordChild3, // #2 = $exp
/* 15978*/     OPC_RecordChild4, // #3 = $timeout
/* 15979*/     OPC_Scope, 29, /*->16010*/ // 2 children in Scope
/* 15981*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15983*/      OPC_EmitMergeInputChains1_0,
/* 15984*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15987*/      OPC_EmitConvertToTarget, 1,
/* 15989*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15992*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 15999*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 16010*/     /*Scope*/ 29, /*->16040*/
/* 16011*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16013*/      OPC_EmitMergeInputChains1_0,
/* 16014*/      OPC_EmitInteger, MVT::i32, 0, 
/* 16017*/      OPC_EmitConvertToTarget, 1,
/* 16019*/      OPC_EmitInteger, MVT::i64, 0, 
/* 16022*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 16029*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 16040*/     0, /*End of Scope*/
/* 16041*/    /*Scope*/ 24, /*->16066*/
/* 16042*/     OPC_CheckChild2Type, MVT::i32,
/* 16044*/     OPC_RecordChild3, // #2 = $exp
/* 16045*/     OPC_RecordChild4, // #3 = $timeout
/* 16046*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16048*/     OPC_EmitMergeInputChains1_0,
/* 16049*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16052*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16055*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 16066*/    /*Scope*/ 24, /*->16091*/
/* 16067*/     OPC_CheckChild2Type, MVT::i64,
/* 16069*/     OPC_RecordChild3, // #2 = $exp
/* 16070*/     OPC_RecordChild4, // #3 = $timeout
/* 16071*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16073*/     OPC_EmitMergeInputChains1_0,
/* 16074*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16077*/     OPC_EmitInteger, MVT::i64, 0, 
/* 16080*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9611:{ *:[iPTR] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 16091*/    0, /*End of Scope*/
/* 16092*/   /*Scope*/ 127, /*->16220*/
/* 16093*/    OPC_CheckChild1Integer, 24|128,22|128,1/*19224*/, 
/* 16097*/    OPC_RecordChild2, // #1 = $off
/* 16098*/    OPC_Scope, 69, /*->16169*/ // 3 children in Scope
/* 16100*/     OPC_MoveChild2,
/* 16101*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 16104*/     OPC_MoveParent,
/* 16105*/     OPC_RecordChild3, // #2 = $exp
/* 16106*/     OPC_RecordChild4, // #3 = $timeout
/* 16107*/     OPC_Scope, 29, /*->16138*/ // 2 children in Scope
/* 16109*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16111*/      OPC_EmitMergeInputChains1_0,
/* 16112*/      OPC_EmitInteger, MVT::i32, 0, 
/* 16115*/      OPC_EmitConvertToTarget, 1,
/* 16117*/      OPC_EmitInteger, MVT::i32, 0, 
/* 16120*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 16127*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 16138*/     /*Scope*/ 29, /*->16168*/
/* 16139*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16141*/      OPC_EmitMergeInputChains1_0,
/* 16142*/      OPC_EmitInteger, MVT::i32, 0, 
/* 16145*/      OPC_EmitConvertToTarget, 1,
/* 16147*/      OPC_EmitInteger, MVT::i64, 0, 
/* 16150*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 16157*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 16168*/     0, /*End of Scope*/
/* 16169*/    /*Scope*/ 24, /*->16194*/
/* 16170*/     OPC_CheckChild2Type, MVT::i32,
/* 16172*/     OPC_RecordChild3, // #2 = $exp
/* 16173*/     OPC_RecordChild4, // #3 = $timeout
/* 16174*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16176*/     OPC_EmitMergeInputChains1_0,
/* 16177*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16180*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16183*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 16194*/    /*Scope*/ 24, /*->16219*/
/* 16195*/     OPC_CheckChild2Type, MVT::i64,
/* 16197*/     OPC_RecordChild3, // #2 = $exp
/* 16198*/     OPC_RecordChild4, // #3 = $timeout
/* 16199*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16201*/     OPC_EmitMergeInputChains1_0,
/* 16202*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16205*/     OPC_EmitInteger, MVT::i64, 0, 
/* 16208*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9612:{ *:[iPTR] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 16219*/    0, /*End of Scope*/
/* 16220*/   0, /*End of Scope*/
/* 16221*/  0, /*End of Scope*/
/* 16222*/ /*SwitchOpcode*/ 75|128,14/*1867*/, TARGET_VAL(ISD::ATOMIC_STORE),// ->18093
/* 16226*/  OPC_RecordMemRef,
/* 16227*/  OPC_RecordNode, // #0 = 'atomic_store' chained node
/* 16228*/  OPC_Scope, 25|128,7/*921*/, /*->17152*/ // 4 children in Scope
/* 16231*/   OPC_MoveChild1,
/* 16232*/   OPC_SwitchOpcode /*3 cases */, 87|128,2/*343*/, TARGET_VAL(ISD::ADD),// ->16580
/* 16237*/    OPC_RecordChild0, // #1 = $addr
/* 16238*/    OPC_RecordChild1, // #2 = $off
/* 16239*/    OPC_MoveChild1,
/* 16240*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 16243*/    OPC_MoveParent,
/* 16244*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 16246*/    OPC_SwitchType /*2 cases */, 35|128,1/*163*/, MVT::i32,// ->16413
/* 16250*/     OPC_MoveParent,
/* 16251*/     OPC_Scope, 68, /*->16321*/ // 2 children in Scope
/* 16253*/      OPC_MoveChild2,
/* 16254*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16257*/      OPC_RecordChild0, // #3 = $val
/* 16258*/      OPC_MoveParent,
/* 16259*/      OPC_Scope, 19, /*->16280*/ // 3 children in Scope
/* 16261*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16263*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16265*/       OPC_EmitMergeInputChains1_0,
/* 16266*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16269*/       OPC_EmitConvertToTarget, 2,
/* 16271*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 14
                 // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16280*/      /*Scope*/ 19, /*->16300*/
/* 16281*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16283*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16285*/       OPC_EmitMergeInputChains1_0,
/* 16286*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16289*/       OPC_EmitConvertToTarget, 2,
/* 16291*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 14
                 // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16300*/      /*Scope*/ 19, /*->16320*/
/* 16301*/       OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16303*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16305*/       OPC_EmitMergeInputChains1_0,
/* 16306*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16309*/       OPC_EmitConvertToTarget, 2,
/* 16311*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 14
                 // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16320*/      0, /*End of Scope*/
/* 16321*/     /*Scope*/ 90, /*->16412*/
/* 16322*/      OPC_RecordChild2, // #3 = $val
/* 16323*/      OPC_Scope, 64, /*->16389*/ // 2 children in Scope
/* 16325*/       OPC_CheckChild2Type, MVT::i32,
/* 16327*/       OPC_Scope, 19, /*->16348*/ // 3 children in Scope
/* 16329*/        OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16331*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16333*/        OPC_EmitMergeInputChains1_0,
/* 16334*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16337*/        OPC_EmitConvertToTarget, 2,
/* 16339*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 11
                  // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16348*/       /*Scope*/ 19, /*->16368*/
/* 16349*/        OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16351*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16353*/        OPC_EmitMergeInputChains1_0,
/* 16354*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16357*/        OPC_EmitConvertToTarget, 2,
/* 16359*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 11
                  // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16368*/       /*Scope*/ 19, /*->16388*/
/* 16369*/        OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16371*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16373*/        OPC_EmitMergeInputChains1_0,
/* 16374*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16377*/        OPC_EmitConvertToTarget, 2,
/* 16379*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 11
                  // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16388*/       0, /*End of Scope*/
/* 16389*/      /*Scope*/ 21, /*->16411*/
/* 16390*/       OPC_CheckChild2Type, MVT::i64,
/* 16392*/       OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 16394*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16396*/       OPC_EmitMergeInputChains1_0,
/* 16397*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16400*/       OPC_EmitConvertToTarget, 2,
/* 16402*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 11
                 // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16411*/      0, /*End of Scope*/
/* 16412*/     0, /*End of Scope*/
/* 16413*/    /*SwitchType*/ 35|128,1/*163*/, MVT::i64,// ->16579
/* 16416*/     OPC_MoveParent,
/* 16417*/     OPC_Scope, 68, /*->16487*/ // 2 children in Scope
/* 16419*/      OPC_MoveChild2,
/* 16420*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16423*/      OPC_RecordChild0, // #3 = $val
/* 16424*/      OPC_MoveParent,
/* 16425*/      OPC_Scope, 19, /*->16446*/ // 3 children in Scope
/* 16427*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16429*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16431*/       OPC_EmitMergeInputChains1_0,
/* 16432*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16435*/       OPC_EmitConvertToTarget, 2,
/* 16437*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 14
                 // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16446*/      /*Scope*/ 19, /*->16466*/
/* 16447*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16449*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16451*/       OPC_EmitMergeInputChains1_0,
/* 16452*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16455*/       OPC_EmitConvertToTarget, 2,
/* 16457*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 14
                 // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16466*/      /*Scope*/ 19, /*->16486*/
/* 16467*/       OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16469*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16471*/       OPC_EmitMergeInputChains1_0,
/* 16472*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16475*/       OPC_EmitConvertToTarget, 2,
/* 16477*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 14
                 // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16486*/      0, /*End of Scope*/
/* 16487*/     /*Scope*/ 90, /*->16578*/
/* 16488*/      OPC_RecordChild2, // #3 = $val
/* 16489*/      OPC_Scope, 64, /*->16555*/ // 2 children in Scope
/* 16491*/       OPC_CheckChild2Type, MVT::i32,
/* 16493*/       OPC_Scope, 19, /*->16514*/ // 3 children in Scope
/* 16495*/        OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16497*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16499*/        OPC_EmitMergeInputChains1_0,
/* 16500*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16503*/        OPC_EmitConvertToTarget, 2,
/* 16505*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 11
                  // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16514*/       /*Scope*/ 19, /*->16534*/
/* 16515*/        OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16517*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16519*/        OPC_EmitMergeInputChains1_0,
/* 16520*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16523*/        OPC_EmitConvertToTarget, 2,
/* 16525*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 11
                  // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16534*/       /*Scope*/ 19, /*->16554*/
/* 16535*/        OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16537*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16539*/        OPC_EmitMergeInputChains1_0,
/* 16540*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16543*/        OPC_EmitConvertToTarget, 2,
/* 16545*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 11
                  // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16554*/       0, /*End of Scope*/
/* 16555*/      /*Scope*/ 21, /*->16577*/
/* 16556*/       OPC_CheckChild2Type, MVT::i64,
/* 16558*/       OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 16560*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16562*/       OPC_EmitMergeInputChains1_0,
/* 16563*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16566*/       OPC_EmitConvertToTarget, 2,
/* 16568*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 11
                 // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16577*/      0, /*End of Scope*/
/* 16578*/     0, /*End of Scope*/
/* 16579*/    0, // EndSwitchType
/* 16580*/   /*SwitchOpcode*/ 123|128,1/*251*/, TARGET_VAL(ISD::OR),// ->16835
/* 16584*/    OPC_RecordChild0, // #1 = $addr
/* 16585*/    OPC_RecordChild1, // #2 = $off
/* 16586*/    OPC_MoveChild1,
/* 16587*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 16590*/    OPC_MoveParent,
/* 16591*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 16593*/    OPC_SwitchType /*2 cases */, 118, MVT::i32,// ->16714
/* 16596*/     OPC_MoveParent,
/* 16597*/     OPC_Scope, 68, /*->16667*/ // 2 children in Scope
/* 16599*/      OPC_MoveChild2,
/* 16600*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16603*/      OPC_RecordChild0, // #3 = $val
/* 16604*/      OPC_MoveParent,
/* 16605*/      OPC_Scope, 19, /*->16626*/ // 3 children in Scope
/* 16607*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16609*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16611*/       OPC_EmitMergeInputChains1_0,
/* 16612*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16615*/       OPC_EmitConvertToTarget, 2,
/* 16617*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 14
                 // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16626*/      /*Scope*/ 19, /*->16646*/
/* 16627*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16629*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16631*/       OPC_EmitMergeInputChains1_0,
/* 16632*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16635*/       OPC_EmitConvertToTarget, 2,
/* 16637*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 14
                 // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16646*/      /*Scope*/ 19, /*->16666*/
/* 16647*/       OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16649*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16651*/       OPC_EmitMergeInputChains1_0,
/* 16652*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16655*/       OPC_EmitConvertToTarget, 2,
/* 16657*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 14
                 // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16666*/      0, /*End of Scope*/
/* 16667*/     /*Scope*/ 45, /*->16713*/
/* 16668*/      OPC_RecordChild2, // #3 = $val
/* 16669*/      OPC_CheckChild2Type, MVT::i32,
/* 16671*/      OPC_Scope, 19, /*->16692*/ // 2 children in Scope
/* 16673*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16675*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16677*/       OPC_EmitMergeInputChains1_0,
/* 16678*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16681*/       OPC_EmitConvertToTarget, 2,
/* 16683*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 11
                 // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16692*/      /*Scope*/ 19, /*->16712*/
/* 16693*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16695*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16697*/       OPC_EmitMergeInputChains1_0,
/* 16698*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16701*/       OPC_EmitConvertToTarget, 2,
/* 16703*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 11
                 // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16712*/      0, /*End of Scope*/
/* 16713*/     0, /*End of Scope*/
/* 16714*/    /*SwitchType*/ 118, MVT::i64,// ->16834
/* 16716*/     OPC_MoveParent,
/* 16717*/     OPC_Scope, 68, /*->16787*/ // 2 children in Scope
/* 16719*/      OPC_MoveChild2,
/* 16720*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16723*/      OPC_RecordChild0, // #3 = $val
/* 16724*/      OPC_MoveParent,
/* 16725*/      OPC_Scope, 19, /*->16746*/ // 3 children in Scope
/* 16727*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16729*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16731*/       OPC_EmitMergeInputChains1_0,
/* 16732*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16735*/       OPC_EmitConvertToTarget, 2,
/* 16737*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 14
                 // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16746*/      /*Scope*/ 19, /*->16766*/
/* 16747*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16749*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16751*/       OPC_EmitMergeInputChains1_0,
/* 16752*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16755*/       OPC_EmitConvertToTarget, 2,
/* 16757*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 14
                 // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16766*/      /*Scope*/ 19, /*->16786*/
/* 16767*/       OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16769*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16771*/       OPC_EmitMergeInputChains1_0,
/* 16772*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16775*/       OPC_EmitConvertToTarget, 2,
/* 16777*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 14
                 // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16786*/      0, /*End of Scope*/
/* 16787*/     /*Scope*/ 45, /*->16833*/
/* 16788*/      OPC_RecordChild2, // #3 = $val
/* 16789*/      OPC_CheckChild2Type, MVT::i32,
/* 16791*/      OPC_Scope, 19, /*->16812*/ // 2 children in Scope
/* 16793*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16795*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16797*/       OPC_EmitMergeInputChains1_0,
/* 16798*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16801*/       OPC_EmitConvertToTarget, 2,
/* 16803*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 11
                 // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16812*/      /*Scope*/ 19, /*->16832*/
/* 16813*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16815*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16817*/       OPC_EmitMergeInputChains1_0,
/* 16818*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16821*/       OPC_EmitConvertToTarget, 2,
/* 16823*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 11
                 // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16832*/      0, /*End of Scope*/
/* 16833*/     0, /*End of Scope*/
/* 16834*/    0, // EndSwitchType
/* 16835*/   /*SwitchOpcode*/ 56|128,2/*312*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->17151
/* 16839*/    OPC_RecordChild0, // #1 = $off
/* 16840*/    OPC_MoveChild0,
/* 16841*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 16844*/    OPC_MoveParent,
/* 16845*/    OPC_MoveParent,
/* 16846*/    OPC_Scope, 51|128,1/*179*/, /*->17028*/ // 2 children in Scope
/* 16849*/     OPC_MoveChild2,
/* 16850*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16853*/     OPC_RecordChild0, // #2 = $val
/* 16854*/     OPC_MoveParent,
/* 16855*/     OPC_Scope, 56, /*->16913*/ // 3 children in Scope
/* 16857*/      OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16859*/      OPC_Scope, 25, /*->16886*/ // 2 children in Scope
/* 16861*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16863*/       OPC_EmitMergeInputChains1_0,
/* 16864*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16867*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16870*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 16877*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 13
                 // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 16886*/      /*Scope*/ 25, /*->16912*/
/* 16887*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16889*/       OPC_EmitMergeInputChains1_0,
/* 16890*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16893*/       OPC_EmitInteger, MVT::i64, 0, 
/* 16896*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 16903*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 13
                 // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 16912*/      0, /*End of Scope*/
/* 16913*/     /*Scope*/ 56, /*->16970*/
/* 16914*/      OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16916*/      OPC_Scope, 25, /*->16943*/ // 2 children in Scope
/* 16918*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16920*/       OPC_EmitMergeInputChains1_0,
/* 16921*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16924*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16927*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 16934*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 13
                 // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 16943*/      /*Scope*/ 25, /*->16969*/
/* 16944*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16946*/       OPC_EmitMergeInputChains1_0,
/* 16947*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16950*/       OPC_EmitInteger, MVT::i64, 0, 
/* 16953*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 16960*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 13
                 // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 16969*/      0, /*End of Scope*/
/* 16970*/     /*Scope*/ 56, /*->17027*/
/* 16971*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16973*/      OPC_Scope, 25, /*->17000*/ // 2 children in Scope
/* 16975*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16977*/       OPC_EmitMergeInputChains1_0,
/* 16978*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16981*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16984*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 16991*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 13
                 // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17000*/      /*Scope*/ 25, /*->17026*/
/* 17001*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17003*/       OPC_EmitMergeInputChains1_0,
/* 17004*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17007*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17010*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 17017*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 13
                 // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17026*/      0, /*End of Scope*/
/* 17027*/     0, /*End of Scope*/
/* 17028*/    /*Scope*/ 121, /*->17150*/
/* 17029*/     OPC_RecordChild2, // #2 = $val
/* 17030*/     OPC_Scope, 58, /*->17090*/ // 2 children in Scope
/* 17032*/      OPC_CheckChild2Type, MVT::i32,
/* 17034*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17036*/      OPC_Scope, 25, /*->17063*/ // 2 children in Scope
/* 17038*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17040*/       OPC_EmitMergeInputChains1_0,
/* 17041*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17044*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17047*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 17054*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 10
                 // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17063*/      /*Scope*/ 25, /*->17089*/
/* 17064*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17066*/       OPC_EmitMergeInputChains1_0,
/* 17067*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17070*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17073*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 17080*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 10
                 // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17089*/      0, /*End of Scope*/
/* 17090*/     /*Scope*/ 58, /*->17149*/
/* 17091*/      OPC_CheckChild2Type, MVT::i64,
/* 17093*/      OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 17095*/      OPC_Scope, 25, /*->17122*/ // 2 children in Scope
/* 17097*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17099*/       OPC_EmitMergeInputChains1_0,
/* 17100*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17103*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17106*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 17113*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 10
                 // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17122*/      /*Scope*/ 25, /*->17148*/
/* 17123*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17125*/       OPC_EmitMergeInputChains1_0,
/* 17126*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17129*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17132*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 17139*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 10
                 // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17148*/      0, /*End of Scope*/
/* 17149*/     0, /*End of Scope*/
/* 17150*/    0, /*End of Scope*/
/* 17151*/   0, // EndSwitchOpcode
/* 17152*/  /*Scope*/ 69|128,1/*197*/, /*->17351*/
/* 17154*/   OPC_RecordChild1, // #1 = $off
/* 17155*/   OPC_MoveChild1,
/* 17156*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 17159*/   OPC_MoveParent,
/* 17160*/   OPC_MoveChild2,
/* 17161*/   OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 17164*/   OPC_RecordChild0, // #2 = $val
/* 17165*/   OPC_MoveParent,
/* 17166*/   OPC_Scope, 60, /*->17228*/ // 3 children in Scope
/* 17168*/    OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17170*/    OPC_Scope, 27, /*->17199*/ // 2 children in Scope
/* 17172*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17174*/     OPC_EmitMergeInputChains1_0,
/* 17175*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17178*/     OPC_EmitConvertToTarget, 1,
/* 17180*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17183*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17190*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 10
               // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17199*/    /*Scope*/ 27, /*->17227*/
/* 17200*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17202*/     OPC_EmitMergeInputChains1_0,
/* 17203*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17206*/     OPC_EmitConvertToTarget, 1,
/* 17208*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17211*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17218*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 10
               // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17227*/    0, /*End of Scope*/
/* 17228*/   /*Scope*/ 60, /*->17289*/
/* 17229*/    OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17231*/    OPC_Scope, 27, /*->17260*/ // 2 children in Scope
/* 17233*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17235*/     OPC_EmitMergeInputChains1_0,
/* 17236*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17239*/     OPC_EmitConvertToTarget, 1,
/* 17241*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17244*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17251*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 10
               // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17260*/    /*Scope*/ 27, /*->17288*/
/* 17261*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17263*/     OPC_EmitMergeInputChains1_0,
/* 17264*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17267*/     OPC_EmitConvertToTarget, 1,
/* 17269*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17272*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17279*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 10
               // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17288*/    0, /*End of Scope*/
/* 17289*/   /*Scope*/ 60, /*->17350*/
/* 17290*/    OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17292*/    OPC_Scope, 27, /*->17321*/ // 2 children in Scope
/* 17294*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17296*/     OPC_EmitMergeInputChains1_0,
/* 17297*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17300*/     OPC_EmitConvertToTarget, 1,
/* 17302*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17305*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17312*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 10
               // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17321*/    /*Scope*/ 27, /*->17349*/
/* 17322*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17324*/     OPC_EmitMergeInputChains1_0,
/* 17325*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17328*/     OPC_EmitConvertToTarget, 1,
/* 17330*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17333*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17340*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 10
               // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17349*/    0, /*End of Scope*/
/* 17350*/   0, /*End of Scope*/
/* 17351*/  /*Scope*/ 2|128,1/*130*/, /*->17483*/
/* 17353*/   OPC_MoveChild1,
/* 17354*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 17357*/   OPC_RecordChild0, // #1 = $off
/* 17358*/   OPC_MoveChild0,
/* 17359*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 17362*/   OPC_MoveParent,
/* 17363*/   OPC_MoveParent,
/* 17364*/   OPC_RecordChild2, // #2 = $val
/* 17365*/   OPC_CheckChild2Type, MVT::i32,
/* 17367*/   OPC_Scope, 56, /*->17425*/ // 2 children in Scope
/* 17369*/    OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17371*/    OPC_Scope, 25, /*->17398*/ // 2 children in Scope
/* 17373*/     OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17375*/     OPC_EmitMergeInputChains1_0,
/* 17376*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17379*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17382*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 17389*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 10
               // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17398*/    /*Scope*/ 25, /*->17424*/
/* 17399*/     OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17401*/     OPC_EmitMergeInputChains1_0,
/* 17402*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17405*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17408*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 17415*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 10
               // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17424*/    0, /*End of Scope*/
/* 17425*/   /*Scope*/ 56, /*->17482*/
/* 17426*/    OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17428*/    OPC_Scope, 25, /*->17455*/ // 2 children in Scope
/* 17430*/     OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17432*/     OPC_EmitMergeInputChains1_0,
/* 17433*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17436*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17439*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 17446*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 10
               // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17455*/    /*Scope*/ 25, /*->17481*/
/* 17456*/     OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17458*/     OPC_EmitMergeInputChains1_0,
/* 17459*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17462*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17465*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 17472*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 10
               // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17481*/    0, /*End of Scope*/
/* 17482*/   0, /*End of Scope*/
/* 17483*/  /*Scope*/ 95|128,4/*607*/, /*->18092*/
/* 17485*/   OPC_RecordChild1, // #1 = $addr
/* 17486*/   OPC_Scope, 73, /*->17561*/ // 5 children in Scope
/* 17488*/    OPC_CheckChild1Type, MVT::i32,
/* 17490*/    OPC_MoveChild2,
/* 17491*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 17494*/    OPC_RecordChild0, // #2 = $val
/* 17495*/    OPC_MoveParent,
/* 17496*/    OPC_Scope, 20, /*->17518*/ // 3 children in Scope
/* 17498*/     OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17500*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17502*/     OPC_EmitMergeInputChains1_0,
/* 17503*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17506*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17509*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 7
               // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 17518*/    /*Scope*/ 20, /*->17539*/
/* 17519*/     OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17521*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17523*/     OPC_EmitMergeInputChains1_0,
/* 17524*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17527*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17530*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 7
               // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 17539*/    /*Scope*/ 20, /*->17560*/
/* 17540*/     OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17542*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17544*/     OPC_EmitMergeInputChains1_0,
/* 17545*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17548*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17551*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 7
               // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 17560*/    0, /*End of Scope*/
/* 17561*/   /*Scope*/ 73, /*->17635*/
/* 17562*/    OPC_CheckChild1Type, MVT::i64,
/* 17564*/    OPC_MoveChild2,
/* 17565*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 17568*/    OPC_RecordChild0, // #2 = $val
/* 17569*/    OPC_MoveParent,
/* 17570*/    OPC_Scope, 20, /*->17592*/ // 3 children in Scope
/* 17572*/     OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17574*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17576*/     OPC_EmitMergeInputChains1_0,
/* 17577*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17580*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17583*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 7
               // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 17592*/    /*Scope*/ 20, /*->17613*/
/* 17593*/     OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17595*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17597*/     OPC_EmitMergeInputChains1_0,
/* 17598*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17601*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17604*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 7
               // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 17613*/    /*Scope*/ 20, /*->17634*/
/* 17614*/     OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17616*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17618*/     OPC_EmitMergeInputChains1_0,
/* 17619*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17622*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17625*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 7
               // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 17634*/    0, /*End of Scope*/
/* 17635*/   /*Scope*/ 4|128,2/*260*/, /*->17897*/
/* 17637*/    OPC_MoveChild1,
/* 17638*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 17641*/    OPC_MoveParent,
/* 17642*/    OPC_RecordChild2, // #2 = $val
/* 17643*/    OPC_Scope, 59|128,1/*187*/, /*->17833*/ // 2 children in Scope
/* 17646*/     OPC_CheckChild2Type, MVT::i32,
/* 17648*/     OPC_Scope, 60, /*->17710*/ // 3 children in Scope
/* 17650*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17652*/      OPC_Scope, 27, /*->17681*/ // 2 children in Scope
/* 17654*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17656*/       OPC_EmitMergeInputChains1_0,
/* 17657*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17660*/       OPC_EmitConvertToTarget, 1,
/* 17662*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17665*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17672*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 7
                 // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17681*/      /*Scope*/ 27, /*->17709*/
/* 17682*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17684*/       OPC_EmitMergeInputChains1_0,
/* 17685*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17688*/       OPC_EmitConvertToTarget, 1,
/* 17690*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17693*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17700*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 7
                 // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17709*/      0, /*End of Scope*/
/* 17710*/     /*Scope*/ 60, /*->17771*/
/* 17711*/      OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17713*/      OPC_Scope, 27, /*->17742*/ // 2 children in Scope
/* 17715*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17717*/       OPC_EmitMergeInputChains1_0,
/* 17718*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17721*/       OPC_EmitConvertToTarget, 1,
/* 17723*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17726*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17733*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 7
                 // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17742*/      /*Scope*/ 27, /*->17770*/
/* 17743*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17745*/       OPC_EmitMergeInputChains1_0,
/* 17746*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17749*/       OPC_EmitConvertToTarget, 1,
/* 17751*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17754*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17761*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 7
                 // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17770*/      0, /*End of Scope*/
/* 17771*/     /*Scope*/ 60, /*->17832*/
/* 17772*/      OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17774*/      OPC_Scope, 27, /*->17803*/ // 2 children in Scope
/* 17776*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17778*/       OPC_EmitMergeInputChains1_0,
/* 17779*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17782*/       OPC_EmitConvertToTarget, 1,
/* 17784*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17787*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17794*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 7
                 // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17803*/      /*Scope*/ 27, /*->17831*/
/* 17804*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17806*/       OPC_EmitMergeInputChains1_0,
/* 17807*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17810*/       OPC_EmitConvertToTarget, 1,
/* 17812*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17815*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17822*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 7
                 // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17831*/      0, /*End of Scope*/
/* 17832*/     0, /*End of Scope*/
/* 17833*/    /*Scope*/ 62, /*->17896*/
/* 17834*/     OPC_CheckChild2Type, MVT::i64,
/* 17836*/     OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 17838*/     OPC_Scope, 27, /*->17867*/ // 2 children in Scope
/* 17840*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17842*/      OPC_EmitMergeInputChains1_0,
/* 17843*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17846*/      OPC_EmitConvertToTarget, 1,
/* 17848*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17851*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17858*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 7
                // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17867*/     /*Scope*/ 27, /*->17895*/
/* 17868*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17870*/      OPC_EmitMergeInputChains1_0,
/* 17871*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17874*/      OPC_EmitConvertToTarget, 1,
/* 17876*/      OPC_EmitInteger, MVT::i64, 0, 
/* 17879*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17886*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 7
                // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17895*/     0, /*End of Scope*/
/* 17896*/    0, /*End of Scope*/
/* 17897*/   /*Scope*/ 96, /*->17994*/
/* 17898*/    OPC_CheckChild1Type, MVT::i32,
/* 17900*/    OPC_RecordChild2, // #2 = $val
/* 17901*/    OPC_Scope, 67, /*->17970*/ // 2 children in Scope
/* 17903*/     OPC_CheckChild2Type, MVT::i32,
/* 17905*/     OPC_Scope, 20, /*->17927*/ // 3 children in Scope
/* 17907*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17909*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17911*/      OPC_EmitMergeInputChains1_0,
/* 17912*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17915*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17918*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 4
                // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 17927*/     /*Scope*/ 20, /*->17948*/
/* 17928*/      OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17930*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17932*/      OPC_EmitMergeInputChains1_0,
/* 17933*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17936*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17939*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 4
                // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 17948*/     /*Scope*/ 20, /*->17969*/
/* 17949*/      OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17951*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17953*/      OPC_EmitMergeInputChains1_0,
/* 17954*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17957*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17960*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 4
                // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 17969*/     0, /*End of Scope*/
/* 17970*/    /*Scope*/ 22, /*->17993*/
/* 17971*/     OPC_CheckChild2Type, MVT::i64,
/* 17973*/     OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 17975*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17977*/     OPC_EmitMergeInputChains1_0,
/* 17978*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17981*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17984*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 4
               // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 17993*/    0, /*End of Scope*/
/* 17994*/   /*Scope*/ 96, /*->18091*/
/* 17995*/    OPC_CheckChild1Type, MVT::i64,
/* 17997*/    OPC_RecordChild2, // #2 = $val
/* 17998*/    OPC_Scope, 67, /*->18067*/ // 2 children in Scope
/* 18000*/     OPC_CheckChild2Type, MVT::i32,
/* 18002*/     OPC_Scope, 20, /*->18024*/ // 3 children in Scope
/* 18004*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 18006*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 18008*/      OPC_EmitMergeInputChains1_0,
/* 18009*/      OPC_EmitInteger, MVT::i32, 0, 
/* 18012*/      OPC_EmitInteger, MVT::i64, 0, 
/* 18015*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 4
                // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18024*/     /*Scope*/ 20, /*->18045*/
/* 18025*/      OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 18027*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 18029*/      OPC_EmitMergeInputChains1_0,
/* 18030*/      OPC_EmitInteger, MVT::i32, 0, 
/* 18033*/      OPC_EmitInteger, MVT::i64, 0, 
/* 18036*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 4
                // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18045*/     /*Scope*/ 20, /*->18066*/
/* 18046*/      OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 18048*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 18050*/      OPC_EmitMergeInputChains1_0,
/* 18051*/      OPC_EmitInteger, MVT::i32, 0, 
/* 18054*/      OPC_EmitInteger, MVT::i64, 0, 
/* 18057*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 4
                // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18066*/     0, /*End of Scope*/
/* 18067*/    /*Scope*/ 22, /*->18090*/
/* 18068*/     OPC_CheckChild2Type, MVT::i64,
/* 18070*/     OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 18072*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 18074*/     OPC_EmitMergeInputChains1_0,
/* 18075*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18078*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18081*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 4
               // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 18090*/    0, /*End of Scope*/
/* 18091*/   0, /*End of Scope*/
/* 18092*/  0, /*End of Scope*/
/* 18093*/ /*SwitchOpcode*/ 100, TARGET_VAL(ISD::BRCOND),// ->18196
/* 18096*/  OPC_RecordNode, // #0 = 'brcond' chained node
/* 18097*/  OPC_Scope, 78, /*->18177*/ // 2 children in Scope
/* 18099*/   OPC_MoveChild1,
/* 18100*/   OPC_SwitchOpcode /*2 cases */, 24, TARGET_VAL(ISD::XOR),// ->18128
/* 18104*/    OPC_RecordChild0, // #1 = $cond
/* 18105*/    OPC_MoveChild0,
/* 18106*/    OPC_CheckPredicate, 8, // Predicate_bool_node
/* 18108*/    OPC_MoveParent,
/* 18109*/    OPC_CheckChild1Integer, 2, 
/* 18111*/    OPC_CheckType, MVT::i32,
/* 18113*/    OPC_MoveParent,
/* 18114*/    OPC_RecordChild2, // #2 = $dst
/* 18115*/    OPC_MoveChild2,
/* 18116*/    OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 18119*/    OPC_MoveParent,
/* 18120*/    OPC_EmitMergeInputChains1_0,
/* 18121*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_UNLESS), 0|OPFL_Chain,
                  2/*#Ops*/, 2, 1, 
              // Src: (brcond (xor:{ *:[i32] } I32:{ *:[i32] }<<P:Predicate_bool_node>>:$cond, 1:{ *:[i32] }), (bb:{ *:[Other] }):$dst) - Complexity = 12
              // Dst: (BR_UNLESS bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/* 18128*/   /*SwitchOpcode*/ 45, TARGET_VAL(ISD::SETCC),// ->18176
/* 18131*/    OPC_RecordChild0, // #1 = $cond
/* 18132*/    OPC_CheckChild0Type, MVT::i32,
/* 18134*/    OPC_CheckChild1Integer, 0, 
/* 18136*/    OPC_CheckType, MVT::i32,
/* 18138*/    OPC_Scope, 17, /*->18157*/ // 2 children in Scope
/* 18140*/     OPC_CheckChild2CondCode, ISD::SETNE,
/* 18142*/     OPC_MoveParent,
/* 18143*/     OPC_RecordChild2, // #2 = $dst
/* 18144*/     OPC_MoveChild2,
/* 18145*/     OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 18148*/     OPC_MoveParent,
/* 18149*/     OPC_EmitMergeInputChains1_0,
/* 18150*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_IF), 0|OPFL_Chain,
                   2/*#Ops*/, 2, 1, 
               // Src: (brcond (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$dst) - Complexity = 11
               // Dst: (BR_IF bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/* 18157*/    /*Scope*/ 17, /*->18175*/
/* 18158*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/* 18160*/     OPC_MoveParent,
/* 18161*/     OPC_RecordChild2, // #2 = $dst
/* 18162*/     OPC_MoveChild2,
/* 18163*/     OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 18166*/     OPC_MoveParent,
/* 18167*/     OPC_EmitMergeInputChains1_0,
/* 18168*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_UNLESS), 0|OPFL_Chain,
                   2/*#Ops*/, 2, 1, 
               // Src: (brcond (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$dst) - Complexity = 11
               // Dst: (BR_UNLESS bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/* 18175*/    0, /*End of Scope*/
/* 18176*/   0, // EndSwitchOpcode
/* 18177*/  /*Scope*/ 17, /*->18195*/
/* 18178*/   OPC_RecordChild1, // #1 = $cond
/* 18179*/   OPC_CheckChild1Type, MVT::i32,
/* 18181*/   OPC_RecordChild2, // #2 = $dst
/* 18182*/   OPC_MoveChild2,
/* 18183*/   OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 18186*/   OPC_MoveParent,
/* 18187*/   OPC_EmitMergeInputChains1_0,
/* 18188*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_IF), 0|OPFL_Chain,
                 2/*#Ops*/, 2, 1, 
             // Src: (brcond I32:{ *:[i32] }:$cond, (bb:{ *:[Other] }):$dst) - Complexity = 3
             // Dst: (BR_IF (bb:{ *:[Other] }):$dst, I32:{ *:[i32] }:$cond)
/* 18195*/  0, /*End of Scope*/
/* 18196*/ /*SwitchOpcode*/ 56|128,38/*4920*/, TARGET_VAL(ISD::STORE),// ->23120
/* 18200*/  OPC_RecordMemRef,
/* 18201*/  OPC_RecordNode, // #0 = 'st' chained node
/* 18202*/  OPC_Scope, 63|128,2/*319*/, /*->18524*/ // 2 children in Scope
/* 18205*/   OPC_MoveChild1,
/* 18206*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 18209*/   OPC_RecordChild0, // #1 = $vec
/* 18210*/   OPC_Scope, 79, /*->18291*/ // 4 children in Scope
/* 18212*/    OPC_CheckChild0Type, MVT::v16i8,
/* 18214*/    OPC_RecordChild1, // #2 = $idx
/* 18215*/    OPC_MoveChild1,
/* 18216*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18219*/    OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 18221*/    OPC_CheckType, MVT::i32,
/* 18223*/    OPC_MoveParent,
/* 18224*/    OPC_CheckType, MVT::i32,
/* 18226*/    OPC_MoveParent,
/* 18227*/    OPC_RecordChild2, // #3 = $addr
/* 18228*/    OPC_Scope, 29, /*->18259*/ // 2 children in Scope
/* 18230*/     OPC_CheckChild2Type, MVT::i32,
/* 18232*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18234*/     OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18236*/     OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18238*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18240*/     OPC_EmitMergeInputChains1_0,
/* 18241*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18244*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18247*/     OPC_EmitConvertToTarget, 2,
/* 18249*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I8x16_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 12
               // Dst: (STORE_LANE_I8x16_A32 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 18259*/    /*Scope*/ 30, /*->18290*/
/* 18260*/     OPC_CheckChild2Type, MVT::i64,
/* 18262*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18264*/     OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18266*/     OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18268*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18270*/     OPC_EmitMergeInputChains1_0,
/* 18271*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18274*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18277*/     OPC_EmitConvertToTarget, 2,
/* 18279*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::STORE_LANE_I8x16_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 12
               // Dst: (STORE_LANE_I8x16_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 18290*/    0, /*End of Scope*/
/* 18291*/   /*Scope*/ 79, /*->18371*/
/* 18292*/    OPC_CheckChild0Type, MVT::v8i16,
/* 18294*/    OPC_RecordChild1, // #2 = $idx
/* 18295*/    OPC_MoveChild1,
/* 18296*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18299*/    OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 18301*/    OPC_CheckType, MVT::i32,
/* 18303*/    OPC_MoveParent,
/* 18304*/    OPC_CheckType, MVT::i32,
/* 18306*/    OPC_MoveParent,
/* 18307*/    OPC_RecordChild2, // #3 = $addr
/* 18308*/    OPC_Scope, 29, /*->18339*/ // 2 children in Scope
/* 18310*/     OPC_CheckChild2Type, MVT::i32,
/* 18312*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18314*/     OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18316*/     OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18318*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18320*/     OPC_EmitMergeInputChains1_0,
/* 18321*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18324*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18327*/     OPC_EmitConvertToTarget, 2,
/* 18329*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 12
               // Dst: (STORE_LANE_I16x8_A32 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 18339*/    /*Scope*/ 30, /*->18370*/
/* 18340*/     OPC_CheckChild2Type, MVT::i64,
/* 18342*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18344*/     OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18346*/     OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18348*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18350*/     OPC_EmitMergeInputChains1_0,
/* 18351*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18354*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18357*/     OPC_EmitConvertToTarget, 2,
/* 18359*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::STORE_LANE_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 12
               // Dst: (STORE_LANE_I16x8_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 18370*/    0, /*End of Scope*/
/* 18371*/   /*Scope*/ 75, /*->18447*/
/* 18372*/    OPC_CheckChild0Type, MVT::v4i32,
/* 18374*/    OPC_RecordChild1, // #2 = $idx
/* 18375*/    OPC_MoveChild1,
/* 18376*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18379*/    OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 18381*/    OPC_CheckType, MVT::i32,
/* 18383*/    OPC_MoveParent,
/* 18384*/    OPC_CheckType, MVT::i32,
/* 18386*/    OPC_MoveParent,
/* 18387*/    OPC_RecordChild2, // #3 = $addr
/* 18388*/    OPC_Scope, 27, /*->18417*/ // 2 children in Scope
/* 18390*/     OPC_CheckChild2Type, MVT::i32,
/* 18392*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18394*/     OPC_CheckPredicate, 14, // Predicate_store
/* 18396*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18398*/     OPC_EmitMergeInputChains1_0,
/* 18399*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18402*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18405*/     OPC_EmitConvertToTarget, 2,
/* 18407*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx), I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 12
               // Dst: (STORE_LANE_I32x4_A32 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 18417*/    /*Scope*/ 28, /*->18446*/
/* 18418*/     OPC_CheckChild2Type, MVT::i64,
/* 18420*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18422*/     OPC_CheckPredicate, 14, // Predicate_store
/* 18424*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18426*/     OPC_EmitMergeInputChains1_0,
/* 18427*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18430*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18433*/     OPC_EmitConvertToTarget, 2,
/* 18435*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::STORE_LANE_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx), I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 12
               // Dst: (STORE_LANE_I32x4_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 18446*/    0, /*End of Scope*/
/* 18447*/   /*Scope*/ 75, /*->18523*/
/* 18448*/    OPC_CheckChild0Type, MVT::v2i64,
/* 18450*/    OPC_RecordChild1, // #2 = $idx
/* 18451*/    OPC_MoveChild1,
/* 18452*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18455*/    OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 18457*/    OPC_CheckType, MVT::i32,
/* 18459*/    OPC_MoveParent,
/* 18460*/    OPC_CheckType, MVT::i64,
/* 18462*/    OPC_MoveParent,
/* 18463*/    OPC_RecordChild2, // #3 = $addr
/* 18464*/    OPC_Scope, 27, /*->18493*/ // 2 children in Scope
/* 18466*/     OPC_CheckChild2Type, MVT::i32,
/* 18468*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18470*/     OPC_CheckPredicate, 14, // Predicate_store
/* 18472*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18474*/     OPC_EmitMergeInputChains1_0,
/* 18475*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18478*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18481*/     OPC_EmitConvertToTarget, 2,
/* 18483*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx), I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 12
               // Dst: (STORE_LANE_I64x2_A32 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 18493*/    /*Scope*/ 28, /*->18522*/
/* 18494*/     OPC_CheckChild2Type, MVT::i64,
/* 18496*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18498*/     OPC_CheckPredicate, 14, // Predicate_store
/* 18500*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18502*/     OPC_EmitMergeInputChains1_0,
/* 18503*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18506*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18509*/     OPC_EmitConvertToTarget, 2,
/* 18511*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::STORE_LANE_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx), I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 12
               // Dst: (STORE_LANE_I64x2_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 18522*/    0, /*End of Scope*/
/* 18523*/   0, /*End of Scope*/
/* 18524*/  /*Scope*/ 113|128,35/*4593*/, /*->23119*/
/* 18526*/   OPC_RecordChild1, // #1 = $val
/* 18527*/   OPC_Scope, 104|128,6/*872*/, /*->19402*/ // 10 children in Scope
/* 18530*/    OPC_CheckChild1Type, MVT::i32,
/* 18532*/    OPC_Scope, 0|128,4/*512*/, /*->19047*/ // 2 children in Scope
/* 18535*/     OPC_MoveChild2,
/* 18536*/     OPC_SwitchOpcode /*3 cases */, 27|128,1/*155*/, TARGET_VAL(ISD::ADD),// ->18696
/* 18541*/      OPC_RecordChild0, // #2 = $addr
/* 18542*/      OPC_RecordChild1, // #3 = $off
/* 18543*/      OPC_MoveChild1,
/* 18544*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18547*/      OPC_MoveParent,
/* 18548*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 18550*/      OPC_SwitchType /*2 cases */, 70, MVT::i32,// ->18623
/* 18553*/       OPC_MoveParent,
/* 18554*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18556*/       OPC_Scope, 19, /*->18577*/ // 2 children in Scope
/* 18558*/        OPC_CheckPredicate, 14, // Predicate_store
/* 18560*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18562*/        OPC_EmitMergeInputChains1_0,
/* 18563*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18566*/        OPC_EmitConvertToTarget, 3,
/* 18568*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18577*/       /*Scope*/ 44, /*->18622*/
/* 18578*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18580*/        OPC_Scope, 19, /*->18601*/ // 2 children in Scope
/* 18582*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18584*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18586*/         OPC_EmitMergeInputChains1_0,
/* 18587*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18590*/         OPC_EmitConvertToTarget, 3,
/* 18592*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18601*/        /*Scope*/ 19, /*->18621*/
/* 18602*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18604*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18606*/         OPC_EmitMergeInputChains1_0,
/* 18607*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18610*/         OPC_EmitConvertToTarget, 3,
/* 18612*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18621*/        0, /*End of Scope*/
/* 18622*/       0, /*End of Scope*/
/* 18623*/      /*SwitchType*/ 70, MVT::i64,// ->18695
/* 18625*/       OPC_MoveParent,
/* 18626*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18628*/       OPC_Scope, 19, /*->18649*/ // 2 children in Scope
/* 18630*/        OPC_CheckPredicate, 14, // Predicate_store
/* 18632*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18634*/        OPC_EmitMergeInputChains1_0,
/* 18635*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18638*/        OPC_EmitConvertToTarget, 3,
/* 18640*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18649*/       /*Scope*/ 44, /*->18694*/
/* 18650*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18652*/        OPC_Scope, 19, /*->18673*/ // 2 children in Scope
/* 18654*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18656*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18658*/         OPC_EmitMergeInputChains1_0,
/* 18659*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18662*/         OPC_EmitConvertToTarget, 3,
/* 18664*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18673*/        /*Scope*/ 19, /*->18693*/
/* 18674*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18676*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18678*/         OPC_EmitMergeInputChains1_0,
/* 18679*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18682*/         OPC_EmitConvertToTarget, 3,
/* 18684*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18693*/        0, /*End of Scope*/
/* 18694*/       0, /*End of Scope*/
/* 18695*/      0, // EndSwitchType
/* 18696*/     /*SwitchOpcode*/ 27|128,1/*155*/, TARGET_VAL(ISD::OR),// ->18855
/* 18700*/      OPC_RecordChild0, // #2 = $addr
/* 18701*/      OPC_RecordChild1, // #3 = $off
/* 18702*/      OPC_MoveChild1,
/* 18703*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18706*/      OPC_MoveParent,
/* 18707*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 18709*/      OPC_SwitchType /*2 cases */, 70, MVT::i32,// ->18782
/* 18712*/       OPC_MoveParent,
/* 18713*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18715*/       OPC_Scope, 19, /*->18736*/ // 2 children in Scope
/* 18717*/        OPC_CheckPredicate, 14, // Predicate_store
/* 18719*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18721*/        OPC_EmitMergeInputChains1_0,
/* 18722*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18725*/        OPC_EmitConvertToTarget, 3,
/* 18727*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18736*/       /*Scope*/ 44, /*->18781*/
/* 18737*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18739*/        OPC_Scope, 19, /*->18760*/ // 2 children in Scope
/* 18741*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18743*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18745*/         OPC_EmitMergeInputChains1_0,
/* 18746*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18749*/         OPC_EmitConvertToTarget, 3,
/* 18751*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18760*/        /*Scope*/ 19, /*->18780*/
/* 18761*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18763*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18765*/         OPC_EmitMergeInputChains1_0,
/* 18766*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18769*/         OPC_EmitConvertToTarget, 3,
/* 18771*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18780*/        0, /*End of Scope*/
/* 18781*/       0, /*End of Scope*/
/* 18782*/      /*SwitchType*/ 70, MVT::i64,// ->18854
/* 18784*/       OPC_MoveParent,
/* 18785*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18787*/       OPC_Scope, 19, /*->18808*/ // 2 children in Scope
/* 18789*/        OPC_CheckPredicate, 14, // Predicate_store
/* 18791*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18793*/        OPC_EmitMergeInputChains1_0,
/* 18794*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18797*/        OPC_EmitConvertToTarget, 3,
/* 18799*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18808*/       /*Scope*/ 44, /*->18853*/
/* 18809*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18811*/        OPC_Scope, 19, /*->18832*/ // 2 children in Scope
/* 18813*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18815*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18817*/         OPC_EmitMergeInputChains1_0,
/* 18818*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18821*/         OPC_EmitConvertToTarget, 3,
/* 18823*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18832*/        /*Scope*/ 19, /*->18852*/
/* 18833*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18835*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18837*/         OPC_EmitMergeInputChains1_0,
/* 18838*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18841*/         OPC_EmitConvertToTarget, 3,
/* 18843*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18852*/        0, /*End of Scope*/
/* 18853*/       0, /*End of Scope*/
/* 18854*/      0, // EndSwitchType
/* 18855*/     /*SwitchOpcode*/ 59|128,1/*187*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->19046
/* 18859*/      OPC_RecordChild0, // #2 = $off
/* 18860*/      OPC_MoveChild0,
/* 18861*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 18864*/      OPC_MoveParent,
/* 18865*/      OPC_MoveParent,
/* 18866*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18868*/      OPC_Scope, 56, /*->18926*/ // 2 children in Scope
/* 18870*/       OPC_CheckPredicate, 14, // Predicate_store
/* 18872*/       OPC_Scope, 25, /*->18899*/ // 2 children in Scope
/* 18874*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18876*/        OPC_EmitMergeInputChains1_0,
/* 18877*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18880*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18883*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 18890*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 2, 5, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                  // Dst: (STORE_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 18899*/       /*Scope*/ 25, /*->18925*/
/* 18900*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18902*/        OPC_EmitMergeInputChains1_0,
/* 18903*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18906*/        OPC_EmitInteger, MVT::i64, 0, 
/* 18909*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 18916*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 2, 5, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                  // Dst: (STORE_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 18925*/       0, /*End of Scope*/
/* 18926*/      /*Scope*/ 118, /*->19045*/
/* 18927*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18929*/       OPC_Scope, 56, /*->18987*/ // 2 children in Scope
/* 18931*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18933*/        OPC_Scope, 25, /*->18960*/ // 2 children in Scope
/* 18935*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18937*/         OPC_EmitMergeInputChains1_0,
/* 18938*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18941*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18944*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 18951*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 10
                   // Dst: (STORE8_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 18960*/        /*Scope*/ 25, /*->18986*/
/* 18961*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18963*/         OPC_EmitMergeInputChains1_0,
/* 18964*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18967*/         OPC_EmitInteger, MVT::i64, 0, 
/* 18970*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 18977*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 10
                   // Dst: (STORE8_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 18986*/        0, /*End of Scope*/
/* 18987*/       /*Scope*/ 56, /*->19044*/
/* 18988*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18990*/        OPC_Scope, 25, /*->19017*/ // 2 children in Scope
/* 18992*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18994*/         OPC_EmitMergeInputChains1_0,
/* 18995*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18998*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19001*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 19008*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 10
                   // Dst: (STORE16_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 19017*/        /*Scope*/ 25, /*->19043*/
/* 19018*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19020*/         OPC_EmitMergeInputChains1_0,
/* 19021*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19024*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19027*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 19034*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 10
                   // Dst: (STORE16_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 19043*/        0, /*End of Scope*/
/* 19044*/       0, /*End of Scope*/
/* 19045*/      0, /*End of Scope*/
/* 19046*/     0, // EndSwitchOpcode
/* 19047*/    /*Scope*/ 96|128,2/*352*/, /*->19401*/
/* 19049*/     OPC_RecordChild2, // #2 = $off
/* 19050*/     OPC_Scope, 69|128,1/*197*/, /*->19250*/ // 3 children in Scope
/* 19053*/      OPC_MoveChild2,
/* 19054*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19057*/      OPC_MoveParent,
/* 19058*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19060*/      OPC_Scope, 60, /*->19122*/ // 2 children in Scope
/* 19062*/       OPC_CheckPredicate, 14, // Predicate_store
/* 19064*/       OPC_Scope, 27, /*->19093*/ // 2 children in Scope
/* 19066*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19068*/        OPC_EmitMergeInputChains1_0,
/* 19069*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19072*/        OPC_EmitConvertToTarget, 2,
/* 19074*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19077*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 19084*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 6, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                  // Dst: (STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 19093*/       /*Scope*/ 27, /*->19121*/
/* 19094*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19096*/        OPC_EmitMergeInputChains1_0,
/* 19097*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19100*/        OPC_EmitConvertToTarget, 2,
/* 19102*/        OPC_EmitInteger, MVT::i64, 0, 
/* 19105*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 19112*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 6, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                  // Dst: (STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 19121*/       0, /*End of Scope*/
/* 19122*/      /*Scope*/ 126, /*->19249*/
/* 19123*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19125*/       OPC_Scope, 60, /*->19187*/ // 2 children in Scope
/* 19127*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19129*/        OPC_Scope, 27, /*->19158*/ // 2 children in Scope
/* 19131*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19133*/         OPC_EmitMergeInputChains1_0,
/* 19134*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19137*/         OPC_EmitConvertToTarget, 2,
/* 19139*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19142*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 19149*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 7
                   // Dst: (STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 19158*/        /*Scope*/ 27, /*->19186*/
/* 19159*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19161*/         OPC_EmitMergeInputChains1_0,
/* 19162*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19165*/         OPC_EmitConvertToTarget, 2,
/* 19167*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19170*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 19177*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 7
                   // Dst: (STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 19186*/        0, /*End of Scope*/
/* 19187*/       /*Scope*/ 60, /*->19248*/
/* 19188*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19190*/        OPC_Scope, 27, /*->19219*/ // 2 children in Scope
/* 19192*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19194*/         OPC_EmitMergeInputChains1_0,
/* 19195*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19198*/         OPC_EmitConvertToTarget, 2,
/* 19200*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19203*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 19210*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 7
                   // Dst: (STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 19219*/        /*Scope*/ 27, /*->19247*/
/* 19220*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19222*/         OPC_EmitMergeInputChains1_0,
/* 19223*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19226*/         OPC_EmitConvertToTarget, 2,
/* 19228*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19231*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 19238*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 7
                   // Dst: (STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 19247*/        0, /*End of Scope*/
/* 19248*/       0, /*End of Scope*/
/* 19249*/      0, /*End of Scope*/
/* 19250*/     /*Scope*/ 74, /*->19325*/
/* 19251*/      OPC_CheckChild2Type, MVT::i32,
/* 19253*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19255*/      OPC_Scope, 20, /*->19277*/ // 2 children in Scope
/* 19257*/       OPC_CheckPredicate, 14, // Predicate_store
/* 19259*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19261*/       OPC_EmitMergeInputChains1_0,
/* 19262*/       OPC_EmitInteger, MVT::i32, 0, 
/* 19265*/       OPC_EmitInteger, MVT::i32, 0, 
/* 19268*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 2, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                 // Dst: (STORE_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 19277*/      /*Scope*/ 46, /*->19324*/
/* 19278*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19280*/       OPC_Scope, 20, /*->19302*/ // 2 children in Scope
/* 19282*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19284*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19286*/        OPC_EmitMergeInputChains1_0,
/* 19287*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19290*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19293*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 4
                  // Dst: (STORE8_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 19302*/       /*Scope*/ 20, /*->19323*/
/* 19303*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19305*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19307*/        OPC_EmitMergeInputChains1_0,
/* 19308*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19311*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19314*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 4
                  // Dst: (STORE16_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 19323*/       0, /*End of Scope*/
/* 19324*/      0, /*End of Scope*/
/* 19325*/     /*Scope*/ 74, /*->19400*/
/* 19326*/      OPC_CheckChild2Type, MVT::i64,
/* 19328*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19330*/      OPC_Scope, 20, /*->19352*/ // 2 children in Scope
/* 19332*/       OPC_CheckPredicate, 14, // Predicate_store
/* 19334*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19336*/       OPC_EmitMergeInputChains1_0,
/* 19337*/       OPC_EmitInteger, MVT::i32, 0, 
/* 19340*/       OPC_EmitInteger, MVT::i64, 0, 
/* 19343*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 2, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                 // Dst: (STORE_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 19352*/      /*Scope*/ 46, /*->19399*/
/* 19353*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19355*/       OPC_Scope, 20, /*->19377*/ // 2 children in Scope
/* 19357*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19359*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19361*/        OPC_EmitMergeInputChains1_0,
/* 19362*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19365*/        OPC_EmitInteger, MVT::i64, 0, 
/* 19368*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 4
                  // Dst: (STORE8_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 19377*/       /*Scope*/ 20, /*->19398*/
/* 19378*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19380*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19382*/        OPC_EmitMergeInputChains1_0,
/* 19383*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19386*/        OPC_EmitInteger, MVT::i64, 0, 
/* 19389*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 4
                  // Dst: (STORE16_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 19398*/       0, /*End of Scope*/
/* 19399*/      0, /*End of Scope*/
/* 19400*/     0, /*End of Scope*/
/* 19401*/    0, /*End of Scope*/
/* 19402*/   /*Scope*/ 90|128,8/*1114*/, /*->20518*/
/* 19404*/    OPC_CheckChild1Type, MVT::i64,
/* 19406*/    OPC_Scope, 10|128,5/*650*/, /*->20059*/ // 2 children in Scope
/* 19409*/     OPC_MoveChild2,
/* 19410*/     OPC_SwitchOpcode /*3 cases */, 67|128,1/*195*/, TARGET_VAL(ISD::ADD),// ->19610
/* 19415*/      OPC_RecordChild0, // #2 = $addr
/* 19416*/      OPC_RecordChild1, // #3 = $off
/* 19417*/      OPC_MoveChild1,
/* 19418*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19421*/      OPC_MoveParent,
/* 19422*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 19424*/      OPC_SwitchType /*2 cases */, 90, MVT::i32,// ->19517
/* 19427*/       OPC_MoveParent,
/* 19428*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19430*/       OPC_Scope, 19, /*->19451*/ // 2 children in Scope
/* 19432*/        OPC_CheckPredicate, 14, // Predicate_store
/* 19434*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19436*/        OPC_EmitMergeInputChains1_0,
/* 19437*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19440*/        OPC_EmitConvertToTarget, 3,
/* 19442*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19451*/       /*Scope*/ 64, /*->19516*/
/* 19452*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19454*/        OPC_Scope, 19, /*->19475*/ // 3 children in Scope
/* 19456*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19458*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19460*/         OPC_EmitMergeInputChains1_0,
/* 19461*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19464*/         OPC_EmitConvertToTarget, 3,
/* 19466*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19475*/        /*Scope*/ 19, /*->19495*/
/* 19476*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19478*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19480*/         OPC_EmitMergeInputChains1_0,
/* 19481*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19484*/         OPC_EmitConvertToTarget, 3,
/* 19486*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19495*/        /*Scope*/ 19, /*->19515*/
/* 19496*/         OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19498*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19500*/         OPC_EmitMergeInputChains1_0,
/* 19501*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19504*/         OPC_EmitConvertToTarget, 3,
/* 19506*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 11
                   // Dst: (STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19515*/        0, /*End of Scope*/
/* 19516*/       0, /*End of Scope*/
/* 19517*/      /*SwitchType*/ 90, MVT::i64,// ->19609
/* 19519*/       OPC_MoveParent,
/* 19520*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19522*/       OPC_Scope, 19, /*->19543*/ // 2 children in Scope
/* 19524*/        OPC_CheckPredicate, 14, // Predicate_store
/* 19526*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19528*/        OPC_EmitMergeInputChains1_0,
/* 19529*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19532*/        OPC_EmitConvertToTarget, 3,
/* 19534*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19543*/       /*Scope*/ 64, /*->19608*/
/* 19544*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19546*/        OPC_Scope, 19, /*->19567*/ // 3 children in Scope
/* 19548*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19550*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19552*/         OPC_EmitMergeInputChains1_0,
/* 19553*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19556*/         OPC_EmitConvertToTarget, 3,
/* 19558*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19567*/        /*Scope*/ 19, /*->19587*/
/* 19568*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19570*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19572*/         OPC_EmitMergeInputChains1_0,
/* 19573*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19576*/         OPC_EmitConvertToTarget, 3,
/* 19578*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19587*/        /*Scope*/ 19, /*->19607*/
/* 19588*/         OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19590*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19592*/         OPC_EmitMergeInputChains1_0,
/* 19593*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19596*/         OPC_EmitConvertToTarget, 3,
/* 19598*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 11
                   // Dst: (STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19607*/        0, /*End of Scope*/
/* 19608*/       0, /*End of Scope*/
/* 19609*/      0, // EndSwitchType
/* 19610*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(ISD::OR),// ->19809
/* 19614*/      OPC_RecordChild0, // #2 = $addr
/* 19615*/      OPC_RecordChild1, // #3 = $off
/* 19616*/      OPC_MoveChild1,
/* 19617*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19620*/      OPC_MoveParent,
/* 19621*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 19623*/      OPC_SwitchType /*2 cases */, 90, MVT::i32,// ->19716
/* 19626*/       OPC_MoveParent,
/* 19627*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19629*/       OPC_Scope, 19, /*->19650*/ // 2 children in Scope
/* 19631*/        OPC_CheckPredicate, 14, // Predicate_store
/* 19633*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19635*/        OPC_EmitMergeInputChains1_0,
/* 19636*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19639*/        OPC_EmitConvertToTarget, 3,
/* 19641*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19650*/       /*Scope*/ 64, /*->19715*/
/* 19651*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19653*/        OPC_Scope, 19, /*->19674*/ // 3 children in Scope
/* 19655*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19657*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19659*/         OPC_EmitMergeInputChains1_0,
/* 19660*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19663*/         OPC_EmitConvertToTarget, 3,
/* 19665*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19674*/        /*Scope*/ 19, /*->19694*/
/* 19675*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19677*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19679*/         OPC_EmitMergeInputChains1_0,
/* 19680*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19683*/         OPC_EmitConvertToTarget, 3,
/* 19685*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19694*/        /*Scope*/ 19, /*->19714*/
/* 19695*/         OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19697*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19699*/         OPC_EmitMergeInputChains1_0,
/* 19700*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19703*/         OPC_EmitConvertToTarget, 3,
/* 19705*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 11
                   // Dst: (STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19714*/        0, /*End of Scope*/
/* 19715*/       0, /*End of Scope*/
/* 19716*/      /*SwitchType*/ 90, MVT::i64,// ->19808
/* 19718*/       OPC_MoveParent,
/* 19719*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19721*/       OPC_Scope, 19, /*->19742*/ // 2 children in Scope
/* 19723*/        OPC_CheckPredicate, 14, // Predicate_store
/* 19725*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19727*/        OPC_EmitMergeInputChains1_0,
/* 19728*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19731*/        OPC_EmitConvertToTarget, 3,
/* 19733*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19742*/       /*Scope*/ 64, /*->19807*/
/* 19743*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19745*/        OPC_Scope, 19, /*->19766*/ // 3 children in Scope
/* 19747*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19749*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19751*/         OPC_EmitMergeInputChains1_0,
/* 19752*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19755*/         OPC_EmitConvertToTarget, 3,
/* 19757*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19766*/        /*Scope*/ 19, /*->19786*/
/* 19767*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19769*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19771*/         OPC_EmitMergeInputChains1_0,
/* 19772*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19775*/         OPC_EmitConvertToTarget, 3,
/* 19777*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19786*/        /*Scope*/ 19, /*->19806*/
/* 19787*/         OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19789*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19791*/         OPC_EmitMergeInputChains1_0,
/* 19792*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19795*/         OPC_EmitConvertToTarget, 3,
/* 19797*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 11
                   // Dst: (STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19806*/        0, /*End of Scope*/
/* 19807*/       0, /*End of Scope*/
/* 19808*/      0, // EndSwitchType
/* 19809*/     /*SwitchOpcode*/ 117|128,1/*245*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->20058
/* 19813*/      OPC_RecordChild0, // #2 = $off
/* 19814*/      OPC_MoveChild0,
/* 19815*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 19818*/      OPC_MoveParent,
/* 19819*/      OPC_MoveParent,
/* 19820*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19822*/      OPC_Scope, 56, /*->19880*/ // 2 children in Scope
/* 19824*/       OPC_CheckPredicate, 14, // Predicate_store
/* 19826*/       OPC_Scope, 25, /*->19853*/ // 2 children in Scope
/* 19828*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19830*/        OPC_EmitMergeInputChains1_0,
/* 19831*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19834*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19837*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 19844*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 2, 5, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                  // Dst: (STORE_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19853*/       /*Scope*/ 25, /*->19879*/
/* 19854*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19856*/        OPC_EmitMergeInputChains1_0,
/* 19857*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19860*/        OPC_EmitInteger, MVT::i64, 0, 
/* 19863*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 19870*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 2, 5, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                  // Dst: (STORE_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19879*/       0, /*End of Scope*/
/* 19880*/      /*Scope*/ 47|128,1/*175*/, /*->20057*/
/* 19882*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19884*/       OPC_Scope, 56, /*->19942*/ // 3 children in Scope
/* 19886*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19888*/        OPC_Scope, 25, /*->19915*/ // 2 children in Scope
/* 19890*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19892*/         OPC_EmitMergeInputChains1_0,
/* 19893*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19896*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19899*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 19906*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 10
                   // Dst: (STORE8_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19915*/        /*Scope*/ 25, /*->19941*/
/* 19916*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19918*/         OPC_EmitMergeInputChains1_0,
/* 19919*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19922*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19925*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 19932*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 10
                   // Dst: (STORE8_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19941*/        0, /*End of Scope*/
/* 19942*/       /*Scope*/ 56, /*->19999*/
/* 19943*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19945*/        OPC_Scope, 25, /*->19972*/ // 2 children in Scope
/* 19947*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19949*/         OPC_EmitMergeInputChains1_0,
/* 19950*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19953*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19956*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 19963*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 10
                   // Dst: (STORE16_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19972*/        /*Scope*/ 25, /*->19998*/
/* 19973*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19975*/         OPC_EmitMergeInputChains1_0,
/* 19976*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19979*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19982*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 19989*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 10
                   // Dst: (STORE16_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19998*/        0, /*End of Scope*/
/* 19999*/       /*Scope*/ 56, /*->20056*/
/* 20000*/        OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 20002*/        OPC_Scope, 25, /*->20029*/ // 2 children in Scope
/* 20004*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20006*/         OPC_EmitMergeInputChains1_0,
/* 20007*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20010*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20013*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 20020*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 10
                   // Dst: (STORE32_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 20029*/        /*Scope*/ 25, /*->20055*/
/* 20030*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20032*/         OPC_EmitMergeInputChains1_0,
/* 20033*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20036*/         OPC_EmitInteger, MVT::i64, 0, 
/* 20039*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 20046*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 10
                   // Dst: (STORE32_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 20055*/        0, /*End of Scope*/
/* 20056*/       0, /*End of Scope*/
/* 20057*/      0, /*End of Scope*/
/* 20058*/     0, // EndSwitchOpcode
/* 20059*/    /*Scope*/ 72|128,3/*456*/, /*->20517*/
/* 20061*/     OPC_RecordChild2, // #2 = $off
/* 20062*/     OPC_Scope, 3|128,2/*259*/, /*->20324*/ // 3 children in Scope
/* 20065*/      OPC_MoveChild2,
/* 20066*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20069*/      OPC_MoveParent,
/* 20070*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20072*/      OPC_Scope, 60, /*->20134*/ // 2 children in Scope
/* 20074*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20076*/       OPC_Scope, 27, /*->20105*/ // 2 children in Scope
/* 20078*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20080*/        OPC_EmitMergeInputChains1_0,
/* 20081*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20084*/        OPC_EmitConvertToTarget, 2,
/* 20086*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20089*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 20096*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 6, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                  // Dst: (STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 20105*/       /*Scope*/ 27, /*->20133*/
/* 20106*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20108*/        OPC_EmitMergeInputChains1_0,
/* 20109*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20112*/        OPC_EmitConvertToTarget, 2,
/* 20114*/        OPC_EmitInteger, MVT::i64, 0, 
/* 20117*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20124*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 6, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                  // Dst: (STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 20133*/       0, /*End of Scope*/
/* 20134*/      /*Scope*/ 59|128,1/*187*/, /*->20323*/
/* 20136*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 20138*/       OPC_Scope, 60, /*->20200*/ // 3 children in Scope
/* 20140*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 20142*/        OPC_Scope, 27, /*->20171*/ // 2 children in Scope
/* 20144*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20146*/         OPC_EmitMergeInputChains1_0,
/* 20147*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20150*/         OPC_EmitConvertToTarget, 2,
/* 20152*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20155*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 20162*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 7
                   // Dst: (STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 20171*/        /*Scope*/ 27, /*->20199*/
/* 20172*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20174*/         OPC_EmitMergeInputChains1_0,
/* 20175*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20178*/         OPC_EmitConvertToTarget, 2,
/* 20180*/         OPC_EmitInteger, MVT::i64, 0, 
/* 20183*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20190*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 7
                   // Dst: (STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 20199*/        0, /*End of Scope*/
/* 20200*/       /*Scope*/ 60, /*->20261*/
/* 20201*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 20203*/        OPC_Scope, 27, /*->20232*/ // 2 children in Scope
/* 20205*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20207*/         OPC_EmitMergeInputChains1_0,
/* 20208*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20211*/         OPC_EmitConvertToTarget, 2,
/* 20213*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20216*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 20223*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 7
                   // Dst: (STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 20232*/        /*Scope*/ 27, /*->20260*/
/* 20233*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20235*/         OPC_EmitMergeInputChains1_0,
/* 20236*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20239*/         OPC_EmitConvertToTarget, 2,
/* 20241*/         OPC_EmitInteger, MVT::i64, 0, 
/* 20244*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20251*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 7
                   // Dst: (STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 20260*/        0, /*End of Scope*/
/* 20261*/       /*Scope*/ 60, /*->20322*/
/* 20262*/        OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 20264*/        OPC_Scope, 27, /*->20293*/ // 2 children in Scope
/* 20266*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20268*/         OPC_EmitMergeInputChains1_0,
/* 20269*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20272*/         OPC_EmitConvertToTarget, 2,
/* 20274*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20277*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 20284*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 7
                   // Dst: (STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 20293*/        /*Scope*/ 27, /*->20321*/
/* 20294*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20296*/         OPC_EmitMergeInputChains1_0,
/* 20297*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20300*/         OPC_EmitConvertToTarget, 2,
/* 20302*/         OPC_EmitInteger, MVT::i64, 0, 
/* 20305*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20312*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 7
                   // Dst: (STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 20321*/        0, /*End of Scope*/
/* 20322*/       0, /*End of Scope*/
/* 20323*/      0, /*End of Scope*/
/* 20324*/     /*Scope*/ 95, /*->20420*/
/* 20325*/      OPC_CheckChild2Type, MVT::i32,
/* 20327*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20329*/      OPC_Scope, 20, /*->20351*/ // 2 children in Scope
/* 20331*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20333*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20335*/       OPC_EmitMergeInputChains1_0,
/* 20336*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20339*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20342*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 2, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                 // Dst: (STORE_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 20351*/      /*Scope*/ 67, /*->20419*/
/* 20352*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 20354*/       OPC_Scope, 20, /*->20376*/ // 3 children in Scope
/* 20356*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 20358*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20360*/        OPC_EmitMergeInputChains1_0,
/* 20361*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20364*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20367*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 4
                  // Dst: (STORE8_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 20376*/       /*Scope*/ 20, /*->20397*/
/* 20377*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 20379*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20381*/        OPC_EmitMergeInputChains1_0,
/* 20382*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20385*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20388*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 4
                  // Dst: (STORE16_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 20397*/       /*Scope*/ 20, /*->20418*/
/* 20398*/        OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 20400*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20402*/        OPC_EmitMergeInputChains1_0,
/* 20403*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20406*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20409*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 4
                  // Dst: (STORE32_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 20418*/       0, /*End of Scope*/
/* 20419*/      0, /*End of Scope*/
/* 20420*/     /*Scope*/ 95, /*->20516*/
/* 20421*/      OPC_CheckChild2Type, MVT::i64,
/* 20423*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20425*/      OPC_Scope, 20, /*->20447*/ // 2 children in Scope
/* 20427*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20429*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20431*/       OPC_EmitMergeInputChains1_0,
/* 20432*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20435*/       OPC_EmitInteger, MVT::i64, 0, 
/* 20438*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 2, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                 // Dst: (STORE_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 20447*/      /*Scope*/ 67, /*->20515*/
/* 20448*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 20450*/       OPC_Scope, 20, /*->20472*/ // 3 children in Scope
/* 20452*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 20454*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20456*/        OPC_EmitMergeInputChains1_0,
/* 20457*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20460*/        OPC_EmitInteger, MVT::i64, 0, 
/* 20463*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 4
                  // Dst: (STORE8_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 20472*/       /*Scope*/ 20, /*->20493*/
/* 20473*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 20475*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20477*/        OPC_EmitMergeInputChains1_0,
/* 20478*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20481*/        OPC_EmitInteger, MVT::i64, 0, 
/* 20484*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 4
                  // Dst: (STORE16_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 20493*/       /*Scope*/ 20, /*->20514*/
/* 20494*/        OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 20496*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20498*/        OPC_EmitMergeInputChains1_0,
/* 20499*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20502*/        OPC_EmitInteger, MVT::i64, 0, 
/* 20505*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 4
                  // Dst: (STORE32_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 20514*/       0, /*End of Scope*/
/* 20515*/      0, /*End of Scope*/
/* 20516*/     0, /*End of Scope*/
/* 20517*/    0, /*End of Scope*/
/* 20518*/   /*Scope*/ 67|128,2/*323*/, /*->20843*/
/* 20520*/    OPC_CheckChild1Type, MVT::f32,
/* 20522*/    OPC_Scope, 67|128,1/*195*/, /*->20720*/ // 2 children in Scope
/* 20525*/     OPC_MoveChild2,
/* 20526*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->20589
/* 20530*/      OPC_RecordChild0, // #2 = $addr
/* 20531*/      OPC_RecordChild1, // #3 = $off
/* 20532*/      OPC_MoveChild1,
/* 20533*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20536*/      OPC_MoveParent,
/* 20537*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 20539*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20564
/* 20542*/       OPC_MoveParent,
/* 20543*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20545*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20547*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20549*/       OPC_EmitMergeInputChains1_0,
/* 20550*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20553*/       OPC_EmitConvertToTarget, 3,
/* 20555*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/* 20564*/      /*SwitchType*/ 22, MVT::i64,// ->20588
/* 20566*/       OPC_MoveParent,
/* 20567*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20569*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20571*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20573*/       OPC_EmitMergeInputChains1_0,
/* 20574*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20577*/       OPC_EmitConvertToTarget, 3,
/* 20579*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/* 20588*/      0, // EndSwitchType
/* 20589*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->20651
/* 20592*/      OPC_RecordChild0, // #2 = $addr
/* 20593*/      OPC_RecordChild1, // #3 = $off
/* 20594*/      OPC_MoveChild1,
/* 20595*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20598*/      OPC_MoveParent,
/* 20599*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 20601*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20626
/* 20604*/       OPC_MoveParent,
/* 20605*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20607*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20609*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20611*/       OPC_EmitMergeInputChains1_0,
/* 20612*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20615*/       OPC_EmitConvertToTarget, 3,
/* 20617*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/* 20626*/      /*SwitchType*/ 22, MVT::i64,// ->20650
/* 20628*/       OPC_MoveParent,
/* 20629*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20631*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20633*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20635*/       OPC_EmitMergeInputChains1_0,
/* 20636*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20639*/       OPC_EmitConvertToTarget, 3,
/* 20641*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/* 20650*/      0, // EndSwitchType
/* 20651*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->20719
/* 20654*/      OPC_RecordChild0, // #2 = $off
/* 20655*/      OPC_MoveChild0,
/* 20656*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 20659*/      OPC_MoveParent,
/* 20660*/      OPC_MoveParent,
/* 20661*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20663*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20665*/      OPC_Scope, 25, /*->20692*/ // 2 children in Scope
/* 20667*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20669*/       OPC_EmitMergeInputChains1_0,
/* 20670*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20673*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20676*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 20683*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_F32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), f32:{ *:[f32] }:$val)
/* 20692*/      /*Scope*/ 25, /*->20718*/
/* 20693*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20695*/       OPC_EmitMergeInputChains1_0,
/* 20696*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20699*/       OPC_EmitInteger, MVT::i64, 0, 
/* 20702*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 20709*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_F32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), f32:{ *:[f32] }:$val)
/* 20718*/      0, /*End of Scope*/
/* 20719*/     0, // EndSwitchOpcode
/* 20720*/    /*Scope*/ 121, /*->20842*/
/* 20721*/     OPC_RecordChild2, // #2 = $off
/* 20722*/     OPC_Scope, 67, /*->20791*/ // 3 children in Scope
/* 20724*/      OPC_MoveChild2,
/* 20725*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20728*/      OPC_MoveParent,
/* 20729*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20731*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20733*/      OPC_Scope, 27, /*->20762*/ // 2 children in Scope
/* 20735*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20737*/       OPC_EmitMergeInputChains1_0,
/* 20738*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20741*/       OPC_EmitConvertToTarget, 2,
/* 20743*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20746*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 20753*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_F32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), f32:{ *:[f32] }:$val)
/* 20762*/      /*Scope*/ 27, /*->20790*/
/* 20763*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20765*/       OPC_EmitMergeInputChains1_0,
/* 20766*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20769*/       OPC_EmitConvertToTarget, 2,
/* 20771*/       OPC_EmitInteger, MVT::i64, 0, 
/* 20774*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20781*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_F32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), f32:{ *:[f32] }:$val)
/* 20790*/      0, /*End of Scope*/
/* 20791*/     /*Scope*/ 24, /*->20816*/
/* 20792*/      OPC_CheckChild2Type, MVT::i32,
/* 20794*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20796*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20798*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20800*/      OPC_EmitMergeInputChains1_0,
/* 20801*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20804*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20807*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st f32:{ *:[f32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_F32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/* 20816*/     /*Scope*/ 24, /*->20841*/
/* 20817*/      OPC_CheckChild2Type, MVT::i64,
/* 20819*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20821*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20823*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20825*/      OPC_EmitMergeInputChains1_0,
/* 20826*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20829*/      OPC_EmitInteger, MVT::i64, 0, 
/* 20832*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st f32:{ *:[f32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_F32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/* 20841*/     0, /*End of Scope*/
/* 20842*/    0, /*End of Scope*/
/* 20843*/   /*Scope*/ 67|128,2/*323*/, /*->21168*/
/* 20845*/    OPC_CheckChild1Type, MVT::f64,
/* 20847*/    OPC_Scope, 67|128,1/*195*/, /*->21045*/ // 2 children in Scope
/* 20850*/     OPC_MoveChild2,
/* 20851*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->20914
/* 20855*/      OPC_RecordChild0, // #2 = $addr
/* 20856*/      OPC_RecordChild1, // #3 = $off
/* 20857*/      OPC_MoveChild1,
/* 20858*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20861*/      OPC_MoveParent,
/* 20862*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 20864*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20889
/* 20867*/       OPC_MoveParent,
/* 20868*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20870*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20872*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20874*/       OPC_EmitMergeInputChains1_0,
/* 20875*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20878*/       OPC_EmitConvertToTarget, 3,
/* 20880*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, f64:{ *:[f64] }:$val)
/* 20889*/      /*SwitchType*/ 22, MVT::i64,// ->20913
/* 20891*/       OPC_MoveParent,
/* 20892*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20894*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20896*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20898*/       OPC_EmitMergeInputChains1_0,
/* 20899*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20902*/       OPC_EmitConvertToTarget, 3,
/* 20904*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, f64:{ *:[f64] }:$val)
/* 20913*/      0, // EndSwitchType
/* 20914*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->20976
/* 20917*/      OPC_RecordChild0, // #2 = $addr
/* 20918*/      OPC_RecordChild1, // #3 = $off
/* 20919*/      OPC_MoveChild1,
/* 20920*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20923*/      OPC_MoveParent,
/* 20924*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 20926*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20951
/* 20929*/       OPC_MoveParent,
/* 20930*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20932*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20934*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20936*/       OPC_EmitMergeInputChains1_0,
/* 20937*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20940*/       OPC_EmitConvertToTarget, 3,
/* 20942*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, f64:{ *:[f64] }:$val)
/* 20951*/      /*SwitchType*/ 22, MVT::i64,// ->20975
/* 20953*/       OPC_MoveParent,
/* 20954*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20956*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20958*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20960*/       OPC_EmitMergeInputChains1_0,
/* 20961*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20964*/       OPC_EmitConvertToTarget, 3,
/* 20966*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, f64:{ *:[f64] }:$val)
/* 20975*/      0, // EndSwitchType
/* 20976*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->21044
/* 20979*/      OPC_RecordChild0, // #2 = $off
/* 20980*/      OPC_MoveChild0,
/* 20981*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 20984*/      OPC_MoveParent,
/* 20985*/      OPC_MoveParent,
/* 20986*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20988*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20990*/      OPC_Scope, 25, /*->21017*/ // 2 children in Scope
/* 20992*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20994*/       OPC_EmitMergeInputChains1_0,
/* 20995*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20998*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21001*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 21008*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_F64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), f64:{ *:[f64] }:$val)
/* 21017*/      /*Scope*/ 25, /*->21043*/
/* 21018*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21020*/       OPC_EmitMergeInputChains1_0,
/* 21021*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21024*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21027*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 21034*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_F64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), f64:{ *:[f64] }:$val)
/* 21043*/      0, /*End of Scope*/
/* 21044*/     0, // EndSwitchOpcode
/* 21045*/    /*Scope*/ 121, /*->21167*/
/* 21046*/     OPC_RecordChild2, // #2 = $off
/* 21047*/     OPC_Scope, 67, /*->21116*/ // 3 children in Scope
/* 21049*/      OPC_MoveChild2,
/* 21050*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21053*/      OPC_MoveParent,
/* 21054*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21056*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21058*/      OPC_Scope, 27, /*->21087*/ // 2 children in Scope
/* 21060*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21062*/       OPC_EmitMergeInputChains1_0,
/* 21063*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21066*/       OPC_EmitConvertToTarget, 2,
/* 21068*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21071*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 21078*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_F64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), f64:{ *:[f64] }:$val)
/* 21087*/      /*Scope*/ 27, /*->21115*/
/* 21088*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21090*/       OPC_EmitMergeInputChains1_0,
/* 21091*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21094*/       OPC_EmitConvertToTarget, 2,
/* 21096*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21099*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 21106*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_F64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), f64:{ *:[f64] }:$val)
/* 21115*/      0, /*End of Scope*/
/* 21116*/     /*Scope*/ 24, /*->21141*/
/* 21117*/      OPC_CheckChild2Type, MVT::i32,
/* 21119*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21121*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21123*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21125*/      OPC_EmitMergeInputChains1_0,
/* 21126*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21129*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21132*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st f64:{ *:[f64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_F64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, f64:{ *:[f64] }:$val)
/* 21141*/     /*Scope*/ 24, /*->21166*/
/* 21142*/      OPC_CheckChild2Type, MVT::i64,
/* 21144*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21146*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21148*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21150*/      OPC_EmitMergeInputChains1_0,
/* 21151*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21154*/      OPC_EmitInteger, MVT::i64, 0, 
/* 21157*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st f64:{ *:[f64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_F64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, f64:{ *:[f64] }:$val)
/* 21166*/     0, /*End of Scope*/
/* 21167*/    0, /*End of Scope*/
/* 21168*/   /*Scope*/ 67|128,2/*323*/, /*->21493*/
/* 21170*/    OPC_CheckChild1Type, MVT::v16i8,
/* 21172*/    OPC_Scope, 67|128,1/*195*/, /*->21370*/ // 2 children in Scope
/* 21175*/     OPC_MoveChild2,
/* 21176*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->21239
/* 21180*/      OPC_RecordChild0, // #2 = $addr
/* 21181*/      OPC_RecordChild1, // #3 = $off
/* 21182*/      OPC_MoveChild1,
/* 21183*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21186*/      OPC_MoveParent,
/* 21187*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 21189*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21214
/* 21192*/       OPC_MoveParent,
/* 21193*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21195*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21197*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21199*/       OPC_EmitMergeInputChains1_0,
/* 21200*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21203*/       OPC_EmitConvertToTarget, 3,
/* 21205*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21214*/      /*SwitchType*/ 22, MVT::i64,// ->21238
/* 21216*/       OPC_MoveParent,
/* 21217*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21219*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21221*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21223*/       OPC_EmitMergeInputChains1_0,
/* 21224*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21227*/       OPC_EmitConvertToTarget, 3,
/* 21229*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21238*/      0, // EndSwitchType
/* 21239*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->21301
/* 21242*/      OPC_RecordChild0, // #2 = $addr
/* 21243*/      OPC_RecordChild1, // #3 = $off
/* 21244*/      OPC_MoveChild1,
/* 21245*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21248*/      OPC_MoveParent,
/* 21249*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 21251*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21276
/* 21254*/       OPC_MoveParent,
/* 21255*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21257*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21259*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21261*/       OPC_EmitMergeInputChains1_0,
/* 21262*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21265*/       OPC_EmitConvertToTarget, 3,
/* 21267*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21276*/      /*SwitchType*/ 22, MVT::i64,// ->21300
/* 21278*/       OPC_MoveParent,
/* 21279*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21281*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21283*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21285*/       OPC_EmitMergeInputChains1_0,
/* 21286*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21289*/       OPC_EmitConvertToTarget, 3,
/* 21291*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21300*/      0, // EndSwitchType
/* 21301*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->21369
/* 21304*/      OPC_RecordChild0, // #2 = $off
/* 21305*/      OPC_MoveChild0,
/* 21306*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 21309*/      OPC_MoveParent,
/* 21310*/      OPC_MoveParent,
/* 21311*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21313*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21315*/      OPC_Scope, 25, /*->21342*/ // 2 children in Scope
/* 21317*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21319*/       OPC_EmitMergeInputChains1_0,
/* 21320*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21323*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21326*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 21333*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v16i8:{ *:[v16i8] }:$val)
/* 21342*/      /*Scope*/ 25, /*->21368*/
/* 21343*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21345*/       OPC_EmitMergeInputChains1_0,
/* 21346*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21349*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21352*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 21359*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v16i8:{ *:[v16i8] }:$val)
/* 21368*/      0, /*End of Scope*/
/* 21369*/     0, // EndSwitchOpcode
/* 21370*/    /*Scope*/ 121, /*->21492*/
/* 21371*/     OPC_RecordChild2, // #2 = $off
/* 21372*/     OPC_Scope, 67, /*->21441*/ // 3 children in Scope
/* 21374*/      OPC_MoveChild2,
/* 21375*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21378*/      OPC_MoveParent,
/* 21379*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21381*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21383*/      OPC_Scope, 27, /*->21412*/ // 2 children in Scope
/* 21385*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21387*/       OPC_EmitMergeInputChains1_0,
/* 21388*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21391*/       OPC_EmitConvertToTarget, 2,
/* 21393*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21396*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 21403*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v16i8:{ *:[v16i8] }:$val)
/* 21412*/      /*Scope*/ 27, /*->21440*/
/* 21413*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21415*/       OPC_EmitMergeInputChains1_0,
/* 21416*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21419*/       OPC_EmitConvertToTarget, 2,
/* 21421*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21424*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 21431*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v16i8:{ *:[v16i8] }:$val)
/* 21440*/      0, /*End of Scope*/
/* 21441*/     /*Scope*/ 24, /*->21466*/
/* 21442*/      OPC_CheckChild2Type, MVT::i32,
/* 21444*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21446*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21448*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21450*/      OPC_EmitMergeInputChains1_0,
/* 21451*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21454*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21457*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v16i8:{ *:[v16i8] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21466*/     /*Scope*/ 24, /*->21491*/
/* 21467*/      OPC_CheckChild2Type, MVT::i64,
/* 21469*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21471*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21473*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21475*/      OPC_EmitMergeInputChains1_0,
/* 21476*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21479*/      OPC_EmitInteger, MVT::i64, 0, 
/* 21482*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v16i8:{ *:[v16i8] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21491*/     0, /*End of Scope*/
/* 21492*/    0, /*End of Scope*/
/* 21493*/   /*Scope*/ 67|128,2/*323*/, /*->21818*/
/* 21495*/    OPC_CheckChild1Type, MVT::v8i16,
/* 21497*/    OPC_Scope, 67|128,1/*195*/, /*->21695*/ // 2 children in Scope
/* 21500*/     OPC_MoveChild2,
/* 21501*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->21564
/* 21505*/      OPC_RecordChild0, // #2 = $addr
/* 21506*/      OPC_RecordChild1, // #3 = $off
/* 21507*/      OPC_MoveChild1,
/* 21508*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21511*/      OPC_MoveParent,
/* 21512*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 21514*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21539
/* 21517*/       OPC_MoveParent,
/* 21518*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21520*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21522*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21524*/       OPC_EmitMergeInputChains1_0,
/* 21525*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21528*/       OPC_EmitConvertToTarget, 3,
/* 21530*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21539*/      /*SwitchType*/ 22, MVT::i64,// ->21563
/* 21541*/       OPC_MoveParent,
/* 21542*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21544*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21546*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21548*/       OPC_EmitMergeInputChains1_0,
/* 21549*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21552*/       OPC_EmitConvertToTarget, 3,
/* 21554*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21563*/      0, // EndSwitchType
/* 21564*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->21626
/* 21567*/      OPC_RecordChild0, // #2 = $addr
/* 21568*/      OPC_RecordChild1, // #3 = $off
/* 21569*/      OPC_MoveChild1,
/* 21570*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21573*/      OPC_MoveParent,
/* 21574*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 21576*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21601
/* 21579*/       OPC_MoveParent,
/* 21580*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21582*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21584*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21586*/       OPC_EmitMergeInputChains1_0,
/* 21587*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21590*/       OPC_EmitConvertToTarget, 3,
/* 21592*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21601*/      /*SwitchType*/ 22, MVT::i64,// ->21625
/* 21603*/       OPC_MoveParent,
/* 21604*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21606*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21608*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21610*/       OPC_EmitMergeInputChains1_0,
/* 21611*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21614*/       OPC_EmitConvertToTarget, 3,
/* 21616*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21625*/      0, // EndSwitchType
/* 21626*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->21694
/* 21629*/      OPC_RecordChild0, // #2 = $off
/* 21630*/      OPC_MoveChild0,
/* 21631*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 21634*/      OPC_MoveParent,
/* 21635*/      OPC_MoveParent,
/* 21636*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21638*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21640*/      OPC_Scope, 25, /*->21667*/ // 2 children in Scope
/* 21642*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21644*/       OPC_EmitMergeInputChains1_0,
/* 21645*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21648*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21651*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 21658*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v8i16:{ *:[v8i16] }:$val)
/* 21667*/      /*Scope*/ 25, /*->21693*/
/* 21668*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21670*/       OPC_EmitMergeInputChains1_0,
/* 21671*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21674*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21677*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 21684*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v8i16:{ *:[v8i16] }:$val)
/* 21693*/      0, /*End of Scope*/
/* 21694*/     0, // EndSwitchOpcode
/* 21695*/    /*Scope*/ 121, /*->21817*/
/* 21696*/     OPC_RecordChild2, // #2 = $off
/* 21697*/     OPC_Scope, 67, /*->21766*/ // 3 children in Scope
/* 21699*/      OPC_MoveChild2,
/* 21700*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21703*/      OPC_MoveParent,
/* 21704*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21706*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21708*/      OPC_Scope, 27, /*->21737*/ // 2 children in Scope
/* 21710*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21712*/       OPC_EmitMergeInputChains1_0,
/* 21713*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21716*/       OPC_EmitConvertToTarget, 2,
/* 21718*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21721*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 21728*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v8i16:{ *:[v8i16] }:$val)
/* 21737*/      /*Scope*/ 27, /*->21765*/
/* 21738*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21740*/       OPC_EmitMergeInputChains1_0,
/* 21741*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21744*/       OPC_EmitConvertToTarget, 2,
/* 21746*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21749*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 21756*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v8i16:{ *:[v8i16] }:$val)
/* 21765*/      0, /*End of Scope*/
/* 21766*/     /*Scope*/ 24, /*->21791*/
/* 21767*/      OPC_CheckChild2Type, MVT::i32,
/* 21769*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21771*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21773*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21775*/      OPC_EmitMergeInputChains1_0,
/* 21776*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21779*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21782*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v8i16:{ *:[v8i16] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21791*/     /*Scope*/ 24, /*->21816*/
/* 21792*/      OPC_CheckChild2Type, MVT::i64,
/* 21794*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21796*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21798*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21800*/      OPC_EmitMergeInputChains1_0,
/* 21801*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21804*/      OPC_EmitInteger, MVT::i64, 0, 
/* 21807*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v8i16:{ *:[v8i16] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21816*/     0, /*End of Scope*/
/* 21817*/    0, /*End of Scope*/
/* 21818*/   /*Scope*/ 67|128,2/*323*/, /*->22143*/
/* 21820*/    OPC_CheckChild1Type, MVT::v4i32,
/* 21822*/    OPC_Scope, 67|128,1/*195*/, /*->22020*/ // 2 children in Scope
/* 21825*/     OPC_MoveChild2,
/* 21826*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->21889
/* 21830*/      OPC_RecordChild0, // #2 = $addr
/* 21831*/      OPC_RecordChild1, // #3 = $off
/* 21832*/      OPC_MoveChild1,
/* 21833*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21836*/      OPC_MoveParent,
/* 21837*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 21839*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21864
/* 21842*/       OPC_MoveParent,
/* 21843*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21845*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21847*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21849*/       OPC_EmitMergeInputChains1_0,
/* 21850*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21853*/       OPC_EmitConvertToTarget, 3,
/* 21855*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21864*/      /*SwitchType*/ 22, MVT::i64,// ->21888
/* 21866*/       OPC_MoveParent,
/* 21867*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21869*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21871*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21873*/       OPC_EmitMergeInputChains1_0,
/* 21874*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21877*/       OPC_EmitConvertToTarget, 3,
/* 21879*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21888*/      0, // EndSwitchType
/* 21889*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->21951
/* 21892*/      OPC_RecordChild0, // #2 = $addr
/* 21893*/      OPC_RecordChild1, // #3 = $off
/* 21894*/      OPC_MoveChild1,
/* 21895*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21898*/      OPC_MoveParent,
/* 21899*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 21901*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21926
/* 21904*/       OPC_MoveParent,
/* 21905*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21907*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21909*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21911*/       OPC_EmitMergeInputChains1_0,
/* 21912*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21915*/       OPC_EmitConvertToTarget, 3,
/* 21917*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21926*/      /*SwitchType*/ 22, MVT::i64,// ->21950
/* 21928*/       OPC_MoveParent,
/* 21929*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21931*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21933*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21935*/       OPC_EmitMergeInputChains1_0,
/* 21936*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21939*/       OPC_EmitConvertToTarget, 3,
/* 21941*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21950*/      0, // EndSwitchType
/* 21951*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->22019
/* 21954*/      OPC_RecordChild0, // #2 = $off
/* 21955*/      OPC_MoveChild0,
/* 21956*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 21959*/      OPC_MoveParent,
/* 21960*/      OPC_MoveParent,
/* 21961*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21963*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21965*/      OPC_Scope, 25, /*->21992*/ // 2 children in Scope
/* 21967*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21969*/       OPC_EmitMergeInputChains1_0,
/* 21970*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21973*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21976*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 21983*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v4i32:{ *:[v4i32] }:$val)
/* 21992*/      /*Scope*/ 25, /*->22018*/
/* 21993*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21995*/       OPC_EmitMergeInputChains1_0,
/* 21996*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21999*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22002*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 22009*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v4i32:{ *:[v4i32] }:$val)
/* 22018*/      0, /*End of Scope*/
/* 22019*/     0, // EndSwitchOpcode
/* 22020*/    /*Scope*/ 121, /*->22142*/
/* 22021*/     OPC_RecordChild2, // #2 = $off
/* 22022*/     OPC_Scope, 67, /*->22091*/ // 3 children in Scope
/* 22024*/      OPC_MoveChild2,
/* 22025*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22028*/      OPC_MoveParent,
/* 22029*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22031*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22033*/      OPC_Scope, 27, /*->22062*/ // 2 children in Scope
/* 22035*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22037*/       OPC_EmitMergeInputChains1_0,
/* 22038*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22041*/       OPC_EmitConvertToTarget, 2,
/* 22043*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22046*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 22053*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v4i32:{ *:[v4i32] }:$val)
/* 22062*/      /*Scope*/ 27, /*->22090*/
/* 22063*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22065*/       OPC_EmitMergeInputChains1_0,
/* 22066*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22069*/       OPC_EmitConvertToTarget, 2,
/* 22071*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22074*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 22081*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v4i32:{ *:[v4i32] }:$val)
/* 22090*/      0, /*End of Scope*/
/* 22091*/     /*Scope*/ 24, /*->22116*/
/* 22092*/      OPC_CheckChild2Type, MVT::i32,
/* 22094*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22096*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22098*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22100*/      OPC_EmitMergeInputChains1_0,
/* 22101*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22104*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22107*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v4i32:{ *:[v4i32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 22116*/     /*Scope*/ 24, /*->22141*/
/* 22117*/      OPC_CheckChild2Type, MVT::i64,
/* 22119*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22121*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22123*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22125*/      OPC_EmitMergeInputChains1_0,
/* 22126*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22129*/      OPC_EmitInteger, MVT::i64, 0, 
/* 22132*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v4i32:{ *:[v4i32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 22141*/     0, /*End of Scope*/
/* 22142*/    0, /*End of Scope*/
/* 22143*/   /*Scope*/ 67|128,2/*323*/, /*->22468*/
/* 22145*/    OPC_CheckChild1Type, MVT::v2i64,
/* 22147*/    OPC_Scope, 67|128,1/*195*/, /*->22345*/ // 2 children in Scope
/* 22150*/     OPC_MoveChild2,
/* 22151*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->22214
/* 22155*/      OPC_RecordChild0, // #2 = $addr
/* 22156*/      OPC_RecordChild1, // #3 = $off
/* 22157*/      OPC_MoveChild1,
/* 22158*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22161*/      OPC_MoveParent,
/* 22162*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 22164*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22189
/* 22167*/       OPC_MoveParent,
/* 22168*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22170*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22172*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22174*/       OPC_EmitMergeInputChains1_0,
/* 22175*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22178*/       OPC_EmitConvertToTarget, 3,
/* 22180*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22189*/      /*SwitchType*/ 22, MVT::i64,// ->22213
/* 22191*/       OPC_MoveParent,
/* 22192*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22194*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22196*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22198*/       OPC_EmitMergeInputChains1_0,
/* 22199*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22202*/       OPC_EmitConvertToTarget, 3,
/* 22204*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22213*/      0, // EndSwitchType
/* 22214*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->22276
/* 22217*/      OPC_RecordChild0, // #2 = $addr
/* 22218*/      OPC_RecordChild1, // #3 = $off
/* 22219*/      OPC_MoveChild1,
/* 22220*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22223*/      OPC_MoveParent,
/* 22224*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 22226*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22251
/* 22229*/       OPC_MoveParent,
/* 22230*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22232*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22234*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22236*/       OPC_EmitMergeInputChains1_0,
/* 22237*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22240*/       OPC_EmitConvertToTarget, 3,
/* 22242*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22251*/      /*SwitchType*/ 22, MVT::i64,// ->22275
/* 22253*/       OPC_MoveParent,
/* 22254*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22256*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22258*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22260*/       OPC_EmitMergeInputChains1_0,
/* 22261*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22264*/       OPC_EmitConvertToTarget, 3,
/* 22266*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22275*/      0, // EndSwitchType
/* 22276*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->22344
/* 22279*/      OPC_RecordChild0, // #2 = $off
/* 22280*/      OPC_MoveChild0,
/* 22281*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 22284*/      OPC_MoveParent,
/* 22285*/      OPC_MoveParent,
/* 22286*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22288*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22290*/      OPC_Scope, 25, /*->22317*/ // 2 children in Scope
/* 22292*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22294*/       OPC_EmitMergeInputChains1_0,
/* 22295*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22298*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22301*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 22308*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v2i64:{ *:[v2i64] }:$val)
/* 22317*/      /*Scope*/ 25, /*->22343*/
/* 22318*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22320*/       OPC_EmitMergeInputChains1_0,
/* 22321*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22324*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22327*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 22334*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v2i64:{ *:[v2i64] }:$val)
/* 22343*/      0, /*End of Scope*/
/* 22344*/     0, // EndSwitchOpcode
/* 22345*/    /*Scope*/ 121, /*->22467*/
/* 22346*/     OPC_RecordChild2, // #2 = $off
/* 22347*/     OPC_Scope, 67, /*->22416*/ // 3 children in Scope
/* 22349*/      OPC_MoveChild2,
/* 22350*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22353*/      OPC_MoveParent,
/* 22354*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22356*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22358*/      OPC_Scope, 27, /*->22387*/ // 2 children in Scope
/* 22360*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22362*/       OPC_EmitMergeInputChains1_0,
/* 22363*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22366*/       OPC_EmitConvertToTarget, 2,
/* 22368*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22371*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 22378*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v2i64:{ *:[v2i64] }:$val)
/* 22387*/      /*Scope*/ 27, /*->22415*/
/* 22388*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22390*/       OPC_EmitMergeInputChains1_0,
/* 22391*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22394*/       OPC_EmitConvertToTarget, 2,
/* 22396*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22399*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 22406*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v2i64:{ *:[v2i64] }:$val)
/* 22415*/      0, /*End of Scope*/
/* 22416*/     /*Scope*/ 24, /*->22441*/
/* 22417*/      OPC_CheckChild2Type, MVT::i32,
/* 22419*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22421*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22423*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22425*/      OPC_EmitMergeInputChains1_0,
/* 22426*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22429*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22432*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v2i64:{ *:[v2i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22441*/     /*Scope*/ 24, /*->22466*/
/* 22442*/      OPC_CheckChild2Type, MVT::i64,
/* 22444*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22446*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22448*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22450*/      OPC_EmitMergeInputChains1_0,
/* 22451*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22454*/      OPC_EmitInteger, MVT::i64, 0, 
/* 22457*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v2i64:{ *:[v2i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22466*/     0, /*End of Scope*/
/* 22467*/    0, /*End of Scope*/
/* 22468*/   /*Scope*/ 67|128,2/*323*/, /*->22793*/
/* 22470*/    OPC_CheckChild1Type, MVT::v4f32,
/* 22472*/    OPC_Scope, 67|128,1/*195*/, /*->22670*/ // 2 children in Scope
/* 22475*/     OPC_MoveChild2,
/* 22476*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->22539
/* 22480*/      OPC_RecordChild0, // #2 = $addr
/* 22481*/      OPC_RecordChild1, // #3 = $off
/* 22482*/      OPC_MoveChild1,
/* 22483*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22486*/      OPC_MoveParent,
/* 22487*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 22489*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22514
/* 22492*/       OPC_MoveParent,
/* 22493*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22495*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22497*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22499*/       OPC_EmitMergeInputChains1_0,
/* 22500*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22503*/       OPC_EmitConvertToTarget, 3,
/* 22505*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22514*/      /*SwitchType*/ 22, MVT::i64,// ->22538
/* 22516*/       OPC_MoveParent,
/* 22517*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22519*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22521*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22523*/       OPC_EmitMergeInputChains1_0,
/* 22524*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22527*/       OPC_EmitConvertToTarget, 3,
/* 22529*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22538*/      0, // EndSwitchType
/* 22539*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->22601
/* 22542*/      OPC_RecordChild0, // #2 = $addr
/* 22543*/      OPC_RecordChild1, // #3 = $off
/* 22544*/      OPC_MoveChild1,
/* 22545*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22548*/      OPC_MoveParent,
/* 22549*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 22551*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22576
/* 22554*/       OPC_MoveParent,
/* 22555*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22557*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22559*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22561*/       OPC_EmitMergeInputChains1_0,
/* 22562*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22565*/       OPC_EmitConvertToTarget, 3,
/* 22567*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22576*/      /*SwitchType*/ 22, MVT::i64,// ->22600
/* 22578*/       OPC_MoveParent,
/* 22579*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22581*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22583*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22585*/       OPC_EmitMergeInputChains1_0,
/* 22586*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22589*/       OPC_EmitConvertToTarget, 3,
/* 22591*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22600*/      0, // EndSwitchType
/* 22601*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->22669
/* 22604*/      OPC_RecordChild0, // #2 = $off
/* 22605*/      OPC_MoveChild0,
/* 22606*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 22609*/      OPC_MoveParent,
/* 22610*/      OPC_MoveParent,
/* 22611*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22613*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22615*/      OPC_Scope, 25, /*->22642*/ // 2 children in Scope
/* 22617*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22619*/       OPC_EmitMergeInputChains1_0,
/* 22620*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22623*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22626*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 22633*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v4f32:{ *:[v4f32] }:$val)
/* 22642*/      /*Scope*/ 25, /*->22668*/
/* 22643*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22645*/       OPC_EmitMergeInputChains1_0,
/* 22646*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22649*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22652*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 22659*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v4f32:{ *:[v4f32] }:$val)
/* 22668*/      0, /*End of Scope*/
/* 22669*/     0, // EndSwitchOpcode
/* 22670*/    /*Scope*/ 121, /*->22792*/
/* 22671*/     OPC_RecordChild2, // #2 = $off
/* 22672*/     OPC_Scope, 67, /*->22741*/ // 3 children in Scope
/* 22674*/      OPC_MoveChild2,
/* 22675*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22678*/      OPC_MoveParent,
/* 22679*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22681*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22683*/      OPC_Scope, 27, /*->22712*/ // 2 children in Scope
/* 22685*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22687*/       OPC_EmitMergeInputChains1_0,
/* 22688*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22691*/       OPC_EmitConvertToTarget, 2,
/* 22693*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22696*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 22703*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v4f32:{ *:[v4f32] }:$val)
/* 22712*/      /*Scope*/ 27, /*->22740*/
/* 22713*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22715*/       OPC_EmitMergeInputChains1_0,
/* 22716*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22719*/       OPC_EmitConvertToTarget, 2,
/* 22721*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22724*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 22731*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v4f32:{ *:[v4f32] }:$val)
/* 22740*/      0, /*End of Scope*/
/* 22741*/     /*Scope*/ 24, /*->22766*/
/* 22742*/      OPC_CheckChild2Type, MVT::i32,
/* 22744*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22746*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22748*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22750*/      OPC_EmitMergeInputChains1_0,
/* 22751*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22754*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22757*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v4f32:{ *:[v4f32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22766*/     /*Scope*/ 24, /*->22791*/
/* 22767*/      OPC_CheckChild2Type, MVT::i64,
/* 22769*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22771*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22773*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22775*/      OPC_EmitMergeInputChains1_0,
/* 22776*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22779*/      OPC_EmitInteger, MVT::i64, 0, 
/* 22782*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v4f32:{ *:[v4f32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22791*/     0, /*End of Scope*/
/* 22792*/    0, /*End of Scope*/
/* 22793*/   /*Scope*/ 67|128,2/*323*/, /*->23118*/
/* 22795*/    OPC_CheckChild1Type, MVT::v2f64,
/* 22797*/    OPC_Scope, 67|128,1/*195*/, /*->22995*/ // 2 children in Scope
/* 22800*/     OPC_MoveChild2,
/* 22801*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->22864
/* 22805*/      OPC_RecordChild0, // #2 = $addr
/* 22806*/      OPC_RecordChild1, // #3 = $off
/* 22807*/      OPC_MoveChild1,
/* 22808*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22811*/      OPC_MoveParent,
/* 22812*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 22814*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22839
/* 22817*/       OPC_MoveParent,
/* 22818*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22820*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22822*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22824*/       OPC_EmitMergeInputChains1_0,
/* 22825*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22828*/       OPC_EmitConvertToTarget, 3,
/* 22830*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22839*/      /*SwitchType*/ 22, MVT::i64,// ->22863
/* 22841*/       OPC_MoveParent,
/* 22842*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22844*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22846*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22848*/       OPC_EmitMergeInputChains1_0,
/* 22849*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22852*/       OPC_EmitConvertToTarget, 3,
/* 22854*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22863*/      0, // EndSwitchType
/* 22864*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->22926
/* 22867*/      OPC_RecordChild0, // #2 = $addr
/* 22868*/      OPC_RecordChild1, // #3 = $off
/* 22869*/      OPC_MoveChild1,
/* 22870*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22873*/      OPC_MoveParent,
/* 22874*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 22876*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22901
/* 22879*/       OPC_MoveParent,
/* 22880*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22882*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22884*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22886*/       OPC_EmitMergeInputChains1_0,
/* 22887*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22890*/       OPC_EmitConvertToTarget, 3,
/* 22892*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22901*/      /*SwitchType*/ 22, MVT::i64,// ->22925
/* 22903*/       OPC_MoveParent,
/* 22904*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22906*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22908*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22910*/       OPC_EmitMergeInputChains1_0,
/* 22911*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22914*/       OPC_EmitConvertToTarget, 3,
/* 22916*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22925*/      0, // EndSwitchType
/* 22926*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->22994
/* 22929*/      OPC_RecordChild0, // #2 = $off
/* 22930*/      OPC_MoveChild0,
/* 22931*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 22934*/      OPC_MoveParent,
/* 22935*/      OPC_MoveParent,
/* 22936*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22938*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22940*/      OPC_Scope, 25, /*->22967*/ // 2 children in Scope
/* 22942*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22944*/       OPC_EmitMergeInputChains1_0,
/* 22945*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22948*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22951*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 22958*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v2f64:{ *:[v2f64] }:$val)
/* 22967*/      /*Scope*/ 25, /*->22993*/
/* 22968*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22970*/       OPC_EmitMergeInputChains1_0,
/* 22971*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22974*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22977*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 22984*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v2f64:{ *:[v2f64] }:$val)
/* 22993*/      0, /*End of Scope*/
/* 22994*/     0, // EndSwitchOpcode
/* 22995*/    /*Scope*/ 121, /*->23117*/
/* 22996*/     OPC_RecordChild2, // #2 = $off
/* 22997*/     OPC_Scope, 67, /*->23066*/ // 3 children in Scope
/* 22999*/      OPC_MoveChild2,
/* 23000*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 23003*/      OPC_MoveParent,
/* 23004*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 23006*/      OPC_CheckPredicate, 14, // Predicate_store
/* 23008*/      OPC_Scope, 27, /*->23037*/ // 2 children in Scope
/* 23010*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23012*/       OPC_EmitMergeInputChains1_0,
/* 23013*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23016*/       OPC_EmitConvertToTarget, 2,
/* 23018*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23021*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 23028*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v2f64:{ *:[v2f64] }:$val)
/* 23037*/      /*Scope*/ 27, /*->23065*/
/* 23038*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23040*/       OPC_EmitMergeInputChains1_0,
/* 23041*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23044*/       OPC_EmitConvertToTarget, 2,
/* 23046*/       OPC_EmitInteger, MVT::i64, 0, 
/* 23049*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 23056*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v2f64:{ *:[v2f64] }:$val)
/* 23065*/      0, /*End of Scope*/
/* 23066*/     /*Scope*/ 24, /*->23091*/
/* 23067*/      OPC_CheckChild2Type, MVT::i32,
/* 23069*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 23071*/      OPC_CheckPredicate, 14, // Predicate_store
/* 23073*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23075*/      OPC_EmitMergeInputChains1_0,
/* 23076*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23079*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23082*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v2f64:{ *:[v2f64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 23091*/     /*Scope*/ 24, /*->23116*/
/* 23092*/      OPC_CheckChild2Type, MVT::i64,
/* 23094*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 23096*/      OPC_CheckPredicate, 14, // Predicate_store
/* 23098*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23100*/      OPC_EmitMergeInputChains1_0,
/* 23101*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23104*/      OPC_EmitInteger, MVT::i64, 0, 
/* 23107*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v2f64:{ *:[v2f64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 23116*/     0, /*End of Scope*/
/* 23117*/    0, /*End of Scope*/
/* 23118*/   0, /*End of Scope*/
/* 23119*/  0, /*End of Scope*/
/* 23120*/ /*SwitchOpcode*/ 80|128,73/*9424*/, TARGET_VAL(ISD::LOAD),// ->32548
/* 23124*/  OPC_RecordMemRef,
/* 23125*/  OPC_RecordNode, // #0 = 'ld' chained node
/* 23126*/  OPC_Scope, 3|128,21/*2691*/, /*->25820*/ // 8 children in Scope
/* 23129*/   OPC_MoveChild1,
/* 23130*/   OPC_SwitchOpcode /*3 cases */, 51|128,6/*819*/, TARGET_VAL(ISD::ADD),// ->23954
/* 23135*/    OPC_RecordChild0, // #1 = $addr
/* 23136*/    OPC_RecordChild1, // #2 = $off
/* 23137*/    OPC_MoveChild1,
/* 23138*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 23141*/    OPC_MoveParent,
/* 23142*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 23144*/    OPC_SwitchType /*2 cases */, 17|128,3/*401*/, MVT::i32,// ->23549
/* 23148*/     OPC_MoveParent,
/* 23149*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 23151*/     OPC_Scope, 42, /*->23195*/ // 12 children in Scope
/* 23153*/      OPC_CheckPredicate, 18, // Predicate_load
/* 23155*/      OPC_SwitchType /*2 cases */, 17, MVT::i32,// ->23175
/* 23158*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23160*/       OPC_EmitMergeInputChains1_0,
/* 23161*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23164*/       OPC_EmitConvertToTarget, 2,
/* 23166*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23175*/      /*SwitchType*/ 17, MVT::i64,// ->23194
/* 23177*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23179*/       OPC_EmitMergeInputChains1_0,
/* 23180*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23183*/       OPC_EmitConvertToTarget, 2,
/* 23185*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23194*/      0, // EndSwitchType
/* 23195*/     /*Scope*/ 23, /*->23219*/
/* 23196*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23198*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23200*/      OPC_CheckType, MVT::i32,
/* 23202*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23204*/      OPC_EmitMergeInputChains1_0,
/* 23205*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23208*/      OPC_EmitConvertToTarget, 2,
/* 23210*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23219*/     /*Scope*/ 23, /*->23243*/
/* 23220*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23222*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23224*/      OPC_CheckType, MVT::i32,
/* 23226*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23228*/      OPC_EmitMergeInputChains1_0,
/* 23229*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23232*/      OPC_EmitConvertToTarget, 2,
/* 23234*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23243*/     /*Scope*/ 23, /*->23267*/
/* 23244*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23246*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23248*/      OPC_CheckType, MVT::i32,
/* 23250*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23252*/      OPC_EmitMergeInputChains1_0,
/* 23253*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23256*/      OPC_EmitConvertToTarget, 2,
/* 23258*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23267*/     /*Scope*/ 23, /*->23291*/
/* 23268*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23270*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23272*/      OPC_CheckType, MVT::i32,
/* 23274*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23276*/      OPC_EmitMergeInputChains1_0,
/* 23277*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23280*/      OPC_EmitConvertToTarget, 2,
/* 23282*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23291*/     /*Scope*/ 23, /*->23315*/
/* 23292*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23294*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23296*/      OPC_CheckType, MVT::i64,
/* 23298*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23300*/      OPC_EmitMergeInputChains1_0,
/* 23301*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23304*/      OPC_EmitConvertToTarget, 2,
/* 23306*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23315*/     /*Scope*/ 23, /*->23339*/
/* 23316*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23318*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23320*/      OPC_CheckType, MVT::i64,
/* 23322*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23324*/      OPC_EmitMergeInputChains1_0,
/* 23325*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23328*/      OPC_EmitConvertToTarget, 2,
/* 23330*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23339*/     /*Scope*/ 23, /*->23363*/
/* 23340*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23342*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23344*/      OPC_CheckType, MVT::i64,
/* 23346*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23348*/      OPC_EmitMergeInputChains1_0,
/* 23349*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23352*/      OPC_EmitConvertToTarget, 2,
/* 23354*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23363*/     /*Scope*/ 23, /*->23387*/
/* 23364*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23366*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23368*/      OPC_CheckType, MVT::i64,
/* 23370*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23372*/      OPC_EmitMergeInputChains1_0,
/* 23373*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23376*/      OPC_EmitConvertToTarget, 2,
/* 23378*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23387*/     /*Scope*/ 23, /*->23411*/
/* 23388*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23390*/      OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 23392*/      OPC_CheckType, MVT::i64,
/* 23394*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23396*/      OPC_EmitMergeInputChains1_0,
/* 23397*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23400*/      OPC_EmitConvertToTarget, 2,
/* 23402*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 11
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23411*/     /*Scope*/ 23, /*->23435*/
/* 23412*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23414*/      OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 23416*/      OPC_CheckType, MVT::i64,
/* 23418*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23420*/      OPC_EmitMergeInputChains1_0,
/* 23421*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23424*/      OPC_EmitConvertToTarget, 2,
/* 23426*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 11
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23435*/     /*Scope*/ 112, /*->23548*/
/* 23436*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 23438*/      OPC_SwitchType /*2 cases */, 42, MVT::i32,// ->23483
/* 23441*/       OPC_Scope, 19, /*->23462*/ // 2 children in Scope
/* 23443*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 23445*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23447*/        OPC_EmitMergeInputChains1_0,
/* 23448*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23451*/        OPC_EmitConvertToTarget, 2,
/* 23453*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23462*/       /*Scope*/ 19, /*->23482*/
/* 23463*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 23465*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23467*/        OPC_EmitMergeInputChains1_0,
/* 23468*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23471*/        OPC_EmitConvertToTarget, 2,
/* 23473*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23482*/       0, /*End of Scope*/
/* 23483*/      /*SwitchType*/ 62, MVT::i64,// ->23547
/* 23485*/       OPC_Scope, 19, /*->23506*/ // 3 children in Scope
/* 23487*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 23489*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23491*/        OPC_EmitMergeInputChains1_0,
/* 23492*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23495*/        OPC_EmitConvertToTarget, 2,
/* 23497*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23506*/       /*Scope*/ 19, /*->23526*/
/* 23507*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 23509*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23511*/        OPC_EmitMergeInputChains1_0,
/* 23512*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23515*/        OPC_EmitConvertToTarget, 2,
/* 23517*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23526*/       /*Scope*/ 19, /*->23546*/
/* 23527*/        OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 23529*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23531*/        OPC_EmitMergeInputChains1_0,
/* 23532*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23535*/        OPC_EmitConvertToTarget, 2,
/* 23537*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 11
                  // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23546*/       0, /*End of Scope*/
/* 23547*/      0, // EndSwitchType
/* 23548*/     0, /*End of Scope*/
/* 23549*/    /*SwitchType*/ 17|128,3/*401*/, MVT::i64,// ->23953
/* 23552*/     OPC_MoveParent,
/* 23553*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 23555*/     OPC_Scope, 42, /*->23599*/ // 12 children in Scope
/* 23557*/      OPC_CheckPredicate, 18, // Predicate_load
/* 23559*/      OPC_SwitchType /*2 cases */, 17, MVT::i32,// ->23579
/* 23562*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23564*/       OPC_EmitMergeInputChains1_0,
/* 23565*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23568*/       OPC_EmitConvertToTarget, 2,
/* 23570*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23579*/      /*SwitchType*/ 17, MVT::i64,// ->23598
/* 23581*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23583*/       OPC_EmitMergeInputChains1_0,
/* 23584*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23587*/       OPC_EmitConvertToTarget, 2,
/* 23589*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23598*/      0, // EndSwitchType
/* 23599*/     /*Scope*/ 23, /*->23623*/
/* 23600*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23602*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23604*/      OPC_CheckType, MVT::i32,
/* 23606*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23608*/      OPC_EmitMergeInputChains1_0,
/* 23609*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23612*/      OPC_EmitConvertToTarget, 2,
/* 23614*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23623*/     /*Scope*/ 23, /*->23647*/
/* 23624*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23626*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23628*/      OPC_CheckType, MVT::i32,
/* 23630*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23632*/      OPC_EmitMergeInputChains1_0,
/* 23633*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23636*/      OPC_EmitConvertToTarget, 2,
/* 23638*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23647*/     /*Scope*/ 23, /*->23671*/
/* 23648*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23650*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23652*/      OPC_CheckType, MVT::i32,
/* 23654*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23656*/      OPC_EmitMergeInputChains1_0,
/* 23657*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23660*/      OPC_EmitConvertToTarget, 2,
/* 23662*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23671*/     /*Scope*/ 23, /*->23695*/
/* 23672*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23674*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23676*/      OPC_CheckType, MVT::i32,
/* 23678*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23680*/      OPC_EmitMergeInputChains1_0,
/* 23681*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23684*/      OPC_EmitConvertToTarget, 2,
/* 23686*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23695*/     /*Scope*/ 23, /*->23719*/
/* 23696*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23698*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23700*/      OPC_CheckType, MVT::i64,
/* 23702*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23704*/      OPC_EmitMergeInputChains1_0,
/* 23705*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23708*/      OPC_EmitConvertToTarget, 2,
/* 23710*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23719*/     /*Scope*/ 23, /*->23743*/
/* 23720*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23722*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23724*/      OPC_CheckType, MVT::i64,
/* 23726*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23728*/      OPC_EmitMergeInputChains1_0,
/* 23729*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23732*/      OPC_EmitConvertToTarget, 2,
/* 23734*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23743*/     /*Scope*/ 23, /*->23767*/
/* 23744*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23746*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23748*/      OPC_CheckType, MVT::i64,
/* 23750*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23752*/      OPC_EmitMergeInputChains1_0,
/* 23753*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23756*/      OPC_EmitConvertToTarget, 2,
/* 23758*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23767*/     /*Scope*/ 23, /*->23791*/
/* 23768*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23770*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23772*/      OPC_CheckType, MVT::i64,
/* 23774*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23776*/      OPC_EmitMergeInputChains1_0,
/* 23777*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23780*/      OPC_EmitConvertToTarget, 2,
/* 23782*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23791*/     /*Scope*/ 23, /*->23815*/
/* 23792*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23794*/      OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 23796*/      OPC_CheckType, MVT::i64,
/* 23798*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23800*/      OPC_EmitMergeInputChains1_0,
/* 23801*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23804*/      OPC_EmitConvertToTarget, 2,
/* 23806*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 11
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23815*/     /*Scope*/ 23, /*->23839*/
/* 23816*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23818*/      OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 23820*/      OPC_CheckType, MVT::i64,
/* 23822*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23824*/      OPC_EmitMergeInputChains1_0,
/* 23825*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23828*/      OPC_EmitConvertToTarget, 2,
/* 23830*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 11
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23839*/     /*Scope*/ 112, /*->23952*/
/* 23840*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 23842*/      OPC_SwitchType /*2 cases */, 42, MVT::i32,// ->23887
/* 23845*/       OPC_Scope, 19, /*->23866*/ // 2 children in Scope
/* 23847*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 23849*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23851*/        OPC_EmitMergeInputChains1_0,
/* 23852*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23855*/        OPC_EmitConvertToTarget, 2,
/* 23857*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23866*/       /*Scope*/ 19, /*->23886*/
/* 23867*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 23869*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23871*/        OPC_EmitMergeInputChains1_0,
/* 23872*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23875*/        OPC_EmitConvertToTarget, 2,
/* 23877*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23886*/       0, /*End of Scope*/
/* 23887*/      /*SwitchType*/ 62, MVT::i64,// ->23951
/* 23889*/       OPC_Scope, 19, /*->23910*/ // 3 children in Scope
/* 23891*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 23893*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23895*/        OPC_EmitMergeInputChains1_0,
/* 23896*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23899*/        OPC_EmitConvertToTarget, 2,
/* 23901*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23910*/       /*Scope*/ 19, /*->23930*/
/* 23911*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 23913*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23915*/        OPC_EmitMergeInputChains1_0,
/* 23916*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23919*/        OPC_EmitConvertToTarget, 2,
/* 23921*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23930*/       /*Scope*/ 19, /*->23950*/
/* 23931*/        OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 23933*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23935*/        OPC_EmitMergeInputChains1_0,
/* 23936*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23939*/        OPC_EmitConvertToTarget, 2,
/* 23941*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 11
                  // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23950*/       0, /*End of Scope*/
/* 23951*/      0, // EndSwitchType
/* 23952*/     0, /*End of Scope*/
/* 23953*/    0, // EndSwitchType
/* 23954*/   /*SwitchOpcode*/ 51|128,6/*819*/, TARGET_VAL(ISD::OR),// ->24777
/* 23958*/    OPC_RecordChild0, // #1 = $addr
/* 23959*/    OPC_RecordChild1, // #2 = $off
/* 23960*/    OPC_MoveChild1,
/* 23961*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 23964*/    OPC_MoveParent,
/* 23965*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 23967*/    OPC_SwitchType /*2 cases */, 17|128,3/*401*/, MVT::i32,// ->24372
/* 23971*/     OPC_MoveParent,
/* 23972*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 23974*/     OPC_Scope, 42, /*->24018*/ // 12 children in Scope
/* 23976*/      OPC_CheckPredicate, 18, // Predicate_load
/* 23978*/      OPC_SwitchType /*2 cases */, 17, MVT::i32,// ->23998
/* 23981*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23983*/       OPC_EmitMergeInputChains1_0,
/* 23984*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23987*/       OPC_EmitConvertToTarget, 2,
/* 23989*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23998*/      /*SwitchType*/ 17, MVT::i64,// ->24017
/* 24000*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24002*/       OPC_EmitMergeInputChains1_0,
/* 24003*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24006*/       OPC_EmitConvertToTarget, 2,
/* 24008*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24017*/      0, // EndSwitchType
/* 24018*/     /*Scope*/ 23, /*->24042*/
/* 24019*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24021*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24023*/      OPC_CheckType, MVT::i32,
/* 24025*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24027*/      OPC_EmitMergeInputChains1_0,
/* 24028*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24031*/      OPC_EmitConvertToTarget, 2,
/* 24033*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24042*/     /*Scope*/ 23, /*->24066*/
/* 24043*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24045*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24047*/      OPC_CheckType, MVT::i32,
/* 24049*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24051*/      OPC_EmitMergeInputChains1_0,
/* 24052*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24055*/      OPC_EmitConvertToTarget, 2,
/* 24057*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24066*/     /*Scope*/ 23, /*->24090*/
/* 24067*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24069*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 24071*/      OPC_CheckType, MVT::i32,
/* 24073*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24075*/      OPC_EmitMergeInputChains1_0,
/* 24076*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24079*/      OPC_EmitConvertToTarget, 2,
/* 24081*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24090*/     /*Scope*/ 23, /*->24114*/
/* 24091*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24093*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 24095*/      OPC_CheckType, MVT::i32,
/* 24097*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24099*/      OPC_EmitMergeInputChains1_0,
/* 24100*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24103*/      OPC_EmitConvertToTarget, 2,
/* 24105*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24114*/     /*Scope*/ 23, /*->24138*/
/* 24115*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24117*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24119*/      OPC_CheckType, MVT::i64,
/* 24121*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24123*/      OPC_EmitMergeInputChains1_0,
/* 24124*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24127*/      OPC_EmitConvertToTarget, 2,
/* 24129*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24138*/     /*Scope*/ 23, /*->24162*/
/* 24139*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24141*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24143*/      OPC_CheckType, MVT::i64,
/* 24145*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24147*/      OPC_EmitMergeInputChains1_0,
/* 24148*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24151*/      OPC_EmitConvertToTarget, 2,
/* 24153*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24162*/     /*Scope*/ 23, /*->24186*/
/* 24163*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24165*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 24167*/      OPC_CheckType, MVT::i64,
/* 24169*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24171*/      OPC_EmitMergeInputChains1_0,
/* 24172*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24175*/      OPC_EmitConvertToTarget, 2,
/* 24177*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24186*/     /*Scope*/ 23, /*->24210*/
/* 24187*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24189*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 24191*/      OPC_CheckType, MVT::i64,
/* 24193*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24195*/      OPC_EmitMergeInputChains1_0,
/* 24196*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24199*/      OPC_EmitConvertToTarget, 2,
/* 24201*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24210*/     /*Scope*/ 23, /*->24234*/
/* 24211*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24213*/      OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 24215*/      OPC_CheckType, MVT::i64,
/* 24217*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24219*/      OPC_EmitMergeInputChains1_0,
/* 24220*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24223*/      OPC_EmitConvertToTarget, 2,
/* 24225*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 11
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24234*/     /*Scope*/ 23, /*->24258*/
/* 24235*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24237*/      OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 24239*/      OPC_CheckType, MVT::i64,
/* 24241*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24243*/      OPC_EmitMergeInputChains1_0,
/* 24244*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24247*/      OPC_EmitConvertToTarget, 2,
/* 24249*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 11
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24258*/     /*Scope*/ 112, /*->24371*/
/* 24259*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 24261*/      OPC_SwitchType /*2 cases */, 42, MVT::i32,// ->24306
/* 24264*/       OPC_Scope, 19, /*->24285*/ // 2 children in Scope
/* 24266*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 24268*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24270*/        OPC_EmitMergeInputChains1_0,
/* 24271*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24274*/        OPC_EmitConvertToTarget, 2,
/* 24276*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24285*/       /*Scope*/ 19, /*->24305*/
/* 24286*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 24288*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24290*/        OPC_EmitMergeInputChains1_0,
/* 24291*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24294*/        OPC_EmitConvertToTarget, 2,
/* 24296*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24305*/       0, /*End of Scope*/
/* 24306*/      /*SwitchType*/ 62, MVT::i64,// ->24370
/* 24308*/       OPC_Scope, 19, /*->24329*/ // 3 children in Scope
/* 24310*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 24312*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24314*/        OPC_EmitMergeInputChains1_0,
/* 24315*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24318*/        OPC_EmitConvertToTarget, 2,
/* 24320*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24329*/       /*Scope*/ 19, /*->24349*/
/* 24330*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 24332*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24334*/        OPC_EmitMergeInputChains1_0,
/* 24335*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24338*/        OPC_EmitConvertToTarget, 2,
/* 24340*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24349*/       /*Scope*/ 19, /*->24369*/
/* 24350*/        OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 24352*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24354*/        OPC_EmitMergeInputChains1_0,
/* 24355*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24358*/        OPC_EmitConvertToTarget, 2,
/* 24360*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 11
                  // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24369*/       0, /*End of Scope*/
/* 24370*/      0, // EndSwitchType
/* 24371*/     0, /*End of Scope*/
/* 24372*/    /*SwitchType*/ 17|128,3/*401*/, MVT::i64,// ->24776
/* 24375*/     OPC_MoveParent,
/* 24376*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 24378*/     OPC_Scope, 42, /*->24422*/ // 12 children in Scope
/* 24380*/      OPC_CheckPredicate, 18, // Predicate_load
/* 24382*/      OPC_SwitchType /*2 cases */, 17, MVT::i32,// ->24402
/* 24385*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24387*/       OPC_EmitMergeInputChains1_0,
/* 24388*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24391*/       OPC_EmitConvertToTarget, 2,
/* 24393*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24402*/      /*SwitchType*/ 17, MVT::i64,// ->24421
/* 24404*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24406*/       OPC_EmitMergeInputChains1_0,
/* 24407*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24410*/       OPC_EmitConvertToTarget, 2,
/* 24412*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24421*/      0, // EndSwitchType
/* 24422*/     /*Scope*/ 23, /*->24446*/
/* 24423*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24425*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24427*/      OPC_CheckType, MVT::i32,
/* 24429*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24431*/      OPC_EmitMergeInputChains1_0,
/* 24432*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24435*/      OPC_EmitConvertToTarget, 2,
/* 24437*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24446*/     /*Scope*/ 23, /*->24470*/
/* 24447*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24449*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24451*/      OPC_CheckType, MVT::i32,
/* 24453*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24455*/      OPC_EmitMergeInputChains1_0,
/* 24456*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24459*/      OPC_EmitConvertToTarget, 2,
/* 24461*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24470*/     /*Scope*/ 23, /*->24494*/
/* 24471*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24473*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 24475*/      OPC_CheckType, MVT::i32,
/* 24477*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24479*/      OPC_EmitMergeInputChains1_0,
/* 24480*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24483*/      OPC_EmitConvertToTarget, 2,
/* 24485*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24494*/     /*Scope*/ 23, /*->24518*/
/* 24495*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24497*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 24499*/      OPC_CheckType, MVT::i32,
/* 24501*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24503*/      OPC_EmitMergeInputChains1_0,
/* 24504*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24507*/      OPC_EmitConvertToTarget, 2,
/* 24509*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24518*/     /*Scope*/ 23, /*->24542*/
/* 24519*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24521*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24523*/      OPC_CheckType, MVT::i64,
/* 24525*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24527*/      OPC_EmitMergeInputChains1_0,
/* 24528*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24531*/      OPC_EmitConvertToTarget, 2,
/* 24533*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24542*/     /*Scope*/ 23, /*->24566*/
/* 24543*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24545*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24547*/      OPC_CheckType, MVT::i64,
/* 24549*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24551*/      OPC_EmitMergeInputChains1_0,
/* 24552*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24555*/      OPC_EmitConvertToTarget, 2,
/* 24557*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24566*/     /*Scope*/ 23, /*->24590*/
/* 24567*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24569*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 24571*/      OPC_CheckType, MVT::i64,
/* 24573*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24575*/      OPC_EmitMergeInputChains1_0,
/* 24576*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24579*/      OPC_EmitConvertToTarget, 2,
/* 24581*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24590*/     /*Scope*/ 23, /*->24614*/
/* 24591*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24593*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 24595*/      OPC_CheckType, MVT::i64,
/* 24597*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24599*/      OPC_EmitMergeInputChains1_0,
/* 24600*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24603*/      OPC_EmitConvertToTarget, 2,
/* 24605*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24614*/     /*Scope*/ 23, /*->24638*/
/* 24615*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24617*/      OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 24619*/      OPC_CheckType, MVT::i64,
/* 24621*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24623*/      OPC_EmitMergeInputChains1_0,
/* 24624*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24627*/      OPC_EmitConvertToTarget, 2,
/* 24629*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 11
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24638*/     /*Scope*/ 23, /*->24662*/
/* 24639*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24641*/      OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 24643*/      OPC_CheckType, MVT::i64,
/* 24645*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24647*/      OPC_EmitMergeInputChains1_0,
/* 24648*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24651*/      OPC_EmitConvertToTarget, 2,
/* 24653*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 11
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24662*/     /*Scope*/ 112, /*->24775*/
/* 24663*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 24665*/      OPC_SwitchType /*2 cases */, 42, MVT::i32,// ->24710
/* 24668*/       OPC_Scope, 19, /*->24689*/ // 2 children in Scope
/* 24670*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 24672*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24674*/        OPC_EmitMergeInputChains1_0,
/* 24675*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24678*/        OPC_EmitConvertToTarget, 2,
/* 24680*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24689*/       /*Scope*/ 19, /*->24709*/
/* 24690*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 24692*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24694*/        OPC_EmitMergeInputChains1_0,
/* 24695*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24698*/        OPC_EmitConvertToTarget, 2,
/* 24700*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24709*/       0, /*End of Scope*/
/* 24710*/      /*SwitchType*/ 62, MVT::i64,// ->24774
/* 24712*/       OPC_Scope, 19, /*->24733*/ // 3 children in Scope
/* 24714*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 24716*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24718*/        OPC_EmitMergeInputChains1_0,
/* 24719*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24722*/        OPC_EmitConvertToTarget, 2,
/* 24724*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24733*/       /*Scope*/ 19, /*->24753*/
/* 24734*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 24736*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24738*/        OPC_EmitMergeInputChains1_0,
/* 24739*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24742*/        OPC_EmitConvertToTarget, 2,
/* 24744*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24753*/       /*Scope*/ 19, /*->24773*/
/* 24754*/        OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 24756*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24758*/        OPC_EmitMergeInputChains1_0,
/* 24759*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24762*/        OPC_EmitConvertToTarget, 2,
/* 24764*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 11
                  // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24773*/       0, /*End of Scope*/
/* 24774*/      0, // EndSwitchType
/* 24775*/     0, /*End of Scope*/
/* 24776*/    0, // EndSwitchType
/* 24777*/   /*SwitchOpcode*/ 14|128,8/*1038*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->25819
/* 24781*/    OPC_RecordChild0, // #1 = $off
/* 24782*/    OPC_MoveChild0,
/* 24783*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 24786*/    OPC_MoveParent,
/* 24787*/    OPC_MoveParent,
/* 24788*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 24790*/    OPC_Scope, 116, /*->24908*/ // 12 children in Scope
/* 24792*/     OPC_CheckPredicate, 18, // Predicate_load
/* 24794*/     OPC_SwitchType /*2 cases */, 54, MVT::i32,// ->24851
/* 24797*/      OPC_Scope, 25, /*->24824*/ // 2 children in Scope
/* 24799*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24801*/       OPC_EmitMergeInputChains1_0,
/* 24802*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24805*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24808*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24815*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24824*/      /*Scope*/ 25, /*->24850*/
/* 24825*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24827*/       OPC_EmitMergeInputChains1_0,
/* 24828*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24831*/       OPC_EmitInteger, MVT::i64, 0, 
/* 24834*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24841*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24850*/      0, /*End of Scope*/
/* 24851*/     /*SwitchType*/ 54, MVT::i64,// ->24907
/* 24853*/      OPC_Scope, 25, /*->24880*/ // 2 children in Scope
/* 24855*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24857*/       OPC_EmitMergeInputChains1_0,
/* 24858*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24861*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24864*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24871*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24880*/      /*Scope*/ 25, /*->24906*/
/* 24881*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24883*/       OPC_EmitMergeInputChains1_0,
/* 24884*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24887*/       OPC_EmitInteger, MVT::i64, 0, 
/* 24890*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24897*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24906*/      0, /*End of Scope*/
/* 24907*/     0, // EndSwitchType
/* 24908*/    /*Scope*/ 60, /*->24969*/
/* 24909*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 24911*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24913*/     OPC_CheckType, MVT::i32,
/* 24915*/     OPC_Scope, 25, /*->24942*/ // 2 children in Scope
/* 24917*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24919*/      OPC_EmitMergeInputChains1_0,
/* 24920*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24923*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24926*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24933*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 10
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24942*/     /*Scope*/ 25, /*->24968*/
/* 24943*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24945*/      OPC_EmitMergeInputChains1_0,
/* 24946*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24949*/      OPC_EmitInteger, MVT::i64, 0, 
/* 24952*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24959*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 10
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24968*/     0, /*End of Scope*/
/* 24969*/    /*Scope*/ 60, /*->25030*/
/* 24970*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 24972*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24974*/     OPC_CheckType, MVT::i32,
/* 24976*/     OPC_Scope, 25, /*->25003*/ // 2 children in Scope
/* 24978*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24980*/      OPC_EmitMergeInputChains1_0,
/* 24981*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24984*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24987*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24994*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 10
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25003*/     /*Scope*/ 25, /*->25029*/
/* 25004*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25006*/      OPC_EmitMergeInputChains1_0,
/* 25007*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25010*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25013*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25020*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 10
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25029*/     0, /*End of Scope*/
/* 25030*/    /*Scope*/ 60, /*->25091*/
/* 25031*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25033*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 25035*/     OPC_CheckType, MVT::i32,
/* 25037*/     OPC_Scope, 25, /*->25064*/ // 2 children in Scope
/* 25039*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25041*/      OPC_EmitMergeInputChains1_0,
/* 25042*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25045*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25048*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25055*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 10
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25064*/     /*Scope*/ 25, /*->25090*/
/* 25065*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25067*/      OPC_EmitMergeInputChains1_0,
/* 25068*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25071*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25074*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25081*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 10
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25090*/     0, /*End of Scope*/
/* 25091*/    /*Scope*/ 60, /*->25152*/
/* 25092*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 25094*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 25096*/     OPC_CheckType, MVT::i32,
/* 25098*/     OPC_Scope, 25, /*->25125*/ // 2 children in Scope
/* 25100*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25102*/      OPC_EmitMergeInputChains1_0,
/* 25103*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25106*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25109*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25116*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 10
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25125*/     /*Scope*/ 25, /*->25151*/
/* 25126*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25128*/      OPC_EmitMergeInputChains1_0,
/* 25129*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25132*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25135*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25142*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 10
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25151*/     0, /*End of Scope*/
/* 25152*/    /*Scope*/ 60, /*->25213*/
/* 25153*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25155*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 25157*/     OPC_CheckType, MVT::i64,
/* 25159*/     OPC_Scope, 25, /*->25186*/ // 2 children in Scope
/* 25161*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25163*/      OPC_EmitMergeInputChains1_0,
/* 25164*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25167*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25170*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25177*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 10
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25186*/     /*Scope*/ 25, /*->25212*/
/* 25187*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25189*/      OPC_EmitMergeInputChains1_0,
/* 25190*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25193*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25196*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25203*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 10
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25212*/     0, /*End of Scope*/
/* 25213*/    /*Scope*/ 60, /*->25274*/
/* 25214*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 25216*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 25218*/     OPC_CheckType, MVT::i64,
/* 25220*/     OPC_Scope, 25, /*->25247*/ // 2 children in Scope
/* 25222*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25224*/      OPC_EmitMergeInputChains1_0,
/* 25225*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25228*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25231*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25238*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 10
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25247*/     /*Scope*/ 25, /*->25273*/
/* 25248*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25250*/      OPC_EmitMergeInputChains1_0,
/* 25251*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25254*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25257*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25264*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 10
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25273*/     0, /*End of Scope*/
/* 25274*/    /*Scope*/ 60, /*->25335*/
/* 25275*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25277*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 25279*/     OPC_CheckType, MVT::i64,
/* 25281*/     OPC_Scope, 25, /*->25308*/ // 2 children in Scope
/* 25283*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25285*/      OPC_EmitMergeInputChains1_0,
/* 25286*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25289*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25292*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25299*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 10
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25308*/     /*Scope*/ 25, /*->25334*/
/* 25309*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25311*/      OPC_EmitMergeInputChains1_0,
/* 25312*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25315*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25318*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25325*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 10
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25334*/     0, /*End of Scope*/
/* 25335*/    /*Scope*/ 60, /*->25396*/
/* 25336*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 25338*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 25340*/     OPC_CheckType, MVT::i64,
/* 25342*/     OPC_Scope, 25, /*->25369*/ // 2 children in Scope
/* 25344*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25346*/      OPC_EmitMergeInputChains1_0,
/* 25347*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25350*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25353*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25360*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 10
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25369*/     /*Scope*/ 25, /*->25395*/
/* 25370*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25372*/      OPC_EmitMergeInputChains1_0,
/* 25373*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25376*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25379*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25386*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 10
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25395*/     0, /*End of Scope*/
/* 25396*/    /*Scope*/ 60, /*->25457*/
/* 25397*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25399*/     OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 25401*/     OPC_CheckType, MVT::i64,
/* 25403*/     OPC_Scope, 25, /*->25430*/ // 2 children in Scope
/* 25405*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25407*/      OPC_EmitMergeInputChains1_0,
/* 25408*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25411*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25414*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25421*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 10
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25430*/     /*Scope*/ 25, /*->25456*/
/* 25431*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25433*/      OPC_EmitMergeInputChains1_0,
/* 25434*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25437*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25440*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25447*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 10
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25456*/     0, /*End of Scope*/
/* 25457*/    /*Scope*/ 60, /*->25518*/
/* 25458*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 25460*/     OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 25462*/     OPC_CheckType, MVT::i64,
/* 25464*/     OPC_Scope, 25, /*->25491*/ // 2 children in Scope
/* 25466*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25468*/      OPC_EmitMergeInputChains1_0,
/* 25469*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25472*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25475*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25482*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 10
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25491*/     /*Scope*/ 25, /*->25517*/
/* 25492*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25494*/      OPC_EmitMergeInputChains1_0,
/* 25495*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25498*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25501*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25508*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 10
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25517*/     0, /*End of Scope*/
/* 25518*/    /*Scope*/ 42|128,2/*298*/, /*->25818*/
/* 25520*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 25522*/     OPC_SwitchType /*2 cases */, 116, MVT::i32,// ->25641
/* 25525*/      OPC_Scope, 56, /*->25583*/ // 2 children in Scope
/* 25527*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 25529*/       OPC_Scope, 25, /*->25556*/ // 2 children in Scope
/* 25531*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25533*/        OPC_EmitMergeInputChains1_0,
/* 25534*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25537*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25540*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25547*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 10
                  // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25556*/       /*Scope*/ 25, /*->25582*/
/* 25557*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25559*/        OPC_EmitMergeInputChains1_0,
/* 25560*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25563*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25566*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25573*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 10
                  // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25582*/       0, /*End of Scope*/
/* 25583*/      /*Scope*/ 56, /*->25640*/
/* 25584*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 25586*/       OPC_Scope, 25, /*->25613*/ // 2 children in Scope
/* 25588*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25590*/        OPC_EmitMergeInputChains1_0,
/* 25591*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25594*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25597*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25604*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 10
                  // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25613*/       /*Scope*/ 25, /*->25639*/
/* 25614*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25616*/        OPC_EmitMergeInputChains1_0,
/* 25617*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25620*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25623*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25630*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 10
                  // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25639*/       0, /*End of Scope*/
/* 25640*/      0, /*End of Scope*/
/* 25641*/     /*SwitchType*/ 45|128,1/*173*/, MVT::i64,// ->25817
/* 25644*/      OPC_Scope, 56, /*->25702*/ // 3 children in Scope
/* 25646*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 25648*/       OPC_Scope, 25, /*->25675*/ // 2 children in Scope
/* 25650*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25652*/        OPC_EmitMergeInputChains1_0,
/* 25653*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25656*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25659*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25666*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 10
                  // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25675*/       /*Scope*/ 25, /*->25701*/
/* 25676*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25678*/        OPC_EmitMergeInputChains1_0,
/* 25679*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25682*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25685*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25692*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 10
                  // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25701*/       0, /*End of Scope*/
/* 25702*/      /*Scope*/ 56, /*->25759*/
/* 25703*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 25705*/       OPC_Scope, 25, /*->25732*/ // 2 children in Scope
/* 25707*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25709*/        OPC_EmitMergeInputChains1_0,
/* 25710*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25713*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25716*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25723*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 10
                  // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25732*/       /*Scope*/ 25, /*->25758*/
/* 25733*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25735*/        OPC_EmitMergeInputChains1_0,
/* 25736*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25739*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25742*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25749*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 10
                  // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25758*/       0, /*End of Scope*/
/* 25759*/      /*Scope*/ 56, /*->25816*/
/* 25760*/       OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 25762*/       OPC_Scope, 25, /*->25789*/ // 2 children in Scope
/* 25764*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25766*/        OPC_EmitMergeInputChains1_0,
/* 25767*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25770*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25773*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25780*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 10
                  // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25789*/       /*Scope*/ 25, /*->25815*/
/* 25790*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25792*/        OPC_EmitMergeInputChains1_0,
/* 25793*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25796*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25799*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25806*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 10
                  // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25815*/       0, /*End of Scope*/
/* 25816*/      0, /*End of Scope*/
/* 25817*/     0, // EndSwitchType
/* 25818*/    0, /*End of Scope*/
/* 25819*/   0, // EndSwitchOpcode
/* 25820*/  /*Scope*/ 31|128,15/*1951*/, /*->27773*/
/* 25822*/   OPC_RecordChild1, // #1 = $off
/* 25823*/   OPC_Scope, 80|128,8/*1104*/, /*->26930*/ // 3 children in Scope
/* 25826*/    OPC_MoveChild1,
/* 25827*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 25830*/    OPC_MoveParent,
/* 25831*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 25833*/    OPC_Scope, 124, /*->25959*/ // 12 children in Scope
/* 25835*/     OPC_CheckPredicate, 18, // Predicate_load
/* 25837*/     OPC_SwitchType /*2 cases */, 58, MVT::i32,// ->25898
/* 25840*/      OPC_Scope, 27, /*->25869*/ // 2 children in Scope
/* 25842*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25844*/       OPC_EmitMergeInputChains1_0,
/* 25845*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25848*/       OPC_EmitConvertToTarget, 1,
/* 25850*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25853*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25860*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25869*/      /*Scope*/ 27, /*->25897*/
/* 25870*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25872*/       OPC_EmitMergeInputChains1_0,
/* 25873*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25876*/       OPC_EmitConvertToTarget, 1,
/* 25878*/       OPC_EmitInteger, MVT::i64, 0, 
/* 25881*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 25888*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25897*/      0, /*End of Scope*/
/* 25898*/     /*SwitchType*/ 58, MVT::i64,// ->25958
/* 25900*/      OPC_Scope, 27, /*->25929*/ // 2 children in Scope
/* 25902*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25904*/       OPC_EmitMergeInputChains1_0,
/* 25905*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25908*/       OPC_EmitConvertToTarget, 1,
/* 25910*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25913*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25920*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25929*/      /*Scope*/ 27, /*->25957*/
/* 25930*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25932*/       OPC_EmitMergeInputChains1_0,
/* 25933*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25936*/       OPC_EmitConvertToTarget, 1,
/* 25938*/       OPC_EmitInteger, MVT::i64, 0, 
/* 25941*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 25948*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25957*/      0, /*End of Scope*/
/* 25958*/     0, // EndSwitchType
/* 25959*/    /*Scope*/ 64, /*->26024*/
/* 25960*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25962*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 25964*/     OPC_CheckType, MVT::i32,
/* 25966*/     OPC_Scope, 27, /*->25995*/ // 2 children in Scope
/* 25968*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25970*/      OPC_EmitMergeInputChains1_0,
/* 25971*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25974*/      OPC_EmitConvertToTarget, 1,
/* 25976*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25979*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25986*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 7
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25995*/     /*Scope*/ 27, /*->26023*/
/* 25996*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25998*/      OPC_EmitMergeInputChains1_0,
/* 25999*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26002*/      OPC_EmitConvertToTarget, 1,
/* 26004*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26007*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26014*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 7
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26023*/     0, /*End of Scope*/
/* 26024*/    /*Scope*/ 64, /*->26089*/
/* 26025*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26027*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 26029*/     OPC_CheckType, MVT::i32,
/* 26031*/     OPC_Scope, 27, /*->26060*/ // 2 children in Scope
/* 26033*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26035*/      OPC_EmitMergeInputChains1_0,
/* 26036*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26039*/      OPC_EmitConvertToTarget, 1,
/* 26041*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26044*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26051*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 7
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26060*/     /*Scope*/ 27, /*->26088*/
/* 26061*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26063*/      OPC_EmitMergeInputChains1_0,
/* 26064*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26067*/      OPC_EmitConvertToTarget, 1,
/* 26069*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26072*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26079*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 7
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26088*/     0, /*End of Scope*/
/* 26089*/    /*Scope*/ 64, /*->26154*/
/* 26090*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26092*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 26094*/     OPC_CheckType, MVT::i32,
/* 26096*/     OPC_Scope, 27, /*->26125*/ // 2 children in Scope
/* 26098*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26100*/      OPC_EmitMergeInputChains1_0,
/* 26101*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26104*/      OPC_EmitConvertToTarget, 1,
/* 26106*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26109*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26116*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 7
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26125*/     /*Scope*/ 27, /*->26153*/
/* 26126*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26128*/      OPC_EmitMergeInputChains1_0,
/* 26129*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26132*/      OPC_EmitConvertToTarget, 1,
/* 26134*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26137*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26144*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 7
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26153*/     0, /*End of Scope*/
/* 26154*/    /*Scope*/ 64, /*->26219*/
/* 26155*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26157*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 26159*/     OPC_CheckType, MVT::i32,
/* 26161*/     OPC_Scope, 27, /*->26190*/ // 2 children in Scope
/* 26163*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26165*/      OPC_EmitMergeInputChains1_0,
/* 26166*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26169*/      OPC_EmitConvertToTarget, 1,
/* 26171*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26174*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26181*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 7
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26190*/     /*Scope*/ 27, /*->26218*/
/* 26191*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26193*/      OPC_EmitMergeInputChains1_0,
/* 26194*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26197*/      OPC_EmitConvertToTarget, 1,
/* 26199*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26202*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26209*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 7
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26218*/     0, /*End of Scope*/
/* 26219*/    /*Scope*/ 64, /*->26284*/
/* 26220*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26222*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 26224*/     OPC_CheckType, MVT::i64,
/* 26226*/     OPC_Scope, 27, /*->26255*/ // 2 children in Scope
/* 26228*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26230*/      OPC_EmitMergeInputChains1_0,
/* 26231*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26234*/      OPC_EmitConvertToTarget, 1,
/* 26236*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26239*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26246*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 7
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26255*/     /*Scope*/ 27, /*->26283*/
/* 26256*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26258*/      OPC_EmitMergeInputChains1_0,
/* 26259*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26262*/      OPC_EmitConvertToTarget, 1,
/* 26264*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26267*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26274*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 7
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26283*/     0, /*End of Scope*/
/* 26284*/    /*Scope*/ 64, /*->26349*/
/* 26285*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26287*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 26289*/     OPC_CheckType, MVT::i64,
/* 26291*/     OPC_Scope, 27, /*->26320*/ // 2 children in Scope
/* 26293*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26295*/      OPC_EmitMergeInputChains1_0,
/* 26296*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26299*/      OPC_EmitConvertToTarget, 1,
/* 26301*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26304*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26311*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 7
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26320*/     /*Scope*/ 27, /*->26348*/
/* 26321*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26323*/      OPC_EmitMergeInputChains1_0,
/* 26324*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26327*/      OPC_EmitConvertToTarget, 1,
/* 26329*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26332*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26339*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 7
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26348*/     0, /*End of Scope*/
/* 26349*/    /*Scope*/ 64, /*->26414*/
/* 26350*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26352*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 26354*/     OPC_CheckType, MVT::i64,
/* 26356*/     OPC_Scope, 27, /*->26385*/ // 2 children in Scope
/* 26358*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26360*/      OPC_EmitMergeInputChains1_0,
/* 26361*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26364*/      OPC_EmitConvertToTarget, 1,
/* 26366*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26369*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26376*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 7
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26385*/     /*Scope*/ 27, /*->26413*/
/* 26386*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26388*/      OPC_EmitMergeInputChains1_0,
/* 26389*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26392*/      OPC_EmitConvertToTarget, 1,
/* 26394*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26397*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26404*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 7
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26413*/     0, /*End of Scope*/
/* 26414*/    /*Scope*/ 64, /*->26479*/
/* 26415*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26417*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 26419*/     OPC_CheckType, MVT::i64,
/* 26421*/     OPC_Scope, 27, /*->26450*/ // 2 children in Scope
/* 26423*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26425*/      OPC_EmitMergeInputChains1_0,
/* 26426*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26429*/      OPC_EmitConvertToTarget, 1,
/* 26431*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26434*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26441*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 7
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26450*/     /*Scope*/ 27, /*->26478*/
/* 26451*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26453*/      OPC_EmitMergeInputChains1_0,
/* 26454*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26457*/      OPC_EmitConvertToTarget, 1,
/* 26459*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26462*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26469*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 7
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26478*/     0, /*End of Scope*/
/* 26479*/    /*Scope*/ 64, /*->26544*/
/* 26480*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26482*/     OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 26484*/     OPC_CheckType, MVT::i64,
/* 26486*/     OPC_Scope, 27, /*->26515*/ // 2 children in Scope
/* 26488*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26490*/      OPC_EmitMergeInputChains1_0,
/* 26491*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26494*/      OPC_EmitConvertToTarget, 1,
/* 26496*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26499*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26506*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 7
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26515*/     /*Scope*/ 27, /*->26543*/
/* 26516*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26518*/      OPC_EmitMergeInputChains1_0,
/* 26519*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26522*/      OPC_EmitConvertToTarget, 1,
/* 26524*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26527*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26534*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 7
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26543*/     0, /*End of Scope*/
/* 26544*/    /*Scope*/ 64, /*->26609*/
/* 26545*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26547*/     OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 26549*/     OPC_CheckType, MVT::i64,
/* 26551*/     OPC_Scope, 27, /*->26580*/ // 2 children in Scope
/* 26553*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26555*/      OPC_EmitMergeInputChains1_0,
/* 26556*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26559*/      OPC_EmitConvertToTarget, 1,
/* 26561*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26564*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26571*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 7
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26580*/     /*Scope*/ 27, /*->26608*/
/* 26581*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26583*/      OPC_EmitMergeInputChains1_0,
/* 26584*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26587*/      OPC_EmitConvertToTarget, 1,
/* 26589*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26592*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26599*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 7
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26608*/     0, /*End of Scope*/
/* 26609*/    /*Scope*/ 62|128,2/*318*/, /*->26929*/
/* 26611*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 26613*/     OPC_SwitchType /*2 cases */, 124, MVT::i32,// ->26740
/* 26616*/      OPC_Scope, 60, /*->26678*/ // 2 children in Scope
/* 26618*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 26620*/       OPC_Scope, 27, /*->26649*/ // 2 children in Scope
/* 26622*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26624*/        OPC_EmitMergeInputChains1_0,
/* 26625*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26628*/        OPC_EmitConvertToTarget, 1,
/* 26630*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26633*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26640*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 7
                  // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26649*/       /*Scope*/ 27, /*->26677*/
/* 26650*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26652*/        OPC_EmitMergeInputChains1_0,
/* 26653*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26656*/        OPC_EmitConvertToTarget, 1,
/* 26658*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26661*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26668*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 7
                  // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26677*/       0, /*End of Scope*/
/* 26678*/      /*Scope*/ 60, /*->26739*/
/* 26679*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 26681*/       OPC_Scope, 27, /*->26710*/ // 2 children in Scope
/* 26683*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26685*/        OPC_EmitMergeInputChains1_0,
/* 26686*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26689*/        OPC_EmitConvertToTarget, 1,
/* 26691*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26694*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26701*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 7
                  // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26710*/       /*Scope*/ 27, /*->26738*/
/* 26711*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26713*/        OPC_EmitMergeInputChains1_0,
/* 26714*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26717*/        OPC_EmitConvertToTarget, 1,
/* 26719*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26722*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26729*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 7
                  // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26738*/       0, /*End of Scope*/
/* 26739*/      0, /*End of Scope*/
/* 26740*/     /*SwitchType*/ 57|128,1/*185*/, MVT::i64,// ->26928
/* 26743*/      OPC_Scope, 60, /*->26805*/ // 3 children in Scope
/* 26745*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 26747*/       OPC_Scope, 27, /*->26776*/ // 2 children in Scope
/* 26749*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26751*/        OPC_EmitMergeInputChains1_0,
/* 26752*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26755*/        OPC_EmitConvertToTarget, 1,
/* 26757*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26760*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26767*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 7
                  // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26776*/       /*Scope*/ 27, /*->26804*/
/* 26777*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26779*/        OPC_EmitMergeInputChains1_0,
/* 26780*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26783*/        OPC_EmitConvertToTarget, 1,
/* 26785*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26788*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26795*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 7
                  // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26804*/       0, /*End of Scope*/
/* 26805*/      /*Scope*/ 60, /*->26866*/
/* 26806*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 26808*/       OPC_Scope, 27, /*->26837*/ // 2 children in Scope
/* 26810*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26812*/        OPC_EmitMergeInputChains1_0,
/* 26813*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26816*/        OPC_EmitConvertToTarget, 1,
/* 26818*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26821*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26828*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 7
                  // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26837*/       /*Scope*/ 27, /*->26865*/
/* 26838*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26840*/        OPC_EmitMergeInputChains1_0,
/* 26841*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26844*/        OPC_EmitConvertToTarget, 1,
/* 26846*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26849*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26856*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 7
                  // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26865*/       0, /*End of Scope*/
/* 26866*/      /*Scope*/ 60, /*->26927*/
/* 26867*/       OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 26869*/       OPC_Scope, 27, /*->26898*/ // 2 children in Scope
/* 26871*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26873*/        OPC_EmitMergeInputChains1_0,
/* 26874*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26877*/        OPC_EmitConvertToTarget, 1,
/* 26879*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26882*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26889*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 7
                  // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26898*/       /*Scope*/ 27, /*->26926*/
/* 26899*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26901*/        OPC_EmitMergeInputChains1_0,
/* 26902*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26905*/        OPC_EmitConvertToTarget, 1,
/* 26907*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26910*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26917*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 7
                  // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26926*/       0, /*End of Scope*/
/* 26927*/      0, /*End of Scope*/
/* 26928*/     0, // EndSwitchType
/* 26929*/    0, /*End of Scope*/
/* 26930*/   /*Scope*/ 35|128,3/*419*/, /*->27351*/
/* 26932*/    OPC_CheckChild1Type, MVT::i32,
/* 26934*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 26936*/    OPC_Scope, 44, /*->26982*/ // 12 children in Scope
/* 26938*/     OPC_CheckPredicate, 18, // Predicate_load
/* 26940*/     OPC_SwitchType /*2 cases */, 18, MVT::i32,// ->26961
/* 26943*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26945*/      OPC_EmitMergeInputChains1_0,
/* 26946*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26949*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26952*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26961*/     /*SwitchType*/ 18, MVT::i64,// ->26981
/* 26963*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26965*/      OPC_EmitMergeInputChains1_0,
/* 26966*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26969*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26972*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26981*/     0, // EndSwitchType
/* 26982*/    /*Scope*/ 24, /*->27007*/
/* 26983*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26985*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 26987*/     OPC_CheckType, MVT::i32,
/* 26989*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26991*/     OPC_EmitMergeInputChains1_0,
/* 26992*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26995*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26998*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 4
               // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27007*/    /*Scope*/ 24, /*->27032*/
/* 27008*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27010*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 27012*/     OPC_CheckType, MVT::i32,
/* 27014*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27016*/     OPC_EmitMergeInputChains1_0,
/* 27017*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27020*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27023*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 4
               // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27032*/    /*Scope*/ 24, /*->27057*/
/* 27033*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27035*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 27037*/     OPC_CheckType, MVT::i32,
/* 27039*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27041*/     OPC_EmitMergeInputChains1_0,
/* 27042*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27045*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27048*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 4
               // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27057*/    /*Scope*/ 24, /*->27082*/
/* 27058*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27060*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 27062*/     OPC_CheckType, MVT::i32,
/* 27064*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27066*/     OPC_EmitMergeInputChains1_0,
/* 27067*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27070*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27073*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 4
               // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27082*/    /*Scope*/ 24, /*->27107*/
/* 27083*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27085*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 27087*/     OPC_CheckType, MVT::i64,
/* 27089*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27091*/     OPC_EmitMergeInputChains1_0,
/* 27092*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27095*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27098*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 4
               // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27107*/    /*Scope*/ 24, /*->27132*/
/* 27108*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27110*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 27112*/     OPC_CheckType, MVT::i64,
/* 27114*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27116*/     OPC_EmitMergeInputChains1_0,
/* 27117*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27120*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27123*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 4
               // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27132*/    /*Scope*/ 24, /*->27157*/
/* 27133*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27135*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 27137*/     OPC_CheckType, MVT::i64,
/* 27139*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27141*/     OPC_EmitMergeInputChains1_0,
/* 27142*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27145*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27148*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 4
               // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27157*/    /*Scope*/ 24, /*->27182*/
/* 27158*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27160*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 27162*/     OPC_CheckType, MVT::i64,
/* 27164*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27166*/     OPC_EmitMergeInputChains1_0,
/* 27167*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27170*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27173*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 4
               // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27182*/    /*Scope*/ 24, /*->27207*/
/* 27183*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27185*/     OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 27187*/     OPC_CheckType, MVT::i64,
/* 27189*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27191*/     OPC_EmitMergeInputChains1_0,
/* 27192*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27195*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27198*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 4
               // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27207*/    /*Scope*/ 24, /*->27232*/
/* 27208*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27210*/     OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 27212*/     OPC_CheckType, MVT::i64,
/* 27214*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27216*/     OPC_EmitMergeInputChains1_0,
/* 27217*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27220*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27223*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 4
               // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27232*/    /*Scope*/ 117, /*->27350*/
/* 27233*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 27235*/     OPC_SwitchType /*2 cases */, 44, MVT::i32,// ->27282
/* 27238*/      OPC_Scope, 20, /*->27260*/ // 2 children in Scope
/* 27240*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 27242*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27244*/       OPC_EmitMergeInputChains1_0,
/* 27245*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27248*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27251*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 4
                 // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27260*/      /*Scope*/ 20, /*->27281*/
/* 27261*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 27263*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27265*/       OPC_EmitMergeInputChains1_0,
/* 27266*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27269*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27272*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 4
                 // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27281*/      0, /*End of Scope*/
/* 27282*/     /*SwitchType*/ 65, MVT::i64,// ->27349
/* 27284*/      OPC_Scope, 20, /*->27306*/ // 3 children in Scope
/* 27286*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 27288*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27290*/       OPC_EmitMergeInputChains1_0,
/* 27291*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27294*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27297*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 4
                 // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27306*/      /*Scope*/ 20, /*->27327*/
/* 27307*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 27309*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27311*/       OPC_EmitMergeInputChains1_0,
/* 27312*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27315*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27318*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 4
                 // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27327*/      /*Scope*/ 20, /*->27348*/
/* 27328*/       OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 27330*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27332*/       OPC_EmitMergeInputChains1_0,
/* 27333*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27336*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27339*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 4
                 // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27348*/      0, /*End of Scope*/
/* 27349*/     0, // EndSwitchType
/* 27350*/    0, /*End of Scope*/
/* 27351*/   /*Scope*/ 35|128,3/*419*/, /*->27772*/
/* 27353*/    OPC_CheckChild1Type, MVT::i64,
/* 27355*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27357*/    OPC_Scope, 44, /*->27403*/ // 12 children in Scope
/* 27359*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27361*/     OPC_SwitchType /*2 cases */, 18, MVT::i32,// ->27382
/* 27364*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27366*/      OPC_EmitMergeInputChains1_0,
/* 27367*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27370*/      OPC_EmitInteger, MVT::i64, 0, 
/* 27373*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27382*/     /*SwitchType*/ 18, MVT::i64,// ->27402
/* 27384*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27386*/      OPC_EmitMergeInputChains1_0,
/* 27387*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27390*/      OPC_EmitInteger, MVT::i64, 0, 
/* 27393*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27402*/     0, // EndSwitchType
/* 27403*/    /*Scope*/ 24, /*->27428*/
/* 27404*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27406*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 27408*/     OPC_CheckType, MVT::i32,
/* 27410*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27412*/     OPC_EmitMergeInputChains1_0,
/* 27413*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27416*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27419*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 4
               // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27428*/    /*Scope*/ 24, /*->27453*/
/* 27429*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27431*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 27433*/     OPC_CheckType, MVT::i32,
/* 27435*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27437*/     OPC_EmitMergeInputChains1_0,
/* 27438*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27441*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27444*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 4
               // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27453*/    /*Scope*/ 24, /*->27478*/
/* 27454*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27456*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 27458*/     OPC_CheckType, MVT::i32,
/* 27460*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27462*/     OPC_EmitMergeInputChains1_0,
/* 27463*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27466*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27469*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 4
               // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27478*/    /*Scope*/ 24, /*->27503*/
/* 27479*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27481*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 27483*/     OPC_CheckType, MVT::i32,
/* 27485*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27487*/     OPC_EmitMergeInputChains1_0,
/* 27488*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27491*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27494*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 4
               // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27503*/    /*Scope*/ 24, /*->27528*/
/* 27504*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27506*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 27508*/     OPC_CheckType, MVT::i64,
/* 27510*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27512*/     OPC_EmitMergeInputChains1_0,
/* 27513*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27516*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27519*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 4
               // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27528*/    /*Scope*/ 24, /*->27553*/
/* 27529*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27531*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 27533*/     OPC_CheckType, MVT::i64,
/* 27535*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27537*/     OPC_EmitMergeInputChains1_0,
/* 27538*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27541*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27544*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 4
               // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27553*/    /*Scope*/ 24, /*->27578*/
/* 27554*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27556*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 27558*/     OPC_CheckType, MVT::i64,
/* 27560*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27562*/     OPC_EmitMergeInputChains1_0,
/* 27563*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27566*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27569*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 4
               // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27578*/    /*Scope*/ 24, /*->27603*/
/* 27579*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27581*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 27583*/     OPC_CheckType, MVT::i64,
/* 27585*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27587*/     OPC_EmitMergeInputChains1_0,
/* 27588*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27591*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27594*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 4
               // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27603*/    /*Scope*/ 24, /*->27628*/
/* 27604*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27606*/     OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 27608*/     OPC_CheckType, MVT::i64,
/* 27610*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27612*/     OPC_EmitMergeInputChains1_0,
/* 27613*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27616*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27619*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 4
               // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27628*/    /*Scope*/ 24, /*->27653*/
/* 27629*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27631*/     OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 27633*/     OPC_CheckType, MVT::i64,
/* 27635*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27637*/     OPC_EmitMergeInputChains1_0,
/* 27638*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27641*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27644*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 4
               // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27653*/    /*Scope*/ 117, /*->27771*/
/* 27654*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 27656*/     OPC_SwitchType /*2 cases */, 44, MVT::i32,// ->27703
/* 27659*/      OPC_Scope, 20, /*->27681*/ // 2 children in Scope
/* 27661*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 27663*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27665*/       OPC_EmitMergeInputChains1_0,
/* 27666*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27669*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27672*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 4
                 // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27681*/      /*Scope*/ 20, /*->27702*/
/* 27682*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 27684*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27686*/       OPC_EmitMergeInputChains1_0,
/* 27687*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27690*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27693*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 4
                 // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27702*/      0, /*End of Scope*/
/* 27703*/     /*SwitchType*/ 65, MVT::i64,// ->27770
/* 27705*/      OPC_Scope, 20, /*->27727*/ // 3 children in Scope
/* 27707*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 27709*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27711*/       OPC_EmitMergeInputChains1_0,
/* 27712*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27715*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27718*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 4
                 // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27727*/      /*Scope*/ 20, /*->27748*/
/* 27728*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 27730*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27732*/       OPC_EmitMergeInputChains1_0,
/* 27733*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27736*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27739*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 4
                 // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27748*/      /*Scope*/ 20, /*->27769*/
/* 27749*/       OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 27751*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27753*/       OPC_EmitMergeInputChains1_0,
/* 27754*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27757*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27760*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 4
                 // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27769*/      0, /*End of Scope*/
/* 27770*/     0, // EndSwitchType
/* 27771*/    0, /*End of Scope*/
/* 27772*/   0, /*End of Scope*/
/* 27773*/  /*Scope*/ 91|128,2/*347*/, /*->28122*/
/* 27775*/   OPC_MoveChild1,
/* 27776*/   OPC_SwitchOpcode /*3 cases */, 105, TARGET_VAL(ISD::ADD),// ->27885
/* 27780*/    OPC_RecordChild0, // #1 = $addr
/* 27781*/    OPC_RecordChild1, // #2 = $off
/* 27782*/    OPC_MoveChild1,
/* 27783*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 27786*/    OPC_MoveParent,
/* 27787*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 27789*/    OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->27837
/* 27792*/     OPC_MoveParent,
/* 27793*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27795*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27797*/     OPC_SwitchType /*2 cases */, 17, MVT::f32,// ->27817
/* 27800*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27802*/      OPC_EmitMergeInputChains1_0,
/* 27803*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27806*/      OPC_EmitConvertToTarget, 2,
/* 27808*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 27817*/     /*SwitchType*/ 17, MVT::f64,// ->27836
/* 27819*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27821*/      OPC_EmitMergeInputChains1_0,
/* 27822*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27825*/      OPC_EmitConvertToTarget, 2,
/* 27827*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 27836*/     0, // EndSwitchType
/* 27837*/    /*SwitchType*/ 45, MVT::i64,// ->27884
/* 27839*/     OPC_MoveParent,
/* 27840*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27842*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27844*/     OPC_SwitchType /*2 cases */, 17, MVT::f32,// ->27864
/* 27847*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27849*/      OPC_EmitMergeInputChains1_0,
/* 27850*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27853*/      OPC_EmitConvertToTarget, 2,
/* 27855*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 27864*/     /*SwitchType*/ 17, MVT::f64,// ->27883
/* 27866*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27868*/      OPC_EmitMergeInputChains1_0,
/* 27869*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27872*/      OPC_EmitConvertToTarget, 2,
/* 27874*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 27883*/     0, // EndSwitchType
/* 27884*/    0, // EndSwitchType
/* 27885*/   /*SwitchOpcode*/ 105, TARGET_VAL(ISD::OR),// ->27993
/* 27888*/    OPC_RecordChild0, // #1 = $addr
/* 27889*/    OPC_RecordChild1, // #2 = $off
/* 27890*/    OPC_MoveChild1,
/* 27891*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 27894*/    OPC_MoveParent,
/* 27895*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 27897*/    OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->27945
/* 27900*/     OPC_MoveParent,
/* 27901*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27903*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27905*/     OPC_SwitchType /*2 cases */, 17, MVT::f32,// ->27925
/* 27908*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27910*/      OPC_EmitMergeInputChains1_0,
/* 27911*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27914*/      OPC_EmitConvertToTarget, 2,
/* 27916*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 27925*/     /*SwitchType*/ 17, MVT::f64,// ->27944
/* 27927*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27929*/      OPC_EmitMergeInputChains1_0,
/* 27930*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27933*/      OPC_EmitConvertToTarget, 2,
/* 27935*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 27944*/     0, // EndSwitchType
/* 27945*/    /*SwitchType*/ 45, MVT::i64,// ->27992
/* 27947*/     OPC_MoveParent,
/* 27948*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27950*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27952*/     OPC_SwitchType /*2 cases */, 17, MVT::f32,// ->27972
/* 27955*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27957*/      OPC_EmitMergeInputChains1_0,
/* 27958*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27961*/      OPC_EmitConvertToTarget, 2,
/* 27963*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 27972*/     /*SwitchType*/ 17, MVT::f64,// ->27991
/* 27974*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27976*/      OPC_EmitMergeInputChains1_0,
/* 27977*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27980*/      OPC_EmitConvertToTarget, 2,
/* 27982*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 27991*/     0, // EndSwitchType
/* 27992*/    0, // EndSwitchType
/* 27993*/   /*SwitchOpcode*/ 125, TARGET_VAL(WebAssemblyISD::Wrapper),// ->28121
/* 27996*/    OPC_RecordChild0, // #1 = $off
/* 27997*/    OPC_MoveChild0,
/* 27998*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 28001*/    OPC_MoveParent,
/* 28002*/    OPC_MoveParent,
/* 28003*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28005*/    OPC_CheckPredicate, 18, // Predicate_load
/* 28007*/    OPC_SwitchType /*2 cases */, 54, MVT::f32,// ->28064
/* 28010*/     OPC_Scope, 25, /*->28037*/ // 2 children in Scope
/* 28012*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 28014*/      OPC_EmitMergeInputChains1_0,
/* 28015*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28018*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28021*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 28028*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 28037*/     /*Scope*/ 25, /*->28063*/
/* 28038*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 28040*/      OPC_EmitMergeInputChains1_0,
/* 28041*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28044*/      OPC_EmitInteger, MVT::i64, 0, 
/* 28047*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 28054*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 28063*/     0, /*End of Scope*/
/* 28064*/    /*SwitchType*/ 54, MVT::f64,// ->28120
/* 28066*/     OPC_Scope, 25, /*->28093*/ // 2 children in Scope
/* 28068*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 28070*/      OPC_EmitMergeInputChains1_0,
/* 28071*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28074*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28077*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 28084*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 28093*/     /*Scope*/ 25, /*->28119*/
/* 28094*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 28096*/      OPC_EmitMergeInputChains1_0,
/* 28097*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28100*/      OPC_EmitInteger, MVT::i64, 0, 
/* 28103*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 28110*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 28119*/     0, /*End of Scope*/
/* 28120*/    0, // EndSwitchType
/* 28121*/   0, // EndSwitchOpcode
/* 28122*/  /*Scope*/ 106|128,1/*234*/, /*->28358*/
/* 28124*/   OPC_RecordChild1, // #1 = $off
/* 28125*/   OPC_Scope, 3|128,1/*131*/, /*->28259*/ // 3 children in Scope
/* 28128*/    OPC_MoveChild1,
/* 28129*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 28132*/    OPC_MoveParent,
/* 28133*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28135*/    OPC_CheckPredicate, 18, // Predicate_load
/* 28137*/    OPC_SwitchType /*2 cases */, 58, MVT::f32,// ->28198
/* 28140*/     OPC_Scope, 27, /*->28169*/ // 2 children in Scope
/* 28142*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28144*/      OPC_EmitMergeInputChains1_0,
/* 28145*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28148*/      OPC_EmitConvertToTarget, 1,
/* 28150*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28153*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 28160*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[f32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 28169*/     /*Scope*/ 27, /*->28197*/
/* 28170*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28172*/      OPC_EmitMergeInputChains1_0,
/* 28173*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28176*/      OPC_EmitConvertToTarget, 1,
/* 28178*/      OPC_EmitInteger, MVT::i64, 0, 
/* 28181*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 28188*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[f32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 28197*/     0, /*End of Scope*/
/* 28198*/    /*SwitchType*/ 58, MVT::f64,// ->28258
/* 28200*/     OPC_Scope, 27, /*->28229*/ // 2 children in Scope
/* 28202*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28204*/      OPC_EmitMergeInputChains1_0,
/* 28205*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28208*/      OPC_EmitConvertToTarget, 1,
/* 28210*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28213*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 28220*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[f64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 28229*/     /*Scope*/ 27, /*->28257*/
/* 28230*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28232*/      OPC_EmitMergeInputChains1_0,
/* 28233*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28236*/      OPC_EmitConvertToTarget, 1,
/* 28238*/      OPC_EmitInteger, MVT::i64, 0, 
/* 28241*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 28248*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[f64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 28257*/     0, /*End of Scope*/
/* 28258*/    0, // EndSwitchType
/* 28259*/   /*Scope*/ 48, /*->28308*/
/* 28260*/    OPC_CheckChild1Type, MVT::i32,
/* 28262*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28264*/    OPC_CheckPredicate, 18, // Predicate_load
/* 28266*/    OPC_SwitchType /*2 cases */, 18, MVT::f32,// ->28287
/* 28269*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28271*/     OPC_EmitMergeInputChains1_0,
/* 28272*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28275*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28278*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::f32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[f32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
               // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 28287*/    /*SwitchType*/ 18, MVT::f64,// ->28307
/* 28289*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28291*/     OPC_EmitMergeInputChains1_0,
/* 28292*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28295*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28298*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::f64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
               // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 28307*/    0, // EndSwitchType
/* 28308*/   /*Scope*/ 48, /*->28357*/
/* 28309*/    OPC_CheckChild1Type, MVT::i64,
/* 28311*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28313*/    OPC_CheckPredicate, 18, // Predicate_load
/* 28315*/    OPC_SwitchType /*2 cases */, 18, MVT::f32,// ->28336
/* 28318*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28320*/     OPC_EmitMergeInputChains1_0,
/* 28321*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28324*/     OPC_EmitInteger, MVT::i64, 0, 
/* 28327*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::f32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[f32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
               // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 28336*/    /*SwitchType*/ 18, MVT::f64,// ->28356
/* 28338*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28340*/     OPC_EmitMergeInputChains1_0,
/* 28341*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28344*/     OPC_EmitInteger, MVT::i64, 0, 
/* 28347*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::f64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
               // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 28356*/    0, // EndSwitchType
/* 28357*/   0, /*End of Scope*/
/* 28358*/  /*Scope*/ 127|128,15/*2047*/, /*->30407*/
/* 28360*/   OPC_MoveChild1,
/* 28361*/   OPC_SwitchOpcode /*3 cases */, 109|128,4/*621*/, TARGET_VAL(ISD::ADD),// ->28987
/* 28366*/    OPC_RecordChild0, // #1 = $addr
/* 28367*/    OPC_RecordChild1, // #2 = $off
/* 28368*/    OPC_MoveChild1,
/* 28369*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 28372*/    OPC_MoveParent,
/* 28373*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 28375*/    OPC_SwitchType /*2 cases */, 46|128,2/*302*/, MVT::i32,// ->28681
/* 28379*/     OPC_MoveParent,
/* 28380*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28382*/     OPC_Scope, 80, /*->28464*/ // 10 children in Scope
/* 28384*/      OPC_CheckPredicate, 18, // Predicate_load
/* 28386*/      OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->28406
/* 28389*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28391*/       OPC_EmitMergeInputChains1_0,
/* 28392*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28395*/       OPC_EmitConvertToTarget, 2,
/* 28397*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v16i8] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28406*/      /*SwitchType*/ 17, MVT::v8i16,// ->28425
/* 28408*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28410*/       OPC_EmitMergeInputChains1_0,
/* 28411*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28414*/       OPC_EmitConvertToTarget, 2,
/* 28416*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28425*/      /*SwitchType*/ 17, MVT::v4i32,// ->28444
/* 28427*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28429*/       OPC_EmitMergeInputChains1_0,
/* 28430*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28433*/       OPC_EmitConvertToTarget, 2,
/* 28435*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28444*/      /*SwitchType*/ 17, MVT::v2i64,// ->28463
/* 28446*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28448*/       OPC_EmitMergeInputChains1_0,
/* 28449*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28452*/       OPC_EmitConvertToTarget, 2,
/* 28454*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28463*/      0, // EndSwitchType
/* 28464*/     /*Scope*/ 23, /*->28488*/
/* 28465*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28467*/      OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 28469*/      OPC_CheckType, MVT::v8i16,
/* 28471*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28473*/      OPC_EmitMergeInputChains1_0,
/* 28474*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28477*/      OPC_EmitConvertToTarget, 2,
/* 28479*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28488*/     /*Scope*/ 23, /*->28512*/
/* 28489*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28491*/      OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 28493*/      OPC_CheckType, MVT::v8i16,
/* 28495*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28497*/      OPC_EmitMergeInputChains1_0,
/* 28498*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28501*/      OPC_EmitConvertToTarget, 2,
/* 28503*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28512*/     /*Scope*/ 23, /*->28536*/
/* 28513*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28515*/      OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 28517*/      OPC_CheckType, MVT::v8i16,
/* 28519*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28521*/      OPC_EmitMergeInputChains1_0,
/* 28522*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28525*/      OPC_EmitConvertToTarget, 2,
/* 28527*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28536*/     /*Scope*/ 23, /*->28560*/
/* 28537*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28539*/      OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 28541*/      OPC_CheckType, MVT::v4i32,
/* 28543*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28545*/      OPC_EmitMergeInputChains1_0,
/* 28546*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28549*/      OPC_EmitConvertToTarget, 2,
/* 28551*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28560*/     /*Scope*/ 23, /*->28584*/
/* 28561*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28563*/      OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 28565*/      OPC_CheckType, MVT::v4i32,
/* 28567*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28569*/      OPC_EmitMergeInputChains1_0,
/* 28570*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28573*/      OPC_EmitConvertToTarget, 2,
/* 28575*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28584*/     /*Scope*/ 23, /*->28608*/
/* 28585*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28587*/      OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 28589*/      OPC_CheckType, MVT::v4i32,
/* 28591*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28593*/      OPC_EmitMergeInputChains1_0,
/* 28594*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28597*/      OPC_EmitConvertToTarget, 2,
/* 28599*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28608*/     /*Scope*/ 23, /*->28632*/
/* 28609*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28611*/      OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 28613*/      OPC_CheckType, MVT::v2i64,
/* 28615*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28617*/      OPC_EmitMergeInputChains1_0,
/* 28618*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28621*/      OPC_EmitConvertToTarget, 2,
/* 28623*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28632*/     /*Scope*/ 23, /*->28656*/
/* 28633*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28635*/      OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 28637*/      OPC_CheckType, MVT::v2i64,
/* 28639*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28641*/      OPC_EmitMergeInputChains1_0,
/* 28642*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28645*/      OPC_EmitConvertToTarget, 2,
/* 28647*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28656*/     /*Scope*/ 23, /*->28680*/
/* 28657*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28659*/      OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 28661*/      OPC_CheckType, MVT::v2i64,
/* 28663*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28665*/      OPC_EmitMergeInputChains1_0,
/* 28666*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28669*/      OPC_EmitConvertToTarget, 2,
/* 28671*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28680*/     0, /*End of Scope*/
/* 28681*/    /*SwitchType*/ 46|128,2/*302*/, MVT::i64,// ->28986
/* 28684*/     OPC_MoveParent,
/* 28685*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28687*/     OPC_Scope, 80, /*->28769*/ // 10 children in Scope
/* 28689*/      OPC_CheckPredicate, 18, // Predicate_load
/* 28691*/      OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->28711
/* 28694*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28696*/       OPC_EmitMergeInputChains1_0,
/* 28697*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28700*/       OPC_EmitConvertToTarget, 2,
/* 28702*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v16i8] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28711*/      /*SwitchType*/ 17, MVT::v8i16,// ->28730
/* 28713*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28715*/       OPC_EmitMergeInputChains1_0,
/* 28716*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28719*/       OPC_EmitConvertToTarget, 2,
/* 28721*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28730*/      /*SwitchType*/ 17, MVT::v4i32,// ->28749
/* 28732*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28734*/       OPC_EmitMergeInputChains1_0,
/* 28735*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28738*/       OPC_EmitConvertToTarget, 2,
/* 28740*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28749*/      /*SwitchType*/ 17, MVT::v2i64,// ->28768
/* 28751*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28753*/       OPC_EmitMergeInputChains1_0,
/* 28754*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28757*/       OPC_EmitConvertToTarget, 2,
/* 28759*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28768*/      0, // EndSwitchType
/* 28769*/     /*Scope*/ 23, /*->28793*/
/* 28770*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28772*/      OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 28774*/      OPC_CheckType, MVT::v8i16,
/* 28776*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28778*/      OPC_EmitMergeInputChains1_0,
/* 28779*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28782*/      OPC_EmitConvertToTarget, 2,
/* 28784*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28793*/     /*Scope*/ 23, /*->28817*/
/* 28794*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28796*/      OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 28798*/      OPC_CheckType, MVT::v8i16,
/* 28800*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28802*/      OPC_EmitMergeInputChains1_0,
/* 28803*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28806*/      OPC_EmitConvertToTarget, 2,
/* 28808*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28817*/     /*Scope*/ 23, /*->28841*/
/* 28818*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28820*/      OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 28822*/      OPC_CheckType, MVT::v8i16,
/* 28824*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28826*/      OPC_EmitMergeInputChains1_0,
/* 28827*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28830*/      OPC_EmitConvertToTarget, 2,
/* 28832*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28841*/     /*Scope*/ 23, /*->28865*/
/* 28842*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28844*/      OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 28846*/      OPC_CheckType, MVT::v4i32,
/* 28848*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28850*/      OPC_EmitMergeInputChains1_0,
/* 28851*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28854*/      OPC_EmitConvertToTarget, 2,
/* 28856*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28865*/     /*Scope*/ 23, /*->28889*/
/* 28866*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28868*/      OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 28870*/      OPC_CheckType, MVT::v4i32,
/* 28872*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28874*/      OPC_EmitMergeInputChains1_0,
/* 28875*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28878*/      OPC_EmitConvertToTarget, 2,
/* 28880*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28889*/     /*Scope*/ 23, /*->28913*/
/* 28890*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28892*/      OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 28894*/      OPC_CheckType, MVT::v4i32,
/* 28896*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28898*/      OPC_EmitMergeInputChains1_0,
/* 28899*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28902*/      OPC_EmitConvertToTarget, 2,
/* 28904*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28913*/     /*Scope*/ 23, /*->28937*/
/* 28914*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28916*/      OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 28918*/      OPC_CheckType, MVT::v2i64,
/* 28920*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28922*/      OPC_EmitMergeInputChains1_0,
/* 28923*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28926*/      OPC_EmitConvertToTarget, 2,
/* 28928*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28937*/     /*Scope*/ 23, /*->28961*/
/* 28938*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28940*/      OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 28942*/      OPC_CheckType, MVT::v2i64,
/* 28944*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28946*/      OPC_EmitMergeInputChains1_0,
/* 28947*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28950*/      OPC_EmitConvertToTarget, 2,
/* 28952*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28961*/     /*Scope*/ 23, /*->28985*/
/* 28962*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28964*/      OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 28966*/      OPC_CheckType, MVT::v2i64,
/* 28968*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28970*/      OPC_EmitMergeInputChains1_0,
/* 28971*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28974*/      OPC_EmitConvertToTarget, 2,
/* 28976*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28985*/     0, /*End of Scope*/
/* 28986*/    0, // EndSwitchType
/* 28987*/   /*SwitchOpcode*/ 109|128,4/*621*/, TARGET_VAL(ISD::OR),// ->29612
/* 28991*/    OPC_RecordChild0, // #1 = $addr
/* 28992*/    OPC_RecordChild1, // #2 = $off
/* 28993*/    OPC_MoveChild1,
/* 28994*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 28997*/    OPC_MoveParent,
/* 28998*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 29000*/    OPC_SwitchType /*2 cases */, 46|128,2/*302*/, MVT::i32,// ->29306
/* 29004*/     OPC_MoveParent,
/* 29005*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 29007*/     OPC_Scope, 80, /*->29089*/ // 10 children in Scope
/* 29009*/      OPC_CheckPredicate, 18, // Predicate_load
/* 29011*/      OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->29031
/* 29014*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29016*/       OPC_EmitMergeInputChains1_0,
/* 29017*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29020*/       OPC_EmitConvertToTarget, 2,
/* 29022*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v16i8] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29031*/      /*SwitchType*/ 17, MVT::v8i16,// ->29050
/* 29033*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29035*/       OPC_EmitMergeInputChains1_0,
/* 29036*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29039*/       OPC_EmitConvertToTarget, 2,
/* 29041*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29050*/      /*SwitchType*/ 17, MVT::v4i32,// ->29069
/* 29052*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29054*/       OPC_EmitMergeInputChains1_0,
/* 29055*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29058*/       OPC_EmitConvertToTarget, 2,
/* 29060*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29069*/      /*SwitchType*/ 17, MVT::v2i64,// ->29088
/* 29071*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29073*/       OPC_EmitMergeInputChains1_0,
/* 29074*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29077*/       OPC_EmitConvertToTarget, 2,
/* 29079*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29088*/      0, // EndSwitchType
/* 29089*/     /*Scope*/ 23, /*->29113*/
/* 29090*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29092*/      OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 29094*/      OPC_CheckType, MVT::v8i16,
/* 29096*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29098*/      OPC_EmitMergeInputChains1_0,
/* 29099*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29102*/      OPC_EmitConvertToTarget, 2,
/* 29104*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29113*/     /*Scope*/ 23, /*->29137*/
/* 29114*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29116*/      OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 29118*/      OPC_CheckType, MVT::v8i16,
/* 29120*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29122*/      OPC_EmitMergeInputChains1_0,
/* 29123*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29126*/      OPC_EmitConvertToTarget, 2,
/* 29128*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29137*/     /*Scope*/ 23, /*->29161*/
/* 29138*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29140*/      OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 29142*/      OPC_CheckType, MVT::v8i16,
/* 29144*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29146*/      OPC_EmitMergeInputChains1_0,
/* 29147*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29150*/      OPC_EmitConvertToTarget, 2,
/* 29152*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29161*/     /*Scope*/ 23, /*->29185*/
/* 29162*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29164*/      OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 29166*/      OPC_CheckType, MVT::v4i32,
/* 29168*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29170*/      OPC_EmitMergeInputChains1_0,
/* 29171*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29174*/      OPC_EmitConvertToTarget, 2,
/* 29176*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29185*/     /*Scope*/ 23, /*->29209*/
/* 29186*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29188*/      OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 29190*/      OPC_CheckType, MVT::v4i32,
/* 29192*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29194*/      OPC_EmitMergeInputChains1_0,
/* 29195*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29198*/      OPC_EmitConvertToTarget, 2,
/* 29200*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29209*/     /*Scope*/ 23, /*->29233*/
/* 29210*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29212*/      OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 29214*/      OPC_CheckType, MVT::v4i32,
/* 29216*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29218*/      OPC_EmitMergeInputChains1_0,
/* 29219*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29222*/      OPC_EmitConvertToTarget, 2,
/* 29224*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29233*/     /*Scope*/ 23, /*->29257*/
/* 29234*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29236*/      OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 29238*/      OPC_CheckType, MVT::v2i64,
/* 29240*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29242*/      OPC_EmitMergeInputChains1_0,
/* 29243*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29246*/      OPC_EmitConvertToTarget, 2,
/* 29248*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29257*/     /*Scope*/ 23, /*->29281*/
/* 29258*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29260*/      OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 29262*/      OPC_CheckType, MVT::v2i64,
/* 29264*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29266*/      OPC_EmitMergeInputChains1_0,
/* 29267*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29270*/      OPC_EmitConvertToTarget, 2,
/* 29272*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29281*/     /*Scope*/ 23, /*->29305*/
/* 29282*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29284*/      OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 29286*/      OPC_CheckType, MVT::v2i64,
/* 29288*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29290*/      OPC_EmitMergeInputChains1_0,
/* 29291*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29294*/      OPC_EmitConvertToTarget, 2,
/* 29296*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29305*/     0, /*End of Scope*/
/* 29306*/    /*SwitchType*/ 46|128,2/*302*/, MVT::i64,// ->29611
/* 29309*/     OPC_MoveParent,
/* 29310*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 29312*/     OPC_Scope, 80, /*->29394*/ // 10 children in Scope
/* 29314*/      OPC_CheckPredicate, 18, // Predicate_load
/* 29316*/      OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->29336
/* 29319*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29321*/       OPC_EmitMergeInputChains1_0,
/* 29322*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29325*/       OPC_EmitConvertToTarget, 2,
/* 29327*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v16i8] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29336*/      /*SwitchType*/ 17, MVT::v8i16,// ->29355
/* 29338*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29340*/       OPC_EmitMergeInputChains1_0,
/* 29341*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29344*/       OPC_EmitConvertToTarget, 2,
/* 29346*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29355*/      /*SwitchType*/ 17, MVT::v4i32,// ->29374
/* 29357*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29359*/       OPC_EmitMergeInputChains1_0,
/* 29360*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29363*/       OPC_EmitConvertToTarget, 2,
/* 29365*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29374*/      /*SwitchType*/ 17, MVT::v2i64,// ->29393
/* 29376*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29378*/       OPC_EmitMergeInputChains1_0,
/* 29379*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29382*/       OPC_EmitConvertToTarget, 2,
/* 29384*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29393*/      0, // EndSwitchType
/* 29394*/     /*Scope*/ 23, /*->29418*/
/* 29395*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29397*/      OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 29399*/      OPC_CheckType, MVT::v8i16,
/* 29401*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29403*/      OPC_EmitMergeInputChains1_0,
/* 29404*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29407*/      OPC_EmitConvertToTarget, 2,
/* 29409*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29418*/     /*Scope*/ 23, /*->29442*/
/* 29419*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29421*/      OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 29423*/      OPC_CheckType, MVT::v8i16,
/* 29425*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29427*/      OPC_EmitMergeInputChains1_0,
/* 29428*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29431*/      OPC_EmitConvertToTarget, 2,
/* 29433*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29442*/     /*Scope*/ 23, /*->29466*/
/* 29443*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29445*/      OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 29447*/      OPC_CheckType, MVT::v8i16,
/* 29449*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29451*/      OPC_EmitMergeInputChains1_0,
/* 29452*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29455*/      OPC_EmitConvertToTarget, 2,
/* 29457*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29466*/     /*Scope*/ 23, /*->29490*/
/* 29467*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29469*/      OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 29471*/      OPC_CheckType, MVT::v4i32,
/* 29473*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29475*/      OPC_EmitMergeInputChains1_0,
/* 29476*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29479*/      OPC_EmitConvertToTarget, 2,
/* 29481*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29490*/     /*Scope*/ 23, /*->29514*/
/* 29491*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29493*/      OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 29495*/      OPC_CheckType, MVT::v4i32,
/* 29497*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29499*/      OPC_EmitMergeInputChains1_0,
/* 29500*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29503*/      OPC_EmitConvertToTarget, 2,
/* 29505*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29514*/     /*Scope*/ 23, /*->29538*/
/* 29515*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29517*/      OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 29519*/      OPC_CheckType, MVT::v4i32,
/* 29521*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29523*/      OPC_EmitMergeInputChains1_0,
/* 29524*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29527*/      OPC_EmitConvertToTarget, 2,
/* 29529*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29538*/     /*Scope*/ 23, /*->29562*/
/* 29539*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29541*/      OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 29543*/      OPC_CheckType, MVT::v2i64,
/* 29545*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29547*/      OPC_EmitMergeInputChains1_0,
/* 29548*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29551*/      OPC_EmitConvertToTarget, 2,
/* 29553*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29562*/     /*Scope*/ 23, /*->29586*/
/* 29563*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29565*/      OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 29567*/      OPC_CheckType, MVT::v2i64,
/* 29569*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29571*/      OPC_EmitMergeInputChains1_0,
/* 29572*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29575*/      OPC_EmitConvertToTarget, 2,
/* 29577*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29586*/     /*Scope*/ 23, /*->29610*/
/* 29587*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29589*/      OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 29591*/      OPC_CheckType, MVT::v2i64,
/* 29593*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29595*/      OPC_EmitMergeInputChains1_0,
/* 29596*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29599*/      OPC_EmitConvertToTarget, 2,
/* 29601*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29610*/     0, /*End of Scope*/
/* 29611*/    0, // EndSwitchType
/* 29612*/   /*SwitchOpcode*/ 22|128,6/*790*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->30406
/* 29616*/    OPC_RecordChild0, // #1 = $off
/* 29617*/    OPC_MoveChild0,
/* 29618*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 29621*/    OPC_MoveParent,
/* 29622*/    OPC_MoveParent,
/* 29623*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 29625*/    OPC_Scope, 100|128,1/*228*/, /*->29856*/ // 10 children in Scope
/* 29628*/     OPC_CheckPredicate, 18, // Predicate_load
/* 29630*/     OPC_SwitchType /*4 cases */, 54, MVT::v16i8,// ->29687
/* 29633*/      OPC_Scope, 25, /*->29660*/ // 2 children in Scope
/* 29635*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29637*/       OPC_EmitMergeInputChains1_0,
/* 29638*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29641*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29644*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29651*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29660*/      /*Scope*/ 25, /*->29686*/
/* 29661*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29663*/       OPC_EmitMergeInputChains1_0,
/* 29664*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29667*/       OPC_EmitInteger, MVT::i64, 0, 
/* 29670*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29677*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29686*/      0, /*End of Scope*/
/* 29687*/     /*SwitchType*/ 54, MVT::v8i16,// ->29743
/* 29689*/      OPC_Scope, 25, /*->29716*/ // 2 children in Scope
/* 29691*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29693*/       OPC_EmitMergeInputChains1_0,
/* 29694*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29697*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29700*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29707*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29716*/      /*Scope*/ 25, /*->29742*/
/* 29717*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29719*/       OPC_EmitMergeInputChains1_0,
/* 29720*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29723*/       OPC_EmitInteger, MVT::i64, 0, 
/* 29726*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29733*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29742*/      0, /*End of Scope*/
/* 29743*/     /*SwitchType*/ 54, MVT::v4i32,// ->29799
/* 29745*/      OPC_Scope, 25, /*->29772*/ // 2 children in Scope
/* 29747*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29749*/       OPC_EmitMergeInputChains1_0,
/* 29750*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29753*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29756*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29763*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29772*/      /*Scope*/ 25, /*->29798*/
/* 29773*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29775*/       OPC_EmitMergeInputChains1_0,
/* 29776*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29779*/       OPC_EmitInteger, MVT::i64, 0, 
/* 29782*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29789*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29798*/      0, /*End of Scope*/
/* 29799*/     /*SwitchType*/ 54, MVT::v2i64,// ->29855
/* 29801*/      OPC_Scope, 25, /*->29828*/ // 2 children in Scope
/* 29803*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29805*/       OPC_EmitMergeInputChains1_0,
/* 29806*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29809*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29812*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29819*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29828*/      /*Scope*/ 25, /*->29854*/
/* 29829*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29831*/       OPC_EmitMergeInputChains1_0,
/* 29832*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29835*/       OPC_EmitInteger, MVT::i64, 0, 
/* 29838*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29845*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29854*/      0, /*End of Scope*/
/* 29855*/     0, // EndSwitchType
/* 29856*/    /*Scope*/ 60, /*->29917*/
/* 29857*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 29859*/     OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 29861*/     OPC_CheckType, MVT::v8i16,
/* 29863*/     OPC_Scope, 25, /*->29890*/ // 2 children in Scope
/* 29865*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29867*/      OPC_EmitMergeInputChains1_0,
/* 29868*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29871*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29874*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29881*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29890*/     /*Scope*/ 25, /*->29916*/
/* 29891*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29893*/      OPC_EmitMergeInputChains1_0,
/* 29894*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29897*/      OPC_EmitInteger, MVT::i64, 0, 
/* 29900*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29907*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29916*/     0, /*End of Scope*/
/* 29917*/    /*Scope*/ 60, /*->29978*/
/* 29918*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 29920*/     OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 29922*/     OPC_CheckType, MVT::v8i16,
/* 29924*/     OPC_Scope, 25, /*->29951*/ // 2 children in Scope
/* 29926*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29928*/      OPC_EmitMergeInputChains1_0,
/* 29929*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29932*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29935*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29942*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29951*/     /*Scope*/ 25, /*->29977*/
/* 29952*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29954*/      OPC_EmitMergeInputChains1_0,
/* 29955*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29958*/      OPC_EmitInteger, MVT::i64, 0, 
/* 29961*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29968*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29977*/     0, /*End of Scope*/
/* 29978*/    /*Scope*/ 60, /*->30039*/
/* 29979*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 29981*/     OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 29983*/     OPC_CheckType, MVT::v8i16,
/* 29985*/     OPC_Scope, 25, /*->30012*/ // 2 children in Scope
/* 29987*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29989*/      OPC_EmitMergeInputChains1_0,
/* 29990*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29993*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29996*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30003*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30012*/     /*Scope*/ 25, /*->30038*/
/* 30013*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30015*/      OPC_EmitMergeInputChains1_0,
/* 30016*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30019*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30022*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30029*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30038*/     0, /*End of Scope*/
/* 30039*/    /*Scope*/ 60, /*->30100*/
/* 30040*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 30042*/     OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 30044*/     OPC_CheckType, MVT::v4i32,
/* 30046*/     OPC_Scope, 25, /*->30073*/ // 2 children in Scope
/* 30048*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30050*/      OPC_EmitMergeInputChains1_0,
/* 30051*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30054*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30057*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30064*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30073*/     /*Scope*/ 25, /*->30099*/
/* 30074*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30076*/      OPC_EmitMergeInputChains1_0,
/* 30077*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30080*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30083*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30090*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30099*/     0, /*End of Scope*/
/* 30100*/    /*Scope*/ 60, /*->30161*/
/* 30101*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 30103*/     OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 30105*/     OPC_CheckType, MVT::v4i32,
/* 30107*/     OPC_Scope, 25, /*->30134*/ // 2 children in Scope
/* 30109*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30111*/      OPC_EmitMergeInputChains1_0,
/* 30112*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30115*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30118*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30125*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30134*/     /*Scope*/ 25, /*->30160*/
/* 30135*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30137*/      OPC_EmitMergeInputChains1_0,
/* 30138*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30141*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30144*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30151*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30160*/     0, /*End of Scope*/
/* 30161*/    /*Scope*/ 60, /*->30222*/
/* 30162*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 30164*/     OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 30166*/     OPC_CheckType, MVT::v4i32,
/* 30168*/     OPC_Scope, 25, /*->30195*/ // 2 children in Scope
/* 30170*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30172*/      OPC_EmitMergeInputChains1_0,
/* 30173*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30176*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30179*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30186*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30195*/     /*Scope*/ 25, /*->30221*/
/* 30196*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30198*/      OPC_EmitMergeInputChains1_0,
/* 30199*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30202*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30205*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30212*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30221*/     0, /*End of Scope*/
/* 30222*/    /*Scope*/ 60, /*->30283*/
/* 30223*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 30225*/     OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 30227*/     OPC_CheckType, MVT::v2i64,
/* 30229*/     OPC_Scope, 25, /*->30256*/ // 2 children in Scope
/* 30231*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30233*/      OPC_EmitMergeInputChains1_0,
/* 30234*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30237*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30240*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30247*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30256*/     /*Scope*/ 25, /*->30282*/
/* 30257*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30259*/      OPC_EmitMergeInputChains1_0,
/* 30260*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30263*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30266*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30273*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30282*/     0, /*End of Scope*/
/* 30283*/    /*Scope*/ 60, /*->30344*/
/* 30284*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 30286*/     OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 30288*/     OPC_CheckType, MVT::v2i64,
/* 30290*/     OPC_Scope, 25, /*->30317*/ // 2 children in Scope
/* 30292*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30294*/      OPC_EmitMergeInputChains1_0,
/* 30295*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30298*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30301*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30308*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30317*/     /*Scope*/ 25, /*->30343*/
/* 30318*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30320*/      OPC_EmitMergeInputChains1_0,
/* 30321*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30324*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30327*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30334*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30343*/     0, /*End of Scope*/
/* 30344*/    /*Scope*/ 60, /*->30405*/
/* 30345*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 30347*/     OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 30349*/     OPC_CheckType, MVT::v2i64,
/* 30351*/     OPC_Scope, 25, /*->30378*/ // 2 children in Scope
/* 30353*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30355*/      OPC_EmitMergeInputChains1_0,
/* 30356*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30359*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30362*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30369*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30378*/     /*Scope*/ 25, /*->30404*/
/* 30379*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30381*/      OPC_EmitMergeInputChains1_0,
/* 30382*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30385*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30388*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30395*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30404*/     0, /*End of Scope*/
/* 30405*/    0, /*End of Scope*/
/* 30406*/   0, // EndSwitchOpcode
/* 30407*/  /*Scope*/ 73|128,11/*1481*/, /*->31890*/
/* 30409*/   OPC_RecordChild1, // #1 = $off
/* 30410*/   OPC_Scope, 72|128,6/*840*/, /*->31253*/ // 3 children in Scope
/* 30413*/    OPC_MoveChild1,
/* 30414*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 30417*/    OPC_MoveParent,
/* 30418*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 30420*/    OPC_Scope, 116|128,1/*244*/, /*->30667*/ // 10 children in Scope
/* 30423*/     OPC_CheckPredicate, 18, // Predicate_load
/* 30425*/     OPC_SwitchType /*4 cases */, 58, MVT::v16i8,// ->30486
/* 30428*/      OPC_Scope, 27, /*->30457*/ // 2 children in Scope
/* 30430*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30432*/       OPC_EmitMergeInputChains1_0,
/* 30433*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30436*/       OPC_EmitConvertToTarget, 1,
/* 30438*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30441*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30448*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v16i8] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30457*/      /*Scope*/ 27, /*->30485*/
/* 30458*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30460*/       OPC_EmitMergeInputChains1_0,
/* 30461*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30464*/       OPC_EmitConvertToTarget, 1,
/* 30466*/       OPC_EmitInteger, MVT::i64, 0, 
/* 30469*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30476*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v16i8] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30485*/      0, /*End of Scope*/
/* 30486*/     /*SwitchType*/ 58, MVT::v8i16,// ->30546
/* 30488*/      OPC_Scope, 27, /*->30517*/ // 2 children in Scope
/* 30490*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30492*/       OPC_EmitMergeInputChains1_0,
/* 30493*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30496*/       OPC_EmitConvertToTarget, 1,
/* 30498*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30501*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30508*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30517*/      /*Scope*/ 27, /*->30545*/
/* 30518*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30520*/       OPC_EmitMergeInputChains1_0,
/* 30521*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30524*/       OPC_EmitConvertToTarget, 1,
/* 30526*/       OPC_EmitInteger, MVT::i64, 0, 
/* 30529*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30536*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30545*/      0, /*End of Scope*/
/* 30546*/     /*SwitchType*/ 58, MVT::v4i32,// ->30606
/* 30548*/      OPC_Scope, 27, /*->30577*/ // 2 children in Scope
/* 30550*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30552*/       OPC_EmitMergeInputChains1_0,
/* 30553*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30556*/       OPC_EmitConvertToTarget, 1,
/* 30558*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30561*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30568*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30577*/      /*Scope*/ 27, /*->30605*/
/* 30578*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30580*/       OPC_EmitMergeInputChains1_0,
/* 30581*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30584*/       OPC_EmitConvertToTarget, 1,
/* 30586*/       OPC_EmitInteger, MVT::i64, 0, 
/* 30589*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30596*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30605*/      0, /*End of Scope*/
/* 30606*/     /*SwitchType*/ 58, MVT::v2i64,// ->30666
/* 30608*/      OPC_Scope, 27, /*->30637*/ // 2 children in Scope
/* 30610*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30612*/       OPC_EmitMergeInputChains1_0,
/* 30613*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30616*/       OPC_EmitConvertToTarget, 1,
/* 30618*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30621*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30628*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30637*/      /*Scope*/ 27, /*->30665*/
/* 30638*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30640*/       OPC_EmitMergeInputChains1_0,
/* 30641*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30644*/       OPC_EmitConvertToTarget, 1,
/* 30646*/       OPC_EmitInteger, MVT::i64, 0, 
/* 30649*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30656*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30665*/      0, /*End of Scope*/
/* 30666*/     0, // EndSwitchType
/* 30667*/    /*Scope*/ 64, /*->30732*/
/* 30668*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 30670*/     OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 30672*/     OPC_CheckType, MVT::v8i16,
/* 30674*/     OPC_Scope, 27, /*->30703*/ // 2 children in Scope
/* 30676*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30678*/      OPC_EmitMergeInputChains1_0,
/* 30679*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30682*/      OPC_EmitConvertToTarget, 1,
/* 30684*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30687*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30694*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30703*/     /*Scope*/ 27, /*->30731*/
/* 30704*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30706*/      OPC_EmitMergeInputChains1_0,
/* 30707*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30710*/      OPC_EmitConvertToTarget, 1,
/* 30712*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30715*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30722*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30731*/     0, /*End of Scope*/
/* 30732*/    /*Scope*/ 64, /*->30797*/
/* 30733*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 30735*/     OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 30737*/     OPC_CheckType, MVT::v8i16,
/* 30739*/     OPC_Scope, 27, /*->30768*/ // 2 children in Scope
/* 30741*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30743*/      OPC_EmitMergeInputChains1_0,
/* 30744*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30747*/      OPC_EmitConvertToTarget, 1,
/* 30749*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30752*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30759*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30768*/     /*Scope*/ 27, /*->30796*/
/* 30769*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30771*/      OPC_EmitMergeInputChains1_0,
/* 30772*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30775*/      OPC_EmitConvertToTarget, 1,
/* 30777*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30780*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30787*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30796*/     0, /*End of Scope*/
/* 30797*/    /*Scope*/ 64, /*->30862*/
/* 30798*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 30800*/     OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 30802*/     OPC_CheckType, MVT::v8i16,
/* 30804*/     OPC_Scope, 27, /*->30833*/ // 2 children in Scope
/* 30806*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30808*/      OPC_EmitMergeInputChains1_0,
/* 30809*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30812*/      OPC_EmitConvertToTarget, 1,
/* 30814*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30817*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30824*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30833*/     /*Scope*/ 27, /*->30861*/
/* 30834*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30836*/      OPC_EmitMergeInputChains1_0,
/* 30837*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30840*/      OPC_EmitConvertToTarget, 1,
/* 30842*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30845*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30852*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30861*/     0, /*End of Scope*/
/* 30862*/    /*Scope*/ 64, /*->30927*/
/* 30863*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 30865*/     OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 30867*/     OPC_CheckType, MVT::v4i32,
/* 30869*/     OPC_Scope, 27, /*->30898*/ // 2 children in Scope
/* 30871*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30873*/      OPC_EmitMergeInputChains1_0,
/* 30874*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30877*/      OPC_EmitConvertToTarget, 1,
/* 30879*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30882*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30889*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30898*/     /*Scope*/ 27, /*->30926*/
/* 30899*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30901*/      OPC_EmitMergeInputChains1_0,
/* 30902*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30905*/      OPC_EmitConvertToTarget, 1,
/* 30907*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30910*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30917*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30926*/     0, /*End of Scope*/
/* 30927*/    /*Scope*/ 64, /*->30992*/
/* 30928*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 30930*/     OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 30932*/     OPC_CheckType, MVT::v4i32,
/* 30934*/     OPC_Scope, 27, /*->30963*/ // 2 children in Scope
/* 30936*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30938*/      OPC_EmitMergeInputChains1_0,
/* 30939*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30942*/      OPC_EmitConvertToTarget, 1,
/* 30944*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30947*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30954*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30963*/     /*Scope*/ 27, /*->30991*/
/* 30964*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30966*/      OPC_EmitMergeInputChains1_0,
/* 30967*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30970*/      OPC_EmitConvertToTarget, 1,
/* 30972*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30975*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30982*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30991*/     0, /*End of Scope*/
/* 30992*/    /*Scope*/ 64, /*->31057*/
/* 30993*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 30995*/     OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 30997*/     OPC_CheckType, MVT::v4i32,
/* 30999*/     OPC_Scope, 27, /*->31028*/ // 2 children in Scope
/* 31001*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31003*/      OPC_EmitMergeInputChains1_0,
/* 31004*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31007*/      OPC_EmitConvertToTarget, 1,
/* 31009*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31012*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 31019*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 31028*/     /*Scope*/ 27, /*->31056*/
/* 31029*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31031*/      OPC_EmitMergeInputChains1_0,
/* 31032*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31035*/      OPC_EmitConvertToTarget, 1,
/* 31037*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31040*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 31047*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 31056*/     0, /*End of Scope*/
/* 31057*/    /*Scope*/ 64, /*->31122*/
/* 31058*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31060*/     OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 31062*/     OPC_CheckType, MVT::v2i64,
/* 31064*/     OPC_Scope, 27, /*->31093*/ // 2 children in Scope
/* 31066*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31068*/      OPC_EmitMergeInputChains1_0,
/* 31069*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31072*/      OPC_EmitConvertToTarget, 1,
/* 31074*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31077*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 31084*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 31093*/     /*Scope*/ 27, /*->31121*/
/* 31094*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31096*/      OPC_EmitMergeInputChains1_0,
/* 31097*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31100*/      OPC_EmitConvertToTarget, 1,
/* 31102*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31105*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 31112*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 31121*/     0, /*End of Scope*/
/* 31122*/    /*Scope*/ 64, /*->31187*/
/* 31123*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31125*/     OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 31127*/     OPC_CheckType, MVT::v2i64,
/* 31129*/     OPC_Scope, 27, /*->31158*/ // 2 children in Scope
/* 31131*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31133*/      OPC_EmitMergeInputChains1_0,
/* 31134*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31137*/      OPC_EmitConvertToTarget, 1,
/* 31139*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31142*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 31149*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 31158*/     /*Scope*/ 27, /*->31186*/
/* 31159*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31161*/      OPC_EmitMergeInputChains1_0,
/* 31162*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31165*/      OPC_EmitConvertToTarget, 1,
/* 31167*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31170*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 31177*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 31186*/     0, /*End of Scope*/
/* 31187*/    /*Scope*/ 64, /*->31252*/
/* 31188*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31190*/     OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 31192*/     OPC_CheckType, MVT::v2i64,
/* 31194*/     OPC_Scope, 27, /*->31223*/ // 2 children in Scope
/* 31196*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31198*/      OPC_EmitMergeInputChains1_0,
/* 31199*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31202*/      OPC_EmitConvertToTarget, 1,
/* 31204*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31207*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 31214*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 31223*/     /*Scope*/ 27, /*->31251*/
/* 31224*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31226*/      OPC_EmitMergeInputChains1_0,
/* 31227*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31230*/      OPC_EmitConvertToTarget, 1,
/* 31232*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31235*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 31242*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 31251*/     0, /*End of Scope*/
/* 31252*/    0, /*End of Scope*/
/* 31253*/   /*Scope*/ 60|128,2/*316*/, /*->31571*/
/* 31255*/    OPC_CheckChild1Type, MVT::i32,
/* 31257*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31259*/    OPC_Scope, 84, /*->31345*/ // 10 children in Scope
/* 31261*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31263*/     OPC_SwitchType /*4 cases */, 18, MVT::v16i8,// ->31284
/* 31266*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31268*/      OPC_EmitMergeInputChains1_0,
/* 31269*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31272*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31275*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v16i8] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31284*/     /*SwitchType*/ 18, MVT::v8i16,// ->31304
/* 31286*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31288*/      OPC_EmitMergeInputChains1_0,
/* 31289*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31292*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31295*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v8i16] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31304*/     /*SwitchType*/ 18, MVT::v4i32,// ->31324
/* 31306*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31308*/      OPC_EmitMergeInputChains1_0,
/* 31309*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31312*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31315*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v4i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31324*/     /*SwitchType*/ 18, MVT::v2i64,// ->31344
/* 31326*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31328*/      OPC_EmitMergeInputChains1_0,
/* 31329*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31332*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31335*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v2i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31344*/     0, // EndSwitchType
/* 31345*/    /*Scope*/ 24, /*->31370*/
/* 31346*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31348*/     OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 31350*/     OPC_CheckType, MVT::v8i16,
/* 31352*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31354*/     OPC_EmitMergeInputChains1_0,
/* 31355*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31358*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31361*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31370*/    /*Scope*/ 24, /*->31395*/
/* 31371*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31373*/     OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 31375*/     OPC_CheckType, MVT::v8i16,
/* 31377*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31379*/     OPC_EmitMergeInputChains1_0,
/* 31380*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31383*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31386*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31395*/    /*Scope*/ 24, /*->31420*/
/* 31396*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31398*/     OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 31400*/     OPC_CheckType, MVT::v8i16,
/* 31402*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31404*/     OPC_EmitMergeInputChains1_0,
/* 31405*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31408*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31411*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31420*/    /*Scope*/ 24, /*->31445*/
/* 31421*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31423*/     OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 31425*/     OPC_CheckType, MVT::v4i32,
/* 31427*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31429*/     OPC_EmitMergeInputChains1_0,
/* 31430*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31433*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31436*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31445*/    /*Scope*/ 24, /*->31470*/
/* 31446*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31448*/     OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 31450*/     OPC_CheckType, MVT::v4i32,
/* 31452*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31454*/     OPC_EmitMergeInputChains1_0,
/* 31455*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31458*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31461*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31470*/    /*Scope*/ 24, /*->31495*/
/* 31471*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31473*/     OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 31475*/     OPC_CheckType, MVT::v4i32,
/* 31477*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31479*/     OPC_EmitMergeInputChains1_0,
/* 31480*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31483*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31486*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31495*/    /*Scope*/ 24, /*->31520*/
/* 31496*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31498*/     OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 31500*/     OPC_CheckType, MVT::v2i64,
/* 31502*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31504*/     OPC_EmitMergeInputChains1_0,
/* 31505*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31508*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31511*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31520*/    /*Scope*/ 24, /*->31545*/
/* 31521*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31523*/     OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 31525*/     OPC_CheckType, MVT::v2i64,
/* 31527*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31529*/     OPC_EmitMergeInputChains1_0,
/* 31530*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31533*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31536*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31545*/    /*Scope*/ 24, /*->31570*/
/* 31546*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31548*/     OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 31550*/     OPC_CheckType, MVT::v2i64,
/* 31552*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31554*/     OPC_EmitMergeInputChains1_0,
/* 31555*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31558*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31561*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31570*/    0, /*End of Scope*/
/* 31571*/   /*Scope*/ 60|128,2/*316*/, /*->31889*/
/* 31573*/    OPC_CheckChild1Type, MVT::i64,
/* 31575*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31577*/    OPC_Scope, 84, /*->31663*/ // 10 children in Scope
/* 31579*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31581*/     OPC_SwitchType /*4 cases */, 18, MVT::v16i8,// ->31602
/* 31584*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31586*/      OPC_EmitMergeInputChains1_0,
/* 31587*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31590*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31593*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v16i8] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31602*/     /*SwitchType*/ 18, MVT::v8i16,// ->31622
/* 31604*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31606*/      OPC_EmitMergeInputChains1_0,
/* 31607*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31610*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31613*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v8i16] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31622*/     /*SwitchType*/ 18, MVT::v4i32,// ->31642
/* 31624*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31626*/      OPC_EmitMergeInputChains1_0,
/* 31627*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31630*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31633*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v4i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31642*/     /*SwitchType*/ 18, MVT::v2i64,// ->31662
/* 31644*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31646*/      OPC_EmitMergeInputChains1_0,
/* 31647*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31650*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31653*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v2i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31662*/     0, // EndSwitchType
/* 31663*/    /*Scope*/ 24, /*->31688*/
/* 31664*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31666*/     OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 31668*/     OPC_CheckType, MVT::v8i16,
/* 31670*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31672*/     OPC_EmitMergeInputChains1_0,
/* 31673*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31676*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31679*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31688*/    /*Scope*/ 24, /*->31713*/
/* 31689*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31691*/     OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 31693*/     OPC_CheckType, MVT::v8i16,
/* 31695*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31697*/     OPC_EmitMergeInputChains1_0,
/* 31698*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31701*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31704*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31713*/    /*Scope*/ 24, /*->31738*/
/* 31714*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31716*/     OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 31718*/     OPC_CheckType, MVT::v8i16,
/* 31720*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31722*/     OPC_EmitMergeInputChains1_0,
/* 31723*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31726*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31729*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31738*/    /*Scope*/ 24, /*->31763*/
/* 31739*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31741*/     OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 31743*/     OPC_CheckType, MVT::v4i32,
/* 31745*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31747*/     OPC_EmitMergeInputChains1_0,
/* 31748*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31751*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31754*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31763*/    /*Scope*/ 24, /*->31788*/
/* 31764*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31766*/     OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 31768*/     OPC_CheckType, MVT::v4i32,
/* 31770*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31772*/     OPC_EmitMergeInputChains1_0,
/* 31773*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31776*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31779*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31788*/    /*Scope*/ 24, /*->31813*/
/* 31789*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31791*/     OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 31793*/     OPC_CheckType, MVT::v4i32,
/* 31795*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31797*/     OPC_EmitMergeInputChains1_0,
/* 31798*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31801*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31804*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31813*/    /*Scope*/ 24, /*->31838*/
/* 31814*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31816*/     OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 31818*/     OPC_CheckType, MVT::v2i64,
/* 31820*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31822*/     OPC_EmitMergeInputChains1_0,
/* 31823*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31826*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31829*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31838*/    /*Scope*/ 24, /*->31863*/
/* 31839*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31841*/     OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 31843*/     OPC_CheckType, MVT::v2i64,
/* 31845*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31847*/     OPC_EmitMergeInputChains1_0,
/* 31848*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31851*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31854*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31863*/    /*Scope*/ 24, /*->31888*/
/* 31864*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31866*/     OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 31868*/     OPC_CheckType, MVT::v2i64,
/* 31870*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31872*/     OPC_EmitMergeInputChains1_0,
/* 31873*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31876*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31879*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31888*/    0, /*End of Scope*/
/* 31889*/   0, /*End of Scope*/
/* 31890*/  /*Scope*/ 91|128,2/*347*/, /*->32239*/
/* 31892*/   OPC_MoveChild1,
/* 31893*/   OPC_SwitchOpcode /*3 cases */, 105, TARGET_VAL(ISD::ADD),// ->32002
/* 31897*/    OPC_RecordChild0, // #1 = $addr
/* 31898*/    OPC_RecordChild1, // #2 = $off
/* 31899*/    OPC_MoveChild1,
/* 31900*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 31903*/    OPC_MoveParent,
/* 31904*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 31906*/    OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->31954
/* 31909*/     OPC_MoveParent,
/* 31910*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31912*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31914*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->31934
/* 31917*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31919*/      OPC_EmitMergeInputChains1_0,
/* 31920*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31923*/      OPC_EmitConvertToTarget, 2,
/* 31925*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4f32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 31934*/     /*SwitchType*/ 17, MVT::v2f64,// ->31953
/* 31936*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31938*/      OPC_EmitMergeInputChains1_0,
/* 31939*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31942*/      OPC_EmitConvertToTarget, 2,
/* 31944*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2f64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 31953*/     0, // EndSwitchType
/* 31954*/    /*SwitchType*/ 45, MVT::i64,// ->32001
/* 31956*/     OPC_MoveParent,
/* 31957*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31959*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31961*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->31981
/* 31964*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31966*/      OPC_EmitMergeInputChains1_0,
/* 31967*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31970*/      OPC_EmitConvertToTarget, 2,
/* 31972*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4f32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 31981*/     /*SwitchType*/ 17, MVT::v2f64,// ->32000
/* 31983*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31985*/      OPC_EmitMergeInputChains1_0,
/* 31986*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31989*/      OPC_EmitConvertToTarget, 2,
/* 31991*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2f64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 32000*/     0, // EndSwitchType
/* 32001*/    0, // EndSwitchType
/* 32002*/   /*SwitchOpcode*/ 105, TARGET_VAL(ISD::OR),// ->32110
/* 32005*/    OPC_RecordChild0, // #1 = $addr
/* 32006*/    OPC_RecordChild1, // #2 = $off
/* 32007*/    OPC_MoveChild1,
/* 32008*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 32011*/    OPC_MoveParent,
/* 32012*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 32014*/    OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->32062
/* 32017*/     OPC_MoveParent,
/* 32018*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32020*/     OPC_CheckPredicate, 18, // Predicate_load
/* 32022*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->32042
/* 32025*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32027*/      OPC_EmitMergeInputChains1_0,
/* 32028*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32031*/      OPC_EmitConvertToTarget, 2,
/* 32033*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4f32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 32042*/     /*SwitchType*/ 17, MVT::v2f64,// ->32061
/* 32044*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32046*/      OPC_EmitMergeInputChains1_0,
/* 32047*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32050*/      OPC_EmitConvertToTarget, 2,
/* 32052*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2f64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 32061*/     0, // EndSwitchType
/* 32062*/    /*SwitchType*/ 45, MVT::i64,// ->32109
/* 32064*/     OPC_MoveParent,
/* 32065*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32067*/     OPC_CheckPredicate, 18, // Predicate_load
/* 32069*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->32089
/* 32072*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32074*/      OPC_EmitMergeInputChains1_0,
/* 32075*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32078*/      OPC_EmitConvertToTarget, 2,
/* 32080*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4f32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 32089*/     /*SwitchType*/ 17, MVT::v2f64,// ->32108
/* 32091*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32093*/      OPC_EmitMergeInputChains1_0,
/* 32094*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32097*/      OPC_EmitConvertToTarget, 2,
/* 32099*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2f64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 32108*/     0, // EndSwitchType
/* 32109*/    0, // EndSwitchType
/* 32110*/   /*SwitchOpcode*/ 125, TARGET_VAL(WebAssemblyISD::Wrapper),// ->32238
/* 32113*/    OPC_RecordChild0, // #1 = $off
/* 32114*/    OPC_MoveChild0,
/* 32115*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 32118*/    OPC_MoveParent,
/* 32119*/    OPC_MoveParent,
/* 32120*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32122*/    OPC_CheckPredicate, 18, // Predicate_load
/* 32124*/    OPC_SwitchType /*2 cases */, 54, MVT::v4f32,// ->32181
/* 32127*/     OPC_Scope, 25, /*->32154*/ // 2 children in Scope
/* 32129*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 32131*/      OPC_EmitMergeInputChains1_0,
/* 32132*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32135*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32138*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 32145*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 32154*/     /*Scope*/ 25, /*->32180*/
/* 32155*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 32157*/      OPC_EmitMergeInputChains1_0,
/* 32158*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32161*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32164*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 32171*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 32180*/     0, /*End of Scope*/
/* 32181*/    /*SwitchType*/ 54, MVT::v2f64,// ->32237
/* 32183*/     OPC_Scope, 25, /*->32210*/ // 2 children in Scope
/* 32185*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 32187*/      OPC_EmitMergeInputChains1_0,
/* 32188*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32191*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32194*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 32201*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 32210*/     /*Scope*/ 25, /*->32236*/
/* 32211*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 32213*/      OPC_EmitMergeInputChains1_0,
/* 32214*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32217*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32220*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 32227*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 32236*/     0, /*End of Scope*/
/* 32237*/    0, // EndSwitchType
/* 32238*/   0, // EndSwitchOpcode
/* 32239*/  /*Scope*/ 50|128,2/*306*/, /*->32547*/
/* 32241*/   OPC_RecordChild1, // #1 = $off
/* 32242*/   OPC_Scope, 3|128,1/*131*/, /*->32376*/ // 3 children in Scope
/* 32245*/    OPC_MoveChild1,
/* 32246*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 32249*/    OPC_MoveParent,
/* 32250*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32252*/    OPC_CheckPredicate, 18, // Predicate_load
/* 32254*/    OPC_SwitchType /*2 cases */, 58, MVT::v4f32,// ->32315
/* 32257*/     OPC_Scope, 27, /*->32286*/ // 2 children in Scope
/* 32259*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32261*/      OPC_EmitMergeInputChains1_0,
/* 32262*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32265*/      OPC_EmitConvertToTarget, 1,
/* 32267*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32270*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 32277*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4f32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 32286*/     /*Scope*/ 27, /*->32314*/
/* 32287*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32289*/      OPC_EmitMergeInputChains1_0,
/* 32290*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32293*/      OPC_EmitConvertToTarget, 1,
/* 32295*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32298*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 32305*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4f32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 32314*/     0, /*End of Scope*/
/* 32315*/    /*SwitchType*/ 58, MVT::v2f64,// ->32375
/* 32317*/     OPC_Scope, 27, /*->32346*/ // 2 children in Scope
/* 32319*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32321*/      OPC_EmitMergeInputChains1_0,
/* 32322*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32325*/      OPC_EmitConvertToTarget, 1,
/* 32327*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32330*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 32337*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2f64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 32346*/     /*Scope*/ 27, /*->32374*/
/* 32347*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32349*/      OPC_EmitMergeInputChains1_0,
/* 32350*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32353*/      OPC_EmitConvertToTarget, 1,
/* 32355*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32358*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 32365*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2f64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 32374*/     0, /*End of Scope*/
/* 32375*/    0, // EndSwitchType
/* 32376*/   /*Scope*/ 84, /*->32461*/
/* 32377*/    OPC_CheckChild1Type, MVT::i32,
/* 32379*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32381*/    OPC_Scope, 44, /*->32427*/ // 2 children in Scope
/* 32383*/     OPC_CheckPredicate, 18, // Predicate_load
/* 32385*/     OPC_SwitchType /*2 cases */, 18, MVT::v4f32,// ->32406
/* 32388*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32390*/      OPC_EmitMergeInputChains1_0,
/* 32391*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32394*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32397*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v4f32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 32406*/     /*SwitchType*/ 18, MVT::v2f64,// ->32426
/* 32408*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32410*/      OPC_EmitMergeInputChains1_0,
/* 32411*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32414*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32417*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v2f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 32426*/     0, // EndSwitchType
/* 32427*/    /*Scope*/ 32, /*->32460*/
/* 32428*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 32430*/     OPC_CheckType, MVT::v2f64,
/* 32432*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32434*/     OPC_EmitMergeInputChains1_0,
/* 32435*/     OPC_EmitInteger, MVT::i32, 0, 
/* 32438*/     OPC_EmitInteger, MVT::i32, 0, 
/* 32441*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 3/*#Ops*/, 2, 3, 1,  // Results = #4
/* 32450*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::promote_low_F64x2), 0,
                   MVT::v2f64, 1/*#Ops*/, 4,  // Results = #5
/* 32457*/     OPC_CompleteMatch, 1, 5, 
                // Src: (ld:{ *:[v2f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>> - Complexity = 4
                // Dst: (promote_low_F64x2:{ *:[v2f64] } (LOAD_ZERO_I64x2_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr))
/* 32460*/    0, /*End of Scope*/
/* 32461*/   /*Scope*/ 84, /*->32546*/
/* 32462*/    OPC_CheckChild1Type, MVT::i64,
/* 32464*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32466*/    OPC_Scope, 44, /*->32512*/ // 2 children in Scope
/* 32468*/     OPC_CheckPredicate, 18, // Predicate_load
/* 32470*/     OPC_SwitchType /*2 cases */, 18, MVT::v4f32,// ->32491
/* 32473*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32475*/      OPC_EmitMergeInputChains1_0,
/* 32476*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32479*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32482*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v4f32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 32491*/     /*SwitchType*/ 18, MVT::v2f64,// ->32511
/* 32493*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32495*/      OPC_EmitMergeInputChains1_0,
/* 32496*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32499*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32502*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v2f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 32511*/     0, // EndSwitchType
/* 32512*/    /*Scope*/ 32, /*->32545*/
/* 32513*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 32515*/     OPC_CheckType, MVT::v2f64,
/* 32517*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32519*/     OPC_EmitMergeInputChains1_0,
/* 32520*/     OPC_EmitInteger, MVT::i32, 0, 
/* 32523*/     OPC_EmitInteger, MVT::i64, 0, 
/* 32526*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 3/*#Ops*/, 2, 3, 1,  // Results = #4
/* 32535*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::promote_low_F64x2), 0,
                   MVT::v2f64, 1/*#Ops*/, 4,  // Results = #5
/* 32542*/     OPC_CompleteMatch, 1, 5, 
                // Src: (ld:{ *:[v2f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>> - Complexity = 4
                // Dst: (promote_low_F64x2:{ *:[v2f64] } (LOAD_ZERO_I64x2_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr))
/* 32545*/    0, /*End of Scope*/
/* 32546*/   0, /*End of Scope*/
/* 32547*/  0, /*End of Scope*/
/* 32548*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::SHL),// ->32618
/* 32551*/  OPC_RecordChild0, // #0 = $lhs
/* 32552*/  OPC_Scope, 35, /*->32589*/ // 2 children in Scope
/* 32554*/   OPC_MoveChild1,
/* 32555*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32572
/* 32558*/    OPC_CheckAndImm, 31, 
/* 32560*/    OPC_RecordChild0, // #1 = $rhs
/* 32561*/    OPC_MoveParent,
/* 32562*/    OPC_CheckType, MVT::i32,
/* 32564*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32572*/   /*SwitchType*/ 14, MVT::i64,// ->32588
/* 32574*/    OPC_CheckAndImm, 63, 
/* 32576*/    OPC_RecordChild0, // #1 = $rhs
/* 32577*/    OPC_MoveParent,
/* 32578*/    OPC_CheckType, MVT::i64,
/* 32580*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32588*/   0, // EndSwitchType
/* 32589*/  /*Scope*/ 27, /*->32617*/
/* 32590*/   OPC_RecordChild1, // #1 = $rhs
/* 32591*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32604
/* 32594*/    OPC_CheckChild1Type, MVT::i32,
/* 32596*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32604*/   /*SwitchType*/ 10, MVT::i64,// ->32616
/* 32606*/    OPC_CheckChild1Type, MVT::i64,
/* 32608*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32616*/   0, // EndSwitchType
/* 32617*/  0, /*End of Scope*/
/* 32618*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::SRA),// ->32688
/* 32621*/  OPC_RecordChild0, // #0 = $lhs
/* 32622*/  OPC_Scope, 35, /*->32659*/ // 2 children in Scope
/* 32624*/   OPC_MoveChild1,
/* 32625*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32642
/* 32628*/    OPC_CheckAndImm, 31, 
/* 32630*/    OPC_RecordChild0, // #1 = $rhs
/* 32631*/    OPC_MoveParent,
/* 32632*/    OPC_CheckType, MVT::i32,
/* 32634*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32642*/   /*SwitchType*/ 14, MVT::i64,// ->32658
/* 32644*/    OPC_CheckAndImm, 63, 
/* 32646*/    OPC_RecordChild0, // #1 = $rhs
/* 32647*/    OPC_MoveParent,
/* 32648*/    OPC_CheckType, MVT::i64,
/* 32650*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHR_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32658*/   0, // EndSwitchType
/* 32659*/  /*Scope*/ 27, /*->32687*/
/* 32660*/   OPC_RecordChild1, // #1 = $rhs
/* 32661*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32674
/* 32664*/    OPC_CheckChild1Type, MVT::i32,
/* 32666*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHR_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32674*/   /*SwitchType*/ 10, MVT::i64,// ->32686
/* 32676*/    OPC_CheckChild1Type, MVT::i64,
/* 32678*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHR_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32686*/   0, // EndSwitchType
/* 32687*/  0, /*End of Scope*/
/* 32688*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::SRL),// ->32758
/* 32691*/  OPC_RecordChild0, // #0 = $lhs
/* 32692*/  OPC_Scope, 35, /*->32729*/ // 2 children in Scope
/* 32694*/   OPC_MoveChild1,
/* 32695*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32712
/* 32698*/    OPC_CheckAndImm, 31, 
/* 32700*/    OPC_RecordChild0, // #1 = $rhs
/* 32701*/    OPC_MoveParent,
/* 32702*/    OPC_CheckType, MVT::i32,
/* 32704*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32712*/   /*SwitchType*/ 14, MVT::i64,// ->32728
/* 32714*/    OPC_CheckAndImm, 63, 
/* 32716*/    OPC_RecordChild0, // #1 = $rhs
/* 32717*/    OPC_MoveParent,
/* 32718*/    OPC_CheckType, MVT::i64,
/* 32720*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHR_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32728*/   0, // EndSwitchType
/* 32729*/  /*Scope*/ 27, /*->32757*/
/* 32730*/   OPC_RecordChild1, // #1 = $rhs
/* 32731*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32744
/* 32734*/    OPC_CheckChild1Type, MVT::i32,
/* 32736*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHR_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32744*/   /*SwitchType*/ 10, MVT::i64,// ->32756
/* 32746*/    OPC_CheckChild1Type, MVT::i64,
/* 32748*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHR_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32756*/   0, // EndSwitchType
/* 32757*/  0, /*End of Scope*/
/* 32758*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::ROTL),// ->32828
/* 32761*/  OPC_RecordChild0, // #0 = $lhs
/* 32762*/  OPC_Scope, 35, /*->32799*/ // 2 children in Scope
/* 32764*/   OPC_MoveChild1,
/* 32765*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32782
/* 32768*/    OPC_CheckAndImm, 31, 
/* 32770*/    OPC_RecordChild0, // #1 = $rhs
/* 32771*/    OPC_MoveParent,
/* 32772*/    OPC_CheckType, MVT::i32,
/* 32774*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (ROTL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32782*/   /*SwitchType*/ 14, MVT::i64,// ->32798
/* 32784*/    OPC_CheckAndImm, 63, 
/* 32786*/    OPC_RecordChild0, // #1 = $rhs
/* 32787*/    OPC_MoveParent,
/* 32788*/    OPC_CheckType, MVT::i64,
/* 32790*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (ROTL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32798*/   0, // EndSwitchType
/* 32799*/  /*Scope*/ 27, /*->32827*/
/* 32800*/   OPC_RecordChild1, // #1 = $rhs
/* 32801*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32814
/* 32804*/    OPC_CheckChild1Type, MVT::i32,
/* 32806*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (ROTL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32814*/   /*SwitchType*/ 10, MVT::i64,// ->32826
/* 32816*/    OPC_CheckChild1Type, MVT::i64,
/* 32818*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (ROTL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32826*/   0, // EndSwitchType
/* 32827*/  0, /*End of Scope*/
/* 32828*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::ROTR),// ->32898
/* 32831*/  OPC_RecordChild0, // #0 = $lhs
/* 32832*/  OPC_Scope, 35, /*->32869*/ // 2 children in Scope
/* 32834*/   OPC_MoveChild1,
/* 32835*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32852
/* 32838*/    OPC_CheckAndImm, 31, 
/* 32840*/    OPC_RecordChild0, // #1 = $rhs
/* 32841*/    OPC_MoveParent,
/* 32842*/    OPC_CheckType, MVT::i32,
/* 32844*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTR_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (ROTR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32852*/   /*SwitchType*/ 14, MVT::i64,// ->32868
/* 32854*/    OPC_CheckAndImm, 63, 
/* 32856*/    OPC_RecordChild0, // #1 = $rhs
/* 32857*/    OPC_MoveParent,
/* 32858*/    OPC_CheckType, MVT::i64,
/* 32860*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTR_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (ROTR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32868*/   0, // EndSwitchType
/* 32869*/  /*Scope*/ 27, /*->32897*/
/* 32870*/   OPC_RecordChild1, // #1 = $rhs
/* 32871*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32884
/* 32874*/    OPC_CheckChild1Type, MVT::i32,
/* 32876*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTR_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (ROTR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32884*/   /*SwitchType*/ 10, MVT::i64,// ->32896
/* 32886*/    OPC_CheckChild1Type, MVT::i64,
/* 32888*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTR_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (ROTR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32896*/   0, // EndSwitchType
/* 32897*/  0, /*End of Scope*/
/* 32898*/ /*SwitchOpcode*/ 42|128,4/*554*/, TARGET_VAL(ISD::SELECT),// ->33456
/* 32902*/  OPC_Scope, 117, /*->33021*/ // 8 children in Scope
/* 32904*/   OPC_MoveChild0,
/* 32905*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 32908*/   OPC_RecordChild0, // #0 = $cond
/* 32909*/   OPC_CheckChild0Type, MVT::i32,
/* 32911*/   OPC_CheckChild1Integer, 0, 
/* 32913*/   OPC_CheckType, MVT::i32,
/* 32915*/   OPC_Scope, 51, /*->32968*/ // 2 children in Scope
/* 32917*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 32919*/    OPC_MoveParent,
/* 32920*/    OPC_RecordChild1, // #1 = $lhs
/* 32921*/    OPC_RecordChild2, // #2 = $rhs
/* 32922*/    OPC_SwitchType /*4 cases */, 9, MVT::i32,// ->32934
/* 32925*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I32), 0,
                   MVT::i32, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32934*/    /*SwitchType*/ 9, MVT::i64,// ->32945
/* 32936*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I64), 0,
                   MVT::i64, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32945*/    /*SwitchType*/ 9, MVT::funcref,// ->32956
/* 32947*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_FUNCREF), 0,
                   MVT::funcref, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[funcref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32956*/    /*SwitchType*/ 9, MVT::externref,// ->32967
/* 32958*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_EXTERNREF), 0,
                   MVT::externref, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[externref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32967*/    0, // EndSwitchType
/* 32968*/   /*Scope*/ 51, /*->33020*/
/* 32969*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 32971*/    OPC_MoveParent,
/* 32972*/    OPC_RecordChild1, // #1 = $lhs
/* 32973*/    OPC_RecordChild2, // #2 = $rhs
/* 32974*/    OPC_SwitchType /*4 cases */, 9, MVT::i32,// ->32986
/* 32977*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I32), 0,
                   MVT::i32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$cond)
/* 32986*/    /*SwitchType*/ 9, MVT::i64,// ->32997
/* 32988*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I64), 0,
                   MVT::i64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$rhs, I64:{ *:[i64] }:$lhs, I32:{ *:[i32] }:$cond)
/* 32997*/    /*SwitchType*/ 9, MVT::funcref,// ->33008
/* 32999*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_FUNCREF), 0,
                   MVT::funcref, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[funcref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$rhs, FUNCREF:{ *:[funcref] }:$lhs, I32:{ *:[i32] }:$cond)
/* 33008*/    /*SwitchType*/ 9, MVT::externref,// ->33019
/* 33010*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_EXTERNREF), 0,
                   MVT::externref, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[externref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$rhs, EXTERNREF:{ *:[externref] }:$lhs, I32:{ *:[i32] }:$cond)
/* 33019*/    0, // EndSwitchType
/* 33020*/   0, /*End of Scope*/
/* 33021*/  /*Scope*/ 55, /*->33077*/
/* 33022*/   OPC_RecordChild0, // #0 = $cond
/* 33023*/   OPC_CheckChild0Type, MVT::i32,
/* 33025*/   OPC_RecordChild1, // #1 = $lhs
/* 33026*/   OPC_RecordChild2, // #2 = $rhs
/* 33027*/   OPC_SwitchType /*4 cases */, 9, MVT::i32,// ->33039
/* 33030*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I32), 0,
                  MVT::i32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[i32] } I32:{ *:[i32] }:$cond, I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 33039*/   /*SwitchType*/ 9, MVT::i64,// ->33050
/* 33041*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I64), 0,
                  MVT::i64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[i64] } I32:{ *:[i32] }:$cond, I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 33050*/   /*SwitchType*/ 11, MVT::funcref,// ->33063
/* 33052*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 33054*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_FUNCREF), 0,
                  MVT::funcref, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[funcref] } I32:{ *:[i32] }:$cond, FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 33063*/   /*SwitchType*/ 11, MVT::externref,// ->33076
/* 33065*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 33067*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_EXTERNREF), 0,
                  MVT::externref, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[externref] } I32:{ *:[i32] }:$cond, EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 33076*/   0, // EndSwitchType
/* 33077*/  /*Scope*/ 73, /*->33151*/
/* 33078*/   OPC_MoveChild0,
/* 33079*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 33082*/   OPC_RecordChild0, // #0 = $cond
/* 33083*/   OPC_CheckChild0Type, MVT::i32,
/* 33085*/   OPC_CheckChild1Integer, 0, 
/* 33087*/   OPC_CheckType, MVT::i32,
/* 33089*/   OPC_Scope, 29, /*->33120*/ // 2 children in Scope
/* 33091*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 33093*/    OPC_MoveParent,
/* 33094*/    OPC_RecordChild1, // #1 = $lhs
/* 33095*/    OPC_RecordChild2, // #2 = $rhs
/* 33096*/    OPC_SwitchType /*2 cases */, 9, MVT::f32,// ->33108
/* 33099*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F32), 0,
                   MVT::f32, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 33108*/    /*SwitchType*/ 9, MVT::f64,// ->33119
/* 33110*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F64), 0,
                   MVT::f64, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 33119*/    0, // EndSwitchType
/* 33120*/   /*Scope*/ 29, /*->33150*/
/* 33121*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 33123*/    OPC_MoveParent,
/* 33124*/    OPC_RecordChild1, // #1 = $lhs
/* 33125*/    OPC_RecordChild2, // #2 = $rhs
/* 33126*/    OPC_SwitchType /*2 cases */, 9, MVT::f32,// ->33138
/* 33129*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F32), 0,
                   MVT::f32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$rhs, F32:{ *:[f32] }:$lhs, I32:{ *:[i32] }:$cond)
/* 33138*/    /*SwitchType*/ 9, MVT::f64,// ->33149
/* 33140*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F64), 0,
                   MVT::f64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$rhs, F64:{ *:[f64] }:$lhs, I32:{ *:[i32] }:$cond)
/* 33149*/    0, // EndSwitchType
/* 33150*/   0, /*End of Scope*/
/* 33151*/  /*Scope*/ 29, /*->33181*/
/* 33152*/   OPC_RecordChild0, // #0 = $cond
/* 33153*/   OPC_CheckChild0Type, MVT::i32,
/* 33155*/   OPC_RecordChild1, // #1 = $lhs
/* 33156*/   OPC_RecordChild2, // #2 = $rhs
/* 33157*/   OPC_SwitchType /*2 cases */, 9, MVT::f32,// ->33169
/* 33160*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F32), 0,
                  MVT::f32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[f32] } I32:{ *:[i32] }:$cond, F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 33169*/   /*SwitchType*/ 9, MVT::f64,// ->33180
/* 33171*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F64), 0,
                  MVT::f64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[f64] } I32:{ *:[i32] }:$cond, F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 33180*/   0, // EndSwitchType
/* 33181*/  /*Scope*/ 117, /*->33299*/
/* 33182*/   OPC_MoveChild0,
/* 33183*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 33186*/   OPC_RecordChild0, // #0 = $cond
/* 33187*/   OPC_CheckChild0Type, MVT::i32,
/* 33189*/   OPC_CheckChild1Integer, 0, 
/* 33191*/   OPC_CheckType, MVT::i32,
/* 33193*/   OPC_Scope, 51, /*->33246*/ // 2 children in Scope
/* 33195*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 33197*/    OPC_MoveParent,
/* 33198*/    OPC_RecordChild1, // #1 = $lhs
/* 33199*/    OPC_RecordChild2, // #2 = $rhs
/* 33200*/    OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->33212
/* 33203*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v16i8] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33212*/    /*SwitchType*/ 9, MVT::v8i16,// ->33223
/* 33214*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v8i16] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33223*/    /*SwitchType*/ 9, MVT::v4i32,// ->33234
/* 33225*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v4i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33234*/    /*SwitchType*/ 9, MVT::v2i64,// ->33245
/* 33236*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v2i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33245*/    0, // EndSwitchType
/* 33246*/   /*Scope*/ 51, /*->33298*/
/* 33247*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 33249*/    OPC_MoveParent,
/* 33250*/    OPC_RecordChild1, // #1 = $lhs
/* 33251*/    OPC_RecordChild2, // #2 = $rhs
/* 33252*/    OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->33264
/* 33255*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v16i8, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v16i8] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$rhs, ?:{ *:[v16i8] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33264*/    /*SwitchType*/ 9, MVT::v8i16,// ->33275
/* 33266*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v8i16, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v8i16] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$rhs, ?:{ *:[v8i16] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33275*/    /*SwitchType*/ 9, MVT::v4i32,// ->33286
/* 33277*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v4i32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v4i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$rhs, ?:{ *:[v4i32] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33286*/    /*SwitchType*/ 9, MVT::v2i64,// ->33297
/* 33288*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v2i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$rhs, ?:{ *:[v2i64] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33297*/    0, // EndSwitchType
/* 33298*/   0, /*End of Scope*/
/* 33299*/  /*Scope*/ 51, /*->33351*/
/* 33300*/   OPC_RecordChild0, // #0 = $cond
/* 33301*/   OPC_CheckChild0Type, MVT::i32,
/* 33303*/   OPC_RecordChild1, // #1 = $lhs
/* 33304*/   OPC_RecordChild2, // #2 = $rhs
/* 33305*/   OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->33317
/* 33308*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v16i8] } I32:{ *:[i32] }:$cond, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33317*/   /*SwitchType*/ 9, MVT::v8i16,// ->33328
/* 33319*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v8i16] } I32:{ *:[i32] }:$cond, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33328*/   /*SwitchType*/ 9, MVT::v4i32,// ->33339
/* 33330*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v4i32] } I32:{ *:[i32] }:$cond, V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33339*/   /*SwitchType*/ 9, MVT::v2i64,// ->33350
/* 33341*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v2i64] } I32:{ *:[i32] }:$cond, V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33350*/   0, // EndSwitchType
/* 33351*/  /*Scope*/ 73, /*->33425*/
/* 33352*/   OPC_MoveChild0,
/* 33353*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 33356*/   OPC_RecordChild0, // #0 = $cond
/* 33357*/   OPC_CheckChild0Type, MVT::i32,
/* 33359*/   OPC_CheckChild1Integer, 0, 
/* 33361*/   OPC_CheckType, MVT::i32,
/* 33363*/   OPC_Scope, 29, /*->33394*/ // 2 children in Scope
/* 33365*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 33367*/    OPC_MoveParent,
/* 33368*/    OPC_RecordChild1, // #1 = $lhs
/* 33369*/    OPC_RecordChild2, // #2 = $rhs
/* 33370*/    OPC_SwitchType /*2 cases */, 9, MVT::v4f32,// ->33382
/* 33373*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v4f32, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v4f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33382*/    /*SwitchType*/ 9, MVT::v2f64,// ->33393
/* 33384*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v2f64, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v2f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33393*/    0, // EndSwitchType
/* 33394*/   /*Scope*/ 29, /*->33424*/
/* 33395*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 33397*/    OPC_MoveParent,
/* 33398*/    OPC_RecordChild1, // #1 = $lhs
/* 33399*/    OPC_RecordChild2, // #2 = $rhs
/* 33400*/    OPC_SwitchType /*2 cases */, 9, MVT::v4f32,// ->33412
/* 33403*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v4f32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v4f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$rhs, ?:{ *:[v4f32] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33412*/    /*SwitchType*/ 9, MVT::v2f64,// ->33423
/* 33414*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v2f64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v2f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$rhs, ?:{ *:[v2f64] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33423*/    0, // EndSwitchType
/* 33424*/   0, /*End of Scope*/
/* 33425*/  /*Scope*/ 29, /*->33455*/
/* 33426*/   OPC_RecordChild0, // #0 = $cond
/* 33427*/   OPC_CheckChild0Type, MVT::i32,
/* 33429*/   OPC_RecordChild1, // #1 = $lhs
/* 33430*/   OPC_RecordChild2, // #2 = $rhs
/* 33431*/   OPC_SwitchType /*2 cases */, 9, MVT::v4f32,// ->33443
/* 33434*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v4f32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v4f32] } I32:{ *:[i32] }:$cond, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33443*/   /*SwitchType*/ 9, MVT::v2f64,// ->33454
/* 33445*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v2f64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v2f64] } I32:{ *:[i32] }:$cond, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33454*/   0, // EndSwitchType
/* 33455*/  0, /*End of Scope*/
/* 33456*/ /*SwitchOpcode*/ 74|128,8/*1098*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->34558
/* 33460*/  OPC_RecordMemRef,
/* 33461*/  OPC_RecordNode, // #0 = 'atomic_load' chained node
/* 33462*/  OPC_Scope, 0|128,5/*640*/, /*->34105*/ // 2 children in Scope
/* 33465*/   OPC_MoveChild1,
/* 33466*/   OPC_SwitchOpcode /*3 cases */, 63|128,1/*191*/, TARGET_VAL(ISD::ADD),// ->33662
/* 33471*/    OPC_RecordChild0, // #1 = $addr
/* 33472*/    OPC_RecordChild1, // #2 = $off
/* 33473*/    OPC_MoveChild1,
/* 33474*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 33477*/    OPC_MoveParent,
/* 33478*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 33480*/    OPC_SwitchType /*2 cases */, 88, MVT::i32,// ->33571
/* 33483*/     OPC_MoveParent,
/* 33484*/     OPC_SwitchType /*2 cases */, 62, MVT::i32,// ->33549
/* 33487*/      OPC_Scope, 19, /*->33508*/ // 3 children in Scope
/* 33489*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33491*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33493*/       OPC_EmitMergeInputChains1_0,
/* 33494*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33497*/       OPC_EmitConvertToTarget, 2,
/* 33499*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_32>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33508*/      /*Scope*/ 19, /*->33528*/
/* 33509*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33511*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33513*/       OPC_EmitMergeInputChains1_0,
/* 33514*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33517*/       OPC_EmitConvertToTarget, 2,
/* 33519*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33528*/      /*Scope*/ 19, /*->33548*/
/* 33529*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33531*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33533*/       OPC_EmitMergeInputChains1_0,
/* 33534*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33537*/       OPC_EmitConvertToTarget, 2,
/* 33539*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33548*/      0, /*End of Scope*/
/* 33549*/     /*SwitchType*/ 19, MVT::i64,// ->33570
/* 33551*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33553*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33555*/      OPC_EmitMergeInputChains1_0,
/* 33556*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33559*/      OPC_EmitConvertToTarget, 2,
/* 33561*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (atomic_load:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_64>> - Complexity = 11
                // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33570*/     0, // EndSwitchType
/* 33571*/    /*SwitchType*/ 88, MVT::i64,// ->33661
/* 33573*/     OPC_MoveParent,
/* 33574*/     OPC_SwitchType /*2 cases */, 62, MVT::i32,// ->33639
/* 33577*/      OPC_Scope, 19, /*->33598*/ // 3 children in Scope
/* 33579*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33581*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33583*/       OPC_EmitMergeInputChains1_0,
/* 33584*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33587*/       OPC_EmitConvertToTarget, 2,
/* 33589*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_32>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33598*/      /*Scope*/ 19, /*->33618*/
/* 33599*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33601*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33603*/       OPC_EmitMergeInputChains1_0,
/* 33604*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33607*/       OPC_EmitConvertToTarget, 2,
/* 33609*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33618*/      /*Scope*/ 19, /*->33638*/
/* 33619*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33621*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33623*/       OPC_EmitMergeInputChains1_0,
/* 33624*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33627*/       OPC_EmitConvertToTarget, 2,
/* 33629*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33638*/      0, /*End of Scope*/
/* 33639*/     /*SwitchType*/ 19, MVT::i64,// ->33660
/* 33641*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33643*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33645*/      OPC_EmitMergeInputChains1_0,
/* 33646*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33649*/      OPC_EmitConvertToTarget, 2,
/* 33651*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (atomic_load:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_64>> - Complexity = 11
                // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33660*/     0, // EndSwitchType
/* 33661*/    0, // EndSwitchType
/* 33662*/   /*SwitchOpcode*/ 63|128,1/*191*/, TARGET_VAL(ISD::OR),// ->33857
/* 33666*/    OPC_RecordChild0, // #1 = $addr
/* 33667*/    OPC_RecordChild1, // #2 = $off
/* 33668*/    OPC_MoveChild1,
/* 33669*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 33672*/    OPC_MoveParent,
/* 33673*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 33675*/    OPC_SwitchType /*2 cases */, 88, MVT::i32,// ->33766
/* 33678*/     OPC_MoveParent,
/* 33679*/     OPC_SwitchType /*2 cases */, 62, MVT::i32,// ->33744
/* 33682*/      OPC_Scope, 19, /*->33703*/ // 3 children in Scope
/* 33684*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33686*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33688*/       OPC_EmitMergeInputChains1_0,
/* 33689*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33692*/       OPC_EmitConvertToTarget, 2,
/* 33694*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_32>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33703*/      /*Scope*/ 19, /*->33723*/
/* 33704*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33706*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33708*/       OPC_EmitMergeInputChains1_0,
/* 33709*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33712*/       OPC_EmitConvertToTarget, 2,
/* 33714*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33723*/      /*Scope*/ 19, /*->33743*/
/* 33724*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33726*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33728*/       OPC_EmitMergeInputChains1_0,
/* 33729*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33732*/       OPC_EmitConvertToTarget, 2,
/* 33734*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33743*/      0, /*End of Scope*/
/* 33744*/     /*SwitchType*/ 19, MVT::i64,// ->33765
/* 33746*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33748*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33750*/      OPC_EmitMergeInputChains1_0,
/* 33751*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33754*/      OPC_EmitConvertToTarget, 2,
/* 33756*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (atomic_load:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_64>> - Complexity = 11
                // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33765*/     0, // EndSwitchType
/* 33766*/    /*SwitchType*/ 88, MVT::i64,// ->33856
/* 33768*/     OPC_MoveParent,
/* 33769*/     OPC_SwitchType /*2 cases */, 62, MVT::i32,// ->33834
/* 33772*/      OPC_Scope, 19, /*->33793*/ // 3 children in Scope
/* 33774*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33776*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33778*/       OPC_EmitMergeInputChains1_0,
/* 33779*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33782*/       OPC_EmitConvertToTarget, 2,
/* 33784*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_32>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33793*/      /*Scope*/ 19, /*->33813*/
/* 33794*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33796*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33798*/       OPC_EmitMergeInputChains1_0,
/* 33799*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33802*/       OPC_EmitConvertToTarget, 2,
/* 33804*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33813*/      /*Scope*/ 19, /*->33833*/
/* 33814*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33816*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33818*/       OPC_EmitMergeInputChains1_0,
/* 33819*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33822*/       OPC_EmitConvertToTarget, 2,
/* 33824*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33833*/      0, /*End of Scope*/
/* 33834*/     /*SwitchType*/ 19, MVT::i64,// ->33855
/* 33836*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33838*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33840*/      OPC_EmitMergeInputChains1_0,
/* 33841*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33844*/      OPC_EmitConvertToTarget, 2,
/* 33846*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (atomic_load:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_64>> - Complexity = 11
                // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33855*/     0, // EndSwitchType
/* 33856*/    0, // EndSwitchType
/* 33857*/   /*SwitchOpcode*/ 115|128,1/*243*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->34104
/* 33861*/    OPC_RecordChild0, // #1 = $off
/* 33862*/    OPC_MoveChild0,
/* 33863*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 33866*/    OPC_MoveParent,
/* 33867*/    OPC_MoveParent,
/* 33868*/    OPC_SwitchType /*2 cases */, 45|128,1/*173*/, MVT::i32,// ->34045
/* 33872*/     OPC_Scope, 56, /*->33930*/ // 3 children in Scope
/* 33874*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33876*/      OPC_Scope, 25, /*->33903*/ // 2 children in Scope
/* 33878*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33880*/       OPC_EmitMergeInputChains1_0,
/* 33881*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33884*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33887*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 33894*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_32>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 33903*/      /*Scope*/ 25, /*->33929*/
/* 33904*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33906*/       OPC_EmitMergeInputChains1_0,
/* 33907*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33910*/       OPC_EmitInteger, MVT::i64, 0, 
/* 33913*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 33920*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_32>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 33929*/      0, /*End of Scope*/
/* 33930*/     /*Scope*/ 56, /*->33987*/
/* 33931*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33933*/      OPC_Scope, 25, /*->33960*/ // 2 children in Scope
/* 33935*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33937*/       OPC_EmitMergeInputChains1_0,
/* 33938*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33941*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33944*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 33951*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 33960*/      /*Scope*/ 25, /*->33986*/
/* 33961*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33963*/       OPC_EmitMergeInputChains1_0,
/* 33964*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33967*/       OPC_EmitInteger, MVT::i64, 0, 
/* 33970*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 33977*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 33986*/      0, /*End of Scope*/
/* 33987*/     /*Scope*/ 56, /*->34044*/
/* 33988*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33990*/      OPC_Scope, 25, /*->34017*/ // 2 children in Scope
/* 33992*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33994*/       OPC_EmitMergeInputChains1_0,
/* 33995*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33998*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34001*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 34008*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 34017*/      /*Scope*/ 25, /*->34043*/
/* 34018*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 34020*/       OPC_EmitMergeInputChains1_0,
/* 34021*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34024*/       OPC_EmitInteger, MVT::i64, 0, 
/* 34027*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 34034*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34043*/      0, /*End of Scope*/
/* 34044*/     0, /*End of Scope*/
/* 34045*/    /*SwitchType*/ 56, MVT::i64,// ->34103
/* 34047*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 34049*/     OPC_Scope, 25, /*->34076*/ // 2 children in Scope
/* 34051*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 34053*/      OPC_EmitMergeInputChains1_0,
/* 34054*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34057*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34060*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 34067*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (atomic_load:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_64>> - Complexity = 10
                // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 34076*/     /*Scope*/ 25, /*->34102*/
/* 34077*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 34079*/      OPC_EmitMergeInputChains1_0,
/* 34080*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34083*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34086*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 34093*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (atomic_load:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_64>> - Complexity = 10
                // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34102*/     0, /*End of Scope*/
/* 34103*/    0, // EndSwitchType
/* 34104*/   0, // EndSwitchOpcode
/* 34105*/  /*Scope*/ 66|128,3/*450*/, /*->34557*/
/* 34107*/   OPC_RecordChild1, // #1 = $off
/* 34108*/   OPC_Scope, 1|128,2/*257*/, /*->34368*/ // 3 children in Scope
/* 34111*/    OPC_MoveChild1,
/* 34112*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 34115*/    OPC_MoveParent,
/* 34116*/    OPC_SwitchType /*2 cases */, 57|128,1/*185*/, MVT::i32,// ->34305
/* 34120*/     OPC_Scope, 60, /*->34182*/ // 3 children in Scope
/* 34122*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 34124*/      OPC_Scope, 27, /*->34153*/ // 2 children in Scope
/* 34126*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34128*/       OPC_EmitMergeInputChains1_0,
/* 34129*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34132*/       OPC_EmitConvertToTarget, 1,
/* 34134*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34137*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 34144*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_32>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 34153*/      /*Scope*/ 27, /*->34181*/
/* 34154*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34156*/       OPC_EmitMergeInputChains1_0,
/* 34157*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34160*/       OPC_EmitConvertToTarget, 1,
/* 34162*/       OPC_EmitInteger, MVT::i64, 0, 
/* 34165*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 34172*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_32>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34181*/      0, /*End of Scope*/
/* 34182*/     /*Scope*/ 60, /*->34243*/
/* 34183*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 34185*/      OPC_Scope, 27, /*->34214*/ // 2 children in Scope
/* 34187*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34189*/       OPC_EmitMergeInputChains1_0,
/* 34190*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34193*/       OPC_EmitConvertToTarget, 1,
/* 34195*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34198*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 34205*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 34214*/      /*Scope*/ 27, /*->34242*/
/* 34215*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34217*/       OPC_EmitMergeInputChains1_0,
/* 34218*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34221*/       OPC_EmitConvertToTarget, 1,
/* 34223*/       OPC_EmitInteger, MVT::i64, 0, 
/* 34226*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 34233*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34242*/      0, /*End of Scope*/
/* 34243*/     /*Scope*/ 60, /*->34304*/
/* 34244*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 34246*/      OPC_Scope, 27, /*->34275*/ // 2 children in Scope
/* 34248*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34250*/       OPC_EmitMergeInputChains1_0,
/* 34251*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34254*/       OPC_EmitConvertToTarget, 1,
/* 34256*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34259*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 34266*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 34275*/      /*Scope*/ 27, /*->34303*/
/* 34276*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34278*/       OPC_EmitMergeInputChains1_0,
/* 34279*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34282*/       OPC_EmitConvertToTarget, 1,
/* 34284*/       OPC_EmitInteger, MVT::i64, 0, 
/* 34287*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 34294*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34303*/      0, /*End of Scope*/
/* 34304*/     0, /*End of Scope*/
/* 34305*/    /*SwitchType*/ 60, MVT::i64,// ->34367
/* 34307*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 34309*/     OPC_Scope, 27, /*->34338*/ // 2 children in Scope
/* 34311*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34313*/      OPC_EmitMergeInputChains1_0,
/* 34314*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34317*/      OPC_EmitConvertToTarget, 1,
/* 34319*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34322*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 34329*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (atomic_load:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_64>> - Complexity = 7
                // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 34338*/     /*Scope*/ 27, /*->34366*/
/* 34339*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34341*/      OPC_EmitMergeInputChains1_0,
/* 34342*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34345*/      OPC_EmitConvertToTarget, 1,
/* 34347*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34350*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 34357*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (atomic_load:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_64>> - Complexity = 7
                // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34366*/     0, /*End of Scope*/
/* 34367*/    0, // EndSwitchType
/* 34368*/   /*Scope*/ 93, /*->34462*/
/* 34369*/    OPC_CheckChild1Type, MVT::i32,
/* 34371*/    OPC_SwitchType /*2 cases */, 65, MVT::i32,// ->34439
/* 34374*/     OPC_Scope, 20, /*->34396*/ // 3 children in Scope
/* 34376*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 34378*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34380*/      OPC_EmitMergeInputChains1_0,
/* 34381*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34384*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34387*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_32>> - Complexity = 4
                // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 34396*/     /*Scope*/ 20, /*->34417*/
/* 34397*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 34399*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34401*/      OPC_EmitMergeInputChains1_0,
/* 34402*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34405*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34408*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_8>> - Complexity = 4
                // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 34417*/     /*Scope*/ 20, /*->34438*/
/* 34418*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 34420*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34422*/      OPC_EmitMergeInputChains1_0,
/* 34423*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34426*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34429*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_16>> - Complexity = 4
                // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 34438*/     0, /*End of Scope*/
/* 34439*/    /*SwitchType*/ 20, MVT::i64,// ->34461
/* 34441*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 34443*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34445*/     OPC_EmitMergeInputChains1_0,
/* 34446*/     OPC_EmitInteger, MVT::i32, 0, 
/* 34449*/     OPC_EmitInteger, MVT::i32, 0, 
/* 34452*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (atomic_load:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_64>> - Complexity = 4
               // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 34461*/    0, // EndSwitchType
/* 34462*/   /*Scope*/ 93, /*->34556*/
/* 34463*/    OPC_CheckChild1Type, MVT::i64,
/* 34465*/    OPC_SwitchType /*2 cases */, 65, MVT::i32,// ->34533
/* 34468*/     OPC_Scope, 20, /*->34490*/ // 3 children in Scope
/* 34470*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 34472*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34474*/      OPC_EmitMergeInputChains1_0,
/* 34475*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34478*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34481*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_32>> - Complexity = 4
                // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 34490*/     /*Scope*/ 20, /*->34511*/
/* 34491*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 34493*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34495*/      OPC_EmitMergeInputChains1_0,
/* 34496*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34499*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34502*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_8>> - Complexity = 4
                // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 34511*/     /*Scope*/ 20, /*->34532*/
/* 34512*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 34514*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34516*/      OPC_EmitMergeInputChains1_0,
/* 34517*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34520*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34523*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_16>> - Complexity = 4
                // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 34532*/     0, /*End of Scope*/
/* 34533*/    /*SwitchType*/ 20, MVT::i64,// ->34555
/* 34535*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 34537*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34539*/     OPC_EmitMergeInputChains1_0,
/* 34540*/     OPC_EmitInteger, MVT::i32, 0, 
/* 34543*/     OPC_EmitInteger, MVT::i64, 0, 
/* 34546*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (atomic_load:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_64>> - Complexity = 4
               // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 34555*/    0, // EndSwitchType
/* 34556*/   0, /*End of Scope*/
/* 34557*/  0, /*End of Scope*/
/* 34558*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->36214
/* 34562*/  OPC_RecordMemRef,
/* 34563*/  OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/* 34564*/  OPC_Scope, 63|128,7/*959*/, /*->35526*/ // 2 children in Scope
/* 34567*/   OPC_MoveChild1,
/* 34568*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->34860
/* 34573*/    OPC_RecordChild0, // #1 = $addr
/* 34574*/    OPC_RecordChild1, // #2 = $off
/* 34575*/    OPC_MoveChild1,
/* 34576*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 34579*/    OPC_MoveParent,
/* 34580*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 34582*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->34721
/* 34586*/     OPC_MoveParent,
/* 34587*/     OPC_RecordChild2, // #3 = $val
/* 34588*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->34698
/* 34591*/      OPC_Scope, 20, /*->34613*/ // 5 children in Scope
/* 34593*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 34595*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34597*/       OPC_EmitMergeInputChains1_0,
/* 34598*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34601*/       OPC_EmitConvertToTarget, 2,
/* 34603*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34613*/      /*Scope*/ 20, /*->34634*/
/* 34614*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34616*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34618*/       OPC_EmitMergeInputChains1_0,
/* 34619*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34622*/       OPC_EmitConvertToTarget, 2,
/* 34624*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34634*/      /*Scope*/ 20, /*->34655*/
/* 34635*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34637*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34639*/       OPC_EmitMergeInputChains1_0,
/* 34640*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34643*/       OPC_EmitConvertToTarget, 2,
/* 34645*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34655*/      /*Scope*/ 20, /*->34676*/
/* 34656*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34658*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34660*/       OPC_EmitMergeInputChains1_0,
/* 34661*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34664*/       OPC_EmitConvertToTarget, 2,
/* 34666*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34676*/      /*Scope*/ 20, /*->34697*/
/* 34677*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34679*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34681*/       OPC_EmitMergeInputChains1_0,
/* 34682*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34685*/       OPC_EmitConvertToTarget, 2,
/* 34687*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34697*/      0, /*End of Scope*/
/* 34698*/     /*SwitchType*/ 20, MVT::i64,// ->34720
/* 34700*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 34702*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34704*/      OPC_EmitMergeInputChains1_0,
/* 34705*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34708*/      OPC_EmitConvertToTarget, 2,
/* 34710*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_add:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 34720*/     0, // EndSwitchType
/* 34721*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->34859
/* 34724*/     OPC_MoveParent,
/* 34725*/     OPC_RecordChild2, // #3 = $val
/* 34726*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->34836
/* 34729*/      OPC_Scope, 20, /*->34751*/ // 5 children in Scope
/* 34731*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 34733*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34735*/       OPC_EmitMergeInputChains1_0,
/* 34736*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34739*/       OPC_EmitConvertToTarget, 2,
/* 34741*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34751*/      /*Scope*/ 20, /*->34772*/
/* 34752*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34754*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34756*/       OPC_EmitMergeInputChains1_0,
/* 34757*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34760*/       OPC_EmitConvertToTarget, 2,
/* 34762*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34772*/      /*Scope*/ 20, /*->34793*/
/* 34773*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34775*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34777*/       OPC_EmitMergeInputChains1_0,
/* 34778*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34781*/       OPC_EmitConvertToTarget, 2,
/* 34783*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34793*/      /*Scope*/ 20, /*->34814*/
/* 34794*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34796*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34798*/       OPC_EmitMergeInputChains1_0,
/* 34799*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34802*/       OPC_EmitConvertToTarget, 2,
/* 34804*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34814*/      /*Scope*/ 20, /*->34835*/
/* 34815*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34817*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34819*/       OPC_EmitMergeInputChains1_0,
/* 34820*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34823*/       OPC_EmitConvertToTarget, 2,
/* 34825*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34835*/      0, /*End of Scope*/
/* 34836*/     /*SwitchType*/ 20, MVT::i64,// ->34858
/* 34838*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 34840*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34842*/      OPC_EmitMergeInputChains1_0,
/* 34843*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34846*/      OPC_EmitConvertToTarget, 2,
/* 34848*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_add:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 34858*/     0, // EndSwitchType
/* 34859*/    0, // EndSwitchType
/* 34860*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->35151
/* 34864*/    OPC_RecordChild0, // #1 = $addr
/* 34865*/    OPC_RecordChild1, // #2 = $off
/* 34866*/    OPC_MoveChild1,
/* 34867*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 34870*/    OPC_MoveParent,
/* 34871*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 34873*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->35012
/* 34877*/     OPC_MoveParent,
/* 34878*/     OPC_RecordChild2, // #3 = $val
/* 34879*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->34989
/* 34882*/      OPC_Scope, 20, /*->34904*/ // 5 children in Scope
/* 34884*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 34886*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34888*/       OPC_EmitMergeInputChains1_0,
/* 34889*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34892*/       OPC_EmitConvertToTarget, 2,
/* 34894*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34904*/      /*Scope*/ 20, /*->34925*/
/* 34905*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34907*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34909*/       OPC_EmitMergeInputChains1_0,
/* 34910*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34913*/       OPC_EmitConvertToTarget, 2,
/* 34915*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34925*/      /*Scope*/ 20, /*->34946*/
/* 34926*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34928*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34930*/       OPC_EmitMergeInputChains1_0,
/* 34931*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34934*/       OPC_EmitConvertToTarget, 2,
/* 34936*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34946*/      /*Scope*/ 20, /*->34967*/
/* 34947*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34949*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34951*/       OPC_EmitMergeInputChains1_0,
/* 34952*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34955*/       OPC_EmitConvertToTarget, 2,
/* 34957*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34967*/      /*Scope*/ 20, /*->34988*/
/* 34968*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34970*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34972*/       OPC_EmitMergeInputChains1_0,
/* 34973*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34976*/       OPC_EmitConvertToTarget, 2,
/* 34978*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34988*/      0, /*End of Scope*/
/* 34989*/     /*SwitchType*/ 20, MVT::i64,// ->35011
/* 34991*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 34993*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34995*/      OPC_EmitMergeInputChains1_0,
/* 34996*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34999*/      OPC_EmitConvertToTarget, 2,
/* 35001*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_add:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 35011*/     0, // EndSwitchType
/* 35012*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->35150
/* 35015*/     OPC_MoveParent,
/* 35016*/     OPC_RecordChild2, // #3 = $val
/* 35017*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->35127
/* 35020*/      OPC_Scope, 20, /*->35042*/ // 5 children in Scope
/* 35022*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 35024*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35026*/       OPC_EmitMergeInputChains1_0,
/* 35027*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35030*/       OPC_EmitConvertToTarget, 2,
/* 35032*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35042*/      /*Scope*/ 20, /*->35063*/
/* 35043*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35045*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35047*/       OPC_EmitMergeInputChains1_0,
/* 35048*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35051*/       OPC_EmitConvertToTarget, 2,
/* 35053*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35063*/      /*Scope*/ 20, /*->35084*/
/* 35064*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35066*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35068*/       OPC_EmitMergeInputChains1_0,
/* 35069*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35072*/       OPC_EmitConvertToTarget, 2,
/* 35074*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35084*/      /*Scope*/ 20, /*->35105*/
/* 35085*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35087*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35089*/       OPC_EmitMergeInputChains1_0,
/* 35090*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35093*/       OPC_EmitConvertToTarget, 2,
/* 35095*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35105*/      /*Scope*/ 20, /*->35126*/
/* 35106*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35108*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35110*/       OPC_EmitMergeInputChains1_0,
/* 35111*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35114*/       OPC_EmitConvertToTarget, 2,
/* 35116*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35126*/      0, /*End of Scope*/
/* 35127*/     /*SwitchType*/ 20, MVT::i64,// ->35149
/* 35129*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 35131*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35133*/      OPC_EmitMergeInputChains1_0,
/* 35134*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35137*/      OPC_EmitConvertToTarget, 2,
/* 35139*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_add:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 35149*/     0, // EndSwitchType
/* 35150*/    0, // EndSwitchType
/* 35151*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->35525
/* 35155*/    OPC_RecordChild0, // #1 = $off
/* 35156*/    OPC_MoveChild0,
/* 35157*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 35160*/    OPC_MoveParent,
/* 35161*/    OPC_MoveParent,
/* 35162*/    OPC_RecordChild2, // #2 = $val
/* 35163*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->35464
/* 35167*/     OPC_Scope, 58, /*->35227*/ // 5 children in Scope
/* 35169*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 35171*/      OPC_Scope, 26, /*->35199*/ // 2 children in Scope
/* 35173*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35175*/       OPC_EmitMergeInputChains1_0,
/* 35176*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35179*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35182*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35189*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35199*/      /*Scope*/ 26, /*->35226*/
/* 35200*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35202*/       OPC_EmitMergeInputChains1_0,
/* 35203*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35206*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35209*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35216*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35226*/      0, /*End of Scope*/
/* 35227*/     /*Scope*/ 58, /*->35286*/
/* 35228*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35230*/      OPC_Scope, 26, /*->35258*/ // 2 children in Scope
/* 35232*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35234*/       OPC_EmitMergeInputChains1_0,
/* 35235*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35238*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35241*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35248*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35258*/      /*Scope*/ 26, /*->35285*/
/* 35259*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35261*/       OPC_EmitMergeInputChains1_0,
/* 35262*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35265*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35268*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35275*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35285*/      0, /*End of Scope*/
/* 35286*/     /*Scope*/ 58, /*->35345*/
/* 35287*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35289*/      OPC_Scope, 26, /*->35317*/ // 2 children in Scope
/* 35291*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35293*/       OPC_EmitMergeInputChains1_0,
/* 35294*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35297*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35300*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35307*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35317*/      /*Scope*/ 26, /*->35344*/
/* 35318*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35320*/       OPC_EmitMergeInputChains1_0,
/* 35321*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35324*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35327*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35334*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35344*/      0, /*End of Scope*/
/* 35345*/     /*Scope*/ 58, /*->35404*/
/* 35346*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35348*/      OPC_Scope, 26, /*->35376*/ // 2 children in Scope
/* 35350*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35352*/       OPC_EmitMergeInputChains1_0,
/* 35353*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35356*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35359*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35366*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35376*/      /*Scope*/ 26, /*->35403*/
/* 35377*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35379*/       OPC_EmitMergeInputChains1_0,
/* 35380*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35383*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35386*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35393*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35403*/      0, /*End of Scope*/
/* 35404*/     /*Scope*/ 58, /*->35463*/
/* 35405*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35407*/      OPC_Scope, 26, /*->35435*/ // 2 children in Scope
/* 35409*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35411*/       OPC_EmitMergeInputChains1_0,
/* 35412*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35415*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35418*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35425*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35435*/      /*Scope*/ 26, /*->35462*/
/* 35436*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35438*/       OPC_EmitMergeInputChains1_0,
/* 35439*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35442*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35445*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35452*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35462*/      0, /*End of Scope*/
/* 35463*/     0, /*End of Scope*/
/* 35464*/    /*SwitchType*/ 58, MVT::i64,// ->35524
/* 35466*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 35468*/     OPC_Scope, 26, /*->35496*/ // 2 children in Scope
/* 35470*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35472*/      OPC_EmitMergeInputChains1_0,
/* 35473*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35476*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35479*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35486*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_add:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 35496*/     /*Scope*/ 26, /*->35523*/
/* 35497*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35499*/      OPC_EmitMergeInputChains1_0,
/* 35500*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35503*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35506*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35513*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_add:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 35523*/     0, /*End of Scope*/
/* 35524*/    0, // EndSwitchType
/* 35525*/   0, // EndSwitchOpcode
/* 35526*/  /*Scope*/ 45|128,5/*685*/, /*->36213*/
/* 35528*/   OPC_RecordChild1, // #1 = $off
/* 35529*/   OPC_Scope, 8|128,3/*392*/, /*->35924*/ // 3 children in Scope
/* 35532*/    OPC_MoveChild1,
/* 35533*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 35536*/    OPC_MoveParent,
/* 35537*/    OPC_RecordChild2, // #2 = $val
/* 35538*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->35859
/* 35542*/     OPC_Scope, 62, /*->35606*/ // 5 children in Scope
/* 35544*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 35546*/      OPC_Scope, 28, /*->35576*/ // 2 children in Scope
/* 35548*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35550*/       OPC_EmitMergeInputChains1_0,
/* 35551*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35554*/       OPC_EmitConvertToTarget, 1,
/* 35556*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35559*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35566*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35576*/      /*Scope*/ 28, /*->35605*/
/* 35577*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35579*/       OPC_EmitMergeInputChains1_0,
/* 35580*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35583*/       OPC_EmitConvertToTarget, 1,
/* 35585*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35588*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35595*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35605*/      0, /*End of Scope*/
/* 35606*/     /*Scope*/ 62, /*->35669*/
/* 35607*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35609*/      OPC_Scope, 28, /*->35639*/ // 2 children in Scope
/* 35611*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35613*/       OPC_EmitMergeInputChains1_0,
/* 35614*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35617*/       OPC_EmitConvertToTarget, 1,
/* 35619*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35622*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35629*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35639*/      /*Scope*/ 28, /*->35668*/
/* 35640*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35642*/       OPC_EmitMergeInputChains1_0,
/* 35643*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35646*/       OPC_EmitConvertToTarget, 1,
/* 35648*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35651*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35658*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35668*/      0, /*End of Scope*/
/* 35669*/     /*Scope*/ 62, /*->35732*/
/* 35670*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35672*/      OPC_Scope, 28, /*->35702*/ // 2 children in Scope
/* 35674*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35676*/       OPC_EmitMergeInputChains1_0,
/* 35677*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35680*/       OPC_EmitConvertToTarget, 1,
/* 35682*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35685*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35692*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35702*/      /*Scope*/ 28, /*->35731*/
/* 35703*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35705*/       OPC_EmitMergeInputChains1_0,
/* 35706*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35709*/       OPC_EmitConvertToTarget, 1,
/* 35711*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35714*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35721*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35731*/      0, /*End of Scope*/
/* 35732*/     /*Scope*/ 62, /*->35795*/
/* 35733*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35735*/      OPC_Scope, 28, /*->35765*/ // 2 children in Scope
/* 35737*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35739*/       OPC_EmitMergeInputChains1_0,
/* 35740*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35743*/       OPC_EmitConvertToTarget, 1,
/* 35745*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35748*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35755*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35765*/      /*Scope*/ 28, /*->35794*/
/* 35766*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35768*/       OPC_EmitMergeInputChains1_0,
/* 35769*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35772*/       OPC_EmitConvertToTarget, 1,
/* 35774*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35777*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35784*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35794*/      0, /*End of Scope*/
/* 35795*/     /*Scope*/ 62, /*->35858*/
/* 35796*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35798*/      OPC_Scope, 28, /*->35828*/ // 2 children in Scope
/* 35800*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35802*/       OPC_EmitMergeInputChains1_0,
/* 35803*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35806*/       OPC_EmitConvertToTarget, 1,
/* 35808*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35811*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35818*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35828*/      /*Scope*/ 28, /*->35857*/
/* 35829*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35831*/       OPC_EmitMergeInputChains1_0,
/* 35832*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35835*/       OPC_EmitConvertToTarget, 1,
/* 35837*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35840*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35847*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35857*/      0, /*End of Scope*/
/* 35858*/     0, /*End of Scope*/
/* 35859*/    /*SwitchType*/ 62, MVT::i64,// ->35923
/* 35861*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 35863*/     OPC_Scope, 28, /*->35893*/ // 2 children in Scope
/* 35865*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35867*/      OPC_EmitMergeInputChains1_0,
/* 35868*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35871*/      OPC_EmitConvertToTarget, 1,
/* 35873*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35876*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35883*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_add:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 35893*/     /*Scope*/ 28, /*->35922*/
/* 35894*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35896*/      OPC_EmitMergeInputChains1_0,
/* 35897*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35900*/      OPC_EmitConvertToTarget, 1,
/* 35902*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35905*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35912*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_add:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 35922*/     0, /*End of Scope*/
/* 35923*/    0, // EndSwitchType
/* 35924*/   /*Scope*/ 14|128,1/*142*/, /*->36068*/
/* 35926*/    OPC_CheckChild1Type, MVT::i32,
/* 35928*/    OPC_RecordChild2, // #2 = $val
/* 35929*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->36044
/* 35932*/     OPC_Scope, 21, /*->35955*/ // 5 children in Scope
/* 35934*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 35936*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35938*/      OPC_EmitMergeInputChains1_0,
/* 35939*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35942*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35945*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 35955*/     /*Scope*/ 21, /*->35977*/
/* 35956*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35958*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35960*/      OPC_EmitMergeInputChains1_0,
/* 35961*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35964*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35967*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 35977*/     /*Scope*/ 21, /*->35999*/
/* 35978*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35980*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35982*/      OPC_EmitMergeInputChains1_0,
/* 35983*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35986*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35989*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 35999*/     /*Scope*/ 21, /*->36021*/
/* 36000*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 36002*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36004*/      OPC_EmitMergeInputChains1_0,
/* 36005*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36008*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36011*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36021*/     /*Scope*/ 21, /*->36043*/
/* 36022*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 36024*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36026*/      OPC_EmitMergeInputChains1_0,
/* 36027*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36030*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36033*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36043*/     0, /*End of Scope*/
/* 36044*/    /*SwitchType*/ 21, MVT::i64,// ->36067
/* 36046*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 36048*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36050*/     OPC_EmitMergeInputChains1_0,
/* 36051*/     OPC_EmitInteger, MVT::i32, 0, 
/* 36054*/     OPC_EmitInteger, MVT::i32, 0, 
/* 36057*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_add:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 36067*/    0, // EndSwitchType
/* 36068*/   /*Scope*/ 14|128,1/*142*/, /*->36212*/
/* 36070*/    OPC_CheckChild1Type, MVT::i64,
/* 36072*/    OPC_RecordChild2, // #2 = $val
/* 36073*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->36188
/* 36076*/     OPC_Scope, 21, /*->36099*/ // 5 children in Scope
/* 36078*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 36080*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36082*/      OPC_EmitMergeInputChains1_0,
/* 36083*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36086*/      OPC_EmitInteger, MVT::i64, 0, 
/* 36089*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36099*/     /*Scope*/ 21, /*->36121*/
/* 36100*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 36102*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36104*/      OPC_EmitMergeInputChains1_0,
/* 36105*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36108*/      OPC_EmitInteger, MVT::i64, 0, 
/* 36111*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36121*/     /*Scope*/ 21, /*->36143*/
/* 36122*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 36124*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36126*/      OPC_EmitMergeInputChains1_0,
/* 36127*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36130*/      OPC_EmitInteger, MVT::i64, 0, 
/* 36133*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36143*/     /*Scope*/ 21, /*->36165*/
/* 36144*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 36146*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36148*/      OPC_EmitMergeInputChains1_0,
/* 36149*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36152*/      OPC_EmitInteger, MVT::i64, 0, 
/* 36155*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36165*/     /*Scope*/ 21, /*->36187*/
/* 36166*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 36168*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36170*/      OPC_EmitMergeInputChains1_0,
/* 36171*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36174*/      OPC_EmitInteger, MVT::i64, 0, 
/* 36177*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36187*/     0, /*End of Scope*/
/* 36188*/    /*SwitchType*/ 21, MVT::i64,// ->36211
/* 36190*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 36192*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36194*/     OPC_EmitMergeInputChains1_0,
/* 36195*/     OPC_EmitInteger, MVT::i32, 0, 
/* 36198*/     OPC_EmitInteger, MVT::i64, 0, 
/* 36201*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_add:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 36211*/    0, // EndSwitchType
/* 36212*/   0, /*End of Scope*/
/* 36213*/  0, /*End of Scope*/
/* 36214*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->37870
/* 36218*/  OPC_RecordMemRef,
/* 36219*/  OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/* 36220*/  OPC_Scope, 63|128,7/*959*/, /*->37182*/ // 2 children in Scope
/* 36223*/   OPC_MoveChild1,
/* 36224*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->36516
/* 36229*/    OPC_RecordChild0, // #1 = $addr
/* 36230*/    OPC_RecordChild1, // #2 = $off
/* 36231*/    OPC_MoveChild1,
/* 36232*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 36235*/    OPC_MoveParent,
/* 36236*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 36238*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->36377
/* 36242*/     OPC_MoveParent,
/* 36243*/     OPC_RecordChild2, // #3 = $val
/* 36244*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->36354
/* 36247*/      OPC_Scope, 20, /*->36269*/ // 5 children in Scope
/* 36249*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36251*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36253*/       OPC_EmitMergeInputChains1_0,
/* 36254*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36257*/       OPC_EmitConvertToTarget, 2,
/* 36259*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36269*/      /*Scope*/ 20, /*->36290*/
/* 36270*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36272*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36274*/       OPC_EmitMergeInputChains1_0,
/* 36275*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36278*/       OPC_EmitConvertToTarget, 2,
/* 36280*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36290*/      /*Scope*/ 20, /*->36311*/
/* 36291*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36293*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36295*/       OPC_EmitMergeInputChains1_0,
/* 36296*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36299*/       OPC_EmitConvertToTarget, 2,
/* 36301*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36311*/      /*Scope*/ 20, /*->36332*/
/* 36312*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36314*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36316*/       OPC_EmitMergeInputChains1_0,
/* 36317*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36320*/       OPC_EmitConvertToTarget, 2,
/* 36322*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36332*/      /*Scope*/ 20, /*->36353*/
/* 36333*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36335*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36337*/       OPC_EmitMergeInputChains1_0,
/* 36338*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36341*/       OPC_EmitConvertToTarget, 2,
/* 36343*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36353*/      0, /*End of Scope*/
/* 36354*/     /*SwitchType*/ 20, MVT::i64,// ->36376
/* 36356*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36358*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36360*/      OPC_EmitMergeInputChains1_0,
/* 36361*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36364*/      OPC_EmitConvertToTarget, 2,
/* 36366*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_sub:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 36376*/     0, // EndSwitchType
/* 36377*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->36515
/* 36380*/     OPC_MoveParent,
/* 36381*/     OPC_RecordChild2, // #3 = $val
/* 36382*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->36492
/* 36385*/      OPC_Scope, 20, /*->36407*/ // 5 children in Scope
/* 36387*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36389*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36391*/       OPC_EmitMergeInputChains1_0,
/* 36392*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36395*/       OPC_EmitConvertToTarget, 2,
/* 36397*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36407*/      /*Scope*/ 20, /*->36428*/
/* 36408*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36410*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36412*/       OPC_EmitMergeInputChains1_0,
/* 36413*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36416*/       OPC_EmitConvertToTarget, 2,
/* 36418*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36428*/      /*Scope*/ 20, /*->36449*/
/* 36429*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36431*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36433*/       OPC_EmitMergeInputChains1_0,
/* 36434*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36437*/       OPC_EmitConvertToTarget, 2,
/* 36439*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36449*/      /*Scope*/ 20, /*->36470*/
/* 36450*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36452*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36454*/       OPC_EmitMergeInputChains1_0,
/* 36455*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36458*/       OPC_EmitConvertToTarget, 2,
/* 36460*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36470*/      /*Scope*/ 20, /*->36491*/
/* 36471*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36473*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36475*/       OPC_EmitMergeInputChains1_0,
/* 36476*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36479*/       OPC_EmitConvertToTarget, 2,
/* 36481*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36491*/      0, /*End of Scope*/
/* 36492*/     /*SwitchType*/ 20, MVT::i64,// ->36514
/* 36494*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36496*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36498*/      OPC_EmitMergeInputChains1_0,
/* 36499*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36502*/      OPC_EmitConvertToTarget, 2,
/* 36504*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_sub:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 36514*/     0, // EndSwitchType
/* 36515*/    0, // EndSwitchType
/* 36516*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->36807
/* 36520*/    OPC_RecordChild0, // #1 = $addr
/* 36521*/    OPC_RecordChild1, // #2 = $off
/* 36522*/    OPC_MoveChild1,
/* 36523*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 36526*/    OPC_MoveParent,
/* 36527*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 36529*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->36668
/* 36533*/     OPC_MoveParent,
/* 36534*/     OPC_RecordChild2, // #3 = $val
/* 36535*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->36645
/* 36538*/      OPC_Scope, 20, /*->36560*/ // 5 children in Scope
/* 36540*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36542*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36544*/       OPC_EmitMergeInputChains1_0,
/* 36545*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36548*/       OPC_EmitConvertToTarget, 2,
/* 36550*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36560*/      /*Scope*/ 20, /*->36581*/
/* 36561*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36563*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36565*/       OPC_EmitMergeInputChains1_0,
/* 36566*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36569*/       OPC_EmitConvertToTarget, 2,
/* 36571*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36581*/      /*Scope*/ 20, /*->36602*/
/* 36582*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36584*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36586*/       OPC_EmitMergeInputChains1_0,
/* 36587*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36590*/       OPC_EmitConvertToTarget, 2,
/* 36592*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36602*/      /*Scope*/ 20, /*->36623*/
/* 36603*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36605*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36607*/       OPC_EmitMergeInputChains1_0,
/* 36608*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36611*/       OPC_EmitConvertToTarget, 2,
/* 36613*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36623*/      /*Scope*/ 20, /*->36644*/
/* 36624*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36626*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36628*/       OPC_EmitMergeInputChains1_0,
/* 36629*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36632*/       OPC_EmitConvertToTarget, 2,
/* 36634*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36644*/      0, /*End of Scope*/
/* 36645*/     /*SwitchType*/ 20, MVT::i64,// ->36667
/* 36647*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36649*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36651*/      OPC_EmitMergeInputChains1_0,
/* 36652*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36655*/      OPC_EmitConvertToTarget, 2,
/* 36657*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_sub:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 36667*/     0, // EndSwitchType
/* 36668*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->36806
/* 36671*/     OPC_MoveParent,
/* 36672*/     OPC_RecordChild2, // #3 = $val
/* 36673*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->36783
/* 36676*/      OPC_Scope, 20, /*->36698*/ // 5 children in Scope
/* 36678*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36680*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36682*/       OPC_EmitMergeInputChains1_0,
/* 36683*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36686*/       OPC_EmitConvertToTarget, 2,
/* 36688*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36698*/      /*Scope*/ 20, /*->36719*/
/* 36699*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36701*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36703*/       OPC_EmitMergeInputChains1_0,
/* 36704*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36707*/       OPC_EmitConvertToTarget, 2,
/* 36709*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36719*/      /*Scope*/ 20, /*->36740*/
/* 36720*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36722*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36724*/       OPC_EmitMergeInputChains1_0,
/* 36725*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36728*/       OPC_EmitConvertToTarget, 2,
/* 36730*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36740*/      /*Scope*/ 20, /*->36761*/
/* 36741*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36743*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36745*/       OPC_EmitMergeInputChains1_0,
/* 36746*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36749*/       OPC_EmitConvertToTarget, 2,
/* 36751*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36761*/      /*Scope*/ 20, /*->36782*/
/* 36762*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36764*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36766*/       OPC_EmitMergeInputChains1_0,
/* 36767*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36770*/       OPC_EmitConvertToTarget, 2,
/* 36772*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36782*/      0, /*End of Scope*/
/* 36783*/     /*SwitchType*/ 20, MVT::i64,// ->36805
/* 36785*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36787*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36789*/      OPC_EmitMergeInputChains1_0,
/* 36790*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36793*/      OPC_EmitConvertToTarget, 2,
/* 36795*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_sub:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 36805*/     0, // EndSwitchType
/* 36806*/    0, // EndSwitchType
/* 36807*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->37181
/* 36811*/    OPC_RecordChild0, // #1 = $off
/* 36812*/    OPC_MoveChild0,
/* 36813*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 36816*/    OPC_MoveParent,
/* 36817*/    OPC_MoveParent,
/* 36818*/    OPC_RecordChild2, // #2 = $val
/* 36819*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->37120
/* 36823*/     OPC_Scope, 58, /*->36883*/ // 5 children in Scope
/* 36825*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36827*/      OPC_Scope, 26, /*->36855*/ // 2 children in Scope
/* 36829*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36831*/       OPC_EmitMergeInputChains1_0,
/* 36832*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36835*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36838*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36845*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36855*/      /*Scope*/ 26, /*->36882*/
/* 36856*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36858*/       OPC_EmitMergeInputChains1_0,
/* 36859*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36862*/       OPC_EmitInteger, MVT::i64, 0, 
/* 36865*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36872*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 36882*/      0, /*End of Scope*/
/* 36883*/     /*Scope*/ 58, /*->36942*/
/* 36884*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36886*/      OPC_Scope, 26, /*->36914*/ // 2 children in Scope
/* 36888*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36890*/       OPC_EmitMergeInputChains1_0,
/* 36891*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36894*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36897*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36904*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36914*/      /*Scope*/ 26, /*->36941*/
/* 36915*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36917*/       OPC_EmitMergeInputChains1_0,
/* 36918*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36921*/       OPC_EmitInteger, MVT::i64, 0, 
/* 36924*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36931*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 36941*/      0, /*End of Scope*/
/* 36942*/     /*Scope*/ 58, /*->37001*/
/* 36943*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36945*/      OPC_Scope, 26, /*->36973*/ // 2 children in Scope
/* 36947*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36949*/       OPC_EmitMergeInputChains1_0,
/* 36950*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36953*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36956*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36963*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36973*/      /*Scope*/ 26, /*->37000*/
/* 36974*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36976*/       OPC_EmitMergeInputChains1_0,
/* 36977*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36980*/       OPC_EmitInteger, MVT::i64, 0, 
/* 36983*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36990*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37000*/      0, /*End of Scope*/
/* 37001*/     /*Scope*/ 58, /*->37060*/
/* 37002*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37004*/      OPC_Scope, 26, /*->37032*/ // 2 children in Scope
/* 37006*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 37008*/       OPC_EmitMergeInputChains1_0,
/* 37009*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37012*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37015*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 37022*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37032*/      /*Scope*/ 26, /*->37059*/
/* 37033*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 37035*/       OPC_EmitMergeInputChains1_0,
/* 37036*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37039*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37042*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 37049*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37059*/      0, /*End of Scope*/
/* 37060*/     /*Scope*/ 58, /*->37119*/
/* 37061*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37063*/      OPC_Scope, 26, /*->37091*/ // 2 children in Scope
/* 37065*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 37067*/       OPC_EmitMergeInputChains1_0,
/* 37068*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37071*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37074*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 37081*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37091*/      /*Scope*/ 26, /*->37118*/
/* 37092*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 37094*/       OPC_EmitMergeInputChains1_0,
/* 37095*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37098*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37101*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 37108*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37118*/      0, /*End of Scope*/
/* 37119*/     0, /*End of Scope*/
/* 37120*/    /*SwitchType*/ 58, MVT::i64,// ->37180
/* 37122*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 37124*/     OPC_Scope, 26, /*->37152*/ // 2 children in Scope
/* 37126*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 37128*/      OPC_EmitMergeInputChains1_0,
/* 37129*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37132*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37135*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 37142*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_sub:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 37152*/     /*Scope*/ 26, /*->37179*/
/* 37153*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 37155*/      OPC_EmitMergeInputChains1_0,
/* 37156*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37159*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37162*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 37169*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_sub:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 37179*/     0, /*End of Scope*/
/* 37180*/    0, // EndSwitchType
/* 37181*/   0, // EndSwitchOpcode
/* 37182*/  /*Scope*/ 45|128,5/*685*/, /*->37869*/
/* 37184*/   OPC_RecordChild1, // #1 = $off
/* 37185*/   OPC_Scope, 8|128,3/*392*/, /*->37580*/ // 3 children in Scope
/* 37188*/    OPC_MoveChild1,
/* 37189*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 37192*/    OPC_MoveParent,
/* 37193*/    OPC_RecordChild2, // #2 = $val
/* 37194*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->37515
/* 37198*/     OPC_Scope, 62, /*->37262*/ // 5 children in Scope
/* 37200*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 37202*/      OPC_Scope, 28, /*->37232*/ // 2 children in Scope
/* 37204*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37206*/       OPC_EmitMergeInputChains1_0,
/* 37207*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37210*/       OPC_EmitConvertToTarget, 1,
/* 37212*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37215*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37222*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37232*/      /*Scope*/ 28, /*->37261*/
/* 37233*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37235*/       OPC_EmitMergeInputChains1_0,
/* 37236*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37239*/       OPC_EmitConvertToTarget, 1,
/* 37241*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37244*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37251*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37261*/      0, /*End of Scope*/
/* 37262*/     /*Scope*/ 62, /*->37325*/
/* 37263*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37265*/      OPC_Scope, 28, /*->37295*/ // 2 children in Scope
/* 37267*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37269*/       OPC_EmitMergeInputChains1_0,
/* 37270*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37273*/       OPC_EmitConvertToTarget, 1,
/* 37275*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37278*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37285*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37295*/      /*Scope*/ 28, /*->37324*/
/* 37296*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37298*/       OPC_EmitMergeInputChains1_0,
/* 37299*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37302*/       OPC_EmitConvertToTarget, 1,
/* 37304*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37307*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37314*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37324*/      0, /*End of Scope*/
/* 37325*/     /*Scope*/ 62, /*->37388*/
/* 37326*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37328*/      OPC_Scope, 28, /*->37358*/ // 2 children in Scope
/* 37330*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37332*/       OPC_EmitMergeInputChains1_0,
/* 37333*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37336*/       OPC_EmitConvertToTarget, 1,
/* 37338*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37341*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37348*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37358*/      /*Scope*/ 28, /*->37387*/
/* 37359*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37361*/       OPC_EmitMergeInputChains1_0,
/* 37362*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37365*/       OPC_EmitConvertToTarget, 1,
/* 37367*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37370*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37377*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37387*/      0, /*End of Scope*/
/* 37388*/     /*Scope*/ 62, /*->37451*/
/* 37389*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37391*/      OPC_Scope, 28, /*->37421*/ // 2 children in Scope
/* 37393*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37395*/       OPC_EmitMergeInputChains1_0,
/* 37396*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37399*/       OPC_EmitConvertToTarget, 1,
/* 37401*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37404*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37411*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37421*/      /*Scope*/ 28, /*->37450*/
/* 37422*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37424*/       OPC_EmitMergeInputChains1_0,
/* 37425*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37428*/       OPC_EmitConvertToTarget, 1,
/* 37430*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37433*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37440*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37450*/      0, /*End of Scope*/
/* 37451*/     /*Scope*/ 62, /*->37514*/
/* 37452*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37454*/      OPC_Scope, 28, /*->37484*/ // 2 children in Scope
/* 37456*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37458*/       OPC_EmitMergeInputChains1_0,
/* 37459*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37462*/       OPC_EmitConvertToTarget, 1,
/* 37464*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37467*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37474*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37484*/      /*Scope*/ 28, /*->37513*/
/* 37485*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37487*/       OPC_EmitMergeInputChains1_0,
/* 37488*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37491*/       OPC_EmitConvertToTarget, 1,
/* 37493*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37496*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37503*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37513*/      0, /*End of Scope*/
/* 37514*/     0, /*End of Scope*/
/* 37515*/    /*SwitchType*/ 62, MVT::i64,// ->37579
/* 37517*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 37519*/     OPC_Scope, 28, /*->37549*/ // 2 children in Scope
/* 37521*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37523*/      OPC_EmitMergeInputChains1_0,
/* 37524*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37527*/      OPC_EmitConvertToTarget, 1,
/* 37529*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37532*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37539*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_sub:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 37549*/     /*Scope*/ 28, /*->37578*/
/* 37550*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37552*/      OPC_EmitMergeInputChains1_0,
/* 37553*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37556*/      OPC_EmitConvertToTarget, 1,
/* 37558*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37561*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37568*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_sub:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 37578*/     0, /*End of Scope*/
/* 37579*/    0, // EndSwitchType
/* 37580*/   /*Scope*/ 14|128,1/*142*/, /*->37724*/
/* 37582*/    OPC_CheckChild1Type, MVT::i32,
/* 37584*/    OPC_RecordChild2, // #2 = $val
/* 37585*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->37700
/* 37588*/     OPC_Scope, 21, /*->37611*/ // 5 children in Scope
/* 37590*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 37592*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37594*/      OPC_EmitMergeInputChains1_0,
/* 37595*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37598*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37601*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37611*/     /*Scope*/ 21, /*->37633*/
/* 37612*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37614*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37616*/      OPC_EmitMergeInputChains1_0,
/* 37617*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37620*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37623*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37633*/     /*Scope*/ 21, /*->37655*/
/* 37634*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37636*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37638*/      OPC_EmitMergeInputChains1_0,
/* 37639*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37642*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37645*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37655*/     /*Scope*/ 21, /*->37677*/
/* 37656*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37658*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37660*/      OPC_EmitMergeInputChains1_0,
/* 37661*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37664*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37667*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37677*/     /*Scope*/ 21, /*->37699*/
/* 37678*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37680*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37682*/      OPC_EmitMergeInputChains1_0,
/* 37683*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37686*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37689*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37699*/     0, /*End of Scope*/
/* 37700*/    /*SwitchType*/ 21, MVT::i64,// ->37723
/* 37702*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 37704*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37706*/     OPC_EmitMergeInputChains1_0,
/* 37707*/     OPC_EmitInteger, MVT::i32, 0, 
/* 37710*/     OPC_EmitInteger, MVT::i32, 0, 
/* 37713*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_sub:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 37723*/    0, // EndSwitchType
/* 37724*/   /*Scope*/ 14|128,1/*142*/, /*->37868*/
/* 37726*/    OPC_CheckChild1Type, MVT::i64,
/* 37728*/    OPC_RecordChild2, // #2 = $val
/* 37729*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->37844
/* 37732*/     OPC_Scope, 21, /*->37755*/ // 5 children in Scope
/* 37734*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 37736*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37738*/      OPC_EmitMergeInputChains1_0,
/* 37739*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37742*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37745*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37755*/     /*Scope*/ 21, /*->37777*/
/* 37756*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37758*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37760*/      OPC_EmitMergeInputChains1_0,
/* 37761*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37764*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37767*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37777*/     /*Scope*/ 21, /*->37799*/
/* 37778*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37780*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37782*/      OPC_EmitMergeInputChains1_0,
/* 37783*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37786*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37789*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37799*/     /*Scope*/ 21, /*->37821*/
/* 37800*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37802*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37804*/      OPC_EmitMergeInputChains1_0,
/* 37805*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37808*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37811*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37821*/     /*Scope*/ 21, /*->37843*/
/* 37822*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37824*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37826*/      OPC_EmitMergeInputChains1_0,
/* 37827*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37830*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37833*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37843*/     0, /*End of Scope*/
/* 37844*/    /*SwitchType*/ 21, MVT::i64,// ->37867
/* 37846*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 37848*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37850*/     OPC_EmitMergeInputChains1_0,
/* 37851*/     OPC_EmitInteger, MVT::i32, 0, 
/* 37854*/     OPC_EmitInteger, MVT::i64, 0, 
/* 37857*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_sub:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 37867*/    0, // EndSwitchType
/* 37868*/   0, /*End of Scope*/
/* 37869*/  0, /*End of Scope*/
/* 37870*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->39526
/* 37874*/  OPC_RecordMemRef,
/* 37875*/  OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/* 37876*/  OPC_Scope, 63|128,7/*959*/, /*->38838*/ // 2 children in Scope
/* 37879*/   OPC_MoveChild1,
/* 37880*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->38172
/* 37885*/    OPC_RecordChild0, // #1 = $addr
/* 37886*/    OPC_RecordChild1, // #2 = $off
/* 37887*/    OPC_MoveChild1,
/* 37888*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 37891*/    OPC_MoveParent,
/* 37892*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 37894*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->38033
/* 37898*/     OPC_MoveParent,
/* 37899*/     OPC_RecordChild2, // #3 = $val
/* 37900*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->38010
/* 37903*/      OPC_Scope, 20, /*->37925*/ // 5 children in Scope
/* 37905*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 37907*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37909*/       OPC_EmitMergeInputChains1_0,
/* 37910*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37913*/       OPC_EmitConvertToTarget, 2,
/* 37915*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37925*/      /*Scope*/ 20, /*->37946*/
/* 37926*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 37928*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37930*/       OPC_EmitMergeInputChains1_0,
/* 37931*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37934*/       OPC_EmitConvertToTarget, 2,
/* 37936*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37946*/      /*Scope*/ 20, /*->37967*/
/* 37947*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 37949*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37951*/       OPC_EmitMergeInputChains1_0,
/* 37952*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37955*/       OPC_EmitConvertToTarget, 2,
/* 37957*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37967*/      /*Scope*/ 20, /*->37988*/
/* 37968*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 37970*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37972*/       OPC_EmitMergeInputChains1_0,
/* 37973*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37976*/       OPC_EmitConvertToTarget, 2,
/* 37978*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37988*/      /*Scope*/ 20, /*->38009*/
/* 37989*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 37991*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37993*/       OPC_EmitMergeInputChains1_0,
/* 37994*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37997*/       OPC_EmitConvertToTarget, 2,
/* 37999*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38009*/      0, /*End of Scope*/
/* 38010*/     /*SwitchType*/ 20, MVT::i64,// ->38032
/* 38012*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38014*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38016*/      OPC_EmitMergeInputChains1_0,
/* 38017*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38020*/      OPC_EmitConvertToTarget, 2,
/* 38022*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_and:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 38032*/     0, // EndSwitchType
/* 38033*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->38171
/* 38036*/     OPC_MoveParent,
/* 38037*/     OPC_RecordChild2, // #3 = $val
/* 38038*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->38148
/* 38041*/      OPC_Scope, 20, /*->38063*/ // 5 children in Scope
/* 38043*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 38045*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38047*/       OPC_EmitMergeInputChains1_0,
/* 38048*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38051*/       OPC_EmitConvertToTarget, 2,
/* 38053*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38063*/      /*Scope*/ 20, /*->38084*/
/* 38064*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38066*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38068*/       OPC_EmitMergeInputChains1_0,
/* 38069*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38072*/       OPC_EmitConvertToTarget, 2,
/* 38074*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38084*/      /*Scope*/ 20, /*->38105*/
/* 38085*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38087*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38089*/       OPC_EmitMergeInputChains1_0,
/* 38090*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38093*/       OPC_EmitConvertToTarget, 2,
/* 38095*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38105*/      /*Scope*/ 20, /*->38126*/
/* 38106*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38108*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38110*/       OPC_EmitMergeInputChains1_0,
/* 38111*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38114*/       OPC_EmitConvertToTarget, 2,
/* 38116*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38126*/      /*Scope*/ 20, /*->38147*/
/* 38127*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38129*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38131*/       OPC_EmitMergeInputChains1_0,
/* 38132*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38135*/       OPC_EmitConvertToTarget, 2,
/* 38137*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38147*/      0, /*End of Scope*/
/* 38148*/     /*SwitchType*/ 20, MVT::i64,// ->38170
/* 38150*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38152*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38154*/      OPC_EmitMergeInputChains1_0,
/* 38155*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38158*/      OPC_EmitConvertToTarget, 2,
/* 38160*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_and:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 38170*/     0, // EndSwitchType
/* 38171*/    0, // EndSwitchType
/* 38172*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->38463
/* 38176*/    OPC_RecordChild0, // #1 = $addr
/* 38177*/    OPC_RecordChild1, // #2 = $off
/* 38178*/    OPC_MoveChild1,
/* 38179*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 38182*/    OPC_MoveParent,
/* 38183*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 38185*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->38324
/* 38189*/     OPC_MoveParent,
/* 38190*/     OPC_RecordChild2, // #3 = $val
/* 38191*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->38301
/* 38194*/      OPC_Scope, 20, /*->38216*/ // 5 children in Scope
/* 38196*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 38198*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38200*/       OPC_EmitMergeInputChains1_0,
/* 38201*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38204*/       OPC_EmitConvertToTarget, 2,
/* 38206*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38216*/      /*Scope*/ 20, /*->38237*/
/* 38217*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38219*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38221*/       OPC_EmitMergeInputChains1_0,
/* 38222*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38225*/       OPC_EmitConvertToTarget, 2,
/* 38227*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38237*/      /*Scope*/ 20, /*->38258*/
/* 38238*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38240*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38242*/       OPC_EmitMergeInputChains1_0,
/* 38243*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38246*/       OPC_EmitConvertToTarget, 2,
/* 38248*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38258*/      /*Scope*/ 20, /*->38279*/
/* 38259*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38261*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38263*/       OPC_EmitMergeInputChains1_0,
/* 38264*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38267*/       OPC_EmitConvertToTarget, 2,
/* 38269*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38279*/      /*Scope*/ 20, /*->38300*/
/* 38280*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38282*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38284*/       OPC_EmitMergeInputChains1_0,
/* 38285*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38288*/       OPC_EmitConvertToTarget, 2,
/* 38290*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38300*/      0, /*End of Scope*/
/* 38301*/     /*SwitchType*/ 20, MVT::i64,// ->38323
/* 38303*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38305*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38307*/      OPC_EmitMergeInputChains1_0,
/* 38308*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38311*/      OPC_EmitConvertToTarget, 2,
/* 38313*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_and:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 38323*/     0, // EndSwitchType
/* 38324*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->38462
/* 38327*/     OPC_MoveParent,
/* 38328*/     OPC_RecordChild2, // #3 = $val
/* 38329*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->38439
/* 38332*/      OPC_Scope, 20, /*->38354*/ // 5 children in Scope
/* 38334*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 38336*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38338*/       OPC_EmitMergeInputChains1_0,
/* 38339*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38342*/       OPC_EmitConvertToTarget, 2,
/* 38344*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38354*/      /*Scope*/ 20, /*->38375*/
/* 38355*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38357*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38359*/       OPC_EmitMergeInputChains1_0,
/* 38360*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38363*/       OPC_EmitConvertToTarget, 2,
/* 38365*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38375*/      /*Scope*/ 20, /*->38396*/
/* 38376*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38378*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38380*/       OPC_EmitMergeInputChains1_0,
/* 38381*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38384*/       OPC_EmitConvertToTarget, 2,
/* 38386*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38396*/      /*Scope*/ 20, /*->38417*/
/* 38397*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38399*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38401*/       OPC_EmitMergeInputChains1_0,
/* 38402*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38405*/       OPC_EmitConvertToTarget, 2,
/* 38407*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38417*/      /*Scope*/ 20, /*->38438*/
/* 38418*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38420*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38422*/       OPC_EmitMergeInputChains1_0,
/* 38423*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38426*/       OPC_EmitConvertToTarget, 2,
/* 38428*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38438*/      0, /*End of Scope*/
/* 38439*/     /*SwitchType*/ 20, MVT::i64,// ->38461
/* 38441*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38443*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38445*/      OPC_EmitMergeInputChains1_0,
/* 38446*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38449*/      OPC_EmitConvertToTarget, 2,
/* 38451*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_and:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 38461*/     0, // EndSwitchType
/* 38462*/    0, // EndSwitchType
/* 38463*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->38837
/* 38467*/    OPC_RecordChild0, // #1 = $off
/* 38468*/    OPC_MoveChild0,
/* 38469*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 38472*/    OPC_MoveParent,
/* 38473*/    OPC_MoveParent,
/* 38474*/    OPC_RecordChild2, // #2 = $val
/* 38475*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->38776
/* 38479*/     OPC_Scope, 58, /*->38539*/ // 5 children in Scope
/* 38481*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 38483*/      OPC_Scope, 26, /*->38511*/ // 2 children in Scope
/* 38485*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38487*/       OPC_EmitMergeInputChains1_0,
/* 38488*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38491*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38494*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38501*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38511*/      /*Scope*/ 26, /*->38538*/
/* 38512*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38514*/       OPC_EmitMergeInputChains1_0,
/* 38515*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38518*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38521*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38528*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38538*/      0, /*End of Scope*/
/* 38539*/     /*Scope*/ 58, /*->38598*/
/* 38540*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38542*/      OPC_Scope, 26, /*->38570*/ // 2 children in Scope
/* 38544*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38546*/       OPC_EmitMergeInputChains1_0,
/* 38547*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38550*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38553*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38560*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38570*/      /*Scope*/ 26, /*->38597*/
/* 38571*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38573*/       OPC_EmitMergeInputChains1_0,
/* 38574*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38577*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38580*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38587*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38597*/      0, /*End of Scope*/
/* 38598*/     /*Scope*/ 58, /*->38657*/
/* 38599*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38601*/      OPC_Scope, 26, /*->38629*/ // 2 children in Scope
/* 38603*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38605*/       OPC_EmitMergeInputChains1_0,
/* 38606*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38609*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38612*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38619*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38629*/      /*Scope*/ 26, /*->38656*/
/* 38630*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38632*/       OPC_EmitMergeInputChains1_0,
/* 38633*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38636*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38639*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38646*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38656*/      0, /*End of Scope*/
/* 38657*/     /*Scope*/ 58, /*->38716*/
/* 38658*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38660*/      OPC_Scope, 26, /*->38688*/ // 2 children in Scope
/* 38662*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38664*/       OPC_EmitMergeInputChains1_0,
/* 38665*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38668*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38671*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38678*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38688*/      /*Scope*/ 26, /*->38715*/
/* 38689*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38691*/       OPC_EmitMergeInputChains1_0,
/* 38692*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38695*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38698*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38705*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38715*/      0, /*End of Scope*/
/* 38716*/     /*Scope*/ 58, /*->38775*/
/* 38717*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38719*/      OPC_Scope, 26, /*->38747*/ // 2 children in Scope
/* 38721*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38723*/       OPC_EmitMergeInputChains1_0,
/* 38724*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38727*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38730*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38737*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38747*/      /*Scope*/ 26, /*->38774*/
/* 38748*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38750*/       OPC_EmitMergeInputChains1_0,
/* 38751*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38754*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38757*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38764*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38774*/      0, /*End of Scope*/
/* 38775*/     0, /*End of Scope*/
/* 38776*/    /*SwitchType*/ 58, MVT::i64,// ->38836
/* 38778*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38780*/     OPC_Scope, 26, /*->38808*/ // 2 children in Scope
/* 38782*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38784*/      OPC_EmitMergeInputChains1_0,
/* 38785*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38788*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38791*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38798*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_and:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 38808*/     /*Scope*/ 26, /*->38835*/
/* 38809*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38811*/      OPC_EmitMergeInputChains1_0,
/* 38812*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38815*/      OPC_EmitInteger, MVT::i64, 0, 
/* 38818*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38825*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_and:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 38835*/     0, /*End of Scope*/
/* 38836*/    0, // EndSwitchType
/* 38837*/   0, // EndSwitchOpcode
/* 38838*/  /*Scope*/ 45|128,5/*685*/, /*->39525*/
/* 38840*/   OPC_RecordChild1, // #1 = $off
/* 38841*/   OPC_Scope, 8|128,3/*392*/, /*->39236*/ // 3 children in Scope
/* 38844*/    OPC_MoveChild1,
/* 38845*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 38848*/    OPC_MoveParent,
/* 38849*/    OPC_RecordChild2, // #2 = $val
/* 38850*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->39171
/* 38854*/     OPC_Scope, 62, /*->38918*/ // 5 children in Scope
/* 38856*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 38858*/      OPC_Scope, 28, /*->38888*/ // 2 children in Scope
/* 38860*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38862*/       OPC_EmitMergeInputChains1_0,
/* 38863*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38866*/       OPC_EmitConvertToTarget, 1,
/* 38868*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38871*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 38878*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38888*/      /*Scope*/ 28, /*->38917*/
/* 38889*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38891*/       OPC_EmitMergeInputChains1_0,
/* 38892*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38895*/       OPC_EmitConvertToTarget, 1,
/* 38897*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38900*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 38907*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38917*/      0, /*End of Scope*/
/* 38918*/     /*Scope*/ 62, /*->38981*/
/* 38919*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38921*/      OPC_Scope, 28, /*->38951*/ // 2 children in Scope
/* 38923*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38925*/       OPC_EmitMergeInputChains1_0,
/* 38926*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38929*/       OPC_EmitConvertToTarget, 1,
/* 38931*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38934*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 38941*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38951*/      /*Scope*/ 28, /*->38980*/
/* 38952*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38954*/       OPC_EmitMergeInputChains1_0,
/* 38955*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38958*/       OPC_EmitConvertToTarget, 1,
/* 38960*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38963*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 38970*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38980*/      0, /*End of Scope*/
/* 38981*/     /*Scope*/ 62, /*->39044*/
/* 38982*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38984*/      OPC_Scope, 28, /*->39014*/ // 2 children in Scope
/* 38986*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38988*/       OPC_EmitMergeInputChains1_0,
/* 38989*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38992*/       OPC_EmitConvertToTarget, 1,
/* 38994*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38997*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 39004*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 39014*/      /*Scope*/ 28, /*->39043*/
/* 39015*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39017*/       OPC_EmitMergeInputChains1_0,
/* 39018*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39021*/       OPC_EmitConvertToTarget, 1,
/* 39023*/       OPC_EmitInteger, MVT::i64, 0, 
/* 39026*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 39033*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 39043*/      0, /*End of Scope*/
/* 39044*/     /*Scope*/ 62, /*->39107*/
/* 39045*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39047*/      OPC_Scope, 28, /*->39077*/ // 2 children in Scope
/* 39049*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39051*/       OPC_EmitMergeInputChains1_0,
/* 39052*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39055*/       OPC_EmitConvertToTarget, 1,
/* 39057*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39060*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 39067*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 39077*/      /*Scope*/ 28, /*->39106*/
/* 39078*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39080*/       OPC_EmitMergeInputChains1_0,
/* 39081*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39084*/       OPC_EmitConvertToTarget, 1,
/* 39086*/       OPC_EmitInteger, MVT::i64, 0, 
/* 39089*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 39096*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 39106*/      0, /*End of Scope*/
/* 39107*/     /*Scope*/ 62, /*->39170*/
/* 39108*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39110*/      OPC_Scope, 28, /*->39140*/ // 2 children in Scope
/* 39112*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39114*/       OPC_EmitMergeInputChains1_0,
/* 39115*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39118*/       OPC_EmitConvertToTarget, 1,
/* 39120*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39123*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 39130*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 39140*/      /*Scope*/ 28, /*->39169*/
/* 39141*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39143*/       OPC_EmitMergeInputChains1_0,
/* 39144*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39147*/       OPC_EmitConvertToTarget, 1,
/* 39149*/       OPC_EmitInteger, MVT::i64, 0, 
/* 39152*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 39159*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 39169*/      0, /*End of Scope*/
/* 39170*/     0, /*End of Scope*/
/* 39171*/    /*SwitchType*/ 62, MVT::i64,// ->39235
/* 39173*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 39175*/     OPC_Scope, 28, /*->39205*/ // 2 children in Scope
/* 39177*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39179*/      OPC_EmitMergeInputChains1_0,
/* 39180*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39183*/      OPC_EmitConvertToTarget, 1,
/* 39185*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39188*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 39195*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_and:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 39205*/     /*Scope*/ 28, /*->39234*/
/* 39206*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39208*/      OPC_EmitMergeInputChains1_0,
/* 39209*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39212*/      OPC_EmitConvertToTarget, 1,
/* 39214*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39217*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 39224*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_and:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 39234*/     0, /*End of Scope*/
/* 39235*/    0, // EndSwitchType
/* 39236*/   /*Scope*/ 14|128,1/*142*/, /*->39380*/
/* 39238*/    OPC_CheckChild1Type, MVT::i32,
/* 39240*/    OPC_RecordChild2, // #2 = $val
/* 39241*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->39356
/* 39244*/     OPC_Scope, 21, /*->39267*/ // 5 children in Scope
/* 39246*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 39248*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39250*/      OPC_EmitMergeInputChains1_0,
/* 39251*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39254*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39257*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39267*/     /*Scope*/ 21, /*->39289*/
/* 39268*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39270*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39272*/      OPC_EmitMergeInputChains1_0,
/* 39273*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39276*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39279*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39289*/     /*Scope*/ 21, /*->39311*/
/* 39290*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39292*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39294*/      OPC_EmitMergeInputChains1_0,
/* 39295*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39298*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39301*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39311*/     /*Scope*/ 21, /*->39333*/
/* 39312*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39314*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39316*/      OPC_EmitMergeInputChains1_0,
/* 39317*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39320*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39323*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39333*/     /*Scope*/ 21, /*->39355*/
/* 39334*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39336*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39338*/      OPC_EmitMergeInputChains1_0,
/* 39339*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39342*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39345*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39355*/     0, /*End of Scope*/
/* 39356*/    /*SwitchType*/ 21, MVT::i64,// ->39379
/* 39358*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 39360*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39362*/     OPC_EmitMergeInputChains1_0,
/* 39363*/     OPC_EmitInteger, MVT::i32, 0, 
/* 39366*/     OPC_EmitInteger, MVT::i32, 0, 
/* 39369*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_and:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 39379*/    0, // EndSwitchType
/* 39380*/   /*Scope*/ 14|128,1/*142*/, /*->39524*/
/* 39382*/    OPC_CheckChild1Type, MVT::i64,
/* 39384*/    OPC_RecordChild2, // #2 = $val
/* 39385*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->39500
/* 39388*/     OPC_Scope, 21, /*->39411*/ // 5 children in Scope
/* 39390*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 39392*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39394*/      OPC_EmitMergeInputChains1_0,
/* 39395*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39398*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39401*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39411*/     /*Scope*/ 21, /*->39433*/
/* 39412*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39414*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39416*/      OPC_EmitMergeInputChains1_0,
/* 39417*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39420*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39423*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39433*/     /*Scope*/ 21, /*->39455*/
/* 39434*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39436*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39438*/      OPC_EmitMergeInputChains1_0,
/* 39439*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39442*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39445*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39455*/     /*Scope*/ 21, /*->39477*/
/* 39456*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39458*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39460*/      OPC_EmitMergeInputChains1_0,
/* 39461*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39464*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39467*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39477*/     /*Scope*/ 21, /*->39499*/
/* 39478*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39480*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39482*/      OPC_EmitMergeInputChains1_0,
/* 39483*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39486*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39489*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39499*/     0, /*End of Scope*/
/* 39500*/    /*SwitchType*/ 21, MVT::i64,// ->39523
/* 39502*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 39504*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39506*/     OPC_EmitMergeInputChains1_0,
/* 39507*/     OPC_EmitInteger, MVT::i32, 0, 
/* 39510*/     OPC_EmitInteger, MVT::i64, 0, 
/* 39513*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_and:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 39523*/    0, // EndSwitchType
/* 39524*/   0, /*End of Scope*/
/* 39525*/  0, /*End of Scope*/
/* 39526*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->41182
/* 39530*/  OPC_RecordMemRef,
/* 39531*/  OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/* 39532*/  OPC_Scope, 63|128,7/*959*/, /*->40494*/ // 2 children in Scope
/* 39535*/   OPC_MoveChild1,
/* 39536*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->39828
/* 39541*/    OPC_RecordChild0, // #1 = $addr
/* 39542*/    OPC_RecordChild1, // #2 = $off
/* 39543*/    OPC_MoveChild1,
/* 39544*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 39547*/    OPC_MoveParent,
/* 39548*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 39550*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->39689
/* 39554*/     OPC_MoveParent,
/* 39555*/     OPC_RecordChild2, // #3 = $val
/* 39556*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->39666
/* 39559*/      OPC_Scope, 20, /*->39581*/ // 5 children in Scope
/* 39561*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39563*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39565*/       OPC_EmitMergeInputChains1_0,
/* 39566*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39569*/       OPC_EmitConvertToTarget, 2,
/* 39571*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39581*/      /*Scope*/ 20, /*->39602*/
/* 39582*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39584*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39586*/       OPC_EmitMergeInputChains1_0,
/* 39587*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39590*/       OPC_EmitConvertToTarget, 2,
/* 39592*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39602*/      /*Scope*/ 20, /*->39623*/
/* 39603*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39605*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39607*/       OPC_EmitMergeInputChains1_0,
/* 39608*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39611*/       OPC_EmitConvertToTarget, 2,
/* 39613*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39623*/      /*Scope*/ 20, /*->39644*/
/* 39624*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39626*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39628*/       OPC_EmitMergeInputChains1_0,
/* 39629*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39632*/       OPC_EmitConvertToTarget, 2,
/* 39634*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39644*/      /*Scope*/ 20, /*->39665*/
/* 39645*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39647*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39649*/       OPC_EmitMergeInputChains1_0,
/* 39650*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39653*/       OPC_EmitConvertToTarget, 2,
/* 39655*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39665*/      0, /*End of Scope*/
/* 39666*/     /*SwitchType*/ 20, MVT::i64,// ->39688
/* 39668*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 39670*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39672*/      OPC_EmitMergeInputChains1_0,
/* 39673*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39676*/      OPC_EmitConvertToTarget, 2,
/* 39678*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_or:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 39688*/     0, // EndSwitchType
/* 39689*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->39827
/* 39692*/     OPC_MoveParent,
/* 39693*/     OPC_RecordChild2, // #3 = $val
/* 39694*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->39804
/* 39697*/      OPC_Scope, 20, /*->39719*/ // 5 children in Scope
/* 39699*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39701*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39703*/       OPC_EmitMergeInputChains1_0,
/* 39704*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39707*/       OPC_EmitConvertToTarget, 2,
/* 39709*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39719*/      /*Scope*/ 20, /*->39740*/
/* 39720*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39722*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39724*/       OPC_EmitMergeInputChains1_0,
/* 39725*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39728*/       OPC_EmitConvertToTarget, 2,
/* 39730*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39740*/      /*Scope*/ 20, /*->39761*/
/* 39741*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39743*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39745*/       OPC_EmitMergeInputChains1_0,
/* 39746*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39749*/       OPC_EmitConvertToTarget, 2,
/* 39751*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39761*/      /*Scope*/ 20, /*->39782*/
/* 39762*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39764*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39766*/       OPC_EmitMergeInputChains1_0,
/* 39767*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39770*/       OPC_EmitConvertToTarget, 2,
/* 39772*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39782*/      /*Scope*/ 20, /*->39803*/
/* 39783*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39785*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39787*/       OPC_EmitMergeInputChains1_0,
/* 39788*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39791*/       OPC_EmitConvertToTarget, 2,
/* 39793*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39803*/      0, /*End of Scope*/
/* 39804*/     /*SwitchType*/ 20, MVT::i64,// ->39826
/* 39806*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 39808*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39810*/      OPC_EmitMergeInputChains1_0,
/* 39811*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39814*/      OPC_EmitConvertToTarget, 2,
/* 39816*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_or:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 39826*/     0, // EndSwitchType
/* 39827*/    0, // EndSwitchType
/* 39828*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->40119
/* 39832*/    OPC_RecordChild0, // #1 = $addr
/* 39833*/    OPC_RecordChild1, // #2 = $off
/* 39834*/    OPC_MoveChild1,
/* 39835*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 39838*/    OPC_MoveParent,
/* 39839*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 39841*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->39980
/* 39845*/     OPC_MoveParent,
/* 39846*/     OPC_RecordChild2, // #3 = $val
/* 39847*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->39957
/* 39850*/      OPC_Scope, 20, /*->39872*/ // 5 children in Scope
/* 39852*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39854*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39856*/       OPC_EmitMergeInputChains1_0,
/* 39857*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39860*/       OPC_EmitConvertToTarget, 2,
/* 39862*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39872*/      /*Scope*/ 20, /*->39893*/
/* 39873*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39875*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39877*/       OPC_EmitMergeInputChains1_0,
/* 39878*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39881*/       OPC_EmitConvertToTarget, 2,
/* 39883*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39893*/      /*Scope*/ 20, /*->39914*/
/* 39894*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39896*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39898*/       OPC_EmitMergeInputChains1_0,
/* 39899*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39902*/       OPC_EmitConvertToTarget, 2,
/* 39904*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39914*/      /*Scope*/ 20, /*->39935*/
/* 39915*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39917*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39919*/       OPC_EmitMergeInputChains1_0,
/* 39920*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39923*/       OPC_EmitConvertToTarget, 2,
/* 39925*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39935*/      /*Scope*/ 20, /*->39956*/
/* 39936*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39938*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39940*/       OPC_EmitMergeInputChains1_0,
/* 39941*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39944*/       OPC_EmitConvertToTarget, 2,
/* 39946*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39956*/      0, /*End of Scope*/
/* 39957*/     /*SwitchType*/ 20, MVT::i64,// ->39979
/* 39959*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 39961*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39963*/      OPC_EmitMergeInputChains1_0,
/* 39964*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39967*/      OPC_EmitConvertToTarget, 2,
/* 39969*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_or:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 39979*/     0, // EndSwitchType
/* 39980*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->40118
/* 39983*/     OPC_MoveParent,
/* 39984*/     OPC_RecordChild2, // #3 = $val
/* 39985*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->40095
/* 39988*/      OPC_Scope, 20, /*->40010*/ // 5 children in Scope
/* 39990*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39992*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39994*/       OPC_EmitMergeInputChains1_0,
/* 39995*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39998*/       OPC_EmitConvertToTarget, 2,
/* 40000*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40010*/      /*Scope*/ 20, /*->40031*/
/* 40011*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40013*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40015*/       OPC_EmitMergeInputChains1_0,
/* 40016*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40019*/       OPC_EmitConvertToTarget, 2,
/* 40021*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40031*/      /*Scope*/ 20, /*->40052*/
/* 40032*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40034*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40036*/       OPC_EmitMergeInputChains1_0,
/* 40037*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40040*/       OPC_EmitConvertToTarget, 2,
/* 40042*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40052*/      /*Scope*/ 20, /*->40073*/
/* 40053*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40055*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40057*/       OPC_EmitMergeInputChains1_0,
/* 40058*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40061*/       OPC_EmitConvertToTarget, 2,
/* 40063*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40073*/      /*Scope*/ 20, /*->40094*/
/* 40074*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40076*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40078*/       OPC_EmitMergeInputChains1_0,
/* 40079*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40082*/       OPC_EmitConvertToTarget, 2,
/* 40084*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40094*/      0, /*End of Scope*/
/* 40095*/     /*SwitchType*/ 20, MVT::i64,// ->40117
/* 40097*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 40099*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40101*/      OPC_EmitMergeInputChains1_0,
/* 40102*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40105*/      OPC_EmitConvertToTarget, 2,
/* 40107*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_or:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 40117*/     0, // EndSwitchType
/* 40118*/    0, // EndSwitchType
/* 40119*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->40493
/* 40123*/    OPC_RecordChild0, // #1 = $off
/* 40124*/    OPC_MoveChild0,
/* 40125*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 40128*/    OPC_MoveParent,
/* 40129*/    OPC_MoveParent,
/* 40130*/    OPC_RecordChild2, // #2 = $val
/* 40131*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->40432
/* 40135*/     OPC_Scope, 58, /*->40195*/ // 5 children in Scope
/* 40137*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 40139*/      OPC_Scope, 26, /*->40167*/ // 2 children in Scope
/* 40141*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40143*/       OPC_EmitMergeInputChains1_0,
/* 40144*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40147*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40150*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40157*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40167*/      /*Scope*/ 26, /*->40194*/
/* 40168*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40170*/       OPC_EmitMergeInputChains1_0,
/* 40171*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40174*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40177*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40184*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40194*/      0, /*End of Scope*/
/* 40195*/     /*Scope*/ 58, /*->40254*/
/* 40196*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40198*/      OPC_Scope, 26, /*->40226*/ // 2 children in Scope
/* 40200*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40202*/       OPC_EmitMergeInputChains1_0,
/* 40203*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40206*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40209*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40216*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40226*/      /*Scope*/ 26, /*->40253*/
/* 40227*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40229*/       OPC_EmitMergeInputChains1_0,
/* 40230*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40233*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40236*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40243*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40253*/      0, /*End of Scope*/
/* 40254*/     /*Scope*/ 58, /*->40313*/
/* 40255*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40257*/      OPC_Scope, 26, /*->40285*/ // 2 children in Scope
/* 40259*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40261*/       OPC_EmitMergeInputChains1_0,
/* 40262*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40265*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40268*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40275*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40285*/      /*Scope*/ 26, /*->40312*/
/* 40286*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40288*/       OPC_EmitMergeInputChains1_0,
/* 40289*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40292*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40295*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40302*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40312*/      0, /*End of Scope*/
/* 40313*/     /*Scope*/ 58, /*->40372*/
/* 40314*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40316*/      OPC_Scope, 26, /*->40344*/ // 2 children in Scope
/* 40318*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40320*/       OPC_EmitMergeInputChains1_0,
/* 40321*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40324*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40327*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40334*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40344*/      /*Scope*/ 26, /*->40371*/
/* 40345*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40347*/       OPC_EmitMergeInputChains1_0,
/* 40348*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40351*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40354*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40361*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40371*/      0, /*End of Scope*/
/* 40372*/     /*Scope*/ 58, /*->40431*/
/* 40373*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40375*/      OPC_Scope, 26, /*->40403*/ // 2 children in Scope
/* 40377*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40379*/       OPC_EmitMergeInputChains1_0,
/* 40380*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40383*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40386*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40393*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40403*/      /*Scope*/ 26, /*->40430*/
/* 40404*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40406*/       OPC_EmitMergeInputChains1_0,
/* 40407*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40410*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40413*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40420*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40430*/      0, /*End of Scope*/
/* 40431*/     0, /*End of Scope*/
/* 40432*/    /*SwitchType*/ 58, MVT::i64,// ->40492
/* 40434*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 40436*/     OPC_Scope, 26, /*->40464*/ // 2 children in Scope
/* 40438*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40440*/      OPC_EmitMergeInputChains1_0,
/* 40441*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40444*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40447*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40454*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_or:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 40464*/     /*Scope*/ 26, /*->40491*/
/* 40465*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40467*/      OPC_EmitMergeInputChains1_0,
/* 40468*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40471*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40474*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40481*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_or:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 40491*/     0, /*End of Scope*/
/* 40492*/    0, // EndSwitchType
/* 40493*/   0, // EndSwitchOpcode
/* 40494*/  /*Scope*/ 45|128,5/*685*/, /*->41181*/
/* 40496*/   OPC_RecordChild1, // #1 = $off
/* 40497*/   OPC_Scope, 8|128,3/*392*/, /*->40892*/ // 3 children in Scope
/* 40500*/    OPC_MoveChild1,
/* 40501*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 40504*/    OPC_MoveParent,
/* 40505*/    OPC_RecordChild2, // #2 = $val
/* 40506*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->40827
/* 40510*/     OPC_Scope, 62, /*->40574*/ // 5 children in Scope
/* 40512*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 40514*/      OPC_Scope, 28, /*->40544*/ // 2 children in Scope
/* 40516*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40518*/       OPC_EmitMergeInputChains1_0,
/* 40519*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40522*/       OPC_EmitConvertToTarget, 1,
/* 40524*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40527*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40534*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40544*/      /*Scope*/ 28, /*->40573*/
/* 40545*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40547*/       OPC_EmitMergeInputChains1_0,
/* 40548*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40551*/       OPC_EmitConvertToTarget, 1,
/* 40553*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40556*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40563*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40573*/      0, /*End of Scope*/
/* 40574*/     /*Scope*/ 62, /*->40637*/
/* 40575*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40577*/      OPC_Scope, 28, /*->40607*/ // 2 children in Scope
/* 40579*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40581*/       OPC_EmitMergeInputChains1_0,
/* 40582*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40585*/       OPC_EmitConvertToTarget, 1,
/* 40587*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40590*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40597*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40607*/      /*Scope*/ 28, /*->40636*/
/* 40608*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40610*/       OPC_EmitMergeInputChains1_0,
/* 40611*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40614*/       OPC_EmitConvertToTarget, 1,
/* 40616*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40619*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40626*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40636*/      0, /*End of Scope*/
/* 40637*/     /*Scope*/ 62, /*->40700*/
/* 40638*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40640*/      OPC_Scope, 28, /*->40670*/ // 2 children in Scope
/* 40642*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40644*/       OPC_EmitMergeInputChains1_0,
/* 40645*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40648*/       OPC_EmitConvertToTarget, 1,
/* 40650*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40653*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40660*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40670*/      /*Scope*/ 28, /*->40699*/
/* 40671*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40673*/       OPC_EmitMergeInputChains1_0,
/* 40674*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40677*/       OPC_EmitConvertToTarget, 1,
/* 40679*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40682*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40689*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40699*/      0, /*End of Scope*/
/* 40700*/     /*Scope*/ 62, /*->40763*/
/* 40701*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40703*/      OPC_Scope, 28, /*->40733*/ // 2 children in Scope
/* 40705*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40707*/       OPC_EmitMergeInputChains1_0,
/* 40708*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40711*/       OPC_EmitConvertToTarget, 1,
/* 40713*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40716*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40723*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40733*/      /*Scope*/ 28, /*->40762*/
/* 40734*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40736*/       OPC_EmitMergeInputChains1_0,
/* 40737*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40740*/       OPC_EmitConvertToTarget, 1,
/* 40742*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40745*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40752*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40762*/      0, /*End of Scope*/
/* 40763*/     /*Scope*/ 62, /*->40826*/
/* 40764*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40766*/      OPC_Scope, 28, /*->40796*/ // 2 children in Scope
/* 40768*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40770*/       OPC_EmitMergeInputChains1_0,
/* 40771*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40774*/       OPC_EmitConvertToTarget, 1,
/* 40776*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40779*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40786*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40796*/      /*Scope*/ 28, /*->40825*/
/* 40797*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40799*/       OPC_EmitMergeInputChains1_0,
/* 40800*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40803*/       OPC_EmitConvertToTarget, 1,
/* 40805*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40808*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40815*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40825*/      0, /*End of Scope*/
/* 40826*/     0, /*End of Scope*/
/* 40827*/    /*SwitchType*/ 62, MVT::i64,// ->40891
/* 40829*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 40831*/     OPC_Scope, 28, /*->40861*/ // 2 children in Scope
/* 40833*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40835*/      OPC_EmitMergeInputChains1_0,
/* 40836*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40839*/      OPC_EmitConvertToTarget, 1,
/* 40841*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40844*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40851*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_or:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 40861*/     /*Scope*/ 28, /*->40890*/
/* 40862*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40864*/      OPC_EmitMergeInputChains1_0,
/* 40865*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40868*/      OPC_EmitConvertToTarget, 1,
/* 40870*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40873*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40880*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_or:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 40890*/     0, /*End of Scope*/
/* 40891*/    0, // EndSwitchType
/* 40892*/   /*Scope*/ 14|128,1/*142*/, /*->41036*/
/* 40894*/    OPC_CheckChild1Type, MVT::i32,
/* 40896*/    OPC_RecordChild2, // #2 = $val
/* 40897*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->41012
/* 40900*/     OPC_Scope, 21, /*->40923*/ // 5 children in Scope
/* 40902*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 40904*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40906*/      OPC_EmitMergeInputChains1_0,
/* 40907*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40910*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40913*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40923*/     /*Scope*/ 21, /*->40945*/
/* 40924*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40926*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40928*/      OPC_EmitMergeInputChains1_0,
/* 40929*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40932*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40935*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40945*/     /*Scope*/ 21, /*->40967*/
/* 40946*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40948*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40950*/      OPC_EmitMergeInputChains1_0,
/* 40951*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40954*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40957*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40967*/     /*Scope*/ 21, /*->40989*/
/* 40968*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40970*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40972*/      OPC_EmitMergeInputChains1_0,
/* 40973*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40976*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40979*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40989*/     /*Scope*/ 21, /*->41011*/
/* 40990*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40992*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40994*/      OPC_EmitMergeInputChains1_0,
/* 40995*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40998*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41001*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41011*/     0, /*End of Scope*/
/* 41012*/    /*SwitchType*/ 21, MVT::i64,// ->41035
/* 41014*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 41016*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41018*/     OPC_EmitMergeInputChains1_0,
/* 41019*/     OPC_EmitInteger, MVT::i32, 0, 
/* 41022*/     OPC_EmitInteger, MVT::i32, 0, 
/* 41025*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_or:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 41035*/    0, // EndSwitchType
/* 41036*/   /*Scope*/ 14|128,1/*142*/, /*->41180*/
/* 41038*/    OPC_CheckChild1Type, MVT::i64,
/* 41040*/    OPC_RecordChild2, // #2 = $val
/* 41041*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->41156
/* 41044*/     OPC_Scope, 21, /*->41067*/ // 5 children in Scope
/* 41046*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 41048*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41050*/      OPC_EmitMergeInputChains1_0,
/* 41051*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41054*/      OPC_EmitInteger, MVT::i64, 0, 
/* 41057*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41067*/     /*Scope*/ 21, /*->41089*/
/* 41068*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 41070*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41072*/      OPC_EmitMergeInputChains1_0,
/* 41073*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41076*/      OPC_EmitInteger, MVT::i64, 0, 
/* 41079*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41089*/     /*Scope*/ 21, /*->41111*/
/* 41090*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 41092*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41094*/      OPC_EmitMergeInputChains1_0,
/* 41095*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41098*/      OPC_EmitInteger, MVT::i64, 0, 
/* 41101*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41111*/     /*Scope*/ 21, /*->41133*/
/* 41112*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 41114*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41116*/      OPC_EmitMergeInputChains1_0,
/* 41117*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41120*/      OPC_EmitInteger, MVT::i64, 0, 
/* 41123*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41133*/     /*Scope*/ 21, /*->41155*/
/* 41134*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 41136*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41138*/      OPC_EmitMergeInputChains1_0,
/* 41139*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41142*/      OPC_EmitInteger, MVT::i64, 0, 
/* 41145*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41155*/     0, /*End of Scope*/
/* 41156*/    /*SwitchType*/ 21, MVT::i64,// ->41179
/* 41158*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 41160*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41162*/     OPC_EmitMergeInputChains1_0,
/* 41163*/     OPC_EmitInteger, MVT::i32, 0, 
/* 41166*/     OPC_EmitInteger, MVT::i64, 0, 
/* 41169*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_or:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 41179*/    0, // EndSwitchType
/* 41180*/   0, /*End of Scope*/
/* 41181*/  0, /*End of Scope*/
/* 41182*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->42838
/* 41186*/  OPC_RecordMemRef,
/* 41187*/  OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/* 41188*/  OPC_Scope, 63|128,7/*959*/, /*->42150*/ // 2 children in Scope
/* 41191*/   OPC_MoveChild1,
/* 41192*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->41484
/* 41197*/    OPC_RecordChild0, // #1 = $addr
/* 41198*/    OPC_RecordChild1, // #2 = $off
/* 41199*/    OPC_MoveChild1,
/* 41200*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 41203*/    OPC_MoveParent,
/* 41204*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 41206*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->41345
/* 41210*/     OPC_MoveParent,
/* 41211*/     OPC_RecordChild2, // #3 = $val
/* 41212*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->41322
/* 41215*/      OPC_Scope, 20, /*->41237*/ // 5 children in Scope
/* 41217*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41219*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41221*/       OPC_EmitMergeInputChains1_0,
/* 41222*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41225*/       OPC_EmitConvertToTarget, 2,
/* 41227*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41237*/      /*Scope*/ 20, /*->41258*/
/* 41238*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41240*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41242*/       OPC_EmitMergeInputChains1_0,
/* 41243*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41246*/       OPC_EmitConvertToTarget, 2,
/* 41248*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41258*/      /*Scope*/ 20, /*->41279*/
/* 41259*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41261*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41263*/       OPC_EmitMergeInputChains1_0,
/* 41264*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41267*/       OPC_EmitConvertToTarget, 2,
/* 41269*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41279*/      /*Scope*/ 20, /*->41300*/
/* 41280*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41282*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41284*/       OPC_EmitMergeInputChains1_0,
/* 41285*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41288*/       OPC_EmitConvertToTarget, 2,
/* 41290*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41300*/      /*Scope*/ 20, /*->41321*/
/* 41301*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41303*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41305*/       OPC_EmitMergeInputChains1_0,
/* 41306*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41309*/       OPC_EmitConvertToTarget, 2,
/* 41311*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41321*/      0, /*End of Scope*/
/* 41322*/     /*SwitchType*/ 20, MVT::i64,// ->41344
/* 41324*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41326*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41328*/      OPC_EmitMergeInputChains1_0,
/* 41329*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41332*/      OPC_EmitConvertToTarget, 2,
/* 41334*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_xor:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 41344*/     0, // EndSwitchType
/* 41345*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->41483
/* 41348*/     OPC_MoveParent,
/* 41349*/     OPC_RecordChild2, // #3 = $val
/* 41350*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->41460
/* 41353*/      OPC_Scope, 20, /*->41375*/ // 5 children in Scope
/* 41355*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41357*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41359*/       OPC_EmitMergeInputChains1_0,
/* 41360*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41363*/       OPC_EmitConvertToTarget, 2,
/* 41365*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41375*/      /*Scope*/ 20, /*->41396*/
/* 41376*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41378*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41380*/       OPC_EmitMergeInputChains1_0,
/* 41381*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41384*/       OPC_EmitConvertToTarget, 2,
/* 41386*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41396*/      /*Scope*/ 20, /*->41417*/
/* 41397*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41399*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41401*/       OPC_EmitMergeInputChains1_0,
/* 41402*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41405*/       OPC_EmitConvertToTarget, 2,
/* 41407*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41417*/      /*Scope*/ 20, /*->41438*/
/* 41418*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41420*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41422*/       OPC_EmitMergeInputChains1_0,
/* 41423*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41426*/       OPC_EmitConvertToTarget, 2,
/* 41428*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41438*/      /*Scope*/ 20, /*->41459*/
/* 41439*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41441*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41443*/       OPC_EmitMergeInputChains1_0,
/* 41444*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41447*/       OPC_EmitConvertToTarget, 2,
/* 41449*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41459*/      0, /*End of Scope*/
/* 41460*/     /*SwitchType*/ 20, MVT::i64,// ->41482
/* 41462*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41464*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41466*/      OPC_EmitMergeInputChains1_0,
/* 41467*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41470*/      OPC_EmitConvertToTarget, 2,
/* 41472*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_xor:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 41482*/     0, // EndSwitchType
/* 41483*/    0, // EndSwitchType
/* 41484*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->41775
/* 41488*/    OPC_RecordChild0, // #1 = $addr
/* 41489*/    OPC_RecordChild1, // #2 = $off
/* 41490*/    OPC_MoveChild1,
/* 41491*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 41494*/    OPC_MoveParent,
/* 41495*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 41497*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->41636
/* 41501*/     OPC_MoveParent,
/* 41502*/     OPC_RecordChild2, // #3 = $val
/* 41503*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->41613
/* 41506*/      OPC_Scope, 20, /*->41528*/ // 5 children in Scope
/* 41508*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41510*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41512*/       OPC_EmitMergeInputChains1_0,
/* 41513*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41516*/       OPC_EmitConvertToTarget, 2,
/* 41518*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41528*/      /*Scope*/ 20, /*->41549*/
/* 41529*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41531*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41533*/       OPC_EmitMergeInputChains1_0,
/* 41534*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41537*/       OPC_EmitConvertToTarget, 2,
/* 41539*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41549*/      /*Scope*/ 20, /*->41570*/
/* 41550*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41552*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41554*/       OPC_EmitMergeInputChains1_0,
/* 41555*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41558*/       OPC_EmitConvertToTarget, 2,
/* 41560*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41570*/      /*Scope*/ 20, /*->41591*/
/* 41571*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41573*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41575*/       OPC_EmitMergeInputChains1_0,
/* 41576*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41579*/       OPC_EmitConvertToTarget, 2,
/* 41581*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41591*/      /*Scope*/ 20, /*->41612*/
/* 41592*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41594*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41596*/       OPC_EmitMergeInputChains1_0,
/* 41597*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41600*/       OPC_EmitConvertToTarget, 2,
/* 41602*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41612*/      0, /*End of Scope*/
/* 41613*/     /*SwitchType*/ 20, MVT::i64,// ->41635
/* 41615*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41617*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41619*/      OPC_EmitMergeInputChains1_0,
/* 41620*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41623*/      OPC_EmitConvertToTarget, 2,
/* 41625*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_xor:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 41635*/     0, // EndSwitchType
/* 41636*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->41774
/* 41639*/     OPC_MoveParent,
/* 41640*/     OPC_RecordChild2, // #3 = $val
/* 41641*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->41751
/* 41644*/      OPC_Scope, 20, /*->41666*/ // 5 children in Scope
/* 41646*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41648*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41650*/       OPC_EmitMergeInputChains1_0,
/* 41651*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41654*/       OPC_EmitConvertToTarget, 2,
/* 41656*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41666*/      /*Scope*/ 20, /*->41687*/
/* 41667*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41669*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41671*/       OPC_EmitMergeInputChains1_0,
/* 41672*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41675*/       OPC_EmitConvertToTarget, 2,
/* 41677*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41687*/      /*Scope*/ 20, /*->41708*/
/* 41688*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41690*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41692*/       OPC_EmitMergeInputChains1_0,
/* 41693*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41696*/       OPC_EmitConvertToTarget, 2,
/* 41698*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41708*/      /*Scope*/ 20, /*->41729*/
/* 41709*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41711*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41713*/       OPC_EmitMergeInputChains1_0,
/* 41714*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41717*/       OPC_EmitConvertToTarget, 2,
/* 41719*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41729*/      /*Scope*/ 20, /*->41750*/
/* 41730*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41732*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41734*/       OPC_EmitMergeInputChains1_0,
/* 41735*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41738*/       OPC_EmitConvertToTarget, 2,
/* 41740*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41750*/      0, /*End of Scope*/
/* 41751*/     /*SwitchType*/ 20, MVT::i64,// ->41773
/* 41753*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41755*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41757*/      OPC_EmitMergeInputChains1_0,
/* 41758*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41761*/      OPC_EmitConvertToTarget, 2,
/* 41763*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_xor:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 41773*/     0, // EndSwitchType
/* 41774*/    0, // EndSwitchType
/* 41775*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->42149
/* 41779*/    OPC_RecordChild0, // #1 = $off
/* 41780*/    OPC_MoveChild0,
/* 41781*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 41784*/    OPC_MoveParent,
/* 41785*/    OPC_MoveParent,
/* 41786*/    OPC_RecordChild2, // #2 = $val
/* 41787*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->42088
/* 41791*/     OPC_Scope, 58, /*->41851*/ // 5 children in Scope
/* 41793*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41795*/      OPC_Scope, 26, /*->41823*/ // 2 children in Scope
/* 41797*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41799*/       OPC_EmitMergeInputChains1_0,
/* 41800*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41803*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41806*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41813*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41823*/      /*Scope*/ 26, /*->41850*/
/* 41824*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41826*/       OPC_EmitMergeInputChains1_0,
/* 41827*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41830*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41833*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41840*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41850*/      0, /*End of Scope*/
/* 41851*/     /*Scope*/ 58, /*->41910*/
/* 41852*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41854*/      OPC_Scope, 26, /*->41882*/ // 2 children in Scope
/* 41856*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41858*/       OPC_EmitMergeInputChains1_0,
/* 41859*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41862*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41865*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41872*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41882*/      /*Scope*/ 26, /*->41909*/
/* 41883*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41885*/       OPC_EmitMergeInputChains1_0,
/* 41886*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41889*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41892*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41899*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41909*/      0, /*End of Scope*/
/* 41910*/     /*Scope*/ 58, /*->41969*/
/* 41911*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41913*/      OPC_Scope, 26, /*->41941*/ // 2 children in Scope
/* 41915*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41917*/       OPC_EmitMergeInputChains1_0,
/* 41918*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41921*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41924*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41931*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41941*/      /*Scope*/ 26, /*->41968*/
/* 41942*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41944*/       OPC_EmitMergeInputChains1_0,
/* 41945*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41948*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41951*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41958*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41968*/      0, /*End of Scope*/
/* 41969*/     /*Scope*/ 58, /*->42028*/
/* 41970*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41972*/      OPC_Scope, 26, /*->42000*/ // 2 children in Scope
/* 41974*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41976*/       OPC_EmitMergeInputChains1_0,
/* 41977*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41980*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41983*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41990*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42000*/      /*Scope*/ 26, /*->42027*/
/* 42001*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 42003*/       OPC_EmitMergeInputChains1_0,
/* 42004*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42007*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42010*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 42017*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42027*/      0, /*End of Scope*/
/* 42028*/     /*Scope*/ 58, /*->42087*/
/* 42029*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42031*/      OPC_Scope, 26, /*->42059*/ // 2 children in Scope
/* 42033*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 42035*/       OPC_EmitMergeInputChains1_0,
/* 42036*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42039*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42042*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 42049*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42059*/      /*Scope*/ 26, /*->42086*/
/* 42060*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 42062*/       OPC_EmitMergeInputChains1_0,
/* 42063*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42066*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42069*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 42076*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42086*/      0, /*End of Scope*/
/* 42087*/     0, /*End of Scope*/
/* 42088*/    /*SwitchType*/ 58, MVT::i64,// ->42148
/* 42090*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 42092*/     OPC_Scope, 26, /*->42120*/ // 2 children in Scope
/* 42094*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 42096*/      OPC_EmitMergeInputChains1_0,
/* 42097*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42100*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42103*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 42110*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_xor:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 42120*/     /*Scope*/ 26, /*->42147*/
/* 42121*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 42123*/      OPC_EmitMergeInputChains1_0,
/* 42124*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42127*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42130*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 42137*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_xor:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 42147*/     0, /*End of Scope*/
/* 42148*/    0, // EndSwitchType
/* 42149*/   0, // EndSwitchOpcode
/* 42150*/  /*Scope*/ 45|128,5/*685*/, /*->42837*/
/* 42152*/   OPC_RecordChild1, // #1 = $off
/* 42153*/   OPC_Scope, 8|128,3/*392*/, /*->42548*/ // 3 children in Scope
/* 42156*/    OPC_MoveChild1,
/* 42157*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 42160*/    OPC_MoveParent,
/* 42161*/    OPC_RecordChild2, // #2 = $val
/* 42162*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->42483
/* 42166*/     OPC_Scope, 62, /*->42230*/ // 5 children in Scope
/* 42168*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 42170*/      OPC_Scope, 28, /*->42200*/ // 2 children in Scope
/* 42172*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42174*/       OPC_EmitMergeInputChains1_0,
/* 42175*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42178*/       OPC_EmitConvertToTarget, 1,
/* 42180*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42183*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42190*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42200*/      /*Scope*/ 28, /*->42229*/
/* 42201*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42203*/       OPC_EmitMergeInputChains1_0,
/* 42204*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42207*/       OPC_EmitConvertToTarget, 1,
/* 42209*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42212*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42219*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42229*/      0, /*End of Scope*/
/* 42230*/     /*Scope*/ 62, /*->42293*/
/* 42231*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42233*/      OPC_Scope, 28, /*->42263*/ // 2 children in Scope
/* 42235*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42237*/       OPC_EmitMergeInputChains1_0,
/* 42238*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42241*/       OPC_EmitConvertToTarget, 1,
/* 42243*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42246*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42253*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42263*/      /*Scope*/ 28, /*->42292*/
/* 42264*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42266*/       OPC_EmitMergeInputChains1_0,
/* 42267*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42270*/       OPC_EmitConvertToTarget, 1,
/* 42272*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42275*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42282*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42292*/      0, /*End of Scope*/
/* 42293*/     /*Scope*/ 62, /*->42356*/
/* 42294*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42296*/      OPC_Scope, 28, /*->42326*/ // 2 children in Scope
/* 42298*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42300*/       OPC_EmitMergeInputChains1_0,
/* 42301*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42304*/       OPC_EmitConvertToTarget, 1,
/* 42306*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42309*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42316*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42326*/      /*Scope*/ 28, /*->42355*/
/* 42327*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42329*/       OPC_EmitMergeInputChains1_0,
/* 42330*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42333*/       OPC_EmitConvertToTarget, 1,
/* 42335*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42338*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42345*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42355*/      0, /*End of Scope*/
/* 42356*/     /*Scope*/ 62, /*->42419*/
/* 42357*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42359*/      OPC_Scope, 28, /*->42389*/ // 2 children in Scope
/* 42361*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42363*/       OPC_EmitMergeInputChains1_0,
/* 42364*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42367*/       OPC_EmitConvertToTarget, 1,
/* 42369*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42372*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42379*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42389*/      /*Scope*/ 28, /*->42418*/
/* 42390*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42392*/       OPC_EmitMergeInputChains1_0,
/* 42393*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42396*/       OPC_EmitConvertToTarget, 1,
/* 42398*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42401*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42408*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42418*/      0, /*End of Scope*/
/* 42419*/     /*Scope*/ 62, /*->42482*/
/* 42420*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42422*/      OPC_Scope, 28, /*->42452*/ // 2 children in Scope
/* 42424*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42426*/       OPC_EmitMergeInputChains1_0,
/* 42427*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42430*/       OPC_EmitConvertToTarget, 1,
/* 42432*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42435*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42442*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42452*/      /*Scope*/ 28, /*->42481*/
/* 42453*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42455*/       OPC_EmitMergeInputChains1_0,
/* 42456*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42459*/       OPC_EmitConvertToTarget, 1,
/* 42461*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42464*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42471*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42481*/      0, /*End of Scope*/
/* 42482*/     0, /*End of Scope*/
/* 42483*/    /*SwitchType*/ 62, MVT::i64,// ->42547
/* 42485*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 42487*/     OPC_Scope, 28, /*->42517*/ // 2 children in Scope
/* 42489*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42491*/      OPC_EmitMergeInputChains1_0,
/* 42492*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42495*/      OPC_EmitConvertToTarget, 1,
/* 42497*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42500*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42507*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_xor:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 42517*/     /*Scope*/ 28, /*->42546*/
/* 42518*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42520*/      OPC_EmitMergeInputChains1_0,
/* 42521*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42524*/      OPC_EmitConvertToTarget, 1,
/* 42526*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42529*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42536*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_xor:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 42546*/     0, /*End of Scope*/
/* 42547*/    0, // EndSwitchType
/* 42548*/   /*Scope*/ 14|128,1/*142*/, /*->42692*/
/* 42550*/    OPC_CheckChild1Type, MVT::i32,
/* 42552*/    OPC_RecordChild2, // #2 = $val
/* 42553*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->42668
/* 42556*/     OPC_Scope, 21, /*->42579*/ // 5 children in Scope
/* 42558*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 42560*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42562*/      OPC_EmitMergeInputChains1_0,
/* 42563*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42566*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42569*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42579*/     /*Scope*/ 21, /*->42601*/
/* 42580*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42582*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42584*/      OPC_EmitMergeInputChains1_0,
/* 42585*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42588*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42591*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42601*/     /*Scope*/ 21, /*->42623*/
/* 42602*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42604*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42606*/      OPC_EmitMergeInputChains1_0,
/* 42607*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42610*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42613*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42623*/     /*Scope*/ 21, /*->42645*/
/* 42624*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42626*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42628*/      OPC_EmitMergeInputChains1_0,
/* 42629*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42632*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42635*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42645*/     /*Scope*/ 21, /*->42667*/
/* 42646*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42648*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42650*/      OPC_EmitMergeInputChains1_0,
/* 42651*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42654*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42657*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42667*/     0, /*End of Scope*/
/* 42668*/    /*SwitchType*/ 21, MVT::i64,// ->42691
/* 42670*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 42672*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42674*/     OPC_EmitMergeInputChains1_0,
/* 42675*/     OPC_EmitInteger, MVT::i32, 0, 
/* 42678*/     OPC_EmitInteger, MVT::i32, 0, 
/* 42681*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_xor:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 42691*/    0, // EndSwitchType
/* 42692*/   /*Scope*/ 14|128,1/*142*/, /*->42836*/
/* 42694*/    OPC_CheckChild1Type, MVT::i64,
/* 42696*/    OPC_RecordChild2, // #2 = $val
/* 42697*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->42812
/* 42700*/     OPC_Scope, 21, /*->42723*/ // 5 children in Scope
/* 42702*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 42704*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42706*/      OPC_EmitMergeInputChains1_0,
/* 42707*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42710*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42713*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42723*/     /*Scope*/ 21, /*->42745*/
/* 42724*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42726*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42728*/      OPC_EmitMergeInputChains1_0,
/* 42729*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42732*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42735*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42745*/     /*Scope*/ 21, /*->42767*/
/* 42746*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42748*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42750*/      OPC_EmitMergeInputChains1_0,
/* 42751*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42754*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42757*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42767*/     /*Scope*/ 21, /*->42789*/
/* 42768*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42770*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42772*/      OPC_EmitMergeInputChains1_0,
/* 42773*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42776*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42779*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42789*/     /*Scope*/ 21, /*->42811*/
/* 42790*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42792*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42794*/      OPC_EmitMergeInputChains1_0,
/* 42795*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42798*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42801*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42811*/     0, /*End of Scope*/
/* 42812*/    /*SwitchType*/ 21, MVT::i64,// ->42835
/* 42814*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 42816*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42818*/     OPC_EmitMergeInputChains1_0,
/* 42819*/     OPC_EmitInteger, MVT::i32, 0, 
/* 42822*/     OPC_EmitInteger, MVT::i64, 0, 
/* 42825*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_xor:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 42835*/    0, // EndSwitchType
/* 42836*/   0, /*End of Scope*/
/* 42837*/  0, /*End of Scope*/
/* 42838*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->44494
/* 42842*/  OPC_RecordMemRef,
/* 42843*/  OPC_RecordNode, // #0 = 'atomic_swap' chained node
/* 42844*/  OPC_Scope, 63|128,7/*959*/, /*->43806*/ // 2 children in Scope
/* 42847*/   OPC_MoveChild1,
/* 42848*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->43140
/* 42853*/    OPC_RecordChild0, // #1 = $addr
/* 42854*/    OPC_RecordChild1, // #2 = $off
/* 42855*/    OPC_MoveChild1,
/* 42856*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 42859*/    OPC_MoveParent,
/* 42860*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 42862*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->43001
/* 42866*/     OPC_MoveParent,
/* 42867*/     OPC_RecordChild2, // #3 = $val
/* 42868*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->42978
/* 42871*/      OPC_Scope, 20, /*->42893*/ // 5 children in Scope
/* 42873*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 42875*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42877*/       OPC_EmitMergeInputChains1_0,
/* 42878*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42881*/       OPC_EmitConvertToTarget, 2,
/* 42883*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42893*/      /*Scope*/ 20, /*->42914*/
/* 42894*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 42896*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42898*/       OPC_EmitMergeInputChains1_0,
/* 42899*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42902*/       OPC_EmitConvertToTarget, 2,
/* 42904*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42914*/      /*Scope*/ 20, /*->42935*/
/* 42915*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 42917*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42919*/       OPC_EmitMergeInputChains1_0,
/* 42920*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42923*/       OPC_EmitConvertToTarget, 2,
/* 42925*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42935*/      /*Scope*/ 20, /*->42956*/
/* 42936*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 42938*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42940*/       OPC_EmitMergeInputChains1_0,
/* 42941*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42944*/       OPC_EmitConvertToTarget, 2,
/* 42946*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42956*/      /*Scope*/ 20, /*->42977*/
/* 42957*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 42959*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42961*/       OPC_EmitMergeInputChains1_0,
/* 42962*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42965*/       OPC_EmitConvertToTarget, 2,
/* 42967*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42977*/      0, /*End of Scope*/
/* 42978*/     /*SwitchType*/ 20, MVT::i64,// ->43000
/* 42980*/      OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 42982*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42984*/      OPC_EmitMergeInputChains1_0,
/* 42985*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42988*/      OPC_EmitConvertToTarget, 2,
/* 42990*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_swap:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 43000*/     0, // EndSwitchType
/* 43001*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->43139
/* 43004*/     OPC_MoveParent,
/* 43005*/     OPC_RecordChild2, // #3 = $val
/* 43006*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->43116
/* 43009*/      OPC_Scope, 20, /*->43031*/ // 5 children in Scope
/* 43011*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43013*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43015*/       OPC_EmitMergeInputChains1_0,
/* 43016*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43019*/       OPC_EmitConvertToTarget, 2,
/* 43021*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43031*/      /*Scope*/ 20, /*->43052*/
/* 43032*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43034*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43036*/       OPC_EmitMergeInputChains1_0,
/* 43037*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43040*/       OPC_EmitConvertToTarget, 2,
/* 43042*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43052*/      /*Scope*/ 20, /*->43073*/
/* 43053*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43055*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43057*/       OPC_EmitMergeInputChains1_0,
/* 43058*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43061*/       OPC_EmitConvertToTarget, 2,
/* 43063*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43073*/      /*Scope*/ 20, /*->43094*/
/* 43074*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43076*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43078*/       OPC_EmitMergeInputChains1_0,
/* 43079*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43082*/       OPC_EmitConvertToTarget, 2,
/* 43084*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43094*/      /*Scope*/ 20, /*->43115*/
/* 43095*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43097*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43099*/       OPC_EmitMergeInputChains1_0,
/* 43100*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43103*/       OPC_EmitConvertToTarget, 2,
/* 43105*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43115*/      0, /*End of Scope*/
/* 43116*/     /*SwitchType*/ 20, MVT::i64,// ->43138
/* 43118*/      OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 43120*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43122*/      OPC_EmitMergeInputChains1_0,
/* 43123*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43126*/      OPC_EmitConvertToTarget, 2,
/* 43128*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_swap:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 43138*/     0, // EndSwitchType
/* 43139*/    0, // EndSwitchType
/* 43140*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->43431
/* 43144*/    OPC_RecordChild0, // #1 = $addr
/* 43145*/    OPC_RecordChild1, // #2 = $off
/* 43146*/    OPC_MoveChild1,
/* 43147*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 43150*/    OPC_MoveParent,
/* 43151*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 43153*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->43292
/* 43157*/     OPC_MoveParent,
/* 43158*/     OPC_RecordChild2, // #3 = $val
/* 43159*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->43269
/* 43162*/      OPC_Scope, 20, /*->43184*/ // 5 children in Scope
/* 43164*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43166*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43168*/       OPC_EmitMergeInputChains1_0,
/* 43169*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43172*/       OPC_EmitConvertToTarget, 2,
/* 43174*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 43184*/      /*Scope*/ 20, /*->43205*/
/* 43185*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43187*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43189*/       OPC_EmitMergeInputChains1_0,
/* 43190*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43193*/       OPC_EmitConvertToTarget, 2,
/* 43195*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 43205*/      /*Scope*/ 20, /*->43226*/
/* 43206*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43208*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43210*/       OPC_EmitMergeInputChains1_0,
/* 43211*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43214*/       OPC_EmitConvertToTarget, 2,
/* 43216*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 43226*/      /*Scope*/ 20, /*->43247*/
/* 43227*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43229*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43231*/       OPC_EmitMergeInputChains1_0,
/* 43232*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43235*/       OPC_EmitConvertToTarget, 2,
/* 43237*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 43247*/      /*Scope*/ 20, /*->43268*/
/* 43248*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43250*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43252*/       OPC_EmitMergeInputChains1_0,
/* 43253*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43256*/       OPC_EmitConvertToTarget, 2,
/* 43258*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 43268*/      0, /*End of Scope*/
/* 43269*/     /*SwitchType*/ 20, MVT::i64,// ->43291
/* 43271*/      OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 43273*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43275*/      OPC_EmitMergeInputChains1_0,
/* 43276*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43279*/      OPC_EmitConvertToTarget, 2,
/* 43281*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_swap:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 43291*/     0, // EndSwitchType
/* 43292*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->43430
/* 43295*/     OPC_MoveParent,
/* 43296*/     OPC_RecordChild2, // #3 = $val
/* 43297*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->43407
/* 43300*/      OPC_Scope, 20, /*->43322*/ // 5 children in Scope
/* 43302*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43304*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43306*/       OPC_EmitMergeInputChains1_0,
/* 43307*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43310*/       OPC_EmitConvertToTarget, 2,
/* 43312*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43322*/      /*Scope*/ 20, /*->43343*/
/* 43323*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43325*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43327*/       OPC_EmitMergeInputChains1_0,
/* 43328*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43331*/       OPC_EmitConvertToTarget, 2,
/* 43333*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43343*/      /*Scope*/ 20, /*->43364*/
/* 43344*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43346*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43348*/       OPC_EmitMergeInputChains1_0,
/* 43349*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43352*/       OPC_EmitConvertToTarget, 2,
/* 43354*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43364*/      /*Scope*/ 20, /*->43385*/
/* 43365*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43367*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43369*/       OPC_EmitMergeInputChains1_0,
/* 43370*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43373*/       OPC_EmitConvertToTarget, 2,
/* 43375*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43385*/      /*Scope*/ 20, /*->43406*/
/* 43386*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43388*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43390*/       OPC_EmitMergeInputChains1_0,
/* 43391*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43394*/       OPC_EmitConvertToTarget, 2,
/* 43396*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43406*/      0, /*End of Scope*/
/* 43407*/     /*SwitchType*/ 20, MVT::i64,// ->43429
/* 43409*/      OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 43411*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43413*/      OPC_EmitMergeInputChains1_0,
/* 43414*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43417*/      OPC_EmitConvertToTarget, 2,
/* 43419*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_swap:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 43429*/     0, // EndSwitchType
/* 43430*/    0, // EndSwitchType
/* 43431*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->43805
/* 43435*/    OPC_RecordChild0, // #1 = $off
/* 43436*/    OPC_MoveChild0,
/* 43437*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 43440*/    OPC_MoveParent,
/* 43441*/    OPC_MoveParent,
/* 43442*/    OPC_RecordChild2, // #2 = $val
/* 43443*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->43744
/* 43447*/     OPC_Scope, 58, /*->43507*/ // 5 children in Scope
/* 43449*/      OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43451*/      OPC_Scope, 26, /*->43479*/ // 2 children in Scope
/* 43453*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43455*/       OPC_EmitMergeInputChains1_0,
/* 43456*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43459*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43462*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43469*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43479*/      /*Scope*/ 26, /*->43506*/
/* 43480*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43482*/       OPC_EmitMergeInputChains1_0,
/* 43483*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43486*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43489*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43496*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43506*/      0, /*End of Scope*/
/* 43507*/     /*Scope*/ 58, /*->43566*/
/* 43508*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43510*/      OPC_Scope, 26, /*->43538*/ // 2 children in Scope
/* 43512*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43514*/       OPC_EmitMergeInputChains1_0,
/* 43515*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43518*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43521*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43528*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43538*/      /*Scope*/ 26, /*->43565*/
/* 43539*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43541*/       OPC_EmitMergeInputChains1_0,
/* 43542*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43545*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43548*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43555*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43565*/      0, /*End of Scope*/
/* 43566*/     /*Scope*/ 58, /*->43625*/
/* 43567*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43569*/      OPC_Scope, 26, /*->43597*/ // 2 children in Scope
/* 43571*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43573*/       OPC_EmitMergeInputChains1_0,
/* 43574*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43577*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43580*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43587*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43597*/      /*Scope*/ 26, /*->43624*/
/* 43598*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43600*/       OPC_EmitMergeInputChains1_0,
/* 43601*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43604*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43607*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43614*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43624*/      0, /*End of Scope*/
/* 43625*/     /*Scope*/ 58, /*->43684*/
/* 43626*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43628*/      OPC_Scope, 26, /*->43656*/ // 2 children in Scope
/* 43630*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43632*/       OPC_EmitMergeInputChains1_0,
/* 43633*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43636*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43639*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43646*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43656*/      /*Scope*/ 26, /*->43683*/
/* 43657*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43659*/       OPC_EmitMergeInputChains1_0,
/* 43660*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43663*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43666*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43673*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43683*/      0, /*End of Scope*/
/* 43684*/     /*Scope*/ 58, /*->43743*/
/* 43685*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43687*/      OPC_Scope, 26, /*->43715*/ // 2 children in Scope
/* 43689*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43691*/       OPC_EmitMergeInputChains1_0,
/* 43692*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43695*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43698*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43705*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43715*/      /*Scope*/ 26, /*->43742*/
/* 43716*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43718*/       OPC_EmitMergeInputChains1_0,
/* 43719*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43722*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43725*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43732*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43742*/      0, /*End of Scope*/
/* 43743*/     0, /*End of Scope*/
/* 43744*/    /*SwitchType*/ 58, MVT::i64,// ->43804
/* 43746*/     OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 43748*/     OPC_Scope, 26, /*->43776*/ // 2 children in Scope
/* 43750*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43752*/      OPC_EmitMergeInputChains1_0,
/* 43753*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43756*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43759*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43766*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_swap:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 43776*/     /*Scope*/ 26, /*->43803*/
/* 43777*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43779*/      OPC_EmitMergeInputChains1_0,
/* 43780*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43783*/      OPC_EmitInteger, MVT::i64, 0, 
/* 43786*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43793*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_swap:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 43803*/     0, /*End of Scope*/
/* 43804*/    0, // EndSwitchType
/* 43805*/   0, // EndSwitchOpcode
/* 43806*/  /*Scope*/ 45|128,5/*685*/, /*->44493*/
/* 43808*/   OPC_RecordChild1, // #1 = $off
/* 43809*/   OPC_Scope, 8|128,3/*392*/, /*->44204*/ // 3 children in Scope
/* 43812*/    OPC_MoveChild1,
/* 43813*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 43816*/    OPC_MoveParent,
/* 43817*/    OPC_RecordChild2, // #2 = $val
/* 43818*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->44139
/* 43822*/     OPC_Scope, 62, /*->43886*/ // 5 children in Scope
/* 43824*/      OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43826*/      OPC_Scope, 28, /*->43856*/ // 2 children in Scope
/* 43828*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43830*/       OPC_EmitMergeInputChains1_0,
/* 43831*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43834*/       OPC_EmitConvertToTarget, 1,
/* 43836*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43839*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43846*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43856*/      /*Scope*/ 28, /*->43885*/
/* 43857*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43859*/       OPC_EmitMergeInputChains1_0,
/* 43860*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43863*/       OPC_EmitConvertToTarget, 1,
/* 43865*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43868*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 43875*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43885*/      0, /*End of Scope*/
/* 43886*/     /*Scope*/ 62, /*->43949*/
/* 43887*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43889*/      OPC_Scope, 28, /*->43919*/ // 2 children in Scope
/* 43891*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43893*/       OPC_EmitMergeInputChains1_0,
/* 43894*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43897*/       OPC_EmitConvertToTarget, 1,
/* 43899*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43902*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43909*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43919*/      /*Scope*/ 28, /*->43948*/
/* 43920*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43922*/       OPC_EmitMergeInputChains1_0,
/* 43923*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43926*/       OPC_EmitConvertToTarget, 1,
/* 43928*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43931*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 43938*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43948*/      0, /*End of Scope*/
/* 43949*/     /*Scope*/ 62, /*->44012*/
/* 43950*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43952*/      OPC_Scope, 28, /*->43982*/ // 2 children in Scope
/* 43954*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43956*/       OPC_EmitMergeInputChains1_0,
/* 43957*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43960*/       OPC_EmitConvertToTarget, 1,
/* 43962*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43965*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43972*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43982*/      /*Scope*/ 28, /*->44011*/
/* 43983*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43985*/       OPC_EmitMergeInputChains1_0,
/* 43986*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43989*/       OPC_EmitConvertToTarget, 1,
/* 43991*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43994*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 44001*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 44011*/      0, /*End of Scope*/
/* 44012*/     /*Scope*/ 62, /*->44075*/
/* 44013*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 44015*/      OPC_Scope, 28, /*->44045*/ // 2 children in Scope
/* 44017*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44019*/       OPC_EmitMergeInputChains1_0,
/* 44020*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44023*/       OPC_EmitConvertToTarget, 1,
/* 44025*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44028*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 44035*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 44045*/      /*Scope*/ 28, /*->44074*/
/* 44046*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44048*/       OPC_EmitMergeInputChains1_0,
/* 44049*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44052*/       OPC_EmitConvertToTarget, 1,
/* 44054*/       OPC_EmitInteger, MVT::i64, 0, 
/* 44057*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 44064*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 44074*/      0, /*End of Scope*/
/* 44075*/     /*Scope*/ 62, /*->44138*/
/* 44076*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44078*/      OPC_Scope, 28, /*->44108*/ // 2 children in Scope
/* 44080*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44082*/       OPC_EmitMergeInputChains1_0,
/* 44083*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44086*/       OPC_EmitConvertToTarget, 1,
/* 44088*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44091*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 44098*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 44108*/      /*Scope*/ 28, /*->44137*/
/* 44109*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44111*/       OPC_EmitMergeInputChains1_0,
/* 44112*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44115*/       OPC_EmitConvertToTarget, 1,
/* 44117*/       OPC_EmitInteger, MVT::i64, 0, 
/* 44120*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 44127*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 44137*/      0, /*End of Scope*/
/* 44138*/     0, /*End of Scope*/
/* 44139*/    /*SwitchType*/ 62, MVT::i64,// ->44203
/* 44141*/     OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 44143*/     OPC_Scope, 28, /*->44173*/ // 2 children in Scope
/* 44145*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44147*/      OPC_EmitMergeInputChains1_0,
/* 44148*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44151*/      OPC_EmitConvertToTarget, 1,
/* 44153*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44156*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 44163*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_swap:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 44173*/     /*Scope*/ 28, /*->44202*/
/* 44174*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44176*/      OPC_EmitMergeInputChains1_0,
/* 44177*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44180*/      OPC_EmitConvertToTarget, 1,
/* 44182*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44185*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 44192*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_swap:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 44202*/     0, /*End of Scope*/
/* 44203*/    0, // EndSwitchType
/* 44204*/   /*Scope*/ 14|128,1/*142*/, /*->44348*/
/* 44206*/    OPC_CheckChild1Type, MVT::i32,
/* 44208*/    OPC_RecordChild2, // #2 = $val
/* 44209*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44324
/* 44212*/     OPC_Scope, 21, /*->44235*/ // 5 children in Scope
/* 44214*/      OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 44216*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44218*/      OPC_EmitMergeInputChains1_0,
/* 44219*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44222*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44225*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44235*/     /*Scope*/ 21, /*->44257*/
/* 44236*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 44238*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44240*/      OPC_EmitMergeInputChains1_0,
/* 44241*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44244*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44247*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44257*/     /*Scope*/ 21, /*->44279*/
/* 44258*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44260*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44262*/      OPC_EmitMergeInputChains1_0,
/* 44263*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44266*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44269*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44279*/     /*Scope*/ 21, /*->44301*/
/* 44280*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 44282*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44284*/      OPC_EmitMergeInputChains1_0,
/* 44285*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44288*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44291*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44301*/     /*Scope*/ 21, /*->44323*/
/* 44302*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44304*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44306*/      OPC_EmitMergeInputChains1_0,
/* 44307*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44310*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44313*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44323*/     0, /*End of Scope*/
/* 44324*/    /*SwitchType*/ 21, MVT::i64,// ->44347
/* 44326*/     OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 44328*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44330*/     OPC_EmitMergeInputChains1_0,
/* 44331*/     OPC_EmitInteger, MVT::i32, 0, 
/* 44334*/     OPC_EmitInteger, MVT::i32, 0, 
/* 44337*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_swap:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 44347*/    0, // EndSwitchType
/* 44348*/   /*Scope*/ 14|128,1/*142*/, /*->44492*/
/* 44350*/    OPC_CheckChild1Type, MVT::i64,
/* 44352*/    OPC_RecordChild2, // #2 = $val
/* 44353*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44468
/* 44356*/     OPC_Scope, 21, /*->44379*/ // 5 children in Scope
/* 44358*/      OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 44360*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44362*/      OPC_EmitMergeInputChains1_0,
/* 44363*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44366*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44369*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44379*/     /*Scope*/ 21, /*->44401*/
/* 44380*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 44382*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44384*/      OPC_EmitMergeInputChains1_0,
/* 44385*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44388*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44391*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44401*/     /*Scope*/ 21, /*->44423*/
/* 44402*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44404*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44406*/      OPC_EmitMergeInputChains1_0,
/* 44407*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44410*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44413*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44423*/     /*Scope*/ 21, /*->44445*/
/* 44424*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 44426*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44428*/      OPC_EmitMergeInputChains1_0,
/* 44429*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44432*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44435*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44445*/     /*Scope*/ 21, /*->44467*/
/* 44446*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44448*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44450*/      OPC_EmitMergeInputChains1_0,
/* 44451*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44454*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44457*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44467*/     0, /*End of Scope*/
/* 44468*/    /*SwitchType*/ 21, MVT::i64,// ->44491
/* 44470*/     OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 44472*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44474*/     OPC_EmitMergeInputChains1_0,
/* 44475*/     OPC_EmitInteger, MVT::i32, 0, 
/* 44478*/     OPC_EmitInteger, MVT::i64, 0, 
/* 44481*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_swap:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 44491*/    0, // EndSwitchType
/* 44492*/   0, /*End of Scope*/
/* 44493*/  0, /*End of Scope*/
/* 44494*/ /*SwitchOpcode*/ 124|128,12/*1660*/, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),// ->46158
/* 44498*/  OPC_RecordMemRef,
/* 44499*/  OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/* 44500*/  OPC_Scope, 104|128,7/*1000*/, /*->45503*/ // 2 children in Scope
/* 44503*/   OPC_MoveChild1,
/* 44504*/   OPC_SwitchOpcode /*3 cases */, 45|128,2/*301*/, TARGET_VAL(ISD::ADD),// ->44810
/* 44509*/    OPC_RecordChild0, // #1 = $addr
/* 44510*/    OPC_RecordChild1, // #2 = $off
/* 44511*/    OPC_MoveChild1,
/* 44512*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 44515*/    OPC_MoveParent,
/* 44516*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 44518*/    OPC_SwitchType /*2 cases */, 14|128,1/*142*/, MVT::i32,// ->44664
/* 44522*/     OPC_MoveParent,
/* 44523*/     OPC_RecordChild2, // #3 = $exp
/* 44524*/     OPC_RecordChild3, // #4 = $new
/* 44525*/     OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44640
/* 44528*/      OPC_Scope, 21, /*->44551*/ // 5 children in Scope
/* 44530*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44532*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44534*/       OPC_EmitMergeInputChains1_0,
/* 44535*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44538*/       OPC_EmitConvertToTarget, 2,
/* 44540*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44551*/      /*Scope*/ 21, /*->44573*/
/* 44552*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44554*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44556*/       OPC_EmitMergeInputChains1_0,
/* 44557*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44560*/       OPC_EmitConvertToTarget, 2,
/* 44562*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44573*/      /*Scope*/ 21, /*->44595*/
/* 44574*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44576*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44578*/       OPC_EmitMergeInputChains1_0,
/* 44579*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44582*/       OPC_EmitConvertToTarget, 2,
/* 44584*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44595*/      /*Scope*/ 21, /*->44617*/
/* 44596*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44598*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44600*/       OPC_EmitMergeInputChains1_0,
/* 44601*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44604*/       OPC_EmitConvertToTarget, 2,
/* 44606*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44617*/      /*Scope*/ 21, /*->44639*/
/* 44618*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44620*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44622*/       OPC_EmitMergeInputChains1_0,
/* 44623*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44626*/       OPC_EmitConvertToTarget, 2,
/* 44628*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44639*/      0, /*End of Scope*/
/* 44640*/     /*SwitchType*/ 21, MVT::i64,// ->44663
/* 44642*/      OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 44644*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44646*/      OPC_EmitMergeInputChains1_0,
/* 44647*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44650*/      OPC_EmitConvertToTarget, 2,
/* 44652*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 44663*/     0, // EndSwitchType
/* 44664*/    /*SwitchType*/ 14|128,1/*142*/, MVT::i64,// ->44809
/* 44667*/     OPC_MoveParent,
/* 44668*/     OPC_RecordChild2, // #3 = $exp
/* 44669*/     OPC_RecordChild3, // #4 = $new
/* 44670*/     OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44785
/* 44673*/      OPC_Scope, 21, /*->44696*/ // 5 children in Scope
/* 44675*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44677*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44679*/       OPC_EmitMergeInputChains1_0,
/* 44680*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44683*/       OPC_EmitConvertToTarget, 2,
/* 44685*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44696*/      /*Scope*/ 21, /*->44718*/
/* 44697*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44699*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44701*/       OPC_EmitMergeInputChains1_0,
/* 44702*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44705*/       OPC_EmitConvertToTarget, 2,
/* 44707*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44718*/      /*Scope*/ 21, /*->44740*/
/* 44719*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44721*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44723*/       OPC_EmitMergeInputChains1_0,
/* 44724*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44727*/       OPC_EmitConvertToTarget, 2,
/* 44729*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44740*/      /*Scope*/ 21, /*->44762*/
/* 44741*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44743*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44745*/       OPC_EmitMergeInputChains1_0,
/* 44746*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44749*/       OPC_EmitConvertToTarget, 2,
/* 44751*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44762*/      /*Scope*/ 21, /*->44784*/
/* 44763*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44765*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44767*/       OPC_EmitMergeInputChains1_0,
/* 44768*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44771*/       OPC_EmitConvertToTarget, 2,
/* 44773*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44784*/      0, /*End of Scope*/
/* 44785*/     /*SwitchType*/ 21, MVT::i64,// ->44808
/* 44787*/      OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 44789*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44791*/      OPC_EmitMergeInputChains1_0,
/* 44792*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44795*/      OPC_EmitConvertToTarget, 2,
/* 44797*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 44808*/     0, // EndSwitchType
/* 44809*/    0, // EndSwitchType
/* 44810*/   /*SwitchOpcode*/ 45|128,2/*301*/, TARGET_VAL(ISD::OR),// ->45115
/* 44814*/    OPC_RecordChild0, // #1 = $addr
/* 44815*/    OPC_RecordChild1, // #2 = $off
/* 44816*/    OPC_MoveChild1,
/* 44817*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 44820*/    OPC_MoveParent,
/* 44821*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 44823*/    OPC_SwitchType /*2 cases */, 14|128,1/*142*/, MVT::i32,// ->44969
/* 44827*/     OPC_MoveParent,
/* 44828*/     OPC_RecordChild2, // #3 = $exp
/* 44829*/     OPC_RecordChild3, // #4 = $new
/* 44830*/     OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44945
/* 44833*/      OPC_Scope, 21, /*->44856*/ // 5 children in Scope
/* 44835*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44837*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44839*/       OPC_EmitMergeInputChains1_0,
/* 44840*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44843*/       OPC_EmitConvertToTarget, 2,
/* 44845*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44856*/      /*Scope*/ 21, /*->44878*/
/* 44857*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44859*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44861*/       OPC_EmitMergeInputChains1_0,
/* 44862*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44865*/       OPC_EmitConvertToTarget, 2,
/* 44867*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44878*/      /*Scope*/ 21, /*->44900*/
/* 44879*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44881*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44883*/       OPC_EmitMergeInputChains1_0,
/* 44884*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44887*/       OPC_EmitConvertToTarget, 2,
/* 44889*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44900*/      /*Scope*/ 21, /*->44922*/
/* 44901*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44903*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44905*/       OPC_EmitMergeInputChains1_0,
/* 44906*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44909*/       OPC_EmitConvertToTarget, 2,
/* 44911*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44922*/      /*Scope*/ 21, /*->44944*/
/* 44923*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44925*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44927*/       OPC_EmitMergeInputChains1_0,
/* 44928*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44931*/       OPC_EmitConvertToTarget, 2,
/* 44933*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44944*/      0, /*End of Scope*/
/* 44945*/     /*SwitchType*/ 21, MVT::i64,// ->44968
/* 44947*/      OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 44949*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44951*/      OPC_EmitMergeInputChains1_0,
/* 44952*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44955*/      OPC_EmitConvertToTarget, 2,
/* 44957*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 44968*/     0, // EndSwitchType
/* 44969*/    /*SwitchType*/ 14|128,1/*142*/, MVT::i64,// ->45114
/* 44972*/     OPC_MoveParent,
/* 44973*/     OPC_RecordChild2, // #3 = $exp
/* 44974*/     OPC_RecordChild3, // #4 = $new
/* 44975*/     OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->45090
/* 44978*/      OPC_Scope, 21, /*->45001*/ // 5 children in Scope
/* 44980*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44982*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44984*/       OPC_EmitMergeInputChains1_0,
/* 44985*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44988*/       OPC_EmitConvertToTarget, 2,
/* 44990*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45001*/      /*Scope*/ 21, /*->45023*/
/* 45002*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45004*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45006*/       OPC_EmitMergeInputChains1_0,
/* 45007*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45010*/       OPC_EmitConvertToTarget, 2,
/* 45012*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45023*/      /*Scope*/ 21, /*->45045*/
/* 45024*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45026*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45028*/       OPC_EmitMergeInputChains1_0,
/* 45029*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45032*/       OPC_EmitConvertToTarget, 2,
/* 45034*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45045*/      /*Scope*/ 21, /*->45067*/
/* 45046*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45048*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45050*/       OPC_EmitMergeInputChains1_0,
/* 45051*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45054*/       OPC_EmitConvertToTarget, 2,
/* 45056*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45067*/      /*Scope*/ 21, /*->45089*/
/* 45068*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45070*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45072*/       OPC_EmitMergeInputChains1_0,
/* 45073*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45076*/       OPC_EmitConvertToTarget, 2,
/* 45078*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45089*/      0, /*End of Scope*/
/* 45090*/     /*SwitchType*/ 21, MVT::i64,// ->45113
/* 45092*/      OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 45094*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45096*/      OPC_EmitMergeInputChains1_0,
/* 45097*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45100*/      OPC_EmitConvertToTarget, 2,
/* 45102*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45113*/     0, // EndSwitchType
/* 45114*/    0, // EndSwitchType
/* 45115*/   /*SwitchOpcode*/ 127|128,2/*383*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->45502
/* 45119*/    OPC_RecordChild0, // #1 = $off
/* 45120*/    OPC_MoveChild0,
/* 45121*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 45124*/    OPC_MoveParent,
/* 45125*/    OPC_MoveParent,
/* 45126*/    OPC_RecordChild2, // #2 = $exp
/* 45127*/    OPC_RecordChild3, // #3 = $new
/* 45128*/    OPC_SwitchType /*2 cases */, 51|128,2/*307*/, MVT::i32,// ->45439
/* 45132*/     OPC_Scope, 60, /*->45194*/ // 5 children in Scope
/* 45134*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 45136*/      OPC_Scope, 27, /*->45165*/ // 2 children in Scope
/* 45138*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45140*/       OPC_EmitMergeInputChains1_0,
/* 45141*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45144*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45147*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45154*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45165*/      /*Scope*/ 27, /*->45193*/
/* 45166*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45168*/       OPC_EmitMergeInputChains1_0,
/* 45169*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45172*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45175*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45182*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45193*/      0, /*End of Scope*/
/* 45194*/     /*Scope*/ 60, /*->45255*/
/* 45195*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45197*/      OPC_Scope, 27, /*->45226*/ // 2 children in Scope
/* 45199*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45201*/       OPC_EmitMergeInputChains1_0,
/* 45202*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45205*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45208*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45215*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45226*/      /*Scope*/ 27, /*->45254*/
/* 45227*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45229*/       OPC_EmitMergeInputChains1_0,
/* 45230*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45233*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45236*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45243*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45254*/      0, /*End of Scope*/
/* 45255*/     /*Scope*/ 60, /*->45316*/
/* 45256*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45258*/      OPC_Scope, 27, /*->45287*/ // 2 children in Scope
/* 45260*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45262*/       OPC_EmitMergeInputChains1_0,
/* 45263*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45266*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45269*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45276*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45287*/      /*Scope*/ 27, /*->45315*/
/* 45288*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45290*/       OPC_EmitMergeInputChains1_0,
/* 45291*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45294*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45297*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45304*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45315*/      0, /*End of Scope*/
/* 45316*/     /*Scope*/ 60, /*->45377*/
/* 45317*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45319*/      OPC_Scope, 27, /*->45348*/ // 2 children in Scope
/* 45321*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45323*/       OPC_EmitMergeInputChains1_0,
/* 45324*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45327*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45330*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45337*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45348*/      /*Scope*/ 27, /*->45376*/
/* 45349*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45351*/       OPC_EmitMergeInputChains1_0,
/* 45352*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45355*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45358*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45365*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45376*/      0, /*End of Scope*/
/* 45377*/     /*Scope*/ 60, /*->45438*/
/* 45378*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45380*/      OPC_Scope, 27, /*->45409*/ // 2 children in Scope
/* 45382*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45384*/       OPC_EmitMergeInputChains1_0,
/* 45385*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45388*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45391*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45398*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45409*/      /*Scope*/ 27, /*->45437*/
/* 45410*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45412*/       OPC_EmitMergeInputChains1_0,
/* 45413*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45416*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45419*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45426*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45437*/      0, /*End of Scope*/
/* 45438*/     0, /*End of Scope*/
/* 45439*/    /*SwitchType*/ 60, MVT::i64,// ->45501
/* 45441*/     OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 45443*/     OPC_Scope, 27, /*->45472*/ // 2 children in Scope
/* 45445*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45447*/      OPC_EmitMergeInputChains1_0,
/* 45448*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45451*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45454*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45461*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45472*/     /*Scope*/ 27, /*->45500*/
/* 45473*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45475*/      OPC_EmitMergeInputChains1_0,
/* 45476*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45479*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45482*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45489*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45500*/     0, /*End of Scope*/
/* 45501*/    0, // EndSwitchType
/* 45502*/   0, // EndSwitchOpcode
/* 45503*/  /*Scope*/ 12|128,5/*652*/, /*->46157*/
/* 45505*/   OPC_RecordChild1, // #1 = $off
/* 45506*/   OPC_Scope, 89|128,2/*345*/, /*->45854*/ // 3 children in Scope
/* 45509*/    OPC_MoveChild1,
/* 45510*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 45513*/    OPC_MoveParent,
/* 45514*/    OPC_RecordChild2, // #2 = $exp
/* 45515*/    OPC_RecordChild3, // #3 = $new
/* 45516*/    OPC_SwitchType /*2 cases */, 21|128,2/*277*/, MVT::i32,// ->45797
/* 45520*/     OPC_Scope, 54, /*->45576*/ // 5 children in Scope
/* 45522*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 45524*/      OPC_EmitMergeInputChains1_0,
/* 45525*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45528*/      OPC_EmitConvertToTarget, 1,
/* 45530*/      OPC_Scope, 21, /*->45553*/ // 2 children in Scope
/* 45532*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45535*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45542*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45553*/      /*Scope*/ 21, /*->45575*/
/* 45554*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45557*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45564*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45575*/      0, /*End of Scope*/
/* 45576*/     /*Scope*/ 54, /*->45631*/
/* 45577*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45579*/      OPC_EmitMergeInputChains1_0,
/* 45580*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45583*/      OPC_EmitConvertToTarget, 1,
/* 45585*/      OPC_Scope, 21, /*->45608*/ // 2 children in Scope
/* 45587*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45590*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45597*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45608*/      /*Scope*/ 21, /*->45630*/
/* 45609*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45612*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45619*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45630*/      0, /*End of Scope*/
/* 45631*/     /*Scope*/ 54, /*->45686*/
/* 45632*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45634*/      OPC_EmitMergeInputChains1_0,
/* 45635*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45638*/      OPC_EmitConvertToTarget, 1,
/* 45640*/      OPC_Scope, 21, /*->45663*/ // 2 children in Scope
/* 45642*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45645*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45652*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45663*/      /*Scope*/ 21, /*->45685*/
/* 45664*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45667*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45674*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45685*/      0, /*End of Scope*/
/* 45686*/     /*Scope*/ 54, /*->45741*/
/* 45687*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45689*/      OPC_EmitMergeInputChains1_0,
/* 45690*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45693*/      OPC_EmitConvertToTarget, 1,
/* 45695*/      OPC_Scope, 21, /*->45718*/ // 2 children in Scope
/* 45697*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45700*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45707*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45718*/      /*Scope*/ 21, /*->45740*/
/* 45719*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45722*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45729*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45740*/      0, /*End of Scope*/
/* 45741*/     /*Scope*/ 54, /*->45796*/
/* 45742*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45744*/      OPC_EmitMergeInputChains1_0,
/* 45745*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45748*/      OPC_EmitConvertToTarget, 1,
/* 45750*/      OPC_Scope, 21, /*->45773*/ // 2 children in Scope
/* 45752*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45755*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45762*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45773*/      /*Scope*/ 21, /*->45795*/
/* 45774*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45777*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45784*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45795*/      0, /*End of Scope*/
/* 45796*/     0, /*End of Scope*/
/* 45797*/    /*SwitchType*/ 54, MVT::i64,// ->45853
/* 45799*/     OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 45801*/     OPC_EmitMergeInputChains1_0,
/* 45802*/     OPC_EmitInteger, MVT::i32, 0, 
/* 45805*/     OPC_EmitConvertToTarget, 1,
/* 45807*/     OPC_Scope, 21, /*->45830*/ // 2 children in Scope
/* 45809*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45812*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45819*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45830*/     /*Scope*/ 21, /*->45852*/
/* 45831*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45834*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45841*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45852*/     0, /*End of Scope*/
/* 45853*/    0, // EndSwitchType
/* 45854*/   /*Scope*/ 21|128,1/*149*/, /*->46005*/
/* 45856*/    OPC_CheckChild1Type, MVT::i32,
/* 45858*/    OPC_RecordChild2, // #2 = $exp
/* 45859*/    OPC_RecordChild3, // #3 = $new
/* 45860*/    OPC_SwitchType /*2 cases */, 117, MVT::i32,// ->45980
/* 45863*/     OPC_Scope, 22, /*->45887*/ // 5 children in Scope
/* 45865*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 45867*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45869*/      OPC_EmitMergeInputChains1_0,
/* 45870*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45873*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45876*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45887*/     /*Scope*/ 22, /*->45910*/
/* 45888*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45890*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45892*/      OPC_EmitMergeInputChains1_0,
/* 45893*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45896*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45899*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45910*/     /*Scope*/ 22, /*->45933*/
/* 45911*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45913*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45915*/      OPC_EmitMergeInputChains1_0,
/* 45916*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45919*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45922*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45933*/     /*Scope*/ 22, /*->45956*/
/* 45934*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45936*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45938*/      OPC_EmitMergeInputChains1_0,
/* 45939*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45942*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45945*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45956*/     /*Scope*/ 22, /*->45979*/
/* 45957*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45959*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45961*/      OPC_EmitMergeInputChains1_0,
/* 45962*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45965*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45968*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45979*/     0, /*End of Scope*/
/* 45980*/    /*SwitchType*/ 22, MVT::i64,// ->46004
/* 45982*/     OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 45984*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45986*/     OPC_EmitMergeInputChains1_0,
/* 45987*/     OPC_EmitInteger, MVT::i32, 0, 
/* 45990*/     OPC_EmitInteger, MVT::i32, 0, 
/* 45993*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 46004*/    0, // EndSwitchType
/* 46005*/   /*Scope*/ 21|128,1/*149*/, /*->46156*/
/* 46007*/    OPC_CheckChild1Type, MVT::i64,
/* 46009*/    OPC_RecordChild2, // #2 = $exp
/* 46010*/    OPC_RecordChild3, // #3 = $new
/* 46011*/    OPC_SwitchType /*2 cases */, 117, MVT::i32,// ->46131
/* 46014*/     OPC_Scope, 22, /*->46038*/ // 5 children in Scope
/* 46016*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 46018*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 46020*/      OPC_EmitMergeInputChains1_0,
/* 46021*/      OPC_EmitInteger, MVT::i32, 0, 
/* 46024*/      OPC_EmitInteger, MVT::i64, 0, 
/* 46027*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 46038*/     /*Scope*/ 22, /*->46061*/
/* 46039*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 46041*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 46043*/      OPC_EmitMergeInputChains1_0,
/* 46044*/      OPC_EmitInteger, MVT::i32, 0, 
/* 46047*/      OPC_EmitInteger, MVT::i64, 0, 
/* 46050*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 46061*/     /*Scope*/ 22, /*->46084*/
/* 46062*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 46064*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 46066*/      OPC_EmitMergeInputChains1_0,
/* 46067*/      OPC_EmitInteger, MVT::i32, 0, 
/* 46070*/      OPC_EmitInteger, MVT::i64, 0, 
/* 46073*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 46084*/     /*Scope*/ 22, /*->46107*/
/* 46085*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 46087*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 46089*/      OPC_EmitMergeInputChains1_0,
/* 46090*/      OPC_EmitInteger, MVT::i32, 0, 
/* 46093*/      OPC_EmitInteger, MVT::i64, 0, 
/* 46096*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 46107*/     /*Scope*/ 22, /*->46130*/
/* 46108*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 46110*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 46112*/      OPC_EmitMergeInputChains1_0,
/* 46113*/      OPC_EmitInteger, MVT::i32, 0, 
/* 46116*/      OPC_EmitInteger, MVT::i64, 0, 
/* 46119*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 46130*/     0, /*End of Scope*/
/* 46131*/    /*SwitchType*/ 22, MVT::i64,// ->46155
/* 46133*/     OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 46135*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 46137*/     OPC_EmitMergeInputChains1_0,
/* 46138*/     OPC_EmitInteger, MVT::i32, 0, 
/* 46141*/     OPC_EmitInteger, MVT::i64, 0, 
/* 46144*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 46155*/    0, // EndSwitchType
/* 46156*/   0, /*End of Scope*/
/* 46157*/  0, /*End of Scope*/
/* 46158*/ /*SwitchOpcode*/ 16|128,1/*144*/, TARGET_VAL(ISD::SIGN_EXTEND_INREG),// ->46306
/* 46162*/  OPC_Scope, 67, /*->46231*/ // 2 children in Scope
/* 46164*/   OPC_MoveChild0,
/* 46165*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 46168*/   OPC_RecordChild0, // #0 = $vec
/* 46169*/   OPC_Scope, 29, /*->46200*/ // 2 children in Scope
/* 46171*/    OPC_CheckChild0Type, MVT::v16i8,
/* 46173*/    OPC_RecordChild1, // #1 = $idx
/* 46174*/    OPC_MoveChild1,
/* 46175*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 46178*/    OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 46180*/    OPC_CheckType, MVT::i32,
/* 46182*/    OPC_MoveParent,
/* 46183*/    OPC_MoveParent,
/* 46184*/    OPC_MoveChild1,
/* 46185*/    OPC_CheckValueType, MVT::i8,
/* 46187*/    OPC_MoveParent,
/* 46188*/    OPC_CheckType, MVT::i32,
/* 46190*/    OPC_EmitConvertToTarget, 1,
/* 46192*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_s), 0,
                  MVT::i32, 2/*#Ops*/, 0, 2, 
              // Src: (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), i8:{ *:[Other] }) - Complexity = 10
              // Dst: (EXTRACT_LANE_I8x16_s:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 46200*/   /*Scope*/ 29, /*->46230*/
/* 46201*/    OPC_CheckChild0Type, MVT::v8i16,
/* 46203*/    OPC_RecordChild1, // #1 = $idx
/* 46204*/    OPC_MoveChild1,
/* 46205*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 46208*/    OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 46210*/    OPC_CheckType, MVT::i32,
/* 46212*/    OPC_MoveParent,
/* 46213*/    OPC_MoveParent,
/* 46214*/    OPC_MoveChild1,
/* 46215*/    OPC_CheckValueType, MVT::i16,
/* 46217*/    OPC_MoveParent,
/* 46218*/    OPC_CheckType, MVT::i32,
/* 46220*/    OPC_EmitConvertToTarget, 1,
/* 46222*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_s), 0,
                  MVT::i32, 2/*#Ops*/, 0, 2, 
              // Src: (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), i16:{ *:[Other] }) - Complexity = 10
              // Dst: (EXTRACT_LANE_I16x8_s:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 46230*/   0, /*End of Scope*/
/* 46231*/  /*Scope*/ 73, /*->46305*/
/* 46232*/   OPC_RecordChild0, // #0 = $src
/* 46233*/   OPC_MoveChild1,
/* 46234*/   OPC_Scope, 27, /*->46263*/ // 3 children in Scope
/* 46236*/    OPC_CheckValueType, MVT::i8,
/* 46238*/    OPC_MoveParent,
/* 46239*/    OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->46251
/* 46242*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 46244*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_EXTEND8_S_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i32] } I32:{ *:[i32] }:$src, i8:{ *:[Other] }) - Complexity = 3
               // Dst: (I32_EXTEND8_S_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 46251*/    /*SwitchType*/ 9, MVT::i64,// ->46262
/* 46253*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 46255*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND8_S_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i8:{ *:[Other] }) - Complexity = 3
               // Dst: (I64_EXTEND8_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 46262*/    0, // EndSwitchType
/* 46263*/   /*Scope*/ 27, /*->46291*/
/* 46264*/    OPC_CheckValueType, MVT::i16,
/* 46266*/    OPC_MoveParent,
/* 46267*/    OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->46279
/* 46270*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 46272*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_EXTEND16_S_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i32] } I32:{ *:[i32] }:$src, i16:{ *:[Other] }) - Complexity = 3
               // Dst: (I32_EXTEND16_S_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 46279*/    /*SwitchType*/ 9, MVT::i64,// ->46290
/* 46281*/     OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 46283*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND16_S_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i16:{ *:[Other] }) - Complexity = 3
               // Dst: (I64_EXTEND16_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 46290*/    0, // EndSwitchType
/* 46291*/   /*Scope*/ 12, /*->46304*/
/* 46292*/    OPC_CheckValueType, MVT::i32,
/* 46294*/    OPC_MoveParent,
/* 46295*/    OPC_CheckPatternPredicate, 11, // (Subtarget->hasSignExt())
/* 46297*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND32_S_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_EXTEND32_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 46304*/   0, /*End of Scope*/
/* 46305*/  0, /*End of Scope*/
/* 46306*/ /*SwitchOpcode*/ 23|128,1/*151*/, TARGET_VAL(WebAssemblyISD::GLOBAL_GET),// ->46461
/* 46310*/  OPC_RecordMemRef,
/* 46311*/  OPC_RecordNode, // #0 = 'WebAssemblyglobal_get' chained node
/* 46312*/  OPC_MoveChild1,
/* 46313*/  OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46316*/  OPC_RecordChild0, // #1 = $addr
/* 46317*/  OPC_MoveChild0,
/* 46318*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46321*/  OPC_MoveParent,
/* 46322*/  OPC_MoveParent,
/* 46323*/  OPC_SwitchType /*12 cases */, 8, MVT::i32,// ->46334
/* 46326*/   OPC_EmitMergeInputChains1_0,
/* 46327*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::i32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46334*/  /*SwitchType*/ 8, MVT::i64,// ->46344
/* 46336*/   OPC_EmitMergeInputChains1_0,
/* 46337*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::i64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 46344*/  /*SwitchType*/ 10, MVT::funcref,// ->46356
/* 46346*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46348*/   OPC_EmitMergeInputChains1_0,
/* 46349*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::funcref, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[funcref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46356*/  /*SwitchType*/ 10, MVT::externref,// ->46368
/* 46358*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46360*/   OPC_EmitMergeInputChains1_0,
/* 46361*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::externref, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[externref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46368*/  /*SwitchType*/ 8, MVT::f32,// ->46378
/* 46370*/   OPC_EmitMergeInputChains1_0,
/* 46371*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_F32), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::f32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_F32:{ *:[f32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46378*/  /*SwitchType*/ 8, MVT::f64,// ->46388
/* 46380*/   OPC_EmitMergeInputChains1_0,
/* 46381*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_F64), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::f64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_F64:{ *:[f64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46388*/  /*SwitchType*/ 10, MVT::v2i64,// ->46400
/* 46390*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46392*/   OPC_EmitMergeInputChains1_0,
/* 46393*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v2i64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v2i64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46400*/  /*SwitchType*/ 10, MVT::v4i32,// ->46412
/* 46402*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46404*/   OPC_EmitMergeInputChains1_0,
/* 46405*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v4i32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v4i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46412*/  /*SwitchType*/ 10, MVT::v16i8,// ->46424
/* 46414*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46416*/   OPC_EmitMergeInputChains1_0,
/* 46417*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v16i8, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v16i8] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46424*/  /*SwitchType*/ 10, MVT::v8i16,// ->46436
/* 46426*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46428*/   OPC_EmitMergeInputChains1_0,
/* 46429*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v8i16, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v8i16] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46436*/  /*SwitchType*/ 10, MVT::v4f32,// ->46448
/* 46438*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46440*/   OPC_EmitMergeInputChains1_0,
/* 46441*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v4f32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v4f32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46448*/  /*SwitchType*/ 10, MVT::v2f64,// ->46460
/* 46450*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46452*/   OPC_EmitMergeInputChains1_0,
/* 46453*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v2f64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v2f64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46460*/  0, // EndSwitchType
/* 46461*/ /*SwitchOpcode*/ 29|128,2/*285*/, TARGET_VAL(WebAssemblyISD::GLOBAL_SET),// ->46750
/* 46465*/  OPC_RecordMemRef,
/* 46466*/  OPC_RecordNode, // #0 = 'WebAssemblyglobal_set' chained node
/* 46467*/  OPC_RecordChild1, // #1 = $src
/* 46468*/  OPC_Scope, 21, /*->46491*/ // 12 children in Scope
/* 46470*/   OPC_CheckChild1Type, MVT::i32,
/* 46472*/   OPC_MoveChild2,
/* 46473*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46476*/   OPC_RecordChild0, // #2 = $addr
/* 46477*/   OPC_MoveChild0,
/* 46478*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46481*/   OPC_MoveParent,
/* 46482*/   OPC_MoveParent,
/* 46483*/   OPC_EmitMergeInputChains1_0,
/* 46484*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_I32), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set i32:{ *:[i32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_I32 (tglobaladdr:{ *:[i32] }):$addr, i32:{ *:[i32] }:$src)
/* 46491*/  /*Scope*/ 21, /*->46513*/
/* 46492*/   OPC_CheckChild1Type, MVT::i64,
/* 46494*/   OPC_MoveChild2,
/* 46495*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46498*/   OPC_RecordChild0, // #2 = $addr
/* 46499*/   OPC_MoveChild0,
/* 46500*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46503*/   OPC_MoveParent,
/* 46504*/   OPC_MoveParent,
/* 46505*/   OPC_EmitMergeInputChains1_0,
/* 46506*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_I64), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set i64:{ *:[i64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_I64 (tglobaladdr:{ *:[i64] }):$addr, i64:{ *:[i64] }:$src)
/* 46513*/  /*Scope*/ 21, /*->46535*/
/* 46514*/   OPC_CheckChild1Type, MVT::f32,
/* 46516*/   OPC_MoveChild2,
/* 46517*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46520*/   OPC_RecordChild0, // #2 = $addr
/* 46521*/   OPC_MoveChild0,
/* 46522*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46525*/   OPC_MoveParent,
/* 46526*/   OPC_MoveParent,
/* 46527*/   OPC_EmitMergeInputChains1_0,
/* 46528*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_F32), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set f32:{ *:[f32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_F32 (tglobaladdr:{ *:[i32] }):$addr, f32:{ *:[f32] }:$src)
/* 46535*/  /*Scope*/ 21, /*->46557*/
/* 46536*/   OPC_CheckChild1Type, MVT::f64,
/* 46538*/   OPC_MoveChild2,
/* 46539*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46542*/   OPC_RecordChild0, // #2 = $addr
/* 46543*/   OPC_MoveChild0,
/* 46544*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46547*/   OPC_MoveParent,
/* 46548*/   OPC_MoveParent,
/* 46549*/   OPC_EmitMergeInputChains1_0,
/* 46550*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_F64), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set f64:{ *:[f64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_F64 (tglobaladdr:{ *:[i32] }):$addr, f64:{ *:[f64] }:$src)
/* 46557*/  /*Scope*/ 23, /*->46581*/
/* 46558*/   OPC_CheckChild1Type, MVT::v4f32,
/* 46560*/   OPC_MoveChild2,
/* 46561*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46564*/   OPC_RecordChild0, // #2 = $addr
/* 46565*/   OPC_MoveChild0,
/* 46566*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46569*/   OPC_MoveParent,
/* 46570*/   OPC_MoveParent,
/* 46571*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46573*/   OPC_EmitMergeInputChains1_0,
/* 46574*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v4f32:{ *:[v4f32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v4f32:{ *:[v4f32] }:$src)
/* 46581*/  /*Scope*/ 23, /*->46605*/
/* 46582*/   OPC_CheckChild1Type, MVT::v2f64,
/* 46584*/   OPC_MoveChild2,
/* 46585*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46588*/   OPC_RecordChild0, // #2 = $addr
/* 46589*/   OPC_MoveChild0,
/* 46590*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46593*/   OPC_MoveParent,
/* 46594*/   OPC_MoveParent,
/* 46595*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46597*/   OPC_EmitMergeInputChains1_0,
/* 46598*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v2f64:{ *:[v2f64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v2f64:{ *:[v2f64] }:$src)
/* 46605*/  /*Scope*/ 23, /*->46629*/
/* 46606*/   OPC_CheckChild1Type, MVT::v2i64,
/* 46608*/   OPC_MoveChild2,
/* 46609*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46612*/   OPC_RecordChild0, // #2 = $addr
/* 46613*/   OPC_MoveChild0,
/* 46614*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46617*/   OPC_MoveParent,
/* 46618*/   OPC_MoveParent,
/* 46619*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46621*/   OPC_EmitMergeInputChains1_0,
/* 46622*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v2i64:{ *:[v2i64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v2i64:{ *:[v2i64] }:$src)
/* 46629*/  /*Scope*/ 23, /*->46653*/
/* 46630*/   OPC_CheckChild1Type, MVT::v4i32,
/* 46632*/   OPC_MoveChild2,
/* 46633*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46636*/   OPC_RecordChild0, // #2 = $addr
/* 46637*/   OPC_MoveChild0,
/* 46638*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46641*/   OPC_MoveParent,
/* 46642*/   OPC_MoveParent,
/* 46643*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46645*/   OPC_EmitMergeInputChains1_0,
/* 46646*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v4i32:{ *:[v4i32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v4i32:{ *:[v4i32] }:$src)
/* 46653*/  /*Scope*/ 23, /*->46677*/
/* 46654*/   OPC_CheckChild1Type, MVT::v16i8,
/* 46656*/   OPC_MoveChild2,
/* 46657*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46660*/   OPC_RecordChild0, // #2 = $addr
/* 46661*/   OPC_MoveChild0,
/* 46662*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46665*/   OPC_MoveParent,
/* 46666*/   OPC_MoveParent,
/* 46667*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46669*/   OPC_EmitMergeInputChains1_0,
/* 46670*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v16i8:{ *:[v16i8] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v16i8:{ *:[v16i8] }:$src)
/* 46677*/  /*Scope*/ 23, /*->46701*/
/* 46678*/   OPC_CheckChild1Type, MVT::v8i16,
/* 46680*/   OPC_MoveChild2,
/* 46681*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46684*/   OPC_RecordChild0, // #2 = $addr
/* 46685*/   OPC_MoveChild0,
/* 46686*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46689*/   OPC_MoveParent,
/* 46690*/   OPC_MoveParent,
/* 46691*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 46693*/   OPC_EmitMergeInputChains1_0,
/* 46694*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v8i16:{ *:[v8i16] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v8i16:{ *:[v8i16] }:$src)
/* 46701*/  /*Scope*/ 23, /*->46725*/
/* 46702*/   OPC_CheckChild1Type, MVT::funcref,
/* 46704*/   OPC_MoveChild2,
/* 46705*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46708*/   OPC_RecordChild0, // #2 = $addr
/* 46709*/   OPC_MoveChild0,
/* 46710*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46713*/   OPC_MoveParent,
/* 46714*/   OPC_MoveParent,
/* 46715*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46717*/   OPC_EmitMergeInputChains1_0,
/* 46718*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set funcref:{ *:[funcref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$addr, funcref:{ *:[funcref] }:$src)
/* 46725*/  /*Scope*/ 23, /*->46749*/
/* 46726*/   OPC_CheckChild1Type, MVT::externref,
/* 46728*/   OPC_MoveChild2,
/* 46729*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46732*/   OPC_RecordChild0, // #2 = $addr
/* 46733*/   OPC_MoveChild0,
/* 46734*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46737*/   OPC_MoveParent,
/* 46738*/   OPC_MoveParent,
/* 46739*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46741*/   OPC_EmitMergeInputChains1_0,
/* 46742*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set externref:{ *:[externref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$addr, externref:{ *:[externref] }:$src)
/* 46749*/  0, /*End of Scope*/
/* 46750*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::CALLSEQ_START),// ->46775
/* 46753*/  OPC_RecordNode, // #0 = 'WebAssemblycallseq_start' chained node
/* 46754*/  OPC_RecordChild1, // #1 = $amt
/* 46755*/  OPC_MoveChild1,
/* 46756*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 46759*/  OPC_MoveParent,
/* 46760*/  OPC_RecordChild2, // #2 = $amt2
/* 46761*/  OPC_MoveChild2,
/* 46762*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 46765*/  OPC_MoveParent,
/* 46766*/  OPC_EmitMergeInputChains1_0,
/* 46767*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADJCALLSTACKDOWN), 0|OPFL_Chain|OPFL_GlueOutput,
                MVT::i32, 2/*#Ops*/, 1, 2, 
            // Src: (WebAssemblycallseq_start (timm:{ *:[iPTR] }):$amt, (timm:{ *:[iPTR] }):$amt2) - Complexity = 9
            // Dst: (ADJCALLSTACKDOWN:{ *:[i32] } (timm:{ *:[i32] }):$amt, (timm:{ *:[i32] }):$amt2)
/* 46775*/ /*SwitchOpcode*/ 23, TARGET_VAL(ISD::CALLSEQ_END),// ->46801
/* 46778*/  OPC_RecordNode, // #0 = 'WebAssemblycallseq_end' chained node
/* 46779*/  OPC_CaptureGlueInput,
/* 46780*/  OPC_RecordChild1, // #1 = $amt
/* 46781*/  OPC_MoveChild1,
/* 46782*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 46785*/  OPC_MoveParent,
/* 46786*/  OPC_RecordChild2, // #2 = $amt2
/* 46787*/  OPC_MoveChild2,
/* 46788*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 46791*/  OPC_MoveParent,
/* 46792*/  OPC_EmitMergeInputChains1_0,
/* 46793*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADJCALLSTACKUP), 0|OPFL_Chain|OPFL_GlueInput|OPFL_GlueOutput,
                MVT::i32, 2/*#Ops*/, 1, 2, 
            // Src: (WebAssemblycallseq_end (timm:{ *:[iPTR] }):$amt, (timm:{ *:[iPTR] }):$amt2) - Complexity = 9
            // Dst: (ADJCALLSTACKUP:{ *:[i32] } (timm:{ *:[i32] }):$amt, (timm:{ *:[i32] }):$amt2)
/* 46801*/ /*SwitchOpcode*/ 72, TARGET_VAL(WebAssemblyISD::MEMORY_COPY),// ->46876
/* 46804*/  OPC_RecordNode, // #0 = 'wasm_memcpy' chained node
/* 46805*/  OPC_RecordChild1, // #1 = $src_idx
/* 46806*/  OPC_MoveChild1,
/* 46807*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 46810*/  OPC_CheckType, MVT::i32,
/* 46812*/  OPC_MoveParent,
/* 46813*/  OPC_RecordChild2, // #2 = $dst_idx
/* 46814*/  OPC_MoveChild2,
/* 46815*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 46818*/  OPC_CheckType, MVT::i32,
/* 46820*/  OPC_MoveParent,
/* 46821*/  OPC_RecordChild3, // #3 = $dst
/* 46822*/  OPC_Scope, 25, /*->46849*/ // 2 children in Scope
/* 46824*/   OPC_CheckChild3Type, MVT::i32,
/* 46826*/   OPC_RecordChild4, // #4 = $src
/* 46827*/   OPC_CheckChild4Type, MVT::i32,
/* 46829*/   OPC_RecordChild5, // #5 = $len
/* 46830*/   OPC_CheckChild5Type, MVT::i32,
/* 46832*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemory())
/* 46834*/   OPC_EmitMergeInputChains1_0,
/* 46835*/   OPC_EmitConvertToTarget, 1,
/* 46837*/   OPC_EmitConvertToTarget, 2,
/* 46839*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::anonymous_6225MEMORY_COPY_A32), 0|OPFL_Chain,
                 5/*#Ops*/, 6, 7, 3, 4, 5, 
             // Src: (wasm_memcpy (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$src, I32:{ *:[i32] }:$len) - Complexity = 9
             // Dst: (anonymous_6225MEMORY_COPY_A32 (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$src, I32:{ *:[i32] }:$len)
/* 46849*/  /*Scope*/ 25, /*->46875*/
/* 46850*/   OPC_CheckChild3Type, MVT::i64,
/* 46852*/   OPC_RecordChild4, // #4 = $src
/* 46853*/   OPC_CheckChild4Type, MVT::i64,
/* 46855*/   OPC_RecordChild5, // #5 = $len
/* 46856*/   OPC_CheckChild5Type, MVT::i64,
/* 46858*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemory())
/* 46860*/   OPC_EmitMergeInputChains1_0,
/* 46861*/   OPC_EmitConvertToTarget, 1,
/* 46863*/   OPC_EmitConvertToTarget, 2,
/* 46865*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::anonymous_6226MEMORY_COPY_A64), 0|OPFL_Chain,
                 5/*#Ops*/, 6, 7, 3, 4, 5, 
             // Src: (wasm_memcpy (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I64:{ *:[i64] }:$dst, I64:{ *:[i64] }:$src, I64:{ *:[i64] }:$len) - Complexity = 9
             // Dst: (anonymous_6226MEMORY_COPY_A64 (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I64:{ *:[i64] }:$dst, I64:{ *:[i64] }:$src, I64:{ *:[i64] }:$len)
/* 46875*/  0, /*End of Scope*/
/* 46876*/ /*SwitchOpcode*/ 44, TARGET_VAL(WebAssemblyISD::TABLE_GET),// ->46923
/* 46879*/  OPC_RecordMemRef,
/* 46880*/  OPC_RecordNode, // #0 = 'WebAssemblyTableGet' chained node
/* 46881*/  OPC_MoveChild1,
/* 46882*/  OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46885*/  OPC_RecordChild0, // #1 = $table
/* 46886*/  OPC_MoveChild0,
/* 46887*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46890*/  OPC_MoveParent,
/* 46891*/  OPC_MoveParent,
/* 46892*/  OPC_RecordChild2, // #2 = $idx
/* 46893*/  OPC_CheckChild2Type, MVT::i32,
/* 46895*/  OPC_SwitchType /*2 cases */, 11, MVT::funcref,// ->46909
/* 46898*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46900*/   OPC_EmitMergeInputChains1_0,
/* 46901*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::funcref, 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblyTableGet:{ *:[funcref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx) - Complexity = 9
             // Dst: (TABLE_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx)
/* 46909*/  /*SwitchType*/ 11, MVT::externref,// ->46922
/* 46911*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46913*/   OPC_EmitMergeInputChains1_0,
/* 46914*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TABLE_GET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::externref, 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblyTableGet:{ *:[externref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx) - Complexity = 9
             // Dst: (TABLE_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx)
/* 46922*/  0, // EndSwitchType
/* 46923*/ /*SwitchOpcode*/ 74, TARGET_VAL(WebAssemblyISD::TABLE_SET),// ->47000
/* 46926*/  OPC_RecordMemRef,
/* 46927*/  OPC_RecordNode, // #0 = 'WebAssemblyTableSet' chained node
/* 46928*/  OPC_Scope, 45, /*->46975*/ // 2 children in Scope
/* 46930*/   OPC_MoveChild1,
/* 46931*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46934*/   OPC_RecordChild0, // #1 = $table
/* 46935*/   OPC_MoveChild0,
/* 46936*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46939*/   OPC_MoveParent,
/* 46940*/   OPC_MoveParent,
/* 46941*/   OPC_RecordChild2, // #2 = $idx
/* 46942*/   OPC_CheckChild2Type, MVT::i32,
/* 46944*/   OPC_RecordChild3, // #3 = $src
/* 46945*/   OPC_Scope, 13, /*->46960*/ // 2 children in Scope
/* 46947*/    OPC_CheckChild3Type, MVT::funcref,
/* 46949*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46951*/    OPC_EmitMergeInputChains1_0,
/* 46952*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (WebAssemblyTableSet (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$src) - Complexity = 9
              // Dst: (TABLE_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$src)
/* 46960*/   /*Scope*/ 13, /*->46974*/
/* 46961*/    OPC_CheckChild3Type, MVT::externref,
/* 46963*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46965*/    OPC_EmitMergeInputChains1_0,
/* 46966*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                  3/*#Ops*/, 1, 2, 3, 
              // Src: (WebAssemblyTableSet (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$table), i32:{ *:[i32] }:$idx, externref:{ *:[externref] }:$src) - Complexity = 9
              // Dst: (TABLE_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, externref:{ *:[externref] }:$src)
/* 46974*/   0, /*End of Scope*/
/* 46975*/  /*Scope*/ 23, /*->46999*/
/* 46976*/   OPC_RecordChild1, // #1 = $table
/* 46977*/   OPC_MoveChild1,
/* 46978*/   OPC_CheckOpcode, TARGET_VAL(ISD::MCSymbol),
/* 46981*/   OPC_MoveParent,
/* 46982*/   OPC_RecordChild2, // #2 = $idx
/* 46983*/   OPC_CheckChild2Type, MVT::i32,
/* 46985*/   OPC_RecordChild3, // #3 = $r
/* 46986*/   OPC_CheckChild3Type, MVT::funcref,
/* 46988*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 46990*/   OPC_EmitMergeInputChains1_0,
/* 46991*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 3/*#Ops*/, 1, 2, 3, 
             // Src: (WebAssemblyTableSet (mcsym:{ *:[iPTR] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$r) - Complexity = 6
             // Dst: (TABLE_SET_FUNCREF (mcsym:{ *:[i32] }):$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$r)
/* 46999*/  0, /*End of Scope*/
/* 47000*/ /*SwitchOpcode*/ 105|128,9/*1257*/, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),// ->48261
/* 47004*/  OPC_Scope, 53, /*->47059*/ // 35 children in Scope
/* 47006*/   OPC_CheckChild0Integer, 98|128,22|128,1/*19298*/, 
/* 47010*/   OPC_RecordChild1, // #0 = $src
/* 47011*/   OPC_Scope, 22, /*->47035*/ // 2 children in Scope
/* 47013*/    OPC_CheckChild1Type, MVT::f32,
/* 47015*/    OPC_SwitchType /*2 cases */, 7, MVT::i32,// ->47025
/* 47018*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 9649:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_S_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 47025*/    /*SwitchType*/ 7, MVT::i64,// ->47034
/* 47027*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 9649:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_S_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 47034*/    0, // EndSwitchType
/* 47035*/   /*Scope*/ 22, /*->47058*/
/* 47036*/    OPC_CheckChild1Type, MVT::f64,
/* 47038*/    OPC_SwitchType /*2 cases */, 7, MVT::i32,// ->47048
/* 47041*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 9649:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_S_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 47048*/    /*SwitchType*/ 7, MVT::i64,// ->47057
/* 47050*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 9649:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_S_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 47057*/    0, // EndSwitchType
/* 47058*/   0, /*End of Scope*/
/* 47059*/  /*Scope*/ 53, /*->47113*/
/* 47060*/   OPC_CheckChild0Integer, 100|128,22|128,1/*19300*/, 
/* 47064*/   OPC_RecordChild1, // #0 = $src
/* 47065*/   OPC_Scope, 22, /*->47089*/ // 2 children in Scope
/* 47067*/    OPC_CheckChild1Type, MVT::f32,
/* 47069*/    OPC_SwitchType /*2 cases */, 7, MVT::i32,// ->47079
/* 47072*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 9650:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_U_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 47079*/    /*SwitchType*/ 7, MVT::i64,// ->47088
/* 47081*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 9650:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_U_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 47088*/    0, // EndSwitchType
/* 47089*/   /*Scope*/ 22, /*->47112*/
/* 47090*/    OPC_CheckChild1Type, MVT::f64,
/* 47092*/    OPC_SwitchType /*2 cases */, 7, MVT::i32,// ->47102
/* 47095*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 9650:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_U_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 47102*/    /*SwitchType*/ 7, MVT::i64,// ->47111
/* 47104*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 9650:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_U_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 47111*/    0, // EndSwitchType
/* 47112*/   0, /*End of Scope*/
/* 47113*/  /*Scope*/ 47, /*->47161*/
/* 47114*/   OPC_CheckChild0Integer, 114|128,21|128,1/*19186*/, 
/* 47118*/   OPC_RecordChild1, // #0 = $vec
/* 47119*/   OPC_Scope, 9, /*->47130*/ // 4 children in Scope
/* 47121*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47123*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 47130*/   /*Scope*/ 9, /*->47140*/
/* 47131*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47133*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 47140*/   /*Scope*/ 9, /*->47150*/
/* 47141*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47143*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 47150*/   /*Scope*/ 9, /*->47160*/
/* 47151*/    OPC_CheckChild1Type, MVT::v2i64,
/* 47153*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9593:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 47160*/   0, /*End of Scope*/
/* 47161*/  /*Scope*/ 55, /*->47217*/
/* 47162*/   OPC_CheckChild0Integer, 112|128,21|128,1/*19184*/, 
/* 47166*/   OPC_RecordChild1, // #0 = $vec
/* 47167*/   OPC_Scope, 11, /*->47180*/ // 4 children in Scope
/* 47169*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47171*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47173*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I8x16), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I8x16:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 47180*/   /*Scope*/ 11, /*->47192*/
/* 47181*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47183*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47185*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I16x8), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I16x8:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 47192*/   /*Scope*/ 11, /*->47204*/
/* 47193*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47195*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47197*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I32x4), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I32x4:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 47204*/   /*Scope*/ 11, /*->47216*/
/* 47205*/    OPC_CheckChild1Type, MVT::v2i64,
/* 47207*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47209*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I64x2), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9592:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I64x2:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 47216*/   0, /*End of Scope*/
/* 47217*/  /*Scope*/ 55, /*->47273*/
/* 47218*/   OPC_CheckChild0Integer, 118|128,21|128,1/*19190*/, 
/* 47222*/   OPC_RecordChild1, // #0 = $vec
/* 47223*/   OPC_Scope, 11, /*->47236*/ // 4 children in Scope
/* 47225*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47227*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47229*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITMASK_I8x16), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9595:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I8x16:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 47236*/   /*Scope*/ 11, /*->47248*/
/* 47237*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47239*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47241*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITMASK_I16x8), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9595:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I16x8:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 47248*/   /*Scope*/ 11, /*->47260*/
/* 47249*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47251*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47253*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITMASK_I32x4), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9595:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I32x4:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 47260*/   /*Scope*/ 11, /*->47272*/
/* 47261*/    OPC_CheckChild1Type, MVT::v2i64,
/* 47263*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47265*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITMASK_I64x2), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9595:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I64x2:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 47272*/   0, /*End of Scope*/
/* 47273*/  /*Scope*/ 12, /*->47286*/
/* 47274*/   OPC_CheckChild0Integer, 46|128,22|128,1/*19246*/, 
/* 47278*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 47280*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REF_NULL_FUNCREF), 0,
                 MVT::funcref, 0/*#Ops*/, 
             // Src: (intrinsic_wo_chain:{ *:[funcref] } 9623:{ *:[iPTR] }) - Complexity = 8
             // Dst: (REF_NULL_FUNCREF:{ *:[funcref] })
/* 47286*/  /*Scope*/ 14, /*->47301*/
/* 47287*/   OPC_CheckChild0Integer, 42|128,22|128,1/*19242*/, 
/* 47291*/   OPC_RecordChild1, // #0 = $ref
/* 47292*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 47294*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REF_IS_NULL_FUNCREF), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[i32] } 9621:{ *:[iPTR] }, FUNCREF:{ *:[funcref] }:$ref) - Complexity = 8
             // Dst: (REF_IS_NULL_FUNCREF:{ *:[i32] } FUNCREF:{ *:[funcref] }:$ref)
/* 47301*/  /*Scope*/ 12, /*->47314*/
/* 47302*/   OPC_CheckChild0Integer, 44|128,22|128,1/*19244*/, 
/* 47306*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 47308*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REF_NULL_EXTERNREF), 0,
                 MVT::externref, 0/*#Ops*/, 
             // Src: (intrinsic_wo_chain:{ *:[externref] } 9622:{ *:[iPTR] }) - Complexity = 8
             // Dst: (REF_NULL_EXTERNREF:{ *:[externref] })
/* 47314*/  /*Scope*/ 14, /*->47329*/
/* 47315*/   OPC_CheckChild0Integer, 40|128,22|128,1/*19240*/, 
/* 47319*/   OPC_RecordChild1, // #0 = $ref
/* 47320*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 47322*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REF_IS_NULL_EXTERNREF), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[i32] } 9620:{ *:[iPTR] }, EXTERNREF:{ *:[externref] }:$ref) - Complexity = 8
             // Dst: (REF_IS_NULL_EXTERNREF:{ *:[i32] } EXTERNREF:{ *:[externref] }:$ref)
/* 47329*/  /*Scope*/ 14, /*->47344*/
/* 47330*/   OPC_CheckChild0Integer, 72|128,22|128,1/*19272*/, 
/* 47334*/   OPC_RecordChild1, // #0 = $src
/* 47335*/   OPC_RecordChild2, // #1 = $mask
/* 47336*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SWIZZLE), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9636:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 8
             // Dst: (SWIZZLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$src, ?:{ *:[v16i8] }:$mask)
/* 47344*/  /*Scope*/ 121, /*->47466*/
/* 47345*/   OPC_CheckChild0Integer, 120|128,21|128,1/*19192*/, 
/* 47349*/   OPC_RecordChild1, // #0 = $v1
/* 47350*/   OPC_SwitchType /*6 cases */, 17, MVT::v16i8,// ->47370
/* 47353*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47355*/    OPC_RecordChild2, // #1 = $v2
/* 47356*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47358*/    OPC_RecordChild3, // #2 = $c
/* 47359*/    OPC_CheckChild3Type, MVT::v16i8,
/* 47361*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v16i8, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9596:{ *:[iPTR] }, V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 47370*/   /*SwitchType*/ 17, MVT::v8i16,// ->47389
/* 47372*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47374*/    OPC_RecordChild2, // #1 = $v2
/* 47375*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47377*/    OPC_RecordChild3, // #2 = $c
/* 47378*/    OPC_CheckChild3Type, MVT::v8i16,
/* 47380*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v8i16, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9596:{ *:[iPTR] }, V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 47389*/   /*SwitchType*/ 17, MVT::v4i32,// ->47408
/* 47391*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47393*/    OPC_RecordChild2, // #1 = $v2
/* 47394*/    OPC_CheckChild2Type, MVT::v4i32,
/* 47396*/    OPC_RecordChild3, // #2 = $c
/* 47397*/    OPC_CheckChild3Type, MVT::v4i32,
/* 47399*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v4i32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9596:{ *:[iPTR] }, V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 47408*/   /*SwitchType*/ 17, MVT::v2i64,// ->47427
/* 47410*/    OPC_CheckChild1Type, MVT::v2i64,
/* 47412*/    OPC_RecordChild2, // #1 = $v2
/* 47413*/    OPC_CheckChild2Type, MVT::v2i64,
/* 47415*/    OPC_RecordChild3, // #2 = $c
/* 47416*/    OPC_CheckChild3Type, MVT::v2i64,
/* 47418*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v2i64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2i64] } 9596:{ *:[iPTR] }, V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 47427*/   /*SwitchType*/ 17, MVT::v4f32,// ->47446
/* 47429*/    OPC_CheckChild1Type, MVT::v4f32,
/* 47431*/    OPC_RecordChild2, // #1 = $v2
/* 47432*/    OPC_CheckChild2Type, MVT::v4f32,
/* 47434*/    OPC_RecordChild3, // #2 = $c
/* 47435*/    OPC_CheckChild3Type, MVT::v4f32,
/* 47437*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v4f32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9596:{ *:[iPTR] }, V128:{ *:[v4f32] }:$v1, V128:{ *:[v4f32] }:$v2, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v4f32] } ?:{ *:[v4f32] }:$v1, ?:{ *:[v4f32] }:$v2, ?:{ *:[v4f32] }:$c)
/* 47446*/   /*SwitchType*/ 17, MVT::v2f64,// ->47465
/* 47448*/    OPC_CheckChild1Type, MVT::v2f64,
/* 47450*/    OPC_RecordChild2, // #1 = $v2
/* 47451*/    OPC_CheckChild2Type, MVT::v2f64,
/* 47453*/    OPC_RecordChild3, // #2 = $c
/* 47454*/    OPC_CheckChild3Type, MVT::v2f64,
/* 47456*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v2f64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9596:{ *:[iPTR] }, V128:{ *:[v2f64] }:$v1, V128:{ *:[v2f64] }:$v2, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v2f64] } ?:{ *:[v2f64] }:$v1, ?:{ *:[v2f64] }:$v2, ?:{ *:[v2f64] }:$c)
/* 47465*/   0, // EndSwitchType
/* 47466*/  /*Scope*/ 41, /*->47508*/
/* 47467*/   OPC_CheckChild0Integer, 68|128,22|128,1/*19268*/, 
/* 47471*/   OPC_RecordChild1, // #0 = $lhs
/* 47472*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47490
/* 47475*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47477*/    OPC_RecordChild2, // #1 = $rhs
/* 47478*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47480*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47482*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_SAT_S_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9634:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
              // Dst: (SUB_SAT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 47490*/   /*SwitchType*/ 15, MVT::v8i16,// ->47507
/* 47492*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47494*/    OPC_RecordChild2, // #1 = $rhs
/* 47495*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47497*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47499*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_SAT_S_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9634:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
              // Dst: (SUB_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47507*/   0, // EndSwitchType
/* 47508*/  /*Scope*/ 41, /*->47550*/
/* 47509*/   OPC_CheckChild0Integer, 70|128,22|128,1/*19270*/, 
/* 47513*/   OPC_RecordChild1, // #0 = $lhs
/* 47514*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47532
/* 47517*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47519*/    OPC_RecordChild2, // #1 = $rhs
/* 47520*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47522*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47524*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_SAT_U_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9635:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
              // Dst: (SUB_SAT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 47532*/   /*SwitchType*/ 15, MVT::v8i16,// ->47549
/* 47534*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47536*/    OPC_RecordChild2, // #1 = $rhs
/* 47537*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47539*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47541*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_SAT_U_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9635:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
              // Dst: (SUB_SAT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47549*/   0, // EndSwitchType
/* 47550*/  /*Scope*/ 41, /*->47592*/
/* 47551*/   OPC_CheckChild0Integer, 116|128,21|128,1/*19188*/, 
/* 47555*/   OPC_RecordChild1, // #0 = $lhs
/* 47556*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47574
/* 47559*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47561*/    OPC_RecordChild2, // #1 = $rhs
/* 47562*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47564*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47566*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9594:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
              // Dst: (AVGR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 47574*/   /*SwitchType*/ 15, MVT::v8i16,// ->47591
/* 47576*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47578*/    OPC_RecordChild2, // #1 = $rhs
/* 47579*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47581*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47583*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9594:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
              // Dst: (AVGR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47591*/   0, // EndSwitchType
/* 47592*/  /*Scope*/ 16, /*->47609*/
/* 47593*/   OPC_CheckChild0Integer, 124|128,21|128,1/*19196*/, 
/* 47597*/   OPC_RecordChild1, // #0 = $lhs
/* 47598*/   OPC_RecordChild2, // #1 = $rhs
/* 47599*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47601*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DOT), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9598:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (DOT:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47609*/  /*Scope*/ 41, /*->47651*/
/* 47610*/   OPC_CheckChild0Integer, 30|128,22|128,1/*19230*/, 
/* 47614*/   OPC_RecordChild1, // #0 = $low
/* 47615*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47633
/* 47618*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47620*/    OPC_RecordChild2, // #1 = $high
/* 47621*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47623*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47625*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_S_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9615:{ *:[iPTR] }, V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high) - Complexity = 8
              // Dst: (NARROW_S_I8x16:{ *:[v16i8] } V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high)
/* 47633*/   /*SwitchType*/ 15, MVT::v8i16,// ->47650
/* 47635*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47637*/    OPC_RecordChild2, // #1 = $high
/* 47638*/    OPC_CheckChild2Type, MVT::v4i32,
/* 47640*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47642*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_S_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9615:{ *:[iPTR] }, V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high) - Complexity = 8
              // Dst: (NARROW_S_I16x8:{ *:[v8i16] } V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high)
/* 47650*/   0, // EndSwitchType
/* 47651*/  /*Scope*/ 41, /*->47693*/
/* 47652*/   OPC_CheckChild0Integer, 32|128,22|128,1/*19232*/, 
/* 47656*/   OPC_RecordChild1, // #0 = $low
/* 47657*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47675
/* 47660*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47662*/    OPC_RecordChild2, // #1 = $high
/* 47663*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47665*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47667*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_U_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9616:{ *:[iPTR] }, V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high) - Complexity = 8
              // Dst: (NARROW_U_I8x16:{ *:[v16i8] } V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high)
/* 47675*/   /*SwitchType*/ 15, MVT::v8i16,// ->47692
/* 47677*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47679*/    OPC_RecordChild2, // #1 = $high
/* 47680*/    OPC_CheckChild2Type, MVT::v4i32,
/* 47682*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47684*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_U_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9616:{ *:[iPTR] }, V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high) - Complexity = 8
              // Dst: (NARROW_U_I16x8:{ *:[v8i16] } V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high)
/* 47692*/   0, // EndSwitchType
/* 47693*/  /*Scope*/ 33, /*->47727*/
/* 47694*/   OPC_CheckChild0Integer, 2|128,22|128,1/*19202*/, 
/* 47698*/   OPC_RecordChild1, // #0 = $vec
/* 47699*/   OPC_SwitchType /*2 cases */, 11, MVT::v8i16,// ->47713
/* 47702*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47704*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47706*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_signed_I16x8), 0,
                  MVT::v8i16, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9601:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_signed_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 47713*/   /*SwitchType*/ 11, MVT::v4i32,// ->47726
/* 47715*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47717*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47719*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_signed_I32x4), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9601:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_signed_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 47726*/   0, // EndSwitchType
/* 47727*/  /*Scope*/ 33, /*->47761*/
/* 47728*/   OPC_CheckChild0Integer, 4|128,22|128,1/*19204*/, 
/* 47732*/   OPC_RecordChild1, // #0 = $vec
/* 47733*/   OPC_SwitchType /*2 cases */, 11, MVT::v8i16,// ->47747
/* 47736*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47738*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47740*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_unsigned_I16x8), 0,
                  MVT::v8i16, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9602:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_unsigned_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 47747*/   /*SwitchType*/ 11, MVT::v4i32,// ->47760
/* 47749*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47751*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47753*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_unsigned_I32x4), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9602:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_unsigned_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 47760*/   0, // EndSwitchType
/* 47761*/  /*Scope*/ 16, /*->47778*/
/* 47762*/   OPC_CheckChild0Integer, 38|128,22|128,1/*19238*/, 
/* 47766*/   OPC_RecordChild1, // #0 = $lhs
/* 47767*/   OPC_RecordChild2, // #1 = $rhs
/* 47768*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 47770*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::Q15MULR_SAT_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9619:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (Q15MULR_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47778*/  /*Scope*/ 16, /*->47795*/
/* 47779*/   OPC_CheckChild0Integer, 54|128,22|128,1/*19254*/, 
/* 47783*/   OPC_RecordChild1, // #0 = $src
/* 47784*/   OPC_RecordChild2, // #1 = $mask
/* 47785*/   OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47787*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::RELAXED_SWIZZLE), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9627:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 8
             // Dst: (RELAXED_SWIZZLE:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask)
/* 47795*/  /*Scope*/ 14, /*->47810*/
/* 47796*/   OPC_CheckChild0Integer, 56|128,22|128,1/*19256*/, 
/* 47800*/   OPC_RecordChild1, // #0 = $vec
/* 47801*/   OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47803*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_signed_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9628:{ *:[iPTR] }, V128:{ *:[v4f32] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_signed_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 47810*/  /*Scope*/ 14, /*->47825*/
/* 47811*/   OPC_CheckChild0Integer, 60|128,22|128,1/*19260*/, 
/* 47815*/   OPC_RecordChild1, // #0 = $vec
/* 47816*/   OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47818*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_unsigned_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9630:{ *:[iPTR] }, V128:{ *:[v4f32] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_unsigned_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 47825*/  /*Scope*/ 14, /*->47840*/
/* 47826*/   OPC_CheckChild0Integer, 58|128,22|128,1/*19258*/, 
/* 47830*/   OPC_RecordChild1, // #0 = $vec
/* 47831*/   OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47833*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_signed_zero_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9629:{ *:[iPTR] }, V128:{ *:[v2f64] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_signed_zero_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 47840*/  /*Scope*/ 14, /*->47855*/
/* 47841*/   OPC_CheckChild0Integer, 62|128,22|128,1/*19262*/, 
/* 47845*/   OPC_RecordChild1, // #0 = $vec
/* 47846*/   OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47848*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_relaxed_trunc_unsigned_zero_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9631:{ *:[iPTR] }, V128:{ *:[v2f64] }:$vec) - Complexity = 8
             // Dst: (int_wasm_relaxed_trunc_unsigned_zero_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 47855*/  /*Scope*/ 91, /*->47947*/
/* 47856*/   OPC_CheckChild0Integer, 16|128,22|128,1/*19216*/, 
/* 47860*/   OPC_RecordChild1, // #0 = $a
/* 47861*/   OPC_SwitchType /*4 cases */, 19, MVT::v16i8,// ->47883
/* 47864*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47866*/    OPC_RecordChild2, // #1 = $b
/* 47867*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47869*/    OPC_RecordChild3, // #2 = $c
/* 47870*/    OPC_CheckChild3Type, MVT::v16i8,
/* 47872*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47874*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LANESELECT_I8x16), 0,
                  MVT::v16i8, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9608:{ *:[iPTR] }, V128:{ *:[v16i8] }:$a, V128:{ *:[v16i8] }:$b, V128:{ *:[v16i8] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$a, V128:{ *:[v16i8] }:$b, V128:{ *:[v16i8] }:$c)
/* 47883*/   /*SwitchType*/ 19, MVT::v8i16,// ->47904
/* 47885*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47887*/    OPC_RecordChild2, // #1 = $b
/* 47888*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47890*/    OPC_RecordChild3, // #2 = $c
/* 47891*/    OPC_CheckChild3Type, MVT::v8i16,
/* 47893*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47895*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LANESELECT_I16x8), 0,
                  MVT::v8i16, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9608:{ *:[iPTR] }, V128:{ *:[v8i16] }:$a, V128:{ *:[v8i16] }:$b, V128:{ *:[v8i16] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$a, V128:{ *:[v8i16] }:$b, V128:{ *:[v8i16] }:$c)
/* 47904*/   /*SwitchType*/ 19, MVT::v4i32,// ->47925
/* 47906*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47908*/    OPC_RecordChild2, // #1 = $b
/* 47909*/    OPC_CheckChild2Type, MVT::v4i32,
/* 47911*/    OPC_RecordChild3, // #2 = $c
/* 47912*/    OPC_CheckChild3Type, MVT::v4i32,
/* 47914*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47916*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LANESELECT_I32x4), 0,
                  MVT::v4i32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9608:{ *:[iPTR] }, V128:{ *:[v4i32] }:$a, V128:{ *:[v4i32] }:$b, V128:{ *:[v4i32] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$a, V128:{ *:[v4i32] }:$b, V128:{ *:[v4i32] }:$c)
/* 47925*/   /*SwitchType*/ 19, MVT::v2i64,// ->47946
/* 47927*/    OPC_CheckChild1Type, MVT::v2i64,
/* 47929*/    OPC_RecordChild2, // #1 = $b
/* 47930*/    OPC_CheckChild2Type, MVT::v2i64,
/* 47932*/    OPC_RecordChild3, // #2 = $c
/* 47933*/    OPC_CheckChild3Type, MVT::v2i64,
/* 47935*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47937*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LANESELECT_I64x2), 0,
                  MVT::v2i64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2i64] } 9608:{ *:[iPTR] }, V128:{ *:[v2i64] }:$a, V128:{ *:[v2i64] }:$b, V128:{ *:[v2i64] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$a, V128:{ *:[v2i64] }:$b, V128:{ *:[v2i64] }:$c)
/* 47946*/   0, // EndSwitchType
/* 47947*/  /*Scope*/ 16, /*->47964*/
/* 47948*/   OPC_CheckChild0Integer, 52|128,22|128,1/*19252*/, 
/* 47952*/   OPC_RecordChild1, // #0 = $lhs
/* 47953*/   OPC_RecordChild2, // #1 = $rhs
/* 47954*/   OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47956*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::RELAXED_Q15MULR_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9626:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (RELAXED_Q15MULR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47964*/  /*Scope*/ 16, /*->47981*/
/* 47965*/   OPC_CheckChild0Integer, 0|128,22|128,1/*19200*/, 
/* 47969*/   OPC_RecordChild1, // #0 = $lhs
/* 47970*/   OPC_RecordChild2, // #1 = $rhs
/* 47971*/   OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47973*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::RELAXED_DOT), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9600:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
             // Dst: (RELAXED_DOT:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 47981*/  /*Scope*/ 18, /*->48000*/
/* 47982*/   OPC_CheckChild0Integer, 126|128,21|128,1/*19198*/, 
/* 47986*/   OPC_RecordChild1, // #0 = $lhs
/* 47987*/   OPC_RecordChild2, // #1 = $rhs
/* 47988*/   OPC_RecordChild3, // #2 = $acc
/* 47989*/   OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47991*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::RELAXED_DOT_ADD), 0,
                 MVT::v4i32, 3/*#Ops*/, 0, 1, 2, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9599:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, V128:{ *:[v4i32] }:$acc) - Complexity = 8
             // Dst: (RELAXED_DOT_ADD:{ *:[v4i32] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, V128:{ *:[v4i32] }:$acc)
/* 48000*/  /*Scope*/ 37, /*->48038*/
/* 48001*/   OPC_CheckChild0Integer, 36|128,22|128,1/*19236*/, 
/* 48005*/   OPC_RecordChild1, // #0 = $lhs
/* 48006*/   OPC_SwitchType /*2 cases */, 13, MVT::v4f32,// ->48022
/* 48009*/    OPC_CheckChild1Type, MVT::v4f32,
/* 48011*/    OPC_RecordChild2, // #1 = $rhs
/* 48012*/    OPC_CheckChild2Type, MVT::v4f32,
/* 48014*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F32x4), 0,
                  MVT::v4f32, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9618:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 48022*/   /*SwitchType*/ 13, MVT::v2f64,// ->48037
/* 48024*/    OPC_CheckChild1Type, MVT::v2f64,
/* 48026*/    OPC_RecordChild2, // #1 = $rhs
/* 48027*/    OPC_CheckChild2Type, MVT::v2f64,
/* 48029*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F64x2), 0,
                  MVT::v2f64, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9618:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 48037*/   0, // EndSwitchType
/* 48038*/  /*Scope*/ 37, /*->48076*/
/* 48039*/   OPC_CheckChild0Integer, 34|128,22|128,1/*19234*/, 
/* 48043*/   OPC_RecordChild1, // #0 = $lhs
/* 48044*/   OPC_SwitchType /*2 cases */, 13, MVT::v4f32,// ->48060
/* 48047*/    OPC_CheckChild1Type, MVT::v4f32,
/* 48049*/    OPC_RecordChild2, // #1 = $rhs
/* 48050*/    OPC_CheckChild2Type, MVT::v4f32,
/* 48052*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F32x4), 0,
                  MVT::v4f32, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9617:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 48060*/   /*SwitchType*/ 13, MVT::v2f64,// ->48075
/* 48062*/    OPC_CheckChild1Type, MVT::v2f64,
/* 48064*/    OPC_RecordChild2, // #1 = $rhs
/* 48065*/    OPC_CheckChild2Type, MVT::v2f64,
/* 48067*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F64x2), 0,
                  MVT::v2f64, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9617:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 48075*/   0, // EndSwitchType
/* 48076*/  /*Scope*/ 49, /*->48126*/
/* 48077*/   OPC_CheckChild0Integer, 6|128,22|128,1/*19206*/, 
/* 48081*/   OPC_RecordChild1, // #0 = $a
/* 48082*/   OPC_SwitchType /*2 cases */, 19, MVT::v4f32,// ->48104
/* 48085*/    OPC_CheckChild1Type, MVT::v4f32,
/* 48087*/    OPC_RecordChild2, // #1 = $b
/* 48088*/    OPC_CheckChild2Type, MVT::v4f32,
/* 48090*/    OPC_RecordChild3, // #2 = $c
/* 48091*/    OPC_CheckChild3Type, MVT::v4f32,
/* 48093*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 48095*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FMA_F32x4), 0,
                  MVT::v4f32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9603:{ *:[iPTR] }, V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (FMA_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 48104*/   /*SwitchType*/ 19, MVT::v2f64,// ->48125
/* 48106*/    OPC_CheckChild1Type, MVT::v2f64,
/* 48108*/    OPC_RecordChild2, // #1 = $b
/* 48109*/    OPC_CheckChild2Type, MVT::v2f64,
/* 48111*/    OPC_RecordChild3, // #2 = $c
/* 48112*/    OPC_CheckChild3Type, MVT::v2f64,
/* 48114*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 48116*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FMA_F64x2), 0,
                  MVT::v2f64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9603:{ *:[iPTR] }, V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (FMA_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 48125*/   0, // EndSwitchType
/* 48126*/  /*Scope*/ 49, /*->48176*/
/* 48127*/   OPC_CheckChild0Integer, 8|128,22|128,1/*19208*/, 
/* 48131*/   OPC_RecordChild1, // #0 = $a
/* 48132*/   OPC_SwitchType /*2 cases */, 19, MVT::v4f32,// ->48154
/* 48135*/    OPC_CheckChild1Type, MVT::v4f32,
/* 48137*/    OPC_RecordChild2, // #1 = $b
/* 48138*/    OPC_CheckChild2Type, MVT::v4f32,
/* 48140*/    OPC_RecordChild3, // #2 = $c
/* 48141*/    OPC_CheckChild3Type, MVT::v4f32,
/* 48143*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 48145*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FMS_F32x4), 0,
                  MVT::v4f32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9604:{ *:[iPTR] }, V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (FMS_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 48154*/   /*SwitchType*/ 19, MVT::v2f64,// ->48175
/* 48156*/    OPC_CheckChild1Type, MVT::v2f64,
/* 48158*/    OPC_RecordChild2, // #1 = $b
/* 48159*/    OPC_CheckChild2Type, MVT::v2f64,
/* 48161*/    OPC_RecordChild3, // #2 = $c
/* 48162*/    OPC_CheckChild3Type, MVT::v2f64,
/* 48164*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 48166*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FMS_F64x2), 0,
                  MVT::v2f64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9604:{ *:[iPTR] }, V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (FMS_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 48175*/   0, // EndSwitchType
/* 48176*/  /*Scope*/ 41, /*->48218*/
/* 48177*/   OPC_CheckChild0Integer, 50|128,22|128,1/*19250*/, 
/* 48181*/   OPC_RecordChild1, // #0 = $lhs
/* 48182*/   OPC_SwitchType /*2 cases */, 15, MVT::v4f32,// ->48200
/* 48185*/    OPC_CheckChild1Type, MVT::v4f32,
/* 48187*/    OPC_RecordChild2, // #1 = $rhs
/* 48188*/    OPC_CheckChild2Type, MVT::v4f32,
/* 48190*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 48192*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMIN_F32x4), 0,
                  MVT::v4f32, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9625:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 48200*/   /*SwitchType*/ 15, MVT::v2f64,// ->48217
/* 48202*/    OPC_CheckChild1Type, MVT::v2f64,
/* 48204*/    OPC_RecordChild2, // #1 = $rhs
/* 48205*/    OPC_CheckChild2Type, MVT::v2f64,
/* 48207*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 48209*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMIN_F64x2), 0,
                  MVT::v2f64, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9625:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 48217*/   0, // EndSwitchType
/* 48218*/  /*Scope*/ 41, /*->48260*/
/* 48219*/   OPC_CheckChild0Integer, 48|128,22|128,1/*19248*/, 
/* 48223*/   OPC_RecordChild1, // #0 = $lhs
/* 48224*/   OPC_SwitchType /*2 cases */, 15, MVT::v4f32,// ->48242
/* 48227*/    OPC_CheckChild1Type, MVT::v4f32,
/* 48229*/    OPC_RecordChild2, // #1 = $rhs
/* 48230*/    OPC_CheckChild2Type, MVT::v4f32,
/* 48232*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 48234*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMAX_F32x4), 0,
                  MVT::v4f32, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9624:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 48242*/   /*SwitchType*/ 15, MVT::v2f64,// ->48259
/* 48244*/    OPC_CheckChild1Type, MVT::v2f64,
/* 48246*/    OPC_RecordChild2, // #1 = $rhs
/* 48247*/    OPC_CheckChild2Type, MVT::v2f64,
/* 48249*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 48251*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SIMD_RELAXED_FMAX_F64x2), 0,
                  MVT::v2f64, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9624:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (SIMD_RELAXED_FMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 48259*/   0, // EndSwitchType
/* 48260*/  0, /*End of Scope*/
/* 48261*/ /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),// ->48418
/* 48265*/  OPC_RecordChild0, // #0 = $vec
/* 48266*/  OPC_Scope, 24, /*->48292*/ // 6 children in Scope
/* 48268*/   OPC_CheckChild0Type, MVT::v16i8,
/* 48270*/   OPC_RecordChild1, // #1 = $idx
/* 48271*/   OPC_MoveChild1,
/* 48272*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 48275*/   OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 48277*/   OPC_CheckType, MVT::i32,
/* 48279*/   OPC_MoveParent,
/* 48280*/   OPC_CheckType, MVT::i32,
/* 48282*/   OPC_EmitConvertToTarget, 1,
/* 48284*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_u), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I8x16_u:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 48292*/  /*Scope*/ 24, /*->48317*/
/* 48293*/   OPC_CheckChild0Type, MVT::v8i16,
/* 48295*/   OPC_RecordChild1, // #1 = $idx
/* 48296*/   OPC_MoveChild1,
/* 48297*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 48300*/   OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 48302*/   OPC_CheckType, MVT::i32,
/* 48304*/   OPC_MoveParent,
/* 48305*/   OPC_CheckType, MVT::i32,
/* 48307*/   OPC_EmitConvertToTarget, 1,
/* 48309*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_u), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I16x8_u:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 48317*/  /*Scope*/ 24, /*->48342*/
/* 48318*/   OPC_CheckChild0Type, MVT::v4i32,
/* 48320*/   OPC_RecordChild1, // #1 = $idx
/* 48321*/   OPC_MoveChild1,
/* 48322*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 48325*/   OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 48327*/   OPC_CheckType, MVT::i32,
/* 48329*/   OPC_MoveParent,
/* 48330*/   OPC_CheckType, MVT::i32,
/* 48332*/   OPC_EmitConvertToTarget, 1,
/* 48334*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I32x4), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$vec, (imm:{ *:[i32] }):$idx)
/* 48342*/  /*Scope*/ 24, /*->48367*/
/* 48343*/   OPC_CheckChild0Type, MVT::v2i64,
/* 48345*/   OPC_RecordChild1, // #1 = $idx
/* 48346*/   OPC_MoveChild1,
/* 48347*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 48350*/   OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 48352*/   OPC_CheckType, MVT::i32,
/* 48354*/   OPC_MoveParent,
/* 48355*/   OPC_CheckType, MVT::i64,
/* 48357*/   OPC_EmitConvertToTarget, 1,
/* 48359*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I64x2), 0,
                 MVT::i64, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I64x2:{ *:[i64] } ?:{ *:[v2i64] }:$vec, (imm:{ *:[i32] }):$idx)
/* 48367*/  /*Scope*/ 24, /*->48392*/
/* 48368*/   OPC_CheckChild0Type, MVT::v4f32,
/* 48370*/   OPC_RecordChild1, // #1 = $idx
/* 48371*/   OPC_MoveChild1,
/* 48372*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 48375*/   OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 48377*/   OPC_CheckType, MVT::i32,
/* 48379*/   OPC_MoveParent,
/* 48380*/   OPC_CheckType, MVT::f32,
/* 48382*/   OPC_EmitConvertToTarget, 1,
/* 48384*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_F32x4), 0,
                 MVT::f32, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_F32x4:{ *:[f32] } ?:{ *:[v4f32] }:$vec, (imm:{ *:[i32] }):$idx)
/* 48392*/  /*Scope*/ 24, /*->48417*/
/* 48393*/   OPC_CheckChild0Type, MVT::v2f64,
/* 48395*/   OPC_RecordChild1, // #1 = $idx
/* 48396*/   OPC_MoveChild1,
/* 48397*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 48400*/   OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 48402*/   OPC_CheckType, MVT::i32,
/* 48404*/   OPC_MoveParent,
/* 48405*/   OPC_CheckType, MVT::f64,
/* 48407*/   OPC_EmitConvertToTarget, 1,
/* 48409*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_F64x2), 0,
                 MVT::f64, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_F64x2:{ *:[f64] } ?:{ *:[v2f64] }:$vec, (imm:{ *:[i32] }):$idx)
/* 48417*/  0, /*End of Scope*/
/* 48418*/ /*SwitchOpcode*/ 116, TARGET_VAL(WebAssemblyISD::ARGUMENT),// ->48537
/* 48421*/  OPC_RecordChild0, // #0 = $argno
/* 48422*/  OPC_MoveChild0,
/* 48423*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 48426*/  OPC_MoveParent,
/* 48427*/  OPC_SwitchType /*12 cases */, 7, MVT::i32,// ->48437
/* 48430*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_i32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[i32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_i32:{ *:[i32] } (timm:{ *:[i32] }):$argno)
/* 48437*/  /*SwitchType*/ 7, MVT::i64,// ->48446
/* 48439*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_i64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[i64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_i64:{ *:[i64] } (timm:{ *:[i32] }):$argno)
/* 48446*/  /*SwitchType*/ 7, MVT::funcref,// ->48455
/* 48448*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_funcref), 0,
                 MVT::funcref, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[funcref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_funcref:{ *:[funcref] } (timm:{ *:[i32] }):$argno)
/* 48455*/  /*SwitchType*/ 7, MVT::externref,// ->48464
/* 48457*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_externref), 0,
                 MVT::externref, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[externref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_externref:{ *:[externref] } (timm:{ *:[i32] }):$argno)
/* 48464*/  /*SwitchType*/ 7, MVT::f32,// ->48473
/* 48466*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_f32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[f32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_f32:{ *:[f32] } (timm:{ *:[i32] }):$argno)
/* 48473*/  /*SwitchType*/ 7, MVT::f64,// ->48482
/* 48475*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_f64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[f64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_f64:{ *:[f64] } (timm:{ *:[i32] }):$argno)
/* 48482*/  /*SwitchType*/ 7, MVT::v16i8,// ->48491
/* 48484*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v16i8), 0,
                 MVT::v16i8, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v16i8] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v16i8:{ *:[v16i8] } (timm:{ *:[i32] }):$argno)
/* 48491*/  /*SwitchType*/ 7, MVT::v8i16,// ->48500
/* 48493*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v8i16), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v8i16] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v8i16:{ *:[v8i16] } (timm:{ *:[i32] }):$argno)
/* 48500*/  /*SwitchType*/ 7, MVT::v4i32,// ->48509
/* 48502*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v4i32), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v4i32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v4i32:{ *:[v4i32] } (timm:{ *:[i32] }):$argno)
/* 48509*/  /*SwitchType*/ 7, MVT::v2i64,// ->48518
/* 48511*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v2i64), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v2i64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v2i64:{ *:[v2i64] } (timm:{ *:[i32] }):$argno)
/* 48518*/  /*SwitchType*/ 7, MVT::v4f32,// ->48527
/* 48520*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v4f32), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v4f32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v4f32:{ *:[v4f32] } (timm:{ *:[i32] }):$argno)
/* 48527*/  /*SwitchType*/ 7, MVT::v2f64,// ->48536
/* 48529*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v2f64), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v2f64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v2f64:{ *:[v2f64] } (timm:{ *:[i32] }):$argno)
/* 48536*/  0, // EndSwitchType
/* 48537*/ /*SwitchOpcode*/ 17|128,1/*145*/, TARGET_VAL(WebAssemblyISD::LOCAL_GET),// ->48686
/* 48541*/  OPC_RecordNode, // #0 = 'WebAssemblylocal_get' chained node
/* 48542*/  OPC_RecordChild1, // #1 = $local
/* 48543*/  OPC_MoveChild1,
/* 48544*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 48547*/  OPC_MoveParent,
/* 48548*/  OPC_SwitchType /*12 cases */, 8, MVT::i32,// ->48559
/* 48551*/   OPC_EmitMergeInputChains1_0,
/* 48552*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_I32), 0|OPFL_Chain,
                 MVT::i32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[i32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_I32:{ *:[i32] } (timm:{ *:[i32] }):$local)
/* 48559*/  /*SwitchType*/ 8, MVT::i64,// ->48569
/* 48561*/   OPC_EmitMergeInputChains1_0,
/* 48562*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_I64), 0|OPFL_Chain,
                 MVT::i64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[i64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_I64:{ *:[i64] } (timm:{ *:[i32] }):$local)
/* 48569*/  /*SwitchType*/ 10, MVT::funcref,// ->48581
/* 48571*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 48573*/   OPC_EmitMergeInputChains1_0,
/* 48574*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_FUNCREF), 0|OPFL_Chain,
                 MVT::funcref, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[funcref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_FUNCREF:{ *:[funcref] } (timm:{ *:[i32] }):$local)
/* 48581*/  /*SwitchType*/ 10, MVT::externref,// ->48593
/* 48583*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 48585*/   OPC_EmitMergeInputChains1_0,
/* 48586*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_EXTERNREF), 0|OPFL_Chain,
                 MVT::externref, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[externref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_EXTERNREF:{ *:[externref] } (timm:{ *:[i32] }):$local)
/* 48593*/  /*SwitchType*/ 8, MVT::f32,// ->48603
/* 48595*/   OPC_EmitMergeInputChains1_0,
/* 48596*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_F32), 0|OPFL_Chain,
                 MVT::f32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[f32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_F32:{ *:[f32] } (timm:{ *:[i32] }):$local)
/* 48603*/  /*SwitchType*/ 8, MVT::f64,// ->48613
/* 48605*/   OPC_EmitMergeInputChains1_0,
/* 48606*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_F64), 0|OPFL_Chain,
                 MVT::f64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[f64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_F64:{ *:[f64] } (timm:{ *:[i32] }):$local)
/* 48613*/  /*SwitchType*/ 10, MVT::v2i64,// ->48625
/* 48615*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48617*/   OPC_EmitMergeInputChains1_0,
/* 48618*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v2i64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v2i64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v2i64] } (timm:{ *:[i32] }):$local)
/* 48625*/  /*SwitchType*/ 10, MVT::v4i32,// ->48637
/* 48627*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48629*/   OPC_EmitMergeInputChains1_0,
/* 48630*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v4i32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v4i32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v4i32] } (timm:{ *:[i32] }):$local)
/* 48637*/  /*SwitchType*/ 10, MVT::v16i8,// ->48649
/* 48639*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48641*/   OPC_EmitMergeInputChains1_0,
/* 48642*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v16i8, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v16i8] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v16i8] } (timm:{ *:[i32] }):$local)
/* 48649*/  /*SwitchType*/ 10, MVT::v8i16,// ->48661
/* 48651*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48653*/   OPC_EmitMergeInputChains1_0,
/* 48654*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v8i16, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v8i16] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v8i16] } (timm:{ *:[i32] }):$local)
/* 48661*/  /*SwitchType*/ 10, MVT::v4f32,// ->48673
/* 48663*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48665*/   OPC_EmitMergeInputChains1_0,
/* 48666*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v4f32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v4f32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v4f32] } (timm:{ *:[i32] }):$local)
/* 48673*/  /*SwitchType*/ 10, MVT::v2f64,// ->48685
/* 48675*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48677*/   OPC_EmitMergeInputChains1_0,
/* 48678*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v2f64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v2f64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v2f64] } (timm:{ *:[i32] }):$local)
/* 48685*/  0, // EndSwitchType
/* 48686*/ /*SwitchOpcode*/ 30|128,1/*158*/, TARGET_VAL(WebAssemblyISD::LOCAL_SET),// ->48848
/* 48690*/  OPC_RecordNode, // #0 = 'WebAssemblylocal_set' chained node
/* 48691*/  OPC_RecordChild1, // #1 = $local
/* 48692*/  OPC_MoveChild1,
/* 48693*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 48696*/  OPC_MoveParent,
/* 48697*/  OPC_RecordChild2, // #2 = $src
/* 48698*/  OPC_Scope, 10, /*->48710*/ // 12 children in Scope
/* 48700*/   OPC_CheckChild2Type, MVT::i32,
/* 48702*/   OPC_EmitMergeInputChains1_0,
/* 48703*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_I32), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, i32:{ *:[i32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_I32 (timm:{ *:[i32] }):$local, i32:{ *:[i32] }:$src)
/* 48710*/  /*Scope*/ 10, /*->48721*/
/* 48711*/   OPC_CheckChild2Type, MVT::i64,
/* 48713*/   OPC_EmitMergeInputChains1_0,
/* 48714*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_I64), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, i64:{ *:[i64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_I64 (timm:{ *:[i32] }):$local, i64:{ *:[i64] }:$src)
/* 48721*/  /*Scope*/ 10, /*->48732*/
/* 48722*/   OPC_CheckChild2Type, MVT::f32,
/* 48724*/   OPC_EmitMergeInputChains1_0,
/* 48725*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_F32), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, f32:{ *:[f32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_F32 (timm:{ *:[i32] }):$local, f32:{ *:[f32] }:$src)
/* 48732*/  /*Scope*/ 10, /*->48743*/
/* 48733*/   OPC_CheckChild2Type, MVT::f64,
/* 48735*/   OPC_EmitMergeInputChains1_0,
/* 48736*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_F64), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, f64:{ *:[f64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_F64 (timm:{ *:[i32] }):$local, f64:{ *:[f64] }:$src)
/* 48743*/  /*Scope*/ 12, /*->48756*/
/* 48744*/   OPC_CheckChild2Type, MVT::v4f32,
/* 48746*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48748*/   OPC_EmitMergeInputChains1_0,
/* 48749*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v4f32:{ *:[v4f32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v4f32:{ *:[v4f32] }:$src)
/* 48756*/  /*Scope*/ 12, /*->48769*/
/* 48757*/   OPC_CheckChild2Type, MVT::v2f64,
/* 48759*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48761*/   OPC_EmitMergeInputChains1_0,
/* 48762*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v2f64:{ *:[v2f64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v2f64:{ *:[v2f64] }:$src)
/* 48769*/  /*Scope*/ 12, /*->48782*/
/* 48770*/   OPC_CheckChild2Type, MVT::v2i64,
/* 48772*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48774*/   OPC_EmitMergeInputChains1_0,
/* 48775*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v2i64:{ *:[v2i64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v2i64:{ *:[v2i64] }:$src)
/* 48782*/  /*Scope*/ 12, /*->48795*/
/* 48783*/   OPC_CheckChild2Type, MVT::v4i32,
/* 48785*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48787*/   OPC_EmitMergeInputChains1_0,
/* 48788*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v4i32:{ *:[v4i32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v4i32:{ *:[v4i32] }:$src)
/* 48795*/  /*Scope*/ 12, /*->48808*/
/* 48796*/   OPC_CheckChild2Type, MVT::v16i8,
/* 48798*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48800*/   OPC_EmitMergeInputChains1_0,
/* 48801*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v16i8:{ *:[v16i8] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v16i8:{ *:[v16i8] }:$src)
/* 48808*/  /*Scope*/ 12, /*->48821*/
/* 48809*/   OPC_CheckChild2Type, MVT::v8i16,
/* 48811*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 48813*/   OPC_EmitMergeInputChains1_0,
/* 48814*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v8i16:{ *:[v8i16] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v8i16:{ *:[v8i16] }:$src)
/* 48821*/  /*Scope*/ 12, /*->48834*/
/* 48822*/   OPC_CheckChild2Type, MVT::funcref,
/* 48824*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 48826*/   OPC_EmitMergeInputChains1_0,
/* 48827*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_FUNCREF), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, funcref:{ *:[funcref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_FUNCREF (timm:{ *:[i32] }):$local, funcref:{ *:[funcref] }:$src)
/* 48834*/  /*Scope*/ 12, /*->48847*/
/* 48835*/   OPC_CheckChild2Type, MVT::externref,
/* 48837*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasReferenceTypes())
/* 48839*/   OPC_EmitMergeInputChains1_0,
/* 48840*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_EXTERNREF), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, externref:{ *:[externref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_EXTERNREF (timm:{ *:[i32] }):$local, externref:{ *:[externref] }:$src)
/* 48847*/  0, /*End of Scope*/
/* 48848*/ /*SwitchOpcode*/ 12|128,1/*140*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->48992
/* 48852*/  OPC_RecordChild0, // #0 = $addr
/* 48853*/  OPC_MoveChild0,
/* 48854*/  OPC_SwitchOpcode /*3 cases */, 51, TARGET_VAL(ISD::TargetGlobalAddress),// ->48909
/* 48858*/   OPC_MoveParent,
/* 48859*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->48884
/* 48862*/    OPC_Scope, 9, /*->48873*/ // 2 children in Scope
/* 48864*/     OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 48866*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (CONST_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 48873*/    /*Scope*/ 9, /*->48883*/
/* 48874*/     OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48876*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 48883*/    0, /*End of Scope*/
/* 48884*/   /*SwitchType*/ 22, MVT::i64,// ->48908
/* 48886*/    OPC_Scope, 9, /*->48897*/ // 2 children in Scope
/* 48888*/     OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 48890*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (CONST_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 48897*/    /*Scope*/ 9, /*->48907*/
/* 48898*/     OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48900*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 48907*/    0, /*End of Scope*/
/* 48908*/   0, // EndSwitchType
/* 48909*/  /*SwitchOpcode*/ 25, TARGET_VAL(ISD::TargetGlobalTLSAddress),// ->48937
/* 48912*/   OPC_MoveParent,
/* 48913*/   OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->48925
/* 48916*/    OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 48918*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr)
/* 48925*/   /*SwitchType*/ 9, MVT::i64,// ->48936
/* 48927*/    OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 48929*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr)
/* 48936*/   0, // EndSwitchType
/* 48937*/  /*SwitchOpcode*/ 51, TARGET_VAL(ISD::TargetExternalSymbol),// ->48991
/* 48940*/   OPC_MoveParent,
/* 48941*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->48966
/* 48944*/    OPC_Scope, 9, /*->48955*/ // 2 children in Scope
/* 48946*/     OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48948*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 48955*/    /*Scope*/ 9, /*->48965*/
/* 48956*/     OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 48958*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (CONST_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 48965*/    0, /*End of Scope*/
/* 48966*/   /*SwitchType*/ 22, MVT::i64,// ->48990
/* 48968*/    OPC_Scope, 9, /*->48979*/ // 2 children in Scope
/* 48970*/     OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48972*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 48979*/    /*Scope*/ 9, /*->48989*/
/* 48980*/     OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 48982*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (CONST_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 48989*/    0, /*End of Scope*/
/* 48990*/   0, // EndSwitchType
/* 48991*/  0, // EndSwitchOpcode
/* 48992*/ /*SwitchOpcode*/ 88, TARGET_VAL(WebAssemblyISD::WrapperREL),// ->49083
/* 48995*/  OPC_RecordChild0, // #0 = $addr
/* 48996*/  OPC_MoveChild0,
/* 48997*/  OPC_SwitchOpcode /*3 cases */, 25, TARGET_VAL(ISD::TargetGlobalAddress),// ->49026
/* 49001*/   OPC_MoveParent,
/* 49002*/   OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->49014
/* 49005*/    OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 49007*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 49014*/   /*SwitchType*/ 9, MVT::i64,// ->49025
/* 49016*/    OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 49018*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 49025*/   0, // EndSwitchType
/* 49026*/  /*SwitchOpcode*/ 25, TARGET_VAL(ISD::TargetGlobalTLSAddress),// ->49054
/* 49029*/   OPC_MoveParent,
/* 49030*/   OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->49042
/* 49033*/    OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 49035*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr)
/* 49042*/   /*SwitchType*/ 9, MVT::i64,// ->49053
/* 49044*/    OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 49046*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr)
/* 49053*/   0, // EndSwitchType
/* 49054*/  /*SwitchOpcode*/ 25, TARGET_VAL(ISD::TargetExternalSymbol),// ->49082
/* 49057*/   OPC_MoveParent,
/* 49058*/   OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->49070
/* 49061*/    OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 49063*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 49070*/   /*SwitchType*/ 9, MVT::i64,// ->49081
/* 49072*/    OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 49074*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 49081*/   0, // EndSwitchType
/* 49082*/  0, // EndSwitchOpcode
/* 49083*/ /*SwitchOpcode*/ 58, TARGET_VAL(WebAssemblyISD::MEMORY_FILL),// ->49144
/* 49086*/  OPC_RecordNode, // #0 = 'wasm_memset' chained node
/* 49087*/  OPC_RecordChild1, // #1 = $idx
/* 49088*/  OPC_MoveChild1,
/* 49089*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 49092*/  OPC_CheckType, MVT::i32,
/* 49094*/  OPC_MoveParent,
/* 49095*/  OPC_RecordChild2, // #2 = $dst
/* 49096*/  OPC_Scope, 22, /*->49120*/ // 2 children in Scope
/* 49098*/   OPC_CheckChild2Type, MVT::i32,
/* 49100*/   OPC_RecordChild3, // #3 = $value
/* 49101*/   OPC_CheckChild3Type, MVT::i32,
/* 49103*/   OPC_RecordChild4, // #4 = $size
/* 49104*/   OPC_CheckChild4Type, MVT::i32,
/* 49106*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemory())
/* 49108*/   OPC_EmitMergeInputChains1_0,
/* 49109*/   OPC_EmitConvertToTarget, 1,
/* 49111*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::anonymous_6225MEMORY_FILL_A32), 0|OPFL_Chain,
                 4/*#Ops*/, 5, 2, 3, 4, 
             // Src: (wasm_memset (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$value, I32:{ *:[i32] }:$size) - Complexity = 6
             // Dst: (anonymous_6225MEMORY_FILL_A32 (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$value, I32:{ *:[i32] }:$size)
/* 49120*/  /*Scope*/ 22, /*->49143*/
/* 49121*/   OPC_CheckChild2Type, MVT::i64,
/* 49123*/   OPC_RecordChild3, // #3 = $value
/* 49124*/   OPC_CheckChild3Type, MVT::i32,
/* 49126*/   OPC_RecordChild4, // #4 = $size
/* 49127*/   OPC_CheckChild4Type, MVT::i64,
/* 49129*/   OPC_CheckPatternPredicate, 12, // (Subtarget->hasBulkMemory())
/* 49131*/   OPC_EmitMergeInputChains1_0,
/* 49132*/   OPC_EmitConvertToTarget, 1,
/* 49134*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::anonymous_6226MEMORY_FILL_A64), 0|OPFL_Chain,
                 4/*#Ops*/, 5, 2, 3, 4, 
             // Src: (wasm_memset (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$dst, I32:{ *:[i32] }:$value, I64:{ *:[i64] }:$size) - Complexity = 6
             // Dst: (anonymous_6226MEMORY_FILL_A64 (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$dst, I32:{ *:[i32] }:$value, I64:{ *:[i64] }:$size)
/* 49143*/  0, /*End of Scope*/
/* 49144*/ /*SwitchOpcode*/ 25, TARGET_VAL(ISD::Constant),// ->49172
/* 49147*/  OPC_RecordNode, // #0 = $imm
/* 49148*/  OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->49160
/* 49151*/   OPC_EmitConvertToTarget, 0,
/* 49153*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                 MVT::i32, 1/*#Ops*/, 1, 
             // Src: (imm:{ *:[i32] }):$imm - Complexity = 3
             // Dst: (CONST_I32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
/* 49160*/  /*SwitchType*/ 9, MVT::i64,// ->49171
/* 49162*/   OPC_EmitConvertToTarget, 0,
/* 49164*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                 MVT::i64, 1/*#Ops*/, 1, 
             // Src: (imm:{ *:[i64] }):$imm - Complexity = 3
             // Dst: (CONST_I64:{ *:[i64] } (imm:{ *:[i64] }):$imm)
/* 49171*/  0, // EndSwitchType
/* 49172*/ /*SwitchOpcode*/ 14, TARGET_VAL(ISD::BR),// ->49189
/* 49175*/  OPC_RecordNode, // #0 = 'br' chained node
/* 49176*/  OPC_RecordChild1, // #1 = $dst
/* 49177*/  OPC_MoveChild1,
/* 49178*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 49181*/  OPC_MoveParent,
/* 49182*/  OPC_EmitMergeInputChains1_0,
/* 49183*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR), 0|OPFL_Chain,
                1/*#Ops*/, 1, 
            // Src: (br (bb:{ *:[Other] }):$dst) - Complexity = 3
            // Dst: (BR (bb:{ *:[Other] }):$dst)
/* 49189*/ /*SwitchOpcode*/ 24, TARGET_VAL(WebAssemblyISD::BR_TABLE),// ->49216
/* 49192*/  OPC_RecordNode, // #0 = 'WebAssemblybr_table' chained node
/* 49193*/  OPC_RecordChild1, // #1 = $index
/* 49194*/  OPC_Scope, 9, /*->49205*/ // 2 children in Scope
/* 49196*/   OPC_CheckChild1Type, MVT::i32,
/* 49198*/   OPC_EmitMergeInputChains1_0,
/* 49199*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_TABLE_I32), 0|OPFL_Chain|OPFL_Variadic1,
                 1/*#Ops*/, 1, 
             // Src: (WebAssemblybr_table I32:{ *:[i32] }:$index) - Complexity = 3
             // Dst: (BR_TABLE_I32 I32:{ *:[i32] }:$index)
/* 49205*/  /*Scope*/ 9, /*->49215*/
/* 49206*/   OPC_CheckChild1Type, MVT::i64,
/* 49208*/   OPC_EmitMergeInputChains1_0,
/* 49209*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_TABLE_I64), 0|OPFL_Chain|OPFL_Variadic1,
                 1/*#Ops*/, 1, 
             // Src: (WebAssemblybr_table I64:{ *:[i64] }:$index) - Complexity = 3
             // Dst: (BR_TABLE_I64 I64:{ *:[i64] }:$index)
/* 49215*/  0, /*End of Scope*/
/* 49216*/ /*SwitchOpcode*/ 7, TARGET_VAL(WebAssemblyISD::RETURN),// ->49226
/* 49219*/  OPC_RecordNode, // #0 = 'WebAssemblyreturn' chained node
/* 49220*/  OPC_EmitMergeInputChains1_0,
/* 49221*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::RETURN), 0|OPFL_Chain|OPFL_Variadic0,
                0/*#Ops*/, 
            // Src: (WebAssemblyreturn) - Complexity = 3
            // Dst: (RETURN)
/* 49226*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::TRAP),// ->49236
/* 49229*/  OPC_RecordNode, // #0 = 'trap' chained node
/* 49230*/  OPC_EmitMergeInputChains1_0,
/* 49231*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::UNREACHABLE), 0|OPFL_Chain,
                0/*#Ops*/, 
            // Src: (trap) - Complexity = 3
            // Dst: (UNREACHABLE)
/* 49236*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::DEBUGTRAP),// ->49246
/* 49239*/  OPC_RecordNode, // #0 = 'debugtrap' chained node
/* 49240*/  OPC_EmitMergeInputChains1_0,
/* 49241*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::DEBUG_UNREACHABLE), 0|OPFL_Chain,
                0/*#Ops*/, 
            // Src: (debugtrap) - Complexity = 3
            // Dst: (DEBUG_UNREACHABLE)
/* 49246*/ /*SwitchOpcode*/ 9, TARGET_VAL(ISD::CLEANUPRET),// ->49258
/* 49249*/  OPC_RecordNode, // #0 = 'cleanupret' chained node
/* 49250*/  OPC_CheckPatternPredicate, 9, // (Subtarget->hasExceptionHandling())
/* 49252*/  OPC_EmitMergeInputChains1_0,
/* 49253*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::CLEANUPRET), 0|OPFL_Chain,
                0/*#Ops*/, 
            // Src: (cleanupret) - Complexity = 3
            // Dst: (CLEANUPRET)
/* 49258*/ /*SwitchOpcode*/ 23, TARGET_VAL(ISD::CATCHRET),// ->49284
/* 49261*/  OPC_RecordNode, // #0 = 'catchret' chained node
/* 49262*/  OPC_RecordChild1, // #1 = $dst
/* 49263*/  OPC_MoveChild1,
/* 49264*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 49267*/  OPC_MoveParent,
/* 49268*/  OPC_RecordChild2, // #2 = $from
/* 49269*/  OPC_MoveChild2,
/* 49270*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 49273*/  OPC_MoveParent,
/* 49274*/  OPC_CheckPatternPredicate, 9, // (Subtarget->hasExceptionHandling())
/* 49276*/  OPC_EmitMergeInputChains1_0,
/* 49277*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::CATCHRET), 0|OPFL_Chain,
                2/*#Ops*/, 1, 2, 
            // Src: (catchret (bb:{ *:[Other] }):$dst, (bb:{ *:[Other] }):$from) - Complexity = 3
            // Dst: (CATCHRET (bb:{ *:[Other] }):$dst, (bb:{ *:[Other] }):$from)
/* 49284*/ /*SwitchOpcode*/ 72, TARGET_VAL(ISD::ADD),// ->49359
/* 49287*/  OPC_RecordChild0, // #0 = $lhs
/* 49288*/  OPC_RecordChild1, // #1 = $rhs
/* 49289*/  OPC_SwitchType /*6 cases */, 8, MVT::i32,// ->49300
/* 49292*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (ADD_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49300*/  /*SwitchType*/ 8, MVT::i64,// ->49310
/* 49302*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (ADD_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49310*/  /*SwitchType*/ 10, MVT::v16i8,// ->49322
/* 49312*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49314*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49322*/  /*SwitchType*/ 10, MVT::v8i16,// ->49334
/* 49324*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49326*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49334*/  /*SwitchType*/ 10, MVT::v4i32,// ->49346
/* 49336*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49338*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (ADD_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49346*/  /*SwitchType*/ 10, MVT::v2i64,// ->49358
/* 49348*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49350*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I64x2), 0,
                 MVT::v2i64, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
             // Dst: (ADD_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 49358*/  0, // EndSwitchType
/* 49359*/ /*SwitchOpcode*/ 3|128,1/*131*/, TARGET_VAL(ISD::SUB),// ->49494
/* 49363*/  OPC_Scope, 24, /*->49389*/ // 3 children in Scope
/* 49365*/   OPC_RecordChild0, // #0 = $lhs
/* 49366*/   OPC_RecordChild1, // #1 = $rhs
/* 49367*/   OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49378
/* 49370*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SUB_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49378*/   /*SwitchType*/ 8, MVT::i64,// ->49388
/* 49380*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SUB_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49388*/   0, // EndSwitchType
/* 49389*/  /*Scope*/ 50, /*->49440*/
/* 49390*/   OPC_MoveChild0,
/* 49391*/   OPC_CheckImmAllZerosV,
/* 49392*/   OPC_MoveParent,
/* 49393*/   OPC_RecordChild1, // #0 = $v
/* 49394*/   OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->49406
/* 49397*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49399*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_I8x16), 0,
                  MVT::v16i8, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$v) - Complexity = 7
              // Dst: (NEG_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 49406*/   /*SwitchType*/ 9, MVT::v8i16,// ->49417
/* 49408*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49410*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_I16x8), 0,
                  MVT::v8i16, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$v) - Complexity = 7
              // Dst: (NEG_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$v)
/* 49417*/   /*SwitchType*/ 9, MVT::v4i32,// ->49428
/* 49419*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49421*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_I32x4), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$v) - Complexity = 7
              // Dst: (NEG_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$v)
/* 49428*/   /*SwitchType*/ 9, MVT::v2i64,// ->49439
/* 49430*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49432*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_I64x2), 0,
                  MVT::v2i64, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$v) - Complexity = 7
              // Dst: (NEG_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$v)
/* 49439*/   0, // EndSwitchType
/* 49440*/  /*Scope*/ 52, /*->49493*/
/* 49441*/   OPC_RecordChild0, // #0 = $lhs
/* 49442*/   OPC_RecordChild1, // #1 = $rhs
/* 49443*/   OPC_SwitchType /*4 cases */, 10, MVT::v16i8,// ->49456
/* 49446*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49448*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (SUB_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49456*/   /*SwitchType*/ 10, MVT::v8i16,// ->49468
/* 49458*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49460*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (SUB_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49468*/   /*SwitchType*/ 10, MVT::v4i32,// ->49480
/* 49470*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49472*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (SUB_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49480*/   /*SwitchType*/ 10, MVT::v2i64,// ->49492
/* 49482*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49484*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (SUB_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 49492*/   0, // EndSwitchType
/* 49493*/  0, /*End of Scope*/
/* 49494*/ /*SwitchOpcode*/ 1|128,3/*385*/, TARGET_VAL(ISD::MUL),// ->49883
/* 49498*/  OPC_Scope, 24, /*->49524*/ // 3 children in Scope
/* 49500*/   OPC_RecordChild0, // #0 = $lhs
/* 49501*/   OPC_RecordChild1, // #1 = $rhs
/* 49502*/   OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49513
/* 49505*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (MUL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49513*/   /*SwitchType*/ 8, MVT::i64,// ->49523
/* 49515*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (MUL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49523*/   0, // EndSwitchType
/* 49524*/  /*Scope*/ 59|128,2/*315*/, /*->49841*/
/* 49526*/   OPC_MoveChild0,
/* 49527*/   OPC_SwitchOpcode /*4 cases */, 75, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),// ->49606
/* 49531*/    OPC_RecordChild0, // #0 = $lhs
/* 49532*/    OPC_Scope, 23, /*->49557*/ // 3 children in Scope
/* 49534*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49536*/     OPC_MoveParent,
/* 49537*/     OPC_MoveChild1,
/* 49538*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 49541*/     OPC_RecordChild0, // #1 = $rhs
/* 49542*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49544*/     OPC_MoveParent,
/* 49545*/     OPC_CheckType, MVT::v8i16,
/* 49547*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49549*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49557*/    /*Scope*/ 23, /*->49581*/
/* 49558*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49560*/     OPC_MoveParent,
/* 49561*/     OPC_MoveChild1,
/* 49562*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 49565*/     OPC_RecordChild0, // #1 = $rhs
/* 49566*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49568*/     OPC_MoveParent,
/* 49569*/     OPC_CheckType, MVT::v4i32,
/* 49571*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49573*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49581*/    /*Scope*/ 23, /*->49605*/
/* 49582*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49584*/     OPC_MoveParent,
/* 49585*/     OPC_MoveChild1,
/* 49586*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 49589*/     OPC_RecordChild0, // #1 = $rhs
/* 49590*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49592*/     OPC_MoveParent,
/* 49593*/     OPC_CheckType, MVT::v2i64,
/* 49595*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49597*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49605*/    0, /*End of Scope*/
/* 49606*/   /*SwitchOpcode*/ 75, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),// ->49684
/* 49609*/    OPC_RecordChild0, // #0 = $lhs
/* 49610*/    OPC_Scope, 23, /*->49635*/ // 3 children in Scope
/* 49612*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49614*/     OPC_MoveParent,
/* 49615*/     OPC_MoveChild1,
/* 49616*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 49619*/     OPC_RecordChild0, // #1 = $rhs
/* 49620*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49622*/     OPC_MoveParent,
/* 49623*/     OPC_CheckType, MVT::v8i16,
/* 49625*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49627*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49635*/    /*Scope*/ 23, /*->49659*/
/* 49636*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49638*/     OPC_MoveParent,
/* 49639*/     OPC_MoveChild1,
/* 49640*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 49643*/     OPC_RecordChild0, // #1 = $rhs
/* 49644*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49646*/     OPC_MoveParent,
/* 49647*/     OPC_CheckType, MVT::v4i32,
/* 49649*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49651*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49659*/    /*Scope*/ 23, /*->49683*/
/* 49660*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49662*/     OPC_MoveParent,
/* 49663*/     OPC_MoveChild1,
/* 49664*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 49667*/     OPC_RecordChild0, // #1 = $rhs
/* 49668*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49670*/     OPC_MoveParent,
/* 49671*/     OPC_CheckType, MVT::v2i64,
/* 49673*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49675*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49683*/    0, /*End of Scope*/
/* 49684*/   /*SwitchOpcode*/ 75, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),// ->49762
/* 49687*/    OPC_RecordChild0, // #0 = $lhs
/* 49688*/    OPC_Scope, 23, /*->49713*/ // 3 children in Scope
/* 49690*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49692*/     OPC_MoveParent,
/* 49693*/     OPC_MoveChild1,
/* 49694*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 49697*/     OPC_RecordChild0, // #1 = $rhs
/* 49698*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49700*/     OPC_MoveParent,
/* 49701*/     OPC_CheckType, MVT::v8i16,
/* 49703*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49705*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49713*/    /*Scope*/ 23, /*->49737*/
/* 49714*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49716*/     OPC_MoveParent,
/* 49717*/     OPC_MoveChild1,
/* 49718*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 49721*/     OPC_RecordChild0, // #1 = $rhs
/* 49722*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49724*/     OPC_MoveParent,
/* 49725*/     OPC_CheckType, MVT::v4i32,
/* 49727*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49729*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49737*/    /*Scope*/ 23, /*->49761*/
/* 49738*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49740*/     OPC_MoveParent,
/* 49741*/     OPC_MoveChild1,
/* 49742*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 49745*/     OPC_RecordChild0, // #1 = $rhs
/* 49746*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49748*/     OPC_MoveParent,
/* 49749*/     OPC_CheckType, MVT::v2i64,
/* 49751*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49753*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49761*/    0, /*End of Scope*/
/* 49762*/   /*SwitchOpcode*/ 75, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),// ->49840
/* 49765*/    OPC_RecordChild0, // #0 = $lhs
/* 49766*/    OPC_Scope, 23, /*->49791*/ // 3 children in Scope
/* 49768*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49770*/     OPC_MoveParent,
/* 49771*/     OPC_MoveChild1,
/* 49772*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 49775*/     OPC_RecordChild0, // #1 = $rhs
/* 49776*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49778*/     OPC_MoveParent,
/* 49779*/     OPC_CheckType, MVT::v8i16,
/* 49781*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49783*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49791*/    /*Scope*/ 23, /*->49815*/
/* 49792*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49794*/     OPC_MoveParent,
/* 49795*/     OPC_MoveChild1,
/* 49796*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 49799*/     OPC_RecordChild0, // #1 = $rhs
/* 49800*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49802*/     OPC_MoveParent,
/* 49803*/     OPC_CheckType, MVT::v4i32,
/* 49805*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49807*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49815*/    /*Scope*/ 23, /*->49839*/
/* 49816*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49818*/     OPC_MoveParent,
/* 49819*/     OPC_MoveChild1,
/* 49820*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 49823*/     OPC_RecordChild0, // #1 = $rhs
/* 49824*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49826*/     OPC_MoveParent,
/* 49827*/     OPC_CheckType, MVT::v2i64,
/* 49829*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49831*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49839*/    0, /*End of Scope*/
/* 49840*/   0, // EndSwitchOpcode
/* 49841*/  /*Scope*/ 40, /*->49882*/
/* 49842*/   OPC_RecordChild0, // #0 = $lhs
/* 49843*/   OPC_RecordChild1, // #1 = $rhs
/* 49844*/   OPC_SwitchType /*3 cases */, 10, MVT::v8i16,// ->49857
/* 49847*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49849*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (MUL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49857*/   /*SwitchType*/ 10, MVT::v4i32,// ->49869
/* 49859*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49861*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (MUL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49869*/   /*SwitchType*/ 10, MVT::v2i64,// ->49881
/* 49871*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 49873*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (MUL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 49881*/   0, // EndSwitchType
/* 49882*/  0, /*End of Scope*/
/* 49883*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::SDIV),// ->49910
/* 49886*/  OPC_RecordChild0, // #0 = $lhs
/* 49887*/  OPC_RecordChild1, // #1 = $rhs
/* 49888*/  OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49899
/* 49891*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_S_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (sdiv:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (DIV_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49899*/  /*SwitchType*/ 8, MVT::i64,// ->49909
/* 49901*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_S_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (sdiv:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (DIV_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49909*/  0, // EndSwitchType
/* 49910*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::UDIV),// ->49937
/* 49913*/  OPC_RecordChild0, // #0 = $lhs
/* 49914*/  OPC_RecordChild1, // #1 = $rhs
/* 49915*/  OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49926
/* 49918*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_U_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (udiv:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (DIV_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49926*/  /*SwitchType*/ 8, MVT::i64,// ->49936
/* 49928*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_U_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (udiv:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (DIV_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49936*/  0, // EndSwitchType
/* 49937*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::SREM),// ->49964
/* 49940*/  OPC_RecordChild0, // #0 = $lhs
/* 49941*/  OPC_RecordChild1, // #1 = $rhs
/* 49942*/  OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49953
/* 49945*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REM_S_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (srem:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (REM_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49953*/  /*SwitchType*/ 8, MVT::i64,// ->49963
/* 49955*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REM_S_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (srem:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (REM_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49963*/  0, // EndSwitchType
/* 49964*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::UREM),// ->49991
/* 49967*/  OPC_RecordChild0, // #0 = $lhs
/* 49968*/  OPC_RecordChild1, // #1 = $rhs
/* 49969*/  OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49980
/* 49972*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REM_U_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (urem:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (REM_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49980*/  /*SwitchType*/ 8, MVT::i64,// ->49990
/* 49982*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REM_U_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (urem:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (REM_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49990*/  0, // EndSwitchType
/* 49991*/ /*SwitchOpcode*/ 109|128,6/*877*/, TARGET_VAL(ISD::OR),// ->50872
/* 49995*/  OPC_Scope, 24, /*->50021*/ // 3 children in Scope
/* 49997*/   OPC_RecordChild0, // #0 = $lhs
/* 49998*/   OPC_RecordChild1, // #1 = $rhs
/* 49999*/   OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->50010
/* 50002*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (OR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 50010*/   /*SwitchType*/ 8, MVT::i64,// ->50020
/* 50012*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (OR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 50020*/   0, // EndSwitchType
/* 50021*/  /*Scope*/ 35|128,6/*803*/, /*->50826*/
/* 50023*/   OPC_MoveChild0,
/* 50024*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50027*/   OPC_Scope, 12|128,1/*140*/, /*->50170*/ // 9 children in Scope
/* 50030*/    OPC_RecordChild0, // #0 = $c
/* 50031*/    OPC_RecordChild1, // #1 = $v1
/* 50032*/    OPC_MoveParent,
/* 50033*/    OPC_MoveChild1,
/* 50034*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50037*/    OPC_Scope, 58, /*->50097*/ // 4 children in Scope
/* 50039*/     OPC_MoveChild0,
/* 50040*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50043*/     OPC_CheckChild0Same, 0,
/* 50045*/     OPC_MoveChild1,
/* 50046*/     OPC_CheckImmAllOnesV,
/* 50047*/     OPC_MoveParent,
/* 50048*/     OPC_MoveParent,
/* 50049*/     OPC_RecordChild1, // #2 = $v2
/* 50050*/     OPC_MoveParent,
/* 50051*/     OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->50063
/* 50054*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 50063*/     /*SwitchType*/ 9, MVT::v8i16,// ->50074
/* 50065*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 50074*/     /*SwitchType*/ 9, MVT::v4i32,// ->50085
/* 50076*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50085*/     /*SwitchType*/ 9, MVT::v2i64,// ->50096
/* 50087*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50096*/     0, // EndSwitchType
/* 50097*/    /*Scope*/ 23, /*->50121*/
/* 50098*/     OPC_RecordChild0, // #2 = $v2
/* 50099*/     OPC_MoveChild1,
/* 50100*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50103*/     OPC_CheckChild0Same, 0,
/* 50105*/     OPC_MoveChild1,
/* 50106*/     OPC_CheckImmAllOnesV,
/* 50107*/     OPC_MoveParent,
/* 50108*/     OPC_MoveParent,
/* 50109*/     OPC_MoveParent,
/* 50110*/     OPC_CheckType, MVT::v16i8,
/* 50112*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 50121*/    /*Scope*/ 23, /*->50145*/
/* 50122*/     OPC_MoveChild0,
/* 50123*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50126*/     OPC_CheckChild0Same, 1,
/* 50128*/     OPC_MoveChild1,
/* 50129*/     OPC_CheckImmAllOnesV,
/* 50130*/     OPC_MoveParent,
/* 50131*/     OPC_MoveParent,
/* 50132*/     OPC_RecordChild1, // #2 = $v2
/* 50133*/     OPC_MoveParent,
/* 50134*/     OPC_CheckType, MVT::v16i8,
/* 50136*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 0, 2, 1, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 50145*/    /*Scope*/ 23, /*->50169*/
/* 50146*/     OPC_RecordChild0, // #2 = $v2
/* 50147*/     OPC_MoveChild1,
/* 50148*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50151*/     OPC_CheckChild0Same, 1,
/* 50153*/     OPC_MoveChild1,
/* 50154*/     OPC_CheckImmAllOnesV,
/* 50155*/     OPC_MoveParent,
/* 50156*/     OPC_MoveParent,
/* 50157*/     OPC_MoveParent,
/* 50158*/     OPC_CheckType, MVT::v16i8,
/* 50160*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 0, 2, 1, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 50169*/    0, /*End of Scope*/
/* 50170*/   /*Scope*/ 49, /*->50220*/
/* 50171*/    OPC_MoveChild0,
/* 50172*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50175*/    OPC_RecordChild0, // #0 = $c
/* 50176*/    OPC_MoveChild1,
/* 50177*/    OPC_CheckImmAllOnesV,
/* 50178*/    OPC_MoveParent,
/* 50179*/    OPC_MoveParent,
/* 50180*/    OPC_RecordChild1, // #1 = $v2
/* 50181*/    OPC_MoveParent,
/* 50182*/    OPC_MoveChild1,
/* 50183*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50186*/    OPC_Scope, 15, /*->50203*/ // 2 children in Scope
/* 50188*/     OPC_CheckChild0Same, 0,
/* 50190*/     OPC_RecordChild1, // #2 = $v1
/* 50191*/     OPC_MoveParent,
/* 50192*/     OPC_CheckType, MVT::v16i8,
/* 50194*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 50203*/    /*Scope*/ 15, /*->50219*/
/* 50204*/     OPC_RecordChild0, // #2 = $v1
/* 50205*/     OPC_CheckChild1Same, 0,
/* 50207*/     OPC_MoveParent,
/* 50208*/     OPC_CheckType, MVT::v16i8,
/* 50210*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 50219*/    0, /*End of Scope*/
/* 50220*/   /*Scope*/ 5|128,1/*133*/, /*->50355*/
/* 50222*/    OPC_RecordChild0, // #0 = $v2
/* 50223*/    OPC_Scope, 48, /*->50273*/ // 2 children in Scope
/* 50225*/     OPC_MoveChild1,
/* 50226*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50229*/     OPC_RecordChild0, // #1 = $c
/* 50230*/     OPC_MoveChild1,
/* 50231*/     OPC_CheckImmAllOnesV,
/* 50232*/     OPC_MoveParent,
/* 50233*/     OPC_MoveParent,
/* 50234*/     OPC_MoveParent,
/* 50235*/     OPC_MoveChild1,
/* 50236*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50239*/     OPC_Scope, 15, /*->50256*/ // 2 children in Scope
/* 50241*/      OPC_CheckChild0Same, 1,
/* 50243*/      OPC_RecordChild1, // #2 = $v1
/* 50244*/      OPC_MoveParent,
/* 50245*/      OPC_CheckType, MVT::v16i8,
/* 50247*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v16i8, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 50256*/     /*Scope*/ 15, /*->50272*/
/* 50257*/      OPC_RecordChild0, // #2 = $v1
/* 50258*/      OPC_CheckChild1Same, 1,
/* 50260*/      OPC_MoveParent,
/* 50261*/      OPC_CheckType, MVT::v16i8,
/* 50263*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v16i8, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 50272*/     0, /*End of Scope*/
/* 50273*/    /*Scope*/ 80, /*->50354*/
/* 50274*/     OPC_RecordChild1, // #1 = $v1
/* 50275*/     OPC_MoveParent,
/* 50276*/     OPC_MoveChild1,
/* 50277*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50280*/     OPC_Scope, 23, /*->50305*/ // 3 children in Scope
/* 50282*/      OPC_RecordChild0, // #2 = $v2
/* 50283*/      OPC_MoveChild1,
/* 50284*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50287*/      OPC_CheckChild0Same, 0,
/* 50289*/      OPC_MoveChild1,
/* 50290*/      OPC_CheckImmAllOnesV,
/* 50291*/      OPC_MoveParent,
/* 50292*/      OPC_MoveParent,
/* 50293*/      OPC_MoveParent,
/* 50294*/      OPC_CheckType, MVT::v8i16,
/* 50296*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 50305*/     /*Scope*/ 23, /*->50329*/
/* 50306*/      OPC_MoveChild0,
/* 50307*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50310*/      OPC_CheckChild0Same, 1,
/* 50312*/      OPC_MoveChild1,
/* 50313*/      OPC_CheckImmAllOnesV,
/* 50314*/      OPC_MoveParent,
/* 50315*/      OPC_MoveParent,
/* 50316*/      OPC_RecordChild1, // #2 = $v2
/* 50317*/      OPC_MoveParent,
/* 50318*/      OPC_CheckType, MVT::v8i16,
/* 50320*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 50329*/     /*Scope*/ 23, /*->50353*/
/* 50330*/      OPC_RecordChild0, // #2 = $v2
/* 50331*/      OPC_MoveChild1,
/* 50332*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50335*/      OPC_CheckChild0Same, 1,
/* 50337*/      OPC_MoveChild1,
/* 50338*/      OPC_CheckImmAllOnesV,
/* 50339*/      OPC_MoveParent,
/* 50340*/      OPC_MoveParent,
/* 50341*/      OPC_MoveParent,
/* 50342*/      OPC_CheckType, MVT::v8i16,
/* 50344*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 50353*/     0, /*End of Scope*/
/* 50354*/    0, /*End of Scope*/
/* 50355*/   /*Scope*/ 49, /*->50405*/
/* 50356*/    OPC_MoveChild0,
/* 50357*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50360*/    OPC_RecordChild0, // #0 = $c
/* 50361*/    OPC_MoveChild1,
/* 50362*/    OPC_CheckImmAllOnesV,
/* 50363*/    OPC_MoveParent,
/* 50364*/    OPC_MoveParent,
/* 50365*/    OPC_RecordChild1, // #1 = $v2
/* 50366*/    OPC_MoveParent,
/* 50367*/    OPC_MoveChild1,
/* 50368*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50371*/    OPC_Scope, 15, /*->50388*/ // 2 children in Scope
/* 50373*/     OPC_CheckChild0Same, 0,
/* 50375*/     OPC_RecordChild1, // #2 = $v1
/* 50376*/     OPC_MoveParent,
/* 50377*/     OPC_CheckType, MVT::v8i16,
/* 50379*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v8i16, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 50388*/    /*Scope*/ 15, /*->50404*/
/* 50389*/     OPC_RecordChild0, // #2 = $v1
/* 50390*/     OPC_CheckChild1Same, 0,
/* 50392*/     OPC_MoveParent,
/* 50393*/     OPC_CheckType, MVT::v8i16,
/* 50395*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v8i16, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 50404*/    0, /*End of Scope*/
/* 50405*/   /*Scope*/ 5|128,1/*133*/, /*->50540*/
/* 50407*/    OPC_RecordChild0, // #0 = $v2
/* 50408*/    OPC_Scope, 48, /*->50458*/ // 2 children in Scope
/* 50410*/     OPC_MoveChild1,
/* 50411*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50414*/     OPC_RecordChild0, // #1 = $c
/* 50415*/     OPC_MoveChild1,
/* 50416*/     OPC_CheckImmAllOnesV,
/* 50417*/     OPC_MoveParent,
/* 50418*/     OPC_MoveParent,
/* 50419*/     OPC_MoveParent,
/* 50420*/     OPC_MoveChild1,
/* 50421*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50424*/     OPC_Scope, 15, /*->50441*/ // 2 children in Scope
/* 50426*/      OPC_CheckChild0Same, 1,
/* 50428*/      OPC_RecordChild1, // #2 = $v1
/* 50429*/      OPC_MoveParent,
/* 50430*/      OPC_CheckType, MVT::v8i16,
/* 50432*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 50441*/     /*Scope*/ 15, /*->50457*/
/* 50442*/      OPC_RecordChild0, // #2 = $v1
/* 50443*/      OPC_CheckChild1Same, 1,
/* 50445*/      OPC_MoveParent,
/* 50446*/      OPC_CheckType, MVT::v8i16,
/* 50448*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 50457*/     0, /*End of Scope*/
/* 50458*/    /*Scope*/ 80, /*->50539*/
/* 50459*/     OPC_RecordChild1, // #1 = $v1
/* 50460*/     OPC_MoveParent,
/* 50461*/     OPC_MoveChild1,
/* 50462*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50465*/     OPC_Scope, 23, /*->50490*/ // 3 children in Scope
/* 50467*/      OPC_RecordChild0, // #2 = $v2
/* 50468*/      OPC_MoveChild1,
/* 50469*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50472*/      OPC_CheckChild0Same, 0,
/* 50474*/      OPC_MoveChild1,
/* 50475*/      OPC_CheckImmAllOnesV,
/* 50476*/      OPC_MoveParent,
/* 50477*/      OPC_MoveParent,
/* 50478*/      OPC_MoveParent,
/* 50479*/      OPC_CheckType, MVT::v4i32,
/* 50481*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50490*/     /*Scope*/ 23, /*->50514*/
/* 50491*/      OPC_MoveChild0,
/* 50492*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50495*/      OPC_CheckChild0Same, 1,
/* 50497*/      OPC_MoveChild1,
/* 50498*/      OPC_CheckImmAllOnesV,
/* 50499*/      OPC_MoveParent,
/* 50500*/      OPC_MoveParent,
/* 50501*/      OPC_RecordChild1, // #2 = $v2
/* 50502*/      OPC_MoveParent,
/* 50503*/      OPC_CheckType, MVT::v4i32,
/* 50505*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50514*/     /*Scope*/ 23, /*->50538*/
/* 50515*/      OPC_RecordChild0, // #2 = $v2
/* 50516*/      OPC_MoveChild1,
/* 50517*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50520*/      OPC_CheckChild0Same, 1,
/* 50522*/      OPC_MoveChild1,
/* 50523*/      OPC_CheckImmAllOnesV,
/* 50524*/      OPC_MoveParent,
/* 50525*/      OPC_MoveParent,
/* 50526*/      OPC_MoveParent,
/* 50527*/      OPC_CheckType, MVT::v4i32,
/* 50529*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50538*/     0, /*End of Scope*/
/* 50539*/    0, /*End of Scope*/
/* 50540*/   /*Scope*/ 49, /*->50590*/
/* 50541*/    OPC_MoveChild0,
/* 50542*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50545*/    OPC_RecordChild0, // #0 = $c
/* 50546*/    OPC_MoveChild1,
/* 50547*/    OPC_CheckImmAllOnesV,
/* 50548*/    OPC_MoveParent,
/* 50549*/    OPC_MoveParent,
/* 50550*/    OPC_RecordChild1, // #1 = $v2
/* 50551*/    OPC_MoveParent,
/* 50552*/    OPC_MoveChild1,
/* 50553*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50556*/    OPC_Scope, 15, /*->50573*/ // 2 children in Scope
/* 50558*/     OPC_CheckChild0Same, 0,
/* 50560*/     OPC_RecordChild1, // #2 = $v1
/* 50561*/     OPC_MoveParent,
/* 50562*/     OPC_CheckType, MVT::v4i32,
/* 50564*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v4i32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50573*/    /*Scope*/ 15, /*->50589*/
/* 50574*/     OPC_RecordChild0, // #2 = $v1
/* 50575*/     OPC_CheckChild1Same, 0,
/* 50577*/     OPC_MoveParent,
/* 50578*/     OPC_CheckType, MVT::v4i32,
/* 50580*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v4i32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50589*/    0, /*End of Scope*/
/* 50590*/   /*Scope*/ 5|128,1/*133*/, /*->50725*/
/* 50592*/    OPC_RecordChild0, // #0 = $v2
/* 50593*/    OPC_Scope, 48, /*->50643*/ // 2 children in Scope
/* 50595*/     OPC_MoveChild1,
/* 50596*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50599*/     OPC_RecordChild0, // #1 = $c
/* 50600*/     OPC_MoveChild1,
/* 50601*/     OPC_CheckImmAllOnesV,
/* 50602*/     OPC_MoveParent,
/* 50603*/     OPC_MoveParent,
/* 50604*/     OPC_MoveParent,
/* 50605*/     OPC_MoveChild1,
/* 50606*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50609*/     OPC_Scope, 15, /*->50626*/ // 2 children in Scope
/* 50611*/      OPC_CheckChild0Same, 1,
/* 50613*/      OPC_RecordChild1, // #2 = $v1
/* 50614*/      OPC_MoveParent,
/* 50615*/      OPC_CheckType, MVT::v4i32,
/* 50617*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50626*/     /*Scope*/ 15, /*->50642*/
/* 50627*/      OPC_RecordChild0, // #2 = $v1
/* 50628*/      OPC_CheckChild1Same, 1,
/* 50630*/      OPC_MoveParent,
/* 50631*/      OPC_CheckType, MVT::v4i32,
/* 50633*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50642*/     0, /*End of Scope*/
/* 50643*/    /*Scope*/ 80, /*->50724*/
/* 50644*/     OPC_RecordChild1, // #1 = $v1
/* 50645*/     OPC_MoveParent,
/* 50646*/     OPC_MoveChild1,
/* 50647*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50650*/     OPC_Scope, 23, /*->50675*/ // 3 children in Scope
/* 50652*/      OPC_RecordChild0, // #2 = $v2
/* 50653*/      OPC_MoveChild1,
/* 50654*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50657*/      OPC_CheckChild0Same, 0,
/* 50659*/      OPC_MoveChild1,
/* 50660*/      OPC_CheckImmAllOnesV,
/* 50661*/      OPC_MoveParent,
/* 50662*/      OPC_MoveParent,
/* 50663*/      OPC_MoveParent,
/* 50664*/      OPC_CheckType, MVT::v2i64,
/* 50666*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50675*/     /*Scope*/ 23, /*->50699*/
/* 50676*/      OPC_MoveChild0,
/* 50677*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50680*/      OPC_CheckChild0Same, 1,
/* 50682*/      OPC_MoveChild1,
/* 50683*/      OPC_CheckImmAllOnesV,
/* 50684*/      OPC_MoveParent,
/* 50685*/      OPC_MoveParent,
/* 50686*/      OPC_RecordChild1, // #2 = $v2
/* 50687*/      OPC_MoveParent,
/* 50688*/      OPC_CheckType, MVT::v2i64,
/* 50690*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v2i64, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50699*/     /*Scope*/ 23, /*->50723*/
/* 50700*/      OPC_RecordChild0, // #2 = $v2
/* 50701*/      OPC_MoveChild1,
/* 50702*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50705*/      OPC_CheckChild0Same, 1,
/* 50707*/      OPC_MoveChild1,
/* 50708*/      OPC_CheckImmAllOnesV,
/* 50709*/      OPC_MoveParent,
/* 50710*/      OPC_MoveParent,
/* 50711*/      OPC_MoveParent,
/* 50712*/      OPC_CheckType, MVT::v2i64,
/* 50714*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v2i64, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50723*/     0, /*End of Scope*/
/* 50724*/    0, /*End of Scope*/
/* 50725*/   /*Scope*/ 49, /*->50775*/
/* 50726*/    OPC_MoveChild0,
/* 50727*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50730*/    OPC_RecordChild0, // #0 = $c
/* 50731*/    OPC_MoveChild1,
/* 50732*/    OPC_CheckImmAllOnesV,
/* 50733*/    OPC_MoveParent,
/* 50734*/    OPC_MoveParent,
/* 50735*/    OPC_RecordChild1, // #1 = $v2
/* 50736*/    OPC_MoveParent,
/* 50737*/    OPC_MoveChild1,
/* 50738*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50741*/    OPC_Scope, 15, /*->50758*/ // 2 children in Scope
/* 50743*/     OPC_CheckChild0Same, 0,
/* 50745*/     OPC_RecordChild1, // #2 = $v1
/* 50746*/     OPC_MoveParent,
/* 50747*/     OPC_CheckType, MVT::v2i64,
/* 50749*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50758*/    /*Scope*/ 15, /*->50774*/
/* 50759*/     OPC_RecordChild0, // #2 = $v1
/* 50760*/     OPC_CheckChild1Same, 0,
/* 50762*/     OPC_MoveParent,
/* 50763*/     OPC_CheckType, MVT::v2i64,
/* 50765*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50774*/    0, /*End of Scope*/
/* 50775*/   /*Scope*/ 49, /*->50825*/
/* 50776*/    OPC_RecordChild0, // #0 = $v2
/* 50777*/    OPC_MoveChild1,
/* 50778*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50781*/    OPC_RecordChild0, // #1 = $c
/* 50782*/    OPC_MoveChild1,
/* 50783*/    OPC_CheckImmAllOnesV,
/* 50784*/    OPC_MoveParent,
/* 50785*/    OPC_MoveParent,
/* 50786*/    OPC_MoveParent,
/* 50787*/    OPC_MoveChild1,
/* 50788*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50791*/    OPC_Scope, 15, /*->50808*/ // 2 children in Scope
/* 50793*/     OPC_CheckChild0Same, 1,
/* 50795*/     OPC_RecordChild1, // #2 = $v1
/* 50796*/     OPC_MoveParent,
/* 50797*/     OPC_CheckType, MVT::v2i64,
/* 50799*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 0, 1, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50808*/    /*Scope*/ 15, /*->50824*/
/* 50809*/     OPC_RecordChild0, // #2 = $v1
/* 50810*/     OPC_CheckChild1Same, 1,
/* 50812*/     OPC_MoveParent,
/* 50813*/     OPC_CheckType, MVT::v2i64,
/* 50815*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 0, 1, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50824*/    0, /*End of Scope*/
/* 50825*/   0, /*End of Scope*/
/* 50826*/  /*Scope*/ 44, /*->50871*/
/* 50827*/   OPC_RecordChild0, // #0 = $lhs
/* 50828*/   OPC_RecordChild1, // #1 = $rhs
/* 50829*/   OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->50840
/* 50832*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 50840*/   /*SwitchType*/ 8, MVT::v8i16,// ->50850
/* 50842*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 50850*/   /*SwitchType*/ 8, MVT::v4i32,// ->50860
/* 50852*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 50860*/   /*SwitchType*/ 8, MVT::v2i64,// ->50870
/* 50862*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 50870*/   0, // EndSwitchType
/* 50871*/  0, /*End of Scope*/
/* 50872*/ /*SwitchOpcode*/ 113, TARGET_VAL(ISD::XOR),// ->50988
/* 50875*/  OPC_RecordChild0, // #0 = $lhs
/* 50876*/  OPC_Scope, 23, /*->50901*/ // 3 children in Scope
/* 50878*/   OPC_RecordChild1, // #1 = $rhs
/* 50879*/   OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->50890
/* 50882*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (XOR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 50890*/   /*SwitchType*/ 8, MVT::i64,// ->50900
/* 50892*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (XOR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 50900*/   0, // EndSwitchType
/* 50901*/  /*Scope*/ 41, /*->50943*/
/* 50902*/   OPC_MoveChild1,
/* 50903*/   OPC_CheckImmAllOnesV,
/* 50904*/   OPC_MoveParent,
/* 50905*/   OPC_SwitchType /*4 cases */, 7, MVT::v16i8,// ->50915
/* 50908*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NOT), 0,
                  MVT::v16i8, 1/*#Ops*/, 0, 
              // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v, immAllOnesV:{ *:[v16i8] }) - Complexity = 7
              // Dst: (NOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v)
/* 50915*/   /*SwitchType*/ 7, MVT::v8i16,// ->50924
/* 50917*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NOT), 0,
                  MVT::v8i16, 1/*#Ops*/, 0, 
              // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v, immAllOnesV:{ *:[v8i16] }) - Complexity = 7
              // Dst: (NOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v)
/* 50924*/   /*SwitchType*/ 7, MVT::v4i32,// ->50933
/* 50926*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NOT), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v, immAllOnesV:{ *:[v4i32] }) - Complexity = 7
              // Dst: (NOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v)
/* 50933*/   /*SwitchType*/ 7, MVT::v2i64,// ->50942
/* 50935*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NOT), 0,
                  MVT::v2i64, 1/*#Ops*/, 0, 
              // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v, immAllOnesV:{ *:[v2i64] }) - Complexity = 7
              // Dst: (NOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v)
/* 50942*/   0, // EndSwitchType
/* 50943*/  /*Scope*/ 43, /*->50987*/
/* 50944*/   OPC_RecordChild1, // #1 = $rhs
/* 50945*/   OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->50956
/* 50948*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (XOR:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 50956*/   /*SwitchType*/ 8, MVT::v8i16,// ->50966
/* 50958*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (XOR:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 50966*/   /*SwitchType*/ 8, MVT::v4i32,// ->50976
/* 50968*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (XOR:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 50976*/   /*SwitchType*/ 8, MVT::v2i64,// ->50986
/* 50978*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (XOR:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 50986*/   0, // EndSwitchType
/* 50987*/  0, /*End of Scope*/
/* 50988*/ /*SwitchOpcode*/ 25, TARGET_VAL(ISD::CTLZ),// ->51016
/* 50991*/  OPC_RecordChild0, // #0 = $src
/* 50992*/  OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->51004
/* 50995*/   OPC_CheckChild0Type, MVT::i32,
/* 50997*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CLZ_I32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (ctlz:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (CLZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 51004*/  /*SwitchType*/ 9, MVT::i64,// ->51015
/* 51006*/   OPC_CheckChild0Type, MVT::i64,
/* 51008*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CLZ_I64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (ctlz:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (CLZ_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 51015*/  0, // EndSwitchType
/* 51016*/ /*SwitchOpcode*/ 25, TARGET_VAL(ISD::CTTZ),// ->51044
/* 51019*/  OPC_RecordChild0, // #0 = $src
/* 51020*/  OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->51032
/* 51023*/   OPC_CheckChild0Type, MVT::i32,
/* 51025*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CTZ_I32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (cttz:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (CTZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 51032*/  /*SwitchType*/ 9, MVT::i64,// ->51043
/* 51034*/   OPC_CheckChild0Type, MVT::i64,
/* 51036*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CTZ_I64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (cttz:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (CTZ_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 51043*/  0, // EndSwitchType
/* 51044*/ /*SwitchOpcode*/ 38, TARGET_VAL(ISD::CTPOP),// ->51085
/* 51047*/  OPC_RecordChild0, // #0 = $src
/* 51048*/  OPC_SwitchType /*3 cases */, 9, MVT::i32,// ->51060
/* 51051*/   OPC_CheckChild0Type, MVT::i32,
/* 51053*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::POPCNT_I32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (POPCNT_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 51060*/  /*SwitchType*/ 9, MVT::i64,// ->51071
/* 51062*/   OPC_CheckChild0Type, MVT::i64,
/* 51064*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::POPCNT_I64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (POPCNT_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 51071*/  /*SwitchType*/ 11, MVT::v16i8,// ->51084
/* 51073*/   OPC_CheckChild0Type, MVT::v16i8,
/* 51075*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 51077*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::POPCNT_I8x16), 0,
                 MVT::v16i8, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[v16i8] } V128:{ *:[v16i8] }:$v) - Complexity = 3
             // Dst: (POPCNT_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 51084*/  0, // EndSwitchType
/* 51085*/ /*SwitchOpcode*/ 8, TARGET_VAL(ISD::TRUNCATE),// ->51096
/* 51088*/  OPC_RecordChild0, // #0 = $src
/* 51089*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_WRAP_I64), 0,
                MVT::i32, 1/*#Ops*/, 0, 
            // Src: (trunc:{ *:[i32] } I64:{ *:[i64] }:$src) - Complexity = 3
            // Dst: (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$src)
/* 51096*/ /*SwitchOpcode*/ 8, TARGET_VAL(ISD::SIGN_EXTEND),// ->51107
/* 51099*/  OPC_RecordChild0, // #0 = $src
/* 51100*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND_S_I32), 0,
                MVT::i64, 1/*#Ops*/, 0, 
            // Src: (sext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
            // Dst: (I64_EXTEND_S_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/* 51107*/ /*SwitchOpcode*/ 121, TARGET_VAL(ISD::FP_TO_SINT),// ->51231
/* 51110*/  OPC_RecordChild0, // #0 = $src
/* 51111*/  OPC_Scope, 52, /*->51165*/ // 3 children in Scope
/* 51113*/   OPC_CheckChild0Type, MVT::f32,
/* 51115*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->51140
/* 51118*/    OPC_Scope, 9, /*->51129*/ // 2 children in Scope
/* 51120*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 51122*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_S_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 51129*/    /*Scope*/ 9, /*->51139*/
/* 51130*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 51132*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_SINT_I32_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I32_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 51139*/    0, /*End of Scope*/
/* 51140*/   /*SwitchType*/ 22, MVT::i64,// ->51164
/* 51142*/    OPC_Scope, 9, /*->51153*/ // 2 children in Scope
/* 51144*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 51146*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_S_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 51153*/    /*Scope*/ 9, /*->51163*/
/* 51154*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 51156*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_SINT_I64_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I64_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 51163*/    0, /*End of Scope*/
/* 51164*/   0, // EndSwitchType
/* 51165*/  /*Scope*/ 52, /*->51218*/
/* 51166*/   OPC_CheckChild0Type, MVT::f64,
/* 51168*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->51193
/* 51171*/    OPC_Scope, 9, /*->51182*/ // 2 children in Scope
/* 51173*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 51175*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_S_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 51182*/    /*Scope*/ 9, /*->51192*/
/* 51183*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 51185*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_SINT_I32_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I32_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 51192*/    0, /*End of Scope*/
/* 51193*/   /*SwitchType*/ 22, MVT::i64,// ->51217
/* 51195*/    OPC_Scope, 9, /*->51206*/ // 2 children in Scope
/* 51197*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 51199*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_S_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 51206*/    /*Scope*/ 9, /*->51216*/
/* 51207*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 51209*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_SINT_I64_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I64_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 51216*/    0, /*End of Scope*/
/* 51217*/   0, // EndSwitchType
/* 51218*/  /*Scope*/ 11, /*->51230*/
/* 51219*/   OPC_CheckType, MVT::v4i32,
/* 51221*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 51223*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::fp_to_sint_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (fp_to_sint:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
             // Dst: (fp_to_sint_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 51230*/  0, /*End of Scope*/
/* 51231*/ /*SwitchOpcode*/ 121, TARGET_VAL(ISD::FP_TO_UINT),// ->51355
/* 51234*/  OPC_RecordChild0, // #0 = $src
/* 51235*/  OPC_Scope, 52, /*->51289*/ // 3 children in Scope
/* 51237*/   OPC_CheckChild0Type, MVT::f32,
/* 51239*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->51264
/* 51242*/    OPC_Scope, 9, /*->51253*/ // 2 children in Scope
/* 51244*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 51246*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_U_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 51253*/    /*Scope*/ 9, /*->51263*/
/* 51254*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 51256*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_UINT_I32_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I32_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 51263*/    0, /*End of Scope*/
/* 51264*/   /*SwitchType*/ 22, MVT::i64,// ->51288
/* 51266*/    OPC_Scope, 9, /*->51277*/ // 2 children in Scope
/* 51268*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 51270*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_U_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 51277*/    /*Scope*/ 9, /*->51287*/
/* 51278*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 51280*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_UINT_I64_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I64_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 51287*/    0, /*End of Scope*/
/* 51288*/   0, // EndSwitchType
/* 51289*/  /*Scope*/ 52, /*->51342*/
/* 51290*/   OPC_CheckChild0Type, MVT::f64,
/* 51292*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->51317
/* 51295*/    OPC_Scope, 9, /*->51306*/ // 2 children in Scope
/* 51297*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 51299*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_U_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 51306*/    /*Scope*/ 9, /*->51316*/
/* 51307*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 51309*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_UINT_I32_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I32_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 51316*/    0, /*End of Scope*/
/* 51317*/   /*SwitchType*/ 22, MVT::i64,// ->51341
/* 51319*/    OPC_Scope, 9, /*->51330*/ // 2 children in Scope
/* 51321*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 51323*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_U_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 51330*/    /*Scope*/ 9, /*->51340*/
/* 51331*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 51333*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_UINT_I64_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I64_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 51340*/    0, /*End of Scope*/
/* 51341*/   0, // EndSwitchType
/* 51342*/  /*Scope*/ 11, /*->51354*/
/* 51343*/   OPC_CheckType, MVT::v4i32,
/* 51345*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 51347*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::fp_to_uint_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (fp_to_uint:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
             // Dst: (fp_to_uint_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 51354*/  0, /*End of Scope*/
/* 51355*/ /*SwitchOpcode*/ 81, TARGET_VAL(ISD::FP_TO_SINT_SAT),// ->51439
/* 51358*/  OPC_RecordChild0, // #0 = $src
/* 51359*/  OPC_Scope, 31, /*->51392*/ // 3 children in Scope
/* 51361*/   OPC_CheckChild0Type, MVT::f32,
/* 51363*/   OPC_MoveChild1,
/* 51364*/   OPC_Scope, 12, /*->51378*/ // 2 children in Scope
/* 51366*/    OPC_CheckValueType, MVT::i32,
/* 51368*/    OPC_MoveParent,
/* 51369*/    OPC_CheckType, MVT::i32,
/* 51371*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i32] } F32:{ *:[f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_S_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 51378*/   /*Scope*/ 12, /*->51391*/
/* 51379*/    OPC_CheckValueType, MVT::i64,
/* 51381*/    OPC_MoveParent,
/* 51382*/    OPC_CheckType, MVT::i64,
/* 51384*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F32), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i64] } F32:{ *:[f32] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_S_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 51391*/   0, /*End of Scope*/
/* 51392*/  /*Scope*/ 31, /*->51424*/
/* 51393*/   OPC_CheckChild0Type, MVT::f64,
/* 51395*/   OPC_MoveChild1,
/* 51396*/   OPC_Scope, 12, /*->51410*/ // 2 children in Scope
/* 51398*/    OPC_CheckValueType, MVT::i32,
/* 51400*/    OPC_MoveParent,
/* 51401*/    OPC_CheckType, MVT::i32,
/* 51403*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F64), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i32] } F64:{ *:[f64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_S_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 51410*/   /*Scope*/ 12, /*->51423*/
/* 51411*/    OPC_CheckValueType, MVT::i64,
/* 51413*/    OPC_MoveParent,
/* 51414*/    OPC_CheckType, MVT::i64,
/* 51416*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i64] } F64:{ *:[f64] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_S_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 51423*/   0, /*End of Scope*/
/* 51424*/  /*Scope*/ 13, /*->51438*/
/* 51425*/   OPC_MoveChild1,
/* 51426*/   OPC_CheckValueType, MVT::i32,
/* 51428*/   OPC_MoveParent,
/* 51429*/   OPC_CheckType, MVT::v4i32,
/* 51431*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::fp_to_sint_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (fp_to_sint_sat:{ *:[v4i32] } V128:{ *:[v4f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
             // Dst: (fp_to_sint_I32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$src)
/* 51438*/  0, /*End of Scope*/
/* 51439*/ /*SwitchOpcode*/ 81, TARGET_VAL(ISD::FP_TO_UINT_SAT),// ->51523
/* 51442*/  OPC_RecordChild0, // #0 = $src
/* 51443*/  OPC_Scope, 31, /*->51476*/ // 3 children in Scope
/* 51445*/   OPC_CheckChild0Type, MVT::f32,
/* 51447*/   OPC_MoveChild1,
/* 51448*/   OPC_Scope, 12, /*->51462*/ // 2 children in Scope
/* 51450*/    OPC_CheckValueType, MVT::i32,
/* 51452*/    OPC_MoveParent,
/* 51453*/    OPC_CheckType, MVT::i32,
/* 51455*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i32] } F32:{ *:[f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_U_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 51462*/   /*Scope*/ 12, /*->51475*/
/* 51463*/    OPC_CheckValueType, MVT::i64,
/* 51465*/    OPC_MoveParent,
/* 51466*/    OPC_CheckType, MVT::i64,
/* 51468*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F32), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i64] } F32:{ *:[f32] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_U_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 51475*/   0, /*End of Scope*/
/* 51476*/  /*Scope*/ 31, /*->51508*/
/* 51477*/   OPC_CheckChild0Type, MVT::f64,
/* 51479*/   OPC_MoveChild1,
/* 51480*/   OPC_Scope, 12, /*->51494*/ // 2 children in Scope
/* 51482*/    OPC_CheckValueType, MVT::i32,
/* 51484*/    OPC_MoveParent,
/* 51485*/    OPC_CheckType, MVT::i32,
/* 51487*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F64), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i32] } F64:{ *:[f64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_U_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 51494*/   /*Scope*/ 12, /*->51507*/
/* 51495*/    OPC_CheckValueType, MVT::i64,
/* 51497*/    OPC_MoveParent,
/* 51498*/    OPC_CheckType, MVT::i64,
/* 51500*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i64] } F64:{ *:[f64] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_U_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 51507*/   0, /*End of Scope*/
/* 51508*/  /*Scope*/ 13, /*->51522*/
/* 51509*/   OPC_MoveChild1,
/* 51510*/   OPC_CheckValueType, MVT::i32,
/* 51512*/   OPC_MoveParent,
/* 51513*/   OPC_CheckType, MVT::v4i32,
/* 51515*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::fp_to_uint_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (fp_to_uint_sat:{ *:[v4i32] } V128:{ *:[v4f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
             // Dst: (fp_to_uint_I32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$src)
/* 51522*/  0, /*End of Scope*/
/* 51523*/ /*SwitchOpcode*/ 103|128,1/*231*/, TARGET_VAL(ISD::BITCAST),// ->51758
/* 51527*/  OPC_RecordChild0, // #0 = $src
/* 51528*/  OPC_Scope, 11, /*->51541*/ // 10 children in Scope
/* 51530*/   OPC_CheckChild0Type, MVT::f32,
/* 51532*/   OPC_CheckType, MVT::i32,
/* 51534*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_REINTERPRET_F32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (I32_REINTERPRET_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 51541*/  /*Scope*/ 11, /*->51553*/
/* 51542*/   OPC_CheckChild0Type, MVT::f64,
/* 51544*/   OPC_CheckType, MVT::i64,
/* 51546*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_REINTERPRET_F64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (I64_REINTERPRET_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 51553*/  /*Scope*/ 11, /*->51565*/
/* 51554*/   OPC_CheckChild0Type, MVT::i32,
/* 51556*/   OPC_CheckType, MVT::f32,
/* 51558*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_REINTERPRET_I32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (F32_REINTERPRET_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 51565*/  /*Scope*/ 11, /*->51577*/
/* 51566*/   OPC_CheckChild0Type, MVT::i64,
/* 51568*/   OPC_CheckType, MVT::f64,
/* 51570*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_REINTERPRET_I64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (F64_REINTERPRET_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 51577*/  /*Scope*/ 29, /*->51607*/
/* 51578*/   OPC_CheckChild0Type, MVT::v8i16,
/* 51580*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51586
/* 51583*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51586*/   /*SwitchType*/ 3, MVT::v4i32,// ->51591
/* 51588*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51591*/   /*SwitchType*/ 3, MVT::v2i64,// ->51596
/* 51593*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51596*/   /*SwitchType*/ 3, MVT::v4f32,// ->51601
/* 51598*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51601*/   /*SwitchType*/ 3, MVT::v2f64,// ->51606
/* 51603*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51606*/   0, // EndSwitchType
/* 51607*/  /*Scope*/ 29, /*->51637*/
/* 51608*/   OPC_CheckChild0Type, MVT::v4i32,
/* 51610*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51616
/* 51613*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51616*/   /*SwitchType*/ 3, MVT::v8i16,// ->51621
/* 51618*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51621*/   /*SwitchType*/ 3, MVT::v2i64,// ->51626
/* 51623*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51626*/   /*SwitchType*/ 3, MVT::v4f32,// ->51631
/* 51628*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51631*/   /*SwitchType*/ 3, MVT::v2f64,// ->51636
/* 51633*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51636*/   0, // EndSwitchType
/* 51637*/  /*Scope*/ 29, /*->51667*/
/* 51638*/   OPC_CheckChild0Type, MVT::v2i64,
/* 51640*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51646
/* 51643*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51646*/   /*SwitchType*/ 3, MVT::v8i16,// ->51651
/* 51648*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51651*/   /*SwitchType*/ 3, MVT::v4i32,// ->51656
/* 51653*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51656*/   /*SwitchType*/ 3, MVT::v4f32,// ->51661
/* 51658*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51661*/   /*SwitchType*/ 3, MVT::v2f64,// ->51666
/* 51663*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51666*/   0, // EndSwitchType
/* 51667*/  /*Scope*/ 29, /*->51697*/
/* 51668*/   OPC_CheckChild0Type, MVT::v4f32,
/* 51670*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51676
/* 51673*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51676*/   /*SwitchType*/ 3, MVT::v8i16,// ->51681
/* 51678*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51681*/   /*SwitchType*/ 3, MVT::v4i32,// ->51686
/* 51683*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51686*/   /*SwitchType*/ 3, MVT::v2i64,// ->51691
/* 51688*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51691*/   /*SwitchType*/ 3, MVT::v2f64,// ->51696
/* 51693*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51696*/   0, // EndSwitchType
/* 51697*/  /*Scope*/ 29, /*->51727*/
/* 51698*/   OPC_CheckChild0Type, MVT::v2f64,
/* 51700*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51706
/* 51703*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51706*/   /*SwitchType*/ 3, MVT::v8i16,// ->51711
/* 51708*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51711*/   /*SwitchType*/ 3, MVT::v4i32,// ->51716
/* 51713*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51716*/   /*SwitchType*/ 3, MVT::v2i64,// ->51721
/* 51718*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51721*/   /*SwitchType*/ 3, MVT::v4f32,// ->51726
/* 51723*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51726*/   0, // EndSwitchType
/* 51727*/  /*Scope*/ 29, /*->51757*/
/* 51728*/   OPC_CheckChild0Type, MVT::v16i8,
/* 51730*/   OPC_SwitchType /*5 cases */, 3, MVT::v8i16,// ->51736
/* 51733*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51736*/   /*SwitchType*/ 3, MVT::v4i32,// ->51741
/* 51738*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51741*/   /*SwitchType*/ 3, MVT::v2i64,// ->51746
/* 51743*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51746*/   /*SwitchType*/ 3, MVT::v4f32,// ->51751
/* 51748*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51751*/   /*SwitchType*/ 3, MVT::v2f64,// ->51756
/* 51753*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51756*/   0, // EndSwitchType
/* 51757*/  0, /*End of Scope*/
/* 51758*/ /*SwitchOpcode*/ 25, TARGET_VAL(ISD::ConstantFP),// ->51786
/* 51761*/  OPC_RecordNode, // #0 = $imm
/* 51762*/  OPC_SwitchType /*2 cases */, 9, MVT::f32,// ->51774
/* 51765*/   OPC_EmitConvertToTarget, 0,
/* 51767*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_F32), 0,
                 MVT::f32, 1/*#Ops*/, 1, 
             // Src: (fpimm:{ *:[f32] }):$imm - Complexity = 3
             // Dst: (CONST_F32:{ *:[f32] } (fpimm:{ *:[f32] }):$imm)
/* 51774*/  /*SwitchType*/ 9, MVT::f64,// ->51785
/* 51776*/   OPC_EmitConvertToTarget, 0,
/* 51778*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_F64), 0,
                 MVT::f64, 1/*#Ops*/, 1, 
             // Src: (fpimm:{ *:[f64] }):$imm - Complexity = 3
             // Dst: (CONST_F64:{ *:[f64] } (fpimm:{ *:[f64] }):$imm)
/* 51785*/  0, // EndSwitchType
/* 51786*/ /*SwitchOpcode*/ 61, TARGET_VAL(ISD::SINT_TO_FP),// ->51850
/* 51789*/  OPC_RecordChild0, // #0 = $src
/* 51790*/  OPC_Scope, 22, /*->51814*/ // 3 children in Scope
/* 51792*/   OPC_CheckChild0Type, MVT::i32,
/* 51794*/   OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->51804
/* 51797*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_CONVERT_S_I32), 0,
                  MVT::f32, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_S_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 51804*/   /*SwitchType*/ 7, MVT::f64,// ->51813
/* 51806*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_CONVERT_S_I32), 0,
                  MVT::f64, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f64] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_S_I32:{ *:[f64] } I32:{ *:[i32] }:$src)
/* 51813*/   0, // EndSwitchType
/* 51814*/  /*Scope*/ 22, /*->51837*/
/* 51815*/   OPC_CheckChild0Type, MVT::i64,
/* 51817*/   OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->51827
/* 51820*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_CONVERT_S_I64), 0,
                  MVT::f32, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f32] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_S_I64:{ *:[f32] } I64:{ *:[i64] }:$src)
/* 51827*/   /*SwitchType*/ 7, MVT::f64,// ->51836
/* 51829*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_CONVERT_S_I64), 0,
                  MVT::f64, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_S_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 51836*/   0, // EndSwitchType
/* 51837*/  /*Scope*/ 11, /*->51849*/
/* 51838*/   OPC_CheckType, MVT::v4f32,
/* 51840*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 51842*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::sint_to_fp_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (sint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (sint_to_fp_F32x4:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec)
/* 51849*/  0, /*End of Scope*/
/* 51850*/ /*SwitchOpcode*/ 61, TARGET_VAL(ISD::UINT_TO_FP),// ->51914
/* 51853*/  OPC_RecordChild0, // #0 = $src
/* 51854*/  OPC_Scope, 22, /*->51878*/ // 3 children in Scope
/* 51856*/   OPC_CheckChild0Type, MVT::i32,
/* 51858*/   OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->51868
/* 51861*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_CONVERT_U_I32), 0,
                  MVT::f32, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_U_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 51868*/   /*SwitchType*/ 7, MVT::f64,// ->51877
/* 51870*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_CONVERT_U_I32), 0,
                  MVT::f64, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f64] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_U_I32:{ *:[f64] } I32:{ *:[i32] }:$src)
/* 51877*/   0, // EndSwitchType
/* 51878*/  /*Scope*/ 22, /*->51901*/
/* 51879*/   OPC_CheckChild0Type, MVT::i64,
/* 51881*/   OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->51891
/* 51884*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_CONVERT_U_I64), 0,
                  MVT::f32, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f32] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_U_I64:{ *:[f32] } I64:{ *:[i64] }:$src)
/* 51891*/   /*SwitchType*/ 7, MVT::f64,// ->51900
/* 51893*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_CONVERT_U_I64), 0,
                  MVT::f64, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_U_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 51900*/   0, // EndSwitchType
/* 51901*/  /*Scope*/ 11, /*->51913*/
/* 51902*/   OPC_CheckType, MVT::v4f32,
/* 51904*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 51906*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::uint_to_fp_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (uint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (uint_to_fp_F32x4:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec)
/* 51913*/  0, /*End of Scope*/
/* 51914*/ /*SwitchOpcode*/ 8, TARGET_VAL(ISD::FP_EXTEND),// ->51925
/* 51917*/  OPC_RecordChild0, // #0 = $src
/* 51918*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_PROMOTE_F32), 0,
                MVT::f64, 1/*#Ops*/, 0, 
            // Src: (fpextend:{ *:[f64] } F32:{ *:[f32] }:$src) - Complexity = 3
            // Dst: (F64_PROMOTE_F32:{ *:[f64] } F32:{ *:[f32] }:$src)
/* 51925*/ /*SwitchOpcode*/ 8, TARGET_VAL(ISD::FP_ROUND),// ->51936
/* 51928*/  OPC_RecordChild0, // #0 = $src
/* 51929*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_DEMOTE_F64), 0,
                MVT::f32, 1/*#Ops*/, 0, 
            // Src: (fpround:{ *:[f32] } F64:{ *:[f64] }:$src) - Complexity = 3
            // Dst: (F32_DEMOTE_F64:{ *:[f32] } F64:{ *:[f64] }:$src)
/* 51936*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FADD),// ->51987
/* 51939*/  OPC_RecordChild0, // #0 = $lhs
/* 51940*/  OPC_RecordChild1, // #1 = $rhs
/* 51941*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->51952
/* 51944*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (ADD_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 51952*/  /*SwitchType*/ 8, MVT::f64,// ->51962
/* 51954*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (ADD_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 51962*/  /*SwitchType*/ 10, MVT::v4f32,// ->51974
/* 51964*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 51966*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (ADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 51974*/  /*SwitchType*/ 10, MVT::v2f64,// ->51986
/* 51976*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 51978*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (ADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 51986*/  0, // EndSwitchType
/* 51987*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FSUB),// ->52038
/* 51990*/  OPC_RecordChild0, // #0 = $lhs
/* 51991*/  OPC_RecordChild1, // #1 = $rhs
/* 51992*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->52003
/* 51995*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (SUB_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 52003*/  /*SwitchType*/ 8, MVT::f64,// ->52013
/* 52005*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (SUB_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 52013*/  /*SwitchType*/ 10, MVT::v4f32,// ->52025
/* 52015*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52017*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (SUB_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 52025*/  /*SwitchType*/ 10, MVT::v2f64,// ->52037
/* 52027*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52029*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (SUB_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 52037*/  0, // EndSwitchType
/* 52038*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FMUL),// ->52089
/* 52041*/  OPC_RecordChild0, // #0 = $lhs
/* 52042*/  OPC_RecordChild1, // #1 = $rhs
/* 52043*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->52054
/* 52046*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MUL_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 52054*/  /*SwitchType*/ 8, MVT::f64,// ->52064
/* 52056*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MUL_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 52064*/  /*SwitchType*/ 10, MVT::v4f32,// ->52076
/* 52066*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52068*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MUL_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 52076*/  /*SwitchType*/ 10, MVT::v2f64,// ->52088
/* 52078*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52080*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MUL_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 52088*/  0, // EndSwitchType
/* 52089*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FDIV),// ->52140
/* 52092*/  OPC_RecordChild0, // #0 = $lhs
/* 52093*/  OPC_RecordChild1, // #1 = $rhs
/* 52094*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->52105
/* 52097*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (DIV_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 52105*/  /*SwitchType*/ 8, MVT::f64,// ->52115
/* 52107*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (DIV_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 52115*/  /*SwitchType*/ 10, MVT::v4f32,// ->52127
/* 52117*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52119*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (DIV_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 52127*/  /*SwitchType*/ 10, MVT::v2f64,// ->52139
/* 52129*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52131*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (DIV_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 52139*/  0, // EndSwitchType
/* 52140*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FSQRT),// ->52186
/* 52143*/  OPC_RecordChild0, // #0 = $src
/* 52144*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->52154
/* 52147*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SQRT_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (SQRT_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 52154*/  /*SwitchType*/ 7, MVT::f64,// ->52163
/* 52156*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SQRT_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (SQRT_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 52163*/  /*SwitchType*/ 9, MVT::v4f32,// ->52174
/* 52165*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52167*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SQRT_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (SQRT_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52174*/  /*SwitchType*/ 9, MVT::v2f64,// ->52185
/* 52176*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52178*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SQRT_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (SQRT_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52185*/  0, // EndSwitchType
/* 52186*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FABS),// ->52232
/* 52189*/  OPC_RecordChild0, // #0 = $src
/* 52190*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->52200
/* 52193*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (ABS_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 52200*/  /*SwitchType*/ 7, MVT::f64,// ->52209
/* 52202*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (ABS_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 52209*/  /*SwitchType*/ 9, MVT::v4f32,// ->52220
/* 52211*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52213*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (ABS_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52220*/  /*SwitchType*/ 9, MVT::v2f64,// ->52231
/* 52222*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52224*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (ABS_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52231*/  0, // EndSwitchType
/* 52232*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FNEG),// ->52278
/* 52235*/  OPC_RecordChild0, // #0 = $src
/* 52236*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->52246
/* 52239*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEG_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 52246*/  /*SwitchType*/ 7, MVT::f64,// ->52255
/* 52248*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEG_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 52255*/  /*SwitchType*/ 9, MVT::v4f32,// ->52266
/* 52257*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52259*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (NEG_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52266*/  /*SwitchType*/ 9, MVT::v2f64,// ->52277
/* 52268*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52270*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (NEG_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52277*/  0, // EndSwitchType
/* 52278*/ /*SwitchOpcode*/ 68, TARGET_VAL(ISD::FCOPYSIGN),// ->52349
/* 52281*/  OPC_RecordChild0, // #0 = $lhs
/* 52282*/  OPC_RecordChild1, // #1 = $rhs
/* 52283*/  OPC_Scope, 31, /*->52316*/ // 2 children in Scope
/* 52285*/   OPC_CheckChild1Type, MVT::f32,
/* 52287*/   OPC_SwitchType /*2 cases */, 8, MVT::f32,// ->52298
/* 52290*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::COPYSIGN_F32), 0,
                  MVT::f32, 2/*#Ops*/, 0, 1, 
              // Src: (fcopysign:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 52298*/   /*SwitchType*/ 15, MVT::f64,// ->52315
/* 52300*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::F64_PROMOTE_F32), 0,
                  MVT::f64, 1/*#Ops*/, 1,  // Results = #2
/* 52307*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::COPYSIGN_F64), 0,
                  MVT::f64, 2/*#Ops*/, 0, 2, 
              // Src: (fcopysign:{ *:[f64] } F64:{ *:[f64] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, (F64_PROMOTE_F32:{ *:[f64] } F32:{ *:[f32] }:$rhs))
/* 52315*/   0, // EndSwitchType
/* 52316*/  /*Scope*/ 31, /*->52348*/
/* 52317*/   OPC_CheckChild1Type, MVT::f64,
/* 52319*/   OPC_SwitchType /*2 cases */, 8, MVT::f64,// ->52330
/* 52322*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::COPYSIGN_F64), 0,
                  MVT::f64, 2/*#Ops*/, 0, 1, 
              // Src: (fcopysign:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 52330*/   /*SwitchType*/ 15, MVT::f32,// ->52347
/* 52332*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::F32_DEMOTE_F64), 0,
                  MVT::f32, 1/*#Ops*/, 1,  // Results = #2
/* 52339*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::COPYSIGN_F32), 0,
                  MVT::f32, 2/*#Ops*/, 0, 2, 
              // Src: (fcopysign:{ *:[f32] } F32:{ *:[f32] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, (F32_DEMOTE_F64:{ *:[f32] } F64:{ *:[f64] }:$rhs))
/* 52347*/   0, // EndSwitchType
/* 52348*/  0, /*End of Scope*/
/* 52349*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FMINIMUM),// ->52400
/* 52352*/  OPC_RecordChild0, // #0 = $lhs
/* 52353*/  OPC_RecordChild1, // #1 = $rhs
/* 52354*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->52365
/* 52357*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MIN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 52365*/  /*SwitchType*/ 8, MVT::f64,// ->52375
/* 52367*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MIN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 52375*/  /*SwitchType*/ 10, MVT::v4f32,// ->52387
/* 52377*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52379*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 52387*/  /*SwitchType*/ 10, MVT::v2f64,// ->52399
/* 52389*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52391*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 52399*/  0, // EndSwitchType
/* 52400*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FMAXIMUM),// ->52451
/* 52403*/  OPC_RecordChild0, // #0 = $lhs
/* 52404*/  OPC_RecordChild1, // #1 = $rhs
/* 52405*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->52416
/* 52408*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MAX_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 52416*/  /*SwitchType*/ 8, MVT::f64,// ->52426
/* 52418*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MAX_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 52426*/  /*SwitchType*/ 10, MVT::v4f32,// ->52438
/* 52428*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52430*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 52438*/  /*SwitchType*/ 10, MVT::v2f64,// ->52450
/* 52440*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52442*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 52450*/  0, // EndSwitchType
/* 52451*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FCEIL),// ->52497
/* 52454*/  OPC_RecordChild0, // #0 = $src
/* 52455*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->52465
/* 52458*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CEIL_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (CEIL_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 52465*/  /*SwitchType*/ 7, MVT::f64,// ->52474
/* 52467*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CEIL_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (CEIL_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 52474*/  /*SwitchType*/ 9, MVT::v4f32,// ->52485
/* 52476*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52478*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CEIL_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (CEIL_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52485*/  /*SwitchType*/ 9, MVT::v2f64,// ->52496
/* 52487*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52489*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CEIL_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (CEIL_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52496*/  0, // EndSwitchType
/* 52497*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FFLOOR),// ->52543
/* 52500*/  OPC_RecordChild0, // #0 = $src
/* 52501*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->52511
/* 52504*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FLOOR_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (FLOOR_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 52511*/  /*SwitchType*/ 7, MVT::f64,// ->52520
/* 52513*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FLOOR_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (FLOOR_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 52520*/  /*SwitchType*/ 9, MVT::v4f32,// ->52531
/* 52522*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52524*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FLOOR_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (FLOOR_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52531*/  /*SwitchType*/ 9, MVT::v2f64,// ->52542
/* 52533*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52535*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FLOOR_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (FLOOR_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52542*/  0, // EndSwitchType
/* 52543*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FTRUNC),// ->52589
/* 52546*/  OPC_RecordChild0, // #0 = $src
/* 52547*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->52557
/* 52550*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TRUNC_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (TRUNC_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 52557*/  /*SwitchType*/ 7, MVT::f64,// ->52566
/* 52559*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TRUNC_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (TRUNC_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 52566*/  /*SwitchType*/ 9, MVT::v4f32,// ->52577
/* 52568*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52570*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TRUNC_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (TRUNC_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52577*/  /*SwitchType*/ 9, MVT::v2f64,// ->52588
/* 52579*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52581*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TRUNC_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (TRUNC_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52588*/  0, // EndSwitchType
/* 52589*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FNEARBYINT),// ->52635
/* 52592*/  OPC_RecordChild0, // #0 = $src
/* 52593*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->52603
/* 52596*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 52603*/  /*SwitchType*/ 7, MVT::f64,// ->52612
/* 52605*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 52612*/  /*SwitchType*/ 9, MVT::v4f32,// ->52623
/* 52614*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52616*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (NEAREST_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52623*/  /*SwitchType*/ 9, MVT::v2f64,// ->52634
/* 52625*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 52627*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (NEAREST_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52634*/  0, // EndSwitchType
/* 52635*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::FRINT),// ->52659
/* 52638*/  OPC_RecordChild0, // #0 = $src
/* 52639*/  OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->52649
/* 52642*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[f32] } f32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } f32:{ *:[f32] }:$src)
/* 52649*/  /*SwitchType*/ 7, MVT::f64,// ->52658
/* 52651*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[f64] } f64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } f64:{ *:[f64] }:$src)
/* 52658*/  0, // EndSwitchType
/* 52659*/ /*SwitchOpcode*/ 55|128,3/*439*/, TARGET_VAL(WebAssemblyISD::VEC_SHR_U),// ->53102
/* 52663*/  OPC_Scope, 46|128,2/*302*/, /*->52968*/ // 2 children in Scope
/* 52666*/   OPC_MoveChild0,
/* 52667*/   OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 52670*/   OPC_MoveChild0,
/* 52671*/   OPC_SwitchOpcode /*2 cases */, 11|128,1/*139*/, TARGET_VAL(ISD::ADD),// ->52815
/* 52676*/    OPC_RecordChild0, // #0 = $lhs
/* 52677*/    OPC_RecordChild1, // #1 = $rhs
/* 52678*/    OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52680*/    OPC_MoveParent,
/* 52681*/    OPC_MoveChild1,
/* 52682*/    OPC_CheckOpcode, TARGET_VAL(ISD::BUILD_VECTOR),
/* 52685*/    OPC_CheckChild0Integer, 2, 
/* 52687*/    OPC_CheckChild0Type, MVT::i32,
/* 52689*/    OPC_CheckChild1Integer, 2, 
/* 52691*/    OPC_CheckChild1Type, MVT::i32,
/* 52693*/    OPC_CheckChild2Integer, 2, 
/* 52695*/    OPC_CheckChild2Type, MVT::i32,
/* 52697*/    OPC_CheckChild3Integer, 2, 
/* 52699*/    OPC_CheckChild3Type, MVT::i32,
/* 52701*/    OPC_CheckChild4Integer, 2, 
/* 52703*/    OPC_CheckChild4Type, MVT::i32,
/* 52705*/    OPC_MoveChild5,
/* 52706*/    OPC_CheckInteger, 2, 
/* 52708*/    OPC_CheckType, MVT::i32,
/* 52710*/    OPC_MoveParent,
/* 52711*/    OPC_MoveChild6,
/* 52712*/    OPC_CheckInteger, 2, 
/* 52714*/    OPC_CheckType, MVT::i32,
/* 52716*/    OPC_MoveParent,
/* 52717*/    OPC_MoveChild7,
/* 52718*/    OPC_CheckInteger, 2, 
/* 52720*/    OPC_CheckType, MVT::i32,
/* 52722*/    OPC_MoveParent,
/* 52723*/    OPC_Scope, 72, /*->52797*/ // 2 children in Scope
/* 52725*/     OPC_MoveChild, 8,
/* 52727*/     OPC_CheckInteger, 2, 
/* 52729*/     OPC_CheckType, MVT::i32,
/* 52731*/     OPC_MoveParent,
/* 52732*/     OPC_MoveChild, 9,
/* 52734*/     OPC_CheckInteger, 2, 
/* 52736*/     OPC_CheckType, MVT::i32,
/* 52738*/     OPC_MoveParent,
/* 52739*/     OPC_MoveChild, 10,
/* 52741*/     OPC_CheckInteger, 2, 
/* 52743*/     OPC_CheckType, MVT::i32,
/* 52745*/     OPC_MoveParent,
/* 52746*/     OPC_MoveChild, 11,
/* 52748*/     OPC_CheckInteger, 2, 
/* 52750*/     OPC_CheckType, MVT::i32,
/* 52752*/     OPC_MoveParent,
/* 52753*/     OPC_MoveChild, 12,
/* 52755*/     OPC_CheckInteger, 2, 
/* 52757*/     OPC_CheckType, MVT::i32,
/* 52759*/     OPC_MoveParent,
/* 52760*/     OPC_MoveChild, 13,
/* 52762*/     OPC_CheckInteger, 2, 
/* 52764*/     OPC_CheckType, MVT::i32,
/* 52766*/     OPC_MoveParent,
/* 52767*/     OPC_MoveChild, 14,
/* 52769*/     OPC_CheckInteger, 2, 
/* 52771*/     OPC_CheckType, MVT::i32,
/* 52773*/     OPC_MoveParent,
/* 52774*/     OPC_MoveChild, 15,
/* 52776*/     OPC_CheckInteger, 2, 
/* 52778*/     OPC_CheckType, MVT::i32,
/* 52780*/     OPC_MoveParent,
/* 52781*/     OPC_MoveParent,
/* 52782*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52784*/     OPC_MoveParent,
/* 52785*/     OPC_CheckChild1Integer, 2, 
/* 52787*/     OPC_CheckType, MVT::v16i8,
/* 52789*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } (add:{ *:[v16i8] } (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)<<P:Predicate_add_nuw>>, (build_vector:{ *:[v16i8] } 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }))<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 99
               // Dst: (AVGR_U_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 52797*/    /*Scope*/ 16, /*->52814*/
/* 52798*/     OPC_MoveParent,
/* 52799*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52801*/     OPC_MoveParent,
/* 52802*/     OPC_CheckChild1Integer, 2, 
/* 52804*/     OPC_CheckType, MVT::v8i16,
/* 52806*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } (add:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)<<P:Predicate_add_nuw>>, (build_vector:{ *:[v8i16] } 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }))<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 59
               // Dst: (AVGR_U_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 52814*/    0, /*End of Scope*/
/* 52815*/   /*SwitchOpcode*/ 20|128,1/*148*/, TARGET_VAL(ISD::BUILD_VECTOR),// ->52967
/* 52819*/    OPC_CheckChild0Integer, 2, 
/* 52821*/    OPC_CheckChild0Type, MVT::i32,
/* 52823*/    OPC_CheckChild1Integer, 2, 
/* 52825*/    OPC_CheckChild1Type, MVT::i32,
/* 52827*/    OPC_CheckChild2Integer, 2, 
/* 52829*/    OPC_CheckChild2Type, MVT::i32,
/* 52831*/    OPC_CheckChild3Integer, 2, 
/* 52833*/    OPC_CheckChild3Type, MVT::i32,
/* 52835*/    OPC_CheckChild4Integer, 2, 
/* 52837*/    OPC_CheckChild4Type, MVT::i32,
/* 52839*/    OPC_MoveChild5,
/* 52840*/    OPC_CheckInteger, 2, 
/* 52842*/    OPC_CheckType, MVT::i32,
/* 52844*/    OPC_MoveParent,
/* 52845*/    OPC_MoveChild6,
/* 52846*/    OPC_CheckInteger, 2, 
/* 52848*/    OPC_CheckType, MVT::i32,
/* 52850*/    OPC_MoveParent,
/* 52851*/    OPC_MoveChild7,
/* 52852*/    OPC_CheckInteger, 2, 
/* 52854*/    OPC_CheckType, MVT::i32,
/* 52856*/    OPC_MoveParent,
/* 52857*/    OPC_Scope, 81, /*->52940*/ // 2 children in Scope
/* 52859*/     OPC_MoveChild, 8,
/* 52861*/     OPC_CheckInteger, 2, 
/* 52863*/     OPC_CheckType, MVT::i32,
/* 52865*/     OPC_MoveParent,
/* 52866*/     OPC_MoveChild, 9,
/* 52868*/     OPC_CheckInteger, 2, 
/* 52870*/     OPC_CheckType, MVT::i32,
/* 52872*/     OPC_MoveParent,
/* 52873*/     OPC_MoveChild, 10,
/* 52875*/     OPC_CheckInteger, 2, 
/* 52877*/     OPC_CheckType, MVT::i32,
/* 52879*/     OPC_MoveParent,
/* 52880*/     OPC_MoveChild, 11,
/* 52882*/     OPC_CheckInteger, 2, 
/* 52884*/     OPC_CheckType, MVT::i32,
/* 52886*/     OPC_MoveParent,
/* 52887*/     OPC_MoveChild, 12,
/* 52889*/     OPC_CheckInteger, 2, 
/* 52891*/     OPC_CheckType, MVT::i32,
/* 52893*/     OPC_MoveParent,
/* 52894*/     OPC_MoveChild, 13,
/* 52896*/     OPC_CheckInteger, 2, 
/* 52898*/     OPC_CheckType, MVT::i32,
/* 52900*/     OPC_MoveParent,
/* 52901*/     OPC_MoveChild, 14,
/* 52903*/     OPC_CheckInteger, 2, 
/* 52905*/     OPC_CheckType, MVT::i32,
/* 52907*/     OPC_MoveParent,
/* 52908*/     OPC_MoveChild, 15,
/* 52910*/     OPC_CheckInteger, 2, 
/* 52912*/     OPC_CheckType, MVT::i32,
/* 52914*/     OPC_MoveParent,
/* 52915*/     OPC_MoveParent,
/* 52916*/     OPC_MoveChild1,
/* 52917*/     OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 52920*/     OPC_RecordChild0, // #0 = $lhs
/* 52921*/     OPC_RecordChild1, // #1 = $rhs
/* 52922*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52924*/     OPC_MoveParent,
/* 52925*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52927*/     OPC_MoveParent,
/* 52928*/     OPC_CheckChild1Integer, 2, 
/* 52930*/     OPC_CheckType, MVT::v16i8,
/* 52932*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } (add:{ *:[v16i8] } (build_vector:{ *:[v16i8] } 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }), (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)<<P:Predicate_add_nuw>>)<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 99
               // Dst: (AVGR_U_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 52940*/    /*Scope*/ 25, /*->52966*/
/* 52941*/     OPC_MoveParent,
/* 52942*/     OPC_MoveChild1,
/* 52943*/     OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 52946*/     OPC_RecordChild0, // #0 = $lhs
/* 52947*/     OPC_RecordChild1, // #1 = $rhs
/* 52948*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52950*/     OPC_MoveParent,
/* 52951*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52953*/     OPC_MoveParent,
/* 52954*/     OPC_CheckChild1Integer, 2, 
/* 52956*/     OPC_CheckType, MVT::v8i16,
/* 52958*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } (add:{ *:[v8i16] } (build_vector:{ *:[v8i16] } 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }), (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)<<P:Predicate_add_nuw>>)<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 59
               // Dst: (AVGR_U_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 52966*/    0, /*End of Scope*/
/* 52967*/   0, // EndSwitchOpcode
/* 52968*/  /*Scope*/ 3|128,1/*131*/, /*->53101*/
/* 52970*/   OPC_RecordChild0, // #0 = $lhs
/* 52971*/   OPC_Scope, 75, /*->53048*/ // 2 children in Scope
/* 52973*/    OPC_MoveChild1,
/* 52974*/    OPC_Scope, 26, /*->53002*/ // 4 children in Scope
/* 52976*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 52979*/     OPC_MoveChild0,
/* 52980*/     OPC_CheckAndImm, 63, 
/* 52982*/     OPC_RecordChild0, // #1 = $rhs
/* 52983*/     OPC_MoveParent,
/* 52984*/     OPC_MoveParent,
/* 52985*/     OPC_CheckType, MVT::v2i64,
/* 52987*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::I32_WRAP_I64), 0,
                   MVT::i32, 1/*#Ops*/, 1,  // Results = #2
/* 52994*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 2, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 53002*/    /*Scope*/ 14, /*->53017*/
/* 53003*/     OPC_CheckAndImm, 7, 
/* 53005*/     OPC_RecordChild0, // #1 = $rhs
/* 53006*/     OPC_MoveParent,
/* 53007*/     OPC_CheckType, MVT::v16i8,
/* 53009*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 53017*/    /*Scope*/ 14, /*->53032*/
/* 53018*/     OPC_CheckAndImm, 15, 
/* 53020*/     OPC_RecordChild0, // #1 = $rhs
/* 53021*/     OPC_MoveParent,
/* 53022*/     OPC_CheckType, MVT::v8i16,
/* 53024*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 53032*/    /*Scope*/ 14, /*->53047*/
/* 53033*/     OPC_CheckAndImm, 31, 
/* 53035*/     OPC_RecordChild0, // #1 = $rhs
/* 53036*/     OPC_MoveParent,
/* 53037*/     OPC_CheckType, MVT::v4i32,
/* 53039*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 53047*/    0, /*End of Scope*/
/* 53048*/   /*Scope*/ 51, /*->53100*/
/* 53049*/    OPC_RecordChild1, // #1 = $x
/* 53050*/    OPC_SwitchType /*4 cases */, 10, MVT::v16i8,// ->53063
/* 53053*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53055*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 53063*/    /*SwitchType*/ 10, MVT::v8i16,// ->53075
/* 53065*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53067*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 53075*/    /*SwitchType*/ 10, MVT::v4i32,// ->53087
/* 53077*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53079*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 53087*/    /*SwitchType*/ 10, MVT::v2i64,// ->53099
/* 53089*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53091*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 53099*/    0, // EndSwitchType
/* 53100*/   0, /*End of Scope*/
/* 53101*/  0, /*End of Scope*/
/* 53102*/ /*SwitchOpcode*/ 21|128,5/*661*/, TARGET_VAL(ISD::BUILD_VECTOR),// ->53767
/* 53106*/  OPC_RecordChild0, // #0 = $i0
/* 53107*/  OPC_Scope, 31|128,3/*415*/, /*->53525*/ // 6 children in Scope
/* 53110*/   OPC_MoveChild0,
/* 53111*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53114*/   OPC_SwitchType /*2 cases */, 123|128,2/*379*/, MVT::i32,// ->53497
/* 53118*/    OPC_Scope, 91|128,1/*219*/, /*->53340*/ // 3 children in Scope
/* 53121*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53123*/     OPC_MoveParent,
/* 53124*/     OPC_RecordChild1, // #1 = $i1
/* 53125*/     OPC_MoveChild1,
/* 53126*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53129*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53131*/     OPC_CheckType, MVT::i32,
/* 53133*/     OPC_MoveParent,
/* 53134*/     OPC_RecordChild2, // #2 = $i2
/* 53135*/     OPC_MoveChild2,
/* 53136*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53139*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53141*/     OPC_CheckType, MVT::i32,
/* 53143*/     OPC_MoveParent,
/* 53144*/     OPC_RecordChild3, // #3 = $i3
/* 53145*/     OPC_MoveChild3,
/* 53146*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53149*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53151*/     OPC_CheckType, MVT::i32,
/* 53153*/     OPC_MoveParent,
/* 53154*/     OPC_RecordChild4, // #4 = $i4
/* 53155*/     OPC_MoveChild4,
/* 53156*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53159*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53161*/     OPC_CheckType, MVT::i32,
/* 53163*/     OPC_MoveParent,
/* 53164*/     OPC_RecordChild5, // #5 = $i5
/* 53165*/     OPC_MoveChild5,
/* 53166*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53169*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53171*/     OPC_CheckType, MVT::i32,
/* 53173*/     OPC_MoveParent,
/* 53174*/     OPC_RecordChild6, // #6 = $i6
/* 53175*/     OPC_MoveChild6,
/* 53176*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53179*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53181*/     OPC_CheckType, MVT::i32,
/* 53183*/     OPC_MoveParent,
/* 53184*/     OPC_RecordChild7, // #7 = $i7
/* 53185*/     OPC_MoveChild7,
/* 53186*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53189*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53191*/     OPC_CheckType, MVT::i32,
/* 53193*/     OPC_MoveParent,
/* 53194*/     OPC_MoveChild, 8,
/* 53196*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53199*/     OPC_RecordNode, // #8 = $i8
/* 53200*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53202*/     OPC_CheckType, MVT::i32,
/* 53204*/     OPC_MoveParent,
/* 53205*/     OPC_MoveChild, 9,
/* 53207*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53210*/     OPC_RecordNode, // #9 = $i9
/* 53211*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53213*/     OPC_CheckType, MVT::i32,
/* 53215*/     OPC_MoveParent,
/* 53216*/     OPC_MoveChild, 10,
/* 53218*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53221*/     OPC_RecordNode, // #10 = $iA
/* 53222*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53224*/     OPC_CheckType, MVT::i32,
/* 53226*/     OPC_MoveParent,
/* 53227*/     OPC_MoveChild, 11,
/* 53229*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53232*/     OPC_RecordNode, // #11 = $iB
/* 53233*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53235*/     OPC_CheckType, MVT::i32,
/* 53237*/     OPC_MoveParent,
/* 53238*/     OPC_MoveChild, 12,
/* 53240*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53243*/     OPC_RecordNode, // #12 = $iC
/* 53244*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53246*/     OPC_CheckType, MVT::i32,
/* 53248*/     OPC_MoveParent,
/* 53249*/     OPC_MoveChild, 13,
/* 53251*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53254*/     OPC_RecordNode, // #13 = $iD
/* 53255*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53257*/     OPC_CheckType, MVT::i32,
/* 53259*/     OPC_MoveParent,
/* 53260*/     OPC_MoveChild, 14,
/* 53262*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53265*/     OPC_RecordNode, // #14 = $iE
/* 53266*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53268*/     OPC_CheckType, MVT::i32,
/* 53270*/     OPC_MoveParent,
/* 53271*/     OPC_MoveChild, 15,
/* 53273*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53276*/     OPC_RecordNode, // #15 = $iF
/* 53277*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 53279*/     OPC_CheckType, MVT::i32,
/* 53281*/     OPC_MoveParent,
/* 53282*/     OPC_CheckType, MVT::v16i8,
/* 53284*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53286*/     OPC_EmitConvertToTarget, 0,
/* 53288*/     OPC_EmitConvertToTarget, 1,
/* 53290*/     OPC_EmitConvertToTarget, 2,
/* 53292*/     OPC_EmitConvertToTarget, 3,
/* 53294*/     OPC_EmitConvertToTarget, 4,
/* 53296*/     OPC_EmitConvertToTarget, 5,
/* 53298*/     OPC_EmitConvertToTarget, 6,
/* 53300*/     OPC_EmitConvertToTarget, 7,
/* 53302*/     OPC_EmitConvertToTarget, 8,
/* 53304*/     OPC_EmitConvertToTarget, 9,
/* 53306*/     OPC_EmitConvertToTarget, 10,
/* 53308*/     OPC_EmitConvertToTarget, 11,
/* 53310*/     OPC_EmitConvertToTarget, 12,
/* 53312*/     OPC_EmitConvertToTarget, 13,
/* 53314*/     OPC_EmitConvertToTarget, 14,
/* 53316*/     OPC_EmitConvertToTarget, 15,
/* 53318*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_I8x16), 0,
                   MVT::v16i8, 16/*#Ops*/, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 
               // Src: (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i0, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i1, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i2, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i3, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i4, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i5, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i6, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i7, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i8, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i9, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iA, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iB, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iC, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iD, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iE, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iF) - Complexity = 67
               // Dst: (CONST_V128_I8x16:{ *:[v16i8] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3, (imm:{ *:[i32] }):$i4, (imm:{ *:[i32] }):$i5, (imm:{ *:[i32] }):$i6, (imm:{ *:[i32] }):$i7, (imm:{ *:[i32] }):$i8, (imm:{ *:[i32] }):$i9, (imm:{ *:[i32] }):$iA, (imm:{ *:[i32] }):$iB, (imm:{ *:[i32] }):$iC, (imm:{ *:[i32] }):$iD, (imm:{ *:[i32] }):$iE, (imm:{ *:[i32] }):$iF)
/* 53340*/    /*Scope*/ 107, /*->53448*/
/* 53341*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 53343*/     OPC_MoveParent,
/* 53344*/     OPC_RecordChild1, // #1 = $i1
/* 53345*/     OPC_MoveChild1,
/* 53346*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53349*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 53351*/     OPC_CheckType, MVT::i32,
/* 53353*/     OPC_MoveParent,
/* 53354*/     OPC_RecordChild2, // #2 = $i2
/* 53355*/     OPC_MoveChild2,
/* 53356*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53359*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 53361*/     OPC_CheckType, MVT::i32,
/* 53363*/     OPC_MoveParent,
/* 53364*/     OPC_RecordChild3, // #3 = $i3
/* 53365*/     OPC_MoveChild3,
/* 53366*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53369*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 53371*/     OPC_CheckType, MVT::i32,
/* 53373*/     OPC_MoveParent,
/* 53374*/     OPC_RecordChild4, // #4 = $i4
/* 53375*/     OPC_MoveChild4,
/* 53376*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53379*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 53381*/     OPC_CheckType, MVT::i32,
/* 53383*/     OPC_MoveParent,
/* 53384*/     OPC_RecordChild5, // #5 = $i5
/* 53385*/     OPC_MoveChild5,
/* 53386*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53389*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 53391*/     OPC_CheckType, MVT::i32,
/* 53393*/     OPC_MoveParent,
/* 53394*/     OPC_RecordChild6, // #6 = $i6
/* 53395*/     OPC_MoveChild6,
/* 53396*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53399*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 53401*/     OPC_CheckType, MVT::i32,
/* 53403*/     OPC_MoveParent,
/* 53404*/     OPC_RecordChild7, // #7 = $i7
/* 53405*/     OPC_MoveChild7,
/* 53406*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53409*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 53411*/     OPC_CheckType, MVT::i32,
/* 53413*/     OPC_MoveParent,
/* 53414*/     OPC_CheckType, MVT::v8i16,
/* 53416*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53418*/     OPC_EmitConvertToTarget, 0,
/* 53420*/     OPC_EmitConvertToTarget, 1,
/* 53422*/     OPC_EmitConvertToTarget, 2,
/* 53424*/     OPC_EmitConvertToTarget, 3,
/* 53426*/     OPC_EmitConvertToTarget, 4,
/* 53428*/     OPC_EmitConvertToTarget, 5,
/* 53430*/     OPC_EmitConvertToTarget, 6,
/* 53432*/     OPC_EmitConvertToTarget, 7,
/* 53434*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_I16x8), 0,
                   MVT::v8i16, 8/*#Ops*/, 8, 9, 10, 11, 12, 13, 14, 15, 
               // Src: (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i0, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i1, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i2, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i3, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i4, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i5, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i6, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i7) - Complexity = 35
               // Dst: (CONST_V128_I16x8:{ *:[v8i16] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3, (imm:{ *:[i32] }):$i4, (imm:{ *:[i32] }):$i5, (imm:{ *:[i32] }):$i6, (imm:{ *:[i32] }):$i7)
/* 53448*/    /*Scope*/ 47, /*->53496*/
/* 53449*/     OPC_MoveParent,
/* 53450*/     OPC_RecordChild1, // #1 = $i1
/* 53451*/     OPC_MoveChild1,
/* 53452*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53455*/     OPC_CheckType, MVT::i32,
/* 53457*/     OPC_MoveParent,
/* 53458*/     OPC_RecordChild2, // #2 = $i2
/* 53459*/     OPC_MoveChild2,
/* 53460*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53463*/     OPC_CheckType, MVT::i32,
/* 53465*/     OPC_MoveParent,
/* 53466*/     OPC_RecordChild3, // #3 = $i3
/* 53467*/     OPC_MoveChild3,
/* 53468*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53471*/     OPC_CheckType, MVT::i32,
/* 53473*/     OPC_MoveParent,
/* 53474*/     OPC_CheckType, MVT::v4i32,
/* 53476*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53478*/     OPC_EmitConvertToTarget, 0,
/* 53480*/     OPC_EmitConvertToTarget, 1,
/* 53482*/     OPC_EmitConvertToTarget, 2,
/* 53484*/     OPC_EmitConvertToTarget, 3,
/* 53486*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_I32x4), 0,
                   MVT::v4i32, 4/*#Ops*/, 4, 5, 6, 7, 
               // Src: (build_vector:{ *:[v4i32] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3) - Complexity = 15
               // Dst: (CONST_V128_I32x4:{ *:[v4i32] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3)
/* 53496*/    0, /*End of Scope*/
/* 53497*/   /*SwitchType*/ 25, MVT::i64,// ->53524
/* 53499*/    OPC_MoveParent,
/* 53500*/    OPC_RecordChild1, // #1 = $i1
/* 53501*/    OPC_MoveChild1,
/* 53502*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53505*/    OPC_CheckType, MVT::i64,
/* 53507*/    OPC_MoveParent,
/* 53508*/    OPC_CheckType, MVT::v2i64,
/* 53510*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53512*/    OPC_EmitConvertToTarget, 0,
/* 53514*/    OPC_EmitConvertToTarget, 1,
/* 53516*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 2, 3, 
              // Src: (build_vector:{ *:[v2i64] } (imm:{ *:[i64] }):$i0, (imm:{ *:[i64] }):$i1) - Complexity = 9
              // Dst: (CONST_V128_I64x2:{ *:[v2i64] } (imm:{ *:[i64] }):$i0, (imm:{ *:[i64] }):$i1)
/* 53524*/   0, // EndSwitchType
/* 53525*/  /*Scope*/ 105, /*->53631*/
/* 53526*/   OPC_CheckChild0Type, MVT::i32,
/* 53528*/   OPC_CheckChild1Same, 0,
/* 53530*/   OPC_CheckChild2Same, 0,
/* 53532*/   OPC_CheckChild3Same, 0,
/* 53534*/   OPC_Scope, 82, /*->53618*/ // 2 children in Scope
/* 53536*/    OPC_MoveChild4,
/* 53537*/    OPC_CheckSame, 0,
/* 53539*/    OPC_MoveParent,
/* 53540*/    OPC_MoveChild5,
/* 53541*/    OPC_CheckSame, 0,
/* 53543*/    OPC_MoveParent,
/* 53544*/    OPC_MoveChild6,
/* 53545*/    OPC_CheckSame, 0,
/* 53547*/    OPC_MoveParent,
/* 53548*/    OPC_MoveChild7,
/* 53549*/    OPC_CheckSame, 0,
/* 53551*/    OPC_MoveParent,
/* 53552*/    OPC_Scope, 51, /*->53605*/ // 2 children in Scope
/* 53554*/     OPC_MoveChild, 8,
/* 53556*/     OPC_CheckSame, 0,
/* 53558*/     OPC_MoveParent,
/* 53559*/     OPC_MoveChild, 9,
/* 53561*/     OPC_CheckSame, 0,
/* 53563*/     OPC_MoveParent,
/* 53564*/     OPC_MoveChild, 10,
/* 53566*/     OPC_CheckSame, 0,
/* 53568*/     OPC_MoveParent,
/* 53569*/     OPC_MoveChild, 11,
/* 53571*/     OPC_CheckSame, 0,
/* 53573*/     OPC_MoveParent,
/* 53574*/     OPC_MoveChild, 12,
/* 53576*/     OPC_CheckSame, 0,
/* 53578*/     OPC_MoveParent,
/* 53579*/     OPC_MoveChild, 13,
/* 53581*/     OPC_CheckSame, 0,
/* 53583*/     OPC_MoveParent,
/* 53584*/     OPC_MoveChild, 14,
/* 53586*/     OPC_CheckSame, 0,
/* 53588*/     OPC_MoveParent,
/* 53589*/     OPC_MoveChild, 15,
/* 53591*/     OPC_CheckSame, 0,
/* 53593*/     OPC_MoveParent,
/* 53594*/     OPC_CheckType, MVT::v16i8,
/* 53596*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53598*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I8x16), 0,
                   MVT::v16i8, 1/*#Ops*/, 0, 
               // Src: (build_vector:{ *:[v16i8] } I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I8x16:{ *:[v16i8] } I32:{ *:[i32] }:$x)
/* 53605*/    /*Scope*/ 11, /*->53617*/
/* 53606*/     OPC_CheckType, MVT::v8i16,
/* 53608*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53610*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I16x8), 0,
                   MVT::v8i16, 1/*#Ops*/, 0, 
               // Src: (build_vector:{ *:[v8i16] } I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I16x8:{ *:[v8i16] } I32:{ *:[i32] }:$x)
/* 53617*/    0, /*End of Scope*/
/* 53618*/   /*Scope*/ 11, /*->53630*/
/* 53619*/    OPC_CheckType, MVT::v4i32,
/* 53621*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53623*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I32x4), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (build_vector:{ *:[v4i32] } I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SPLAT_I32x4:{ *:[v4i32] } I32:{ *:[i32] }:$x)
/* 53630*/   0, /*End of Scope*/
/* 53631*/  /*Scope*/ 15, /*->53647*/
/* 53632*/   OPC_CheckChild0Type, MVT::i64,
/* 53634*/   OPC_CheckChild1Same, 0,
/* 53636*/   OPC_CheckType, MVT::v2i64,
/* 53638*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53640*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (build_vector:{ *:[v2i64] } I64:{ *:[i64] }:$x, I64:{ *:[i64] }:$x) - Complexity = 3
             // Dst: (SPLAT_I64x2:{ *:[v2i64] } I64:{ *:[i64] }:$x)
/* 53647*/  /*Scope*/ 82, /*->53730*/
/* 53648*/   OPC_MoveChild0,
/* 53649*/   OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53652*/   OPC_SwitchType /*2 cases */, 47, MVT::f32,// ->53702
/* 53655*/    OPC_MoveParent,
/* 53656*/    OPC_RecordChild1, // #1 = $i1
/* 53657*/    OPC_MoveChild1,
/* 53658*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53661*/    OPC_CheckType, MVT::f32,
/* 53663*/    OPC_MoveParent,
/* 53664*/    OPC_RecordChild2, // #2 = $i2
/* 53665*/    OPC_MoveChild2,
/* 53666*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53669*/    OPC_CheckType, MVT::f32,
/* 53671*/    OPC_MoveParent,
/* 53672*/    OPC_RecordChild3, // #3 = $i3
/* 53673*/    OPC_MoveChild3,
/* 53674*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53677*/    OPC_CheckType, MVT::f32,
/* 53679*/    OPC_MoveParent,
/* 53680*/    OPC_CheckType, MVT::v4f32,
/* 53682*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53684*/    OPC_EmitConvertToTarget, 0,
/* 53686*/    OPC_EmitConvertToTarget, 1,
/* 53688*/    OPC_EmitConvertToTarget, 2,
/* 53690*/    OPC_EmitConvertToTarget, 3,
/* 53692*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_F32x4), 0,
                  MVT::v4f32, 4/*#Ops*/, 4, 5, 6, 7, 
              // Src: (build_vector:{ *:[v4f32] } (fpimm:{ *:[f32] }):$i0, (fpimm:{ *:[f32] }):$i1, (fpimm:{ *:[f32] }):$i2, (fpimm:{ *:[f32] }):$i3) - Complexity = 15
              // Dst: (CONST_V128_F32x4:{ *:[v4f32] } (fpimm:{ *:[f32] }):$i0, (fpimm:{ *:[f32] }):$i1, (fpimm:{ *:[f32] }):$i2, (fpimm:{ *:[f32] }):$i3)
/* 53702*/   /*SwitchType*/ 25, MVT::f64,// ->53729
/* 53704*/    OPC_MoveParent,
/* 53705*/    OPC_RecordChild1, // #1 = $i1
/* 53706*/    OPC_MoveChild1,
/* 53707*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53710*/    OPC_CheckType, MVT::f64,
/* 53712*/    OPC_MoveParent,
/* 53713*/    OPC_CheckType, MVT::v2f64,
/* 53715*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53717*/    OPC_EmitConvertToTarget, 0,
/* 53719*/    OPC_EmitConvertToTarget, 1,
/* 53721*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_F64x2), 0,
                  MVT::v2f64, 2/*#Ops*/, 2, 3, 
              // Src: (build_vector:{ *:[v2f64] } (fpimm:{ *:[f64] }):$i0, (fpimm:{ *:[f64] }):$i1) - Complexity = 9
              // Dst: (CONST_V128_F64x2:{ *:[v2f64] } (fpimm:{ *:[f64] }):$i0, (fpimm:{ *:[f64] }):$i1)
/* 53729*/   0, // EndSwitchType
/* 53730*/  /*Scope*/ 19, /*->53750*/
/* 53731*/   OPC_CheckChild0Type, MVT::f32,
/* 53733*/   OPC_CheckChild1Same, 0,
/* 53735*/   OPC_CheckChild2Same, 0,
/* 53737*/   OPC_CheckChild3Same, 0,
/* 53739*/   OPC_CheckType, MVT::v4f32,
/* 53741*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53743*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (build_vector:{ *:[v4f32] } F32:{ *:[f32] }:$x, F32:{ *:[f32] }:$x, F32:{ *:[f32] }:$x, F32:{ *:[f32] }:$x) - Complexity = 3
             // Dst: (SPLAT_F32x4:{ *:[v4f32] } F32:{ *:[f32] }:$x)
/* 53750*/  /*Scope*/ 15, /*->53766*/
/* 53751*/   OPC_CheckChild0Type, MVT::f64,
/* 53753*/   OPC_CheckChild1Same, 0,
/* 53755*/   OPC_CheckType, MVT::v2f64,
/* 53757*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 53759*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (build_vector:{ *:[v2f64] } F64:{ *:[f64] }:$x, F64:{ *:[f64] }:$x) - Complexity = 3
             // Dst: (SPLAT_F64x2:{ *:[v2f64] } F64:{ *:[f64] }:$x)
/* 53766*/  0, /*End of Scope*/
/* 53767*/ /*SwitchOpcode*/ 5|128,11/*1413*/, TARGET_VAL(WebAssemblyISD::SHUFFLE),// ->55184
/* 53771*/  OPC_RecordChild0, // #0 = $x
/* 53772*/  OPC_Scope, 105|128,1/*233*/, /*->54008*/ // 6 children in Scope
/* 53775*/   OPC_CheckChild0Type, MVT::v16i8,
/* 53777*/   OPC_RecordChild1, // #1 = $y
/* 53778*/   OPC_CheckChild1Type, MVT::v16i8,
/* 53780*/   OPC_RecordChild2, // #2 = $m0
/* 53781*/   OPC_MoveChild2,
/* 53782*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53785*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53787*/   OPC_CheckType, MVT::i32,
/* 53789*/   OPC_MoveParent,
/* 53790*/   OPC_RecordChild3, // #3 = $m1
/* 53791*/   OPC_MoveChild3,
/* 53792*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53795*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53797*/   OPC_CheckType, MVT::i32,
/* 53799*/   OPC_MoveParent,
/* 53800*/   OPC_RecordChild4, // #4 = $m2
/* 53801*/   OPC_MoveChild4,
/* 53802*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53805*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53807*/   OPC_CheckType, MVT::i32,
/* 53809*/   OPC_MoveParent,
/* 53810*/   OPC_RecordChild5, // #5 = $m3
/* 53811*/   OPC_MoveChild5,
/* 53812*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53815*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53817*/   OPC_CheckType, MVT::i32,
/* 53819*/   OPC_MoveParent,
/* 53820*/   OPC_RecordChild6, // #6 = $m4
/* 53821*/   OPC_MoveChild6,
/* 53822*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53825*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53827*/   OPC_CheckType, MVT::i32,
/* 53829*/   OPC_MoveParent,
/* 53830*/   OPC_RecordChild7, // #7 = $m5
/* 53831*/   OPC_MoveChild7,
/* 53832*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53835*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53837*/   OPC_CheckType, MVT::i32,
/* 53839*/   OPC_MoveParent,
/* 53840*/   OPC_MoveChild, 8,
/* 53842*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53845*/   OPC_RecordNode, // #8 = $m6
/* 53846*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53848*/   OPC_CheckType, MVT::i32,
/* 53850*/   OPC_MoveParent,
/* 53851*/   OPC_MoveChild, 9,
/* 53853*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53856*/   OPC_RecordNode, // #9 = $m7
/* 53857*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53859*/   OPC_CheckType, MVT::i32,
/* 53861*/   OPC_MoveParent,
/* 53862*/   OPC_MoveChild, 10,
/* 53864*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53867*/   OPC_RecordNode, // #10 = $m8
/* 53868*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53870*/   OPC_CheckType, MVT::i32,
/* 53872*/   OPC_MoveParent,
/* 53873*/   OPC_MoveChild, 11,
/* 53875*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53878*/   OPC_RecordNode, // #11 = $m9
/* 53879*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53881*/   OPC_CheckType, MVT::i32,
/* 53883*/   OPC_MoveParent,
/* 53884*/   OPC_MoveChild, 12,
/* 53886*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53889*/   OPC_RecordNode, // #12 = $mA
/* 53890*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53892*/   OPC_CheckType, MVT::i32,
/* 53894*/   OPC_MoveParent,
/* 53895*/   OPC_MoveChild, 13,
/* 53897*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53900*/   OPC_RecordNode, // #13 = $mB
/* 53901*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53903*/   OPC_CheckType, MVT::i32,
/* 53905*/   OPC_MoveParent,
/* 53906*/   OPC_MoveChild, 14,
/* 53908*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53911*/   OPC_RecordNode, // #14 = $mC
/* 53912*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53914*/   OPC_CheckType, MVT::i32,
/* 53916*/   OPC_MoveParent,
/* 53917*/   OPC_MoveChild, 15,
/* 53919*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53922*/   OPC_RecordNode, // #15 = $mD
/* 53923*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53925*/   OPC_CheckType, MVT::i32,
/* 53927*/   OPC_MoveParent,
/* 53928*/   OPC_MoveChild, 16,
/* 53930*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53933*/   OPC_RecordNode, // #16 = $mE
/* 53934*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53936*/   OPC_CheckType, MVT::i32,
/* 53938*/   OPC_MoveParent,
/* 53939*/   OPC_MoveChild, 17,
/* 53941*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53944*/   OPC_RecordNode, // #17 = $mF
/* 53945*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53947*/   OPC_CheckType, MVT::i32,
/* 53949*/   OPC_MoveParent,
/* 53950*/   OPC_CheckType, MVT::v16i8,
/* 53952*/   OPC_EmitConvertToTarget, 2,
/* 53954*/   OPC_EmitConvertToTarget, 3,
/* 53956*/   OPC_EmitConvertToTarget, 4,
/* 53958*/   OPC_EmitConvertToTarget, 5,
/* 53960*/   OPC_EmitConvertToTarget, 6,
/* 53962*/   OPC_EmitConvertToTarget, 7,
/* 53964*/   OPC_EmitConvertToTarget, 8,
/* 53966*/   OPC_EmitConvertToTarget, 9,
/* 53968*/   OPC_EmitConvertToTarget, 10,
/* 53970*/   OPC_EmitConvertToTarget, 11,
/* 53972*/   OPC_EmitConvertToTarget, 12,
/* 53974*/   OPC_EmitConvertToTarget, 13,
/* 53976*/   OPC_EmitConvertToTarget, 14,
/* 53978*/   OPC_EmitConvertToTarget, 15,
/* 53980*/   OPC_EmitConvertToTarget, 16,
/* 53982*/   OPC_EmitConvertToTarget, 17,
/* 53984*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v16i8, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v16i8] } V128:{ *:[v16i8] }:$x, V128:{ *:[v16i8] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$x, ?:{ *:[v16i8] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 54008*/  /*Scope*/ 105|128,1/*233*/, /*->54243*/
/* 54010*/   OPC_CheckChild0Type, MVT::v8i16,
/* 54012*/   OPC_RecordChild1, // #1 = $y
/* 54013*/   OPC_CheckChild1Type, MVT::v8i16,
/* 54015*/   OPC_RecordChild2, // #2 = $m0
/* 54016*/   OPC_MoveChild2,
/* 54017*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54020*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54022*/   OPC_CheckType, MVT::i32,
/* 54024*/   OPC_MoveParent,
/* 54025*/   OPC_RecordChild3, // #3 = $m1
/* 54026*/   OPC_MoveChild3,
/* 54027*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54030*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54032*/   OPC_CheckType, MVT::i32,
/* 54034*/   OPC_MoveParent,
/* 54035*/   OPC_RecordChild4, // #4 = $m2
/* 54036*/   OPC_MoveChild4,
/* 54037*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54040*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54042*/   OPC_CheckType, MVT::i32,
/* 54044*/   OPC_MoveParent,
/* 54045*/   OPC_RecordChild5, // #5 = $m3
/* 54046*/   OPC_MoveChild5,
/* 54047*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54050*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54052*/   OPC_CheckType, MVT::i32,
/* 54054*/   OPC_MoveParent,
/* 54055*/   OPC_RecordChild6, // #6 = $m4
/* 54056*/   OPC_MoveChild6,
/* 54057*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54060*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54062*/   OPC_CheckType, MVT::i32,
/* 54064*/   OPC_MoveParent,
/* 54065*/   OPC_RecordChild7, // #7 = $m5
/* 54066*/   OPC_MoveChild7,
/* 54067*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54070*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54072*/   OPC_CheckType, MVT::i32,
/* 54074*/   OPC_MoveParent,
/* 54075*/   OPC_MoveChild, 8,
/* 54077*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54080*/   OPC_RecordNode, // #8 = $m6
/* 54081*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54083*/   OPC_CheckType, MVT::i32,
/* 54085*/   OPC_MoveParent,
/* 54086*/   OPC_MoveChild, 9,
/* 54088*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54091*/   OPC_RecordNode, // #9 = $m7
/* 54092*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54094*/   OPC_CheckType, MVT::i32,
/* 54096*/   OPC_MoveParent,
/* 54097*/   OPC_MoveChild, 10,
/* 54099*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54102*/   OPC_RecordNode, // #10 = $m8
/* 54103*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54105*/   OPC_CheckType, MVT::i32,
/* 54107*/   OPC_MoveParent,
/* 54108*/   OPC_MoveChild, 11,
/* 54110*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54113*/   OPC_RecordNode, // #11 = $m9
/* 54114*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54116*/   OPC_CheckType, MVT::i32,
/* 54118*/   OPC_MoveParent,
/* 54119*/   OPC_MoveChild, 12,
/* 54121*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54124*/   OPC_RecordNode, // #12 = $mA
/* 54125*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54127*/   OPC_CheckType, MVT::i32,
/* 54129*/   OPC_MoveParent,
/* 54130*/   OPC_MoveChild, 13,
/* 54132*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54135*/   OPC_RecordNode, // #13 = $mB
/* 54136*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54138*/   OPC_CheckType, MVT::i32,
/* 54140*/   OPC_MoveParent,
/* 54141*/   OPC_MoveChild, 14,
/* 54143*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54146*/   OPC_RecordNode, // #14 = $mC
/* 54147*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54149*/   OPC_CheckType, MVT::i32,
/* 54151*/   OPC_MoveParent,
/* 54152*/   OPC_MoveChild, 15,
/* 54154*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54157*/   OPC_RecordNode, // #15 = $mD
/* 54158*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54160*/   OPC_CheckType, MVT::i32,
/* 54162*/   OPC_MoveParent,
/* 54163*/   OPC_MoveChild, 16,
/* 54165*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54168*/   OPC_RecordNode, // #16 = $mE
/* 54169*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54171*/   OPC_CheckType, MVT::i32,
/* 54173*/   OPC_MoveParent,
/* 54174*/   OPC_MoveChild, 17,
/* 54176*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54179*/   OPC_RecordNode, // #17 = $mF
/* 54180*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54182*/   OPC_CheckType, MVT::i32,
/* 54184*/   OPC_MoveParent,
/* 54185*/   OPC_CheckType, MVT::v8i16,
/* 54187*/   OPC_EmitConvertToTarget, 2,
/* 54189*/   OPC_EmitConvertToTarget, 3,
/* 54191*/   OPC_EmitConvertToTarget, 4,
/* 54193*/   OPC_EmitConvertToTarget, 5,
/* 54195*/   OPC_EmitConvertToTarget, 6,
/* 54197*/   OPC_EmitConvertToTarget, 7,
/* 54199*/   OPC_EmitConvertToTarget, 8,
/* 54201*/   OPC_EmitConvertToTarget, 9,
/* 54203*/   OPC_EmitConvertToTarget, 10,
/* 54205*/   OPC_EmitConvertToTarget, 11,
/* 54207*/   OPC_EmitConvertToTarget, 12,
/* 54209*/   OPC_EmitConvertToTarget, 13,
/* 54211*/   OPC_EmitConvertToTarget, 14,
/* 54213*/   OPC_EmitConvertToTarget, 15,
/* 54215*/   OPC_EmitConvertToTarget, 16,
/* 54217*/   OPC_EmitConvertToTarget, 17,
/* 54219*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v8i16, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v8i16] } V128:{ *:[v8i16] }:$x, V128:{ *:[v8i16] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v8i16] } ?:{ *:[v8i16] }:$x, ?:{ *:[v8i16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 54243*/  /*Scope*/ 105|128,1/*233*/, /*->54478*/
/* 54245*/   OPC_CheckChild0Type, MVT::v4i32,
/* 54247*/   OPC_RecordChild1, // #1 = $y
/* 54248*/   OPC_CheckChild1Type, MVT::v4i32,
/* 54250*/   OPC_RecordChild2, // #2 = $m0
/* 54251*/   OPC_MoveChild2,
/* 54252*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54255*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54257*/   OPC_CheckType, MVT::i32,
/* 54259*/   OPC_MoveParent,
/* 54260*/   OPC_RecordChild3, // #3 = $m1
/* 54261*/   OPC_MoveChild3,
/* 54262*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54265*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54267*/   OPC_CheckType, MVT::i32,
/* 54269*/   OPC_MoveParent,
/* 54270*/   OPC_RecordChild4, // #4 = $m2
/* 54271*/   OPC_MoveChild4,
/* 54272*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54275*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54277*/   OPC_CheckType, MVT::i32,
/* 54279*/   OPC_MoveParent,
/* 54280*/   OPC_RecordChild5, // #5 = $m3
/* 54281*/   OPC_MoveChild5,
/* 54282*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54285*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54287*/   OPC_CheckType, MVT::i32,
/* 54289*/   OPC_MoveParent,
/* 54290*/   OPC_RecordChild6, // #6 = $m4
/* 54291*/   OPC_MoveChild6,
/* 54292*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54295*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54297*/   OPC_CheckType, MVT::i32,
/* 54299*/   OPC_MoveParent,
/* 54300*/   OPC_RecordChild7, // #7 = $m5
/* 54301*/   OPC_MoveChild7,
/* 54302*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54305*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54307*/   OPC_CheckType, MVT::i32,
/* 54309*/   OPC_MoveParent,
/* 54310*/   OPC_MoveChild, 8,
/* 54312*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54315*/   OPC_RecordNode, // #8 = $m6
/* 54316*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54318*/   OPC_CheckType, MVT::i32,
/* 54320*/   OPC_MoveParent,
/* 54321*/   OPC_MoveChild, 9,
/* 54323*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54326*/   OPC_RecordNode, // #9 = $m7
/* 54327*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54329*/   OPC_CheckType, MVT::i32,
/* 54331*/   OPC_MoveParent,
/* 54332*/   OPC_MoveChild, 10,
/* 54334*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54337*/   OPC_RecordNode, // #10 = $m8
/* 54338*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54340*/   OPC_CheckType, MVT::i32,
/* 54342*/   OPC_MoveParent,
/* 54343*/   OPC_MoveChild, 11,
/* 54345*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54348*/   OPC_RecordNode, // #11 = $m9
/* 54349*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54351*/   OPC_CheckType, MVT::i32,
/* 54353*/   OPC_MoveParent,
/* 54354*/   OPC_MoveChild, 12,
/* 54356*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54359*/   OPC_RecordNode, // #12 = $mA
/* 54360*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54362*/   OPC_CheckType, MVT::i32,
/* 54364*/   OPC_MoveParent,
/* 54365*/   OPC_MoveChild, 13,
/* 54367*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54370*/   OPC_RecordNode, // #13 = $mB
/* 54371*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54373*/   OPC_CheckType, MVT::i32,
/* 54375*/   OPC_MoveParent,
/* 54376*/   OPC_MoveChild, 14,
/* 54378*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54381*/   OPC_RecordNode, // #14 = $mC
/* 54382*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54384*/   OPC_CheckType, MVT::i32,
/* 54386*/   OPC_MoveParent,
/* 54387*/   OPC_MoveChild, 15,
/* 54389*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54392*/   OPC_RecordNode, // #15 = $mD
/* 54393*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54395*/   OPC_CheckType, MVT::i32,
/* 54397*/   OPC_MoveParent,
/* 54398*/   OPC_MoveChild, 16,
/* 54400*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54403*/   OPC_RecordNode, // #16 = $mE
/* 54404*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54406*/   OPC_CheckType, MVT::i32,
/* 54408*/   OPC_MoveParent,
/* 54409*/   OPC_MoveChild, 17,
/* 54411*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54414*/   OPC_RecordNode, // #17 = $mF
/* 54415*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54417*/   OPC_CheckType, MVT::i32,
/* 54419*/   OPC_MoveParent,
/* 54420*/   OPC_CheckType, MVT::v4i32,
/* 54422*/   OPC_EmitConvertToTarget, 2,
/* 54424*/   OPC_EmitConvertToTarget, 3,
/* 54426*/   OPC_EmitConvertToTarget, 4,
/* 54428*/   OPC_EmitConvertToTarget, 5,
/* 54430*/   OPC_EmitConvertToTarget, 6,
/* 54432*/   OPC_EmitConvertToTarget, 7,
/* 54434*/   OPC_EmitConvertToTarget, 8,
/* 54436*/   OPC_EmitConvertToTarget, 9,
/* 54438*/   OPC_EmitConvertToTarget, 10,
/* 54440*/   OPC_EmitConvertToTarget, 11,
/* 54442*/   OPC_EmitConvertToTarget, 12,
/* 54444*/   OPC_EmitConvertToTarget, 13,
/* 54446*/   OPC_EmitConvertToTarget, 14,
/* 54448*/   OPC_EmitConvertToTarget, 15,
/* 54450*/   OPC_EmitConvertToTarget, 16,
/* 54452*/   OPC_EmitConvertToTarget, 17,
/* 54454*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v4i32, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v4i32] } V128:{ *:[v4i32] }:$x, V128:{ *:[v4i32] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v4i32] } ?:{ *:[v4i32] }:$x, ?:{ *:[v4i32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 54478*/  /*Scope*/ 105|128,1/*233*/, /*->54713*/
/* 54480*/   OPC_CheckChild0Type, MVT::v2i64,
/* 54482*/   OPC_RecordChild1, // #1 = $y
/* 54483*/   OPC_CheckChild1Type, MVT::v2i64,
/* 54485*/   OPC_RecordChild2, // #2 = $m0
/* 54486*/   OPC_MoveChild2,
/* 54487*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54490*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54492*/   OPC_CheckType, MVT::i32,
/* 54494*/   OPC_MoveParent,
/* 54495*/   OPC_RecordChild3, // #3 = $m1
/* 54496*/   OPC_MoveChild3,
/* 54497*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54500*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54502*/   OPC_CheckType, MVT::i32,
/* 54504*/   OPC_MoveParent,
/* 54505*/   OPC_RecordChild4, // #4 = $m2
/* 54506*/   OPC_MoveChild4,
/* 54507*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54510*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54512*/   OPC_CheckType, MVT::i32,
/* 54514*/   OPC_MoveParent,
/* 54515*/   OPC_RecordChild5, // #5 = $m3
/* 54516*/   OPC_MoveChild5,
/* 54517*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54520*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54522*/   OPC_CheckType, MVT::i32,
/* 54524*/   OPC_MoveParent,
/* 54525*/   OPC_RecordChild6, // #6 = $m4
/* 54526*/   OPC_MoveChild6,
/* 54527*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54530*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54532*/   OPC_CheckType, MVT::i32,
/* 54534*/   OPC_MoveParent,
/* 54535*/   OPC_RecordChild7, // #7 = $m5
/* 54536*/   OPC_MoveChild7,
/* 54537*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54540*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54542*/   OPC_CheckType, MVT::i32,
/* 54544*/   OPC_MoveParent,
/* 54545*/   OPC_MoveChild, 8,
/* 54547*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54550*/   OPC_RecordNode, // #8 = $m6
/* 54551*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54553*/   OPC_CheckType, MVT::i32,
/* 54555*/   OPC_MoveParent,
/* 54556*/   OPC_MoveChild, 9,
/* 54558*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54561*/   OPC_RecordNode, // #9 = $m7
/* 54562*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54564*/   OPC_CheckType, MVT::i32,
/* 54566*/   OPC_MoveParent,
/* 54567*/   OPC_MoveChild, 10,
/* 54569*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54572*/   OPC_RecordNode, // #10 = $m8
/* 54573*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54575*/   OPC_CheckType, MVT::i32,
/* 54577*/   OPC_MoveParent,
/* 54578*/   OPC_MoveChild, 11,
/* 54580*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54583*/   OPC_RecordNode, // #11 = $m9
/* 54584*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54586*/   OPC_CheckType, MVT::i32,
/* 54588*/   OPC_MoveParent,
/* 54589*/   OPC_MoveChild, 12,
/* 54591*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54594*/   OPC_RecordNode, // #12 = $mA
/* 54595*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54597*/   OPC_CheckType, MVT::i32,
/* 54599*/   OPC_MoveParent,
/* 54600*/   OPC_MoveChild, 13,
/* 54602*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54605*/   OPC_RecordNode, // #13 = $mB
/* 54606*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54608*/   OPC_CheckType, MVT::i32,
/* 54610*/   OPC_MoveParent,
/* 54611*/   OPC_MoveChild, 14,
/* 54613*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54616*/   OPC_RecordNode, // #14 = $mC
/* 54617*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54619*/   OPC_CheckType, MVT::i32,
/* 54621*/   OPC_MoveParent,
/* 54622*/   OPC_MoveChild, 15,
/* 54624*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54627*/   OPC_RecordNode, // #15 = $mD
/* 54628*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54630*/   OPC_CheckType, MVT::i32,
/* 54632*/   OPC_MoveParent,
/* 54633*/   OPC_MoveChild, 16,
/* 54635*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54638*/   OPC_RecordNode, // #16 = $mE
/* 54639*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54641*/   OPC_CheckType, MVT::i32,
/* 54643*/   OPC_MoveParent,
/* 54644*/   OPC_MoveChild, 17,
/* 54646*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54649*/   OPC_RecordNode, // #17 = $mF
/* 54650*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54652*/   OPC_CheckType, MVT::i32,
/* 54654*/   OPC_MoveParent,
/* 54655*/   OPC_CheckType, MVT::v2i64,
/* 54657*/   OPC_EmitConvertToTarget, 2,
/* 54659*/   OPC_EmitConvertToTarget, 3,
/* 54661*/   OPC_EmitConvertToTarget, 4,
/* 54663*/   OPC_EmitConvertToTarget, 5,
/* 54665*/   OPC_EmitConvertToTarget, 6,
/* 54667*/   OPC_EmitConvertToTarget, 7,
/* 54669*/   OPC_EmitConvertToTarget, 8,
/* 54671*/   OPC_EmitConvertToTarget, 9,
/* 54673*/   OPC_EmitConvertToTarget, 10,
/* 54675*/   OPC_EmitConvertToTarget, 11,
/* 54677*/   OPC_EmitConvertToTarget, 12,
/* 54679*/   OPC_EmitConvertToTarget, 13,
/* 54681*/   OPC_EmitConvertToTarget, 14,
/* 54683*/   OPC_EmitConvertToTarget, 15,
/* 54685*/   OPC_EmitConvertToTarget, 16,
/* 54687*/   OPC_EmitConvertToTarget, 17,
/* 54689*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v2i64, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v2i64] } V128:{ *:[v2i64] }:$x, V128:{ *:[v2i64] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v2i64] } ?:{ *:[v2i64] }:$x, ?:{ *:[v2i64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 54713*/  /*Scope*/ 105|128,1/*233*/, /*->54948*/
/* 54715*/   OPC_CheckChild0Type, MVT::v4f32,
/* 54717*/   OPC_RecordChild1, // #1 = $y
/* 54718*/   OPC_CheckChild1Type, MVT::v4f32,
/* 54720*/   OPC_RecordChild2, // #2 = $m0
/* 54721*/   OPC_MoveChild2,
/* 54722*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54725*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54727*/   OPC_CheckType, MVT::i32,
/* 54729*/   OPC_MoveParent,
/* 54730*/   OPC_RecordChild3, // #3 = $m1
/* 54731*/   OPC_MoveChild3,
/* 54732*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54735*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54737*/   OPC_CheckType, MVT::i32,
/* 54739*/   OPC_MoveParent,
/* 54740*/   OPC_RecordChild4, // #4 = $m2
/* 54741*/   OPC_MoveChild4,
/* 54742*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54745*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54747*/   OPC_CheckType, MVT::i32,
/* 54749*/   OPC_MoveParent,
/* 54750*/   OPC_RecordChild5, // #5 = $m3
/* 54751*/   OPC_MoveChild5,
/* 54752*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54755*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54757*/   OPC_CheckType, MVT::i32,
/* 54759*/   OPC_MoveParent,
/* 54760*/   OPC_RecordChild6, // #6 = $m4
/* 54761*/   OPC_MoveChild6,
/* 54762*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54765*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54767*/   OPC_CheckType, MVT::i32,
/* 54769*/   OPC_MoveParent,
/* 54770*/   OPC_RecordChild7, // #7 = $m5
/* 54771*/   OPC_MoveChild7,
/* 54772*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54775*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54777*/   OPC_CheckType, MVT::i32,
/* 54779*/   OPC_MoveParent,
/* 54780*/   OPC_MoveChild, 8,
/* 54782*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54785*/   OPC_RecordNode, // #8 = $m6
/* 54786*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54788*/   OPC_CheckType, MVT::i32,
/* 54790*/   OPC_MoveParent,
/* 54791*/   OPC_MoveChild, 9,
/* 54793*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54796*/   OPC_RecordNode, // #9 = $m7
/* 54797*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54799*/   OPC_CheckType, MVT::i32,
/* 54801*/   OPC_MoveParent,
/* 54802*/   OPC_MoveChild, 10,
/* 54804*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54807*/   OPC_RecordNode, // #10 = $m8
/* 54808*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54810*/   OPC_CheckType, MVT::i32,
/* 54812*/   OPC_MoveParent,
/* 54813*/   OPC_MoveChild, 11,
/* 54815*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54818*/   OPC_RecordNode, // #11 = $m9
/* 54819*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54821*/   OPC_CheckType, MVT::i32,
/* 54823*/   OPC_MoveParent,
/* 54824*/   OPC_MoveChild, 12,
/* 54826*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54829*/   OPC_RecordNode, // #12 = $mA
/* 54830*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54832*/   OPC_CheckType, MVT::i32,
/* 54834*/   OPC_MoveParent,
/* 54835*/   OPC_MoveChild, 13,
/* 54837*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54840*/   OPC_RecordNode, // #13 = $mB
/* 54841*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54843*/   OPC_CheckType, MVT::i32,
/* 54845*/   OPC_MoveParent,
/* 54846*/   OPC_MoveChild, 14,
/* 54848*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54851*/   OPC_RecordNode, // #14 = $mC
/* 54852*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54854*/   OPC_CheckType, MVT::i32,
/* 54856*/   OPC_MoveParent,
/* 54857*/   OPC_MoveChild, 15,
/* 54859*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54862*/   OPC_RecordNode, // #15 = $mD
/* 54863*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54865*/   OPC_CheckType, MVT::i32,
/* 54867*/   OPC_MoveParent,
/* 54868*/   OPC_MoveChild, 16,
/* 54870*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54873*/   OPC_RecordNode, // #16 = $mE
/* 54874*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54876*/   OPC_CheckType, MVT::i32,
/* 54878*/   OPC_MoveParent,
/* 54879*/   OPC_MoveChild, 17,
/* 54881*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54884*/   OPC_RecordNode, // #17 = $mF
/* 54885*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54887*/   OPC_CheckType, MVT::i32,
/* 54889*/   OPC_MoveParent,
/* 54890*/   OPC_CheckType, MVT::v4f32,
/* 54892*/   OPC_EmitConvertToTarget, 2,
/* 54894*/   OPC_EmitConvertToTarget, 3,
/* 54896*/   OPC_EmitConvertToTarget, 4,
/* 54898*/   OPC_EmitConvertToTarget, 5,
/* 54900*/   OPC_EmitConvertToTarget, 6,
/* 54902*/   OPC_EmitConvertToTarget, 7,
/* 54904*/   OPC_EmitConvertToTarget, 8,
/* 54906*/   OPC_EmitConvertToTarget, 9,
/* 54908*/   OPC_EmitConvertToTarget, 10,
/* 54910*/   OPC_EmitConvertToTarget, 11,
/* 54912*/   OPC_EmitConvertToTarget, 12,
/* 54914*/   OPC_EmitConvertToTarget, 13,
/* 54916*/   OPC_EmitConvertToTarget, 14,
/* 54918*/   OPC_EmitConvertToTarget, 15,
/* 54920*/   OPC_EmitConvertToTarget, 16,
/* 54922*/   OPC_EmitConvertToTarget, 17,
/* 54924*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v4f32, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v4f32] } V128:{ *:[v4f32] }:$x, V128:{ *:[v4f32] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v4f32] } ?:{ *:[v4f32] }:$x, ?:{ *:[v4f32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 54948*/  /*Scope*/ 105|128,1/*233*/, /*->55183*/
/* 54950*/   OPC_CheckChild0Type, MVT::v2f64,
/* 54952*/   OPC_RecordChild1, // #1 = $y
/* 54953*/   OPC_CheckChild1Type, MVT::v2f64,
/* 54955*/   OPC_RecordChild2, // #2 = $m0
/* 54956*/   OPC_MoveChild2,
/* 54957*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54960*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54962*/   OPC_CheckType, MVT::i32,
/* 54964*/   OPC_MoveParent,
/* 54965*/   OPC_RecordChild3, // #3 = $m1
/* 54966*/   OPC_MoveChild3,
/* 54967*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54970*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54972*/   OPC_CheckType, MVT::i32,
/* 54974*/   OPC_MoveParent,
/* 54975*/   OPC_RecordChild4, // #4 = $m2
/* 54976*/   OPC_MoveChild4,
/* 54977*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54980*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54982*/   OPC_CheckType, MVT::i32,
/* 54984*/   OPC_MoveParent,
/* 54985*/   OPC_RecordChild5, // #5 = $m3
/* 54986*/   OPC_MoveChild5,
/* 54987*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54990*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54992*/   OPC_CheckType, MVT::i32,
/* 54994*/   OPC_MoveParent,
/* 54995*/   OPC_RecordChild6, // #6 = $m4
/* 54996*/   OPC_MoveChild6,
/* 54997*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55000*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55002*/   OPC_CheckType, MVT::i32,
/* 55004*/   OPC_MoveParent,
/* 55005*/   OPC_RecordChild7, // #7 = $m5
/* 55006*/   OPC_MoveChild7,
/* 55007*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55010*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55012*/   OPC_CheckType, MVT::i32,
/* 55014*/   OPC_MoveParent,
/* 55015*/   OPC_MoveChild, 8,
/* 55017*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55020*/   OPC_RecordNode, // #8 = $m6
/* 55021*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55023*/   OPC_CheckType, MVT::i32,
/* 55025*/   OPC_MoveParent,
/* 55026*/   OPC_MoveChild, 9,
/* 55028*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55031*/   OPC_RecordNode, // #9 = $m7
/* 55032*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55034*/   OPC_CheckType, MVT::i32,
/* 55036*/   OPC_MoveParent,
/* 55037*/   OPC_MoveChild, 10,
/* 55039*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55042*/   OPC_RecordNode, // #10 = $m8
/* 55043*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55045*/   OPC_CheckType, MVT::i32,
/* 55047*/   OPC_MoveParent,
/* 55048*/   OPC_MoveChild, 11,
/* 55050*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55053*/   OPC_RecordNode, // #11 = $m9
/* 55054*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55056*/   OPC_CheckType, MVT::i32,
/* 55058*/   OPC_MoveParent,
/* 55059*/   OPC_MoveChild, 12,
/* 55061*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55064*/   OPC_RecordNode, // #12 = $mA
/* 55065*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55067*/   OPC_CheckType, MVT::i32,
/* 55069*/   OPC_MoveParent,
/* 55070*/   OPC_MoveChild, 13,
/* 55072*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55075*/   OPC_RecordNode, // #13 = $mB
/* 55076*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55078*/   OPC_CheckType, MVT::i32,
/* 55080*/   OPC_MoveParent,
/* 55081*/   OPC_MoveChild, 14,
/* 55083*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55086*/   OPC_RecordNode, // #14 = $mC
/* 55087*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55089*/   OPC_CheckType, MVT::i32,
/* 55091*/   OPC_MoveParent,
/* 55092*/   OPC_MoveChild, 15,
/* 55094*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55097*/   OPC_RecordNode, // #15 = $mD
/* 55098*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55100*/   OPC_CheckType, MVT::i32,
/* 55102*/   OPC_MoveParent,
/* 55103*/   OPC_MoveChild, 16,
/* 55105*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55108*/   OPC_RecordNode, // #16 = $mE
/* 55109*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55111*/   OPC_CheckType, MVT::i32,
/* 55113*/   OPC_MoveParent,
/* 55114*/   OPC_MoveChild, 17,
/* 55116*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55119*/   OPC_RecordNode, // #17 = $mF
/* 55120*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 55122*/   OPC_CheckType, MVT::i32,
/* 55124*/   OPC_MoveParent,
/* 55125*/   OPC_CheckType, MVT::v2f64,
/* 55127*/   OPC_EmitConvertToTarget, 2,
/* 55129*/   OPC_EmitConvertToTarget, 3,
/* 55131*/   OPC_EmitConvertToTarget, 4,
/* 55133*/   OPC_EmitConvertToTarget, 5,
/* 55135*/   OPC_EmitConvertToTarget, 6,
/* 55137*/   OPC_EmitConvertToTarget, 7,
/* 55139*/   OPC_EmitConvertToTarget, 8,
/* 55141*/   OPC_EmitConvertToTarget, 9,
/* 55143*/   OPC_EmitConvertToTarget, 10,
/* 55145*/   OPC_EmitConvertToTarget, 11,
/* 55147*/   OPC_EmitConvertToTarget, 12,
/* 55149*/   OPC_EmitConvertToTarget, 13,
/* 55151*/   OPC_EmitConvertToTarget, 14,
/* 55153*/   OPC_EmitConvertToTarget, 15,
/* 55155*/   OPC_EmitConvertToTarget, 16,
/* 55157*/   OPC_EmitConvertToTarget, 17,
/* 55159*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v2f64, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v2f64] } V128:{ *:[v2f64] }:$x, V128:{ *:[v2f64] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v2f64] } ?:{ *:[v2f64] }:$x, ?:{ *:[v2f64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 55183*/  0, /*End of Scope*/
/* 55184*/ /*SwitchOpcode*/ 37|128,11/*1445*/, TARGET_VAL(ISD::INSERT_VECTOR_ELT),// ->56633
/* 55188*/  OPC_Scope, 36|128,6/*804*/, /*->55995*/ // 2 children in Scope
/* 55191*/   OPC_MoveChild0,
/* 55192*/   OPC_CheckOpcode, TARGET_VAL(ISD::BUILD_VECTOR),
/* 55195*/   OPC_CheckChild0Integer, 0, 
/* 55197*/   OPC_Scope, 16|128,3/*400*/, /*->55600*/ // 2 children in Scope
/* 55200*/    OPC_CheckChild0Type, MVT::i32,
/* 55202*/    OPC_CheckChild1Integer, 0, 
/* 55204*/    OPC_CheckChild1Type, MVT::i32,
/* 55206*/    OPC_CheckChild2Integer, 0, 
/* 55208*/    OPC_CheckChild2Type, MVT::i32,
/* 55210*/    OPC_CheckChild3Integer, 0, 
/* 55212*/    OPC_CheckChild3Type, MVT::i32,
/* 55214*/    OPC_MoveParent,
/* 55215*/    OPC_MoveChild1,
/* 55216*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 55219*/    OPC_RecordMemRef,
/* 55220*/    OPC_RecordNode, // #0 = 'ld' chained node
/* 55221*/    OPC_CheckFoldableChainNode,
/* 55222*/    OPC_Scope, 102|128,1/*230*/, /*->55455*/ // 2 children in Scope
/* 55225*/     OPC_MoveChild1,
/* 55226*/     OPC_SwitchOpcode /*3 cases */, 73, TARGET_VAL(ISD::ADD),// ->55303
/* 55230*/      OPC_RecordChild0, // #1 = $addr
/* 55231*/      OPC_RecordChild1, // #2 = $off
/* 55232*/      OPC_MoveChild1,
/* 55233*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55236*/      OPC_MoveParent,
/* 55237*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 55239*/      OPC_SwitchType /*2 cases */, 29, MVT::i32,// ->55271
/* 55242*/       OPC_MoveParent,
/* 55243*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55245*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55247*/       OPC_CheckType, MVT::i32,
/* 55249*/       OPC_MoveParent,
/* 55250*/       OPC_CheckChild2Integer, 0, 
/* 55252*/       OPC_CheckType, MVT::v4i32,
/* 55254*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55256*/       OPC_EmitMergeInputChains1_0,
/* 55257*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55260*/       OPC_EmitConvertToTarget, 2,
/* 55262*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 42
                 // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 55271*/      /*SwitchType*/ 29, MVT::i64,// ->55302
/* 55273*/       OPC_MoveParent,
/* 55274*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55276*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55278*/       OPC_CheckType, MVT::i32,
/* 55280*/       OPC_MoveParent,
/* 55281*/       OPC_CheckChild2Integer, 0, 
/* 55283*/       OPC_CheckType, MVT::v4i32,
/* 55285*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55287*/       OPC_EmitMergeInputChains1_0,
/* 55288*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55291*/       OPC_EmitConvertToTarget, 2,
/* 55293*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 42
                 // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 55302*/      0, // EndSwitchType
/* 55303*/     /*SwitchOpcode*/ 73, TARGET_VAL(ISD::OR),// ->55379
/* 55306*/      OPC_RecordChild0, // #1 = $addr
/* 55307*/      OPC_RecordChild1, // #2 = $off
/* 55308*/      OPC_MoveChild1,
/* 55309*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55312*/      OPC_MoveParent,
/* 55313*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 55315*/      OPC_SwitchType /*2 cases */, 29, MVT::i32,// ->55347
/* 55318*/       OPC_MoveParent,
/* 55319*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55321*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55323*/       OPC_CheckType, MVT::i32,
/* 55325*/       OPC_MoveParent,
/* 55326*/       OPC_CheckChild2Integer, 0, 
/* 55328*/       OPC_CheckType, MVT::v4i32,
/* 55330*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55332*/       OPC_EmitMergeInputChains1_0,
/* 55333*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55336*/       OPC_EmitConvertToTarget, 2,
/* 55338*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 42
                 // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 55347*/      /*SwitchType*/ 29, MVT::i64,// ->55378
/* 55349*/       OPC_MoveParent,
/* 55350*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55352*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55354*/       OPC_CheckType, MVT::i32,
/* 55356*/       OPC_MoveParent,
/* 55357*/       OPC_CheckChild2Integer, 0, 
/* 55359*/       OPC_CheckType, MVT::v4i32,
/* 55361*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55363*/       OPC_EmitMergeInputChains1_0,
/* 55364*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55367*/       OPC_EmitConvertToTarget, 2,
/* 55369*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 42
                 // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 55378*/      0, // EndSwitchType
/* 55379*/     /*SwitchOpcode*/ 72, TARGET_VAL(WebAssemblyISD::Wrapper),// ->55454
/* 55382*/      OPC_RecordChild0, // #1 = $off
/* 55383*/      OPC_MoveChild0,
/* 55384*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 55387*/      OPC_MoveParent,
/* 55388*/      OPC_MoveParent,
/* 55389*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55391*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55393*/      OPC_CheckType, MVT::i32,
/* 55395*/      OPC_MoveParent,
/* 55396*/      OPC_CheckChild2Integer, 0, 
/* 55398*/      OPC_CheckType, MVT::v4i32,
/* 55400*/      OPC_Scope, 25, /*->55427*/ // 2 children in Scope
/* 55402*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 55404*/       OPC_EmitMergeInputChains1_0,
/* 55405*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55408*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55411*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 55418*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 41
                 // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 55427*/      /*Scope*/ 25, /*->55453*/
/* 55428*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 55430*/       OPC_EmitMergeInputChains1_0,
/* 55431*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55434*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55437*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 55444*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 41
                 // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 55453*/      0, /*End of Scope*/
/* 55454*/     0, // EndSwitchOpcode
/* 55455*/    /*Scope*/ 14|128,1/*142*/, /*->55599*/
/* 55457*/     OPC_RecordChild1, // #1 = $off
/* 55458*/     OPC_Scope, 74, /*->55534*/ // 3 children in Scope
/* 55460*/      OPC_MoveChild1,
/* 55461*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55464*/      OPC_MoveParent,
/* 55465*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55467*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55469*/      OPC_CheckType, MVT::i32,
/* 55471*/      OPC_MoveParent,
/* 55472*/      OPC_CheckChild2Integer, 0, 
/* 55474*/      OPC_CheckType, MVT::v4i32,
/* 55476*/      OPC_Scope, 27, /*->55505*/ // 2 children in Scope
/* 55478*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55480*/       OPC_EmitMergeInputChains1_0,
/* 55481*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55484*/       OPC_EmitConvertToTarget, 1,
/* 55486*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55489*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 55496*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 38
                 // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 55505*/      /*Scope*/ 27, /*->55533*/
/* 55506*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55508*/       OPC_EmitMergeInputChains1_0,
/* 55509*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55512*/       OPC_EmitConvertToTarget, 1,
/* 55514*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55517*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 55524*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 38
                 // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 55533*/      0, /*End of Scope*/
/* 55534*/     /*Scope*/ 31, /*->55566*/
/* 55535*/      OPC_CheckChild1Type, MVT::i32,
/* 55537*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55539*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55541*/      OPC_CheckType, MVT::i32,
/* 55543*/      OPC_MoveParent,
/* 55544*/      OPC_CheckChild2Integer, 0, 
/* 55546*/      OPC_CheckType, MVT::v4i32,
/* 55548*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55550*/      OPC_EmitMergeInputChains1_0,
/* 55551*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55554*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55557*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 35
                // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 55566*/     /*Scope*/ 31, /*->55598*/
/* 55567*/      OPC_CheckChild1Type, MVT::i64,
/* 55569*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55571*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55573*/      OPC_CheckType, MVT::i32,
/* 55575*/      OPC_MoveParent,
/* 55576*/      OPC_CheckChild2Integer, 0, 
/* 55578*/      OPC_CheckType, MVT::v4i32,
/* 55580*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55582*/      OPC_EmitMergeInputChains1_0,
/* 55583*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55586*/      OPC_EmitInteger, MVT::i64, 0, 
/* 55589*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 35
                // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 55598*/     0, /*End of Scope*/
/* 55599*/    0, /*End of Scope*/
/* 55600*/   /*Scope*/ 8|128,3/*392*/, /*->55994*/
/* 55602*/    OPC_CheckChild0Type, MVT::i64,
/* 55604*/    OPC_CheckChild1Integer, 0, 
/* 55606*/    OPC_CheckChild1Type, MVT::i64,
/* 55608*/    OPC_MoveParent,
/* 55609*/    OPC_MoveChild1,
/* 55610*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 55613*/    OPC_RecordMemRef,
/* 55614*/    OPC_RecordNode, // #0 = 'ld' chained node
/* 55615*/    OPC_CheckFoldableChainNode,
/* 55616*/    OPC_Scope, 102|128,1/*230*/, /*->55849*/ // 2 children in Scope
/* 55619*/     OPC_MoveChild1,
/* 55620*/     OPC_SwitchOpcode /*3 cases */, 73, TARGET_VAL(ISD::ADD),// ->55697
/* 55624*/      OPC_RecordChild0, // #1 = $addr
/* 55625*/      OPC_RecordChild1, // #2 = $off
/* 55626*/      OPC_MoveChild1,
/* 55627*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55630*/      OPC_MoveParent,
/* 55631*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 55633*/      OPC_SwitchType /*2 cases */, 29, MVT::i32,// ->55665
/* 55636*/       OPC_MoveParent,
/* 55637*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55639*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55641*/       OPC_CheckType, MVT::i64,
/* 55643*/       OPC_MoveParent,
/* 55644*/       OPC_CheckChild2Integer, 0, 
/* 55646*/       OPC_CheckType, MVT::v2i64,
/* 55648*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55650*/       OPC_EmitMergeInputChains1_0,
/* 55651*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55654*/       OPC_EmitConvertToTarget, 2,
/* 55656*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 32
                 // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 55665*/      /*SwitchType*/ 29, MVT::i64,// ->55696
/* 55667*/       OPC_MoveParent,
/* 55668*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55670*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55672*/       OPC_CheckType, MVT::i64,
/* 55674*/       OPC_MoveParent,
/* 55675*/       OPC_CheckChild2Integer, 0, 
/* 55677*/       OPC_CheckType, MVT::v2i64,
/* 55679*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55681*/       OPC_EmitMergeInputChains1_0,
/* 55682*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55685*/       OPC_EmitConvertToTarget, 2,
/* 55687*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 32
                 // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 55696*/      0, // EndSwitchType
/* 55697*/     /*SwitchOpcode*/ 73, TARGET_VAL(ISD::OR),// ->55773
/* 55700*/      OPC_RecordChild0, // #1 = $addr
/* 55701*/      OPC_RecordChild1, // #2 = $off
/* 55702*/      OPC_MoveChild1,
/* 55703*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55706*/      OPC_MoveParent,
/* 55707*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 55709*/      OPC_SwitchType /*2 cases */, 29, MVT::i32,// ->55741
/* 55712*/       OPC_MoveParent,
/* 55713*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55715*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55717*/       OPC_CheckType, MVT::i64,
/* 55719*/       OPC_MoveParent,
/* 55720*/       OPC_CheckChild2Integer, 0, 
/* 55722*/       OPC_CheckType, MVT::v2i64,
/* 55724*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55726*/       OPC_EmitMergeInputChains1_0,
/* 55727*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55730*/       OPC_EmitConvertToTarget, 2,
/* 55732*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 32
                 // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 55741*/      /*SwitchType*/ 29, MVT::i64,// ->55772
/* 55743*/       OPC_MoveParent,
/* 55744*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55746*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55748*/       OPC_CheckType, MVT::i64,
/* 55750*/       OPC_MoveParent,
/* 55751*/       OPC_CheckChild2Integer, 0, 
/* 55753*/       OPC_CheckType, MVT::v2i64,
/* 55755*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55757*/       OPC_EmitMergeInputChains1_0,
/* 55758*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55761*/       OPC_EmitConvertToTarget, 2,
/* 55763*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 32
                 // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 55772*/      0, // EndSwitchType
/* 55773*/     /*SwitchOpcode*/ 72, TARGET_VAL(WebAssemblyISD::Wrapper),// ->55848
/* 55776*/      OPC_RecordChild0, // #1 = $off
/* 55777*/      OPC_MoveChild0,
/* 55778*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 55781*/      OPC_MoveParent,
/* 55782*/      OPC_MoveParent,
/* 55783*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55785*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55787*/      OPC_CheckType, MVT::i64,
/* 55789*/      OPC_MoveParent,
/* 55790*/      OPC_CheckChild2Integer, 0, 
/* 55792*/      OPC_CheckType, MVT::v2i64,
/* 55794*/      OPC_Scope, 25, /*->55821*/ // 2 children in Scope
/* 55796*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 55798*/       OPC_EmitMergeInputChains1_0,
/* 55799*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55802*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55805*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 55812*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 31
                 // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 55821*/      /*Scope*/ 25, /*->55847*/
/* 55822*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 55824*/       OPC_EmitMergeInputChains1_0,
/* 55825*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55828*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55831*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 55838*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 31
                 // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 55847*/      0, /*End of Scope*/
/* 55848*/     0, // EndSwitchOpcode
/* 55849*/    /*Scope*/ 14|128,1/*142*/, /*->55993*/
/* 55851*/     OPC_RecordChild1, // #1 = $off
/* 55852*/     OPC_Scope, 74, /*->55928*/ // 3 children in Scope
/* 55854*/      OPC_MoveChild1,
/* 55855*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55858*/      OPC_MoveParent,
/* 55859*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55861*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55863*/      OPC_CheckType, MVT::i64,
/* 55865*/      OPC_MoveParent,
/* 55866*/      OPC_CheckChild2Integer, 0, 
/* 55868*/      OPC_CheckType, MVT::v2i64,
/* 55870*/      OPC_Scope, 27, /*->55899*/ // 2 children in Scope
/* 55872*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55874*/       OPC_EmitMergeInputChains1_0,
/* 55875*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55878*/       OPC_EmitConvertToTarget, 1,
/* 55880*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55883*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 55890*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 28
                 // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 55899*/      /*Scope*/ 27, /*->55927*/
/* 55900*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55902*/       OPC_EmitMergeInputChains1_0,
/* 55903*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55906*/       OPC_EmitConvertToTarget, 1,
/* 55908*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55911*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 55918*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 28
                 // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 55927*/      0, /*End of Scope*/
/* 55928*/     /*Scope*/ 31, /*->55960*/
/* 55929*/      OPC_CheckChild1Type, MVT::i32,
/* 55931*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55933*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55935*/      OPC_CheckType, MVT::i64,
/* 55937*/      OPC_MoveParent,
/* 55938*/      OPC_CheckChild2Integer, 0, 
/* 55940*/      OPC_CheckType, MVT::v2i64,
/* 55942*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55944*/      OPC_EmitMergeInputChains1_0,
/* 55945*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55948*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55951*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 25
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 55960*/     /*Scope*/ 31, /*->55992*/
/* 55961*/      OPC_CheckChild1Type, MVT::i64,
/* 55963*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55965*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55967*/      OPC_CheckType, MVT::i64,
/* 55969*/      OPC_MoveParent,
/* 55970*/      OPC_CheckChild2Integer, 0, 
/* 55972*/      OPC_CheckType, MVT::v2i64,
/* 55974*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55976*/      OPC_EmitMergeInputChains1_0,
/* 55977*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55980*/      OPC_EmitInteger, MVT::i64, 0, 
/* 55983*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 25
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 55992*/     0, /*End of Scope*/
/* 55993*/    0, /*End of Scope*/
/* 55994*/   0, /*End of Scope*/
/* 55995*/  /*Scope*/ 123|128,4/*635*/, /*->56632*/
/* 55997*/   OPC_RecordChild0, // #0 = $vec
/* 55998*/   OPC_Scope, 94|128,2/*350*/, /*->56351*/ // 2 children in Scope
/* 56001*/    OPC_MoveChild1,
/* 56002*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 56005*/    OPC_RecordMemRef,
/* 56006*/    OPC_RecordNode, // #1 = 'ld' chained node
/* 56007*/    OPC_CheckFoldableChainNode,
/* 56008*/    OPC_RecordChild1, // #2 = $addr
/* 56009*/    OPC_Scope, 40|128,1/*168*/, /*->56180*/ // 2 children in Scope
/* 56012*/     OPC_CheckChild1Type, MVT::i32,
/* 56014*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56016*/     OPC_Scope, 82, /*->56100*/ // 2 children in Scope
/* 56018*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 56020*/      OPC_CheckType, MVT::i32,
/* 56022*/      OPC_Scope, 37, /*->56061*/ // 2 children in Scope
/* 56024*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 56026*/       OPC_MoveParent,
/* 56027*/       OPC_RecordChild2, // #3 = $idx
/* 56028*/       OPC_MoveChild2,
/* 56029*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56032*/       OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 56034*/       OPC_CheckType, MVT::i32,
/* 56036*/       OPC_MoveParent,
/* 56037*/       OPC_CheckType, MVT::v16i8,
/* 56039*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56041*/       OPC_EmitMergeInputChains1_1,
/* 56042*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56045*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56048*/       OPC_EmitConvertToTarget, 3,
/* 56050*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I8x16_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I8x16_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 56061*/      /*Scope*/ 37, /*->56099*/
/* 56062*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 56064*/       OPC_MoveParent,
/* 56065*/       OPC_RecordChild2, // #3 = $idx
/* 56066*/       OPC_MoveChild2,
/* 56067*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56070*/       OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 56072*/       OPC_CheckType, MVT::i32,
/* 56074*/       OPC_MoveParent,
/* 56075*/       OPC_CheckType, MVT::v8i16,
/* 56077*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56079*/       OPC_EmitMergeInputChains1_1,
/* 56080*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56083*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56086*/       OPC_EmitConvertToTarget, 3,
/* 56088*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 56099*/      0, /*End of Scope*/
/* 56100*/     /*Scope*/ 78, /*->56179*/
/* 56101*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56103*/      OPC_SwitchType /*2 cases */, 35, MVT::i32,// ->56141
/* 56106*/       OPC_MoveParent,
/* 56107*/       OPC_RecordChild2, // #3 = $idx
/* 56108*/       OPC_MoveChild2,
/* 56109*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56112*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 56114*/       OPC_CheckType, MVT::i32,
/* 56116*/       OPC_MoveParent,
/* 56117*/       OPC_CheckType, MVT::v4i32,
/* 56119*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56121*/       OPC_EmitMergeInputChains1_1,
/* 56122*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56125*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56128*/       OPC_EmitConvertToTarget, 3,
/* 56130*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 56141*/      /*SwitchType*/ 35, MVT::i64,// ->56178
/* 56143*/       OPC_MoveParent,
/* 56144*/       OPC_RecordChild2, // #3 = $idx
/* 56145*/       OPC_MoveChild2,
/* 56146*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56149*/       OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 56151*/       OPC_CheckType, MVT::i32,
/* 56153*/       OPC_MoveParent,
/* 56154*/       OPC_CheckType, MVT::v2i64,
/* 56156*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56158*/       OPC_EmitMergeInputChains1_1,
/* 56159*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56162*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56165*/       OPC_EmitConvertToTarget, 3,
/* 56167*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 56178*/      0, // EndSwitchType
/* 56179*/     0, /*End of Scope*/
/* 56180*/    /*Scope*/ 40|128,1/*168*/, /*->56350*/
/* 56182*/     OPC_CheckChild1Type, MVT::i64,
/* 56184*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56186*/     OPC_Scope, 82, /*->56270*/ // 2 children in Scope
/* 56188*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 56190*/      OPC_CheckType, MVT::i32,
/* 56192*/      OPC_Scope, 37, /*->56231*/ // 2 children in Scope
/* 56194*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 56196*/       OPC_MoveParent,
/* 56197*/       OPC_RecordChild2, // #3 = $idx
/* 56198*/       OPC_MoveChild2,
/* 56199*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56202*/       OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 56204*/       OPC_CheckType, MVT::i32,
/* 56206*/       OPC_MoveParent,
/* 56207*/       OPC_CheckType, MVT::v16i8,
/* 56209*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56211*/       OPC_EmitMergeInputChains1_1,
/* 56212*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56215*/       OPC_EmitInteger, MVT::i64, 0, 
/* 56218*/       OPC_EmitConvertToTarget, 3,
/* 56220*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I8x16_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I8x16_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 56231*/      /*Scope*/ 37, /*->56269*/
/* 56232*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 56234*/       OPC_MoveParent,
/* 56235*/       OPC_RecordChild2, // #3 = $idx
/* 56236*/       OPC_MoveChild2,
/* 56237*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56240*/       OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 56242*/       OPC_CheckType, MVT::i32,
/* 56244*/       OPC_MoveParent,
/* 56245*/       OPC_CheckType, MVT::v8i16,
/* 56247*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56249*/       OPC_EmitMergeInputChains1_1,
/* 56250*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56253*/       OPC_EmitInteger, MVT::i64, 0, 
/* 56256*/       OPC_EmitConvertToTarget, 3,
/* 56258*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 56269*/      0, /*End of Scope*/
/* 56270*/     /*Scope*/ 78, /*->56349*/
/* 56271*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56273*/      OPC_SwitchType /*2 cases */, 35, MVT::i32,// ->56311
/* 56276*/       OPC_MoveParent,
/* 56277*/       OPC_RecordChild2, // #3 = $idx
/* 56278*/       OPC_MoveChild2,
/* 56279*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56282*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 56284*/       OPC_CheckType, MVT::i32,
/* 56286*/       OPC_MoveParent,
/* 56287*/       OPC_CheckType, MVT::v4i32,
/* 56289*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56291*/       OPC_EmitMergeInputChains1_1,
/* 56292*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56295*/       OPC_EmitInteger, MVT::i64, 0, 
/* 56298*/       OPC_EmitConvertToTarget, 3,
/* 56300*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 56311*/      /*SwitchType*/ 35, MVT::i64,// ->56348
/* 56313*/       OPC_MoveParent,
/* 56314*/       OPC_RecordChild2, // #3 = $idx
/* 56315*/       OPC_MoveChild2,
/* 56316*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56319*/       OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 56321*/       OPC_CheckType, MVT::i32,
/* 56323*/       OPC_MoveParent,
/* 56324*/       OPC_CheckType, MVT::v2i64,
/* 56326*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56328*/       OPC_EmitMergeInputChains1_1,
/* 56329*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56332*/       OPC_EmitInteger, MVT::i64, 0, 
/* 56335*/       OPC_EmitConvertToTarget, 3,
/* 56337*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 56348*/      0, // EndSwitchType
/* 56349*/     0, /*End of Scope*/
/* 56350*/    0, /*End of Scope*/
/* 56351*/   /*Scope*/ 22|128,2/*278*/, /*->56631*/
/* 56353*/    OPC_RecordChild1, // #1 = $x
/* 56354*/    OPC_Scope, 121, /*->56477*/ // 4 children in Scope
/* 56356*/     OPC_CheckChild1Type, MVT::i32,
/* 56358*/     OPC_Scope, 66, /*->56426*/ // 2 children in Scope
/* 56360*/      OPC_RecordChild2, // #2 = $idx
/* 56361*/      OPC_MoveChild2,
/* 56362*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56365*/      OPC_CheckType, MVT::i32,
/* 56367*/      OPC_Scope, 18, /*->56387*/ // 3 children in Scope
/* 56369*/       OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 56371*/       OPC_MoveParent,
/* 56372*/       OPC_CheckType, MVT::v16i8,
/* 56374*/       OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 56376*/       OPC_EmitConvertToTarget, 2,
/* 56378*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I8x16), 0,
                     MVT::v16i8, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 56387*/      /*Scope*/ 18, /*->56406*/
/* 56388*/       OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 56390*/       OPC_MoveParent,
/* 56391*/       OPC_CheckType, MVT::v8i16,
/* 56393*/       OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 56395*/       OPC_EmitConvertToTarget, 2,
/* 56397*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I16x8), 0,
                     MVT::v8i16, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 56406*/      /*Scope*/ 18, /*->56425*/
/* 56407*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 56409*/       OPC_MoveParent,
/* 56410*/       OPC_CheckType, MVT::v4i32,
/* 56412*/       OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 56414*/       OPC_EmitConvertToTarget, 2,
/* 56416*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I32x4), 0,
                     MVT::v4i32, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 56425*/      0, /*End of Scope*/
/* 56426*/     /*Scope*/ 49, /*->56476*/
/* 56427*/      OPC_MoveChild2,
/* 56428*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 56431*/      OPC_MoveParent,
/* 56432*/      OPC_SwitchType /*3 cases */, 12, MVT::v16i8,// ->56447
/* 56435*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56438*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I8x16), 0,
                     MVT::v16i8, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 56447*/      /*SwitchType*/ 12, MVT::v8i16,// ->56461
/* 56449*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56452*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I16x8), 0,
                     MVT::v8i16, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 56461*/      /*SwitchType*/ 12, MVT::v4i32,// ->56475
/* 56463*/       OPC_EmitInteger, MVT::i32, 0, 
/* 56466*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I32x4), 0,
                     MVT::v4i32, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 56475*/      0, // EndSwitchType
/* 56476*/     0, /*End of Scope*/
/* 56477*/    /*Scope*/ 50, /*->56528*/
/* 56478*/     OPC_CheckChild1Type, MVT::i64,
/* 56480*/     OPC_Scope, 25, /*->56507*/ // 2 children in Scope
/* 56482*/      OPC_RecordChild2, // #2 = $idx
/* 56483*/      OPC_MoveChild2,
/* 56484*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56487*/      OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 56489*/      OPC_CheckType, MVT::i32,
/* 56491*/      OPC_MoveParent,
/* 56492*/      OPC_CheckType, MVT::v2i64,
/* 56494*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 56496*/      OPC_EmitConvertToTarget, 2,
/* 56498*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I64x2), 0,
                    MVT::v2i64, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I64:{ *:[i64] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$x)
/* 56507*/     /*Scope*/ 19, /*->56527*/
/* 56508*/      OPC_MoveChild2,
/* 56509*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 56512*/      OPC_MoveParent,
/* 56513*/      OPC_CheckType, MVT::v2i64,
/* 56515*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56518*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I64x2), 0,
                    MVT::v2i64, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I64:{ *:[i64] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_I64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$vec, 0:{ *:[i32] }, ?:{ *:[i64] }:$x)
/* 56527*/     0, /*End of Scope*/
/* 56528*/    /*Scope*/ 50, /*->56579*/
/* 56529*/     OPC_CheckChild1Type, MVT::f32,
/* 56531*/     OPC_Scope, 25, /*->56558*/ // 2 children in Scope
/* 56533*/      OPC_RecordChild2, // #2 = $idx
/* 56534*/      OPC_MoveChild2,
/* 56535*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56538*/      OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 56540*/      OPC_CheckType, MVT::i32,
/* 56542*/      OPC_MoveParent,
/* 56543*/      OPC_CheckType, MVT::v4f32,
/* 56545*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 56547*/      OPC_EmitConvertToTarget, 2,
/* 56549*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_F32x4), 0,
                    MVT::v4f32, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, F32:{ *:[f32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (imm:{ *:[i32] }):$idx, F32:{ *:[f32] }:$x)
/* 56558*/     /*Scope*/ 19, /*->56578*/
/* 56559*/      OPC_MoveChild2,
/* 56560*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 56563*/      OPC_MoveParent,
/* 56564*/      OPC_CheckType, MVT::v4f32,
/* 56566*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56569*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_F32x4), 0,
                    MVT::v4f32, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, F32:{ *:[f32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_F32x4:{ *:[v4f32] } ?:{ *:[v4f32] }:$vec, 0:{ *:[i32] }, ?:{ *:[f32] }:$x)
/* 56578*/     0, /*End of Scope*/
/* 56579*/    /*Scope*/ 50, /*->56630*/
/* 56580*/     OPC_CheckChild1Type, MVT::f64,
/* 56582*/     OPC_Scope, 25, /*->56609*/ // 2 children in Scope
/* 56584*/      OPC_RecordChild2, // #2 = $idx
/* 56585*/      OPC_MoveChild2,
/* 56586*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56589*/      OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 56591*/      OPC_CheckType, MVT::i32,
/* 56593*/      OPC_MoveParent,
/* 56594*/      OPC_CheckType, MVT::v2f64,
/* 56596*/      OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 56598*/      OPC_EmitConvertToTarget, 2,
/* 56600*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_F64x2), 0,
                    MVT::v2f64, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, F64:{ *:[f64] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (imm:{ *:[i32] }):$idx, F64:{ *:[f64] }:$x)
/* 56609*/     /*Scope*/ 19, /*->56629*/
/* 56610*/      OPC_MoveChild2,
/* 56611*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 56614*/      OPC_MoveParent,
/* 56615*/      OPC_CheckType, MVT::v2f64,
/* 56617*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56620*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_F64x2), 0,
                    MVT::v2f64, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, F64:{ *:[f64] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_F64x2:{ *:[v2f64] } ?:{ *:[v2f64] }:$vec, 0:{ *:[i32] }, ?:{ *:[f64] }:$x)
/* 56629*/     0, /*End of Scope*/
/* 56630*/    0, /*End of Scope*/
/* 56631*/   0, /*End of Scope*/
/* 56632*/  0, /*End of Scope*/
/* 56633*/ /*SwitchOpcode*/ 60|128,3/*444*/, TARGET_VAL(ISD::SCALAR_TO_VECTOR),// ->57081
/* 56637*/  OPC_Scope, 112|128,2/*368*/, /*->57008*/ // 2 children in Scope
/* 56640*/   OPC_MoveChild0,
/* 56641*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 56644*/   OPC_RecordMemRef,
/* 56645*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 56646*/   OPC_Scope, 92|128,1/*220*/, /*->56869*/ // 2 children in Scope
/* 56649*/    OPC_MoveChild1,
/* 56650*/    OPC_SwitchOpcode /*3 cases */, 69, TARGET_VAL(ISD::ADD),// ->56723
/* 56654*/     OPC_RecordChild0, // #1 = $addr
/* 56655*/     OPC_RecordChild1, // #2 = $off
/* 56656*/     OPC_MoveChild1,
/* 56657*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56660*/     OPC_MoveParent,
/* 56661*/     OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 56663*/     OPC_SwitchType /*2 cases */, 27, MVT::i32,// ->56693
/* 56666*/      OPC_MoveParent,
/* 56667*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56669*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56671*/      OPC_CheckType, MVT::i64,
/* 56673*/      OPC_MoveParent,
/* 56674*/      OPC_CheckType, MVT::v2i64,
/* 56676*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56678*/      OPC_EmitMergeInputChains1_0,
/* 56679*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56682*/      OPC_EmitConvertToTarget, 2,
/* 56684*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 14
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 56693*/     /*SwitchType*/ 27, MVT::i64,// ->56722
/* 56695*/      OPC_MoveParent,
/* 56696*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56698*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56700*/      OPC_CheckType, MVT::i64,
/* 56702*/      OPC_MoveParent,
/* 56703*/      OPC_CheckType, MVT::v2i64,
/* 56705*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56707*/      OPC_EmitMergeInputChains1_0,
/* 56708*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56711*/      OPC_EmitConvertToTarget, 2,
/* 56713*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 14
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 56722*/     0, // EndSwitchType
/* 56723*/    /*SwitchOpcode*/ 69, TARGET_VAL(ISD::OR),// ->56795
/* 56726*/     OPC_RecordChild0, // #1 = $addr
/* 56727*/     OPC_RecordChild1, // #2 = $off
/* 56728*/     OPC_MoveChild1,
/* 56729*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56732*/     OPC_MoveParent,
/* 56733*/     OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 56735*/     OPC_SwitchType /*2 cases */, 27, MVT::i32,// ->56765
/* 56738*/      OPC_MoveParent,
/* 56739*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56741*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56743*/      OPC_CheckType, MVT::i64,
/* 56745*/      OPC_MoveParent,
/* 56746*/      OPC_CheckType, MVT::v2i64,
/* 56748*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56750*/      OPC_EmitMergeInputChains1_0,
/* 56751*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56754*/      OPC_EmitConvertToTarget, 2,
/* 56756*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 14
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 56765*/     /*SwitchType*/ 27, MVT::i64,// ->56794
/* 56767*/      OPC_MoveParent,
/* 56768*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56770*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56772*/      OPC_CheckType, MVT::i64,
/* 56774*/      OPC_MoveParent,
/* 56775*/      OPC_CheckType, MVT::v2i64,
/* 56777*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56779*/      OPC_EmitMergeInputChains1_0,
/* 56780*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56783*/      OPC_EmitConvertToTarget, 2,
/* 56785*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 14
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 56794*/     0, // EndSwitchType
/* 56795*/    /*SwitchOpcode*/ 70, TARGET_VAL(WebAssemblyISD::Wrapper),// ->56868
/* 56798*/     OPC_RecordChild0, // #1 = $off
/* 56799*/     OPC_MoveChild0,
/* 56800*/     OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 56803*/     OPC_MoveParent,
/* 56804*/     OPC_MoveParent,
/* 56805*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56807*/     OPC_CheckPredicate, 18, // Predicate_load
/* 56809*/     OPC_CheckType, MVT::i64,
/* 56811*/     OPC_MoveParent,
/* 56812*/     OPC_CheckType, MVT::v2i64,
/* 56814*/     OPC_Scope, 25, /*->56841*/ // 2 children in Scope
/* 56816*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 56818*/      OPC_EmitMergeInputChains1_0,
/* 56819*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56822*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56825*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 56832*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 13
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 56841*/     /*Scope*/ 25, /*->56867*/
/* 56842*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 56844*/      OPC_EmitMergeInputChains1_0,
/* 56845*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56848*/      OPC_EmitInteger, MVT::i64, 0, 
/* 56851*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 56858*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 13
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 56867*/     0, /*End of Scope*/
/* 56868*/    0, // EndSwitchOpcode
/* 56869*/   /*Scope*/ 8|128,1/*136*/, /*->57007*/
/* 56871*/    OPC_RecordChild1, // #1 = $off
/* 56872*/    OPC_Scope, 72, /*->56946*/ // 3 children in Scope
/* 56874*/     OPC_MoveChild1,
/* 56875*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56878*/     OPC_MoveParent,
/* 56879*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56881*/     OPC_CheckPredicate, 18, // Predicate_load
/* 56883*/     OPC_CheckType, MVT::i64,
/* 56885*/     OPC_MoveParent,
/* 56886*/     OPC_CheckType, MVT::v2i64,
/* 56888*/     OPC_Scope, 27, /*->56917*/ // 2 children in Scope
/* 56890*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56892*/      OPC_EmitMergeInputChains1_0,
/* 56893*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56896*/      OPC_EmitConvertToTarget, 1,
/* 56898*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56901*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 56908*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 10
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 56917*/     /*Scope*/ 27, /*->56945*/
/* 56918*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56920*/      OPC_EmitMergeInputChains1_0,
/* 56921*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56924*/      OPC_EmitConvertToTarget, 1,
/* 56926*/      OPC_EmitInteger, MVT::i64, 0, 
/* 56929*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 56936*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 10
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 56945*/     0, /*End of Scope*/
/* 56946*/    /*Scope*/ 29, /*->56976*/
/* 56947*/     OPC_CheckChild1Type, MVT::i32,
/* 56949*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56951*/     OPC_CheckPredicate, 18, // Predicate_load
/* 56953*/     OPC_CheckType, MVT::i64,
/* 56955*/     OPC_MoveParent,
/* 56956*/     OPC_CheckType, MVT::v2i64,
/* 56958*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56960*/     OPC_EmitMergeInputChains1_0,
/* 56961*/     OPC_EmitInteger, MVT::i32, 0, 
/* 56964*/     OPC_EmitInteger, MVT::i32, 0, 
/* 56967*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 7
               // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 56976*/    /*Scope*/ 29, /*->57006*/
/* 56977*/     OPC_CheckChild1Type, MVT::i64,
/* 56979*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56981*/     OPC_CheckPredicate, 18, // Predicate_load
/* 56983*/     OPC_CheckType, MVT::i64,
/* 56985*/     OPC_MoveParent,
/* 56986*/     OPC_CheckType, MVT::v2i64,
/* 56988*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56990*/     OPC_EmitMergeInputChains1_0,
/* 56991*/     OPC_EmitInteger, MVT::i32, 0, 
/* 56994*/     OPC_EmitInteger, MVT::i64, 0, 
/* 56997*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 7
               // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 57006*/    0, /*End of Scope*/
/* 57007*/   0, /*End of Scope*/
/* 57008*/  /*Scope*/ 71, /*->57080*/
/* 57009*/   OPC_RecordChild0, // #0 = $x
/* 57010*/   OPC_Scope, 31, /*->57043*/ // 4 children in Scope
/* 57012*/    OPC_CheckChild0Type, MVT::i32,
/* 57014*/    OPC_SwitchType /*3 cases */, 7, MVT::v16i8,// ->57024
/* 57017*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I8x16), 0,
                   MVT::v16i8, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v16i8] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I8x16:{ *:[v16i8] } ?:{ *:[i32] }:$x)
/* 57024*/    /*SwitchType*/ 7, MVT::v8i16,// ->57033
/* 57026*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I16x8), 0,
                   MVT::v8i16, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v8i16] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I16x8:{ *:[v8i16] } ?:{ *:[i32] }:$x)
/* 57033*/    /*SwitchType*/ 7, MVT::v4i32,// ->57042
/* 57035*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I32x4), 0,
                   MVT::v4i32, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v4i32] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I32x4:{ *:[v4i32] } ?:{ *:[i32] }:$x)
/* 57042*/    0, // EndSwitchType
/* 57043*/   /*Scope*/ 11, /*->57055*/
/* 57044*/    OPC_CheckChild0Type, MVT::i64,
/* 57046*/    OPC_CheckType, MVT::v2i64,
/* 57048*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I64x2), 0,
                  MVT::v2i64, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v2i64] } I64:{ *:[i64] }:$x) - Complexity = 3
              // Dst: (SPLAT_I64x2:{ *:[v2i64] } ?:{ *:[i64] }:$x)
/* 57055*/   /*Scope*/ 11, /*->57067*/
/* 57056*/    OPC_CheckChild0Type, MVT::f32,
/* 57058*/    OPC_CheckType, MVT::v4f32,
/* 57060*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_F32x4), 0,
                  MVT::v4f32, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v4f32] } F32:{ *:[f32] }:$x) - Complexity = 3
              // Dst: (SPLAT_F32x4:{ *:[v4f32] } ?:{ *:[f32] }:$x)
/* 57067*/   /*Scope*/ 11, /*->57079*/
/* 57068*/    OPC_CheckChild0Type, MVT::f64,
/* 57070*/    OPC_CheckType, MVT::v2f64,
/* 57072*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_F64x2), 0,
                  MVT::v2f64, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v2f64] } F64:{ *:[f64] }:$x) - Complexity = 3
              // Dst: (SPLAT_F64x2:{ *:[v2f64] } ?:{ *:[f64] }:$x)
/* 57079*/   0, /*End of Scope*/
/* 57080*/  0, /*End of Scope*/
/* 57081*/ /*SwitchOpcode*/ 3|128,1/*131*/, TARGET_VAL(WebAssemblyISD::VEC_SHL),// ->57216
/* 57085*/  OPC_RecordChild0, // #0 = $lhs
/* 57086*/  OPC_Scope, 75, /*->57163*/ // 2 children in Scope
/* 57088*/   OPC_MoveChild1,
/* 57089*/   OPC_Scope, 26, /*->57117*/ // 4 children in Scope
/* 57091*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 57094*/    OPC_MoveChild0,
/* 57095*/    OPC_CheckAndImm, 63, 
/* 57097*/    OPC_RecordChild0, // #1 = $rhs
/* 57098*/    OPC_MoveParent,
/* 57099*/    OPC_MoveParent,
/* 57100*/    OPC_CheckType, MVT::v2i64,
/* 57102*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::I32_WRAP_I64), 0,
                  MVT::i32, 1/*#Ops*/, 1,  // Results = #2
/* 57109*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 2, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 57117*/   /*Scope*/ 14, /*->57132*/
/* 57118*/    OPC_CheckAndImm, 7, 
/* 57120*/    OPC_RecordChild0, // #1 = $rhs
/* 57121*/    OPC_MoveParent,
/* 57122*/    OPC_CheckType, MVT::v16i8,
/* 57124*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 57132*/   /*Scope*/ 14, /*->57147*/
/* 57133*/    OPC_CheckAndImm, 15, 
/* 57135*/    OPC_RecordChild0, // #1 = $rhs
/* 57136*/    OPC_MoveParent,
/* 57137*/    OPC_CheckType, MVT::v8i16,
/* 57139*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 57147*/   /*Scope*/ 14, /*->57162*/
/* 57148*/    OPC_CheckAndImm, 31, 
/* 57150*/    OPC_RecordChild0, // #1 = $rhs
/* 57151*/    OPC_MoveParent,
/* 57152*/    OPC_CheckType, MVT::v4i32,
/* 57154*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 57162*/   0, /*End of Scope*/
/* 57163*/  /*Scope*/ 51, /*->57215*/
/* 57164*/   OPC_RecordChild1, // #1 = $x
/* 57165*/   OPC_SwitchType /*4 cases */, 10, MVT::v16i8,// ->57178
/* 57168*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57170*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 57178*/   /*SwitchType*/ 10, MVT::v8i16,// ->57190
/* 57180*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57182*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 57190*/   /*SwitchType*/ 10, MVT::v4i32,// ->57202
/* 57192*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57194*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 57202*/   /*SwitchType*/ 10, MVT::v2i64,// ->57214
/* 57204*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57206*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 57214*/   0, // EndSwitchType
/* 57215*/  0, /*End of Scope*/
/* 57216*/ /*SwitchOpcode*/ 3|128,1/*131*/, TARGET_VAL(WebAssemblyISD::VEC_SHR_S),// ->57351
/* 57220*/  OPC_RecordChild0, // #0 = $lhs
/* 57221*/  OPC_Scope, 75, /*->57298*/ // 2 children in Scope
/* 57223*/   OPC_MoveChild1,
/* 57224*/   OPC_Scope, 26, /*->57252*/ // 4 children in Scope
/* 57226*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 57229*/    OPC_MoveChild0,
/* 57230*/    OPC_CheckAndImm, 63, 
/* 57232*/    OPC_RecordChild0, // #1 = $rhs
/* 57233*/    OPC_MoveParent,
/* 57234*/    OPC_MoveParent,
/* 57235*/    OPC_CheckType, MVT::v2i64,
/* 57237*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::I32_WRAP_I64), 0,
                  MVT::i32, 1/*#Ops*/, 1,  // Results = #2
/* 57244*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 2, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 57252*/   /*Scope*/ 14, /*->57267*/
/* 57253*/    OPC_CheckAndImm, 7, 
/* 57255*/    OPC_RecordChild0, // #1 = $rhs
/* 57256*/    OPC_MoveParent,
/* 57257*/    OPC_CheckType, MVT::v16i8,
/* 57259*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 57267*/   /*Scope*/ 14, /*->57282*/
/* 57268*/    OPC_CheckAndImm, 15, 
/* 57270*/    OPC_RecordChild0, // #1 = $rhs
/* 57271*/    OPC_MoveParent,
/* 57272*/    OPC_CheckType, MVT::v8i16,
/* 57274*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 57282*/   /*Scope*/ 14, /*->57297*/
/* 57283*/    OPC_CheckAndImm, 31, 
/* 57285*/    OPC_RecordChild0, // #1 = $rhs
/* 57286*/    OPC_MoveParent,
/* 57287*/    OPC_CheckType, MVT::v4i32,
/* 57289*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 57297*/   0, /*End of Scope*/
/* 57298*/  /*Scope*/ 51, /*->57350*/
/* 57299*/   OPC_RecordChild1, // #1 = $x
/* 57300*/   OPC_SwitchType /*4 cases */, 10, MVT::v16i8,// ->57313
/* 57303*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57305*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 57313*/   /*SwitchType*/ 10, MVT::v8i16,// ->57325
/* 57315*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57317*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 57325*/   /*SwitchType*/ 10, MVT::v4i32,// ->57337
/* 57327*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57329*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 57337*/   /*SwitchType*/ 10, MVT::v2i64,// ->57349
/* 57339*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57341*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 57349*/   0, // EndSwitchType
/* 57350*/  0, /*End of Scope*/
/* 57351*/ /*SwitchOpcode*/ 18|128,2/*274*/, TARGET_VAL(ISD::VSELECT),// ->57629
/* 57355*/  OPC_Scope, 103, /*->57460*/ // 4 children in Scope
/* 57357*/   OPC_MoveChild0,
/* 57358*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 57361*/   OPC_MoveChild0,
/* 57362*/   OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 57365*/   OPC_RecordChild0, // #0 = $rhs
/* 57366*/   OPC_SwitchType /*2 cases */, 44, MVT::v4f32,// ->57413
/* 57369*/    OPC_CheckChild0Type, MVT::v4i32,
/* 57371*/    OPC_MoveParent,
/* 57372*/    OPC_MoveChild1,
/* 57373*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 57376*/    OPC_RecordChild0, // #1 = $lhs
/* 57377*/    OPC_CheckChild0Type, MVT::v4i32,
/* 57379*/    OPC_MoveParent,
/* 57380*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 57382*/    OPC_MoveParent,
/* 57383*/    OPC_CheckType, MVT::v4i32,
/* 57385*/    OPC_Scope, 12, /*->57399*/ // 2 children in Scope
/* 57387*/     OPC_CheckChild1Same, 0,
/* 57389*/     OPC_CheckChild2Same, 1,
/* 57391*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v4i32] } (setcc:{ *:[v4i32] } (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$rhs), (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v4i32] }:$rhs, V128:{ *:[v4i32] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 57399*/    /*Scope*/ 12, /*->57412*/
/* 57400*/     OPC_CheckChild1Same, 1,
/* 57402*/     OPC_CheckChild2Same, 0,
/* 57404*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v4i32] } (setcc:{ *:[v4i32] } (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$lhs), (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v4i32] }:$rhs, V128:{ *:[v4i32] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 57412*/    0, /*End of Scope*/
/* 57413*/   /*SwitchType*/ 44, MVT::v2f64,// ->57459
/* 57415*/    OPC_CheckChild0Type, MVT::v2i64,
/* 57417*/    OPC_MoveParent,
/* 57418*/    OPC_MoveChild1,
/* 57419*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 57422*/    OPC_RecordChild0, // #1 = $lhs
/* 57423*/    OPC_CheckChild0Type, MVT::v2i64,
/* 57425*/    OPC_MoveParent,
/* 57426*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 57428*/    OPC_MoveParent,
/* 57429*/    OPC_CheckType, MVT::v2i64,
/* 57431*/    OPC_Scope, 12, /*->57445*/ // 2 children in Scope
/* 57433*/     OPC_CheckChild1Same, 0,
/* 57435*/     OPC_CheckChild2Same, 1,
/* 57437*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v2i64] } (setcc:{ *:[v2i64] } (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$rhs), (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v2i64] }:$rhs, V128:{ *:[v2i64] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 57445*/    /*Scope*/ 12, /*->57458*/
/* 57446*/     OPC_CheckChild1Same, 1,
/* 57448*/     OPC_CheckChild2Same, 0,
/* 57450*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v2i64] } (setcc:{ *:[v2i64] } (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$lhs), (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v2i64] }:$rhs, V128:{ *:[v2i64] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 57458*/    0, /*End of Scope*/
/* 57459*/   0, // EndSwitchType
/* 57460*/  /*Scope*/ 49, /*->57510*/
/* 57461*/   OPC_RecordChild0, // #0 = $c
/* 57462*/   OPC_RecordChild1, // #1 = $v1
/* 57463*/   OPC_RecordChild2, // #2 = $v2
/* 57464*/   OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->57476
/* 57467*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 57476*/   /*SwitchType*/ 9, MVT::v8i16,// ->57487
/* 57478*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 57487*/   /*SwitchType*/ 9, MVT::v4i32,// ->57498
/* 57489*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 57498*/   /*SwitchType*/ 9, MVT::v2i64,// ->57509
/* 57500*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 57509*/   0, // EndSwitchType
/* 57510*/  /*Scope*/ 89, /*->57600*/
/* 57511*/   OPC_MoveChild0,
/* 57512*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 57515*/   OPC_RecordChild0, // #0 = $rhs
/* 57516*/   OPC_Scope, 40, /*->57558*/ // 2 children in Scope
/* 57518*/    OPC_CheckChild0Type, MVT::v4f32,
/* 57520*/    OPC_RecordChild1, // #1 = $lhs
/* 57521*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 57523*/    OPC_MoveParent,
/* 57524*/    OPC_CheckType, MVT::v4f32,
/* 57526*/    OPC_Scope, 14, /*->57542*/ // 2 children in Scope
/* 57528*/     OPC_CheckChild1Same, 0,
/* 57530*/     OPC_CheckChild2Same, 1,
/* 57532*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57534*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F32x4), 0,
                   MVT::v4f32, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
               // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 57542*/    /*Scope*/ 14, /*->57557*/
/* 57543*/     OPC_CheckChild1Same, 1,
/* 57545*/     OPC_CheckChild2Same, 0,
/* 57547*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57549*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F32x4), 0,
                   MVT::v4f32, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
               // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 57557*/    0, /*End of Scope*/
/* 57558*/   /*Scope*/ 40, /*->57599*/
/* 57559*/    OPC_CheckChild0Type, MVT::v2f64,
/* 57561*/    OPC_RecordChild1, // #1 = $lhs
/* 57562*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 57564*/    OPC_MoveParent,
/* 57565*/    OPC_CheckType, MVT::v2f64,
/* 57567*/    OPC_Scope, 14, /*->57583*/ // 2 children in Scope
/* 57569*/     OPC_CheckChild1Same, 0,
/* 57571*/     OPC_CheckChild2Same, 1,
/* 57573*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57575*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F64x2), 0,
                   MVT::v2f64, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
               // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 57583*/    /*Scope*/ 14, /*->57598*/
/* 57584*/     OPC_CheckChild1Same, 1,
/* 57586*/     OPC_CheckChild2Same, 0,
/* 57588*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 57590*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F64x2), 0,
                   MVT::v2f64, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
               // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 57598*/    0, /*End of Scope*/
/* 57599*/   0, /*End of Scope*/
/* 57600*/  /*Scope*/ 27, /*->57628*/
/* 57601*/   OPC_RecordChild0, // #0 = $c
/* 57602*/   OPC_RecordChild1, // #1 = $v1
/* 57603*/   OPC_RecordChild2, // #2 = $v2
/* 57604*/   OPC_SwitchType /*2 cases */, 9, MVT::v4f32,// ->57616
/* 57607*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v4f32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v4f32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4f32] }:$v1, V128:{ *:[v4f32] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v4f32] } ?:{ *:[v4f32] }:$v1, ?:{ *:[v4f32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 57616*/   /*SwitchType*/ 9, MVT::v2f64,// ->57627
/* 57618*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v2f64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v2f64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2f64] }:$v1, V128:{ *:[v2f64] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v2f64] } ?:{ *:[v2f64] }:$v1, ?:{ *:[v2f64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 57627*/   0, // EndSwitchType
/* 57628*/  0, /*End of Scope*/
/* 57629*/ /*SwitchOpcode*/ 40|128,12/*1576*/, TARGET_VAL(WebAssemblyISD::LOAD_SPLAT),// ->59209
/* 57633*/  OPC_RecordMemRef,
/* 57634*/  OPC_RecordNode, // #0 = 'wasm_load_splat' chained node
/* 57635*/  OPC_Scope, 82|128,4/*594*/, /*->58232*/ // 4 children in Scope
/* 57638*/   OPC_MoveChild1,
/* 57639*/   OPC_SwitchOpcode /*3 cases */, 45|128,1/*173*/, TARGET_VAL(ISD::ADD),// ->57817
/* 57644*/    OPC_RecordChild0, // #1 = $addr
/* 57645*/    OPC_RecordChild1, // #2 = $off
/* 57646*/    OPC_MoveChild1,
/* 57647*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 57650*/    OPC_MoveParent,
/* 57651*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 57653*/    OPC_SwitchType /*2 cases */, 79, MVT::i32,// ->57735
/* 57656*/     OPC_MoveParent,
/* 57657*/     OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->57677
/* 57660*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57662*/      OPC_EmitMergeInputChains1_0,
/* 57663*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57666*/      OPC_EmitConvertToTarget, 2,
/* 57668*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57677*/     /*SwitchType*/ 17, MVT::v8i16,// ->57696
/* 57679*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57681*/      OPC_EmitMergeInputChains1_0,
/* 57682*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57685*/      OPC_EmitConvertToTarget, 2,
/* 57687*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57696*/     /*SwitchType*/ 17, MVT::v4i32,// ->57715
/* 57698*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57700*/      OPC_EmitMergeInputChains1_0,
/* 57701*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57704*/      OPC_EmitConvertToTarget, 2,
/* 57706*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57715*/     /*SwitchType*/ 17, MVT::v2i64,// ->57734
/* 57717*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57719*/      OPC_EmitMergeInputChains1_0,
/* 57720*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57723*/      OPC_EmitConvertToTarget, 2,
/* 57725*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57734*/     0, // EndSwitchType
/* 57735*/    /*SwitchType*/ 79, MVT::i64,// ->57816
/* 57737*/     OPC_MoveParent,
/* 57738*/     OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->57758
/* 57741*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57743*/      OPC_EmitMergeInputChains1_0,
/* 57744*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57747*/      OPC_EmitConvertToTarget, 2,
/* 57749*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57758*/     /*SwitchType*/ 17, MVT::v8i16,// ->57777
/* 57760*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57762*/      OPC_EmitMergeInputChains1_0,
/* 57763*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57766*/      OPC_EmitConvertToTarget, 2,
/* 57768*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57777*/     /*SwitchType*/ 17, MVT::v4i32,// ->57796
/* 57779*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57781*/      OPC_EmitMergeInputChains1_0,
/* 57782*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57785*/      OPC_EmitConvertToTarget, 2,
/* 57787*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57796*/     /*SwitchType*/ 17, MVT::v2i64,// ->57815
/* 57798*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57800*/      OPC_EmitMergeInputChains1_0,
/* 57801*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57804*/      OPC_EmitConvertToTarget, 2,
/* 57806*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57815*/     0, // EndSwitchType
/* 57816*/    0, // EndSwitchType
/* 57817*/   /*SwitchOpcode*/ 45|128,1/*173*/, TARGET_VAL(ISD::OR),// ->57994
/* 57821*/    OPC_RecordChild0, // #1 = $addr
/* 57822*/    OPC_RecordChild1, // #2 = $off
/* 57823*/    OPC_MoveChild1,
/* 57824*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 57827*/    OPC_MoveParent,
/* 57828*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 57830*/    OPC_SwitchType /*2 cases */, 79, MVT::i32,// ->57912
/* 57833*/     OPC_MoveParent,
/* 57834*/     OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->57854
/* 57837*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57839*/      OPC_EmitMergeInputChains1_0,
/* 57840*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57843*/      OPC_EmitConvertToTarget, 2,
/* 57845*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57854*/     /*SwitchType*/ 17, MVT::v8i16,// ->57873
/* 57856*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57858*/      OPC_EmitMergeInputChains1_0,
/* 57859*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57862*/      OPC_EmitConvertToTarget, 2,
/* 57864*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57873*/     /*SwitchType*/ 17, MVT::v4i32,// ->57892
/* 57875*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57877*/      OPC_EmitMergeInputChains1_0,
/* 57878*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57881*/      OPC_EmitConvertToTarget, 2,
/* 57883*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57892*/     /*SwitchType*/ 17, MVT::v2i64,// ->57911
/* 57894*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57896*/      OPC_EmitMergeInputChains1_0,
/* 57897*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57900*/      OPC_EmitConvertToTarget, 2,
/* 57902*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57911*/     0, // EndSwitchType
/* 57912*/    /*SwitchType*/ 79, MVT::i64,// ->57993
/* 57914*/     OPC_MoveParent,
/* 57915*/     OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->57935
/* 57918*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57920*/      OPC_EmitMergeInputChains1_0,
/* 57921*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57924*/      OPC_EmitConvertToTarget, 2,
/* 57926*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57935*/     /*SwitchType*/ 17, MVT::v8i16,// ->57954
/* 57937*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57939*/      OPC_EmitMergeInputChains1_0,
/* 57940*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57943*/      OPC_EmitConvertToTarget, 2,
/* 57945*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57954*/     /*SwitchType*/ 17, MVT::v4i32,// ->57973
/* 57956*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57958*/      OPC_EmitMergeInputChains1_0,
/* 57959*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57962*/      OPC_EmitConvertToTarget, 2,
/* 57964*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57973*/     /*SwitchType*/ 17, MVT::v2i64,// ->57992
/* 57975*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57977*/      OPC_EmitMergeInputChains1_0,
/* 57978*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57981*/      OPC_EmitConvertToTarget, 2,
/* 57983*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57992*/     0, // EndSwitchType
/* 57993*/    0, // EndSwitchType
/* 57994*/   /*SwitchOpcode*/ 105|128,1/*233*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->58231
/* 57998*/    OPC_RecordChild0, // #1 = $off
/* 57999*/    OPC_MoveChild0,
/* 58000*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 58003*/    OPC_MoveParent,
/* 58004*/    OPC_MoveParent,
/* 58005*/    OPC_SwitchType /*4 cases */, 54, MVT::v16i8,// ->58062
/* 58008*/     OPC_Scope, 25, /*->58035*/ // 2 children in Scope
/* 58010*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58012*/      OPC_EmitMergeInputChains1_0,
/* 58013*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58016*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58019*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 58026*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58035*/     /*Scope*/ 25, /*->58061*/
/* 58036*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58038*/      OPC_EmitMergeInputChains1_0,
/* 58039*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58042*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58045*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 58052*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58061*/     0, /*End of Scope*/
/* 58062*/    /*SwitchType*/ 54, MVT::v8i16,// ->58118
/* 58064*/     OPC_Scope, 25, /*->58091*/ // 2 children in Scope
/* 58066*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58068*/      OPC_EmitMergeInputChains1_0,
/* 58069*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58072*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58075*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 58082*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58091*/     /*Scope*/ 25, /*->58117*/
/* 58092*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58094*/      OPC_EmitMergeInputChains1_0,
/* 58095*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58098*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58101*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 58108*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58117*/     0, /*End of Scope*/
/* 58118*/    /*SwitchType*/ 54, MVT::v4i32,// ->58174
/* 58120*/     OPC_Scope, 25, /*->58147*/ // 2 children in Scope
/* 58122*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58124*/      OPC_EmitMergeInputChains1_0,
/* 58125*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58128*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58131*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 58138*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58147*/     /*Scope*/ 25, /*->58173*/
/* 58148*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58150*/      OPC_EmitMergeInputChains1_0,
/* 58151*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58154*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58157*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 58164*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58173*/     0, /*End of Scope*/
/* 58174*/    /*SwitchType*/ 54, MVT::v2i64,// ->58230
/* 58176*/     OPC_Scope, 25, /*->58203*/ // 2 children in Scope
/* 58178*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58180*/      OPC_EmitMergeInputChains1_0,
/* 58181*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58184*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58187*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 58194*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58203*/     /*Scope*/ 25, /*->58229*/
/* 58204*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58206*/      OPC_EmitMergeInputChains1_0,
/* 58207*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58210*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58213*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 58220*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58229*/     0, /*End of Scope*/
/* 58230*/    0, // EndSwitchType
/* 58231*/   0, // EndSwitchOpcode
/* 58232*/  /*Scope*/ 38|128,3/*422*/, /*->58656*/
/* 58234*/   OPC_RecordChild1, // #1 = $off
/* 58235*/   OPC_Scope, 119|128,1/*247*/, /*->58485*/ // 3 children in Scope
/* 58238*/    OPC_MoveChild1,
/* 58239*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 58242*/    OPC_MoveParent,
/* 58243*/    OPC_SwitchType /*4 cases */, 58, MVT::v16i8,// ->58304
/* 58246*/     OPC_Scope, 27, /*->58275*/ // 2 children in Scope
/* 58248*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58250*/      OPC_EmitMergeInputChains1_0,
/* 58251*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58254*/      OPC_EmitConvertToTarget, 1,
/* 58256*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58259*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 58266*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58275*/     /*Scope*/ 27, /*->58303*/
/* 58276*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58278*/      OPC_EmitMergeInputChains1_0,
/* 58279*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58282*/      OPC_EmitConvertToTarget, 1,
/* 58284*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58287*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 58294*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58303*/     0, /*End of Scope*/
/* 58304*/    /*SwitchType*/ 58, MVT::v8i16,// ->58364
/* 58306*/     OPC_Scope, 27, /*->58335*/ // 2 children in Scope
/* 58308*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58310*/      OPC_EmitMergeInputChains1_0,
/* 58311*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58314*/      OPC_EmitConvertToTarget, 1,
/* 58316*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58319*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 58326*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58335*/     /*Scope*/ 27, /*->58363*/
/* 58336*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58338*/      OPC_EmitMergeInputChains1_0,
/* 58339*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58342*/      OPC_EmitConvertToTarget, 1,
/* 58344*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58347*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 58354*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58363*/     0, /*End of Scope*/
/* 58364*/    /*SwitchType*/ 58, MVT::v4i32,// ->58424
/* 58366*/     OPC_Scope, 27, /*->58395*/ // 2 children in Scope
/* 58368*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58370*/      OPC_EmitMergeInputChains1_0,
/* 58371*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58374*/      OPC_EmitConvertToTarget, 1,
/* 58376*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58379*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 58386*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58395*/     /*Scope*/ 27, /*->58423*/
/* 58396*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58398*/      OPC_EmitMergeInputChains1_0,
/* 58399*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58402*/      OPC_EmitConvertToTarget, 1,
/* 58404*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58407*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 58414*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58423*/     0, /*End of Scope*/
/* 58424*/    /*SwitchType*/ 58, MVT::v2i64,// ->58484
/* 58426*/     OPC_Scope, 27, /*->58455*/ // 2 children in Scope
/* 58428*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58430*/      OPC_EmitMergeInputChains1_0,
/* 58431*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58434*/      OPC_EmitConvertToTarget, 1,
/* 58436*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58439*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 58446*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58455*/     /*Scope*/ 27, /*->58483*/
/* 58456*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58458*/      OPC_EmitMergeInputChains1_0,
/* 58459*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58462*/      OPC_EmitConvertToTarget, 1,
/* 58464*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58467*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 58474*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58483*/     0, /*End of Scope*/
/* 58484*/    0, // EndSwitchType
/* 58485*/   /*Scope*/ 84, /*->58570*/
/* 58486*/    OPC_CheckChild1Type, MVT::i32,
/* 58488*/    OPC_SwitchType /*4 cases */, 18, MVT::v16i8,// ->58509
/* 58491*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58493*/     OPC_EmitMergeInputChains1_0,
/* 58494*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58497*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58500*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v16i8] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 58509*/    /*SwitchType*/ 18, MVT::v8i16,// ->58529
/* 58511*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58513*/     OPC_EmitMergeInputChains1_0,
/* 58514*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58517*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58520*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v8i16] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 58529*/    /*SwitchType*/ 18, MVT::v4i32,// ->58549
/* 58531*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58533*/     OPC_EmitMergeInputChains1_0,
/* 58534*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58537*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58540*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v4i32] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 58549*/    /*SwitchType*/ 18, MVT::v2i64,// ->58569
/* 58551*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58553*/     OPC_EmitMergeInputChains1_0,
/* 58554*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58557*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58560*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v2i64] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 58569*/    0, // EndSwitchType
/* 58570*/   /*Scope*/ 84, /*->58655*/
/* 58571*/    OPC_CheckChild1Type, MVT::i64,
/* 58573*/    OPC_SwitchType /*4 cases */, 18, MVT::v16i8,// ->58594
/* 58576*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58578*/     OPC_EmitMergeInputChains1_0,
/* 58579*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58582*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58585*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v16i8] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58594*/    /*SwitchType*/ 18, MVT::v8i16,// ->58614
/* 58596*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58598*/     OPC_EmitMergeInputChains1_0,
/* 58599*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58602*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58605*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v8i16] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58614*/    /*SwitchType*/ 18, MVT::v4i32,// ->58634
/* 58616*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58618*/     OPC_EmitMergeInputChains1_0,
/* 58619*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58622*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58625*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v4i32] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58634*/    /*SwitchType*/ 18, MVT::v2i64,// ->58654
/* 58636*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58638*/     OPC_EmitMergeInputChains1_0,
/* 58639*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58642*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58645*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v2i64] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58654*/    0, // EndSwitchType
/* 58655*/   0, /*End of Scope*/
/* 58656*/  /*Scope*/ 71|128,2/*327*/, /*->58985*/
/* 58658*/   OPC_MoveChild1,
/* 58659*/   OPC_SwitchOpcode /*3 cases */, 97, TARGET_VAL(ISD::ADD),// ->58760
/* 58663*/    OPC_RecordChild0, // #1 = $addr
/* 58664*/    OPC_RecordChild1, // #2 = $off
/* 58665*/    OPC_MoveChild1,
/* 58666*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 58669*/    OPC_MoveParent,
/* 58670*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 58672*/    OPC_SwitchType /*2 cases */, 41, MVT::i32,// ->58716
/* 58675*/     OPC_MoveParent,
/* 58676*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->58696
/* 58679*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58681*/      OPC_EmitMergeInputChains1_0,
/* 58682*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58685*/      OPC_EmitConvertToTarget, 2,
/* 58687*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 58696*/     /*SwitchType*/ 17, MVT::v2f64,// ->58715
/* 58698*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58700*/      OPC_EmitMergeInputChains1_0,
/* 58701*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58704*/      OPC_EmitConvertToTarget, 2,
/* 58706*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 58715*/     0, // EndSwitchType
/* 58716*/    /*SwitchType*/ 41, MVT::i64,// ->58759
/* 58718*/     OPC_MoveParent,
/* 58719*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->58739
/* 58722*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58724*/      OPC_EmitMergeInputChains1_0,
/* 58725*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58728*/      OPC_EmitConvertToTarget, 2,
/* 58730*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 58739*/     /*SwitchType*/ 17, MVT::v2f64,// ->58758
/* 58741*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58743*/      OPC_EmitMergeInputChains1_0,
/* 58744*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58747*/      OPC_EmitConvertToTarget, 2,
/* 58749*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 58758*/     0, // EndSwitchType
/* 58759*/    0, // EndSwitchType
/* 58760*/   /*SwitchOpcode*/ 97, TARGET_VAL(ISD::OR),// ->58860
/* 58763*/    OPC_RecordChild0, // #1 = $addr
/* 58764*/    OPC_RecordChild1, // #2 = $off
/* 58765*/    OPC_MoveChild1,
/* 58766*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 58769*/    OPC_MoveParent,
/* 58770*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 58772*/    OPC_SwitchType /*2 cases */, 41, MVT::i32,// ->58816
/* 58775*/     OPC_MoveParent,
/* 58776*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->58796
/* 58779*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58781*/      OPC_EmitMergeInputChains1_0,
/* 58782*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58785*/      OPC_EmitConvertToTarget, 2,
/* 58787*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 58796*/     /*SwitchType*/ 17, MVT::v2f64,// ->58815
/* 58798*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58800*/      OPC_EmitMergeInputChains1_0,
/* 58801*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58804*/      OPC_EmitConvertToTarget, 2,
/* 58806*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 58815*/     0, // EndSwitchType
/* 58816*/    /*SwitchType*/ 41, MVT::i64,// ->58859
/* 58818*/     OPC_MoveParent,
/* 58819*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->58839
/* 58822*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58824*/      OPC_EmitMergeInputChains1_0,
/* 58825*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58828*/      OPC_EmitConvertToTarget, 2,
/* 58830*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 58839*/     /*SwitchType*/ 17, MVT::v2f64,// ->58858
/* 58841*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58843*/      OPC_EmitMergeInputChains1_0,
/* 58844*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58847*/      OPC_EmitConvertToTarget, 2,
/* 58849*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 58858*/     0, // EndSwitchType
/* 58859*/    0, // EndSwitchType
/* 58860*/   /*SwitchOpcode*/ 121, TARGET_VAL(WebAssemblyISD::Wrapper),// ->58984
/* 58863*/    OPC_RecordChild0, // #1 = $off
/* 58864*/    OPC_MoveChild0,
/* 58865*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 58868*/    OPC_MoveParent,
/* 58869*/    OPC_MoveParent,
/* 58870*/    OPC_SwitchType /*2 cases */, 54, MVT::v4f32,// ->58927
/* 58873*/     OPC_Scope, 25, /*->58900*/ // 2 children in Scope
/* 58875*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58877*/      OPC_EmitMergeInputChains1_0,
/* 58878*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58881*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58884*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 58891*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58900*/     /*Scope*/ 25, /*->58926*/
/* 58901*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58903*/      OPC_EmitMergeInputChains1_0,
/* 58904*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58907*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58910*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 58917*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58926*/     0, /*End of Scope*/
/* 58927*/    /*SwitchType*/ 54, MVT::v2f64,// ->58983
/* 58929*/     OPC_Scope, 25, /*->58956*/ // 2 children in Scope
/* 58931*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58933*/      OPC_EmitMergeInputChains1_0,
/* 58934*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58937*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58940*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 58947*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58956*/     /*Scope*/ 25, /*->58982*/
/* 58957*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58959*/      OPC_EmitMergeInputChains1_0,
/* 58960*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58963*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58966*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 58973*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58982*/     0, /*End of Scope*/
/* 58983*/    0, // EndSwitchType
/* 58984*/   0, // EndSwitchOpcode
/* 58985*/  /*Scope*/ 93|128,1/*221*/, /*->59208*/
/* 58987*/   OPC_RecordChild1, // #1 = $off
/* 58988*/   OPC_Scope, 127, /*->59117*/ // 3 children in Scope
/* 58990*/    OPC_MoveChild1,
/* 58991*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 58994*/    OPC_MoveParent,
/* 58995*/    OPC_SwitchType /*2 cases */, 58, MVT::v4f32,// ->59056
/* 58998*/     OPC_Scope, 27, /*->59027*/ // 2 children in Scope
/* 59000*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 59002*/      OPC_EmitMergeInputChains1_0,
/* 59003*/      OPC_EmitInteger, MVT::i32, 0, 
/* 59006*/      OPC_EmitConvertToTarget, 1,
/* 59008*/      OPC_EmitInteger, MVT::i32, 0, 
/* 59011*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 59018*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 59027*/     /*Scope*/ 27, /*->59055*/
/* 59028*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 59030*/      OPC_EmitMergeInputChains1_0,
/* 59031*/      OPC_EmitInteger, MVT::i32, 0, 
/* 59034*/      OPC_EmitConvertToTarget, 1,
/* 59036*/      OPC_EmitInteger, MVT::i64, 0, 
/* 59039*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 59046*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 59055*/     0, /*End of Scope*/
/* 59056*/    /*SwitchType*/ 58, MVT::v2f64,// ->59116
/* 59058*/     OPC_Scope, 27, /*->59087*/ // 2 children in Scope
/* 59060*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 59062*/      OPC_EmitMergeInputChains1_0,
/* 59063*/      OPC_EmitInteger, MVT::i32, 0, 
/* 59066*/      OPC_EmitConvertToTarget, 1,
/* 59068*/      OPC_EmitInteger, MVT::i32, 0, 
/* 59071*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 59078*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 59087*/     /*Scope*/ 27, /*->59115*/
/* 59088*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 59090*/      OPC_EmitMergeInputChains1_0,
/* 59091*/      OPC_EmitInteger, MVT::i32, 0, 
/* 59094*/      OPC_EmitConvertToTarget, 1,
/* 59096*/      OPC_EmitInteger, MVT::i64, 0, 
/* 59099*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 59106*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 59115*/     0, /*End of Scope*/
/* 59116*/    0, // EndSwitchType
/* 59117*/   /*Scope*/ 44, /*->59162*/
/* 59118*/    OPC_CheckChild1Type, MVT::i32,
/* 59120*/    OPC_SwitchType /*2 cases */, 18, MVT::v4f32,// ->59141
/* 59123*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 59125*/     OPC_EmitMergeInputChains1_0,
/* 59126*/     OPC_EmitInteger, MVT::i32, 0, 
/* 59129*/     OPC_EmitInteger, MVT::i32, 0, 
/* 59132*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4f32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v4f32] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 59141*/    /*SwitchType*/ 18, MVT::v2f64,// ->59161
/* 59143*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 59145*/     OPC_EmitMergeInputChains1_0,
/* 59146*/     OPC_EmitInteger, MVT::i32, 0, 
/* 59149*/     OPC_EmitInteger, MVT::i32, 0, 
/* 59152*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2f64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v2f64] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 59161*/    0, // EndSwitchType
/* 59162*/   /*Scope*/ 44, /*->59207*/
/* 59163*/    OPC_CheckChild1Type, MVT::i64,
/* 59165*/    OPC_SwitchType /*2 cases */, 18, MVT::v4f32,// ->59186
/* 59168*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 59170*/     OPC_EmitMergeInputChains1_0,
/* 59171*/     OPC_EmitInteger, MVT::i32, 0, 
/* 59174*/     OPC_EmitInteger, MVT::i64, 0, 
/* 59177*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4f32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v4f32] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 59186*/    /*SwitchType*/ 18, MVT::v2f64,// ->59206
/* 59188*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 59190*/     OPC_EmitMergeInputChains1_0,
/* 59191*/     OPC_EmitInteger, MVT::i32, 0, 
/* 59194*/     OPC_EmitInteger, MVT::i64, 0, 
/* 59197*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2f64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v2f64] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 59206*/    0, // EndSwitchType
/* 59207*/   0, /*End of Scope*/
/* 59208*/  0, /*End of Scope*/
/* 59209*/ /*SwitchOpcode*/ 18, TARGET_VAL(WebAssemblyISD::SWIZZLE),// ->59230
/* 59212*/  OPC_RecordChild0, // #0 = $src
/* 59213*/  OPC_CheckChild0Type, MVT::v16i8,
/* 59215*/  OPC_RecordChild1, // #1 = $mask
/* 59216*/  OPC_CheckChild1Type, MVT::v16i8,
/* 59218*/  OPC_CheckType, MVT::v16i8,
/* 59220*/  OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59222*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SWIZZLE), 0,
                MVT::v16i8, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_swizzle:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 3
            // Dst: (SWIZZLE:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask)
/* 59230*/ /*SwitchOpcode*/ 47, TARGET_VAL(ISD::ABS),// ->59280
/* 59233*/  OPC_RecordChild0, // #0 = $v
/* 59234*/  OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->59246
/* 59237*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59239*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_I8x16), 0,
                 MVT::v16i8, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v16i8] } V128:{ *:[v16i8] }:$v) - Complexity = 3
             // Dst: (ABS_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 59246*/  /*SwitchType*/ 9, MVT::v8i16,// ->59257
/* 59248*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59250*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v8i16] } V128:{ *:[v8i16] }:$v) - Complexity = 3
             // Dst: (ABS_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$v)
/* 59257*/  /*SwitchType*/ 9, MVT::v4i32,// ->59268
/* 59259*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59261*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v4i32] } V128:{ *:[v4i32] }:$v) - Complexity = 3
             // Dst: (ABS_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$v)
/* 59268*/  /*SwitchType*/ 9, MVT::v2i64,// ->59279
/* 59270*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59272*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v2i64] } V128:{ *:[v2i64] }:$v) - Complexity = 3
             // Dst: (ABS_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$v)
/* 59279*/  0, // EndSwitchType
/* 59280*/ /*SwitchOpcode*/ 28, TARGET_VAL(ISD::SADDSAT),// ->59311
/* 59283*/  OPC_RecordChild0, // #0 = $lhs
/* 59284*/  OPC_RecordChild1, // #1 = $rhs
/* 59285*/  OPC_SwitchType /*2 cases */, 10, MVT::v16i8,// ->59298
/* 59288*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59290*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_SAT_S_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (saddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 59298*/  /*SwitchType*/ 10, MVT::v8i16,// ->59310
/* 59300*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59302*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_SAT_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (saddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 59310*/  0, // EndSwitchType
/* 59311*/ /*SwitchOpcode*/ 28, TARGET_VAL(ISD::UADDSAT),// ->59342
/* 59314*/  OPC_RecordChild0, // #0 = $lhs
/* 59315*/  OPC_RecordChild1, // #1 = $rhs
/* 59316*/  OPC_SwitchType /*2 cases */, 10, MVT::v16i8,// ->59329
/* 59319*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59321*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_SAT_U_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (uaddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 59329*/  /*SwitchType*/ 10, MVT::v8i16,// ->59341
/* 59331*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59333*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_SAT_U_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (uaddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 59341*/  0, // EndSwitchType
/* 59342*/ /*SwitchOpcode*/ 40, TARGET_VAL(ISD::SMIN),// ->59385
/* 59345*/  OPC_RecordChild0, // #0 = $lhs
/* 59346*/  OPC_RecordChild1, // #1 = $rhs
/* 59347*/  OPC_SwitchType /*3 cases */, 10, MVT::v16i8,// ->59360
/* 59350*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59352*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_S_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 59360*/  /*SwitchType*/ 10, MVT::v8i16,// ->59372
/* 59362*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59364*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 59372*/  /*SwitchType*/ 10, MVT::v4i32,// ->59384
/* 59374*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59376*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_S_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 59384*/  0, // EndSwitchType
/* 59385*/ /*SwitchOpcode*/ 40, TARGET_VAL(ISD::UMIN),// ->59428
/* 59388*/  OPC_RecordChild0, // #0 = $lhs
/* 59389*/  OPC_RecordChild1, // #1 = $rhs
/* 59390*/  OPC_SwitchType /*3 cases */, 10, MVT::v16i8,// ->59403
/* 59393*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59395*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_U_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 59403*/  /*SwitchType*/ 10, MVT::v8i16,// ->59415
/* 59405*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59407*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_U_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 59415*/  /*SwitchType*/ 10, MVT::v4i32,// ->59427
/* 59417*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59419*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_U_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 59427*/  0, // EndSwitchType
/* 59428*/ /*SwitchOpcode*/ 40, TARGET_VAL(ISD::SMAX),// ->59471
/* 59431*/  OPC_RecordChild0, // #0 = $lhs
/* 59432*/  OPC_RecordChild1, // #1 = $rhs
/* 59433*/  OPC_SwitchType /*3 cases */, 10, MVT::v16i8,// ->59446
/* 59436*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59438*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_S_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 59446*/  /*SwitchType*/ 10, MVT::v8i16,// ->59458
/* 59448*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59450*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 59458*/  /*SwitchType*/ 10, MVT::v4i32,// ->59470
/* 59460*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59462*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_S_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 59470*/  0, // EndSwitchType
/* 59471*/ /*SwitchOpcode*/ 40, TARGET_VAL(ISD::UMAX),// ->59514
/* 59474*/  OPC_RecordChild0, // #0 = $lhs
/* 59475*/  OPC_RecordChild1, // #1 = $rhs
/* 59476*/  OPC_SwitchType /*3 cases */, 10, MVT::v16i8,// ->59489
/* 59479*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59481*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_U_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 59489*/  /*SwitchType*/ 10, MVT::v8i16,// ->59501
/* 59491*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59493*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_U_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 59501*/  /*SwitchType*/ 10, MVT::v4i32,// ->59513
/* 59503*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59505*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_U_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 59513*/  0, // EndSwitchType
/* 59514*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::TRUNC_SAT_ZERO_S),// ->59531
/* 59517*/  OPC_RecordChild0, // #0 = $vec
/* 59518*/  OPC_CheckChild0Type, MVT::v2f64,
/* 59520*/  OPC_CheckType, MVT::v4i32,
/* 59522*/  OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59524*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::trunc_sat_zero_s_I32x4), 0,
                MVT::v4i32, 1/*#Ops*/, 0, 
            // Src: (trunc_sat_zero_s:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (trunc_sat_zero_s_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 59531*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::TRUNC_SAT_ZERO_U),// ->59548
/* 59534*/  OPC_RecordChild0, // #0 = $vec
/* 59535*/  OPC_CheckChild0Type, MVT::v2f64,
/* 59537*/  OPC_CheckType, MVT::v4i32,
/* 59539*/  OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59541*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::trunc_sat_zero_u_I32x4), 0,
                MVT::v4i32, 1/*#Ops*/, 0, 
            // Src: (trunc_sat_zero_u:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (trunc_sat_zero_u_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 59548*/ /*SwitchOpcode*/ 42, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),// ->59593
/* 59551*/  OPC_RecordChild0, // #0 = $vec
/* 59552*/  OPC_SwitchType /*3 cases */, 11, MVT::v8i16,// ->59566
/* 59555*/   OPC_CheckChild0Type, MVT::v16i8,
/* 59557*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59559*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_s_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 59566*/  /*SwitchType*/ 11, MVT::v4i32,// ->59579
/* 59568*/   OPC_CheckChild0Type, MVT::v8i16,
/* 59570*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59572*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_s_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 59579*/  /*SwitchType*/ 11, MVT::v2i64,// ->59592
/* 59581*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59583*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59585*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_s_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 59592*/  0, // EndSwitchType
/* 59593*/ /*SwitchOpcode*/ 42, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),// ->59638
/* 59596*/  OPC_RecordChild0, // #0 = $vec
/* 59597*/  OPC_SwitchType /*3 cases */, 11, MVT::v8i16,// ->59611
/* 59600*/   OPC_CheckChild0Type, MVT::v16i8,
/* 59602*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59604*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_s_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 59611*/  /*SwitchType*/ 11, MVT::v4i32,// ->59624
/* 59613*/   OPC_CheckChild0Type, MVT::v8i16,
/* 59615*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59617*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_s_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 59624*/  /*SwitchType*/ 11, MVT::v2i64,// ->59637
/* 59626*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59628*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59630*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_s_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 59637*/  0, // EndSwitchType
/* 59638*/ /*SwitchOpcode*/ 42, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),// ->59683
/* 59641*/  OPC_RecordChild0, // #0 = $vec
/* 59642*/  OPC_SwitchType /*3 cases */, 11, MVT::v8i16,// ->59656
/* 59645*/   OPC_CheckChild0Type, MVT::v16i8,
/* 59647*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59649*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_u_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 59656*/  /*SwitchType*/ 11, MVT::v4i32,// ->59669
/* 59658*/   OPC_CheckChild0Type, MVT::v8i16,
/* 59660*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59662*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_u_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 59669*/  /*SwitchType*/ 11, MVT::v2i64,// ->59682
/* 59671*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59673*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59675*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_u_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 59682*/  0, // EndSwitchType
/* 59683*/ /*SwitchOpcode*/ 42, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),// ->59728
/* 59686*/  OPC_RecordChild0, // #0 = $vec
/* 59687*/  OPC_SwitchType /*3 cases */, 11, MVT::v8i16,// ->59701
/* 59690*/   OPC_CheckChild0Type, MVT::v16i8,
/* 59692*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59694*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_u_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 59701*/  /*SwitchType*/ 11, MVT::v4i32,// ->59714
/* 59703*/   OPC_CheckChild0Type, MVT::v8i16,
/* 59705*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59707*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_u_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 59714*/  /*SwitchType*/ 11, MVT::v2i64,// ->59727
/* 59716*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59718*/   OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59720*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_u_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 59727*/  0, // EndSwitchType
/* 59728*/ /*SwitchOpcode*/ 33, TARGET_VAL(WebAssemblyISD::NARROW_U),// ->59764
/* 59731*/  OPC_RecordChild0, // #0 = $left
/* 59732*/  OPC_SwitchType /*2 cases */, 13, MVT::v16i8,// ->59748
/* 59735*/   OPC_CheckChild0Type, MVT::v8i16,
/* 59737*/   OPC_RecordChild1, // #1 = $right
/* 59738*/   OPC_CheckChild1Type, MVT::v8i16,
/* 59740*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_U_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (wasm_narrow_u:{ *:[v16i8] } V128:{ *:[v8i16] }:$left, V128:{ *:[v8i16] }:$right) - Complexity = 3
             // Dst: (NARROW_U_I8x16:{ *:[v16i8] } ?:{ *:[v8i16] }:$left, ?:{ *:[v8i16] }:$right)
/* 59748*/  /*SwitchType*/ 13, MVT::v8i16,// ->59763
/* 59750*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59752*/   OPC_RecordChild1, // #1 = $right
/* 59753*/   OPC_CheckChild1Type, MVT::v4i32,
/* 59755*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_U_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (wasm_narrow_u:{ *:[v8i16] } V128:{ *:[v4i32] }:$left, V128:{ *:[v4i32] }:$right) - Complexity = 3
             // Dst: (NARROW_U_I16x8:{ *:[v8i16] } ?:{ *:[v4i32] }:$left, ?:{ *:[v4i32] }:$right)
/* 59763*/  0, // EndSwitchType
/* 59764*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::CONVERT_LOW_S),// ->59781
/* 59767*/  OPC_RecordChild0, // #0 = $vec
/* 59768*/  OPC_CheckChild0Type, MVT::v4i32,
/* 59770*/  OPC_CheckType, MVT::v2f64,
/* 59772*/  OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59774*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::convert_low_s_F64x2), 0,
                MVT::v2f64, 1/*#Ops*/, 0, 
            // Src: (convert_low_s:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
            // Dst: (convert_low_s_F64x2:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec)
/* 59781*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::CONVERT_LOW_U),// ->59798
/* 59784*/  OPC_RecordChild0, // #0 = $vec
/* 59785*/  OPC_CheckChild0Type, MVT::v4i32,
/* 59787*/  OPC_CheckType, MVT::v2f64,
/* 59789*/  OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59791*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::convert_low_u_F64x2), 0,
                MVT::v2f64, 1/*#Ops*/, 0, 
            // Src: (convert_low_u:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
            // Dst: (convert_low_u_F64x2:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec)
/* 59798*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::DEMOTE_ZERO),// ->59815
/* 59801*/  OPC_RecordChild0, // #0 = $vec
/* 59802*/  OPC_CheckChild0Type, MVT::v2f64,
/* 59804*/  OPC_CheckType, MVT::v4f32,
/* 59806*/  OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59808*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::demote_zero_F32x4), 0,
                MVT::v4f32, 1/*#Ops*/, 0, 
            // Src: (demote_zero:{ *:[v4f32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (demote_zero_F32x4:{ *:[v4f32] } V128:{ *:[v2f64] }:$vec)
/* 59815*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::PROMOTE_LOW),// ->59832
/* 59818*/  OPC_RecordChild0, // #0 = $vec
/* 59819*/  OPC_CheckChild0Type, MVT::v4f32,
/* 59821*/  OPC_CheckType, MVT::v2f64,
/* 59823*/  OPC_CheckPatternPredicate, 10, // (Subtarget->hasSIMD128())
/* 59825*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::promote_low_F64x2), 0,
                MVT::v2f64, 1/*#Ops*/, 0, 
            // Src: (promote_low:{ *:[v2f64] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
            // Dst: (promote_low_F64x2:{ *:[v2f64] } V128:{ *:[v4f32] }:$vec)
/* 59832*/ 0, // EndSwitchOpcode
    0
  }; // Total Array size is 59834 bytes

  // Opcode Histogram:
  // #OPC_Scope                                = 843
  // #OPC_RecordNode                           = 127
  // #OPC_RecordChild                          = 1096
  // #OPC_RecordMemRef                         = 40
  // #OPC_CaptureGlueInput                     = 1
  // #OPC_MoveChild                            = 781
  // #OPC_MoveParent                           = 1449
  // #OPC_CheckSame                            = 12
  // #OPC_CheckChildSame                       = 53
  // #OPC_CheckPatternPredicate                = 1848
  // #OPC_CheckPredicate                       = 1704
  // #OPC_CheckOpcode                          = 649
  // #OPC_SwitchOpcode                         = 56
  // #OPC_CheckType                            = 542
  // #OPC_SwitchType                           = 351
  // #OPC_CheckChildType                       = 462
  // #OPC_CheckInteger                         = 22
  // #OPC_CheckChildInteger                    = 124
  // #OPC_CheckCondCode                        = 0
  // #OPC_CheckChild2CondCode                  = 136
  // #OPC_CheckValueType                       = 15
  // #OPC_CheckComplexPat                      = 0
  // #OPC_CheckAndImm                          = 24
  // #OPC_CheckOrImm                           = 0
  // #OPC_CheckImmAllOnesV                     = 24
  // #OPC_CheckImmAllZerosV                    = 1
  // #OPC_CheckFoldableChainNode               = 5
  // #OPC_EmitInteger                          = 2492
  // #OPC_EmitStringInteger                    = 0
  // #OPC_EmitRegister                         = 0
  // #OPC_EmitConvertToTarget                  = 1087
  // #OPC_EmitMergeInputChains                 = 1625
  // #OPC_EmitCopyToReg                        = 0
  // #OPC_EmitNode                             = 625
  // #OPC_EmitNodeXForm                        = 0
  // #OPC_CompleteMatch                        = 32
  // #OPC_MorphNodeTo                          = 2273

  #undef TARGET_VAL
  SelectCodeCommon(N, MatcherTable,sizeof(MatcherTable));
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckPatternPredicate(unsigned PredNo) const override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckPatternPredicate(unsigned PredNo) const
#if DAGISEL_INLINE
  override
#endif
{
  switch (PredNo) {
  default: llvm_unreachable("Invalid predicate in table?");
  case 0: return (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics());
  case 1: return (Subtarget->hasAddr64()) && (Subtarget->hasAtomics());
  case 2: return (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent());
  case 3: return (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent());
  case 4: return (!Subtarget->hasAddr64());
  case 5: return (Subtarget->hasAddr64());
  case 6: return (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent());
  case 7: return (Subtarget->hasAddr64()) && (!TM.isPositionIndependent());
  case 8: return (Subtarget->hasReferenceTypes());
  case 9: return (Subtarget->hasExceptionHandling());
  case 10: return (Subtarget->hasSIMD128());
  case 11: return (Subtarget->hasSignExt());
  case 12: return (Subtarget->hasBulkMemory());
  case 13: return (Subtarget->hasRelaxedSIMD());
  case 14: return (!Subtarget->hasAddr64()) && (TM.isPositionIndependent());
  case 15: return (Subtarget->hasAddr64()) && (TM.isPositionIndependent());
  case 16: return (Subtarget->hasNontrappingFPToInt());
  case 17: return (!Subtarget->hasNontrappingFPToInt());
  }
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckNodePredicate(SDNode *Node, unsigned PredNo) const override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckNodePredicate(SDNode *Node, unsigned PredNo) const
#if DAGISEL_INLINE
  override
#endif
{
  switch (PredNo) {
  default: llvm_unreachable("Invalid predicate in table?");
  case 0: {
    // Predicate_regPlusImm
    SDNode *N = Node;
    (void)N;
 return N->getFlags().hasNoUnsignedWrap(); 
  }
  case 1: {
    // Predicate_atomic_cmp_swap_8
    // Predicate_atomic_load_add_8
    // Predicate_atomic_load_sub_8
    // Predicate_atomic_load_and_8
    // Predicate_atomic_load_or_8
    // Predicate_atomic_load_xor_8
    // Predicate_atomic_swap_8
    // Predicate_atomic_load_8
    // Predicate_atomic_store_8
    // Predicate_sextloadi8
    // Predicate_zextloadi8
    // Predicate_extloadi8
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i8) return false;
return true;

  }
  case 2: {
    // Predicate_atomic_cmp_swap_16
    // Predicate_atomic_load_add_16
    // Predicate_atomic_load_sub_16
    // Predicate_atomic_load_and_16
    // Predicate_atomic_load_or_16
    // Predicate_atomic_load_xor_16
    // Predicate_atomic_swap_16
    // Predicate_atomic_load_16
    // Predicate_atomic_store_16
    // Predicate_sextloadi16
    // Predicate_zextloadi16
    // Predicate_extloadi16
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i16) return false;
return true;

  }
  case 3: {
    // Predicate_or_is_add
    SDNode *N = Node;
    (void)N;

  if (ConstantSDNode *CN = dyn_cast<ConstantSDNode>(N->getOperand(1)))
    return CurDAG->MaskedValueIsZero(N->getOperand(0), CN->getAPIntValue());

  KnownBits Known0 = CurDAG->computeKnownBits(N->getOperand(0), 0);
  KnownBits Known1 = CurDAG->computeKnownBits(N->getOperand(1), 0);
  return (~Known0.Zero & ~Known1.Zero) == 0;

  }
  case 4: {
    // Predicate_atomic_cmp_swap_32
    // Predicate_atomic_load_add_32
    // Predicate_atomic_load_sub_32
    // Predicate_atomic_load_and_32
    // Predicate_atomic_load_or_32
    // Predicate_atomic_load_xor_32
    // Predicate_atomic_swap_32
    // Predicate_atomic_load_32
    // Predicate_atomic_store_32
    // Predicate_sextloadi32
    // Predicate_zextloadi32
    // Predicate_extloadi32
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i32) return false;
return true;

  }
  case 5: {
    // Predicate_LaneIdx16
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 16;
  }
  case 6: {
    // Predicate_LaneIdx8
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 8;
  }
  case 7: {
    // Predicate_atomic_store_64
    // Predicate_atomic_load_64
    // Predicate_atomic_load_add_64
    // Predicate_atomic_load_sub_64
    // Predicate_atomic_load_and_64
    // Predicate_atomic_load_or_64
    // Predicate_atomic_load_xor_64
    // Predicate_atomic_swap_64
    // Predicate_atomic_cmp_swap_64
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i64) return false;
return true;

  }
  case 8: {
    // Predicate_bool_node
    SDNode *N = Node;
    (void)N;

  return CurDAG->computeKnownBits(SDValue(N, 0)).countMinLeadingZeros() == 31;

  }
  case 9: {
    // Predicate_unindexedstore
    SDNode *N = Node;
    (void)N;
if (cast<StoreSDNode>(N)->getAddressingMode() != ISD::UNINDEXED) return false;
return true;

  }
  case 10: {
    // Predicate_truncstore
    SDNode *N = Node;
    (void)N;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 11: {
    // Predicate_truncstorei8
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i8) return false;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 12: {
    // Predicate_truncstorei16
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i16) return false;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 13: {
    // Predicate_LaneIdx4
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 4;
  }
  case 14: {
    // Predicate_store
    SDNode *N = Node;
    (void)N;
 if (cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 15: {
    // Predicate_LaneIdx2
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 2;
  }
  case 16: {
    // Predicate_truncstorei32
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i32) return false;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 17: {
    // Predicate_unindexedload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getAddressingMode() != ISD::UNINDEXED) return false;
return true;

  }
  case 18: {
    // Predicate_load
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::NON_EXTLOAD) return false;
return true;

  }
  case 19: {
    // Predicate_sextload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::SEXTLOAD) return false;
return true;

  }
  case 20: {
    // Predicate_zextload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::ZEXTLOAD) return false;
return true;

  }
  case 21: {
    // Predicate_extload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::EXTLOAD) return false;
return true;

  }
  case 22: {
    // Predicate_sextloadvi8
    // Predicate_zextloadvi8
    // Predicate_extloadvi8
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i8) return false;
return true;

  }
  case 23: {
    // Predicate_sextloadvi16
    // Predicate_zextloadvi16
    // Predicate_extloadvi16
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i16) return false;
return true;

  }
  case 24: {
    // Predicate_sextloadvi32
    // Predicate_zextloadvi32
    // Predicate_extloadvi32
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i32) return false;
return true;

  }
  case 25: {
    // Predicate_add_nuw
    SDNode *N = Node;
    (void)N;
return N->getFlags().hasNoUnsignedWrap();
  }
  case 26: {
    // Predicate_ImmI8
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return -(1 << (8 - 1)) <= Imm && Imm < (1 << (8 - 1));
  }
  case 27: {
    // Predicate_ImmI16
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return -(1 << (16 - 1)) <= Imm && Imm < (1 << (16 - 1));
  }
  case 28: {
    // Predicate_LaneIdx32
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 32;
  }
  }
}
#endif // GET_DAGISEL_BODY


#ifdef DAGISEL_INLINE
#undef DAGISEL_INLINE
#endif
#ifdef DAGISEL_CLASS_COLONCOLON
#undef DAGISEL_CLASS_COLONCOLON
#endif
#ifdef GET_DAGISEL_DECL
#undef GET_DAGISEL_DECL
#endif
#ifdef GET_DAGISEL_BODY
#undef GET_DAGISEL_BODY
#endif
